from collections import defaultdict
from skidl import Pin, Part, Alias, SchLib, SKIDL, TEMPLATE

from skidl.pin import pin_types

SKIDL_lib_version = '0.0.1'

Display_Graphic = SchLib(tool=SKIDL).add_parts(*[
        Part(**{ 'name':'AG12864E', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AG12864E'}), 'ref_prefix':'DS', 'fplist':['Display:AG12864E'], 'footprint':'Display:AG12864E', 'keywords':'display LCD graphic', 'description':'', 'datasheet':'https://www.digchip.com/datasheets/parts/datasheet/1121/AG-12864E-pdf.php', 'search_text':'/usr/share/kicad/symbols/Display_Graphic.kicad_sym\nAG12864E\n\ndisplay LCD graphic', 'pins':[
            Pin(num='1',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='DB6',func=pin_types.BIDIR,unit=1),
            Pin(num='11',name='DB7',func=pin_types.BIDIR,unit=1),
            Pin(num='12',name='~{CS1}',func=pin_types.INPUT,unit=1),
            Pin(num='13',name='~{CS2}',func=pin_types.INPUT,unit=1),
            Pin(num='14',name='~{RST}',func=pin_types.INPUT,unit=1),
            Pin(num='15',name='R/~{W}',func=pin_types.INPUT,unit=1),
            Pin(num='16',name='D/~{I}',func=pin_types.INPUT,unit=1),
            Pin(num='17',name='E',func=pin_types.INPUT,unit=1),
            Pin(num='18',name='VEE',func=pin_types.PASSIVE,unit=1),
            Pin(num='19',name='LEDA/EL',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='20',name='LEDK/EL',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='VO',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='DB0',func=pin_types.BIDIR,unit=1),
            Pin(num='5',name='DB1',func=pin_types.BIDIR,unit=1),
            Pin(num='6',name='DB2',func=pin_types.BIDIR,unit=1),
            Pin(num='7',name='DB3',func=pin_types.BIDIR,unit=1),
            Pin(num='8',name='DB4',func=pin_types.BIDIR,unit=1),
            Pin(num='9',name='DB5',func=pin_types.BIDIR,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'EA_DOGL128X-6', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'EA_DOGL128X-6'}), 'ref_prefix':'U', 'fplist':['Display:EA_DOGL128-6'], 'footprint':'Display:EA_DOGL128-6', 'keywords':'display LCD graphic', 'description':'', 'datasheet':'https://www.lcd-module.com/eng/pdf/grafik/dogl128-6e.pdf', 'search_text':'/usr/share/kicad/symbols/Display_Graphic.kicad_sym\nEA_DOGL128X-6\n\ndisplay LCD graphic', 'pins':[
            Pin(num='1',name='A1+',func=pin_types.PWRIN,unit=1),
            Pin(num='18',name='C1-',func=pin_types.PWRIN,unit=1),
            Pin(num='19',name='C2-',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='A2+',func=pin_types.PWRIN,unit=1),
            Pin(num='20',name='C3-',func=pin_types.PWRIN,unit=1),
            Pin(num='21',name='V0',func=pin_types.PASSIVE,unit=1),
            Pin(num='22',name='V1',func=pin_types.PASSIVE,unit=1),
            Pin(num='23',name='V2',func=pin_types.PASSIVE,unit=1),
            Pin(num='24',name='V3',func=pin_types.PASSIVE,unit=1),
            Pin(num='25',name='V4',func=pin_types.PASSIVE,unit=1),
            Pin(num='26',name='VSS',func=pin_types.PWRIN,unit=1),
            Pin(num='27',name='CAP2N',func=pin_types.PASSIVE,unit=1),
            Pin(num='28',name='CAP2P',func=pin_types.PASSIVE,unit=1),
            Pin(num='29',name='CAP1P',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='A3+',func=pin_types.PWRIN,unit=1),
            Pin(num='30',name='CAP1N',func=pin_types.PASSIVE,unit=1),
            Pin(num='31',name='CAP3P',func=pin_types.PASSIVE,unit=1),
            Pin(num='32',name='VOUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='33',name='VSS',func=pin_types.PASSIVE,unit=1),
            Pin(num='34',name='VDD2',func=pin_types.PWRIN,unit=1),
            Pin(num='35',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='36',name='SI',func=pin_types.INPUT,unit=1),
            Pin(num='37',name='SCL',func=pin_types.INPUT,unit=1),
            Pin(num='38',name='A0',func=pin_types.INPUT,unit=1),
            Pin(num='39',name='~{RST}',func=pin_types.INPUT,unit=1),
            Pin(num='40',name='~{CS1B}',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'EA_DOGM128X-6', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'EA_DOGM128X-6'}), 'ref_prefix':'U', 'fplist':['Display:EA_DOGM128-6'], 'footprint':'Display:EA_DOGM128-6', 'keywords':'display LCD graphic', 'description':'', 'datasheet':'https://www.lcd-module.de/eng/pdf/grafik/dogm128e.pdf', 'search_text':'/usr/share/kicad/symbols/Display_Graphic.kicad_sym\nEA_DOGM128X-6\n\ndisplay LCD graphic', 'pins':[
            Pin(num='1',name='A1+',func=pin_types.PWRIN,unit=1),
            Pin(num='18',name='C1-',func=pin_types.PWRIN,unit=1),
            Pin(num='19',name='C2-',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='A2+',func=pin_types.PWRIN,unit=1),
            Pin(num='20',name='C3-',func=pin_types.PWRIN,unit=1),
            Pin(num='21',name='V0',func=pin_types.PASSIVE,unit=1),
            Pin(num='22',name='V1',func=pin_types.PASSIVE,unit=1),
            Pin(num='23',name='V2',func=pin_types.PASSIVE,unit=1),
            Pin(num='24',name='V3',func=pin_types.PASSIVE,unit=1),
            Pin(num='25',name='V4',func=pin_types.PASSIVE,unit=1),
            Pin(num='26',name='VSS',func=pin_types.PWRIN,unit=1),
            Pin(num='27',name='CAP2N',func=pin_types.PASSIVE,unit=1),
            Pin(num='28',name='CAP2P',func=pin_types.PASSIVE,unit=1),
            Pin(num='29',name='CAP1P',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='A3+',func=pin_types.PWRIN,unit=1),
            Pin(num='30',name='CAP1N',func=pin_types.PASSIVE,unit=1),
            Pin(num='31',name='CAP3P',func=pin_types.PASSIVE,unit=1),
            Pin(num='32',name='VOUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='33',name='VSS',func=pin_types.PASSIVE,unit=1),
            Pin(num='34',name='VDD2',func=pin_types.PWRIN,unit=1),
            Pin(num='35',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='36',name='SI',func=pin_types.INPUT,unit=1),
            Pin(num='37',name='SCL',func=pin_types.INPUT,unit=1),
            Pin(num='38',name='A0',func=pin_types.INPUT,unit=1),
            Pin(num='39',name='~{RST}',func=pin_types.INPUT,unit=1),
            Pin(num='40',name='~{CS1B}',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'EA_DOGS104B-A', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'EA_DOGS104B-A'}), 'ref_prefix':'U', 'fplist':['Display:EA_DOGS104X-A'], 'footprint':'Display:EA_DOGS104X-A', 'keywords':'display LCD graphic', 'description':'', 'datasheet':'http://www.lcd-module.com/fileadmin/eng/pdf/doma/dogs104e.pdf', 'search_text':'/usr/share/kicad/symbols/Display_Graphic.kicad_sym\nEA_DOGS104B-A\n\ndisplay LCD graphic', 'pins':[
            Pin(num='1',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='10',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='11',name='VOUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='12',name='IM1',func=pin_types.INPUT,unit=1),
            Pin(num='13',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='14',name='VSS',func=pin_types.PWRIN,unit=1),
            Pin(num='15',name='SOD',func=pin_types.OUTPUT,unit=1),
            Pin(num='16',name='SID',func=pin_types.INPUT,unit=1),
            Pin(num='17',name='SCLK',func=pin_types.INPUT,unit=1),
            Pin(num='18',name='~{CS}',func=pin_types.INPUT,unit=1),
            Pin(num='19',name='SA0',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='20',name='~{RST}',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='NC',func=pin_types.NOCONNECT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'EA_DOGXL160-7', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'EA_DOGXL160-7'}), 'ref_prefix':'U', 'fplist':['Display:EA_DOGXL160-7'], 'footprint':'Display:EA_DOGXL160-7', 'keywords':'display LCD graphic', 'description':'', 'datasheet':'http://www.lcd-module.com/eng/pdf/grafik/dogxl160-7e.pdf', 'search_text':'/usr/share/kicad/symbols/Display_Graphic.kicad_sym\nEA_DOGXL160-7\n\ndisplay LCD graphic', 'pins':[
            Pin(num='1',name='A1+',func=pin_types.PWRIN,unit=1),
            Pin(num='14',name='C1-',func=pin_types.PWRIN,unit=1),
            Pin(num='15',name='C2-',func=pin_types.PWRIN,unit=1),
            Pin(num='16',name='C3-',func=pin_types.PWRIN,unit=1),
            Pin(num='17',name='VLCD',func=pin_types.PASSIVE,unit=1),
            Pin(num='18',name='VB0+',func=pin_types.PASSIVE,unit=1),
            Pin(num='19',name='VB1+',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='A2+',func=pin_types.PWRIN,unit=1),
            Pin(num='20',name='VB1-',func=pin_types.PASSIVE,unit=1),
            Pin(num='21',name='VB0-',func=pin_types.PASSIVE,unit=1),
            Pin(num='22',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='23',name='VDD2/3',func=pin_types.PWRIN,unit=1),
            Pin(num='24',name='VSS2',func=pin_types.PWRIN,unit=1),
            Pin(num='25',name='VSS',func=pin_types.PWRIN,unit=1),
            Pin(num='26',name='BM0',func=pin_types.INPUT,unit=1),
            Pin(num='27',name='CD',func=pin_types.INPUT,unit=1),
            Pin(num='28',name='~{CS0}/A2',func=pin_types.INPUT,unit=1),
            Pin(num='29',name='~{RST}',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='A3+',func=pin_types.PWRIN,unit=1),
            Pin(num='30',name='D6',func=pin_types.INPUT,unit=1),
            Pin(num='31',name='D3/SDA',func=pin_types.BIDIR,unit=1),
            Pin(num='32',name='D0/SCK',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'EA_eDIP128B-6LW', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'EA_eDIP128B-6LW'}), 'ref_prefix':'U', 'fplist':['Display:EA-eDIP128B-XXX'], 'footprint':'Display:EA-eDIP128B-XXX', 'keywords':'display LCD graphic', 'description':'', 'datasheet':'http://www.lcd-module.com/fileadmin/eng/pdf/grafik/edip128-6e.pdf', 'search_text':'/usr/share/kicad/symbols/Display_Graphic.kicad_sym\nEA_eDIP128B-6LW\n\ndisplay LCD graphic', 'pins':[
            Pin(num='1',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='RxD',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='TxD',func=pin_types.OUTPUT,unit=1),
            Pin(num='12',name='EN485',func=pin_types.OUTPUT,unit=1),
            Pin(num='13',name='WUP',func=pin_types.INPUT,unit=1),
            Pin(num='14',name='ADR1',func=pin_types.INPUT,unit=1),
            Pin(num='15',name='ADR2',func=pin_types.INPUT,unit=1),
            Pin(num='16',name='BUZZ',func=pin_types.OUTPUT,unit=1),
            Pin(num='17',name='DPROT',func=pin_types.INPUT,unit=1),
            Pin(num='18',name='PWR',func=pin_types.OUTPUT,unit=1),
            Pin(num='19',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='2',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='21',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='22',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='23',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='24',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='25',name='IN8/OUT1',func=pin_types.BIDIR,unit=1),
            Pin(num='26',name='IN7/OUT2',func=pin_types.BIDIR,unit=1),
            Pin(num='27',name='IN6/OUT3',func=pin_types.BIDIR,unit=1),
            Pin(num='28',name='IN5/OUT4',func=pin_types.BIDIR,unit=1),
            Pin(num='29',name='IN4/OUT5',func=pin_types.BIDIR,unit=1),
            Pin(num='3',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='30',name='IN3/OUT6',func=pin_types.BIDIR,unit=1),
            Pin(num='31',name='IN2/OUT7',func=pin_types.BIDIR,unit=1),
            Pin(num='32',name='IN1/OUT8',func=pin_types.BIDIR,unit=1),
            Pin(num='4',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='5',name='~{RESET}',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='BAUD0',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='BAUD1',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='BAUD2',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='ADR0',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'EA_eDIP160B-7LW', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'EA_eDIP160B-7LW'}), 'ref_prefix':'U', 'fplist':['Display:EA_eDIP160-XXX'], 'footprint':'Display:EA_eDIP160-XXX', 'keywords':'display LCD graphic', 'description':'', 'datasheet':'http://www.lcd-module.com/fileadmin/eng/pdf/grafik/edip160-7e.pdf', 'search_text':'/usr/share/kicad/symbols/Display_Graphic.kicad_sym\nEA_eDIP160B-7LW\n\ndisplay LCD graphic', 'pins':[
            Pin(num='1',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='RxD',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='TxD',func=pin_types.OUTPUT,unit=1),
            Pin(num='12',name='EN485',func=pin_types.OUTPUT,unit=1),
            Pin(num='13',name='WUP',func=pin_types.INPUT,unit=1),
            Pin(num='14',name='ADR1',func=pin_types.INPUT,unit=1),
            Pin(num='15',name='ADR2',func=pin_types.INPUT,unit=1),
            Pin(num='16',name='BUZZ',func=pin_types.OUTPUT,unit=1),
            Pin(num='17',name='DPROT',func=pin_types.INPUT,unit=1),
            Pin(num='18',name='PWR',func=pin_types.OUTPUT,unit=1),
            Pin(num='19',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='2',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='20',name='TEST_SBUF',func=pin_types.OPENCOLL,unit=1),
            Pin(num='21',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='22',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='23',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='24',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='25',name='IN8/OUT1',func=pin_types.BIDIR,unit=1),
            Pin(num='26',name='IN7/OUT2',func=pin_types.BIDIR,unit=1),
            Pin(num='27',name='IN6/OUT3',func=pin_types.BIDIR,unit=1),
            Pin(num='28',name='IN5/OUT4',func=pin_types.BIDIR,unit=1),
            Pin(num='29',name='IN4/OUT5',func=pin_types.BIDIR,unit=1),
            Pin(num='3',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='30',name='IN3/OUT6',func=pin_types.BIDIR,unit=1),
            Pin(num='31',name='IN2/OUT7',func=pin_types.BIDIR,unit=1),
            Pin(num='32',name='IN1/OUT8',func=pin_types.BIDIR,unit=1),
            Pin(num='33',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='34',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='35',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='36',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='37',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='38',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='39',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='4',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='40',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='5',name='~{RESET}',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='BAUD0',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='BAUD1',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='BAUD2',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='ADR0',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'EA_eDIP240B-7LW', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'EA_eDIP240B-7LW'}), 'ref_prefix':'U', 'fplist':['Display:EA_eDIP240-XXX'], 'footprint':'Display:EA_eDIP240-XXX', 'keywords':'display LCD graphic', 'description':'', 'datasheet':'http://www.lcd-module.com/fileadmin/eng/pdf/grafik/edip240-7e.pdf', 'search_text':'/usr/share/kicad/symbols/Display_Graphic.kicad_sym\nEA_eDIP240B-7LW\n\ndisplay LCD graphic', 'pins':[
            Pin(num='1',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='RxD',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='TxD',func=pin_types.OUTPUT,unit=1),
            Pin(num='12',name='EN485',func=pin_types.OUTPUT,unit=1),
            Pin(num='13',name='DPOM',func=pin_types.INPUT,unit=1),
            Pin(num='14',name='ADR1',func=pin_types.INPUT,unit=1),
            Pin(num='15',name='ADR2',func=pin_types.INPUT,unit=1),
            Pin(num='16',name='BUZZ',func=pin_types.OUTPUT,unit=1),
            Pin(num='17',name='EEP_SDA',func=pin_types.BIDIR,unit=1),
            Pin(num='18',name='EEP_SCL',func=pin_types.OUTPUT,unit=1),
            Pin(num='19',name='EEP_WP',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='20',name='TEST_SBUF',func=pin_types.OPENCOLL,unit=1),
            Pin(num='21',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='22',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='23',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='24',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='25',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='26',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='27',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='28',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='29',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='3',name='VADJ',func=pin_types.INPUT,unit=1),
            Pin(num='30',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='31',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='32',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='33',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='34',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='35',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='36',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='37',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='38',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='39',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='4',name='VOUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='40',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='5',name='~{RESET}',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='BAUD0',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='BAUD1',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='BAUD2',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='ADR0',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'EA_eDIP320B-8LW', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'EA_eDIP320B-8LW'}), 'ref_prefix':'U', 'fplist':['Display:EA_eDIP320X-XXX'], 'footprint':'Display:EA_eDIP320X-XXX', 'keywords':'display LCD graphic', 'description':'', 'datasheet':'http://www.lcd-module.com/fileadmin/eng/pdf/grafik/edip320-8e.pdf', 'search_text':'/usr/share/kicad/symbols/Display_Graphic.kicad_sym\nEA_eDIP320B-8LW\n\ndisplay LCD graphic', 'pins':[
            Pin(num='1',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='RxD',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='TxD',func=pin_types.OUTPUT,unit=1),
            Pin(num='12',name='EN485',func=pin_types.OUTPUT,unit=1),
            Pin(num='13',name='WUP',func=pin_types.INPUT,unit=1),
            Pin(num='14',name='ADR1',func=pin_types.INPUT,unit=1),
            Pin(num='15',name='ADR2',func=pin_types.INPUT,unit=1),
            Pin(num='16',name='BUZZ',func=pin_types.OUTPUT,unit=1),
            Pin(num='17',name='DPROT',func=pin_types.INPUT,unit=1),
            Pin(num='18',name='DPWR',func=pin_types.OUTPUT,unit=1),
            Pin(num='19',name='WP',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='20',name='TEST_SBUF',func=pin_types.OPENCOLL,unit=1),
            Pin(num='21',name='PDI',func=pin_types.INPUT,unit=1),
            Pin(num='22',name='PDO',func=pin_types.OUTPUT,unit=1),
            Pin(num='23',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='24',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='25',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='26',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='27',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='28',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='29',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='3',name='VADJ',func=pin_types.INPUT,unit=1),
            Pin(num='30',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='31',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='32',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='33',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='34',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='35',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='36',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='37',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='38',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='39',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='4',name='VOUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='40',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='41',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='42',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='43',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='44',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='45',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='46',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='47',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='5',name='~{RESET}',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='BAUD0',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='BAUD1',func=pin_types.INPUT,unit=1),
            Pin(num='78',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='8',name='BAUD2',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='ADR0',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'EA_eDIPTFT32-A', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'EA_eDIPTFT32-A'}), 'ref_prefix':'U', 'fplist':['Display:EA_eDIPTFT32-XXX'], 'footprint':'Display:EA_eDIPTFT32-XXX', 'keywords':'display TFT LCD graphic', 'description':'', 'datasheet':'http://www.lcd-module.com/fileadmin/eng/pdf/grafik/ediptft43-ae.pdf', 'search_text':'/usr/share/kicad/symbols/Display_Graphic.kicad_sym\nEA_eDIPTFT32-A\n\ndisplay TFT LCD graphic', 'pins':[
            Pin(num='1',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='SA2',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='BA2',func=pin_types.INPUT,unit=1),
            Pin(num='12',name='I2CMO',func=pin_types.INPUT,unit=1),
            Pin(num='13',name='DPOM',func=pin_types.INPUT,unit=1),
            Pin(num='14',name='SDA',func=pin_types.BIDIR,unit=1),
            Pin(num='15',name='SCL',func=pin_types.INPUT,unit=1),
            Pin(num='16',name='BUZZ',func=pin_types.OUTPUT,unit=1),
            Pin(num='17',name='DPROT',func=pin_types.INPUT,unit=1),
            Pin(num='18',name='DNC',func=pin_types.OUTPUT,unit=1),
            Pin(num='19',name='WP',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='20',name='TEST_SBUF',func=pin_types.BIDIR,unit=1),
            Pin(num='21',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='22',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='23',name='AIN1',func=pin_types.INPUT,unit=1),
            Pin(num='24',name='AIN2',func=pin_types.INPUT,unit=1),
            Pin(num='25',name='OUT1/MO8',func=pin_types.OUTPUT,unit=1),
            Pin(num='26',name='OUT2/MO7',func=pin_types.OUTPUT,unit=1),
            Pin(num='27',name='OUT3/MO6',func=pin_types.OUTPUT,unit=1),
            Pin(num='28',name='OUT4/MO5',func=pin_types.OUTPUT,unit=1),
            Pin(num='29',name='OUT5/MO4',func=pin_types.OUTPUT,unit=1),
            Pin(num='3',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='30',name='OUT6/MO3',func=pin_types.OUTPUT,unit=1),
            Pin(num='31',name='OUT7/MO2',func=pin_types.OUTPUT,unit=1),
            Pin(num='32',name='OUT8/MO1',func=pin_types.OUTPUT,unit=1),
            Pin(num='33',name='IN1/MI8',func=pin_types.INPUT,unit=1),
            Pin(num='34',name='IN2/MI7',func=pin_types.INPUT,unit=1),
            Pin(num='35',name='IN3/MI6',func=pin_types.INPUT,unit=1),
            Pin(num='36',name='IN4/MI5',func=pin_types.INPUT,unit=1),
            Pin(num='37',name='IN5/MI4',func=pin_types.INPUT,unit=1),
            Pin(num='38',name='IN6/MI3',func=pin_types.INPUT,unit=1),
            Pin(num='39',name='IN7/MI2',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='40',name='IN8/MI1',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='~{RESET}',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='BA0',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='BA1',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='SA0',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='SA1',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'EA_eDIPTFT43-A', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'EA_eDIPTFT43-A'}), 'ref_prefix':'U', 'fplist':['Display:EA_eDIPTFT43-XXX'], 'footprint':'Display:EA_eDIPTFT43-XXX', 'keywords':'display TFT LCD graphic', 'description':'', 'datasheet':'http://www.lcd-module.com/fileadmin/eng/pdf/grafik/ediptft43-ae.pdf', 'search_text':'/usr/share/kicad/symbols/Display_Graphic.kicad_sym\nEA_eDIPTFT43-A\n\ndisplay TFT LCD graphic', 'pins':[
            Pin(num='1',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='RxD',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='TxD',func=pin_types.OUTPUT,unit=1),
            Pin(num='12',name='EN485',func=pin_types.OUTPUT,unit=1),
            Pin(num='13',name='DPOM',func=pin_types.INPUT,unit=1),
            Pin(num='14',name='ADR1',func=pin_types.INPUT,unit=1),
            Pin(num='15',name='ADR2',func=pin_types.INPUT,unit=1),
            Pin(num='16',name='BUZZ',func=pin_types.OUTPUT,unit=1),
            Pin(num='17',name='DPROT',func=pin_types.INPUT,unit=1),
            Pin(num='18',name='DNC',func=pin_types.OUTPUT,unit=1),
            Pin(num='19',name='WP',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='20',name='TEST_SBUF',func=pin_types.BIDIR,unit=1),
            Pin(num='21',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='22',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='23',name='AIN1',func=pin_types.INPUT,unit=1),
            Pin(num='24',name='AIN2',func=pin_types.INPUT,unit=1),
            Pin(num='25',name='OUT1/MO8',func=pin_types.OUTPUT,unit=1),
            Pin(num='26',name='OUT2/MO7',func=pin_types.OUTPUT,unit=1),
            Pin(num='27',name='OUT3/MO6',func=pin_types.OUTPUT,unit=1),
            Pin(num='28',name='OUT4/MO5',func=pin_types.OUTPUT,unit=1),
            Pin(num='29',name='OUT5/MO4',func=pin_types.OUTPUT,unit=1),
            Pin(num='3',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='30',name='OUT6/MO3',func=pin_types.OUTPUT,unit=1),
            Pin(num='31',name='OUT7/MO2',func=pin_types.OUTPUT,unit=1),
            Pin(num='32',name='OUT8/MO1',func=pin_types.OUTPUT,unit=1),
            Pin(num='33',name='IN1/MI8',func=pin_types.INPUT,unit=1),
            Pin(num='34',name='IN2/MI7',func=pin_types.INPUT,unit=1),
            Pin(num='35',name='IN3/MI6',func=pin_types.INPUT,unit=1),
            Pin(num='36',name='IN4/MI5',func=pin_types.INPUT,unit=1),
            Pin(num='37',name='IN5/MI4',func=pin_types.INPUT,unit=1),
            Pin(num='38',name='IN6/MI3',func=pin_types.INPUT,unit=1),
            Pin(num='39',name='IN7/MI2',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='40',name='IN8/MI1',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='~{RESET}',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='BAUD0',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='BAUD1',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='BAUD2',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='ADR0',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'EA_eDIPTFT43-ATC', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'EA_eDIPTFT43-ATC'}), 'ref_prefix':'U', 'fplist':['Display:EA_eDIPTFT43-ATC'], 'footprint':'Display:EA_eDIPTFT43-ATC', 'keywords':'display TFT LCD graphic', 'description':'', 'datasheet':'http://www.lcd-module.com/fileadmin/eng/pdf/grafik/ediptft43-ae.pdf', 'search_text':'/usr/share/kicad/symbols/Display_Graphic.kicad_sym\nEA_eDIPTFT43-ATC\n\ndisplay TFT LCD graphic', 'pins':[
            Pin(num='1',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='RxD',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='TxD',func=pin_types.OUTPUT,unit=1),
            Pin(num='12',name='EN485',func=pin_types.OUTPUT,unit=1),
            Pin(num='13',name='DPOM',func=pin_types.INPUT,unit=1),
            Pin(num='14',name='ADR1',func=pin_types.INPUT,unit=1),
            Pin(num='15',name='ADR2',func=pin_types.INPUT,unit=1),
            Pin(num='16',name='BUZZ',func=pin_types.OUTPUT,unit=1),
            Pin(num='17',name='DPROT',func=pin_types.INPUT,unit=1),
            Pin(num='18',name='DNC',func=pin_types.OUTPUT,unit=1),
            Pin(num='19',name='WP',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='20',name='TEST_SBUF',func=pin_types.BIDIR,unit=1),
            Pin(num='21',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='22',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='23',name='AIN1',func=pin_types.INPUT,unit=1),
            Pin(num='24',name='AIN2',func=pin_types.INPUT,unit=1),
            Pin(num='25',name='OUT1/MO8',func=pin_types.OUTPUT,unit=1),
            Pin(num='26',name='OUT2/MO7',func=pin_types.OUTPUT,unit=1),
            Pin(num='27',name='OUT3/MO6',func=pin_types.OUTPUT,unit=1),
            Pin(num='28',name='OUT4/MO5',func=pin_types.OUTPUT,unit=1),
            Pin(num='29',name='OUT5/MO4',func=pin_types.OUTPUT,unit=1),
            Pin(num='3',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='30',name='OUT6/MO3',func=pin_types.OUTPUT,unit=1),
            Pin(num='31',name='OUT7/MO2',func=pin_types.OUTPUT,unit=1),
            Pin(num='32',name='OUT8/MO1',func=pin_types.OUTPUT,unit=1),
            Pin(num='33',name='IN1/MI8',func=pin_types.INPUT,unit=1),
            Pin(num='34',name='IN2/MI7',func=pin_types.INPUT,unit=1),
            Pin(num='35',name='IN3/MI6',func=pin_types.INPUT,unit=1),
            Pin(num='36',name='IN4/MI5',func=pin_types.INPUT,unit=1),
            Pin(num='37',name='IN5/MI4',func=pin_types.INPUT,unit=1),
            Pin(num='38',name='IN6/MI3',func=pin_types.INPUT,unit=1),
            Pin(num='39',name='IN7/MI2',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='40',name='IN8/MI1',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='~{RESET}',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='BAUD0',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='BAUD1',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='BAUD2',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='ADR0',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'EA_eDIPTFT57-A', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'EA_eDIPTFT57-A'}), 'ref_prefix':'U', 'fplist':['Display:EA_eDIPTFT57-XXX'], 'footprint':'Display:EA_eDIPTFT57-XXX', 'keywords':'display TFT LCD graphic', 'description':'', 'datasheet':'http://www.lcd-module.com/fileadmin/eng/pdf/grafik/ediptft57-ae.pdf', 'search_text':'/usr/share/kicad/symbols/Display_Graphic.kicad_sym\nEA_eDIPTFT57-A\n\ndisplay TFT LCD graphic', 'pins':[
            Pin(num='1',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='RxD',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='TxD',func=pin_types.OUTPUT,unit=1),
            Pin(num='12',name='EN485',func=pin_types.OUTPUT,unit=1),
            Pin(num='13',name='DPOM',func=pin_types.INPUT,unit=1),
            Pin(num='14',name='ADR1',func=pin_types.INPUT,unit=1),
            Pin(num='15',name='ADR2',func=pin_types.INPUT,unit=1),
            Pin(num='16',name='BUZZ',func=pin_types.OUTPUT,unit=1),
            Pin(num='17',name='DPROT',func=pin_types.INPUT,unit=1),
            Pin(num='18',name='DNC',func=pin_types.OUTPUT,unit=1),
            Pin(num='19',name='WP',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='20',name='TEST_SBUF',func=pin_types.BIDIR,unit=1),
            Pin(num='21',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='22',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='23',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='24',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='25',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='26',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='27',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='28',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='29',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='SND+',func=pin_types.OUTPUT,unit=1),
            Pin(num='30',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='31',name='AIN1',func=pin_types.INPUT,unit=1),
            Pin(num='32',name='AIN2',func=pin_types.INPUT,unit=1),
            Pin(num='33',name='OUT1/MO8',func=pin_types.OUTPUT,unit=1),
            Pin(num='34',name='OUT2/MO7',func=pin_types.OUTPUT,unit=1),
            Pin(num='35',name='OUT3/MO6',func=pin_types.OUTPUT,unit=1),
            Pin(num='36',name='OUT4/MO5',func=pin_types.OUTPUT,unit=1),
            Pin(num='37',name='OUT5/MO4',func=pin_types.OUTPUT,unit=1),
            Pin(num='38',name='OUT6/MO3',func=pin_types.OUTPUT,unit=1),
            Pin(num='39',name='OUT7/MO2',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='SND-',func=pin_types.INPUT,unit=1),
            Pin(num='40',name='OUT8/MO1',func=pin_types.OUTPUT,unit=1),
            Pin(num='41',name='IN1/MI8',func=pin_types.INPUT,unit=1),
            Pin(num='42',name='IN2/MI7',func=pin_types.INPUT,unit=1),
            Pin(num='43',name='IN3/MI6',func=pin_types.INPUT,unit=1),
            Pin(num='44',name='IN4/MI5',func=pin_types.INPUT,unit=1),
            Pin(num='45',name='IN5/MI4',func=pin_types.INPUT,unit=1),
            Pin(num='46',name='IN6/MI3',func=pin_types.INPUT,unit=1),
            Pin(num='47',name='IN7/MI2',func=pin_types.INPUT,unit=1),
            Pin(num='48',name='IN8/MI1',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='~{RESET}',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='BAUD0',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='BAUD1',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='BAUD2',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='ADR0',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'EA_eDIPTFT70-A', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'EA_eDIPTFT70-A'}), 'ref_prefix':'U', 'fplist':['Display:EA_eDIPTFT70-XXX'], 'footprint':'Display:EA_eDIPTFT70-XXX', 'keywords':'display TFT LCD graphic', 'description':'', 'datasheet':'http://www.lcd-module.com/fileadmin/eng/pdf/grafik/ediptft70-ae.pdf', 'search_text':'/usr/share/kicad/symbols/Display_Graphic.kicad_sym\nEA_eDIPTFT70-A\n\ndisplay TFT LCD graphic', 'pins':[
            Pin(num='1',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='RxD',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='TxD',func=pin_types.OUTPUT,unit=1),
            Pin(num='12',name='EN485',func=pin_types.OUTPUT,unit=1),
            Pin(num='13',name='DPOM',func=pin_types.INPUT,unit=1),
            Pin(num='14',name='ADR1',func=pin_types.INPUT,unit=1),
            Pin(num='15',name='ADR2',func=pin_types.INPUT,unit=1),
            Pin(num='16',name='BUZZ',func=pin_types.OUTPUT,unit=1),
            Pin(num='17',name='DPROT',func=pin_types.INPUT,unit=1),
            Pin(num='18',name='DNC',func=pin_types.OUTPUT,unit=1),
            Pin(num='19',name='WP',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='20',name='TEST_SBUF',func=pin_types.BIDIR,unit=1),
            Pin(num='21',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='22',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='23',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='24',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='25',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='26',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='27',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='28',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='29',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='SND+',func=pin_types.OUTPUT,unit=1),
            Pin(num='30',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='31',name='AIN1',func=pin_types.INPUT,unit=1),
            Pin(num='32',name='AIN2',func=pin_types.INPUT,unit=1),
            Pin(num='33',name='OUT1/MO8',func=pin_types.OUTPUT,unit=1),
            Pin(num='34',name='OUT2/MO7',func=pin_types.OUTPUT,unit=1),
            Pin(num='35',name='OUT3/MO6',func=pin_types.OUTPUT,unit=1),
            Pin(num='36',name='OUT4/MO5',func=pin_types.OUTPUT,unit=1),
            Pin(num='37',name='OUT5/MO4',func=pin_types.OUTPUT,unit=1),
            Pin(num='38',name='OUT6/MO3',func=pin_types.OUTPUT,unit=1),
            Pin(num='39',name='OUT7/MO2',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='SND-',func=pin_types.INPUT,unit=1),
            Pin(num='40',name='OUT8/MO1',func=pin_types.OUTPUT,unit=1),
            Pin(num='41',name='IN1/MI8',func=pin_types.INPUT,unit=1),
            Pin(num='42',name='IN2/MI7',func=pin_types.INPUT,unit=1),
            Pin(num='43',name='IN3/MI6',func=pin_types.INPUT,unit=1),
            Pin(num='44',name='IN4/MI5',func=pin_types.INPUT,unit=1),
            Pin(num='45',name='IN5/MI4',func=pin_types.INPUT,unit=1),
            Pin(num='46',name='IN6/MI3',func=pin_types.INPUT,unit=1),
            Pin(num='47',name='IN7/MI2',func=pin_types.INPUT,unit=1),
            Pin(num='48',name='IN8/MI1',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='~{RESET}',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='BAUD0',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='BAUD1',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='BAUD2',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='ADR0',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'EA_eDIPTFT70-ATC', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'EA_eDIPTFT70-ATC'}), 'ref_prefix':'U', 'fplist':['Display:EA_eDIPTFT70-ATC'], 'footprint':'Display:EA_eDIPTFT70-ATC', 'keywords':'display TFT LCD graphic', 'description':'', 'datasheet':'http://www.lcd-module.com/fileadmin/eng/pdf/grafik/ediptft70-ae.pdf', 'search_text':'/usr/share/kicad/symbols/Display_Graphic.kicad_sym\nEA_eDIPTFT70-ATC\n\ndisplay TFT LCD graphic', 'pins':[
            Pin(num='1',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='RxD',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='TxD',func=pin_types.OUTPUT,unit=1),
            Pin(num='12',name='EN485',func=pin_types.OUTPUT,unit=1),
            Pin(num='13',name='DPOM',func=pin_types.INPUT,unit=1),
            Pin(num='14',name='ADR1',func=pin_types.INPUT,unit=1),
            Pin(num='15',name='ADR2',func=pin_types.INPUT,unit=1),
            Pin(num='16',name='BUZZ',func=pin_types.OUTPUT,unit=1),
            Pin(num='17',name='DPROT',func=pin_types.INPUT,unit=1),
            Pin(num='18',name='DNC',func=pin_types.OUTPUT,unit=1),
            Pin(num='19',name='WP',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='20',name='TEST_SBUF',func=pin_types.BIDIR,unit=1),
            Pin(num='21',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='22',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='23',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='24',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='25',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='26',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='27',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='28',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='29',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='SND+',func=pin_types.OUTPUT,unit=1),
            Pin(num='30',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='31',name='AIN1',func=pin_types.INPUT,unit=1),
            Pin(num='32',name='AIN2',func=pin_types.INPUT,unit=1),
            Pin(num='33',name='OUT1/MO8',func=pin_types.OUTPUT,unit=1),
            Pin(num='34',name='OUT2/MO7',func=pin_types.OUTPUT,unit=1),
            Pin(num='35',name='OUT3/MO6',func=pin_types.OUTPUT,unit=1),
            Pin(num='36',name='OUT4/MO5',func=pin_types.OUTPUT,unit=1),
            Pin(num='37',name='OUT5/MO4',func=pin_types.OUTPUT,unit=1),
            Pin(num='38',name='OUT6/MO3',func=pin_types.OUTPUT,unit=1),
            Pin(num='39',name='OUT7/MO2',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='SND-',func=pin_types.INPUT,unit=1),
            Pin(num='40',name='OUT8/MO1',func=pin_types.OUTPUT,unit=1),
            Pin(num='41',name='IN1/MI8',func=pin_types.INPUT,unit=1),
            Pin(num='42',name='IN2/MI7',func=pin_types.INPUT,unit=1),
            Pin(num='43',name='IN3/MI6',func=pin_types.INPUT,unit=1),
            Pin(num='44',name='IN4/MI5',func=pin_types.INPUT,unit=1),
            Pin(num='45',name='IN5/MI4',func=pin_types.INPUT,unit=1),
            Pin(num='46',name='IN6/MI3',func=pin_types.INPUT,unit=1),
            Pin(num='47',name='IN7/MI2',func=pin_types.INPUT,unit=1),
            Pin(num='48',name='IN8/MI1',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='~{RESET}',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='BAUD0',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='BAUD1',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='BAUD2',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='ADR0',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'ERM19264', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'ERM19264'}), 'ref_prefix':'DS', 'fplist':['Display:ERM19264'], 'footprint':'Display:ERM19264', 'keywords':'display LCD graphic', 'description':'', 'datasheet':'https://www.buydisplay.com/download/manual/ERM19264-1_Series_Datasheet.pdf', 'search_text':'/usr/share/kicad/symbols/Display_Graphic.kicad_sym\nERM19264\n\ndisplay LCD graphic', 'pins':[
            Pin(num='18',name='~{CS3}',func=pin_types.INPUT),
            Pin(num='1',name='VSS',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='DB3',func=pin_types.BIDIR,unit=1),
            Pin(num='11',name='DB4',func=pin_types.BIDIR,unit=1),
            Pin(num='12',name='DB5',func=pin_types.BIDIR,unit=1),
            Pin(num='13',name='DB6',func=pin_types.BIDIR,unit=1),
            Pin(num='14',name='DB7',func=pin_types.BIDIR,unit=1),
            Pin(num='15',name='~{CS1}',func=pin_types.INPUT,unit=1),
            Pin(num='16',name='~{RST}',func=pin_types.INPUT,unit=1),
            Pin(num='17',name='~{CS2}',func=pin_types.INPUT,unit=1),
            Pin(num='19',name='VOUT',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='20',name='BLA',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='VO',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='RS',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='R/~{W}',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='E',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='DB0',func=pin_types.BIDIR,unit=1),
            Pin(num='8',name='DB1',func=pin_types.BIDIR,unit=1),
            Pin(num='9',name='DB2',func=pin_types.BIDIR,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'NHD-C12832A1Z-FSRGB', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'NHD-C12832A1Z-FSRGB'}), 'ref_prefix':'U', 'fplist':['Display:NHD-C12832A1Z-FSRGB'], 'footprint':'Display:NHD-C12832A1Z-FSRGB', 'keywords':'lcd rgb st7565r spi 4-wire', 'description':'', 'datasheet':'https://www.newhavendisplay.com/specs/NHD-C12832A1Z-FSRGB-FBW-3V.pdf', 'search_text':'/usr/share/kicad/symbols/Display_Graphic.kicad_sym\nNHD-C12832A1Z-FSRGB\n\nlcd rgb st7565r spi 4-wire', 'pins':[
            Pin(num='1',name='V0',func=pin_types.PASSIVE,unit=1),
            Pin(num='10',name='V_{out}',func=pin_types.PASSIVE,unit=1),
            Pin(num='11',name='V_{ss}',func=pin_types.PWRIN,unit=1),
            Pin(num='12',name='V_{dd}',func=pin_types.PWRIN,unit=1),
            Pin(num='13',name='SDA(SI)',func=pin_types.INPUT,unit=1),
            Pin(num='14',name='SCL',func=pin_types.INPUT,unit=1),
            Pin(num='15',name='A0',func=pin_types.INPUT,unit=1),
            Pin(num='16',name='~{RST}',func=pin_types.INPUT,unit=1),
            Pin(num='17',name='~{CS1B}',func=pin_types.INPUT,unit=1),
            Pin(num='18',name='LED+',func=pin_types.PASSIVE,unit=1),
            Pin(num='19',name='(R)LED-',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='V1',func=pin_types.PASSIVE,unit=1),
            Pin(num='20',name='(G)LED-',func=pin_types.PASSIVE,unit=1),
            Pin(num='21',name='(B)LED-',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='V2',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='V3',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='V4',func=pin_types.PASSIVE,unit=1),
            Pin(num='6',name='C2-',func=pin_types.PASSIVE,unit=1),
            Pin(num='7',name='C2+',func=pin_types.PASSIVE,unit=1),
            Pin(num='8',name='C1+',func=pin_types.PASSIVE,unit=1),
            Pin(num='9',name='C1-',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'OLED-128O064D', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'OLED-128O064D'}), 'ref_prefix':'DS', 'fplist':['Display:OLED-128O064D'], 'footprint':'Display:OLED-128O064D', 'keywords':'display oled', 'description':'', 'datasheet':'https://www.vishay.com/docs/37902/oled128o064dbpp3n00000.pdf', 'search_text':'/usr/share/kicad/symbols/Display_Graphic.kicad_sym\nOLED-128O064D\n\ndisplay oled', 'pins':[
            Pin(num='1',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='BS0',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='BS1',func=pin_types.INPUT,unit=1),
            Pin(num='12',name='BS2',func=pin_types.INPUT,unit=1),
            Pin(num='13',name='~{CS}',func=pin_types.INPUT,unit=1),
            Pin(num='14',name='~{RES}',func=pin_types.INPUT,unit=1),
            Pin(num='15',name='D/~{C}',func=pin_types.INPUT,unit=1),
            Pin(num='16',name='R/~{W}',func=pin_types.INPUT,unit=1),
            Pin(num='17',name='E/~{RD}',func=pin_types.INPUT,unit=1),
            Pin(num='18',name='D0',func=pin_types.BIDIR,unit=1),
            Pin(num='19',name='D1',func=pin_types.BIDIR,unit=1),
            Pin(num='2',name='C2N',func=pin_types.PASSIVE,unit=1),
            Pin(num='20',name='D2',func=pin_types.BIDIR,unit=1),
            Pin(num='21',name='D3',func=pin_types.BIDIR,unit=1),
            Pin(num='22',name='D4',func=pin_types.BIDIR,unit=1),
            Pin(num='23',name='D5',func=pin_types.BIDIR,unit=1),
            Pin(num='24',name='D6',func=pin_types.BIDIR,unit=1),
            Pin(num='25',name='D7',func=pin_types.BIDIR,unit=1),
            Pin(num='26',name='IREF',func=pin_types.PASSIVE,unit=1),
            Pin(num='27',name='VCOMH',func=pin_types.PASSIVE,unit=1),
            Pin(num='28',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='29',name='VLSS',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='C2P',func=pin_types.PASSIVE,unit=1),
            Pin(num='30',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='C1P',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='C1N',func=pin_types.PASSIVE,unit=1),
            Pin(num='6',name='VBAT',func=pin_types.PWRIN,unit=1),
            Pin(num='7',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='8',name='VSS',func=pin_types.PWRIN,unit=1),
            Pin(num='9',name='VDD',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'EA_eDIP128B-6LWTP', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'EA_eDIP128B-6LWTP'}), 'ref_prefix':'U', 'fplist':['Display:EA-eDIP128B-XXX', 'Display:EA-eDIP128B-XXX'], 'footprint':'Display:EA-eDIP128B-XXX', 'keywords':'display LCD graphic', 'description':'', 'datasheet':'http://www.lcd-module.com/fileadmin/eng/pdf/grafik/edip128-6e.pdf', 'search_text':'/usr/share/kicad/symbols/Display_Graphic.kicad_sym\nEA_eDIP128B-6LWTP\n\ndisplay LCD graphic', 'pins':[
            Pin(num='1',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='RxD',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='TxD',func=pin_types.OUTPUT,unit=1),
            Pin(num='12',name='EN485',func=pin_types.OUTPUT,unit=1),
            Pin(num='13',name='WUP',func=pin_types.INPUT,unit=1),
            Pin(num='14',name='ADR1',func=pin_types.INPUT,unit=1),
            Pin(num='15',name='ADR2',func=pin_types.INPUT,unit=1),
            Pin(num='16',name='BUZZ',func=pin_types.OUTPUT,unit=1),
            Pin(num='17',name='DPROT',func=pin_types.INPUT,unit=1),
            Pin(num='18',name='PWR',func=pin_types.OUTPUT,unit=1),
            Pin(num='19',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='2',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='21',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='22',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='23',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='24',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='25',name='IN8/OUT1',func=pin_types.BIDIR,unit=1),
            Pin(num='26',name='IN7/OUT2',func=pin_types.BIDIR,unit=1),
            Pin(num='27',name='IN6/OUT3',func=pin_types.BIDIR,unit=1),
            Pin(num='28',name='IN5/OUT4',func=pin_types.BIDIR,unit=1),
            Pin(num='29',name='IN4/OUT5',func=pin_types.BIDIR,unit=1),
            Pin(num='3',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='30',name='IN3/OUT6',func=pin_types.BIDIR,unit=1),
            Pin(num='31',name='IN2/OUT7',func=pin_types.BIDIR,unit=1),
            Pin(num='32',name='IN1/OUT8',func=pin_types.BIDIR,unit=1),
            Pin(num='4',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='5',name='~{RESET}',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='BAUD0',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='BAUD1',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='BAUD2',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='ADR0',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'EA_eDIP128W-6LW', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'EA_eDIP128W-6LW'}), 'ref_prefix':'U', 'fplist':['Display:EA-eDIP128B-XXX', 'Display:EA-eDIP128B-XXX', 'Display:EA-eDIP128B-XXX'], 'footprint':'Display:EA-eDIP128B-XXX', 'keywords':'display LCD graphic', 'description':'', 'datasheet':'http://www.lcd-module.com/fileadmin/eng/pdf/grafik/edip128-6e.pdf', 'search_text':'/usr/share/kicad/symbols/Display_Graphic.kicad_sym\nEA_eDIP128W-6LW\n\ndisplay LCD graphic', 'pins':[
            Pin(num='1',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='RxD',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='TxD',func=pin_types.OUTPUT,unit=1),
            Pin(num='12',name='EN485',func=pin_types.OUTPUT,unit=1),
            Pin(num='13',name='WUP',func=pin_types.INPUT,unit=1),
            Pin(num='14',name='ADR1',func=pin_types.INPUT,unit=1),
            Pin(num='15',name='ADR2',func=pin_types.INPUT,unit=1),
            Pin(num='16',name='BUZZ',func=pin_types.OUTPUT,unit=1),
            Pin(num='17',name='DPROT',func=pin_types.INPUT,unit=1),
            Pin(num='18',name='PWR',func=pin_types.OUTPUT,unit=1),
            Pin(num='19',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='2',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='21',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='22',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='23',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='24',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='25',name='IN8/OUT1',func=pin_types.BIDIR,unit=1),
            Pin(num='26',name='IN7/OUT2',func=pin_types.BIDIR,unit=1),
            Pin(num='27',name='IN6/OUT3',func=pin_types.BIDIR,unit=1),
            Pin(num='28',name='IN5/OUT4',func=pin_types.BIDIR,unit=1),
            Pin(num='29',name='IN4/OUT5',func=pin_types.BIDIR,unit=1),
            Pin(num='3',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='30',name='IN3/OUT6',func=pin_types.BIDIR,unit=1),
            Pin(num='31',name='IN2/OUT7',func=pin_types.BIDIR,unit=1),
            Pin(num='32',name='IN1/OUT8',func=pin_types.BIDIR,unit=1),
            Pin(num='4',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='5',name='~{RESET}',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='BAUD0',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='BAUD1',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='BAUD2',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='ADR0',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'EA_eDIP128W-6LWTP', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'EA_eDIP128W-6LWTP'}), 'ref_prefix':'U', 'fplist':['Display:EA-eDIP128B-XXX', 'Display:EA-eDIP128B-XXX', 'Display:EA-eDIP128B-XXX', 'Display:EA-eDIP128B-XXX'], 'footprint':'Display:EA-eDIP128B-XXX', 'keywords':'display LCD graphic', 'description':'', 'datasheet':'http://www.lcd-module.com/fileadmin/eng/pdf/grafik/edip128-6e.pdf', 'search_text':'/usr/share/kicad/symbols/Display_Graphic.kicad_sym\nEA_eDIP128W-6LWTP\n\ndisplay LCD graphic', 'pins':[
            Pin(num='1',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='RxD',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='TxD',func=pin_types.OUTPUT,unit=1),
            Pin(num='12',name='EN485',func=pin_types.OUTPUT,unit=1),
            Pin(num='13',name='WUP',func=pin_types.INPUT,unit=1),
            Pin(num='14',name='ADR1',func=pin_types.INPUT,unit=1),
            Pin(num='15',name='ADR2',func=pin_types.INPUT,unit=1),
            Pin(num='16',name='BUZZ',func=pin_types.OUTPUT,unit=1),
            Pin(num='17',name='DPROT',func=pin_types.INPUT,unit=1),
            Pin(num='18',name='PWR',func=pin_types.OUTPUT,unit=1),
            Pin(num='19',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='2',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='21',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='22',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='23',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='24',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='25',name='IN8/OUT1',func=pin_types.BIDIR,unit=1),
            Pin(num='26',name='IN7/OUT2',func=pin_types.BIDIR,unit=1),
            Pin(num='27',name='IN6/OUT3',func=pin_types.BIDIR,unit=1),
            Pin(num='28',name='IN5/OUT4',func=pin_types.BIDIR,unit=1),
            Pin(num='29',name='IN4/OUT5',func=pin_types.BIDIR,unit=1),
            Pin(num='3',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='30',name='IN3/OUT6',func=pin_types.BIDIR,unit=1),
            Pin(num='31',name='IN2/OUT7',func=pin_types.BIDIR,unit=1),
            Pin(num='32',name='IN1/OUT8',func=pin_types.BIDIR,unit=1),
            Pin(num='4',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='5',name='~{RESET}',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='BAUD0',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='BAUD1',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='BAUD2',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='ADR0',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'EA_eDIP160B-7LWTP', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'EA_eDIP160B-7LWTP'}), 'ref_prefix':'U', 'fplist':['Display:EA_eDIP160-XXX', 'Display:EA_eDIP160-XXX'], 'footprint':'Display:EA_eDIP160-XXX', 'keywords':'display LCD graphic', 'description':'', 'datasheet':'http://www.lcd-module.com/fileadmin/eng/pdf/grafik/edip160-7e.pdf', 'search_text':'/usr/share/kicad/symbols/Display_Graphic.kicad_sym\nEA_eDIP160B-7LWTP\n\ndisplay LCD graphic', 'pins':[
            Pin(num='1',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='RxD',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='TxD',func=pin_types.OUTPUT,unit=1),
            Pin(num='12',name='EN485',func=pin_types.OUTPUT,unit=1),
            Pin(num='13',name='WUP',func=pin_types.INPUT,unit=1),
            Pin(num='14',name='ADR1',func=pin_types.INPUT,unit=1),
            Pin(num='15',name='ADR2',func=pin_types.INPUT,unit=1),
            Pin(num='16',name='BUZZ',func=pin_types.OUTPUT,unit=1),
            Pin(num='17',name='DPROT',func=pin_types.INPUT,unit=1),
            Pin(num='18',name='PWR',func=pin_types.OUTPUT,unit=1),
            Pin(num='19',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='2',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='20',name='TEST_SBUF',func=pin_types.OPENCOLL,unit=1),
            Pin(num='21',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='22',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='23',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='24',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='25',name='IN8/OUT1',func=pin_types.BIDIR,unit=1),
            Pin(num='26',name='IN7/OUT2',func=pin_types.BIDIR,unit=1),
            Pin(num='27',name='IN6/OUT3',func=pin_types.BIDIR,unit=1),
            Pin(num='28',name='IN5/OUT4',func=pin_types.BIDIR,unit=1),
            Pin(num='29',name='IN4/OUT5',func=pin_types.BIDIR,unit=1),
            Pin(num='3',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='30',name='IN3/OUT6',func=pin_types.BIDIR,unit=1),
            Pin(num='31',name='IN2/OUT7',func=pin_types.BIDIR,unit=1),
            Pin(num='32',name='IN1/OUT8',func=pin_types.BIDIR,unit=1),
            Pin(num='33',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='34',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='35',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='36',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='37',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='38',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='39',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='4',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='40',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='5',name='~{RESET}',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='BAUD0',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='BAUD1',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='BAUD2',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='ADR0',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'EA_eDIP160W-7LW', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'EA_eDIP160W-7LW'}), 'ref_prefix':'U', 'fplist':['Display:EA_eDIP160-XXX', 'Display:EA_eDIP160-XXX', 'Display:EA_eDIP160-XXX'], 'footprint':'Display:EA_eDIP160-XXX', 'keywords':'display LCD graphic', 'description':'', 'datasheet':'http://www.lcd-module.com/fileadmin/eng/pdf/grafik/edip160-7e.pdf', 'search_text':'/usr/share/kicad/symbols/Display_Graphic.kicad_sym\nEA_eDIP160W-7LW\n\ndisplay LCD graphic', 'pins':[
            Pin(num='1',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='RxD',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='TxD',func=pin_types.OUTPUT,unit=1),
            Pin(num='12',name='EN485',func=pin_types.OUTPUT,unit=1),
            Pin(num='13',name='WUP',func=pin_types.INPUT,unit=1),
            Pin(num='14',name='ADR1',func=pin_types.INPUT,unit=1),
            Pin(num='15',name='ADR2',func=pin_types.INPUT,unit=1),
            Pin(num='16',name='BUZZ',func=pin_types.OUTPUT,unit=1),
            Pin(num='17',name='DPROT',func=pin_types.INPUT,unit=1),
            Pin(num='18',name='PWR',func=pin_types.OUTPUT,unit=1),
            Pin(num='19',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='2',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='20',name='TEST_SBUF',func=pin_types.OPENCOLL,unit=1),
            Pin(num='21',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='22',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='23',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='24',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='25',name='IN8/OUT1',func=pin_types.BIDIR,unit=1),
            Pin(num='26',name='IN7/OUT2',func=pin_types.BIDIR,unit=1),
            Pin(num='27',name='IN6/OUT3',func=pin_types.BIDIR,unit=1),
            Pin(num='28',name='IN5/OUT4',func=pin_types.BIDIR,unit=1),
            Pin(num='29',name='IN4/OUT5',func=pin_types.BIDIR,unit=1),
            Pin(num='3',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='30',name='IN3/OUT6',func=pin_types.BIDIR,unit=1),
            Pin(num='31',name='IN2/OUT7',func=pin_types.BIDIR,unit=1),
            Pin(num='32',name='IN1/OUT8',func=pin_types.BIDIR,unit=1),
            Pin(num='33',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='34',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='35',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='36',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='37',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='38',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='39',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='4',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='40',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='5',name='~{RESET}',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='BAUD0',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='BAUD1',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='BAUD2',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='ADR0',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'EA_eDIP160W-7LWTP', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'EA_eDIP160W-7LWTP'}), 'ref_prefix':'U', 'fplist':['Display:EA_eDIP160-XXX', 'Display:EA_eDIP160-XXX', 'Display:EA_eDIP160-XXX', 'Display:EA_eDIP160-XXX'], 'footprint':'Display:EA_eDIP160-XXX', 'keywords':'display LCD graphic', 'description':'', 'datasheet':'http://www.lcd-module.com/fileadmin/eng/pdf/grafik/edip160-7e.pdf', 'search_text':'/usr/share/kicad/symbols/Display_Graphic.kicad_sym\nEA_eDIP160W-7LWTP\n\ndisplay LCD graphic', 'pins':[
            Pin(num='1',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='RxD',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='TxD',func=pin_types.OUTPUT,unit=1),
            Pin(num='12',name='EN485',func=pin_types.OUTPUT,unit=1),
            Pin(num='13',name='WUP',func=pin_types.INPUT,unit=1),
            Pin(num='14',name='ADR1',func=pin_types.INPUT,unit=1),
            Pin(num='15',name='ADR2',func=pin_types.INPUT,unit=1),
            Pin(num='16',name='BUZZ',func=pin_types.OUTPUT,unit=1),
            Pin(num='17',name='DPROT',func=pin_types.INPUT,unit=1),
            Pin(num='18',name='PWR',func=pin_types.OUTPUT,unit=1),
            Pin(num='19',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='2',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='20',name='TEST_SBUF',func=pin_types.OPENCOLL,unit=1),
            Pin(num='21',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='22',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='23',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='24',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='25',name='IN8/OUT1',func=pin_types.BIDIR,unit=1),
            Pin(num='26',name='IN7/OUT2',func=pin_types.BIDIR,unit=1),
            Pin(num='27',name='IN6/OUT3',func=pin_types.BIDIR,unit=1),
            Pin(num='28',name='IN5/OUT4',func=pin_types.BIDIR,unit=1),
            Pin(num='29',name='IN4/OUT5',func=pin_types.BIDIR,unit=1),
            Pin(num='3',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='30',name='IN3/OUT6',func=pin_types.BIDIR,unit=1),
            Pin(num='31',name='IN2/OUT7',func=pin_types.BIDIR,unit=1),
            Pin(num='32',name='IN1/OUT8',func=pin_types.BIDIR,unit=1),
            Pin(num='33',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='34',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='35',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='36',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='37',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='38',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='39',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='4',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='40',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='5',name='~{RESET}',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='BAUD0',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='BAUD1',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='BAUD2',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='ADR0',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'EA_eDIP240B-7LWTP', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'EA_eDIP240B-7LWTP'}), 'ref_prefix':'U', 'fplist':['Display:EA_eDIP240-XXX', 'Display:EA_eDIP240-XXX'], 'footprint':'Display:EA_eDIP240-XXX', 'keywords':'display LCD graphic', 'description':'', 'datasheet':'http://www.lcd-module.com/fileadmin/eng/pdf/grafik/edip240-7e.pdf', 'search_text':'/usr/share/kicad/symbols/Display_Graphic.kicad_sym\nEA_eDIP240B-7LWTP\n\ndisplay LCD graphic', 'pins':[
            Pin(num='1',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='RxD',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='TxD',func=pin_types.OUTPUT,unit=1),
            Pin(num='12',name='EN485',func=pin_types.OUTPUT,unit=1),
            Pin(num='13',name='DPOM',func=pin_types.INPUT,unit=1),
            Pin(num='14',name='ADR1',func=pin_types.INPUT,unit=1),
            Pin(num='15',name='ADR2',func=pin_types.INPUT,unit=1),
            Pin(num='16',name='BUZZ',func=pin_types.OUTPUT,unit=1),
            Pin(num='17',name='EEP_SDA',func=pin_types.BIDIR,unit=1),
            Pin(num='18',name='EEP_SCL',func=pin_types.OUTPUT,unit=1),
            Pin(num='19',name='EEP_WP',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='20',name='TEST_SBUF',func=pin_types.OPENCOLL,unit=1),
            Pin(num='21',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='22',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='23',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='24',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='25',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='26',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='27',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='28',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='29',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='3',name='VADJ',func=pin_types.INPUT,unit=1),
            Pin(num='30',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='31',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='32',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='33',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='34',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='35',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='36',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='37',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='38',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='39',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='4',name='VOUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='40',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='5',name='~{RESET}',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='BAUD0',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='BAUD1',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='BAUD2',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='ADR0',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'EA_eDIP240J-7LA', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'EA_eDIP240J-7LA'}), 'ref_prefix':'U', 'fplist':['Display:EA_eDIP240-XXX', 'Display:EA_eDIP240-XXX', 'Display:EA_eDIP240-XXX'], 'footprint':'Display:EA_eDIP240-XXX', 'keywords':'display LCD graphic', 'description':'', 'datasheet':'http://www.lcd-module.com/fileadmin/eng/pdf/grafik/edip240-7e.pdf', 'search_text':'/usr/share/kicad/symbols/Display_Graphic.kicad_sym\nEA_eDIP240J-7LA\n\ndisplay LCD graphic', 'pins':[
            Pin(num='1',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='RxD',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='TxD',func=pin_types.OUTPUT,unit=1),
            Pin(num='12',name='EN485',func=pin_types.OUTPUT,unit=1),
            Pin(num='13',name='DPOM',func=pin_types.INPUT,unit=1),
            Pin(num='14',name='ADR1',func=pin_types.INPUT,unit=1),
            Pin(num='15',name='ADR2',func=pin_types.INPUT,unit=1),
            Pin(num='16',name='BUZZ',func=pin_types.OUTPUT,unit=1),
            Pin(num='17',name='EEP_SDA',func=pin_types.BIDIR,unit=1),
            Pin(num='18',name='EEP_SCL',func=pin_types.OUTPUT,unit=1),
            Pin(num='19',name='EEP_WP',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='20',name='TEST_SBUF',func=pin_types.OPENCOLL,unit=1),
            Pin(num='21',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='22',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='23',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='24',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='25',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='26',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='27',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='28',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='29',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='3',name='VADJ',func=pin_types.INPUT,unit=1),
            Pin(num='30',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='31',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='32',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='33',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='34',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='35',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='36',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='37',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='38',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='39',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='4',name='VOUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='40',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='5',name='~{RESET}',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='BAUD0',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='BAUD1',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='BAUD2',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='ADR0',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'EA_eDIP240J-7LATP', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'EA_eDIP240J-7LATP'}), 'ref_prefix':'U', 'fplist':['Display:EA_eDIP240-XXX', 'Display:EA_eDIP240-XXX', 'Display:EA_eDIP240-XXX', 'Display:EA_eDIP240-XXX'], 'footprint':'Display:EA_eDIP240-XXX', 'keywords':'display LCD graphic', 'description':'', 'datasheet':'http://www.lcd-module.com/fileadmin/eng/pdf/grafik/edip240-7e.pdf', 'search_text':'/usr/share/kicad/symbols/Display_Graphic.kicad_sym\nEA_eDIP240J-7LATP\n\ndisplay LCD graphic', 'pins':[
            Pin(num='1',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='RxD',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='TxD',func=pin_types.OUTPUT,unit=1),
            Pin(num='12',name='EN485',func=pin_types.OUTPUT,unit=1),
            Pin(num='13',name='DPOM',func=pin_types.INPUT,unit=1),
            Pin(num='14',name='ADR1',func=pin_types.INPUT,unit=1),
            Pin(num='15',name='ADR2',func=pin_types.INPUT,unit=1),
            Pin(num='16',name='BUZZ',func=pin_types.OUTPUT,unit=1),
            Pin(num='17',name='EEP_SDA',func=pin_types.BIDIR,unit=1),
            Pin(num='18',name='EEP_SCL',func=pin_types.OUTPUT,unit=1),
            Pin(num='19',name='EEP_WP',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='20',name='TEST_SBUF',func=pin_types.OPENCOLL,unit=1),
            Pin(num='21',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='22',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='23',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='24',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='25',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='26',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='27',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='28',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='29',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='3',name='VADJ',func=pin_types.INPUT,unit=1),
            Pin(num='30',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='31',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='32',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='33',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='34',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='35',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='36',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='37',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='38',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='39',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='4',name='VOUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='40',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='5',name='~{RESET}',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='BAUD0',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='BAUD1',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='BAUD2',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='ADR0',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'EA_eDIP240J-7LW', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'EA_eDIP240J-7LW'}), 'ref_prefix':'U', 'fplist':['Display:EA_eDIP240-XXX', 'Display:EA_eDIP240-XXX', 'Display:EA_eDIP240-XXX', 'Display:EA_eDIP240-XXX', 'Display:EA_eDIP240-XXX'], 'footprint':'Display:EA_eDIP240-XXX', 'keywords':'display LCD graphic', 'description':'', 'datasheet':'http://www.lcd-module.com/fileadmin/eng/pdf/grafik/edip240-7e.pdf', 'search_text':'/usr/share/kicad/symbols/Display_Graphic.kicad_sym\nEA_eDIP240J-7LW\n\ndisplay LCD graphic', 'pins':[
            Pin(num='1',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='RxD',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='TxD',func=pin_types.OUTPUT,unit=1),
            Pin(num='12',name='EN485',func=pin_types.OUTPUT,unit=1),
            Pin(num='13',name='DPOM',func=pin_types.INPUT,unit=1),
            Pin(num='14',name='ADR1',func=pin_types.INPUT,unit=1),
            Pin(num='15',name='ADR2',func=pin_types.INPUT,unit=1),
            Pin(num='16',name='BUZZ',func=pin_types.OUTPUT,unit=1),
            Pin(num='17',name='EEP_SDA',func=pin_types.BIDIR,unit=1),
            Pin(num='18',name='EEP_SCL',func=pin_types.OUTPUT,unit=1),
            Pin(num='19',name='EEP_WP',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='20',name='TEST_SBUF',func=pin_types.OPENCOLL,unit=1),
            Pin(num='21',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='22',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='23',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='24',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='25',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='26',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='27',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='28',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='29',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='3',name='VADJ',func=pin_types.INPUT,unit=1),
            Pin(num='30',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='31',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='32',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='33',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='34',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='35',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='36',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='37',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='38',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='39',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='4',name='VOUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='40',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='5',name='~{RESET}',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='BAUD0',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='BAUD1',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='BAUD2',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='ADR0',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'EA_eDIP240J-7LWTP', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'EA_eDIP240J-7LWTP'}), 'ref_prefix':'U', 'fplist':['Display:EA_eDIP240-XXX', 'Display:EA_eDIP240-XXX', 'Display:EA_eDIP240-XXX', 'Display:EA_eDIP240-XXX', 'Display:EA_eDIP240-XXX', 'Display:EA_eDIP240-XXX'], 'footprint':'Display:EA_eDIP240-XXX', 'keywords':'display LCD graphic', 'description':'', 'datasheet':'http://www.lcd-module.com/fileadmin/eng/pdf/grafik/edip240-7e.pdf', 'search_text':'/usr/share/kicad/symbols/Display_Graphic.kicad_sym\nEA_eDIP240J-7LWTP\n\ndisplay LCD graphic', 'pins':[
            Pin(num='1',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='RxD',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='TxD',func=pin_types.OUTPUT,unit=1),
            Pin(num='12',name='EN485',func=pin_types.OUTPUT,unit=1),
            Pin(num='13',name='DPOM',func=pin_types.INPUT,unit=1),
            Pin(num='14',name='ADR1',func=pin_types.INPUT,unit=1),
            Pin(num='15',name='ADR2',func=pin_types.INPUT,unit=1),
            Pin(num='16',name='BUZZ',func=pin_types.OUTPUT,unit=1),
            Pin(num='17',name='EEP_SDA',func=pin_types.BIDIR,unit=1),
            Pin(num='18',name='EEP_SCL',func=pin_types.OUTPUT,unit=1),
            Pin(num='19',name='EEP_WP',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='20',name='TEST_SBUF',func=pin_types.OPENCOLL,unit=1),
            Pin(num='21',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='22',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='23',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='24',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='25',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='26',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='27',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='28',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='29',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='3',name='VADJ',func=pin_types.INPUT,unit=1),
            Pin(num='30',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='31',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='32',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='33',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='34',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='35',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='36',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='37',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='38',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='39',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='4',name='VOUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='40',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='5',name='~{RESET}',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='BAUD0',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='BAUD1',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='BAUD2',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='ADR0',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'EA_eDIP320B-8LWTP', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'EA_eDIP320B-8LWTP'}), 'ref_prefix':'U', 'fplist':['Display:EA_eDIP320X-XXX', 'Display:EA_eDIP320X-XXX'], 'footprint':'Display:EA_eDIP320X-XXX', 'keywords':'display LCD graphic', 'description':'', 'datasheet':'http://www.lcd-module.com/fileadmin/eng/pdf/grafik/edip320-8e.pdf', 'search_text':'/usr/share/kicad/symbols/Display_Graphic.kicad_sym\nEA_eDIP320B-8LWTP\n\ndisplay LCD graphic', 'pins':[
            Pin(num='1',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='RxD',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='TxD',func=pin_types.OUTPUT,unit=1),
            Pin(num='12',name='EN485',func=pin_types.OUTPUT,unit=1),
            Pin(num='13',name='WUP',func=pin_types.INPUT,unit=1),
            Pin(num='14',name='ADR1',func=pin_types.INPUT,unit=1),
            Pin(num='15',name='ADR2',func=pin_types.INPUT,unit=1),
            Pin(num='16',name='BUZZ',func=pin_types.OUTPUT,unit=1),
            Pin(num='17',name='DPROT',func=pin_types.INPUT,unit=1),
            Pin(num='18',name='DPWR',func=pin_types.OUTPUT,unit=1),
            Pin(num='19',name='WP',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='20',name='TEST_SBUF',func=pin_types.OPENCOLL,unit=1),
            Pin(num='21',name='PDI',func=pin_types.INPUT,unit=1),
            Pin(num='22',name='PDO',func=pin_types.OUTPUT,unit=1),
            Pin(num='23',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='24',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='25',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='26',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='27',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='28',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='29',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='3',name='VADJ',func=pin_types.INPUT,unit=1),
            Pin(num='30',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='31',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='32',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='33',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='34',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='35',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='36',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='37',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='38',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='39',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='4',name='VOUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='40',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='41',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='42',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='43',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='44',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='45',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='46',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='47',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='5',name='~{RESET}',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='BAUD0',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='BAUD1',func=pin_types.INPUT,unit=1),
            Pin(num='78',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='8',name='BAUD2',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='ADR0',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'EA_eDIP320J-8LA', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'EA_eDIP320J-8LA'}), 'ref_prefix':'U', 'fplist':['Display:EA_eDIP320X-XXX', 'Display:EA_eDIP320X-XXX', 'Display:EA_eDIP320X-XXX'], 'footprint':'Display:EA_eDIP320X-XXX', 'keywords':'display LCD graphic', 'description':'', 'datasheet':'http://www.lcd-module.com/fileadmin/eng/pdf/grafik/edip320-8e.pdf', 'search_text':'/usr/share/kicad/symbols/Display_Graphic.kicad_sym\nEA_eDIP320J-8LA\n\ndisplay LCD graphic', 'pins':[
            Pin(num='1',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='RxD',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='TxD',func=pin_types.OUTPUT,unit=1),
            Pin(num='12',name='EN485',func=pin_types.OUTPUT,unit=1),
            Pin(num='13',name='WUP',func=pin_types.INPUT,unit=1),
            Pin(num='14',name='ADR1',func=pin_types.INPUT,unit=1),
            Pin(num='15',name='ADR2',func=pin_types.INPUT,unit=1),
            Pin(num='16',name='BUZZ',func=pin_types.OUTPUT,unit=1),
            Pin(num='17',name='DPROT',func=pin_types.INPUT,unit=1),
            Pin(num='18',name='DPWR',func=pin_types.OUTPUT,unit=1),
            Pin(num='19',name='WP',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='20',name='TEST_SBUF',func=pin_types.OPENCOLL,unit=1),
            Pin(num='21',name='PDI',func=pin_types.INPUT,unit=1),
            Pin(num='22',name='PDO',func=pin_types.OUTPUT,unit=1),
            Pin(num='23',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='24',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='25',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='26',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='27',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='28',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='29',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='3',name='VADJ',func=pin_types.INPUT,unit=1),
            Pin(num='30',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='31',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='32',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='33',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='34',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='35',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='36',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='37',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='38',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='39',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='4',name='VOUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='40',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='41',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='42',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='43',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='44',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='45',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='46',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='47',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='5',name='~{RESET}',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='BAUD0',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='BAUD1',func=pin_types.INPUT,unit=1),
            Pin(num='78',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='8',name='BAUD2',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='ADR0',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'EA_eDIP320J-8LATP', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'EA_eDIP320J-8LATP'}), 'ref_prefix':'U', 'fplist':['Display:EA_eDIP320X-XXX', 'Display:EA_eDIP320X-XXX', 'Display:EA_eDIP320X-XXX', 'Display:EA_eDIP320X-XXX'], 'footprint':'Display:EA_eDIP320X-XXX', 'keywords':'display LCD graphic', 'description':'', 'datasheet':'http://www.lcd-module.com/fileadmin/eng/pdf/grafik/edip320-8e.pdf', 'search_text':'/usr/share/kicad/symbols/Display_Graphic.kicad_sym\nEA_eDIP320J-8LATP\n\ndisplay LCD graphic', 'pins':[
            Pin(num='1',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='RxD',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='TxD',func=pin_types.OUTPUT,unit=1),
            Pin(num='12',name='EN485',func=pin_types.OUTPUT,unit=1),
            Pin(num='13',name='WUP',func=pin_types.INPUT,unit=1),
            Pin(num='14',name='ADR1',func=pin_types.INPUT,unit=1),
            Pin(num='15',name='ADR2',func=pin_types.INPUT,unit=1),
            Pin(num='16',name='BUZZ',func=pin_types.OUTPUT,unit=1),
            Pin(num='17',name='DPROT',func=pin_types.INPUT,unit=1),
            Pin(num='18',name='DPWR',func=pin_types.OUTPUT,unit=1),
            Pin(num='19',name='WP',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='20',name='TEST_SBUF',func=pin_types.OPENCOLL,unit=1),
            Pin(num='21',name='PDI',func=pin_types.INPUT,unit=1),
            Pin(num='22',name='PDO',func=pin_types.OUTPUT,unit=1),
            Pin(num='23',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='24',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='25',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='26',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='27',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='28',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='29',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='3',name='VADJ',func=pin_types.INPUT,unit=1),
            Pin(num='30',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='31',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='32',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='33',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='34',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='35',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='36',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='37',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='38',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='39',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='4',name='VOUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='40',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='41',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='42',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='43',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='44',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='45',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='46',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='47',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='5',name='~{RESET}',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='BAUD0',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='BAUD1',func=pin_types.INPUT,unit=1),
            Pin(num='78',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='8',name='BAUD2',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='ADR0',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'EA_eDIP320J-8LW', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'EA_eDIP320J-8LW'}), 'ref_prefix':'U', 'fplist':['Display:EA_eDIP320X-XXX', 'Display:EA_eDIP320X-XXX', 'Display:EA_eDIP320X-XXX', 'Display:EA_eDIP320X-XXX', 'Display:EA_eDIP320X-XXX'], 'footprint':'Display:EA_eDIP320X-XXX', 'keywords':'display LCD graphic', 'description':'', 'datasheet':'http://www.lcd-module.com/fileadmin/eng/pdf/grafik/edip320-8e.pdf', 'search_text':'/usr/share/kicad/symbols/Display_Graphic.kicad_sym\nEA_eDIP320J-8LW\n\ndisplay LCD graphic', 'pins':[
            Pin(num='1',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='RxD',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='TxD',func=pin_types.OUTPUT,unit=1),
            Pin(num='12',name='EN485',func=pin_types.OUTPUT,unit=1),
            Pin(num='13',name='WUP',func=pin_types.INPUT,unit=1),
            Pin(num='14',name='ADR1',func=pin_types.INPUT,unit=1),
            Pin(num='15',name='ADR2',func=pin_types.INPUT,unit=1),
            Pin(num='16',name='BUZZ',func=pin_types.OUTPUT,unit=1),
            Pin(num='17',name='DPROT',func=pin_types.INPUT,unit=1),
            Pin(num='18',name='DPWR',func=pin_types.OUTPUT,unit=1),
            Pin(num='19',name='WP',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='20',name='TEST_SBUF',func=pin_types.OPENCOLL,unit=1),
            Pin(num='21',name='PDI',func=pin_types.INPUT,unit=1),
            Pin(num='22',name='PDO',func=pin_types.OUTPUT,unit=1),
            Pin(num='23',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='24',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='25',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='26',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='27',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='28',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='29',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='3',name='VADJ',func=pin_types.INPUT,unit=1),
            Pin(num='30',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='31',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='32',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='33',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='34',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='35',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='36',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='37',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='38',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='39',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='4',name='VOUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='40',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='41',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='42',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='43',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='44',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='45',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='46',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='47',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='5',name='~{RESET}',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='BAUD0',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='BAUD1',func=pin_types.INPUT,unit=1),
            Pin(num='78',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='8',name='BAUD2',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='ADR0',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'EA_eDIP320J-8LWTP', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'EA_eDIP320J-8LWTP'}), 'ref_prefix':'U', 'fplist':['Display:EA_eDIP320X-XXX', 'Display:EA_eDIP320X-XXX', 'Display:EA_eDIP320X-XXX', 'Display:EA_eDIP320X-XXX', 'Display:EA_eDIP320X-XXX', 'Display:EA_eDIP320X-XXX'], 'footprint':'Display:EA_eDIP320X-XXX', 'keywords':'display LCD graphic', 'description':'', 'datasheet':'http://www.lcd-module.com/fileadmin/eng/pdf/grafik/edip320-8e.pdf', 'search_text':'/usr/share/kicad/symbols/Display_Graphic.kicad_sym\nEA_eDIP320J-8LWTP\n\ndisplay LCD graphic', 'pins':[
            Pin(num='1',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='RxD',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='TxD',func=pin_types.OUTPUT,unit=1),
            Pin(num='12',name='EN485',func=pin_types.OUTPUT,unit=1),
            Pin(num='13',name='WUP',func=pin_types.INPUT,unit=1),
            Pin(num='14',name='ADR1',func=pin_types.INPUT,unit=1),
            Pin(num='15',name='ADR2',func=pin_types.INPUT,unit=1),
            Pin(num='16',name='BUZZ',func=pin_types.OUTPUT,unit=1),
            Pin(num='17',name='DPROT',func=pin_types.INPUT,unit=1),
            Pin(num='18',name='DPWR',func=pin_types.OUTPUT,unit=1),
            Pin(num='19',name='WP',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='20',name='TEST_SBUF',func=pin_types.OPENCOLL,unit=1),
            Pin(num='21',name='PDI',func=pin_types.INPUT,unit=1),
            Pin(num='22',name='PDO',func=pin_types.OUTPUT,unit=1),
            Pin(num='23',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='24',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='25',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='26',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='27',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='28',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='29',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='3',name='VADJ',func=pin_types.INPUT,unit=1),
            Pin(num='30',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='31',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='32',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='33',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='34',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='35',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='36',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='37',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='38',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='39',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='4',name='VOUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='40',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='41',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='42',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='43',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='44',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='45',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='46',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='47',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='5',name='~{RESET}',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='BAUD0',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='BAUD1',func=pin_types.INPUT,unit=1),
            Pin(num='78',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='8',name='BAUD2',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='ADR0',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'EA_eDIPTFT32-ATP', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'EA_eDIPTFT32-ATP'}), 'ref_prefix':'U', 'fplist':['Display:EA_eDIPTFT32-XXX', 'Display:EA_eDIPTFT32-XXX'], 'footprint':'Display:EA_eDIPTFT32-XXX', 'keywords':'display TFT LCD graphic', 'description':'', 'datasheet':'http://www.lcd-module.com/fileadmin/eng/pdf/grafik/ediptft43-ae.pdf', 'search_text':'/usr/share/kicad/symbols/Display_Graphic.kicad_sym\nEA_eDIPTFT32-ATP\n\ndisplay TFT LCD graphic', 'pins':[
            Pin(num='1',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='SA2',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='BA2',func=pin_types.INPUT,unit=1),
            Pin(num='12',name='I2CMO',func=pin_types.INPUT,unit=1),
            Pin(num='13',name='DPOM',func=pin_types.INPUT,unit=1),
            Pin(num='14',name='SDA',func=pin_types.BIDIR,unit=1),
            Pin(num='15',name='SCL',func=pin_types.INPUT,unit=1),
            Pin(num='16',name='BUZZ',func=pin_types.OUTPUT,unit=1),
            Pin(num='17',name='DPROT',func=pin_types.INPUT,unit=1),
            Pin(num='18',name='DNC',func=pin_types.OUTPUT,unit=1),
            Pin(num='19',name='WP',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='20',name='TEST_SBUF',func=pin_types.BIDIR,unit=1),
            Pin(num='21',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='22',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='23',name='AIN1',func=pin_types.INPUT,unit=1),
            Pin(num='24',name='AIN2',func=pin_types.INPUT,unit=1),
            Pin(num='25',name='OUT1/MO8',func=pin_types.OUTPUT,unit=1),
            Pin(num='26',name='OUT2/MO7',func=pin_types.OUTPUT,unit=1),
            Pin(num='27',name='OUT3/MO6',func=pin_types.OUTPUT,unit=1),
            Pin(num='28',name='OUT4/MO5',func=pin_types.OUTPUT,unit=1),
            Pin(num='29',name='OUT5/MO4',func=pin_types.OUTPUT,unit=1),
            Pin(num='3',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='30',name='OUT6/MO3',func=pin_types.OUTPUT,unit=1),
            Pin(num='31',name='OUT7/MO2',func=pin_types.OUTPUT,unit=1),
            Pin(num='32',name='OUT8/MO1',func=pin_types.OUTPUT,unit=1),
            Pin(num='33',name='IN1/MI8',func=pin_types.INPUT,unit=1),
            Pin(num='34',name='IN2/MI7',func=pin_types.INPUT,unit=1),
            Pin(num='35',name='IN3/MI6',func=pin_types.INPUT,unit=1),
            Pin(num='36',name='IN4/MI5',func=pin_types.INPUT,unit=1),
            Pin(num='37',name='IN5/MI4',func=pin_types.INPUT,unit=1),
            Pin(num='38',name='IN6/MI3',func=pin_types.INPUT,unit=1),
            Pin(num='39',name='IN7/MI2',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='40',name='IN8/MI1',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='~{RESET}',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='BA0',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='BA1',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='SA0',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='SA1',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'EA_eDIPTFT43-ATP', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'EA_eDIPTFT43-ATP'}), 'ref_prefix':'U', 'fplist':['Display:EA_eDIPTFT43-XXX', 'Display:EA_eDIPTFT43-XXX'], 'footprint':'Display:EA_eDIPTFT43-XXX', 'keywords':'display TFT LCD graphic', 'description':'', 'datasheet':'http://www.lcd-module.com/fileadmin/eng/pdf/grafik/ediptft43-ae.pdf', 'search_text':'/usr/share/kicad/symbols/Display_Graphic.kicad_sym\nEA_eDIPTFT43-ATP\n\ndisplay TFT LCD graphic', 'pins':[
            Pin(num='1',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='RxD',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='TxD',func=pin_types.OUTPUT,unit=1),
            Pin(num='12',name='EN485',func=pin_types.OUTPUT,unit=1),
            Pin(num='13',name='DPOM',func=pin_types.INPUT,unit=1),
            Pin(num='14',name='ADR1',func=pin_types.INPUT,unit=1),
            Pin(num='15',name='ADR2',func=pin_types.INPUT,unit=1),
            Pin(num='16',name='BUZZ',func=pin_types.OUTPUT,unit=1),
            Pin(num='17',name='DPROT',func=pin_types.INPUT,unit=1),
            Pin(num='18',name='DNC',func=pin_types.OUTPUT,unit=1),
            Pin(num='19',name='WP',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='20',name='TEST_SBUF',func=pin_types.BIDIR,unit=1),
            Pin(num='21',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='22',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='23',name='AIN1',func=pin_types.INPUT,unit=1),
            Pin(num='24',name='AIN2',func=pin_types.INPUT,unit=1),
            Pin(num='25',name='OUT1/MO8',func=pin_types.OUTPUT,unit=1),
            Pin(num='26',name='OUT2/MO7',func=pin_types.OUTPUT,unit=1),
            Pin(num='27',name='OUT3/MO6',func=pin_types.OUTPUT,unit=1),
            Pin(num='28',name='OUT4/MO5',func=pin_types.OUTPUT,unit=1),
            Pin(num='29',name='OUT5/MO4',func=pin_types.OUTPUT,unit=1),
            Pin(num='3',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='30',name='OUT6/MO3',func=pin_types.OUTPUT,unit=1),
            Pin(num='31',name='OUT7/MO2',func=pin_types.OUTPUT,unit=1),
            Pin(num='32',name='OUT8/MO1',func=pin_types.OUTPUT,unit=1),
            Pin(num='33',name='IN1/MI8',func=pin_types.INPUT,unit=1),
            Pin(num='34',name='IN2/MI7',func=pin_types.INPUT,unit=1),
            Pin(num='35',name='IN3/MI6',func=pin_types.INPUT,unit=1),
            Pin(num='36',name='IN4/MI5',func=pin_types.INPUT,unit=1),
            Pin(num='37',name='IN5/MI4',func=pin_types.INPUT,unit=1),
            Pin(num='38',name='IN6/MI3',func=pin_types.INPUT,unit=1),
            Pin(num='39',name='IN7/MI2',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='40',name='IN8/MI1',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='~{RESET}',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='BAUD0',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='BAUD1',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='BAUD2',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='ADR0',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'EA_eDIPTFT43-ATS', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'EA_eDIPTFT43-ATS'}), 'ref_prefix':'U', 'fplist':['Display:EA_eDIPTFT43-XXX', 'Display:EA_eDIPTFT43-XXX', 'Display:EA_eDIPTFT43-XXX'], 'footprint':'Display:EA_eDIPTFT43-XXX', 'keywords':'display TFT LCD graphic', 'description':'', 'datasheet':'http://www.lcd-module.com/fileadmin/eng/pdf/grafik/ediptft43-ae.pdf', 'search_text':'/usr/share/kicad/symbols/Display_Graphic.kicad_sym\nEA_eDIPTFT43-ATS\n\ndisplay TFT LCD graphic', 'pins':[
            Pin(num='1',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='RxD',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='TxD',func=pin_types.OUTPUT,unit=1),
            Pin(num='12',name='EN485',func=pin_types.OUTPUT,unit=1),
            Pin(num='13',name='DPOM',func=pin_types.INPUT,unit=1),
            Pin(num='14',name='ADR1',func=pin_types.INPUT,unit=1),
            Pin(num='15',name='ADR2',func=pin_types.INPUT,unit=1),
            Pin(num='16',name='BUZZ',func=pin_types.OUTPUT,unit=1),
            Pin(num='17',name='DPROT',func=pin_types.INPUT,unit=1),
            Pin(num='18',name='DNC',func=pin_types.OUTPUT,unit=1),
            Pin(num='19',name='WP',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='20',name='TEST_SBUF',func=pin_types.BIDIR,unit=1),
            Pin(num='21',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='22',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='23',name='AIN1',func=pin_types.INPUT,unit=1),
            Pin(num='24',name='AIN2',func=pin_types.INPUT,unit=1),
            Pin(num='25',name='OUT1/MO8',func=pin_types.OUTPUT,unit=1),
            Pin(num='26',name='OUT2/MO7',func=pin_types.OUTPUT,unit=1),
            Pin(num='27',name='OUT3/MO6',func=pin_types.OUTPUT,unit=1),
            Pin(num='28',name='OUT4/MO5',func=pin_types.OUTPUT,unit=1),
            Pin(num='29',name='OUT5/MO4',func=pin_types.OUTPUT,unit=1),
            Pin(num='3',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='30',name='OUT6/MO3',func=pin_types.OUTPUT,unit=1),
            Pin(num='31',name='OUT7/MO2',func=pin_types.OUTPUT,unit=1),
            Pin(num='32',name='OUT8/MO1',func=pin_types.OUTPUT,unit=1),
            Pin(num='33',name='IN1/MI8',func=pin_types.INPUT,unit=1),
            Pin(num='34',name='IN2/MI7',func=pin_types.INPUT,unit=1),
            Pin(num='35',name='IN3/MI6',func=pin_types.INPUT,unit=1),
            Pin(num='36',name='IN4/MI5',func=pin_types.INPUT,unit=1),
            Pin(num='37',name='IN5/MI4',func=pin_types.INPUT,unit=1),
            Pin(num='38',name='IN6/MI3',func=pin_types.INPUT,unit=1),
            Pin(num='39',name='IN7/MI2',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='40',name='IN8/MI1',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='~{RESET}',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='BAUD0',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='BAUD1',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='BAUD2',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='ADR0',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'EA_eDIPTFT57-ATP', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'EA_eDIPTFT57-ATP'}), 'ref_prefix':'U', 'fplist':['Display:EA_eDIPTFT57-XXX', 'Display:EA_eDIPTFT57-XXX'], 'footprint':'Display:EA_eDIPTFT57-XXX', 'keywords':'display TFT LCD graphic', 'description':'', 'datasheet':'http://www.lcd-module.com/fileadmin/eng/pdf/grafik/ediptft57-ae.pdf', 'search_text':'/usr/share/kicad/symbols/Display_Graphic.kicad_sym\nEA_eDIPTFT57-ATP\n\ndisplay TFT LCD graphic', 'pins':[
            Pin(num='1',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='RxD',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='TxD',func=pin_types.OUTPUT,unit=1),
            Pin(num='12',name='EN485',func=pin_types.OUTPUT,unit=1),
            Pin(num='13',name='DPOM',func=pin_types.INPUT,unit=1),
            Pin(num='14',name='ADR1',func=pin_types.INPUT,unit=1),
            Pin(num='15',name='ADR2',func=pin_types.INPUT,unit=1),
            Pin(num='16',name='BUZZ',func=pin_types.OUTPUT,unit=1),
            Pin(num='17',name='DPROT',func=pin_types.INPUT,unit=1),
            Pin(num='18',name='DNC',func=pin_types.OUTPUT,unit=1),
            Pin(num='19',name='WP',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='20',name='TEST_SBUF',func=pin_types.BIDIR,unit=1),
            Pin(num='21',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='22',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='23',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='24',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='25',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='26',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='27',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='28',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='29',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='SND+',func=pin_types.OUTPUT,unit=1),
            Pin(num='30',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='31',name='AIN1',func=pin_types.INPUT,unit=1),
            Pin(num='32',name='AIN2',func=pin_types.INPUT,unit=1),
            Pin(num='33',name='OUT1/MO8',func=pin_types.OUTPUT,unit=1),
            Pin(num='34',name='OUT2/MO7',func=pin_types.OUTPUT,unit=1),
            Pin(num='35',name='OUT3/MO6',func=pin_types.OUTPUT,unit=1),
            Pin(num='36',name='OUT4/MO5',func=pin_types.OUTPUT,unit=1),
            Pin(num='37',name='OUT5/MO4',func=pin_types.OUTPUT,unit=1),
            Pin(num='38',name='OUT6/MO3',func=pin_types.OUTPUT,unit=1),
            Pin(num='39',name='OUT7/MO2',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='SND-',func=pin_types.INPUT,unit=1),
            Pin(num='40',name='OUT8/MO1',func=pin_types.OUTPUT,unit=1),
            Pin(num='41',name='IN1/MI8',func=pin_types.INPUT,unit=1),
            Pin(num='42',name='IN2/MI7',func=pin_types.INPUT,unit=1),
            Pin(num='43',name='IN3/MI6',func=pin_types.INPUT,unit=1),
            Pin(num='44',name='IN4/MI5',func=pin_types.INPUT,unit=1),
            Pin(num='45',name='IN5/MI4',func=pin_types.INPUT,unit=1),
            Pin(num='46',name='IN6/MI3',func=pin_types.INPUT,unit=1),
            Pin(num='47',name='IN7/MI2',func=pin_types.INPUT,unit=1),
            Pin(num='48',name='IN8/MI1',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='~{RESET}',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='BAUD0',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='BAUD1',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='BAUD2',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='ADR0',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'EA_eDIPTFT70-ATP', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'EA_eDIPTFT70-ATP'}), 'ref_prefix':'U', 'fplist':['Display:EA_eDIPTFT70-XXX', 'Display:EA_eDIPTFT70-XXX'], 'footprint':'Display:EA_eDIPTFT70-XXX', 'keywords':'display TFT LCD graphic', 'description':'', 'datasheet':'http://www.lcd-module.com/fileadmin/eng/pdf/grafik/ediptft70-ae.pdf', 'search_text':'/usr/share/kicad/symbols/Display_Graphic.kicad_sym\nEA_eDIPTFT70-ATP\n\ndisplay TFT LCD graphic', 'pins':[
            Pin(num='1',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='RxD',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='TxD',func=pin_types.OUTPUT,unit=1),
            Pin(num='12',name='EN485',func=pin_types.OUTPUT,unit=1),
            Pin(num='13',name='DPOM',func=pin_types.INPUT,unit=1),
            Pin(num='14',name='ADR1',func=pin_types.INPUT,unit=1),
            Pin(num='15',name='ADR2',func=pin_types.INPUT,unit=1),
            Pin(num='16',name='BUZZ',func=pin_types.OUTPUT,unit=1),
            Pin(num='17',name='DPROT',func=pin_types.INPUT,unit=1),
            Pin(num='18',name='DNC',func=pin_types.OUTPUT,unit=1),
            Pin(num='19',name='WP',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='20',name='TEST_SBUF',func=pin_types.BIDIR,unit=1),
            Pin(num='21',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='22',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='23',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='24',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='25',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='26',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='27',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='28',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='29',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='SND+',func=pin_types.OUTPUT,unit=1),
            Pin(num='30',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='31',name='AIN1',func=pin_types.INPUT,unit=1),
            Pin(num='32',name='AIN2',func=pin_types.INPUT,unit=1),
            Pin(num='33',name='OUT1/MO8',func=pin_types.OUTPUT,unit=1),
            Pin(num='34',name='OUT2/MO7',func=pin_types.OUTPUT,unit=1),
            Pin(num='35',name='OUT3/MO6',func=pin_types.OUTPUT,unit=1),
            Pin(num='36',name='OUT4/MO5',func=pin_types.OUTPUT,unit=1),
            Pin(num='37',name='OUT5/MO4',func=pin_types.OUTPUT,unit=1),
            Pin(num='38',name='OUT6/MO3',func=pin_types.OUTPUT,unit=1),
            Pin(num='39',name='OUT7/MO2',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='SND-',func=pin_types.INPUT,unit=1),
            Pin(num='40',name='OUT8/MO1',func=pin_types.OUTPUT,unit=1),
            Pin(num='41',name='IN1/MI8',func=pin_types.INPUT,unit=1),
            Pin(num='42',name='IN2/MI7',func=pin_types.INPUT,unit=1),
            Pin(num='43',name='IN3/MI6',func=pin_types.INPUT,unit=1),
            Pin(num='44',name='IN4/MI5',func=pin_types.INPUT,unit=1),
            Pin(num='45',name='IN5/MI4',func=pin_types.INPUT,unit=1),
            Pin(num='46',name='IN6/MI3',func=pin_types.INPUT,unit=1),
            Pin(num='47',name='IN7/MI2',func=pin_types.INPUT,unit=1),
            Pin(num='48',name='IN8/MI1',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='~{RESET}',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='BAUD0',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='BAUD1',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='BAUD2',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='ADR0',func=pin_types.INPUT,unit=1)], 'unit_defs':[] })])