from collections import defaultdict
from skidl import Pin, Part, Alias, SchLib, SKIDL, TEMPLATE

from skidl.pin import pin_types

SKIDL_lib_version = '0.0.1'

Filter = SchLib(tool=SKIDL).add_parts(*[
        Part(**{ 'name':'0850BM14E0016', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'0850BM14E0016'}), 'ref_prefix':'FL', 'fplist':['RF_Converter:Balun_Johanson_1.6x0.8mm'], 'footprint':'RF_Converter:Balun_Johanson_1.6x0.8mm', 'keywords':'Sub-GHz Balun', 'description':'', 'datasheet':'https://www.johansontechnology.com/datasheets/0850BM14E0016/0850BM14E0016.pdf', 'search_text':'/usr/share/kicad/symbols/Filter.kicad_sym\n0850BM14E0016\n\nSub-GHz Balun', 'pins':[
            Pin(num='1',name='UBP',func=pin_types.PASSIVE),
            Pin(num='2',name='RX/TX',func=pin_types.PASSIVE),
            Pin(num='3',name='RF_N',func=pin_types.PASSIVE),
            Pin(num='4',name='RF_P',func=pin_types.PASSIVE),
            Pin(num='5',name='GND',func=pin_types.PWRIN),
            Pin(num='6',name='GND',func=pin_types.PASSIVE)], 'unit_defs':[] }),
        Part(**{ 'name':'0900FM15K0039', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'0900FM15K0039'}), 'ref_prefix':'FL', 'fplist':['RF_Converter:Balun_Johanson_0900FM15K0039'], 'footprint':'RF_Converter:Balun_Johanson_0900FM15K0039', 'keywords':'Sub-GHz filter', 'description':'', 'datasheet':'https://www.johansontechnology.com/datasheets/0900FM15K0039/0900FM15K0039.pdf', 'search_text':'/usr/share/kicad/symbols/Filter.kicad_sym\n0900FM15K0039\n\nSub-GHz filter', 'pins':[
            Pin(num='1',name='RFO',func=pin_types.PASSIVE),
            Pin(num='10',name='GND',func=pin_types.PASSIVE),
            Pin(num='2',name='GND',func=pin_types.PWRIN),
            Pin(num='3',name='RFI_N',func=pin_types.PASSIVE),
            Pin(num='4',name='RFI_P',func=pin_types.PASSIVE),
            Pin(num='5',name='GND',func=pin_types.PASSIVE),
            Pin(num='6',name='SW_RFI',func=pin_types.PASSIVE),
            Pin(num='7',name='GND',func=pin_types.PASSIVE),
            Pin(num='8',name='SW_RFO',func=pin_types.PASSIVE),
            Pin(num='9',name='GND',func=pin_types.PASSIVE)], 'unit_defs':[] }),
        Part(**{ 'name':'1FP45-0R', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'1FP45-0R'}), 'ref_prefix':'FL', 'fplist':['Filter:Filter_FILTERCON_1FPxx'], 'footprint':'Filter:Filter_FILTERCON_1FPxx', 'keywords':'EMI', 'description':'', 'datasheet':'https://filtercon.com.pl/wp-content/uploads/2019/07/Karta-katalogowa-FP-12-1.pdf', 'search_text':'/usr/share/kicad/symbols/Filter.kicad_sym\n1FP45-0R\n\nEMI', 'pins':[
            Pin(num='1',name='P',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name="P'",func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='N',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name="N'",func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'B39162B8813P810', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'B39162B8813P810'}), 'ref_prefix':'FL', 'fplist':['Filter:Filter_1109-5_1.1x0.9mm'], 'footprint':'Filter:Filter_1109-5_1.1x0.9mm', 'keywords':'SAW filter', 'description':'', 'datasheet':'https://product.tdk.com/search-template/en/documents/data_sheet/40/ds/mc/B9482.pdf', 'search_text':'/usr/share/kicad/symbols/Filter.kicad_sym\nB39162B8813P810\n\nSAW filter', 'pins':[
            Pin(num='1',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='~',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BNX025', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BNX025'}), 'ref_prefix':'FL', 'fplist':['Filter:Filter_Murata_BNX025'], 'footprint':'Filter:Filter_Murata_BNX025', 'keywords':'EMI Filter SMD Murata', 'description':'', 'datasheet':'https://www.murata.com/en-us/products/productdetail.aspx?cate=luNoiseSupprFilteBlockType&partno=BNX025H01%23', 'search_text':'/usr/share/kicad/symbols/Filter.kicad_sym\nBNX025\n\nEMI Filter SMD Murata', 'pins':[
            Pin(num='1',name='B',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='CB',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='PSG',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='CG',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'Choke_Coilcraft_0603USB-251', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'Choke_Coilcraft_0603USB-251'}), 'ref_prefix':'FL', 'fplist':['Inductor_SMD:L_CommonModeChoke_Coilcraft_0603USB'], 'footprint':'Inductor_SMD:L_CommonModeChoke_Coilcraft_0603USB', 'keywords':'common-mode common mode choke signal line filter', 'description':'', 'datasheet':'https://www.coilcraft.com/pdfs/0603usb.pdf', 'search_text':'/usr/share/kicad/symbols/Filter.kicad_sym\nChoke_Coilcraft_0603USB-251\n\ncommon-mode common mode choke signal line filter', 'pins':[
            Pin(num='1',name='1',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='2',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='3',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='4',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'Choke_CommonMode_PulseElectronics_PH9455x105NL', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'Choke_CommonMode_PulseElectronics_PH9455x105NL'}), 'ref_prefix':'FL', 'fplist':['Inductor_THT:L_CommonMode_PulseElectronics_PH9455x105NL_1'], 'footprint':'Inductor_THT:L_CommonMode_PulseElectronics_PH9455x105NL_1', 'keywords':'common-mode common mode choke powerline power line filter', 'description':'', 'datasheet':'https://productfinder.pulseelectronics.com/api/open/product-attachments/datasheet/ph9455.105nl', 'search_text':'/usr/share/kicad/symbols/Filter.kicad_sym\nChoke_CommonMode_PulseElectronics_PH9455x105NL\n\ncommon-mode common mode choke powerline power line filter', 'pins':[
            Pin(num='1',name='1',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='2',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='3',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='4',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'Choke_Schaffner_RN102-0.3-02-22M', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'Choke_Schaffner_RN102-0.3-02-22M'}), 'ref_prefix':'FL', 'fplist':['Inductor_THT:Choke_Schaffner_RN102-04-14.0x14.0mm'], 'footprint':'Inductor_THT:Choke_Schaffner_RN102-04-14.0x14.0mm', 'keywords':'common-mode common mode choke powerline power line filter', 'description':'', 'datasheet':'https://www.schaffner.com/products/download/product/datasheet/rn-series-common-mode-chokes-new/', 'search_text':'/usr/share/kicad/symbols/Filter.kicad_sym\nChoke_Schaffner_RN102-0.3-02-22M\n\ncommon-mode common mode choke powerline power line filter', 'pins':[
            Pin(num='1',name='1',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='2',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='3',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='4',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'Choke_Wurth_WE-CNSW_744232090', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'Choke_Wurth_WE-CNSW_744232090'}), 'ref_prefix':'L', 'fplist':['Inductor_SMD:L_CommonMode_Wurth_WE-CNSW-1206'], 'footprint':'Inductor_SMD:L_CommonMode_Wurth_WE-CNSW-1206', 'keywords':'common mode choke emi usb', 'description':'', 'datasheet':'https://www.we-online.com/components/products/datasheet/744232090.pdf', 'search_text':'/usr/share/kicad/symbols/Filter.kicad_sym\nChoke_Wurth_WE-CNSW_744232090\n\ncommon mode choke emi usb', 'pins':[
            Pin(num='1',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'ECMF02-2AMX6', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'ECMF02-2AMX6'}), 'ref_prefix':'U1', 'fplist':['Package_DFN_QFN:ST_UQFN-6L_1.5x1.7mm_P0.5mm'], 'footprint':'Package_DFN_QFN:ST_UQFN-6L_1.5x1.7mm_P0.5mm', 'keywords':'TVS filter suppressor ST', 'description':'', 'datasheet':'https://www.st.com/resource/en/datasheet/ecmf02-2amx6.pdf', 'search_text':'/usr/share/kicad/symbols/Filter.kicad_sym\nECMF02-2AMX6\n\nTVS filter suppressor ST', 'pins':[
            Pin(num='1',name='D+',func=pin_types.BIDIR,unit=1),
            Pin(num='2',name='D-',func=pin_types.BIDIR,unit=1),
            Pin(num='3',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='5',name='D-',func=pin_types.BIDIR,unit=1),
            Pin(num='6',name='D+',func=pin_types.BIDIR,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'FN405-0.5-02', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'FN405-0.5-02'}), 'ref_prefix':'FL', 'fplist':['Filter:Filter_Schaffner_FN405'], 'footprint':'Filter:Filter_Schaffner_FN405', 'keywords':'EMI', 'description':'', 'datasheet':'https://www.schaffner.com/de/produkte/download/product/datasheet/fn-405-pcb-mounting-filter/', 'search_text':'/usr/share/kicad/symbols/Filter.kicad_sym\nFN405-0.5-02\n\nEMI', 'pins':[
            Pin(num='1',name='N',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name="N'",func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='E',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name="P'",func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='P',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'FN406-0.5-02', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'FN406-0.5-02'}), 'ref_prefix':'FL', 'fplist':['Filter:Filter_Schaffner_FN406'], 'footprint':'Filter:Filter_Schaffner_FN406', 'keywords':'EMI mains', 'description':'', 'datasheet':'https://www.schaffner.com/products/download/product/datasheet/fn-406-ultra-compact-emc-filter/', 'search_text':'/usr/share/kicad/symbols/Filter.kicad_sym\nFN406-0.5-02\n\nEMI mains', 'pins':[
            Pin(num='1',name='P',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='N',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='PE',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name="N'",func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name="P'",func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LTC1562xxG', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LTC1562xxG'}), 'ref_prefix':'U', 'fplist':['Package_SO:SSOP-20_5.3x7.2mm_P0.65mm'], 'footprint':'Package_SO:SSOP-20_5.3x7.2mm_P0.65mm', 'keywords':'filter opamp quad', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/1562fa.pdf', 'search_text':'/usr/share/kicad/symbols/Filter.kicad_sym\nLTC1562xxG\n\nfilter opamp quad', 'pins':[
            Pin(num='1',name='INV_B',func=pin_types.INPUT,unit=1),
            Pin(num='10',name='INV_A',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='INV_D',func=pin_types.INPUT,unit=1),
            Pin(num='12',name='V1_D',func=pin_types.OUTPUT,unit=1),
            Pin(num='13',name='V2_D',func=pin_types.OUTPUT,unit=1),
            Pin(num='14',name='V-',func=pin_types.PASSIVE,unit=1),
            Pin(num='15',name='AGND',func=pin_types.PWRIN,unit=1),
            Pin(num='16',name='V-',func=pin_types.PWRIN,unit=1),
            Pin(num='17',name='V-',func=pin_types.PASSIVE,unit=1),
            Pin(num='18',name='V2_C',func=pin_types.OUTPUT,unit=1),
            Pin(num='19',name='V1_C',func=pin_types.OUTPUT,unit=1),
            Pin(num='2',name='V1_B',func=pin_types.OUTPUT,unit=1),
            Pin(num='20',name='INV_C',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='V2_B',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='V-',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='V+',func=pin_types.PWRIN,unit=1),
            Pin(num='6',name='SHDN',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='V-',func=pin_types.PASSIVE,unit=1),
            Pin(num='8',name='V2_A',func=pin_types.OUTPUT,unit=1),
            Pin(num='9',name='V1_A',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SF14-1575F5UUA1', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SF14-1575F5UUA1'}), 'ref_prefix':'FL', 'fplist':['Filter:Filter_1411-5_1.4x1.1mm'], 'footprint':'Filter:Filter_1411-5_1.4x1.1mm', 'keywords':'SAW filter', 'description':'', 'datasheet':'https://global.kyocera.com/prdct/electro/product/pdf/sf14_gnss.pdf', 'search_text':'/usr/share/kicad/symbols/Filter.kicad_sym\nSF14-1575F5UUA1\n\nSAW filter', 'pins':[
            Pin(num='1',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='~',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'1FP41-4R', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'1FP41-4R'}), 'ref_prefix':'FL', 'fplist':['Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx'], 'footprint':'Filter:Filter_FILTERCON_1FPxx', 'keywords':'EMI', 'description':'', 'datasheet':'https://filtercon.com.pl/wp-content/uploads/2019/07/Karta-katalogowa-FP-12-1.pdf', 'search_text':'/usr/share/kicad/symbols/Filter.kicad_sym\n1FP41-4R\n\nEMI', 'pins':[
            Pin(num='1',name='P',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name="P'",func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='N',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name="N'",func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'1FP42-3R', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'1FP42-3R'}), 'ref_prefix':'FL', 'fplist':['Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx'], 'footprint':'Filter:Filter_FILTERCON_1FPxx', 'keywords':'EMI', 'description':'', 'datasheet':'https://filtercon.com.pl/wp-content/uploads/2019/07/Karta-katalogowa-FP-12-1.pdf', 'search_text':'/usr/share/kicad/symbols/Filter.kicad_sym\n1FP42-3R\n\nEMI', 'pins':[
            Pin(num='1',name='P',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name="P'",func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='N',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name="N'",func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'1FP44-2R', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'1FP44-2R'}), 'ref_prefix':'FL', 'fplist':['Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx'], 'footprint':'Filter:Filter_FILTERCON_1FPxx', 'keywords':'EMI', 'description':'', 'datasheet':'https://filtercon.com.pl/wp-content/uploads/2019/07/Karta-katalogowa-FP-12-1.pdf', 'search_text':'/usr/share/kicad/symbols/Filter.kicad_sym\n1FP44-2R\n\nEMI', 'pins':[
            Pin(num='1',name='P',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name="P'",func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='N',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name="N'",func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'1FP45-1R', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'1FP45-1R'}), 'ref_prefix':'FL', 'fplist':['Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx'], 'footprint':'Filter:Filter_FILTERCON_1FPxx', 'keywords':'EMI', 'description':'', 'datasheet':'https://filtercon.com.pl/wp-content/uploads/2019/07/Karta-katalogowa-FP-12-1.pdf', 'search_text':'/usr/share/kicad/symbols/Filter.kicad_sym\n1FP45-1R\n\nEMI', 'pins':[
            Pin(num='1',name='P',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name="P'",func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='N',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name="N'",func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'1FP61-4R', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'1FP61-4R'}), 'ref_prefix':'FL', 'fplist':['Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx'], 'footprint':'Filter:Filter_FILTERCON_1FPxx', 'keywords':'EMI', 'description':'', 'datasheet':'https://filtercon.com.pl/wp-content/uploads/2019/07/Karta-katalogowa-FP-12-1.pdf', 'search_text':'/usr/share/kicad/symbols/Filter.kicad_sym\n1FP61-4R\n\nEMI', 'pins':[
            Pin(num='1',name='P',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name="P'",func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='N',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name="N'",func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'1FP62-3R', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'1FP62-3R'}), 'ref_prefix':'FL', 'fplist':['Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx'], 'footprint':'Filter:Filter_FILTERCON_1FPxx', 'keywords':'EMI', 'description':'', 'datasheet':'https://filtercon.com.pl/wp-content/uploads/2019/07/Karta-katalogowa-FP-12-1.pdf', 'search_text':'/usr/share/kicad/symbols/Filter.kicad_sym\n1FP62-3R\n\nEMI', 'pins':[
            Pin(num='1',name='P',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name="P'",func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='N',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name="N'",func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'1FP64-2R', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'1FP64-2R'}), 'ref_prefix':'FL', 'fplist':['Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx'], 'footprint':'Filter:Filter_FILTERCON_1FPxx', 'keywords':'EMI', 'description':'', 'datasheet':'https://filtercon.com.pl/wp-content/uploads/2019/07/Karta-katalogowa-FP-12-1.pdf', 'search_text':'/usr/share/kicad/symbols/Filter.kicad_sym\n1FP64-2R\n\nEMI', 'pins':[
            Pin(num='1',name='P',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name="P'",func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='N',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name="N'",func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'1FP65-0R', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'1FP65-0R'}), 'ref_prefix':'FL', 'fplist':['Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx'], 'footprint':'Filter:Filter_FILTERCON_1FPxx', 'keywords':'EMI', 'description':'', 'datasheet':'https://filtercon.com.pl/wp-content/uploads/2019/07/Karta-katalogowa-FP-12-1.pdf', 'search_text':'/usr/share/kicad/symbols/Filter.kicad_sym\n1FP65-0R\n\nEMI', 'pins':[
            Pin(num='1',name='P',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name="P'",func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='N',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name="N'",func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'1FP65-1R', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'1FP65-1R'}), 'ref_prefix':'FL', 'fplist':['Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx'], 'footprint':'Filter:Filter_FILTERCON_1FPxx', 'keywords':'EMI', 'description':'', 'datasheet':'https://filtercon.com.pl/wp-content/uploads/2019/07/Karta-katalogowa-FP-12-1.pdf', 'search_text':'/usr/share/kicad/symbols/Filter.kicad_sym\n1FP65-1R\n\nEMI', 'pins':[
            Pin(num='1',name='P',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name="P'",func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='N',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name="N'",func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'Choke_Coilcraft_0603USB-142', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'Choke_Coilcraft_0603USB-142'}), 'ref_prefix':'FL', 'fplist':['Inductor_SMD:L_CommonModeChoke_Coilcraft_0603USB', 'Inductor_SMD:L_CommonModeChoke_Coilcraft_0603USB'], 'footprint':'Inductor_SMD:L_CommonModeChoke_Coilcraft_0603USB', 'keywords':'common-mode common mode choke signal line filter', 'description':'', 'datasheet':'https://www.coilcraft.com/pdfs/0603usb.pdf', 'search_text':'/usr/share/kicad/symbols/Filter.kicad_sym\nChoke_Coilcraft_0603USB-142\n\ncommon-mode common mode choke signal line filter', 'pins':[
            Pin(num='1',name='1',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='2',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='3',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='4',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'Choke_Coilcraft_0603USB-222', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'Choke_Coilcraft_0603USB-222'}), 'ref_prefix':'FL', 'fplist':['Inductor_SMD:L_CommonModeChoke_Coilcraft_0603USB', 'Inductor_SMD:L_CommonModeChoke_Coilcraft_0603USB', 'Inductor_SMD:L_CommonModeChoke_Coilcraft_0603USB'], 'footprint':'Inductor_SMD:L_CommonModeChoke_Coilcraft_0603USB', 'keywords':'common-mode common mode choke signal line filter', 'description':'', 'datasheet':'https://www.coilcraft.com/pdfs/0603usb.pdf', 'search_text':'/usr/share/kicad/symbols/Filter.kicad_sym\nChoke_Coilcraft_0603USB-222\n\ncommon-mode common mode choke signal line filter', 'pins':[
            Pin(num='1',name='1',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='2',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='3',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='4',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'Choke_Coilcraft_0603USB-601', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'Choke_Coilcraft_0603USB-601'}), 'ref_prefix':'FL', 'fplist':['Inductor_SMD:L_CommonModeChoke_Coilcraft_0603USB', 'Inductor_SMD:L_CommonModeChoke_Coilcraft_0603USB', 'Inductor_SMD:L_CommonModeChoke_Coilcraft_0603USB', 'Inductor_SMD:L_CommonModeChoke_Coilcraft_0603USB'], 'footprint':'Inductor_SMD:L_CommonModeChoke_Coilcraft_0603USB', 'keywords':'common-mode common mode choke signal line filter', 'description':'', 'datasheet':'https://www.coilcraft.com/pdfs/0603usb.pdf', 'search_text':'/usr/share/kicad/symbols/Filter.kicad_sym\nChoke_Coilcraft_0603USB-601\n\ncommon-mode common mode choke signal line filter', 'pins':[
            Pin(num='1',name='1',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='2',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='3',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='4',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'Choke_Coilcraft_0603USB-951', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'Choke_Coilcraft_0603USB-951'}), 'ref_prefix':'FL', 'fplist':['Inductor_SMD:L_CommonModeChoke_Coilcraft_0603USB', 'Inductor_SMD:L_CommonModeChoke_Coilcraft_0603USB', 'Inductor_SMD:L_CommonModeChoke_Coilcraft_0603USB', 'Inductor_SMD:L_CommonModeChoke_Coilcraft_0603USB', 'Inductor_SMD:L_CommonModeChoke_Coilcraft_0603USB'], 'footprint':'Inductor_SMD:L_CommonModeChoke_Coilcraft_0603USB', 'keywords':'common-mode common mode choke signal line filter', 'description':'', 'datasheet':'https://www.coilcraft.com/pdfs/0603usb.pdf', 'search_text':'/usr/share/kicad/symbols/Filter.kicad_sym\nChoke_Coilcraft_0603USB-951\n\ncommon-mode common mode choke signal line filter', 'pins':[
            Pin(num='1',name='1',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='2',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='3',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='4',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'Choke_CommonMode_PulseElectronics_PH9455x155NL', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'Choke_CommonMode_PulseElectronics_PH9455x155NL'}), 'ref_prefix':'FL', 'fplist':['Inductor_THT:L_CommonMode_PulseElectronics_PH9455x105NL_1', 'Inductor_THT:L_CommonMode_PulseElectronics_PH9455x155NL_1'], 'footprint':'Inductor_THT:L_CommonMode_PulseElectronics_PH9455x105NL_1', 'keywords':'common-mode common mode choke powerline power line filter', 'description':'', 'datasheet':'https://productfinder.pulseelectronics.com/api/open/product-attachments/datasheet/ph9455.105nl', 'search_text':'/usr/share/kicad/symbols/Filter.kicad_sym\nChoke_CommonMode_PulseElectronics_PH9455x155NL\n\ncommon-mode common mode choke powerline power line filter', 'pins':[
            Pin(num='1',name='1',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='2',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='3',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='4',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'Choke_CommonMode_PulseElectronics_PH9455x156NL', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'Choke_CommonMode_PulseElectronics_PH9455x156NL'}), 'ref_prefix':'FL', 'fplist':['Inductor_THT:L_CommonMode_PulseElectronics_PH9455x105NL_1', 'Inductor_THT:L_CommonMode_PulseElectronics_PH9455x155NL_1', 'Inductor_THT:L_CommonMode_PulseElectronics_PH9455xxx6NL_2'], 'footprint':'Inductor_THT:L_CommonMode_PulseElectronics_PH9455x105NL_1', 'keywords':'common-mode common mode choke powerline power line filter', 'description':'', 'datasheet':'https://productfinder.pulseelectronics.com/api/open/product-attachments/datasheet/ph9455.105nl', 'search_text':'/usr/share/kicad/symbols/Filter.kicad_sym\nChoke_CommonMode_PulseElectronics_PH9455x156NL\n\ncommon-mode common mode choke powerline power line filter', 'pins':[
            Pin(num='1',name='1',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='2',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='3',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='4',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'Choke_CommonMode_PulseElectronics_PH9455x205NL', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'Choke_CommonMode_PulseElectronics_PH9455x205NL'}), 'ref_prefix':'FL', 'fplist':['Inductor_THT:L_CommonMode_PulseElectronics_PH9455x105NL_1', 'Inductor_THT:L_CommonMode_PulseElectronics_PH9455x155NL_1', 'Inductor_THT:L_CommonMode_PulseElectronics_PH9455xxx6NL_2', 'Inductor_THT:L_CommonMode_PulseElectronics_PH9455x205NL_1'], 'footprint':'Inductor_THT:L_CommonMode_PulseElectronics_PH9455x105NL_1', 'keywords':'common-mode common mode choke powerline power line filter', 'description':'', 'datasheet':'https://productfinder.pulseelectronics.com/api/open/product-attachments/datasheet/ph9455.105nl', 'search_text':'/usr/share/kicad/symbols/Filter.kicad_sym\nChoke_CommonMode_PulseElectronics_PH9455x205NL\n\ncommon-mode common mode choke powerline power line filter', 'pins':[
            Pin(num='1',name='1',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='2',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='3',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='4',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'Choke_CommonMode_PulseElectronics_PH9455x356NL', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'Choke_CommonMode_PulseElectronics_PH9455x356NL'}), 'ref_prefix':'FL', 'fplist':['Inductor_THT:L_CommonMode_PulseElectronics_PH9455x105NL_1', 'Inductor_THT:L_CommonMode_PulseElectronics_PH9455x155NL_1', 'Inductor_THT:L_CommonMode_PulseElectronics_PH9455xxx6NL_2', 'Inductor_THT:L_CommonMode_PulseElectronics_PH9455x205NL_1', 'Inductor_THT:L_CommonMode_PulseElectronics_PH9455xxx6NL_2'], 'footprint':'Inductor_THT:L_CommonMode_PulseElectronics_PH9455x105NL_1', 'keywords':'common-mode common mode choke powerline power line filter', 'description':'', 'datasheet':'https://productfinder.pulseelectronics.com/api/open/product-attachments/datasheet/ph9455.105nl', 'search_text':'/usr/share/kicad/symbols/Filter.kicad_sym\nChoke_CommonMode_PulseElectronics_PH9455x356NL\n\ncommon-mode common mode choke powerline power line filter', 'pins':[
            Pin(num='1',name='1',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='2',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='3',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='4',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'Choke_CommonMode_PulseElectronics_PH9455x405NL', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'Choke_CommonMode_PulseElectronics_PH9455x405NL'}), 'ref_prefix':'FL', 'fplist':['Inductor_THT:L_CommonMode_PulseElectronics_PH9455x105NL_1', 'Inductor_THT:L_CommonMode_PulseElectronics_PH9455x155NL_1', 'Inductor_THT:L_CommonMode_PulseElectronics_PH9455xxx6NL_2', 'Inductor_THT:L_CommonMode_PulseElectronics_PH9455x205NL_1', 'Inductor_THT:L_CommonMode_PulseElectronics_PH9455xxx6NL_2', 'Inductor_THT:L_CommonMode_PulseElectronics_PH9455x405NL_1'], 'footprint':'Inductor_THT:L_CommonMode_PulseElectronics_PH9455x105NL_1', 'keywords':'common-mode common mode choke powerline power line filter', 'description':'', 'datasheet':'https://productfinder.pulseelectronics.com/api/open/product-attachments/datasheet/ph9455.105nl', 'search_text':'/usr/share/kicad/symbols/Filter.kicad_sym\nChoke_CommonMode_PulseElectronics_PH9455x405NL\n\ncommon-mode common mode choke powerline power line filter', 'pins':[
            Pin(num='1',name='1',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='2',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='3',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='4',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'Choke_CommonMode_PulseElectronics_PH9455x705NL', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'Choke_CommonMode_PulseElectronics_PH9455x705NL'}), 'ref_prefix':'FL', 'fplist':['Inductor_THT:L_CommonMode_PulseElectronics_PH9455x105NL_1', 'Inductor_THT:L_CommonMode_PulseElectronics_PH9455x155NL_1', 'Inductor_THT:L_CommonMode_PulseElectronics_PH9455xxx6NL_2', 'Inductor_THT:L_CommonMode_PulseElectronics_PH9455x205NL_1', 'Inductor_THT:L_CommonMode_PulseElectronics_PH9455xxx6NL_2', 'Inductor_THT:L_CommonMode_PulseElectronics_PH9455x405NL_1', 'Inductor_THT:L_CommonMode_PulseElectronics_PH9455x705NL_1'], 'footprint':'Inductor_THT:L_CommonMode_PulseElectronics_PH9455x105NL_1', 'keywords':'common-mode common mode choke powerline power line filter', 'description':'', 'datasheet':'https://productfinder.pulseelectronics.com/api/open/product-attachments/datasheet/ph9455.105nl', 'search_text':'/usr/share/kicad/symbols/Filter.kicad_sym\nChoke_CommonMode_PulseElectronics_PH9455x705NL\n\ncommon-mode common mode choke powerline power line filter', 'pins':[
            Pin(num='1',name='1',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='2',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='3',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='4',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'Choke_CommonMode_PulseElectronics_PH9455x826NL', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'Choke_CommonMode_PulseElectronics_PH9455x826NL'}), 'ref_prefix':'FL', 'fplist':['Inductor_THT:L_CommonMode_PulseElectronics_PH9455x105NL_1', 'Inductor_THT:L_CommonMode_PulseElectronics_PH9455x155NL_1', 'Inductor_THT:L_CommonMode_PulseElectronics_PH9455xxx6NL_2', 'Inductor_THT:L_CommonMode_PulseElectronics_PH9455x205NL_1', 'Inductor_THT:L_CommonMode_PulseElectronics_PH9455xxx6NL_2', 'Inductor_THT:L_CommonMode_PulseElectronics_PH9455x405NL_1', 'Inductor_THT:L_CommonMode_PulseElectronics_PH9455x705NL_1', 'Inductor_THT:L_CommonMode_PulseElectronics_PH9455xxx6NL_2'], 'footprint':'Inductor_THT:L_CommonMode_PulseElectronics_PH9455x105NL_1', 'keywords':'common-mode common mode choke powerline power line filter', 'description':'', 'datasheet':'https://productfinder.pulseelectronics.com/api/open/product-attachments/datasheet/ph9455.105nl', 'search_text':'/usr/share/kicad/symbols/Filter.kicad_sym\nChoke_CommonMode_PulseElectronics_PH9455x826NL\n\ncommon-mode common mode choke powerline power line filter', 'pins':[
            Pin(num='1',name='1',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='2',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='3',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='4',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'Choke_Schaffner_RN102-0.3-02-12M', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'Choke_Schaffner_RN102-0.3-02-12M'}), 'ref_prefix':'FL', 'fplist':['Inductor_THT:Choke_Schaffner_RN102-04-14.0x14.0mm', 'Inductor_THT:Choke_Schaffner_RN102-04-14.0x14.0mm'], 'footprint':'Inductor_THT:Choke_Schaffner_RN102-04-14.0x14.0mm', 'keywords':'common-mode common mode choke powerline power line filter', 'description':'', 'datasheet':'https://www.schaffner.com/products/download/product/datasheet/rn-series-common-mode-chokes-new/', 'search_text':'/usr/share/kicad/symbols/Filter.kicad_sym\nChoke_Schaffner_RN102-0.3-02-12M\n\ncommon-mode common mode choke powerline power line filter', 'pins':[
            Pin(num='1',name='1',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='2',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='3',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='4',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'Choke_Schaffner_RN102-0.6-02-4M4', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'Choke_Schaffner_RN102-0.6-02-4M4'}), 'ref_prefix':'FL', 'fplist':['Inductor_THT:Choke_Schaffner_RN102-04-14.0x14.0mm', 'Inductor_THT:Choke_Schaffner_RN102-04-14.0x14.0mm', 'Inductor_THT:Choke_Schaffner_RN102-04-14.0x14.0mm'], 'footprint':'Inductor_THT:Choke_Schaffner_RN102-04-14.0x14.0mm', 'keywords':'common-mode common mode choke powerline power line filter', 'description':'', 'datasheet':'https://www.schaffner.com/products/download/product/datasheet/rn-series-common-mode-chokes-new/', 'search_text':'/usr/share/kicad/symbols/Filter.kicad_sym\nChoke_Schaffner_RN102-0.6-02-4M4\n\ncommon-mode common mode choke powerline power line filter', 'pins':[
            Pin(num='1',name='1',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='2',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='3',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='4',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'Choke_Schaffner_RN102-1-02-3M0', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'Choke_Schaffner_RN102-1-02-3M0'}), 'ref_prefix':'FL', 'fplist':['Inductor_THT:Choke_Schaffner_RN102-04-14.0x14.0mm', 'Inductor_THT:Choke_Schaffner_RN102-04-14.0x14.0mm', 'Inductor_THT:Choke_Schaffner_RN102-04-14.0x14.0mm', 'Inductor_THT:Choke_Schaffner_RN102-04-14.0x14.0mm'], 'footprint':'Inductor_THT:Choke_Schaffner_RN102-04-14.0x14.0mm', 'keywords':'common-mode common mode choke powerline power line filter', 'description':'', 'datasheet':'https://www.schaffner.com/products/download/product/datasheet/rn-series-common-mode-chokes-new/', 'search_text':'/usr/share/kicad/symbols/Filter.kicad_sym\nChoke_Schaffner_RN102-1-02-3M0\n\ncommon-mode common mode choke powerline power line filter', 'pins':[
            Pin(num='1',name='1',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='2',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='3',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='4',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'Choke_Schaffner_RN102-1.5-02-1M6', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'Choke_Schaffner_RN102-1.5-02-1M6'}), 'ref_prefix':'FL', 'fplist':['Inductor_THT:Choke_Schaffner_RN102-04-14.0x14.0mm', 'Inductor_THT:Choke_Schaffner_RN102-04-14.0x14.0mm', 'Inductor_THT:Choke_Schaffner_RN102-04-14.0x14.0mm', 'Inductor_THT:Choke_Schaffner_RN102-04-14.0x14.0mm', 'Inductor_THT:Choke_Schaffner_RN102-04-14.0x14.0mm'], 'footprint':'Inductor_THT:Choke_Schaffner_RN102-04-14.0x14.0mm', 'keywords':'common-mode common mode choke powerline power line filter', 'description':'', 'datasheet':'https://www.schaffner.com/products/download/product/datasheet/rn-series-common-mode-chokes-new/', 'search_text':'/usr/share/kicad/symbols/Filter.kicad_sym\nChoke_Schaffner_RN102-1.5-02-1M6\n\ncommon-mode common mode choke powerline power line filter', 'pins':[
            Pin(num='1',name='1',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='2',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='3',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='4',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'Choke_Schaffner_RN102-2-02-1M1', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'Choke_Schaffner_RN102-2-02-1M1'}), 'ref_prefix':'FL', 'fplist':['Inductor_THT:Choke_Schaffner_RN102-04-14.0x14.0mm', 'Inductor_THT:Choke_Schaffner_RN102-04-14.0x14.0mm', 'Inductor_THT:Choke_Schaffner_RN102-04-14.0x14.0mm', 'Inductor_THT:Choke_Schaffner_RN102-04-14.0x14.0mm', 'Inductor_THT:Choke_Schaffner_RN102-04-14.0x14.0mm', 'Inductor_THT:Choke_Schaffner_RN102-04-14.0x14.0mm'], 'footprint':'Inductor_THT:Choke_Schaffner_RN102-04-14.0x14.0mm', 'keywords':'common-mode common mode choke powerline power line filter', 'description':'', 'datasheet':'https://www.schaffner.com/products/download/product/datasheet/rn-series-common-mode-chokes-new/', 'search_text':'/usr/share/kicad/symbols/Filter.kicad_sym\nChoke_Schaffner_RN102-2-02-1M1\n\ncommon-mode common mode choke powerline power line filter', 'pins':[
            Pin(num='1',name='1',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='2',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='3',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='4',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'FN405-1-02', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'FN405-1-02'}), 'ref_prefix':'FL', 'fplist':['Filter:Filter_Schaffner_FN405', 'Filter:Filter_Schaffner_FN405'], 'footprint':'Filter:Filter_Schaffner_FN405', 'keywords':'EMI', 'description':'', 'datasheet':'https://www.schaffner.com/de/produkte/download/product/datasheet/fn-405-pcb-mounting-filter/', 'search_text':'/usr/share/kicad/symbols/Filter.kicad_sym\nFN405-1-02\n\nEMI', 'pins':[
            Pin(num='1',name='N',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name="N'",func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='E',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name="P'",func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='P',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'FN405-10-02', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'FN405-10-02'}), 'ref_prefix':'FL', 'fplist':['Filter:Filter_Schaffner_FN405', 'Filter:Filter_Schaffner_FN405', 'Filter:Filter_Schaffner_FN405'], 'footprint':'Filter:Filter_Schaffner_FN405', 'keywords':'EMI', 'description':'', 'datasheet':'https://www.schaffner.com/de/produkte/download/product/datasheet/fn-405-pcb-mounting-filter/', 'search_text':'/usr/share/kicad/symbols/Filter.kicad_sym\nFN405-10-02\n\nEMI', 'pins':[
            Pin(num='1',name='N',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name="N'",func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='E',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name="P'",func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='P',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'FN405-3-02', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'FN405-3-02'}), 'ref_prefix':'FL', 'fplist':['Filter:Filter_Schaffner_FN405', 'Filter:Filter_Schaffner_FN405', 'Filter:Filter_Schaffner_FN405', 'Filter:Filter_Schaffner_FN405'], 'footprint':'Filter:Filter_Schaffner_FN405', 'keywords':'EMI', 'description':'', 'datasheet':'https://www.schaffner.com/de/produkte/download/product/datasheet/fn-405-pcb-mounting-filter/', 'search_text':'/usr/share/kicad/symbols/Filter.kicad_sym\nFN405-3-02\n\nEMI', 'pins':[
            Pin(num='1',name='N',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name="N'",func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='E',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name="P'",func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='P',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'FN405-6-02', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'FN405-6-02'}), 'ref_prefix':'FL', 'fplist':['Filter:Filter_Schaffner_FN405', 'Filter:Filter_Schaffner_FN405', 'Filter:Filter_Schaffner_FN405', 'Filter:Filter_Schaffner_FN405', 'Filter:Filter_Schaffner_FN405'], 'footprint':'Filter:Filter_Schaffner_FN405', 'keywords':'EMI', 'description':'', 'datasheet':'https://www.schaffner.com/de/produkte/download/product/datasheet/fn-405-pcb-mounting-filter/', 'search_text':'/usr/share/kicad/symbols/Filter.kicad_sym\nFN405-6-02\n\nEMI', 'pins':[
            Pin(num='1',name='N',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name="N'",func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='E',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name="P'",func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='P',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'FN406-1-02', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'FN406-1-02'}), 'ref_prefix':'FL', 'fplist':['Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406'], 'footprint':'Filter:Filter_Schaffner_FN406', 'keywords':'EMI mains', 'description':'', 'datasheet':'https://www.schaffner.com/products/download/product/datasheet/fn-406-ultra-compact-emc-filter/', 'search_text':'/usr/share/kicad/symbols/Filter.kicad_sym\nFN406-1-02\n\nEMI mains', 'pins':[
            Pin(num='1',name='P',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='N',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='PE',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name="N'",func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name="P'",func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'FN406-3-02', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'FN406-3-02'}), 'ref_prefix':'FL', 'fplist':['Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406'], 'footprint':'Filter:Filter_Schaffner_FN406', 'keywords':'EMI mains', 'description':'', 'datasheet':'https://www.schaffner.com/products/download/product/datasheet/fn-406-ultra-compact-emc-filter/', 'search_text':'/usr/share/kicad/symbols/Filter.kicad_sym\nFN406-3-02\n\nEMI mains', 'pins':[
            Pin(num='1',name='P',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='N',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='PE',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name="N'",func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name="P'",func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'FN406-6-02', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'FN406-6-02'}), 'ref_prefix':'FL', 'fplist':['Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406'], 'footprint':'Filter:Filter_Schaffner_FN406', 'keywords':'EMI mains', 'description':'', 'datasheet':'https://www.schaffner.com/products/download/product/datasheet/fn-406-ultra-compact-emc-filter/', 'search_text':'/usr/share/kicad/symbols/Filter.kicad_sym\nFN406-6-02\n\nEMI mains', 'pins':[
            Pin(num='1',name='P',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='N',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='PE',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name="N'",func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name="P'",func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'FN406-8.4-02', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'FN406-8.4-02'}), 'ref_prefix':'FL', 'fplist':['Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406'], 'footprint':'Filter:Filter_Schaffner_FN406', 'keywords':'EMI mains', 'description':'', 'datasheet':'https://www.schaffner.com/products/download/product/datasheet/fn-406-ultra-compact-emc-filter/', 'search_text':'/usr/share/kicad/symbols/Filter.kicad_sym\nFN406-8.4-02\n\nEMI mains', 'pins':[
            Pin(num='1',name='P',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='N',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='PE',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name="N'",func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name="P'",func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'FN406B-0.5-02', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'FN406B-0.5-02'}), 'ref_prefix':'FL', 'fplist':['Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406'], 'footprint':'Filter:Filter_Schaffner_FN406', 'keywords':'EMI mains', 'description':'', 'datasheet':'https://www.schaffner.com/products/download/product/datasheet/fn-406-ultra-compact-emc-filter/', 'search_text':'/usr/share/kicad/symbols/Filter.kicad_sym\nFN406B-0.5-02\n\nEMI mains', 'pins':[
            Pin(num='1',name='P',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='N',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='PE',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name="N'",func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name="P'",func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'FN406B-1-02', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'FN406B-1-02'}), 'ref_prefix':'FL', 'fplist':['Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406'], 'footprint':'Filter:Filter_Schaffner_FN406', 'keywords':'EMI mains', 'description':'', 'datasheet':'https://www.schaffner.com/products/download/product/datasheet/fn-406-ultra-compact-emc-filter/', 'search_text':'/usr/share/kicad/symbols/Filter.kicad_sym\nFN406B-1-02\n\nEMI mains', 'pins':[
            Pin(num='1',name='P',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='N',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='PE',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name="N'",func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name="P'",func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'FN406B-3-02', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'FN406B-3-02'}), 'ref_prefix':'FL', 'fplist':['Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406'], 'footprint':'Filter:Filter_Schaffner_FN406', 'keywords':'EMI mains', 'description':'', 'datasheet':'https://www.schaffner.com/products/download/product/datasheet/fn-406-ultra-compact-emc-filter/', 'search_text':'/usr/share/kicad/symbols/Filter.kicad_sym\nFN406B-3-02\n\nEMI mains', 'pins':[
            Pin(num='1',name='P',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='N',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='PE',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name="N'",func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name="P'",func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'FN406B-6-02', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'FN406B-6-02'}), 'ref_prefix':'FL', 'fplist':['Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406'], 'footprint':'Filter:Filter_Schaffner_FN406', 'keywords':'EMI mains', 'description':'', 'datasheet':'https://www.schaffner.com/products/download/product/datasheet/fn-406-ultra-compact-emc-filter/', 'search_text':'/usr/share/kicad/symbols/Filter.kicad_sym\nFN406B-6-02\n\nEMI mains', 'pins':[
            Pin(num='1',name='P',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='N',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='PE',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name="N'",func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name="P'",func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'FN406B-8.4-02', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'FN406B-8.4-02'}), 'ref_prefix':'FL', 'fplist':['Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406'], 'footprint':'Filter:Filter_Schaffner_FN406', 'keywords':'EMI mains', 'description':'', 'datasheet':'https://www.schaffner.com/products/download/product/datasheet/fn-406-ultra-compact-emc-filter/', 'search_text':'/usr/share/kicad/symbols/Filter.kicad_sym\nFN406B-8.4-02\n\nEMI mains', 'pins':[
            Pin(num='1',name='P',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='N',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='PE',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name="N'",func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name="P'",func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LTC1562xG-2', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LTC1562xG-2'}), 'ref_prefix':'U', 'fplist':['Package_SO:SSOP-20_5.3x7.2mm_P0.65mm', 'Package_SO:SSOP-20_5.3x7.2mm_P0.65mm'], 'footprint':'Package_SO:SSOP-20_5.3x7.2mm_P0.65mm', 'keywords':'filter opamp quad', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/15622fa.pdf', 'search_text':'/usr/share/kicad/symbols/Filter.kicad_sym\nLTC1562xG-2\n\nfilter opamp quad', 'pins':[
            Pin(num='1',name='INV_B',func=pin_types.INPUT,unit=1),
            Pin(num='10',name='INV_A',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='INV_D',func=pin_types.INPUT,unit=1),
            Pin(num='12',name='V1_D',func=pin_types.OUTPUT,unit=1),
            Pin(num='13',name='V2_D',func=pin_types.OUTPUT,unit=1),
            Pin(num='14',name='V-',func=pin_types.PASSIVE,unit=1),
            Pin(num='15',name='AGND',func=pin_types.PWRIN,unit=1),
            Pin(num='16',name='V-',func=pin_types.PWRIN,unit=1),
            Pin(num='17',name='V-',func=pin_types.PASSIVE,unit=1),
            Pin(num='18',name='V2_C',func=pin_types.OUTPUT,unit=1),
            Pin(num='19',name='V1_C',func=pin_types.OUTPUT,unit=1),
            Pin(num='2',name='V1_B',func=pin_types.OUTPUT,unit=1),
            Pin(num='20',name='INV_C',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='V2_B',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='V-',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='V+',func=pin_types.PWRIN,unit=1),
            Pin(num='6',name='SHDN',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='V-',func=pin_types.PASSIVE,unit=1),
            Pin(num='8',name='V2_A',func=pin_types.OUTPUT,unit=1),
            Pin(num='9',name='V1_A',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SAFFA1G58KA0F0A', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SAFFA1G58KA0F0A'}), 'ref_prefix':'FL', 'fplist':['Filter:Filter_1411-5_1.4x1.1mm', 'Filter:Filter_1411-5_1.4x1.1mm'], 'footprint':'Filter:Filter_1411-5_1.4x1.1mm', 'keywords':'SAW filter', 'description':'', 'datasheet':'https://www.murata.com/~/media/webrenewal/support/library/catalog/products/filter/rf/p73e.ashx?la=en', 'search_text':'/usr/share/kicad/symbols/Filter.kicad_sym\nSAFFA1G58KA0F0A\n\nSAW filter', 'pins':[
            Pin(num='1',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='~',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SAFFA1G96FN0F0A', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SAFFA1G96FN0F0A'}), 'ref_prefix':'FL', 'fplist':['Filter:Filter_1411-5_1.4x1.1mm', 'Filter:Filter_1411-5_1.4x1.1mm', 'Filter:Filter_1411-5_1.4x1.1mm'], 'footprint':'Filter:Filter_1411-5_1.4x1.1mm', 'keywords':'SAW filter', 'description':'', 'datasheet':'https://www.murata.com/~/media/webrenewal/support/library/catalog/products/filter/rf/p73e.ashx?la=en', 'search_text':'/usr/share/kicad/symbols/Filter.kicad_sym\nSAFFA1G96FN0F0A\n\nSAW filter', 'pins':[
            Pin(num='1',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='~',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SAFFA2G14FA0F0A', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SAFFA2G14FA0F0A'}), 'ref_prefix':'FL', 'fplist':['Filter:Filter_1411-5_1.4x1.1mm', 'Filter:Filter_1411-5_1.4x1.1mm', 'Filter:Filter_1411-5_1.4x1.1mm', 'Filter:Filter_1411-5_1.4x1.1mm'], 'footprint':'Filter:Filter_1411-5_1.4x1.1mm', 'keywords':'SAW filter', 'description':'', 'datasheet':'https://www.murata.com/~/media/webrenewal/support/library/catalog/products/filter/rf/p73e.ashx?la=en', 'search_text':'/usr/share/kicad/symbols/Filter.kicad_sym\nSAFFA2G14FA0F0A\n\nSAW filter', 'pins':[
            Pin(num='1',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='~',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SAFFA881MFL0F0A', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SAFFA881MFL0F0A'}), 'ref_prefix':'FL', 'fplist':['Filter:Filter_1411-5_1.4x1.1mm', 'Filter:Filter_1411-5_1.4x1.1mm', 'Filter:Filter_1411-5_1.4x1.1mm', 'Filter:Filter_1411-5_1.4x1.1mm', 'Filter:Filter_1411-5_1.4x1.1mm'], 'footprint':'Filter:Filter_1411-5_1.4x1.1mm', 'keywords':'SAW filter', 'description':'', 'datasheet':'https://www.murata.com/~/media/webrenewal/support/library/catalog/products/filter/rf/p73e.ashx?la=en', 'search_text':'/usr/share/kicad/symbols/Filter.kicad_sym\nSAFFA881MFL0F0A\n\nSAW filter', 'pins':[
            Pin(num='1',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='~',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SAFFA942MFM0F0A', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SAFFA942MFM0F0A'}), 'ref_prefix':'FL', 'fplist':['Filter:Filter_1411-5_1.4x1.1mm', 'Filter:Filter_1411-5_1.4x1.1mm', 'Filter:Filter_1411-5_1.4x1.1mm', 'Filter:Filter_1411-5_1.4x1.1mm', 'Filter:Filter_1411-5_1.4x1.1mm', 'Filter:Filter_1411-5_1.4x1.1mm'], 'footprint':'Filter:Filter_1411-5_1.4x1.1mm', 'keywords':'SAW filter', 'description':'', 'datasheet':'https://www.murata.com/~/media/webrenewal/support/library/catalog/products/filter/rf/p73e.ashx?la=en', 'search_text':'/usr/share/kicad/symbols/Filter.kicad_sym\nSAFFA942MFM0F0A\n\nSAW filter', 'pins':[
            Pin(num='1',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='~',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SAFFB1G58KA0F0A', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SAFFB1G58KA0F0A'}), 'ref_prefix':'FL', 'fplist':['Filter:Filter_1109-5_1.1x0.9mm', 'Filter:Filter_1109-5_1.1x0.9mm'], 'footprint':'Filter:Filter_1109-5_1.1x0.9mm', 'keywords':'SAW filter', 'description':'', 'datasheet':'https://www.murata.com/~/media/webrenewal/support/library/catalog/products/filter/rf/p73e.ashx?la=en', 'search_text':'/usr/share/kicad/symbols/Filter.kicad_sym\nSAFFB1G58KA0F0A\n\nSAW filter', 'pins':[
            Pin(num='1',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='~',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SAFFB1G96FN0F0A', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SAFFB1G96FN0F0A'}), 'ref_prefix':'FL', 'fplist':['Filter:Filter_1109-5_1.1x0.9mm', 'Filter:Filter_1109-5_1.1x0.9mm', 'Filter:Filter_1109-5_1.1x0.9mm'], 'footprint':'Filter:Filter_1109-5_1.1x0.9mm', 'keywords':'SAW filter', 'description':'', 'datasheet':'https://www.murata.com/~/media/webrenewal/support/library/catalog/products/filter/rf/p73e.ashx?la=en', 'search_text':'/usr/share/kicad/symbols/Filter.kicad_sym\nSAFFB1G96FN0F0A\n\nSAW filter', 'pins':[
            Pin(num='1',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='~',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SAFFB2G14FA0F0A', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SAFFB2G14FA0F0A'}), 'ref_prefix':'FL', 'fplist':['Filter:Filter_1109-5_1.1x0.9mm', 'Filter:Filter_1109-5_1.1x0.9mm', 'Filter:Filter_1109-5_1.1x0.9mm', 'Filter:Filter_1109-5_1.1x0.9mm'], 'footprint':'Filter:Filter_1109-5_1.1x0.9mm', 'keywords':'SAW filter', 'description':'', 'datasheet':'https://www.murata.com/~/media/webrenewal/support/library/catalog/products/filter/rf/p73e.ashx?la=en', 'search_text':'/usr/share/kicad/symbols/Filter.kicad_sym\nSAFFB2G14FA0F0A\n\nSAW filter', 'pins':[
            Pin(num='1',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='~',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SAFFB881MFL0F0A', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SAFFB881MFL0F0A'}), 'ref_prefix':'FL', 'fplist':['Filter:Filter_1109-5_1.1x0.9mm', 'Filter:Filter_1109-5_1.1x0.9mm', 'Filter:Filter_1109-5_1.1x0.9mm', 'Filter:Filter_1109-5_1.1x0.9mm', 'Filter:Filter_1109-5_1.1x0.9mm'], 'footprint':'Filter:Filter_1109-5_1.1x0.9mm', 'keywords':'SAW filter', 'description':'', 'datasheet':'https://www.murata.com/~/media/webrenewal/support/library/catalog/products/filter/rf/p73e.ashx?la=en', 'search_text':'/usr/share/kicad/symbols/Filter.kicad_sym\nSAFFB881MFL0F0A\n\nSAW filter', 'pins':[
            Pin(num='1',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='~',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SAFFB942MFM0F0A', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SAFFB942MFM0F0A'}), 'ref_prefix':'FL', 'fplist':['Filter:Filter_1109-5_1.1x0.9mm', 'Filter:Filter_1109-5_1.1x0.9mm', 'Filter:Filter_1109-5_1.1x0.9mm', 'Filter:Filter_1109-5_1.1x0.9mm', 'Filter:Filter_1109-5_1.1x0.9mm', 'Filter:Filter_1109-5_1.1x0.9mm'], 'footprint':'Filter:Filter_1109-5_1.1x0.9mm', 'keywords':'SAW filter', 'description':'', 'datasheet':'https://www.murata.com/~/media/webrenewal/support/library/catalog/products/filter/rf/p73e.ashx?la=en', 'search_text':'/usr/share/kicad/symbols/Filter.kicad_sym\nSAFFB942MFM0F0A\n\nSAW filter', 'pins':[
            Pin(num='1',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='~',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SF14-1575F5UUC1', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SF14-1575F5UUC1'}), 'ref_prefix':'FL', 'fplist':['Filter:Filter_1411-5_1.4x1.1mm', 'Filter:Filter_1411-5_1.4x1.1mm', 'Filter:Filter_1411-5_1.4x1.1mm', 'Filter:Filter_1411-5_1.4x1.1mm', 'Filter:Filter_1411-5_1.4x1.1mm', 'Filter:Filter_1411-5_1.4x1.1mm', 'Filter:Filter_1411-5_1.4x1.1mm'], 'footprint':'Filter:Filter_1411-5_1.4x1.1mm', 'keywords':'SAW filter', 'description':'', 'datasheet':'https://global.kyocera.com/prdct/electro/product/pdf/sf14_gnss.pdf', 'search_text':'/usr/share/kicad/symbols/Filter.kicad_sym\nSF14-1575F5UUC1\n\nSAW filter', 'pins':[
            Pin(num='1',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='~',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] })])