from collections import defaultdict
from skidl import Pin, Part, Alias, SchLib, SKIDL, TEMPLATE

from skidl.pin import pin_types

SKIDL_lib_version = '0.0.1'

Interface_Ethernet = SchLib(tool=SKIDL).add_parts(*[
        Part(**{ 'name':'DP83848C', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'DP83848C'}), 'ref_prefix':'U', 'fplist':['Package_QFP:LQFP-48_7x7mm_P0.5mm'], 'footprint':'Package_QFP:LQFP-48_7x7mm_P0.5mm', 'keywords':'Ethernet PHY MII RMII 10/100Mpbs', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/dp83848c.pdf', 'search_text':'/usr/share/kicad/symbols/Interface_Ethernet.kicad_sym\nDP83848C\n\nEthernet PHY MII RMII 10/100Mpbs', 'pins':[
            Pin(num='1',name='TX_CLK',func=pin_types.OUTPUT,unit=1),
            Pin(num='13',name='RD-',func=pin_types.PASSIVE,unit=1),
            Pin(num='14',name='RD+',func=pin_types.PASSIVE,unit=1),
            Pin(num='15',name='AGND',func=pin_types.PWRIN,unit=1),
            Pin(num='16',name='TD-',func=pin_types.PASSIVE,unit=1),
            Pin(num='17',name='TD+',func=pin_types.PASSIVE,unit=1),
            Pin(num='18',name='PFBIN1',func=pin_types.PASSIVE,unit=1),
            Pin(num='19',name='AGND',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='TX_EN',func=pin_types.INPUT,unit=1),
            Pin(num='20',name='RESERVED',func=pin_types.PASSIVE,unit=1),
            Pin(num='21',name='RESERVED',func=pin_types.PASSIVE,unit=1),
            Pin(num='22',name='AVDD33',func=pin_types.PWRIN,unit=1),
            Pin(num='23',name='PFBOUT',func=pin_types.PASSIVE,unit=1),
            Pin(num='24',name='RBIAS',func=pin_types.PASSIVE,unit=1),
            Pin(num='25',name='25M_OUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='26',name='AN_EN/LED_ACT/COL',func=pin_types.OUTPUT,unit=1),
            Pin(num='27',name='AN1/LED_SPEED',func=pin_types.OUTPUT,unit=1),
            Pin(num='28',name='AN0/LED_LINK',func=pin_types.OUTPUT,unit=1),
            Pin(num='29',name='~{RESET}',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='TXD_0',func=pin_types.INPUT,unit=1),
            Pin(num='30',name='MDIO',func=pin_types.BIDIR,unit=1),
            Pin(num='31',name='MDC',func=pin_types.INPUT,unit=1),
            Pin(num='32',name='IOVDD33',func=pin_types.PWRIN,unit=1),
            Pin(num='33',name='X2',func=pin_types.OUTPUT,unit=1),
            Pin(num='34',name='X1',func=pin_types.INPUT,unit=1),
            Pin(num='35',name='IOGND',func=pin_types.PWRIN,unit=1),
            Pin(num='36',name='DGND',func=pin_types.PWRIN,unit=1),
            Pin(num='37',name='PFBIN2',func=pin_types.PASSIVE,unit=1),
            Pin(num='38',name='RX_CLK',func=pin_types.OUTPUT,unit=1),
            Pin(num='39',name='RX_DV/MII_MODE',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='TXD_1',func=pin_types.INPUT,unit=1),
            Pin(num='40',name='CRS/CRS_DV/LED_CFG',func=pin_types.OUTPUT,unit=1),
            Pin(num='41',name='RX_ER/MDIX_EN',func=pin_types.OUTPUT,unit=1),
            Pin(num='42',name='COL/PHY_AD0',func=pin_types.OUTPUT,unit=1),
            Pin(num='43',name='RXD_0/PHY_AD1',func=pin_types.OUTPUT,unit=1),
            Pin(num='44',name='RXD_1/PHY_AD2',func=pin_types.OUTPUT,unit=1),
            Pin(num='45',name='RXD_2/PHY_AD3',func=pin_types.OUTPUT,unit=1),
            Pin(num='46',name='RXD_3/PHY_AD4',func=pin_types.OUTPUT,unit=1),
            Pin(num='47',name='IOGND',func=pin_types.PWRIN,unit=1),
            Pin(num='48',name='IOVDD33',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='TXD_2',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='TXD_3/SNI_MODE',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='PWR_DOWN/INT',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'ENC28J60x-ML', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'ENC28J60x-ML'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-28-1EP_6x6mm_P0.65mm_EP4.25x4.25mm'], 'footprint':'Package_DFN_QFN:QFN-28-1EP_6x6mm_P0.65mm_EP4.25x4.25mm', 'keywords':'ENC Ethernet', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/devicedoc/39662e.pdf', 'search_text':'/usr/share/kicad/symbols/Interface_Ethernet.kicad_sym\nENC28J60x-ML\n\nENC Ethernet', 'pins':[
            Pin(num='1',name='~{WOL}',func=pin_types.OUTPUT,unit=1),
            Pin(num='10',name='RBIAS',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='VDDTX',func=pin_types.PWRIN,unit=1),
            Pin(num='12',name='TPOUT-',func=pin_types.OUTPUT,unit=1),
            Pin(num='13',name='TPOUT+',func=pin_types.OUTPUT,unit=1),
            Pin(num='14',name='VSSTX',func=pin_types.PWROUT,unit=1),
            Pin(num='15',name='VDDRX',func=pin_types.PWRIN,unit=1),
            Pin(num='16',name='VDDPLL',func=pin_types.PWRIN,unit=1),
            Pin(num='17',name='VSSPLL',func=pin_types.PWRIN,unit=1),
            Pin(num='18',name='VSSOSC',func=pin_types.PWRIN,unit=1),
            Pin(num='19',name='OSC1',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='SO',func=pin_types.OUTPUT,unit=1),
            Pin(num='20',name='OSC2',func=pin_types.OUTPUT,unit=1),
            Pin(num='21',name='VDDOSC',func=pin_types.PWRIN,unit=1),
            Pin(num='22',name='LEDB',func=pin_types.OUTPUT,unit=1),
            Pin(num='23',name='LEDA',func=pin_types.OUTPUT,unit=1),
            Pin(num='24',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='25',name='VCAP',func=pin_types.INPUT,unit=1),
            Pin(num='26',name='VSS',func=pin_types.PWRIN,unit=1),
            Pin(num='27',name='CLKOUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='28',name='~{INT}',func=pin_types.OUTPUT,unit=1),
            Pin(num='3',name='SI',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='SCK',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='~{CS}',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='~{RESET}',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='VSSRX',func=pin_types.PWROUT,unit=1),
            Pin(num='8',name='TPIN-',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='TPIN+',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'ENC28J60x-SO', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'ENC28J60x-SO'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-28W_7.5x17.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-28W_7.5x17.9mm_P1.27mm', 'keywords':'ENC Ethernet', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/devicedoc/39662e.pdf', 'search_text':'/usr/share/kicad/symbols/Interface_Ethernet.kicad_sym\nENC28J60x-SO\n\nENC Ethernet', 'pins':[
            Pin(num='1',name='VCAP',func=pin_types.INPUT,unit=1),
            Pin(num='10',name='~{RESET}',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='VSSRX',func=pin_types.PWRIN,unit=1),
            Pin(num='12',name='TPIN-',func=pin_types.INPUT,unit=1),
            Pin(num='13',name='TPIN+',func=pin_types.INPUT,unit=1),
            Pin(num='14',name='RBIAS',func=pin_types.INPUT,unit=1),
            Pin(num='15',name='VDDTX',func=pin_types.PWRIN,unit=1),
            Pin(num='16',name='TPOUT-',func=pin_types.OUTPUT,unit=1),
            Pin(num='17',name='TPOUT+',func=pin_types.OUTPUT,unit=1),
            Pin(num='18',name='VSSTX',func=pin_types.PWRIN,unit=1),
            Pin(num='19',name='VDDRX',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='VSS',func=pin_types.PWRIN,unit=1),
            Pin(num='20',name='VDDPLL',func=pin_types.PWRIN,unit=1),
            Pin(num='21',name='VSSPLL',func=pin_types.PWRIN,unit=1),
            Pin(num='22',name='VSSOSC',func=pin_types.PWRIN,unit=1),
            Pin(num='23',name='OSC1',func=pin_types.INPUT,unit=1),
            Pin(num='24',name='OSC2',func=pin_types.INPUT,unit=1),
            Pin(num='25',name='VDDOSC',func=pin_types.PWRIN,unit=1),
            Pin(num='26',name='LEDB',func=pin_types.OUTPUT,unit=1),
            Pin(num='27',name='LEDA',func=pin_types.OUTPUT,unit=1),
            Pin(num='28',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='CLKOUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='~{INT}',func=pin_types.OUTPUT,unit=1),
            Pin(num='5',name='~{WOL}',func=pin_types.OUTPUT,unit=1),
            Pin(num='6',name='SO',func=pin_types.OUTPUT,unit=1),
            Pin(num='7',name='SI',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='SCK',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='~{CS}',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'ENC28J60x-SP', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'ENC28J60x-SP'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-28_W7.62mm'], 'footprint':'Package_DIP:DIP-28_W7.62mm', 'keywords':'ENC Ethernet', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/devicedoc/39662e.pdf', 'search_text':'/usr/share/kicad/symbols/Interface_Ethernet.kicad_sym\nENC28J60x-SP\n\nENC Ethernet', 'pins':[
            Pin(num='1',name='VCAP',func=pin_types.INPUT,unit=1),
            Pin(num='10',name='~{RESET}',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='VSSRX',func=pin_types.PWRIN,unit=1),
            Pin(num='12',name='TPIN-',func=pin_types.INPUT,unit=1),
            Pin(num='13',name='TPIN+',func=pin_types.INPUT,unit=1),
            Pin(num='14',name='RBIAS',func=pin_types.INPUT,unit=1),
            Pin(num='15',name='VDDTX',func=pin_types.PWRIN,unit=1),
            Pin(num='16',name='TPOUT-',func=pin_types.OUTPUT,unit=1),
            Pin(num='17',name='TPOUT+',func=pin_types.OUTPUT,unit=1),
            Pin(num='18',name='VSSTX',func=pin_types.PWRIN,unit=1),
            Pin(num='19',name='VDDRX',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='VSS',func=pin_types.PWRIN,unit=1),
            Pin(num='20',name='VDDPLL',func=pin_types.PWRIN,unit=1),
            Pin(num='21',name='VSSPLL',func=pin_types.PWRIN,unit=1),
            Pin(num='22',name='VSSOSC',func=pin_types.PWRIN,unit=1),
            Pin(num='23',name='OSC1',func=pin_types.INPUT,unit=1),
            Pin(num='24',name='OSC2',func=pin_types.INPUT,unit=1),
            Pin(num='25',name='VDDOSC',func=pin_types.PWRIN,unit=1),
            Pin(num='26',name='LEDB',func=pin_types.OUTPUT,unit=1),
            Pin(num='27',name='LEDA',func=pin_types.OUTPUT,unit=1),
            Pin(num='28',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='CLKOUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='~{INT}',func=pin_types.OUTPUT,unit=1),
            Pin(num='5',name='~{WOL}',func=pin_types.OUTPUT,unit=1),
            Pin(num='6',name='SO',func=pin_types.OUTPUT,unit=1),
            Pin(num='7',name='SI',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='SCK',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='~{CS}',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'ENC28J60x-SS', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'ENC28J60x-SS'}), 'ref_prefix':'U', 'fplist':['Package_SO:SSOP-28_5.3x10.2mm_P0.65mm'], 'footprint':'Package_SO:SSOP-28_5.3x10.2mm_P0.65mm', 'keywords':'ENC Ethernet', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/devicedoc/39662e.pdf', 'search_text':'/usr/share/kicad/symbols/Interface_Ethernet.kicad_sym\nENC28J60x-SS\n\nENC Ethernet', 'pins':[
            Pin(num='1',name='VCAP',func=pin_types.INPUT,unit=1),
            Pin(num='10',name='~{RESET}',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='VSSRX',func=pin_types.PWRIN,unit=1),
            Pin(num='12',name='TPIN-',func=pin_types.INPUT,unit=1),
            Pin(num='13',name='TPIN+',func=pin_types.INPUT,unit=1),
            Pin(num='14',name='RBIAS',func=pin_types.INPUT,unit=1),
            Pin(num='15',name='VDDTX',func=pin_types.PWRIN,unit=1),
            Pin(num='16',name='TPOUT-',func=pin_types.OUTPUT,unit=1),
            Pin(num='17',name='TPOUT+',func=pin_types.OUTPUT,unit=1),
            Pin(num='18',name='VSSTX',func=pin_types.PWRIN,unit=1),
            Pin(num='19',name='VDDRX',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='VSS',func=pin_types.PWRIN,unit=1),
            Pin(num='20',name='VDDPLL',func=pin_types.PWRIN,unit=1),
            Pin(num='21',name='VSSPLL',func=pin_types.PWRIN,unit=1),
            Pin(num='22',name='VSSOSC',func=pin_types.PWRIN,unit=1),
            Pin(num='23',name='OSC1',func=pin_types.INPUT,unit=1),
            Pin(num='24',name='OSC2',func=pin_types.INPUT,unit=1),
            Pin(num='25',name='VDDOSC',func=pin_types.PWRIN,unit=1),
            Pin(num='26',name='LEDB',func=pin_types.OUTPUT,unit=1),
            Pin(num='27',name='LEDA',func=pin_types.OUTPUT,unit=1),
            Pin(num='28',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='CLKOUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='~{INT}',func=pin_types.OUTPUT,unit=1),
            Pin(num='5',name='~{WOL}',func=pin_types.OUTPUT,unit=1),
            Pin(num='6',name='SO',func=pin_types.OUTPUT,unit=1),
            Pin(num='7',name='SI',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='SCK',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='~{CS}',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'ENC424J600-ML', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'ENC424J600-ML'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-44-1EP_8x8mm_P0.65mm_EP6.45x6.45mm'], 'footprint':'Package_DFN_QFN:QFN-44-1EP_8x8mm_P0.65mm_EP6.45x6.45mm', 'keywords':'ENC Ethernet', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/39935c.pdf', 'search_text':'/usr/share/kicad/symbols/Interface_Ethernet.kicad_sym\nENC424J600-ML\n\nENC Ethernet', 'pins':[
            Pin(num='1',name='VSSOSC',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='LEDA',func=pin_types.OUTPUT,unit=1),
            Pin(num='11',name='RBIAS',func=pin_types.INPUT,unit=1),
            Pin(num='12',name='VDDPLL',func=pin_types.PWRIN,unit=1),
            Pin(num='13',name='VSSPLL',func=pin_types.PWRIN,unit=1),
            Pin(num='14',name='VSSRX',func=pin_types.PWRIN,unit=1),
            Pin(num='15',name='VDDRX',func=pin_types.PWRIN,unit=1),
            Pin(num='16',name='TPIN+',func=pin_types.INPUT,unit=1),
            Pin(num='17',name='TPIN-',func=pin_types.INPUT,unit=1),
            Pin(num='18',name='VDDTX',func=pin_types.PWRIN,unit=1),
            Pin(num='19',name='VSSTX',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='OSC2',func=pin_types.OUTPUT,unit=1),
            Pin(num='20',name='TPOUT+',func=pin_types.OUTPUT,unit=1),
            Pin(num='21',name='TPOUT-',func=pin_types.OUTPUT,unit=1),
            Pin(num='22',name='VSSTX',func=pin_types.PASSIVE,unit=1),
            Pin(num='23',name='CLKOUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='24',name='~{INT}/SPISEL',func=pin_types.BIDIR,unit=1),
            Pin(num='25',name='AD8',func=pin_types.BIDIR,unit=1),
            Pin(num='26',name='AD9',func=pin_types.BIDIR,unit=1),
            Pin(num='27',name='AD10',func=pin_types.BIDIR,unit=1),
            Pin(num='28',name='AD11',func=pin_types.BIDIR,unit=1),
            Pin(num='29',name='AD12',func=pin_types.BIDIR,unit=1),
            Pin(num='3',name='OSC1',func=pin_types.INPUT,unit=1),
            Pin(num='30',name='AD13',func=pin_types.BIDIR,unit=1),
            Pin(num='31',name='AD14',func=pin_types.BIDIR,unit=1),
            Pin(num='32',name='PSPCFG0',func=pin_types.INPUT,unit=1),
            Pin(num='33',name='VSS',func=pin_types.PWRIN,unit=1),
            Pin(num='34',name='~{CS}/CS',func=pin_types.INPUT,unit=1),
            Pin(num='35',name='SO/WR/EN',func=pin_types.BIDIR,unit=1),
            Pin(num='36',name='SI/RD/R~{W}',func=pin_types.INPUT,unit=1),
            Pin(num='37',name='SCK/AL',func=pin_types.INPUT,unit=1),
            Pin(num='38',name='AD0',func=pin_types.BIDIR,unit=1),
            Pin(num='39',name='AD1',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='VDDOSC',func=pin_types.PWRIN,unit=1),
            Pin(num='40',name='AD2',func=pin_types.BIDIR,unit=1),
            Pin(num='41',name='AD3',func=pin_types.BIDIR,unit=1),
            Pin(num='42',name='VSS',func=pin_types.PASSIVE,unit=1),
            Pin(num='43',name='VCAP',func=pin_types.INPUT,unit=1),
            Pin(num='44',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='45',name='EP',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='AD4',func=pin_types.BIDIR,unit=1),
            Pin(num='6',name='AD5',func=pin_types.BIDIR,unit=1),
            Pin(num='7',name='AD6',func=pin_types.BIDIR,unit=1),
            Pin(num='8',name='AD7',func=pin_types.BIDIR,unit=1),
            Pin(num='9',name='LEDB',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'ENC424J600-PT', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'ENC424J600-PT'}), 'ref_prefix':'U', 'fplist':['Package_QFP:TQFP-44_10x10mm_P0.8mm'], 'footprint':'Package_QFP:TQFP-44_10x10mm_P0.8mm', 'keywords':'ENC Ethernet', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/39935c.pdf', 'search_text':'/usr/share/kicad/symbols/Interface_Ethernet.kicad_sym\nENC424J600-PT\n\nENC Ethernet', 'pins':[
            Pin(num='1',name='VSSOSC',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='LEDA',func=pin_types.OUTPUT,unit=1),
            Pin(num='11',name='RBIAS',func=pin_types.INPUT,unit=1),
            Pin(num='12',name='VDDPLL',func=pin_types.PWRIN,unit=1),
            Pin(num='13',name='VSSPLL',func=pin_types.PWRIN,unit=1),
            Pin(num='14',name='VSSRX',func=pin_types.PWRIN,unit=1),
            Pin(num='15',name='VDDRX',func=pin_types.PWRIN,unit=1),
            Pin(num='16',name='TPIN+',func=pin_types.INPUT,unit=1),
            Pin(num='17',name='TPIN-',func=pin_types.INPUT,unit=1),
            Pin(num='18',name='VDDTX',func=pin_types.PWRIN,unit=1),
            Pin(num='19',name='VSSTX',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='OSC2',func=pin_types.OUTPUT,unit=1),
            Pin(num='20',name='TPOUT+',func=pin_types.OUTPUT,unit=1),
            Pin(num='21',name='TPOUT-',func=pin_types.OUTPUT,unit=1),
            Pin(num='22',name='VSSTX',func=pin_types.PASSIVE,unit=1),
            Pin(num='23',name='CLKOUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='24',name='~{INT}/SPISEL',func=pin_types.BIDIR,unit=1),
            Pin(num='25',name='AD8',func=pin_types.BIDIR,unit=1),
            Pin(num='26',name='AD9',func=pin_types.BIDIR,unit=1),
            Pin(num='27',name='AD10',func=pin_types.BIDIR,unit=1),
            Pin(num='28',name='AD11',func=pin_types.BIDIR,unit=1),
            Pin(num='29',name='AD12',func=pin_types.BIDIR,unit=1),
            Pin(num='3',name='OSC1',func=pin_types.INPUT,unit=1),
            Pin(num='30',name='AD13',func=pin_types.BIDIR,unit=1),
            Pin(num='31',name='AD14',func=pin_types.BIDIR,unit=1),
            Pin(num='32',name='PSPCFG0',func=pin_types.INPUT,unit=1),
            Pin(num='33',name='VSS',func=pin_types.PWRIN,unit=1),
            Pin(num='34',name='~{CS}/CS',func=pin_types.INPUT,unit=1),
            Pin(num='35',name='SO/WR/EN',func=pin_types.BIDIR,unit=1),
            Pin(num='36',name='SI/RD/R~{W}',func=pin_types.INPUT,unit=1),
            Pin(num='37',name='SCK/AL',func=pin_types.INPUT,unit=1),
            Pin(num='38',name='AD0',func=pin_types.BIDIR,unit=1),
            Pin(num='39',name='AD1',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='VDDOSC',func=pin_types.PWRIN,unit=1),
            Pin(num='40',name='AD2',func=pin_types.BIDIR,unit=1),
            Pin(num='41',name='AD3',func=pin_types.BIDIR,unit=1),
            Pin(num='42',name='VSS',func=pin_types.PASSIVE,unit=1),
            Pin(num='43',name='VCAP',func=pin_types.INPUT,unit=1),
            Pin(num='44',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='AD4',func=pin_types.BIDIR,unit=1),
            Pin(num='6',name='AD5',func=pin_types.BIDIR,unit=1),
            Pin(num='7',name='AD6',func=pin_types.BIDIR,unit=1),
            Pin(num='8',name='AD7',func=pin_types.BIDIR,unit=1),
            Pin(num='9',name='LEDB',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'KSZ8081MLX', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'KSZ8081MLX'}), 'ref_prefix':'U', 'fplist':['Package_QFP:LQFP-48_7x7mm_P0.5mm'], 'footprint':'Package_QFP:LQFP-48_7x7mm_P0.5mm', 'keywords':'ETH PHY RMII MII', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/KSZ8081MLX.pdf', 'search_text':'/usr/share/kicad/symbols/Interface_Ethernet.kicad_sym\nKSZ8081MLX\n\nETH PHY RMII MII', 'pins':[
            Pin(num='1',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='RXP',func=pin_types.PASSIVE,unit=1),
            Pin(num='11',name='TXM',func=pin_types.PASSIVE,unit=1),
            Pin(num='12',name='TXP',func=pin_types.PASSIVE,unit=1),
            Pin(num='13',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='14',name='XO',func=pin_types.OUTPUT,unit=1),
            Pin(num='15',name='XI',func=pin_types.INPUT,unit=1),
            Pin(num='16',name='REXT',func=pin_types.PASSIVE,unit=1),
            Pin(num='17',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='18',name='MDIO',func=pin_types.BIDIR,unit=1),
            Pin(num='19',name='MDC',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='20',name='RXD3/PHYAD0',func=pin_types.OUTPUT,unit=1),
            Pin(num='21',name='RXD2/PHYAD1',func=pin_types.OUTPUT,unit=1),
            Pin(num='22',name='RXD1/PHYAD2',func=pin_types.OUTPUT,unit=1),
            Pin(num='23',name='RXD0/DUPLEX',func=pin_types.OUTPUT,unit=1),
            Pin(num='24',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='25',name='VDDIO',func=pin_types.PWRIN,unit=1),
            Pin(num='26',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='27',name='RXDV/CONFIG2',func=pin_types.BIDIR,unit=1),
            Pin(num='28',name='RXC/B-CAST_OFF',func=pin_types.BIDIR,unit=1),
            Pin(num='29',name='RXER/ISO',func=pin_types.OUTPUT,unit=1),
            Pin(num='3',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='30',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='31',name='VDD_1.2',func=pin_types.PWRIN,unit=1),
            Pin(num='32',name='INTRP/NAND_Tree#',func=pin_types.BIDIR,unit=1),
            Pin(num='33',name='TXC',func=pin_types.BIDIR,unit=1),
            Pin(num='34',name='TXEN',func=pin_types.INPUT,unit=1),
            Pin(num='35',name='TXD0',func=pin_types.INPUT,unit=1),
            Pin(num='36',name='TXD1',func=pin_types.INPUT,unit=1),
            Pin(num='37',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='38',name='TXD2',func=pin_types.INPUT,unit=1),
            Pin(num='39',name='TXD3',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='VDD_1.2',func=pin_types.PWROUT,unit=1),
            Pin(num='40',name='COL/CONFIG0',func=pin_types.BIDIR,unit=1),
            Pin(num='41',name='CRS/CONFIG1',func=pin_types.BIDIR,unit=1),
            Pin(num='42',name='LED0/NWAYEN',func=pin_types.BIDIR,unit=1),
            Pin(num='43',name='LED1/SPEED',func=pin_types.OUTPUT,unit=1),
            Pin(num='44',name='TEST/NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='45',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='46',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='47',name='~{RST}',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='6',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='7',name='VDDA_3.3',func=pin_types.PWRIN,unit=1),
            Pin(num='8',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='9',name='RXM',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'KSZ8081RNA', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'KSZ8081RNA'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-24-1EP_4x4mm_P0.5mm_EP2.6x2.6mm'], 'footprint':'Package_DFN_QFN:QFN-24-1EP_4x4mm_P0.5mm_EP2.6x2.6mm', 'keywords':'ETH PHY RMII', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/00002199A.pdf', 'search_text':'/usr/share/kicad/symbols/Interface_Ethernet.kicad_sym\nKSZ8081RNA\n\nETH PHY RMII', 'pins':[
            Pin(num='1',name='VDD_1.2',func=pin_types.PWROUT,unit=1),
            Pin(num='10',name='MDIO',func=pin_types.BIDIR,unit=1),
            Pin(num='11',name='MDC',func=pin_types.INPUT,unit=1),
            Pin(num='12',name='RXD1',func=pin_types.OUTPUT,unit=1),
            Pin(num='13',name='RXD0',func=pin_types.OUTPUT,unit=1),
            Pin(num='14',name='VDDIO',func=pin_types.PWRIN,unit=1),
            Pin(num='15',name='CRS_DV/PHYAD[1:0]',func=pin_types.OUTPUT,unit=1),
            Pin(num='16',name='REF_CLK',func=pin_types.OUTPUT,unit=1),
            Pin(num='17',name='RXER',func=pin_types.OUTPUT,unit=1),
            Pin(num='18',name='INTRP',func=pin_types.BIDIR,unit=1),
            Pin(num='19',name='TXEN',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='VDDA_3.3',func=pin_types.PWRIN,unit=1),
            Pin(num='20',name='TXD0',func=pin_types.INPUT,unit=1),
            Pin(num='21',name='TXD1',func=pin_types.BIDIR,unit=1),
            Pin(num='22',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='23',name='LED0/ANEN_SPEED',func=pin_types.OUTPUT,unit=1),
            Pin(num='24',name='~{RST}',func=pin_types.INPUT,unit=1),
            Pin(num='25',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='RXM',func=pin_types.BIDIR,unit=1),
            Pin(num='4',name='RXP',func=pin_types.BIDIR,unit=1),
            Pin(num='5',name='TXM',func=pin_types.BIDIR,unit=1),
            Pin(num='6',name='TXP',func=pin_types.BIDIR,unit=1),
            Pin(num='7',name='XO',func=pin_types.OUTPUT,unit=1),
            Pin(num='8',name='XI',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='REXT',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'KSZ9031RNXCA', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'KSZ9031RNXCA'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-48-1EP_7x7mm_P0.5mm_EP5.15x5.15mm'], 'footprint':'Package_DFN_QFN:QFN-48-1EP_7x7mm_P0.5mm_EP5.15x5.15mm', 'keywords':'ETHERNET PHY RGMII WOL IEEE 802.3 MICROCHIP', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/00002117C.pdf', 'search_text':'/usr/share/kicad/symbols/Interface_Ethernet.kicad_sym\nKSZ9031RNXCA\n\nETHERNET PHY RGMII WOL IEEE 802.3 MICROCHIP', 'pins':[
            Pin(num='1',name='AVDDH',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='TXRXP_D',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='TXRXM_D',func=pin_types.INPUT,unit=1),
            Pin(num='12',name='AVDDH',func=pin_types.PWRIN,unit=1),
            Pin(num='13',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='14',name='DVDDL',func=pin_types.PWRIN,unit=1),
            Pin(num='15',name='LED2/PHYAD1',func=pin_types.BIDIR,unit=1),
            Pin(num='16',name='DVDDH',func=pin_types.PWRIN,unit=1),
            Pin(num='17',name='LED1/PHAD0/PME_N1',func=pin_types.BIDIR,unit=1),
            Pin(num='18',name='DVDDL',func=pin_types.PWRIN,unit=1),
            Pin(num='19',name='TXD0',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='TXRXP_A',func=pin_types.INPUT,unit=1),
            Pin(num='20',name='TXD1',func=pin_types.INPUT,unit=1),
            Pin(num='21',name='TXD2',func=pin_types.INPUT,unit=1),
            Pin(num='22',name='TXD3',func=pin_types.INPUT,unit=1),
            Pin(num='23',name='DVDDL',func=pin_types.PWRIN,unit=1),
            Pin(num='24',name='GTX_CLK',func=pin_types.INPUT,unit=1),
            Pin(num='25',name='TX_EN',func=pin_types.INPUT,unit=1),
            Pin(num='26',name='DVDDL',func=pin_types.PWRIN,unit=1),
            Pin(num='27',name='RXD3/MODE3',func=pin_types.INPUT,unit=1),
            Pin(num='28',name='RXD2/MODE2',func=pin_types.INPUT,unit=1),
            Pin(num='29',name='VSS',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='TXRXM_A',func=pin_types.INPUT,unit=1),
            Pin(num='30',name='DVDDL',func=pin_types.PWRIN,unit=1),
            Pin(num='31',name='RXD1/MODE1',func=pin_types.INPUT,unit=1),
            Pin(num='32',name='RXD0/MODE0',func=pin_types.INPUT,unit=1),
            Pin(num='33',name='RX_DV/CLK125_EN',func=pin_types.INPUT,unit=1),
            Pin(num='34',name='DVDDH',func=pin_types.PWRIN,unit=1),
            Pin(num='35',name='RX_CLK/PHYAD2',func=pin_types.INPUT,unit=1),
            Pin(num='36',name='MDC',func=pin_types.INPUT,unit=1),
            Pin(num='37',name='MDIO',func=pin_types.INPUT,unit=1),
            Pin(num='38',name='INT_N/PME_N2',func=pin_types.INPUT,unit=1),
            Pin(num='39',name='DVDDL',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='AVDDL',func=pin_types.PWRIN,unit=1),
            Pin(num='40',name='DVDDH',func=pin_types.PWRIN,unit=1),
            Pin(num='41',name='CLK125_NDO/LED_MODE',func=pin_types.INPUT,unit=1),
            Pin(num='42',name='RESET_N',func=pin_types.INPUT,unit=1),
            Pin(num='43',name='LDO_O',func=pin_types.INPUT,unit=1),
            Pin(num='44',name='AVDDL_PLL',func=pin_types.PWRIN,unit=1),
            Pin(num='45',name='XO',func=pin_types.INPUT,unit=1),
            Pin(num='46',name='XI',func=pin_types.INPUT,unit=1),
            Pin(num='47',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='48',name='ISET',func=pin_types.OUTPUT,unit=1),
            Pin(num='49',name='PAD_GND',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='TXRXP_B',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='TXRXM_B',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='TXRXP_C',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='TXRXM_C',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='AVDDL',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'KSZ9563RNX', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'KSZ9563RNX'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-64-1EP_8x8mm_P0.4mm_EP6.5x6.5mm'], 'footprint':'Package_DFN_QFN:QFN-64-1EP_8x8mm_P0.4mm_EP6.5x6.5mm', 'keywords':'Gigabit Ethernet Switch RGMII MII RMII ieee1588v2', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/KSZ9563R-Data-Sheet-DS00002419C.pdf', 'search_text':'/usr/share/kicad/symbols/Interface_Ethernet.kicad_sym\nKSZ9563RNX\n\nGigabit Ethernet Switch RGMII MII RMII ieee1588v2', 'pins':[
            Pin(num='1',name='TXRX1P_B',func=pin_types.PASSIVE,unit=1),
            Pin(num='10',name='TXRX2M_A',func=pin_types.PASSIVE,unit=1),
            Pin(num='11',name='AVDDL',func=pin_types.PWRIN,unit=1),
            Pin(num='12',name='TXRX2P_B',func=pin_types.PASSIVE,unit=1),
            Pin(num='13',name='TXRX2M_B',func=pin_types.PASSIVE,unit=1),
            Pin(num='14',name='TXRX2P_C',func=pin_types.PASSIVE,unit=1),
            Pin(num='15',name='TXRX2M_C',func=pin_types.PASSIVE,unit=1),
            Pin(num='16',name='AVDDL',func=pin_types.PWRIN,unit=1),
            Pin(num='17',name='TXRX2P_D',func=pin_types.PASSIVE,unit=1),
            Pin(num='18',name='TXRX2M_D',func=pin_types.PASSIVE,unit=1),
            Pin(num='19',name='AVDDH',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='TXRX1M_B',func=pin_types.PASSIVE,unit=1),
            Pin(num='20',name='DVDDL',func=pin_types.PWRIN,unit=1),
            Pin(num='21',name='RXD3',func=pin_types.OUTPUT,unit=1),
            Pin(num='22',name='RXD2',func=pin_types.OUTPUT,unit=1),
            Pin(num='23',name='RXD1',func=pin_types.OUTPUT,unit=1),
            Pin(num='24',name='RXD0',func=pin_types.OUTPUT,unit=1),
            Pin(num='25',name='RX_CLK/REFCLKO',func=pin_types.BIDIR,unit=1),
            Pin(num='26',name='VDDIO',func=pin_types.PWRIN,unit=1),
            Pin(num='27',name='RX_DV/CRS_DV/RX_CTL',func=pin_types.OUTPUT,unit=1),
            Pin(num='28',name='RX_ER',func=pin_types.OUTPUT,unit=1),
            Pin(num='29',name='TXD3',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='TXRX1P_C',func=pin_types.PASSIVE,unit=1),
            Pin(num='30',name='TXD2',func=pin_types.INPUT,unit=1),
            Pin(num='31',name='TXD1',func=pin_types.INPUT,unit=1),
            Pin(num='32',name='TXD0',func=pin_types.INPUT,unit=1),
            Pin(num='33',name='TX_CLK/REFCLKI',func=pin_types.BIDIR,unit=1),
            Pin(num='34',name='DVDDL',func=pin_types.PWRIN,unit=1),
            Pin(num='35',name='TX_EN/TX_CTL',func=pin_types.INPUT,unit=1),
            Pin(num='36',name='TX_ER',func=pin_types.INPUT,unit=1),
            Pin(num='37',name='DVDDL',func=pin_types.PWRIN,unit=1),
            Pin(num='38',name='VDDIO',func=pin_types.PWRIN,unit=1),
            Pin(num='39',name='GPIO_1',func=pin_types.BIDIR,unit=1),
            Pin(num='4',name='TXRX1M_C',func=pin_types.PASSIVE,unit=1),
            Pin(num='40',name='GPIO_2',func=pin_types.BIDIR,unit=1),
            Pin(num='41',name='DVDDL',func=pin_types.PWRIN,unit=1),
            Pin(num='42',name='LED2_0',func=pin_types.OUTPUT,unit=1),
            Pin(num='43',name='LED2_1',func=pin_types.OUTPUT,unit=1),
            Pin(num='44',name='~{PME}',func=pin_types.OUTPUT,unit=1),
            Pin(num='45',name='~{INTRP}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='46',name='~{RESET}',func=pin_types.INPUT,unit=1),
            Pin(num='47',name='SDO',func=pin_types.OUTPUT,unit=1),
            Pin(num='48',name='SDI/SDA/MDIO',func=pin_types.BIDIR,unit=1),
            Pin(num='49',name='~{SCS}',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='AVDDL',func=pin_types.PWRIN,unit=1),
            Pin(num='50',name='SCL/MDC',func=pin_types.INPUT,unit=1),
            Pin(num='51',name='DVDDL',func=pin_types.PWRIN,unit=1),
            Pin(num='52',name='LED1_0',func=pin_types.OUTPUT,unit=1),
            Pin(num='53',name='LED1_1',func=pin_types.OUTPUT,unit=1),
            Pin(num='54',name='VDDIO',func=pin_types.PWRIN,unit=1),
            Pin(num='55',name='DVDDL',func=pin_types.PWRIN,unit=1),
            Pin(num='56',name='AVDDL',func=pin_types.PWRIN,unit=1),
            Pin(num='57',name='XO',func=pin_types.OUTPUT,unit=1),
            Pin(num='58',name='XI',func=pin_types.INPUT,unit=1),
            Pin(num='59',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='6',name='TXRX1P_D',func=pin_types.PASSIVE,unit=1),
            Pin(num='60',name='ISET',func=pin_types.PASSIVE,unit=1),
            Pin(num='61',name='AVDDH',func=pin_types.PWRIN,unit=1),
            Pin(num='62',name='TXRX1P_A',func=pin_types.PASSIVE,unit=1),
            Pin(num='63',name='TXRX1M_A',func=pin_types.PASSIVE,unit=1),
            Pin(num='64',name='AVDDL',func=pin_types.PWRIN,unit=1),
            Pin(num='65',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='7',name='TXRX1M_D',func=pin_types.PASSIVE,unit=1),
            Pin(num='8',name='AVDDH',func=pin_types.PWRIN,unit=1),
            Pin(num='9',name='TXRX2P_A',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'KSZ9893RNX', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'KSZ9893RNX'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-64-1EP_8x8mm_P0.4mm_EP6.5x6.5mm'], 'footprint':'Package_DFN_QFN:QFN-64-1EP_8x8mm_P0.4mm_EP6.5x6.5mm', 'keywords':'Gigabit Ethernet Switch RGMII MII RMII', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/KSZ9893R-Data-Sheet-DS00002420C.pdf', 'search_text':'/usr/share/kicad/symbols/Interface_Ethernet.kicad_sym\nKSZ9893RNX\n\nGigabit Ethernet Switch RGMII MII RMII', 'pins':[
            Pin(num='1',name='TXRX1P_B',func=pin_types.PASSIVE,unit=1),
            Pin(num='10',name='TXRX2M_A',func=pin_types.PASSIVE,unit=1),
            Pin(num='11',name='AVDDL',func=pin_types.PWRIN,unit=1),
            Pin(num='12',name='TXRX2P_B',func=pin_types.PASSIVE,unit=1),
            Pin(num='13',name='TXRX2M_B',func=pin_types.PASSIVE,unit=1),
            Pin(num='14',name='TXRX2P_C',func=pin_types.PASSIVE,unit=1),
            Pin(num='15',name='TXRX2M_C',func=pin_types.PASSIVE,unit=1),
            Pin(num='16',name='AVDDL',func=pin_types.PWRIN,unit=1),
            Pin(num='17',name='TXRX2P_D',func=pin_types.PASSIVE,unit=1),
            Pin(num='18',name='TXRX2M_D',func=pin_types.PASSIVE,unit=1),
            Pin(num='19',name='AVDDH',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='TXRX1M_B',func=pin_types.PASSIVE,unit=1),
            Pin(num='20',name='DVDDL',func=pin_types.PWRIN,unit=1),
            Pin(num='21',name='RXD3',func=pin_types.OUTPUT,unit=1),
            Pin(num='22',name='RXD2',func=pin_types.OUTPUT,unit=1),
            Pin(num='23',name='RXD1',func=pin_types.OUTPUT,unit=1),
            Pin(num='24',name='RXD0',func=pin_types.OUTPUT,unit=1),
            Pin(num='25',name='RX_CLK/REFCLKO',func=pin_types.OUTPUT,unit=1),
            Pin(num='26',name='VDDIO',func=pin_types.PWRIN,unit=1),
            Pin(num='27',name='RX_DV/CRS_DV/RX_CTL',func=pin_types.OUTPUT,unit=1),
            Pin(num='28',name='RX_ER',func=pin_types.OUTPUT,unit=1),
            Pin(num='29',name='TXD3',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='TXRX1P_C',func=pin_types.PASSIVE,unit=1),
            Pin(num='30',name='TXD2',func=pin_types.INPUT,unit=1),
            Pin(num='31',name='TXD1',func=pin_types.INPUT,unit=1),
            Pin(num='32',name='TXD0',func=pin_types.INPUT,unit=1),
            Pin(num='33',name='TX_CLK/REFCLKI',func=pin_types.INPUT,unit=1),
            Pin(num='34',name='DVDDL',func=pin_types.PWRIN,unit=1),
            Pin(num='35',name='TX_EN/TX_CTL',func=pin_types.INPUT,unit=1),
            Pin(num='36',name='TX_ER',func=pin_types.INPUT,unit=1),
            Pin(num='37',name='DVDDL',func=pin_types.PWRIN,unit=1),
            Pin(num='38',name='VDDIO',func=pin_types.PWRIN,unit=1),
            Pin(num='39',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='4',name='TXRX1M_C',func=pin_types.PASSIVE,unit=1),
            Pin(num='40',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='41',name='DVDDL',func=pin_types.PWRIN,unit=1),
            Pin(num='42',name='LED2_0',func=pin_types.OUTPUT,unit=1),
            Pin(num='43',name='LED2_1',func=pin_types.OUTPUT,unit=1),
            Pin(num='44',name='~{PME}',func=pin_types.OUTPUT,unit=1),
            Pin(num='45',name='~{INTRP}',func=pin_types.OUTPUT,unit=1),
            Pin(num='46',name='~{RESET}',func=pin_types.INPUT,unit=1),
            Pin(num='47',name='SDO',func=pin_types.OUTPUT,unit=1),
            Pin(num='48',name='SDI/SDA/MDIO',func=pin_types.BIDIR,unit=1),
            Pin(num='49',name='~{SCS}',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='AVDDL',func=pin_types.PWRIN,unit=1),
            Pin(num='50',name='SCL/MDC',func=pin_types.INPUT,unit=1),
            Pin(num='51',name='DVDDL',func=pin_types.PWRIN,unit=1),
            Pin(num='52',name='LED1_0',func=pin_types.OUTPUT,unit=1),
            Pin(num='53',name='LED1_1',func=pin_types.OUTPUT,unit=1),
            Pin(num='54',name='VDDIO',func=pin_types.PWRIN,unit=1),
            Pin(num='55',name='DVDDL',func=pin_types.PWRIN,unit=1),
            Pin(num='56',name='AVDDL',func=pin_types.PWRIN,unit=1),
            Pin(num='57',name='XO',func=pin_types.OUTPUT,unit=1),
            Pin(num='58',name='XI',func=pin_types.INPUT,unit=1),
            Pin(num='59',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='6',name='TXRX1P_D',func=pin_types.PASSIVE,unit=1),
            Pin(num='60',name='ISET',func=pin_types.PASSIVE,unit=1),
            Pin(num='61',name='AVDDH',func=pin_types.PWRIN,unit=1),
            Pin(num='62',name='TXRX1P_A',func=pin_types.PASSIVE,unit=1),
            Pin(num='63',name='TXRX1M_A',func=pin_types.PASSIVE,unit=1),
            Pin(num='64',name='AVDDL',func=pin_types.PWRIN,unit=1),
            Pin(num='65',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='7',name='TXRX1M_D',func=pin_types.PASSIVE,unit=1),
            Pin(num='8',name='AVDDH',func=pin_types.PWRIN,unit=1),
            Pin(num='9',name='TXRX2P_A',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LAN7500-ABJZ', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LAN7500-ABJZ'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-56-1EP_8x8mm_P0.5mm_EP5.9x5.9mm'], 'footprint':'Package_DFN_QFN:QFN-56-1EP_8x8mm_P0.5mm_EP5.9x5.9mm', 'keywords':'USB Ethernet 10/100/1000', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/00001734B.pdf', 'search_text':'/usr/share/kicad/symbols/Interface_Ethernet.kicad_sym\nLAN7500-ABJZ\n\nUSB Ethernet 10/100/1000', 'pins':[
            Pin(num='1',name='TDI',func=pin_types.INPUT,unit=1),
            Pin(num='10',name='GPIO7',func=pin_types.BIDIR,unit=1),
            Pin(num='11',name='VDD12CORE',func=pin_types.PASSIVE,unit=1),
            Pin(num='15',name='VDD33A',func=pin_types.PWRIN,unit=1),
            Pin(num='17',name='VDD12USBPLL',func=pin_types.PWRIN,unit=1),
            Pin(num='18',name='GPIO8',func=pin_types.BIDIR,unit=1),
            Pin(num='19',name='VDDVARIO',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='TCK',func=pin_types.INPUT,unit=1),
            Pin(num='20',name='VDD12CORE',func=pin_types.PASSIVE,unit=1),
            Pin(num='21',name='GPIO9',func=pin_types.BIDIR,unit=1),
            Pin(num='22',name='GPIO10',func=pin_types.BIDIR,unit=1),
            Pin(num='23',name='VDD12CORE',func=pin_types.PASSIVE,unit=1),
            Pin(num='24',name='VDDVARIO',func=pin_types.PASSIVE,unit=1),
            Pin(num='25',name='GPIO11',func=pin_types.BIDIR,unit=1),
            Pin(num='26',name='EECLK',func=pin_types.OUTPUT,unit=1),
            Pin(num='27',name='EEDI',func=pin_types.INPUT,unit=1),
            Pin(num='28',name='EEDO',func=pin_types.OUTPUT,unit=1),
            Pin(num='29',name='EECS',func=pin_types.OUTPUT,unit=1),
            Pin(num='3',name='TMS',func=pin_types.INPUT,unit=1),
            Pin(num='30',name='VDD12CORE',func=pin_types.PASSIVE,unit=1),
            Pin(num='31',name='GPIO0',func=pin_types.BIDIR,unit=1),
            Pin(num='32',name='GPIO1',func=pin_types.BIDIR,unit=1),
            Pin(num='33',name='GPIO2',func=pin_types.BIDIR,unit=1),
            Pin(num='34',name='GPIO3',func=pin_types.BIDIR,unit=1),
            Pin(num='35',name='GPIO4',func=pin_types.BIDIR,unit=1),
            Pin(num='36',name='VDD12CORE',func=pin_types.PASSIVE,unit=1),
            Pin(num='37',name='VDDVARIO',func=pin_types.PASSIVE,unit=1),
            Pin(num='38',name='GPIO5',func=pin_types.BIDIR,unit=1),
            Pin(num='39',name='TEST',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='TDO',func=pin_types.OUTPUT,unit=1),
            Pin(num='40',name='GPIO6',func=pin_types.BIDIR,unit=1),
            Pin(num='42',name='~{RESET}',func=pin_types.INPUT,unit=1),
            Pin(num='45',name='VDD12A',func=pin_types.PWRIN,unit=1),
            Pin(num='48',name='VDD12A',func=pin_types.PASSIVE,unit=1),
            Pin(num='49',name='VDD12BIAS',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='XI',func=pin_types.INPUT,unit=1),
            Pin(num='50',name='VDD12PLL',func=pin_types.PWRIN,unit=1),
            Pin(num='53',name='VDD12A',func=pin_types.PASSIVE,unit=1),
            Pin(num='56',name='VDD12A',func=pin_types.PASSIVE,unit=1),
            Pin(num='57',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='6',name='XO',func=pin_types.OUTPUT,unit=1),
            Pin(num='7',name='VDDVARIO',func=pin_types.PWRIN,unit=1),
            Pin(num='8',name='VDD12CORE',func=pin_types.PWRIN,unit=1),
            Pin(num='9',name='SW_MODE',func=pin_types.OUTPUT,unit=1),
            Pin(num='12',name='USBDM',func=pin_types.BIDIR,unit=2),
            Pin(num='13',name='USBDP',func=pin_types.BIDIR,unit=2),
            Pin(num='14',name='VBUS_DET',func=pin_types.INPUT,unit=2),
            Pin(num='16',name='USBRBIAS',func=pin_types.PASSIVE,unit=2),
            Pin(num='41',name='ETHRBIAS',func=pin_types.PASSIVE,unit=2),
            Pin(num='43',name='TR0N',func=pin_types.BIDIR,unit=2),
            Pin(num='44',name='TR0P',func=pin_types.BIDIR,unit=2),
            Pin(num='46',name='TR1N',func=pin_types.BIDIR,unit=2),
            Pin(num='47',name='TR1P',func=pin_types.BIDIR,unit=2),
            Pin(num='51',name='TR2N',func=pin_types.BIDIR,unit=2),
            Pin(num='52',name='TR2P',func=pin_types.BIDIR,unit=2),
            Pin(num='54',name='TR3N',func=pin_types.BIDIR,unit=2),
            Pin(num='55',name='TR3P',func=pin_types.BIDIR,unit=2)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['22', '3', '8', '24', '38', '5', '9', '53', '31', '39', '15', '50', '17', '25', '32', '4', '19', '56', '18', '11', '26', '33', '40', '20', '1', '27', '34', '42', '2', '36', '48', '57', '28', '35', '45', '6', '21', '29', '37', '49', '23', '30', '7', '10']},{'label': 'uB', 'num': 2, 'pin_nums': ['13', '16', '43', '46', '51', '41', '12', '14', '44', '47', '52', '55', '54']}] }),
        Part(**{ 'name':'LAN8710A', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LAN8710A'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-32-1EP_5x5mm_P0.5mm_EP3.3x3.3mm_ThermalVias'], 'footprint':'Package_DFN_QFN:QFN-32-1EP_5x5mm_P0.5mm_EP3.3x3.3mm_ThermalVias', 'keywords':'ETH PHY MII RMII', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/8710a.pdf', 'search_text':'/usr/share/kicad/symbols/Interface_Ethernet.kicad_sym\nLAN8710A\n\nETH PHY MII RMII', 'pins':[
            Pin(num='1',name='VDD2A',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='RXD1/~{MODE1}',func=pin_types.BIDIR,unit=1),
            Pin(num='11',name='RXD0/~{MODE0}',func=pin_types.BIDIR,unit=1),
            Pin(num='12',name='VDDIO',func=pin_types.PWRIN,unit=1),
            Pin(num='13',name='RXER/RXD4/~{PHYAD0}',func=pin_types.BIDIR,unit=1),
            Pin(num='14',name='CRS',func=pin_types.OUTPUT,unit=1),
            Pin(num='15',name='COL/CRS_DV/~{MODE2}',func=pin_types.BIDIR,unit=1),
            Pin(num='16',name='MDIO',func=pin_types.BIDIR,unit=1),
            Pin(num='17',name='MDC',func=pin_types.INPUT,unit=1),
            Pin(num='18',name='~{INT}/TXER/TXD4',func=pin_types.BIDIR,unit=1),
            Pin(num='19',name='~{RST}',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='LED2/~{INTSEL}',func=pin_types.BIDIR,unit=1),
            Pin(num='20',name='TXCLK',func=pin_types.OUTPUT,unit=1),
            Pin(num='21',name='TXEN',func=pin_types.INPUT,unit=1),
            Pin(num='22',name='TXD0',func=pin_types.INPUT,unit=1),
            Pin(num='23',name='TXD1',func=pin_types.INPUT,unit=1),
            Pin(num='24',name='TXD2',func=pin_types.INPUT,unit=1),
            Pin(num='25',name='TXD3',func=pin_types.INPUT,unit=1),
            Pin(num='26',name='RXDV',func=pin_types.OUTPUT,unit=1),
            Pin(num='27',name='VDD1A',func=pin_types.PWRIN,unit=1),
            Pin(num='28',name='TXN',func=pin_types.BIDIR,unit=1),
            Pin(num='29',name='TXP',func=pin_types.BIDIR,unit=1),
            Pin(num='3',name='LED1/~{REGOFF}',func=pin_types.BIDIR,unit=1),
            Pin(num='30',name='RXN',func=pin_types.BIDIR,unit=1),
            Pin(num='31',name='RXP',func=pin_types.BIDIR,unit=1),
            Pin(num='32',name='RBIAS',func=pin_types.PASSIVE,unit=1),
            Pin(num='33',name='VSS',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='XTAL2',func=pin_types.OUTPUT,unit=1),
            Pin(num='5',name='XTAL1/CLKIN',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='VDDCR',func=pin_types.PWRIN,unit=1),
            Pin(num='7',name='RXCLK/~{PHYAD1}',func=pin_types.BIDIR,unit=1),
            Pin(num='8',name='RXD3/~{PHYAD2}',func=pin_types.BIDIR,unit=1),
            Pin(num='9',name='RXD2/~{RMIISEL}',func=pin_types.BIDIR,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LAN8720A', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LAN8720A'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:VQFN-24-1EP_4x4mm_P0.5mm_EP2.5x2.5mm_ThermalVias'], 'footprint':'Package_DFN_QFN:VQFN-24-1EP_4x4mm_P0.5mm_EP2.5x2.5mm_ThermalVias', 'keywords':'ETH PHY RMII', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/8720a.pdf', 'search_text':'/usr/share/kicad/symbols/Interface_Ethernet.kicad_sym\nLAN8720A\n\nETH PHY RMII', 'pins':[
            Pin(num='1',name='VDD2A',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='RXER/PHYAD0',func=pin_types.OUTPUT,unit=1),
            Pin(num='11',name='CRS_DV/MODE2',func=pin_types.BIDIR,unit=1),
            Pin(num='12',name='MDIO',func=pin_types.BIDIR,unit=1),
            Pin(num='13',name='MDC',func=pin_types.INPUT,unit=1),
            Pin(num='14',name='~{INT}/REFCLKO',func=pin_types.OUTPUT,unit=1),
            Pin(num='15',name='~{RST}',func=pin_types.INPUT,unit=1),
            Pin(num='16',name='TXEN',func=pin_types.INPUT,unit=1),
            Pin(num='17',name='TXD0',func=pin_types.INPUT,unit=1),
            Pin(num='18',name='TXD1',func=pin_types.INPUT,unit=1),
            Pin(num='19',name='VDD1A',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='LED2/~{INTSEL}',func=pin_types.BIDIR,unit=1),
            Pin(num='20',name='TXN',func=pin_types.BIDIR,unit=1),
            Pin(num='21',name='TXP',func=pin_types.BIDIR,unit=1),
            Pin(num='22',name='RXN',func=pin_types.BIDIR,unit=1),
            Pin(num='23',name='RXP',func=pin_types.BIDIR,unit=1),
            Pin(num='24',name='RBIAS',func=pin_types.PASSIVE,unit=1),
            Pin(num='25',name='VSS',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='LED1/REGOFF',func=pin_types.BIDIR,unit=1),
            Pin(num='4',name='XTAL2',func=pin_types.OUTPUT,unit=1),
            Pin(num='5',name='XTAL1/CLKIN',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='VDDCR',func=pin_types.PWRIN,unit=1),
            Pin(num='7',name='RXD1/MODE1',func=pin_types.BIDIR,unit=1),
            Pin(num='8',name='RXD0/MODE0',func=pin_types.BIDIR,unit=1),
            Pin(num='9',name='VDDIO',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LAN8742A', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LAN8742A'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:VQFN-24-1EP_4x4mm_P0.5mm_EP2.5x2.5mm_ThermalVias'], 'footprint':'Package_DFN_QFN:VQFN-24-1EP_4x4mm_P0.5mm_EP2.5x2.5mm_ThermalVias', 'keywords':'ETH PHY RMII', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/8742a.pdf', 'search_text':'/usr/share/kicad/symbols/Interface_Ethernet.kicad_sym\nLAN8742A\n\nETH PHY RMII', 'pins':[
            Pin(num='1',name='VDD2A',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='RXER/PHYAD0',func=pin_types.OUTPUT,unit=1),
            Pin(num='11',name='CRS_DV/MODE2',func=pin_types.BIDIR,unit=1),
            Pin(num='12',name='MDIO',func=pin_types.BIDIR,unit=1),
            Pin(num='13',name='MDC',func=pin_types.INPUT,unit=1),
            Pin(num='14',name='~{INT}/REFCLKO',func=pin_types.OUTPUT,unit=1),
            Pin(num='15',name='~{RST}',func=pin_types.INPUT,unit=1),
            Pin(num='16',name='TXEN',func=pin_types.INPUT,unit=1),
            Pin(num='17',name='TXD0',func=pin_types.INPUT,unit=1),
            Pin(num='18',name='TXD1',func=pin_types.INPUT,unit=1),
            Pin(num='19',name='VDD1A',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='LED2/~{INTSEL}',func=pin_types.BIDIR,unit=1),
            Pin(num='20',name='TXN',func=pin_types.PASSIVE,unit=1),
            Pin(num='21',name='TXP',func=pin_types.PASSIVE,unit=1),
            Pin(num='22',name='RXN',func=pin_types.PASSIVE,unit=1),
            Pin(num='23',name='RXP',func=pin_types.PASSIVE,unit=1),
            Pin(num='24',name='RBIAS',func=pin_types.PASSIVE,unit=1),
            Pin(num='25',name='VSS',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='LED1/REGOFF',func=pin_types.BIDIR,unit=1),
            Pin(num='4',name='XTAL2',func=pin_types.OUTPUT,unit=1),
            Pin(num='5',name='XTAL1/CLKIN',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='VDDCR',func=pin_types.PWRIN,unit=1),
            Pin(num='7',name='RXD1/MODE1',func=pin_types.BIDIR,unit=1),
            Pin(num='8',name='RXD0/MODE0',func=pin_types.BIDIR,unit=1),
            Pin(num='9',name='VDDIO',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LAN9303', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LAN9303'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-56-1EP_8x8mm_P0.5mm_EP5.9x5.9mm_ThermalVias'], 'footprint':'Package_DFN_QFN:QFN-56-1EP_8x8mm_P0.5mm_EP5.9x5.9mm_ThermalVias', 'keywords':'ETH PHY RMII switch', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/9303.pdf', 'search_text':'/usr/share/kicad/symbols/Interface_Ethernet.kicad_sym\nLAN9303\n\nETH PHY RMII switch', 'pins':[
            Pin(num='1',name='TXN2',func=pin_types.BIDIR,unit=1),
            Pin(num='10',name='VDD18CORE',func=pin_types.PWRIN,unit=1),
            Pin(num='11',name='P0_OUTD3/~{DUPLEX_POL_0}',func=pin_types.PASSIVE,unit=1),
            Pin(num='12',name='P0_OUTD2/~{P0_MODE2}',func=pin_types.PASSIVE,unit=1),
            Pin(num='13',name='P0_OUTD1/~{P0_MODE1}',func=pin_types.BIDIR,unit=1),
            Pin(num='14',name='P0_OUTD0/~{P0_MODE0}',func=pin_types.BIDIR,unit=1),
            Pin(num='15',name='VDD33IO',func=pin_types.PASSIVE,unit=1),
            Pin(num='16',name='P0_OUTDV',func=pin_types.OUTPUT,unit=1),
            Pin(num='17',name='P0_OUTCLK',func=pin_types.BIDIR,unit=1),
            Pin(num='18',name='P0_COL',func=pin_types.PASSIVE,unit=1),
            Pin(num='19',name='P0_CRS',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='P0_IND3',func=pin_types.PASSIVE,unit=1),
            Pin(num='20',name='P0_DUPLEX',func=pin_types.INPUT,unit=1),
            Pin(num='21',name='MDIO',func=pin_types.BIDIR,unit=1),
            Pin(num='22',name='MDC',func=pin_types.BIDIR,unit=1),
            Pin(num='23',name='VDD33IO',func=pin_types.PASSIVE,unit=1),
            Pin(num='24',name='LED5/GPIO5/~{PHYADDR}',func=pin_types.PASSIVE,unit=1),
            Pin(num='25',name='LED4/GPIO4/~{MNGT1}',func=pin_types.PASSIVE,unit=1),
            Pin(num='26',name='LED3/GPIO3/~{MNGT0}',func=pin_types.PASSIVE,unit=1),
            Pin(num='27',name='LED2/GPIO2/~{E2PSIZE}',func=pin_types.PASSIVE,unit=1),
            Pin(num='28',name='LED1/GPIO1/~{AMDIX2}',func=pin_types.PASSIVE,unit=1),
            Pin(num='29',name='LED0/GPIO0/~{AMDIX1}',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='P0_IND2',func=pin_types.PASSIVE,unit=1),
            Pin(num='30',name='VDD33IO',func=pin_types.PASSIVE,unit=1),
            Pin(num='31',name='VDD18CORE',func=pin_types.PASSIVE,unit=1),
            Pin(num='32',name='VDD33IO',func=pin_types.PASSIVE,unit=1),
            Pin(num='33',name='VDD33IO',func=pin_types.PASSIVE,unit=1),
            Pin(num='34',name='VSS',func=pin_types.PWRIN,unit=1),
            Pin(num='35',name='EE_SDA/SDA',func=pin_types.BIDIR,unit=1),
            Pin(num='36',name='EE_SCL/SCL',func=pin_types.BIDIR,unit=1),
            Pin(num='37',name='~{RST}',func=pin_types.PASSIVE,unit=1),
            Pin(num='38',name='IRQ',func=pin_types.PASSIVE,unit=1),
            Pin(num='39',name='XI',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='P0_IND1',func=pin_types.INPUT,unit=1),
            Pin(num='40',name='XO',func=pin_types.PASSIVE,unit=1),
            Pin(num='41',name='VDD18PLL',func=pin_types.PWRIN,unit=1),
            Pin(num='42',name='TXN1',func=pin_types.BIDIR,unit=1),
            Pin(num='43',name='TXP1',func=pin_types.BIDIR,unit=1),
            Pin(num='44',name='VDD33A1',func=pin_types.PWRIN,unit=1),
            Pin(num='45',name='RXN1',func=pin_types.BIDIR,unit=1),
            Pin(num='46',name='RXP1',func=pin_types.BIDIR,unit=1),
            Pin(num='47',name='VDD33A1',func=pin_types.PASSIVE,unit=1),
            Pin(num='48',name='VDD18TX1',func=pin_types.PWRIN,unit=1),
            Pin(num='49',name='EXRES',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='P0_IND0',func=pin_types.INPUT,unit=1),
            Pin(num='50',name='VDD33BIAS',func=pin_types.PWRIN,unit=1),
            Pin(num='51',name='VDD18TX2',func=pin_types.PWRIN,unit=1),
            Pin(num='52',name='VDD33A2',func=pin_types.PWRIN,unit=1),
            Pin(num='53',name='RXP2',func=pin_types.BIDIR,unit=1),
            Pin(num='54',name='RXN2',func=pin_types.BIDIR,unit=1),
            Pin(num='55',name='VDD33A2',func=pin_types.PASSIVE,unit=1),
            Pin(num='56',name='TXP2',func=pin_types.BIDIR,unit=1),
            Pin(num='57',name='VSS',func=pin_types.PASSIVE,unit=1),
            Pin(num='6',name='P0_INDV',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='P0_INER',func=pin_types.PASSIVE,unit=1),
            Pin(num='8',name='P0_INCLK',func=pin_types.PASSIVE,unit=1),
            Pin(num='9',name='VDD33IO',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LAN9512', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LAN9512'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-64-1EP_9x9mm_P0.5mm_EP7.3x7.3mm'], 'footprint':'Package_DFN_QFN:QFN-64-1EP_9x9mm_P0.5mm_EP7.3x7.3mm', 'keywords':'USB HUB Ethernet 10/100', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/00002304A.pdf', 'search_text':'/usr/share/kicad/symbols/Interface_Ethernet.kicad_sym\nLAN9512\n\nUSB HUB Ethernet 10/100', 'pins':[
            Pin(num='10',name='VDD33A',func=pin_types.PASSIVE,unit=1),
            Pin(num='12',name='~{RESET}',func=pin_types.INPUT,unit=1),
            Pin(num='13',name='TEST1',func=pin_types.INPUT,unit=1),
            Pin(num='15',name='VDD18CORE',func=pin_types.PWRIN,unit=1),
            Pin(num='19',name='VDD33IO',func=pin_types.PWRIN,unit=1),
            Pin(num='20',name='~{FDX_LED}/GPIO0',func=pin_types.BIDIR,unit=1),
            Pin(num='21',name='~{LNKA_LED}/GPIO1',func=pin_types.BIDIR,unit=1),
            Pin(num='22',name='~{SPD_LED}/GPIO2',func=pin_types.BIDIR,unit=1),
            Pin(num='23',name='EECLK',func=pin_types.OUTPUT,unit=1),
            Pin(num='24',name='EECS',func=pin_types.OUTPUT,unit=1),
            Pin(num='25',name='EEDO',func=pin_types.OUTPUT,unit=1),
            Pin(num='26',name='EEDI',func=pin_types.INPUT,unit=1),
            Pin(num='27',name='VDD33IO',func=pin_types.PASSIVE,unit=1),
            Pin(num='28',name='~{TRST}',func=pin_types.INPUT,unit=1),
            Pin(num='29',name='TMS',func=pin_types.INPUT,unit=1),
            Pin(num='30',name='TDI',func=pin_types.INPUT,unit=1),
            Pin(num='31',name='TDO',func=pin_types.OUTPUT,unit=1),
            Pin(num='32',name='TCK',func=pin_types.INPUT,unit=1),
            Pin(num='33',name='VDD33IO',func=pin_types.PASSIVE,unit=1),
            Pin(num='34',name='TEST2',func=pin_types.INPUT,unit=1),
            Pin(num='35',name='GPIO3',func=pin_types.BIDIR,unit=1),
            Pin(num='36',name='GPIO4',func=pin_types.BIDIR,unit=1),
            Pin(num='37',name='GPIO5',func=pin_types.BIDIR,unit=1),
            Pin(num='38',name='VDD18CORE',func=pin_types.PASSIVE,unit=1),
            Pin(num='39',name='VDD33IO',func=pin_types.PASSIVE,unit=1),
            Pin(num='40',name='TEST3',func=pin_types.INPUT,unit=1),
            Pin(num='42',name='GPIO6',func=pin_types.BIDIR,unit=1),
            Pin(num='43',name='GPIO7',func=pin_types.BIDIR,unit=1),
            Pin(num='44',name='CLK24_EN',func=pin_types.INPUT,unit=1),
            Pin(num='45',name='CLK24_OUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='46',name='VDD33IO',func=pin_types.PASSIVE,unit=1),
            Pin(num='47',name='TEST4',func=pin_types.INPUT,unit=1),
            Pin(num='48',name='VDD18ETHPLL',func=pin_types.PWRIN,unit=1),
            Pin(num='49',name='VDD33A',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='VDD33A',func=pin_types.PWRIN,unit=1),
            Pin(num='51',name='VDD33A',func=pin_types.PASSIVE,unit=1),
            Pin(num='54',name='VDD33A',func=pin_types.PASSIVE,unit=1),
            Pin(num='57',name='VDD33A',func=pin_types.PASSIVE,unit=1),
            Pin(num='60',name='XO',func=pin_types.INPUT,unit=1),
            Pin(num='61',name='XI',func=pin_types.INPUT,unit=1),
            Pin(num='62',name='VDD18USBPLL',func=pin_types.PWRIN,unit=1),
            Pin(num='64',name='VDD33A',func=pin_types.PASSIVE,unit=1),
            Pin(num='65',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='1',name='USBDM2',func=pin_types.BIDIR,unit=2),
            Pin(num='11',name='VBUS_DET',func=pin_types.INPUT,unit=2),
            Pin(num='14',name='PRTCTL2',func=pin_types.BIDIR,unit=2),
            Pin(num='16',name='PRTCTL3',func=pin_types.BIDIR,unit=2),
            Pin(num='17',name='NC',func=pin_types.NOCONNECT,unit=2),
            Pin(num='18',name='NC',func=pin_types.NOCONNECT,unit=2),
            Pin(num='2',name='USBDP2',func=pin_types.BIDIR,unit=2),
            Pin(num='3',name='USBDM3',func=pin_types.BIDIR,unit=2),
            Pin(num='4',name='USBDP3',func=pin_types.BIDIR,unit=2),
            Pin(num='41',name='AUTOMDIX_EN',func=pin_types.INPUT,unit=2),
            Pin(num='50',name='EXRES',func=pin_types.INPUT,unit=2),
            Pin(num='52',name='RXP',func=pin_types.INPUT,unit=2),
            Pin(num='53',name='RXN',func=pin_types.INPUT,unit=2),
            Pin(num='55',name='TXP',func=pin_types.OUTPUT,unit=2),
            Pin(num='56',name='TXN',func=pin_types.OUTPUT,unit=2),
            Pin(num='58',name='USBDM0',func=pin_types.BIDIR,unit=2),
            Pin(num='59',name='USBDP0',func=pin_types.BIDIR,unit=2),
            Pin(num='6',name='NC',func=pin_types.NOCONNECT,unit=2),
            Pin(num='63',name='USBRBIAS',func=pin_types.INPUT,unit=2),
            Pin(num='7',name='NC',func=pin_types.NOCONNECT,unit=2),
            Pin(num='8',name='NC',func=pin_types.NOCONNECT,unit=2),
            Pin(num='9',name='NC',func=pin_types.NOCONNECT,unit=2)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['38', '37', '39', '54', '27', '35', '28', '57', '29', '42', '10', '32', '30', '43', '60', '44', '61', '21', '46', '24', '45', '64', '13', '62', '31', '15', '26', '40', '20', '47', '65', '23', '49', '19', '48', '12', '34', '33', '25', '22', '36', '51', '5']},{'label': 'uB', 'num': 2, 'pin_nums': ['52', '8', '17', '16', '9', '53', '18', '55', '56', '2', '3', '58', '6', '4', '59', '50', '1', '41', '7', '14', '11', '63']}] }),
        Part(**{ 'name':'LAN9513', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LAN9513'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-64-1EP_9x9mm_P0.5mm_EP7.3x7.3mm'], 'footprint':'Package_DFN_QFN:QFN-64-1EP_9x9mm_P0.5mm_EP7.3x7.3mm', 'keywords':'USB HUB Ethernet 10/100', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/00002305A.pdf', 'search_text':'/usr/share/kicad/symbols/Interface_Ethernet.kicad_sym\nLAN9513\n\nUSB HUB Ethernet 10/100', 'pins':[
            Pin(num='10',name='VDD33A',func=pin_types.PASSIVE,unit=1),
            Pin(num='12',name='~{RESET}',func=pin_types.INPUT,unit=1),
            Pin(num='13',name='TEST1',func=pin_types.INPUT,unit=1),
            Pin(num='15',name='VDD18CORE',func=pin_types.PWRIN,unit=1),
            Pin(num='19',name='VDD33IO',func=pin_types.PWRIN,unit=1),
            Pin(num='20',name='~{FDX_LED}/GPIO0',func=pin_types.BIDIR,unit=1),
            Pin(num='21',name='~{LNKA_LED}/GPIO1',func=pin_types.BIDIR,unit=1),
            Pin(num='22',name='~{SPD_LED}/GPIO2',func=pin_types.BIDIR,unit=1),
            Pin(num='23',name='EECLK',func=pin_types.OUTPUT,unit=1),
            Pin(num='24',name='EECS',func=pin_types.OUTPUT,unit=1),
            Pin(num='25',name='EEDO',func=pin_types.OUTPUT,unit=1),
            Pin(num='26',name='EEDI',func=pin_types.INPUT,unit=1),
            Pin(num='27',name='VDD33IO',func=pin_types.PASSIVE,unit=1),
            Pin(num='28',name='~{TRST}',func=pin_types.INPUT,unit=1),
            Pin(num='29',name='TMS',func=pin_types.INPUT,unit=1),
            Pin(num='30',name='TDI',func=pin_types.INPUT,unit=1),
            Pin(num='31',name='TDO',func=pin_types.OUTPUT,unit=1),
            Pin(num='32',name='TCK',func=pin_types.INPUT,unit=1),
            Pin(num='33',name='VDD33IO',func=pin_types.PASSIVE,unit=1),
            Pin(num='34',name='TEST2',func=pin_types.INPUT,unit=1),
            Pin(num='35',name='GPIO3',func=pin_types.BIDIR,unit=1),
            Pin(num='36',name='GPIO4',func=pin_types.BIDIR,unit=1),
            Pin(num='37',name='GPIO5',func=pin_types.BIDIR,unit=1),
            Pin(num='38',name='VDD18CORE',func=pin_types.PASSIVE,unit=1),
            Pin(num='39',name='VDD33IO',func=pin_types.PASSIVE,unit=1),
            Pin(num='40',name='TEST3',func=pin_types.INPUT,unit=1),
            Pin(num='42',name='GPIO6',func=pin_types.BIDIR,unit=1),
            Pin(num='43',name='GPIO7',func=pin_types.BIDIR,unit=1),
            Pin(num='44',name='CLK24_EN',func=pin_types.INPUT,unit=1),
            Pin(num='45',name='CLK24_OUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='46',name='VDD33IO',func=pin_types.PASSIVE,unit=1),
            Pin(num='47',name='TEST4',func=pin_types.INPUT,unit=1),
            Pin(num='48',name='VDD18ETHPLL',func=pin_types.PWRIN,unit=1),
            Pin(num='49',name='VDD33A',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='VDD33A',func=pin_types.PWRIN,unit=1),
            Pin(num='51',name='VDD33A',func=pin_types.PASSIVE,unit=1),
            Pin(num='54',name='VDD33A',func=pin_types.PASSIVE,unit=1),
            Pin(num='57',name='VDD33A',func=pin_types.PASSIVE,unit=1),
            Pin(num='60',name='XO',func=pin_types.INPUT,unit=1),
            Pin(num='61',name='XI',func=pin_types.INPUT,unit=1),
            Pin(num='62',name='VDD18USBPLL',func=pin_types.PWRIN,unit=1),
            Pin(num='64',name='VDD33A',func=pin_types.PASSIVE,unit=1),
            Pin(num='65',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='1',name='USBDM2',func=pin_types.BIDIR,unit=2),
            Pin(num='11',name='VBUS_DET',func=pin_types.INPUT,unit=2),
            Pin(num='14',name='PRTCTL2',func=pin_types.BIDIR,unit=2),
            Pin(num='16',name='PRTCTL3',func=pin_types.BIDIR,unit=2),
            Pin(num='17',name='PRTCTL4',func=pin_types.BIDIR,unit=2),
            Pin(num='18',name='NC',func=pin_types.NOCONNECT,unit=2),
            Pin(num='2',name='USBDP2',func=pin_types.BIDIR,unit=2),
            Pin(num='3',name='USBDM3',func=pin_types.BIDIR,unit=2),
            Pin(num='4',name='USBDP3',func=pin_types.BIDIR,unit=2),
            Pin(num='41',name='AUTOMDIX_EN',func=pin_types.INPUT,unit=2),
            Pin(num='50',name='EXRES',func=pin_types.INPUT,unit=2),
            Pin(num='52',name='RXP',func=pin_types.INPUT,unit=2),
            Pin(num='53',name='RXN',func=pin_types.INPUT,unit=2),
            Pin(num='55',name='TXP',func=pin_types.OUTPUT,unit=2),
            Pin(num='56',name='TXN',func=pin_types.OUTPUT,unit=2),
            Pin(num='58',name='USBDM0',func=pin_types.BIDIR,unit=2),
            Pin(num='59',name='USBDP0',func=pin_types.BIDIR,unit=2),
            Pin(num='6',name='USBDM4',func=pin_types.BIDIR,unit=2),
            Pin(num='63',name='USBRBIAS',func=pin_types.INPUT,unit=2),
            Pin(num='7',name='USBDP4',func=pin_types.BIDIR,unit=2),
            Pin(num='8',name='NC',func=pin_types.NOCONNECT,unit=2),
            Pin(num='9',name='NC',func=pin_types.NOCONNECT,unit=2)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['21', '29', '37', '39', '30', '47', '22', '49', '61', '64', '31', '48', '10', '23', '33', '62', '24', '32', '40', '51', '25', '13', '42', '5', '27', '65', '15', '26', '34', '43', '54', '19', '35', '44', '57', '46', '28', '36', '45', '20', '38', '12', '60']},{'label': 'uB', 'num': 2, 'pin_nums': ['52', '16', '7', '18', '17', '53', '9', '55', '2', '56', '3', '58', '1', '4', '59', '11', '41', '6', '14', '50', '63', '8']}] }),
        Part(**{ 'name':'LAN9514', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LAN9514'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-64-1EP_9x9mm_P0.5mm_EP7.3x7.3mm'], 'footprint':'Package_DFN_QFN:QFN-64-1EP_9x9mm_P0.5mm_EP7.3x7.3mm', 'keywords':'USB HUB Ethernet 10/100', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/00002306A.pdf', 'search_text':'/usr/share/kicad/symbols/Interface_Ethernet.kicad_sym\nLAN9514\n\nUSB HUB Ethernet 10/100', 'pins':[
            Pin(num='10',name='VDD33A',func=pin_types.PASSIVE,unit=1),
            Pin(num='12',name='~{RESET}',func=pin_types.INPUT,unit=1),
            Pin(num='13',name='TEST1',func=pin_types.INPUT,unit=1),
            Pin(num='15',name='VDD18CORE',func=pin_types.PWRIN,unit=1),
            Pin(num='19',name='VDD33IO',func=pin_types.PWRIN,unit=1),
            Pin(num='20',name='~{FDX_LED}/GPIO0',func=pin_types.BIDIR,unit=1),
            Pin(num='21',name='~{LNKA_LED}/GPIO1',func=pin_types.BIDIR,unit=1),
            Pin(num='22',name='~{SPD_LED}/GPIO2',func=pin_types.BIDIR,unit=1),
            Pin(num='23',name='EECLK',func=pin_types.OUTPUT,unit=1),
            Pin(num='24',name='EECS',func=pin_types.OUTPUT,unit=1),
            Pin(num='25',name='EEDO',func=pin_types.OUTPUT,unit=1),
            Pin(num='26',name='EEDI',func=pin_types.INPUT,unit=1),
            Pin(num='27',name='VDD33IO',func=pin_types.PASSIVE,unit=1),
            Pin(num='28',name='~{TRST}',func=pin_types.INPUT,unit=1),
            Pin(num='29',name='TMS',func=pin_types.INPUT,unit=1),
            Pin(num='30',name='TDI',func=pin_types.INPUT,unit=1),
            Pin(num='31',name='TDO',func=pin_types.OUTPUT,unit=1),
            Pin(num='32',name='TCK',func=pin_types.INPUT,unit=1),
            Pin(num='33',name='VDD33IO',func=pin_types.PASSIVE,unit=1),
            Pin(num='34',name='TEST2',func=pin_types.INPUT,unit=1),
            Pin(num='35',name='GPIO3',func=pin_types.BIDIR,unit=1),
            Pin(num='36',name='GPIO4',func=pin_types.BIDIR,unit=1),
            Pin(num='37',name='GPIO5',func=pin_types.BIDIR,unit=1),
            Pin(num='38',name='VDD18CORE',func=pin_types.PASSIVE,unit=1),
            Pin(num='39',name='VDD33IO',func=pin_types.PASSIVE,unit=1),
            Pin(num='40',name='TEST3',func=pin_types.INPUT,unit=1),
            Pin(num='42',name='GPIO6',func=pin_types.BIDIR,unit=1),
            Pin(num='43',name='GPIO7',func=pin_types.BIDIR,unit=1),
            Pin(num='44',name='CLK24_EN',func=pin_types.INPUT,unit=1),
            Pin(num='45',name='CLK24_OUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='46',name='VDD33IO',func=pin_types.PASSIVE,unit=1),
            Pin(num='47',name='TEST4',func=pin_types.INPUT,unit=1),
            Pin(num='48',name='VDD18ETHPLL',func=pin_types.PWRIN,unit=1),
            Pin(num='49',name='VDD33A',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='VDD33A',func=pin_types.PWRIN,unit=1),
            Pin(num='51',name='VDD33A',func=pin_types.PASSIVE,unit=1),
            Pin(num='54',name='VDD33A',func=pin_types.PASSIVE,unit=1),
            Pin(num='57',name='VDD33A',func=pin_types.PASSIVE,unit=1),
            Pin(num='60',name='XO',func=pin_types.INPUT,unit=1),
            Pin(num='61',name='XI',func=pin_types.INPUT,unit=1),
            Pin(num='62',name='VDD18USBPLL',func=pin_types.PWRIN,unit=1),
            Pin(num='64',name='VDD33A',func=pin_types.PASSIVE,unit=1),
            Pin(num='65',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='1',name='USBDM2',func=pin_types.BIDIR,unit=2),
            Pin(num='11',name='VBUS_DET',func=pin_types.INPUT,unit=2),
            Pin(num='14',name='PRTCTL2',func=pin_types.BIDIR,unit=2),
            Pin(num='16',name='PRTCTL3',func=pin_types.BIDIR,unit=2),
            Pin(num='17',name='PRTCTL4',func=pin_types.BIDIR,unit=2),
            Pin(num='18',name='PRTCTL5',func=pin_types.BIDIR,unit=2),
            Pin(num='2',name='USBDP2',func=pin_types.BIDIR,unit=2),
            Pin(num='3',name='USBDM3',func=pin_types.BIDIR,unit=2),
            Pin(num='4',name='USBDP3',func=pin_types.BIDIR,unit=2),
            Pin(num='41',name='AUTOMDIX_EN',func=pin_types.INPUT,unit=2),
            Pin(num='50',name='EXRES',func=pin_types.INPUT,unit=2),
            Pin(num='52',name='RXP',func=pin_types.INPUT,unit=2),
            Pin(num='53',name='RXN',func=pin_types.INPUT,unit=2),
            Pin(num='55',name='TXP',func=pin_types.OUTPUT,unit=2),
            Pin(num='56',name='TXN',func=pin_types.OUTPUT,unit=2),
            Pin(num='58',name='USBDM0',func=pin_types.BIDIR,unit=2),
            Pin(num='59',name='USBDP0',func=pin_types.BIDIR,unit=2),
            Pin(num='6',name='USBDM4',func=pin_types.BIDIR,unit=2),
            Pin(num='63',name='USBRBIAS',func=pin_types.INPUT,unit=2),
            Pin(num='7',name='USBDP4',func=pin_types.BIDIR,unit=2),
            Pin(num='8',name='USBDM5',func=pin_types.BIDIR,unit=2),
            Pin(num='9',name='USBDP5',func=pin_types.BIDIR,unit=2)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['10', '46', '29', '37', '12', '21', '60', '28', '30', '39', '47', '61', '45', '22', '49', '64', '20', '31', '23', '33', '48', '62', '24', '32', '40', '51', '13', '25', '42', '27', '5', '65', '26', '15', '34', '43', '54', '19', '35', '44', '57', '36', '38']},{'label': 'uB', 'num': 2, 'pin_nums': ['17', '55', '9', '18', '56', '2', '58', '3', '14', '4', '59', '41', '6', '16', '50', '63', '1', '52', '7', '11', '53', '8']}] }),
        Part(**{ 'name':'RTL8211EG-VB-CG', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'RTL8211EG-VB-CG'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-64-1EP_9x9mm_P0.5mm_EP3.8x3.8mm'], 'footprint':'Package_DFN_QFN:QFN-64-1EP_9x9mm_P0.5mm_EP3.8x3.8mm', 'keywords':'Ethernet Phy Gigabit', 'description':'', 'datasheet':'https://datasheet.lcsc.com/szlcsc/Realtek-Semicon-RTL8211EG-VB-CG_C69264.pdf', 'search_text':'/usr/share/kicad/symbols/Interface_Ethernet.kicad_sym\nRTL8211EG-VB-CG\n\nEthernet Phy Gigabit', 'pins':[
            Pin(num='1',name='CLK125',func=pin_types.OUTPUT,unit=1),
            Pin(num='10',name='AVDD33',func=pin_types.PWRIN,unit=1),
            Pin(num='11',name='MDI[2]+',func=pin_types.BIDIR,unit=1),
            Pin(num='12',name='MDI[2]-',func=pin_types.BIDIR,unit=1),
            Pin(num='13',name='AVDD10',func=pin_types.PWRIN,unit=1),
            Pin(num='14',name='MDI[3]+',func=pin_types.BIDIR,unit=1),
            Pin(num='15',name='MDI[3]-',func=pin_types.BIDIR,unit=1),
            Pin(num='16',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='17',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='18',name='RXDV/PHY_AD2',func=pin_types.BIDIR,unit=1),
            Pin(num='19',name='RXD0',func=pin_types.OUTPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='20',name='DVDD33',func=pin_types.PWRIN,unit=1),
            Pin(num='21',name='RXD1',func=pin_types.OUTPUT,unit=1),
            Pin(num='22',name='RXD2',func=pin_types.OUTPUT,unit=1),
            Pin(num='23',name='RXD3',func=pin_types.OUTPUT,unit=1),
            Pin(num='24',name='RXC',func=pin_types.OUTPUT,unit=1),
            Pin(num='25',name='RXD4/SELRGV',func=pin_types.BIDIR,unit=1),
            Pin(num='26',name='DVDD33',func=pin_types.PWRIN,unit=1),
            Pin(num='27',name='RXD5/TXDLY',func=pin_types.BIDIR,unit=1),
            Pin(num='28',name='RXD6/RXDLY',func=pin_types.BIDIR,unit=1),
            Pin(num='29',name='RXD7/AN0',func=pin_types.BIDIR,unit=1),
            Pin(num='3',name='REG_OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='30',name='RXER/AN1',func=pin_types.BIDIR,unit=1),
            Pin(num='31',name='COL/MODE',func=pin_types.BIDIR,unit=1),
            Pin(num='32',name='CRS',func=pin_types.OUTPUT,unit=1),
            Pin(num='33',name='DVDD10',func=pin_types.PWRIN,unit=1),
            Pin(num='34',name='GTX_CLK',func=pin_types.INPUT,unit=1),
            Pin(num='35',name='TXEN',func=pin_types.INPUT,unit=1),
            Pin(num='36',name='TXD0',func=pin_types.INPUT,unit=1),
            Pin(num='37',name='DVDD33',func=pin_types.PWRIN,unit=1),
            Pin(num='38',name='~{PHYRST}',func=pin_types.INPUT,unit=1),
            Pin(num='39',name='TXD1',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='40',name='TXD2',func=pin_types.INPUT,unit=1),
            Pin(num='41',name='TXD3',func=pin_types.INPUT,unit=1),
            Pin(num='42',name='TXCLK',func=pin_types.OUTPUT,unit=1),
            Pin(num='43',name='TXD4',func=pin_types.INPUT,unit=1),
            Pin(num='44',name='TXD5',func=pin_types.INPUT,unit=1),
            Pin(num='45',name='TXD6',func=pin_types.INPUT,unit=1),
            Pin(num='46',name='TXD7',func=pin_types.INPUT,unit=1),
            Pin(num='47',name='TXER',func=pin_types.INPUT,unit=1),
            Pin(num='48',name='DVDD10',func=pin_types.PWRIN,unit=1),
            Pin(num='49',name='DVDD33',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='MDI[0]+',func=pin_types.BIDIR,unit=1),
            Pin(num='50',name='LED0/PHY_AD0',func=pin_types.BIDIR,unit=1),
            Pin(num='51',name='LED1/PHY_AD1',func=pin_types.BIDIR,unit=1),
            Pin(num='52',name='LED2',func=pin_types.BIDIR,unit=1),
            Pin(num='53',name='MDC',func=pin_types.INPUT,unit=1),
            Pin(num='54',name='MDIO',func=pin_types.BIDIR,unit=1),
            Pin(num='55',name='~{PME}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='56',name='~{INT}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='57',name='ENSWREG',func=pin_types.INPUT,unit=1),
            Pin(num='58',name='RSET',func=pin_types.PASSIVE,unit=1),
            Pin(num='59',name='AVDD10',func=pin_types.PWRIN,unit=1),
            Pin(num='6',name='MDI[0]-',func=pin_types.BIDIR,unit=1),
            Pin(num='60',name='AVDD33',func=pin_types.PWRIN,unit=1),
            Pin(num='61',name='CKXTAL1',func=pin_types.INPUT,unit=1),
            Pin(num='62',name='CKXTAL2',func=pin_types.OUTPUT,unit=1),
            Pin(num='63',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='64',name='VDDREG',func=pin_types.PWRIN,unit=1),
            Pin(num='65',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='7',name='AVDD10',func=pin_types.PWRIN,unit=1),
            Pin(num='8',name='MDI[1]+',func=pin_types.BIDIR,unit=1),
            Pin(num='9',name='MDI[1]-',func=pin_types.BIDIR,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'VSC8541XMV-0x', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'VSC8541XMV-0x'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-68-1EP_8x8mm_P0.4mm_EP5.2x5.2mm'], 'footprint':'Package_DFN_QFN:QFN-68-1EP_8x8mm_P0.4mm_EP5.2x5.2mm', 'keywords':'Gigabit Ethernet PHY GMII RGMII MII RMII', 'description':'', 'datasheet':'https://ethernet.microsemi.com/products/download.php?fid=7978&number=vsc8541', 'search_text':'/usr/share/kicad/symbols/Interface_Ethernet.kicad_sym\nVSC8541XMV-0x\n\nGigabit Ethernet PHY GMII RGMII MII RMII', 'pins':[
            Pin(num='1',name='REF_REXT',func=pin_types.PASSIVE),
            Pin(num='10',name='P0_D1P',func=pin_types.PASSIVE),
            Pin(num='11',name='VDD25A',func=pin_types.PWRIN),
            Pin(num='12',name='P0_D0N',func=pin_types.PASSIVE),
            Pin(num='13',name='P0_D0P',func=pin_types.PASSIVE),
            Pin(num='14',name='VDD1A',func=pin_types.PWRIN),
            Pin(num='15',name='THERMDA',func=pin_types.PASSIVE),
            Pin(num='16',name='THERMDC_VSS',func=pin_types.PASSIVE),
            Pin(num='17',name='VDD1',func=pin_types.PWRIN),
            Pin(num='18',name='COL',func=pin_types.BIDIR),
            Pin(num='19',name='CRS',func=pin_types.BIDIR),
            Pin(num='2',name='VDD25A',func=pin_types.PWRIN),
            Pin(num='20',name='RXD7',func=pin_types.BIDIR),
            Pin(num='21',name='RXD6',func=pin_types.BIDIR),
            Pin(num='22',name='VDDMAC',func=pin_types.PWRIN),
            Pin(num='23',name='RXD5',func=pin_types.BIDIR),
            Pin(num='24',name='RXD4',func=pin_types.BIDIR),
            Pin(num='25',name='RXD3',func=pin_types.BIDIR),
            Pin(num='26',name='RXD2',func=pin_types.BIDIR),
            Pin(num='27',name='RXD1',func=pin_types.BIDIR),
            Pin(num='28',name='VDDMAC',func=pin_types.PASSIVE),
            Pin(num='29',name='RXD0',func=pin_types.BIDIR),
            Pin(num='3',name='P0_D3N',func=pin_types.PASSIVE),
            Pin(num='30',name='RX_DV/RX_CTL',func=pin_types.BIDIR),
            Pin(num='31',name='RX_ER',func=pin_types.BIDIR),
            Pin(num='32',name='RX_CLK',func=pin_types.BIDIR),
            Pin(num='33',name='TX_EN/TX_CTL',func=pin_types.INPUT),
            Pin(num='34',name='VDD1',func=pin_types.PASSIVE),
            Pin(num='35',name='TX_ER',func=pin_types.INPUT),
            Pin(num='36',name='MII_TXCLK',func=pin_types.BIDIR),
            Pin(num='37',name='GTX_CLK',func=pin_types.INPUT),
            Pin(num='38',name='TXD0',func=pin_types.INPUT),
            Pin(num='39',name='VDDMAC',func=pin_types.PASSIVE),
            Pin(num='4',name='P0_D3P',func=pin_types.PASSIVE),
            Pin(num='40',name='TXD1',func=pin_types.INPUT),
            Pin(num='41',name='TXD2',func=pin_types.INPUT),
            Pin(num='42',name='TXD3',func=pin_types.INPUT),
            Pin(num='43',name='TXD4',func=pin_types.INPUT),
            Pin(num='44',name='VDDMAC',func=pin_types.PASSIVE),
            Pin(num='45',name='TXD5',func=pin_types.INPUT),
            Pin(num='46',name='TXD6',func=pin_types.INPUT),
            Pin(num='47',name='TXD7',func=pin_types.INPUT),
            Pin(num='48',name='MDC',func=pin_types.INPUT),
            Pin(num='49',name='VDDMDIO',func=pin_types.PWRIN),
            Pin(num='5',name='VDD1A',func=pin_types.PWRIN),
            Pin(num='50',name='MDIO',func=pin_types.BIDIR),
            Pin(num='51',name='MDINT',func=pin_types.OUTPUT),
            Pin(num='52',name='FASTLINK_FAIL',func=pin_types.OUTPUT),
            Pin(num='53',name='NRESET',func=pin_types.INPUT),
            Pin(num='54',name='CLKOUT',func=pin_types.BIDIR),
            Pin(num='55',name='RCVRD_CLK',func=pin_types.OUTPUT),
            Pin(num='56',name='COMA_MODE',func=pin_types.BIDIR),
            Pin(num='57',name='CLK_SQUELCH_IN',func=pin_types.INPUT),
            Pin(num='58',name='VDDIO',func=pin_types.PWRIN),
            Pin(num='59',name='LED1',func=pin_types.OUTPUT),
            Pin(num='6',name='P0_D2N',func=pin_types.PASSIVE),
            Pin(num='60',name='LED0',func=pin_types.OUTPUT),
            Pin(num='61',name='REFCLK_SEL_1',func=pin_types.INPUT),
            Pin(num='62',name='REFCLK_SEL_0',func=pin_types.INPUT),
            Pin(num='63',name='XTAL1',func=pin_types.INPUT),
            Pin(num='64',name='XTAL2',func=pin_types.OUTPUT),
            Pin(num='65',name='RESERVED_1',func=pin_types.NOCONNECT),
            Pin(num='66',name='RESERVED_0',func=pin_types.NOCONNECT),
            Pin(num='67',name='REF_FILT',func=pin_types.PASSIVE),
            Pin(num='68',name='VDD1A',func=pin_types.PWRIN),
            Pin(num='69',name='VSS',func=pin_types.PWRIN),
            Pin(num='7',name='P0_D2P',func=pin_types.PASSIVE),
            Pin(num='8',name='VDD25A',func=pin_types.PWRIN),
            Pin(num='9',name='P0_D1N',func=pin_types.PASSIVE)], 'unit_defs':[] }),
        Part(**{ 'name':'W5100', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'W5100'}), 'ref_prefix':'U', 'fplist':['Package_QFP:LQFP-80_10x10mm_P0.4mm'], 'footprint':'Package_QFP:LQFP-80_10x10mm_P0.4mm', 'keywords':'Wiznet Ethernet controller', 'description':'', 'datasheet':'http://www.wiznet.io/wp-content/uploads/wiznethome/Chip/W5100/Document/W5100_Datasheet_v1.2.7.pdf', 'search_text':'/usr/share/kicad/symbols/Interface_Ethernet.kicad_sym\nW5100\n\nWiznet Ethernet controller', 'pins':[
            Pin(num='1',name='RSET_BG',func=pin_types.OUTPUT,unit=1),
            Pin(num='10',name='GNDA',func=pin_types.PASSIVE,unit=1),
            Pin(num='11',name='1V8_OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='12',name='VCC3V3D',func=pin_types.PWRIN,unit=1),
            Pin(num='13',name='GNDD',func=pin_types.PWRIN,unit=1),
            Pin(num='14',name='GNDD',func=pin_types.PASSIVE,unit=1),
            Pin(num='15',name='VCC1V8D',func=pin_types.PWRIN,unit=1),
            Pin(num='16',name='VCC1V8D',func=pin_types.PASSIVE,unit=1),
            Pin(num='17',name='GNDD',func=pin_types.PASSIVE,unit=1),
            Pin(num='18',name='VCC3V3D',func=pin_types.PASSIVE,unit=1),
            Pin(num='19',name='DATA7',func=pin_types.BIDIR,unit=1),
            Pin(num='2',name='VCC3V3A',func=pin_types.PWRIN,unit=1),
            Pin(num='20',name='DATA6',func=pin_types.BIDIR,unit=1),
            Pin(num='21',name='DATA5',func=pin_types.BIDIR,unit=1),
            Pin(num='22',name='DATA4',func=pin_types.BIDIR,unit=1),
            Pin(num='23',name='DATA3',func=pin_types.BIDIR,unit=1),
            Pin(num='24',name='DATA2',func=pin_types.BIDIR,unit=1),
            Pin(num='25',name='DATA1',func=pin_types.BIDIR,unit=1),
            Pin(num='26',name='DATA0',func=pin_types.BIDIR,unit=1),
            Pin(num='27',name='MISO',func=pin_types.OUTPUT,unit=1),
            Pin(num='28',name='MOSI',func=pin_types.INPUT,unit=1),
            Pin(num='29',name='~{SCS}',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='30',name='SCLK',func=pin_types.INPUT,unit=1),
            Pin(num='31',name='SEN',func=pin_types.INPUT,unit=1),
            Pin(num='32',name='GNDD',func=pin_types.PASSIVE,unit=1),
            Pin(num='33',name='VCC1V8D',func=pin_types.PASSIVE,unit=1),
            Pin(num='34',name='TEST_MODE3',func=pin_types.INPUT,unit=1),
            Pin(num='35',name='TEST_MODE2',func=pin_types.INPUT,unit=1),
            Pin(num='36',name='TEST_MODE1',func=pin_types.INPUT,unit=1),
            Pin(num='37',name='TEST_MODE0',func=pin_types.INPUT,unit=1),
            Pin(num='38',name='ADDR14',func=pin_types.INPUT,unit=1),
            Pin(num='39',name='ADDR13',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='GNDA',func=pin_types.PWRIN,unit=1),
            Pin(num='40',name='ADDR12',func=pin_types.INPUT,unit=1),
            Pin(num='41',name='ADDR11',func=pin_types.INPUT,unit=1),
            Pin(num='42',name='ADDR10',func=pin_types.INPUT,unit=1),
            Pin(num='43',name='GNDD',func=pin_types.PASSIVE,unit=1),
            Pin(num='44',name='VCC3V3D',func=pin_types.PASSIVE,unit=1),
            Pin(num='45',name='ADDR9',func=pin_types.INPUT,unit=1),
            Pin(num='46',name='ADDR8',func=pin_types.INPUT,unit=1),
            Pin(num='47',name='ADDR7',func=pin_types.INPUT,unit=1),
            Pin(num='48',name='ADDR6',func=pin_types.INPUT,unit=1),
            Pin(num='49',name='ADDR5',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='RXIP',func=pin_types.INPUT,unit=1),
            Pin(num='50',name='ADDR4',func=pin_types.INPUT,unit=1),
            Pin(num='51',name='ADDR3',func=pin_types.INPUT,unit=1),
            Pin(num='52',name='ADDR2',func=pin_types.INPUT,unit=1),
            Pin(num='53',name='ADDR1',func=pin_types.INPUT,unit=1),
            Pin(num='54',name='ADDR0',func=pin_types.INPUT,unit=1),
            Pin(num='55',name='~{CS}',func=pin_types.INPUT,unit=1),
            Pin(num='56',name='~{INT}',func=pin_types.OUTPUT,unit=1),
            Pin(num='57',name='~{WR}',func=pin_types.INPUT,unit=1),
            Pin(num='58',name='~{RD}',func=pin_types.INPUT,unit=1),
            Pin(num='59',name='~{RESET}',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='RXIN',func=pin_types.INPUT,unit=1),
            Pin(num='60',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='61',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='62',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='63',name='OPMODE0',func=pin_types.INPUT,unit=1),
            Pin(num='64',name='OPMODE1',func=pin_types.INPUT,unit=1),
            Pin(num='65',name='OPMODE2',func=pin_types.INPUT,unit=1),
            Pin(num='66',name='LINKLED',func=pin_types.OUTPUT,unit=1),
            Pin(num='67',name='SPDLED',func=pin_types.OUTPUT,unit=1),
            Pin(num='68',name='GNDD',func=pin_types.PASSIVE,unit=1),
            Pin(num='69',name='VCC1V8D',func=pin_types.PASSIVE,unit=1),
            Pin(num='7',name='VCC1V8A',func=pin_types.PWRIN,unit=1),
            Pin(num='70',name='FDXLED',func=pin_types.OUTPUT,unit=1),
            Pin(num='71',name='COLLED',func=pin_types.OUTPUT,unit=1),
            Pin(num='72',name='RXLED',func=pin_types.OUTPUT,unit=1),
            Pin(num='73',name='TXLED',func=pin_types.OUTPUT,unit=1),
            Pin(num='74',name='VCC1V8A',func=pin_types.PASSIVE,unit=1),
            Pin(num='75',name='XTLN',func=pin_types.INPUT,unit=1),
            Pin(num='76',name='XTLP',func=pin_types.OUTPUT,unit=1),
            Pin(num='77',name='GNDA',func=pin_types.PASSIVE,unit=1),
            Pin(num='78',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='79',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='8',name='TXOP',func=pin_types.OUTPUT,unit=1),
            Pin(num='80',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='9',name='TXON',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'W5100S', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'W5100S'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'Wiznet Ethernet controller', 'description':'', 'datasheet':'https://docs.wiznet.io/img/products/w5100s/w5100s-ds-v128e.pdf', 'search_text':'/usr/share/kicad/symbols/Interface_Ethernet.kicad_sym\nW5100S\n\nWiznet Ethernet controller', 'pins':[
            Pin(num='48',name='~{RST}',func=pin_types.INPUT,unit=1),
            Pin(num='1',name='GNDA',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='11',name='XSCO',func=pin_types.OUTPUT,unit=1),
            Pin(num='12',name='XSCI',func=pin_types.INPUT,unit=1),
            Pin(num='13',name='1V2D',func=pin_types.PWRIN,unit=1),
            Pin(num='14',name='1V2O',func=pin_types.PWROUT,unit=1),
            Pin(num='15',name='3V3A',func=pin_types.PASSIVE,unit=1),
            Pin(num='16',name='GNDA',func=pin_types.PASSIVE,unit=1),
            Pin(num='17',name='~{LNK}',func=pin_types.OUTPUT,unit=1),
            Pin(num='18',name='~{SPD}',func=pin_types.OUTPUT,unit=1),
            Pin(num='19',name='~{DPX}',func=pin_types.OUTPUT,unit=1),
            Pin(num='2',name='TXON',func=pin_types.OUTPUT,unit=1),
            Pin(num='20',name='~{ACT}',func=pin_types.OUTPUT,unit=1),
            Pin(num='21',name='~{COL}',func=pin_types.OUTPUT,unit=1),
            Pin(num='22',name='1V2D',func=pin_types.PASSIVE,unit=1),
            Pin(num='23',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='24',name='3V3D',func=pin_types.PWRIN,unit=1),
            Pin(num='25',name='MOD[0]',func=pin_types.INPUT,unit=1),
            Pin(num='26',name='MOD[1]',func=pin_types.INPUT,unit=1),
            Pin(num='27',name='MOD[2]',func=pin_types.INPUT,unit=1),
            Pin(num='28',name='MOD[3]',func=pin_types.INPUT,unit=1),
            Pin(num='29',name='~{CS}',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='TXOP',func=pin_types.OUTPUT,unit=1),
            Pin(num='30',name='SCLK',func=pin_types.INPUT,unit=1),
            Pin(num='31',name='1V2D',func=pin_types.PASSIVE,unit=1),
            Pin(num='32',name='MOSI',func=pin_types.INPUT,unit=1),
            Pin(num='33',name='MISO',func=pin_types.OUTPUT,unit=1),
            Pin(num='34',name='~{RD}',func=pin_types.INPUT,unit=1),
            Pin(num='35',name='~{WR}',func=pin_types.INPUT,unit=1),
            Pin(num='36',name='3V3D',func=pin_types.PASSIVE,unit=1),
            Pin(num='37',name='DATA0',func=pin_types.BIDIR,unit=1),
            Pin(num='38',name='DATA1',func=pin_types.BIDIR,unit=1),
            Pin(num='39',name='DATA2',func=pin_types.BIDIR,unit=1),
            Pin(num='4',name='1V2A',func=pin_types.PWRIN,unit=1),
            Pin(num='40',name='DATA3',func=pin_types.BIDIR,unit=1),
            Pin(num='41',name='DATA4',func=pin_types.BIDIR,unit=1),
            Pin(num='42',name='DATA5',func=pin_types.BIDIR,unit=1),
            Pin(num='43',name='DATA6',func=pin_types.BIDIR,unit=1),
            Pin(num='44',name='DATA7',func=pin_types.BIDIR,unit=1),
            Pin(num='45',name='1V2D',func=pin_types.PASSIVE,unit=1),
            Pin(num='46',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='47',name='~{INT}',func=pin_types.OUTPUT,unit=1),
            Pin(num='5',name='RXIN',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='RXIP',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='GNDA',func=pin_types.PASSIVE,unit=1),
            Pin(num='8',name='3V3A',func=pin_types.PWRIN,unit=1),
            Pin(num='9',name='RSET_BG',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'W5500', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'W5500'}), 'ref_prefix':'U', 'fplist':['Package_QFP:LQFP-48_7x7mm_P0.5mm'], 'footprint':'Package_QFP:LQFP-48_7x7mm_P0.5mm', 'keywords':'WIZnet Ethernet controller', 'description':'', 'datasheet':'http://wizwiki.net/wiki/lib/exe/fetch.php/products:w5500:w5500_ds_v109e.pdf', 'search_text':'/usr/share/kicad/symbols/Interface_Ethernet.kicad_sym\nW5500\n\nWIZnet Ethernet controller', 'pins':[
            Pin(num='1',name='TXN',func=pin_types.OUTPUT,unit=1),
            Pin(num='10',name='EXRES1',func=pin_types.PASSIVE,unit=1),
            Pin(num='11',name='AVDD',func=pin_types.PASSIVE,unit=1),
            Pin(num='12',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='13',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='14',name='AGND',func=pin_types.PASSIVE,unit=1),
            Pin(num='15',name='AVDD',func=pin_types.PASSIVE,unit=1),
            Pin(num='16',name='AGND',func=pin_types.PASSIVE,unit=1),
            Pin(num='17',name='AVDD',func=pin_types.PASSIVE,unit=1),
            Pin(num='18',name='VBG',func=pin_types.PASSIVE,unit=1),
            Pin(num='19',name='AGND',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='TXP',func=pin_types.OUTPUT,unit=1),
            Pin(num='20',name='TOCAP',func=pin_types.PASSIVE,unit=1),
            Pin(num='21',name='AVDD',func=pin_types.PASSIVE,unit=1),
            Pin(num='22',name='1V2O',func=pin_types.OUTPUT,unit=1),
            Pin(num='23',name='RSVD',func=pin_types.INPUT,unit=1),
            Pin(num='24',name='SPDLED',func=pin_types.OUTPUT,unit=1),
            Pin(num='25',name='LINKLED',func=pin_types.OUTPUT,unit=1),
            Pin(num='26',name='DUPLED',func=pin_types.OUTPUT,unit=1),
            Pin(num='27',name='ACTLED',func=pin_types.OUTPUT,unit=1),
            Pin(num='28',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='29',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='AGND',func=pin_types.PWRIN,unit=1),
            Pin(num='30',name='XI/CLKIN',func=pin_types.INPUT,unit=1),
            Pin(num='31',name='XO',func=pin_types.OUTPUT,unit=1),
            Pin(num='32',name='~{SCS}',func=pin_types.INPUT,unit=1),
            Pin(num='33',name='SCLK',func=pin_types.INPUT,unit=1),
            Pin(num='34',name='MISO',func=pin_types.OUTPUT,unit=1),
            Pin(num='35',name='MOSI',func=pin_types.INPUT,unit=1),
            Pin(num='36',name='~{INT}',func=pin_types.INPUT,unit=1),
            Pin(num='37',name='~{RST}',func=pin_types.INPUT,unit=1),
            Pin(num='38',name='RSVD',func=pin_types.INPUT,unit=1),
            Pin(num='39',name='RSVD',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='AVDD',func=pin_types.PWRIN,unit=1),
            Pin(num='40',name='RSVD',func=pin_types.INPUT,unit=1),
            Pin(num='41',name='RSVD',func=pin_types.INPUT,unit=1),
            Pin(num='42',name='RSVD',func=pin_types.INPUT,unit=1),
            Pin(num='43',name='PMODE2',func=pin_types.INPUT,unit=1),
            Pin(num='44',name='PMODE1',func=pin_types.INPUT,unit=1),
            Pin(num='45',name='PMODE0',func=pin_types.INPUT,unit=1),
            Pin(num='46',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='47',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='48',name='AGND',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='RXN',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='RXP',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='DNC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='8',name='AVDD',func=pin_types.PASSIVE,unit=1),
            Pin(num='9',name='AGND',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'WGI210AT', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'WGI210AT'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-64-1EP_9x9mm_P0.5mm_EP3.4x3.4mm'], 'footprint':'Package_DFN_QFN:QFN-64-1EP_9x9mm_P0.5mm_EP3.4x3.4mm', 'keywords':'Gigabit ethernet PHY PCIe', 'description':'', 'datasheet':'http://www.intel.com/content/www/us/en/ethernet-controllers/i210-ethernet-controller-datasheet.html', 'search_text':'/usr/share/kicad/symbols/Interface_Ethernet.kicad_sym\nWGI210AT\n\nGigabit ethernet PHY PCIe', 'pins':[
            Pin(num='1',name='LAN_PWR_GOOD',func=pin_types.INPUT),
            Pin(num='10',name='VDD3p3',func=pin_types.PWRIN),
            Pin(num='11',name='VDD0p9',func=pin_types.PWRIN),
            Pin(num='12',name='NVM_SI',func=pin_types.OUTPUT),
            Pin(num='13',name='NVM_SK',func=pin_types.OUTPUT),
            Pin(num='14',name='NVM_SO',func=pin_types.INPUT),
            Pin(num='15',name='~{NVM_CS}',func=pin_types.OUTPUT),
            Pin(num='16',name='~{PE_WAKE}',func=pin_types.BIDIR),
            Pin(num='17',name='~{PE_RST}',func=pin_types.INPUT),
            Pin(num='18',name='JTAG_TMS',func=pin_types.INPUT),
            Pin(num='19',name='JTAG_CLK',func=pin_types.INPUT),
            Pin(num='2',name='NC_SI_CLK_IN',func=pin_types.INPUT),
            Pin(num='20',name='PE_Tn',func=pin_types.OUTPUT),
            Pin(num='21',name='PE_Tp',func=pin_types.OUTPUT),
            Pin(num='22',name='NC/Vext',func=pin_types.PWRIN),
            Pin(num='23',name='PE_Rn',func=pin_types.INPUT),
            Pin(num='24',name='PE_Rp',func=pin_types.INPUT),
            Pin(num='25',name='PECLKn',func=pin_types.INPUT),
            Pin(num='26',name='PECLKp',func=pin_types.INPUT),
            Pin(num='27',name='VDD3p3',func=pin_types.PASSIVE),
            Pin(num='28',name='~{DEV_OFF}',func=pin_types.INPUT),
            Pin(num='29',name='JTAG_TDI',func=pin_types.INPUT),
            Pin(num='3',name='NC_SI_CRS_DV',func=pin_types.OUTPUT),
            Pin(num='30',name='LED1',func=pin_types.OUTPUT),
            Pin(num='31',name='LED0',func=pin_types.OUTPUT),
            Pin(num='32',name='VDD0p9',func=pin_types.PWRIN),
            Pin(num='33',name='LED2',func=pin_types.OUTPUT),
            Pin(num='34',name='SMB_CLK',func=pin_types.BIDIR),
            Pin(num='35',name='~{SMB_ALRT}',func=pin_types.OUTPUT),
            Pin(num='36',name='SMB_DATA',func=pin_types.BIDIR),
            Pin(num='37',name='CBOT',func=pin_types.PASSIVE),
            Pin(num='38',name='VDD0p9_OUT',func=pin_types.PWROUT),
            Pin(num='39',name='VDD1p5_OUT',func=pin_types.PWROUT),
            Pin(num='4',name='JTAG_TDO',func=pin_types.OUTPUT),
            Pin(num='40',name='CTOP',func=pin_types.PASSIVE),
            Pin(num='41',name='VDD3p3',func=pin_types.PASSIVE),
            Pin(num='42',name='VDD0p9',func=pin_types.PWRIN),
            Pin(num='43',name='NC_SI_ARB_IN',func=pin_types.INPUT),
            Pin(num='44',name='NC_SI_ARB_OUT',func=pin_types.OUTPUT),
            Pin(num='45',name='XTAL2',func=pin_types.OUTPUT),
            Pin(num='46',name='XTAL1',func=pin_types.INPUT),
            Pin(num='47',name='VDD1p5',func=pin_types.PWRIN),
            Pin(num='48',name='RSET',func=pin_types.PASSIVE),
            Pin(num='49',name='MDI_MINUS[3]/SER_N',func=pin_types.BIDIR),
            Pin(num='5',name='NC_SI_RXD1',func=pin_types.OUTPUT),
            Pin(num='50',name='MDI_PLUS[3]/SER_P',func=pin_types.BIDIR),
            Pin(num='51',name='VDD3p3',func=pin_types.PWRIN),
            Pin(num='52',name='MDI_MINUS[2]/SET_N',func=pin_types.BIDIR),
            Pin(num='53',name='MDI_PLUS[2]',func=pin_types.BIDIR),
            Pin(num='54',name='MDI_MINUS[1]/SRDS_SIG_DET',func=pin_types.BIDIR),
            Pin(num='55',name='MDI_PLUS[1]/SFP_I2C_CLK',func=pin_types.BIDIR),
            Pin(num='56',name='VDD1p5',func=pin_types.PWRIN),
            Pin(num='57',name='MDI_MINUS[0]/SFP_I2C_DATA',func=pin_types.BIDIR),
            Pin(num='58',name='MDI_PLUS[0]/NC',func=pin_types.BIDIR),
            Pin(num='59',name='VDD0p9',func=pin_types.PWRIN),
            Pin(num='6',name='NC_SI_RXD0',func=pin_types.OUTPUT),
            Pin(num='60',name='SDP3',func=pin_types.BIDIR),
            Pin(num='61',name='SDP1',func=pin_types.BIDIR),
            Pin(num='62',name='SDP2',func=pin_types.BIDIR),
            Pin(num='63',name='SDP0',func=pin_types.BIDIR),
            Pin(num='64',name='VDD3p3',func=pin_types.PASSIVE),
            Pin(num='65',name='GND',func=pin_types.PWRIN),
            Pin(num='7',name='NC_SI_TX_EN',func=pin_types.INPUT),
            Pin(num='8',name='NC_SI_TXD1',func=pin_types.INPUT),
            Pin(num='9',name='NC_SI_TXD0',func=pin_types.INPUT)], 'unit_defs':[] }),
        Part(**{ 'name':'DP83848I', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'DP83848I'}), 'ref_prefix':'U', 'fplist':['Package_QFP:LQFP-48_7x7mm_P0.5mm', 'Package_QFP:LQFP-48_7x7mm_P0.5mm'], 'footprint':'Package_QFP:LQFP-48_7x7mm_P0.5mm', 'keywords':'Ethernet PHY MII RMII 10/100Mpbs', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/dp83848c.pdf', 'search_text':'/usr/share/kicad/symbols/Interface_Ethernet.kicad_sym\nDP83848I\n\nEthernet PHY MII RMII 10/100Mpbs', 'pins':[
            Pin(num='1',name='TX_CLK',func=pin_types.OUTPUT,unit=1),
            Pin(num='13',name='RD-',func=pin_types.PASSIVE,unit=1),
            Pin(num='14',name='RD+',func=pin_types.PASSIVE,unit=1),
            Pin(num='15',name='AGND',func=pin_types.PWRIN,unit=1),
            Pin(num='16',name='TD-',func=pin_types.PASSIVE,unit=1),
            Pin(num='17',name='TD+',func=pin_types.PASSIVE,unit=1),
            Pin(num='18',name='PFBIN1',func=pin_types.PASSIVE,unit=1),
            Pin(num='19',name='AGND',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='TX_EN',func=pin_types.INPUT,unit=1),
            Pin(num='20',name='RESERVED',func=pin_types.PASSIVE,unit=1),
            Pin(num='21',name='RESERVED',func=pin_types.PASSIVE,unit=1),
            Pin(num='22',name='AVDD33',func=pin_types.PWRIN,unit=1),
            Pin(num='23',name='PFBOUT',func=pin_types.PASSIVE,unit=1),
            Pin(num='24',name='RBIAS',func=pin_types.PASSIVE,unit=1),
            Pin(num='25',name='25M_OUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='26',name='AN_EN/LED_ACT/COL',func=pin_types.OUTPUT,unit=1),
            Pin(num='27',name='AN1/LED_SPEED',func=pin_types.OUTPUT,unit=1),
            Pin(num='28',name='AN0/LED_LINK',func=pin_types.OUTPUT,unit=1),
            Pin(num='29',name='~{RESET}',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='TXD_0',func=pin_types.INPUT,unit=1),
            Pin(num='30',name='MDIO',func=pin_types.BIDIR,unit=1),
            Pin(num='31',name='MDC',func=pin_types.INPUT,unit=1),
            Pin(num='32',name='IOVDD33',func=pin_types.PWRIN,unit=1),
            Pin(num='33',name='X2',func=pin_types.OUTPUT,unit=1),
            Pin(num='34',name='X1',func=pin_types.INPUT,unit=1),
            Pin(num='35',name='IOGND',func=pin_types.PWRIN,unit=1),
            Pin(num='36',name='DGND',func=pin_types.PWRIN,unit=1),
            Pin(num='37',name='PFBIN2',func=pin_types.PASSIVE,unit=1),
            Pin(num='38',name='RX_CLK',func=pin_types.OUTPUT,unit=1),
            Pin(num='39',name='RX_DV/MII_MODE',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='TXD_1',func=pin_types.INPUT,unit=1),
            Pin(num='40',name='CRS/CRS_DV/LED_CFG',func=pin_types.OUTPUT,unit=1),
            Pin(num='41',name='RX_ER/MDIX_EN',func=pin_types.OUTPUT,unit=1),
            Pin(num='42',name='COL/PHY_AD0',func=pin_types.OUTPUT,unit=1),
            Pin(num='43',name='RXD_0/PHY_AD1',func=pin_types.OUTPUT,unit=1),
            Pin(num='44',name='RXD_1/PHY_AD2',func=pin_types.OUTPUT,unit=1),
            Pin(num='45',name='RXD_2/PHY_AD3',func=pin_types.OUTPUT,unit=1),
            Pin(num='46',name='RXD_3/PHY_AD4',func=pin_types.OUTPUT,unit=1),
            Pin(num='47',name='IOGND',func=pin_types.PWRIN,unit=1),
            Pin(num='48',name='IOVDD33',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='TXD_2',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='TXD_3/SNI_MODE',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='PWR_DOWN/INT',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'KSZ8081RND', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'KSZ8081RND'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-24-1EP_4x4mm_P0.5mm_EP2.6x2.6mm', 'Package_DFN_QFN:QFN-24-1EP_4x4mm_P0.5mm_EP2.6x2.6mm'], 'footprint':'Package_DFN_QFN:QFN-24-1EP_4x4mm_P0.5mm_EP2.6x2.6mm', 'keywords':'ETH PHY RMII', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/00002199A.pdf', 'search_text':'/usr/share/kicad/symbols/Interface_Ethernet.kicad_sym\nKSZ8081RND\n\nETH PHY RMII', 'pins':[
            Pin(num='1',name='VDD_1.2',func=pin_types.PWROUT,unit=1),
            Pin(num='10',name='MDIO',func=pin_types.BIDIR,unit=1),
            Pin(num='11',name='MDC',func=pin_types.INPUT,unit=1),
            Pin(num='12',name='RXD1',func=pin_types.OUTPUT,unit=1),
            Pin(num='13',name='RXD0',func=pin_types.OUTPUT,unit=1),
            Pin(num='14',name='VDDIO',func=pin_types.PWRIN,unit=1),
            Pin(num='15',name='CRS_DV/PHYAD[1:0]',func=pin_types.OUTPUT,unit=1),
            Pin(num='16',name='REF_CLK',func=pin_types.OUTPUT,unit=1),
            Pin(num='17',name='RXER',func=pin_types.OUTPUT,unit=1),
            Pin(num='18',name='INTRP',func=pin_types.BIDIR,unit=1),
            Pin(num='19',name='TXEN',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='VDDA_3.3',func=pin_types.PWRIN,unit=1),
            Pin(num='20',name='TXD0',func=pin_types.INPUT,unit=1),
            Pin(num='21',name='TXD1',func=pin_types.BIDIR,unit=1),
            Pin(num='22',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='23',name='LED0/ANEN_SPEED',func=pin_types.OUTPUT,unit=1),
            Pin(num='24',name='~{RST}',func=pin_types.INPUT,unit=1),
            Pin(num='25',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='RXM',func=pin_types.BIDIR,unit=1),
            Pin(num='4',name='RXP',func=pin_types.BIDIR,unit=1),
            Pin(num='5',name='TXM',func=pin_types.BIDIR,unit=1),
            Pin(num='6',name='TXP',func=pin_types.BIDIR,unit=1),
            Pin(num='7',name='XO',func=pin_types.OUTPUT,unit=1),
            Pin(num='8',name='XI',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='REXT',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LAN9303i', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LAN9303i'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-56-1EP_8x8mm_P0.5mm_EP5.9x5.9mm_ThermalVias', 'Package_DFN_QFN:QFN-56-1EP_8x8mm_P0.5mm_EP5.9x5.9mm_ThermalVias'], 'footprint':'Package_DFN_QFN:QFN-56-1EP_8x8mm_P0.5mm_EP5.9x5.9mm_ThermalVias', 'keywords':'ETH PHY RMII switch industrial', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/9303.pdf', 'search_text':'/usr/share/kicad/symbols/Interface_Ethernet.kicad_sym\nLAN9303i\n\nETH PHY RMII switch industrial', 'pins':[
            Pin(num='1',name='TXN2',func=pin_types.BIDIR,unit=1),
            Pin(num='10',name='VDD18CORE',func=pin_types.PWRIN,unit=1),
            Pin(num='11',name='P0_OUTD3/~{DUPLEX_POL_0}',func=pin_types.PASSIVE,unit=1),
            Pin(num='12',name='P0_OUTD2/~{P0_MODE2}',func=pin_types.PASSIVE,unit=1),
            Pin(num='13',name='P0_OUTD1/~{P0_MODE1}',func=pin_types.BIDIR,unit=1),
            Pin(num='14',name='P0_OUTD0/~{P0_MODE0}',func=pin_types.BIDIR,unit=1),
            Pin(num='15',name='VDD33IO',func=pin_types.PASSIVE,unit=1),
            Pin(num='16',name='P0_OUTDV',func=pin_types.OUTPUT,unit=1),
            Pin(num='17',name='P0_OUTCLK',func=pin_types.BIDIR,unit=1),
            Pin(num='18',name='P0_COL',func=pin_types.PASSIVE,unit=1),
            Pin(num='19',name='P0_CRS',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='P0_IND3',func=pin_types.PASSIVE,unit=1),
            Pin(num='20',name='P0_DUPLEX',func=pin_types.INPUT,unit=1),
            Pin(num='21',name='MDIO',func=pin_types.BIDIR,unit=1),
            Pin(num='22',name='MDC',func=pin_types.BIDIR,unit=1),
            Pin(num='23',name='VDD33IO',func=pin_types.PASSIVE,unit=1),
            Pin(num='24',name='LED5/GPIO5/~{PHYADDR}',func=pin_types.PASSIVE,unit=1),
            Pin(num='25',name='LED4/GPIO4/~{MNGT1}',func=pin_types.PASSIVE,unit=1),
            Pin(num='26',name='LED3/GPIO3/~{MNGT0}',func=pin_types.PASSIVE,unit=1),
            Pin(num='27',name='LED2/GPIO2/~{E2PSIZE}',func=pin_types.PASSIVE,unit=1),
            Pin(num='28',name='LED1/GPIO1/~{AMDIX2}',func=pin_types.PASSIVE,unit=1),
            Pin(num='29',name='LED0/GPIO0/~{AMDIX1}',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='P0_IND2',func=pin_types.PASSIVE,unit=1),
            Pin(num='30',name='VDD33IO',func=pin_types.PASSIVE,unit=1),
            Pin(num='31',name='VDD18CORE',func=pin_types.PASSIVE,unit=1),
            Pin(num='32',name='VDD33IO',func=pin_types.PASSIVE,unit=1),
            Pin(num='33',name='VDD33IO',func=pin_types.PASSIVE,unit=1),
            Pin(num='34',name='VSS',func=pin_types.PWRIN,unit=1),
            Pin(num='35',name='EE_SDA/SDA',func=pin_types.BIDIR,unit=1),
            Pin(num='36',name='EE_SCL/SCL',func=pin_types.BIDIR,unit=1),
            Pin(num='37',name='~{RST}',func=pin_types.PASSIVE,unit=1),
            Pin(num='38',name='IRQ',func=pin_types.PASSIVE,unit=1),
            Pin(num='39',name='XI',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='P0_IND1',func=pin_types.INPUT,unit=1),
            Pin(num='40',name='XO',func=pin_types.PASSIVE,unit=1),
            Pin(num='41',name='VDD18PLL',func=pin_types.PWRIN,unit=1),
            Pin(num='42',name='TXN1',func=pin_types.BIDIR,unit=1),
            Pin(num='43',name='TXP1',func=pin_types.BIDIR,unit=1),
            Pin(num='44',name='VDD33A1',func=pin_types.PWRIN,unit=1),
            Pin(num='45',name='RXN1',func=pin_types.BIDIR,unit=1),
            Pin(num='46',name='RXP1',func=pin_types.BIDIR,unit=1),
            Pin(num='47',name='VDD33A1',func=pin_types.PASSIVE,unit=1),
            Pin(num='48',name='VDD18TX1',func=pin_types.PWRIN,unit=1),
            Pin(num='49',name='EXRES',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='P0_IND0',func=pin_types.INPUT,unit=1),
            Pin(num='50',name='VDD33BIAS',func=pin_types.PWRIN,unit=1),
            Pin(num='51',name='VDD18TX2',func=pin_types.PWRIN,unit=1),
            Pin(num='52',name='VDD33A2',func=pin_types.PWRIN,unit=1),
            Pin(num='53',name='RXP2',func=pin_types.BIDIR,unit=1),
            Pin(num='54',name='RXN2',func=pin_types.BIDIR,unit=1),
            Pin(num='55',name='VDD33A2',func=pin_types.PASSIVE,unit=1),
            Pin(num='56',name='TXP2',func=pin_types.BIDIR,unit=1),
            Pin(num='57',name='VSS',func=pin_types.PASSIVE,unit=1),
            Pin(num='6',name='P0_INDV',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='P0_INER',func=pin_types.PASSIVE,unit=1),
            Pin(num='8',name='P0_INCLK',func=pin_types.PASSIVE,unit=1),
            Pin(num='9',name='VDD33IO',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LAN9512i', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LAN9512i'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-64-1EP_9x9mm_P0.5mm_EP7.3x7.3mm', 'Package_DFN_QFN:QFN-64-1EP_9x9mm_P0.5mm_EP7.3x7.3mm'], 'footprint':'Package_DFN_QFN:QFN-64-1EP_9x9mm_P0.5mm_EP7.3x7.3mm', 'keywords':'USB HUB Ethernet 10/100', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/00002304A.pdf', 'search_text':'/usr/share/kicad/symbols/Interface_Ethernet.kicad_sym\nLAN9512i\n\nUSB HUB Ethernet 10/100', 'pins':[
            Pin(num='10',name='VDD33A',func=pin_types.PASSIVE,unit=1),
            Pin(num='12',name='~{RESET}',func=pin_types.INPUT,unit=1),
            Pin(num='13',name='TEST1',func=pin_types.INPUT,unit=1),
            Pin(num='15',name='VDD18CORE',func=pin_types.PWRIN,unit=1),
            Pin(num='19',name='VDD33IO',func=pin_types.PWRIN,unit=1),
            Pin(num='20',name='~{FDX_LED}/GPIO0',func=pin_types.BIDIR,unit=1),
            Pin(num='21',name='~{LNKA_LED}/GPIO1',func=pin_types.BIDIR,unit=1),
            Pin(num='22',name='~{SPD_LED}/GPIO2',func=pin_types.BIDIR,unit=1),
            Pin(num='23',name='EECLK',func=pin_types.OUTPUT,unit=1),
            Pin(num='24',name='EECS',func=pin_types.OUTPUT,unit=1),
            Pin(num='25',name='EEDO',func=pin_types.OUTPUT,unit=1),
            Pin(num='26',name='EEDI',func=pin_types.INPUT,unit=1),
            Pin(num='27',name='VDD33IO',func=pin_types.PASSIVE,unit=1),
            Pin(num='28',name='~{TRST}',func=pin_types.INPUT,unit=1),
            Pin(num='29',name='TMS',func=pin_types.INPUT,unit=1),
            Pin(num='30',name='TDI',func=pin_types.INPUT,unit=1),
            Pin(num='31',name='TDO',func=pin_types.OUTPUT,unit=1),
            Pin(num='32',name='TCK',func=pin_types.INPUT,unit=1),
            Pin(num='33',name='VDD33IO',func=pin_types.PASSIVE,unit=1),
            Pin(num='34',name='TEST2',func=pin_types.INPUT,unit=1),
            Pin(num='35',name='GPIO3',func=pin_types.BIDIR,unit=1),
            Pin(num='36',name='GPIO4',func=pin_types.BIDIR,unit=1),
            Pin(num='37',name='GPIO5',func=pin_types.BIDIR,unit=1),
            Pin(num='38',name='VDD18CORE',func=pin_types.PASSIVE,unit=1),
            Pin(num='39',name='VDD33IO',func=pin_types.PASSIVE,unit=1),
            Pin(num='40',name='TEST3',func=pin_types.INPUT,unit=1),
            Pin(num='42',name='GPIO6',func=pin_types.BIDIR,unit=1),
            Pin(num='43',name='GPIO7',func=pin_types.BIDIR,unit=1),
            Pin(num='44',name='CLK24_EN',func=pin_types.INPUT,unit=1),
            Pin(num='45',name='CLK24_OUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='46',name='VDD33IO',func=pin_types.PASSIVE,unit=1),
            Pin(num='47',name='TEST4',func=pin_types.INPUT,unit=1),
            Pin(num='48',name='VDD18ETHPLL',func=pin_types.PWRIN,unit=1),
            Pin(num='49',name='VDD33A',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='VDD33A',func=pin_types.PWRIN,unit=1),
            Pin(num='51',name='VDD33A',func=pin_types.PASSIVE,unit=1),
            Pin(num='54',name='VDD33A',func=pin_types.PASSIVE,unit=1),
            Pin(num='57',name='VDD33A',func=pin_types.PASSIVE,unit=1),
            Pin(num='60',name='XO',func=pin_types.INPUT,unit=1),
            Pin(num='61',name='XI',func=pin_types.INPUT,unit=1),
            Pin(num='62',name='VDD18USBPLL',func=pin_types.PWRIN,unit=1),
            Pin(num='64',name='VDD33A',func=pin_types.PASSIVE,unit=1),
            Pin(num='65',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='1',name='USBDM2',func=pin_types.BIDIR,unit=2),
            Pin(num='11',name='VBUS_DET',func=pin_types.INPUT,unit=2),
            Pin(num='14',name='PRTCTL2',func=pin_types.BIDIR,unit=2),
            Pin(num='16',name='PRTCTL3',func=pin_types.BIDIR,unit=2),
            Pin(num='17',name='NC',func=pin_types.NOCONNECT,unit=2),
            Pin(num='18',name='NC',func=pin_types.NOCONNECT,unit=2),
            Pin(num='2',name='USBDP2',func=pin_types.BIDIR,unit=2),
            Pin(num='3',name='USBDM3',func=pin_types.BIDIR,unit=2),
            Pin(num='4',name='USBDP3',func=pin_types.BIDIR,unit=2),
            Pin(num='41',name='AUTOMDIX_EN',func=pin_types.INPUT,unit=2),
            Pin(num='50',name='EXRES',func=pin_types.INPUT,unit=2),
            Pin(num='52',name='RXP',func=pin_types.INPUT,unit=2),
            Pin(num='53',name='RXN',func=pin_types.INPUT,unit=2),
            Pin(num='55',name='TXP',func=pin_types.OUTPUT,unit=2),
            Pin(num='56',name='TXN',func=pin_types.OUTPUT,unit=2),
            Pin(num='58',name='USBDM0',func=pin_types.BIDIR,unit=2),
            Pin(num='59',name='USBDP0',func=pin_types.BIDIR,unit=2),
            Pin(num='6',name='NC',func=pin_types.NOCONNECT,unit=2),
            Pin(num='63',name='USBRBIAS',func=pin_types.INPUT,unit=2),
            Pin(num='7',name='NC',func=pin_types.NOCONNECT,unit=2),
            Pin(num='8',name='NC',func=pin_types.NOCONNECT,unit=2),
            Pin(num='9',name='NC',func=pin_types.NOCONNECT,unit=2)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['42', '20', '65', '26', '43', '34', '51', '19', '44', '54', '27', '35', '15', '25', '28', '57', '10', '45', '13', '36', '23', '46', '60', '29', '37', '24', '12', '33', '38', '30', '61', '47', '21', '39', '62', '31', '48', '22', '32', '64', '40', '49', '5']},{'label': 'uB', 'num': 2, 'pin_nums': ['1', '4', '3', '59', '11', '41', '6', '50', '14', '63', '16', '52', '7', '17', '53', '8', '18', '55', '9', '56', '2', '58']}] }),
        Part(**{ 'name':'LAN9513i', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LAN9513i'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-64-1EP_9x9mm_P0.5mm_EP7.3x7.3mm', 'Package_DFN_QFN:QFN-64-1EP_9x9mm_P0.5mm_EP7.3x7.3mm'], 'footprint':'Package_DFN_QFN:QFN-64-1EP_9x9mm_P0.5mm_EP7.3x7.3mm', 'keywords':'USB HUB Ethernet 10/100', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/00002305A.pdf', 'search_text':'/usr/share/kicad/symbols/Interface_Ethernet.kicad_sym\nLAN9513i\n\nUSB HUB Ethernet 10/100', 'pins':[
            Pin(num='10',name='VDD33A',func=pin_types.PASSIVE,unit=1),
            Pin(num='12',name='~{RESET}',func=pin_types.INPUT,unit=1),
            Pin(num='13',name='TEST1',func=pin_types.INPUT,unit=1),
            Pin(num='15',name='VDD18CORE',func=pin_types.PWRIN,unit=1),
            Pin(num='19',name='VDD33IO',func=pin_types.PWRIN,unit=1),
            Pin(num='20',name='~{FDX_LED}/GPIO0',func=pin_types.BIDIR,unit=1),
            Pin(num='21',name='~{LNKA_LED}/GPIO1',func=pin_types.BIDIR,unit=1),
            Pin(num='22',name='~{SPD_LED}/GPIO2',func=pin_types.BIDIR,unit=1),
            Pin(num='23',name='EECLK',func=pin_types.OUTPUT,unit=1),
            Pin(num='24',name='EECS',func=pin_types.OUTPUT,unit=1),
            Pin(num='25',name='EEDO',func=pin_types.OUTPUT,unit=1),
            Pin(num='26',name='EEDI',func=pin_types.INPUT,unit=1),
            Pin(num='27',name='VDD33IO',func=pin_types.PASSIVE,unit=1),
            Pin(num='28',name='~{TRST}',func=pin_types.INPUT,unit=1),
            Pin(num='29',name='TMS',func=pin_types.INPUT,unit=1),
            Pin(num='30',name='TDI',func=pin_types.INPUT,unit=1),
            Pin(num='31',name='TDO',func=pin_types.OUTPUT,unit=1),
            Pin(num='32',name='TCK',func=pin_types.INPUT,unit=1),
            Pin(num='33',name='VDD33IO',func=pin_types.PASSIVE,unit=1),
            Pin(num='34',name='TEST2',func=pin_types.INPUT,unit=1),
            Pin(num='35',name='GPIO3',func=pin_types.BIDIR,unit=1),
            Pin(num='36',name='GPIO4',func=pin_types.BIDIR,unit=1),
            Pin(num='37',name='GPIO5',func=pin_types.BIDIR,unit=1),
            Pin(num='38',name='VDD18CORE',func=pin_types.PASSIVE,unit=1),
            Pin(num='39',name='VDD33IO',func=pin_types.PASSIVE,unit=1),
            Pin(num='40',name='TEST3',func=pin_types.INPUT,unit=1),
            Pin(num='42',name='GPIO6',func=pin_types.BIDIR,unit=1),
            Pin(num='43',name='GPIO7',func=pin_types.BIDIR,unit=1),
            Pin(num='44',name='CLK24_EN',func=pin_types.INPUT,unit=1),
            Pin(num='45',name='CLK24_OUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='46',name='VDD33IO',func=pin_types.PASSIVE,unit=1),
            Pin(num='47',name='TEST4',func=pin_types.INPUT,unit=1),
            Pin(num='48',name='VDD18ETHPLL',func=pin_types.PWRIN,unit=1),
            Pin(num='49',name='VDD33A',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='VDD33A',func=pin_types.PWRIN,unit=1),
            Pin(num='51',name='VDD33A',func=pin_types.PASSIVE,unit=1),
            Pin(num='54',name='VDD33A',func=pin_types.PASSIVE,unit=1),
            Pin(num='57',name='VDD33A',func=pin_types.PASSIVE,unit=1),
            Pin(num='60',name='XO',func=pin_types.INPUT,unit=1),
            Pin(num='61',name='XI',func=pin_types.INPUT,unit=1),
            Pin(num='62',name='VDD18USBPLL',func=pin_types.PWRIN,unit=1),
            Pin(num='64',name='VDD33A',func=pin_types.PASSIVE,unit=1),
            Pin(num='65',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='1',name='USBDM2',func=pin_types.BIDIR,unit=2),
            Pin(num='11',name='VBUS_DET',func=pin_types.INPUT,unit=2),
            Pin(num='14',name='PRTCTL2',func=pin_types.BIDIR,unit=2),
            Pin(num='16',name='PRTCTL3',func=pin_types.BIDIR,unit=2),
            Pin(num='17',name='PRTCTL4',func=pin_types.BIDIR,unit=2),
            Pin(num='18',name='NC',func=pin_types.NOCONNECT,unit=2),
            Pin(num='2',name='USBDP2',func=pin_types.BIDIR,unit=2),
            Pin(num='3',name='USBDM3',func=pin_types.BIDIR,unit=2),
            Pin(num='4',name='USBDP3',func=pin_types.BIDIR,unit=2),
            Pin(num='41',name='AUTOMDIX_EN',func=pin_types.INPUT,unit=2),
            Pin(num='50',name='EXRES',func=pin_types.INPUT,unit=2),
            Pin(num='52',name='RXP',func=pin_types.INPUT,unit=2),
            Pin(num='53',name='RXN',func=pin_types.INPUT,unit=2),
            Pin(num='55',name='TXP',func=pin_types.OUTPUT,unit=2),
            Pin(num='56',name='TXN',func=pin_types.OUTPUT,unit=2),
            Pin(num='58',name='USBDM0',func=pin_types.BIDIR,unit=2),
            Pin(num='59',name='USBDP0',func=pin_types.BIDIR,unit=2),
            Pin(num='6',name='USBDM4',func=pin_types.BIDIR,unit=2),
            Pin(num='63',name='USBRBIAS',func=pin_types.INPUT,unit=2),
            Pin(num='7',name='USBDP4',func=pin_types.BIDIR,unit=2),
            Pin(num='8',name='NC',func=pin_types.NOCONNECT,unit=2),
            Pin(num='9',name='NC',func=pin_types.NOCONNECT,unit=2)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['13', '34', '51', '43', '26', '12', '35', '54', '15', '19', '44', '27', '57', '28', '36', '45', '20', '37', '29', '46', '60', '21', '30', '47', '61', '38', '22', '10', '31', '39', '48', '62', '23', '33', '42', '5', '49', '64', '24', '32', '40', '65', '25']},{'label': 'uB', 'num': 2, 'pin_nums': ['58', '1', '59', '4', '11', '41', '6', '14', '50', '63', '16', '52', '7', '17', '53', '8', '18', '9', '55', '2', '56', '3']}] }),
        Part(**{ 'name':'LAN9514i', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LAN9514i'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-64-1EP_9x9mm_P0.5mm_EP7.3x7.3mm', 'Package_DFN_QFN:QFN-64-1EP_9x9mm_P0.5mm_EP7.3x7.3mm'], 'footprint':'Package_DFN_QFN:QFN-64-1EP_9x9mm_P0.5mm_EP7.3x7.3mm', 'keywords':'USB HUB Ethernet 10/100', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/00002306A.pdf', 'search_text':'/usr/share/kicad/symbols/Interface_Ethernet.kicad_sym\nLAN9514i\n\nUSB HUB Ethernet 10/100', 'pins':[
            Pin(num='10',name='VDD33A',func=pin_types.PASSIVE,unit=1),
            Pin(num='12',name='~{RESET}',func=pin_types.INPUT,unit=1),
            Pin(num='13',name='TEST1',func=pin_types.INPUT,unit=1),
            Pin(num='15',name='VDD18CORE',func=pin_types.PWRIN,unit=1),
            Pin(num='19',name='VDD33IO',func=pin_types.PWRIN,unit=1),
            Pin(num='20',name='~{FDX_LED}/GPIO0',func=pin_types.BIDIR,unit=1),
            Pin(num='21',name='~{LNKA_LED}/GPIO1',func=pin_types.BIDIR,unit=1),
            Pin(num='22',name='~{SPD_LED}/GPIO2',func=pin_types.BIDIR,unit=1),
            Pin(num='23',name='EECLK',func=pin_types.OUTPUT,unit=1),
            Pin(num='24',name='EECS',func=pin_types.OUTPUT,unit=1),
            Pin(num='25',name='EEDO',func=pin_types.OUTPUT,unit=1),
            Pin(num='26',name='EEDI',func=pin_types.INPUT,unit=1),
            Pin(num='27',name='VDD33IO',func=pin_types.PASSIVE,unit=1),
            Pin(num='28',name='~{TRST}',func=pin_types.INPUT,unit=1),
            Pin(num='29',name='TMS',func=pin_types.INPUT,unit=1),
            Pin(num='30',name='TDI',func=pin_types.INPUT,unit=1),
            Pin(num='31',name='TDO',func=pin_types.OUTPUT,unit=1),
            Pin(num='32',name='TCK',func=pin_types.INPUT,unit=1),
            Pin(num='33',name='VDD33IO',func=pin_types.PASSIVE,unit=1),
            Pin(num='34',name='TEST2',func=pin_types.INPUT,unit=1),
            Pin(num='35',name='GPIO3',func=pin_types.BIDIR,unit=1),
            Pin(num='36',name='GPIO4',func=pin_types.BIDIR,unit=1),
            Pin(num='37',name='GPIO5',func=pin_types.BIDIR,unit=1),
            Pin(num='38',name='VDD18CORE',func=pin_types.PASSIVE,unit=1),
            Pin(num='39',name='VDD33IO',func=pin_types.PASSIVE,unit=1),
            Pin(num='40',name='TEST3',func=pin_types.INPUT,unit=1),
            Pin(num='42',name='GPIO6',func=pin_types.BIDIR,unit=1),
            Pin(num='43',name='GPIO7',func=pin_types.BIDIR,unit=1),
            Pin(num='44',name='CLK24_EN',func=pin_types.INPUT,unit=1),
            Pin(num='45',name='CLK24_OUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='46',name='VDD33IO',func=pin_types.PASSIVE,unit=1),
            Pin(num='47',name='TEST4',func=pin_types.INPUT,unit=1),
            Pin(num='48',name='VDD18ETHPLL',func=pin_types.PWRIN,unit=1),
            Pin(num='49',name='VDD33A',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='VDD33A',func=pin_types.PWRIN,unit=1),
            Pin(num='51',name='VDD33A',func=pin_types.PASSIVE,unit=1),
            Pin(num='54',name='VDD33A',func=pin_types.PASSIVE,unit=1),
            Pin(num='57',name='VDD33A',func=pin_types.PASSIVE,unit=1),
            Pin(num='60',name='XO',func=pin_types.INPUT,unit=1),
            Pin(num='61',name='XI',func=pin_types.INPUT,unit=1),
            Pin(num='62',name='VDD18USBPLL',func=pin_types.PWRIN,unit=1),
            Pin(num='64',name='VDD33A',func=pin_types.PASSIVE,unit=1),
            Pin(num='65',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='1',name='USBDM2',func=pin_types.BIDIR,unit=2),
            Pin(num='11',name='VBUS_DET',func=pin_types.INPUT,unit=2),
            Pin(num='14',name='PRTCTL2',func=pin_types.BIDIR,unit=2),
            Pin(num='16',name='PRTCTL3',func=pin_types.BIDIR,unit=2),
            Pin(num='17',name='PRTCTL4',func=pin_types.BIDIR,unit=2),
            Pin(num='18',name='PRTCTL5',func=pin_types.BIDIR,unit=2),
            Pin(num='2',name='USBDP2',func=pin_types.BIDIR,unit=2),
            Pin(num='3',name='USBDM3',func=pin_types.BIDIR,unit=2),
            Pin(num='4',name='USBDP3',func=pin_types.BIDIR,unit=2),
            Pin(num='41',name='AUTOMDIX_EN',func=pin_types.INPUT,unit=2),
            Pin(num='50',name='EXRES',func=pin_types.INPUT,unit=2),
            Pin(num='52',name='RXP',func=pin_types.INPUT,unit=2),
            Pin(num='53',name='RXN',func=pin_types.INPUT,unit=2),
            Pin(num='55',name='TXP',func=pin_types.OUTPUT,unit=2),
            Pin(num='56',name='TXN',func=pin_types.OUTPUT,unit=2),
            Pin(num='58',name='USBDM0',func=pin_types.BIDIR,unit=2),
            Pin(num='59',name='USBDP0',func=pin_types.BIDIR,unit=2),
            Pin(num='6',name='USBDM4',func=pin_types.BIDIR,unit=2),
            Pin(num='63',name='USBRBIAS',func=pin_types.INPUT,unit=2),
            Pin(num='7',name='USBDP4',func=pin_types.BIDIR,unit=2),
            Pin(num='8',name='USBDM5',func=pin_types.BIDIR,unit=2),
            Pin(num='9',name='USBDP5',func=pin_types.BIDIR,unit=2)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['13', '12', '26', '51', '34', '43', '35', '44', '54', '15', '27', '19', '33', '42', '28', '45', '5', '57', '20', '65', '36', '37', '46', '60', '29', '10', '21', '30', '47', '61', '38', '22', '31', '39', '48', '62', '23', '49', '64', '24', '32', '40', '25']},{'label': 'uB', 'num': 2, 'pin_nums': ['58', '3', '1', '59', '4', '41', '6', '11', '14', '50', '63', '16', '52', '7', '17', '53', '8', '9', '55', '18', '56', '2']}] })])