from collections import defaultdict
from skidl import Pin, Part, Alias, SchLib, SKIDL, TEMPLATE

from skidl.pin import pin_types

SKIDL_lib_version = '0.0.1'

MCU_Intel = SchLib(tool=SKIDL).add_parts(*[
        Part(**{ 'name':'80186', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'80186'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'MPRO', 'description':'', 'datasheet':'http://datasheets.chipdb.org/Intel/x86/8018x/datashts/27243002.PDF', 'search_text':'/usr/share/kicad/symbols/MCU_Intel.kicad_sym\n80186\n\nMPRO', 'pins':[
            Pin(num='1',name='AD15',func=pin_types.BIDIR,unit=1),
            Pin(num='10',name='AD11',func=pin_types.BIDIR,unit=1),
            Pin(num='11',name='AD3',func=pin_types.BIDIR,unit=1),
            Pin(num='12',name='AD10',func=pin_types.BIDIR,unit=1),
            Pin(num='13',name='AD2',func=pin_types.BIDIR,unit=1),
            Pin(num='14',name='AD9',func=pin_types.BIDIR,unit=1),
            Pin(num='15',name='AD1',func=pin_types.BIDIR,unit=1),
            Pin(num='16',name='AD8',func=pin_types.BIDIR,unit=1),
            Pin(num='17',name='AD0',func=pin_types.BIDIR,unit=1),
            Pin(num='18',name='DRQ0',func=pin_types.INPUT,unit=1),
            Pin(num='19',name='DRQ1',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='AD7',func=pin_types.BIDIR,unit=1),
            Pin(num='20',name='TMR_IN_0',func=pin_types.INPUT,unit=1),
            Pin(num='21',name='TMR_IN_1',func=pin_types.INPUT,unit=1),
            Pin(num='22',name='TMR_OUT_0',func=pin_types.OUTPUT,unit=1),
            Pin(num='23',name='TMR_OUT_1',func=pin_types.OUTPUT,unit=1),
            Pin(num='24',name='~{RES}',func=pin_types.INPUT,unit=1),
            Pin(num='25',name='~{PCS0}',func=pin_types.OUTPUT,unit=1),
            Pin(num='26',name='VSS',func=pin_types.PWRIN,unit=1),
            Pin(num='27',name='~{PCS1}',func=pin_types.OUTPUT,unit=1),
            Pin(num='28',name='~{PCS2}',func=pin_types.OUTPUT,unit=1),
            Pin(num='29',name='~{PCS3}',func=pin_types.OUTPUT,unit=1),
            Pin(num='3',name='AD14',func=pin_types.BIDIR,unit=1),
            Pin(num='30',name='~{PCS4}',func=pin_types.OUTPUT,unit=1),
            Pin(num='31',name='~{PCS5}/A1',func=pin_types.OUTPUT,unit=1),
            Pin(num='32',name='~{PCS6}/A2',func=pin_types.OUTPUT,unit=1),
            Pin(num='33',name='~{LCS}',func=pin_types.OUTPUT,unit=1),
            Pin(num='34',name='~{UCS}',func=pin_types.OUTPUT,unit=1),
            Pin(num='35',name='~{MCS3}',func=pin_types.OUTPUT,unit=1),
            Pin(num='36',name='~{MCS2}',func=pin_types.OUTPUT,unit=1),
            Pin(num='37',name='~{MCS1}',func=pin_types.OUTPUT,unit=1),
            Pin(num='38',name='~{MCS0}',func=pin_types.OUTPUT,unit=1),
            Pin(num='39',name='~{DEN}',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='AD6',func=pin_types.BIDIR,unit=1),
            Pin(num='40',name='DT/~{R}',func=pin_types.OUTPUT,unit=1),
            Pin(num='41',name='INT3/~{INTA1}/IRQ',func=pin_types.BIDIR,unit=1),
            Pin(num='42',name='INT2/~{INTA0}',func=pin_types.BIDIR,unit=1),
            Pin(num='43',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='44',name='INT1/~{SELECT}',func=pin_types.INPUT,unit=1),
            Pin(num='45',name='INT0',func=pin_types.INPUT,unit=1),
            Pin(num='46',name='NMI',func=pin_types.INPUT,unit=1),
            Pin(num='47',name='~{TEST}',func=pin_types.BIDIR,unit=1),
            Pin(num='48',name='~{LOCK}',func=pin_types.OUTPUT,unit=1),
            Pin(num='49',name='SRDY',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='AD13',func=pin_types.BIDIR,unit=1),
            Pin(num='50',name='HOLD',func=pin_types.INPUT,unit=1),
            Pin(num='51',name='HLDA',func=pin_types.OUTPUT,unit=1),
            Pin(num='52',name='~{S0}',func=pin_types.OUTPUT,unit=1),
            Pin(num='53',name='~{S1}',func=pin_types.OUTPUT,unit=1),
            Pin(num='54',name='~{S2}',func=pin_types.OUTPUT,unit=1),
            Pin(num='55',name='ARDY',func=pin_types.INPUT,unit=1),
            Pin(num='56',name='CLKOUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='57',name='RESET',func=pin_types.OUTPUT,unit=1),
            Pin(num='58',name='X2',func=pin_types.OUTPUT,unit=1),
            Pin(num='59',name='X1',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='AD5',func=pin_types.BIDIR,unit=1),
            Pin(num='60',name='VSS',func=pin_types.PASSIVE,unit=1),
            Pin(num='61',name='ALE/QS0',func=pin_types.OUTPUT,unit=1),
            Pin(num='62',name='~{RD}/~{QSMD}',func=pin_types.OUTPUT,unit=1),
            Pin(num='63',name='~{WR}/QS1',func=pin_types.OUTPUT,unit=1),
            Pin(num='64',name='~{BHE}/S7',func=pin_types.OUTPUT,unit=1),
            Pin(num='65',name='A19/S6',func=pin_types.OUTPUT,unit=1),
            Pin(num='66',name='A18/S5',func=pin_types.OUTPUT,unit=1),
            Pin(num='67',name='A17/S4',func=pin_types.OUTPUT,unit=1),
            Pin(num='68',name='A16/S3',func=pin_types.OUTPUT,unit=1),
            Pin(num='7',name='AD12',func=pin_types.BIDIR,unit=1),
            Pin(num='8',name='AD4',func=pin_types.BIDIR,unit=1),
            Pin(num='9',name='VCC',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'80188', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'80188'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'MPRO', 'description':'', 'datasheet':'http://datasheets.chipdb.org/Intel/x86/8018x/datashts/27243002.PDF', 'search_text':'/usr/share/kicad/symbols/MCU_Intel.kicad_sym\n80188\n\nMPRO', 'pins':[
            Pin(num='1',name='A15',func=pin_types.OUTPUT,unit=1),
            Pin(num='10',name='A11',func=pin_types.OUTPUT,unit=1),
            Pin(num='11',name='AD3',func=pin_types.BIDIR,unit=1),
            Pin(num='12',name='A10',func=pin_types.OUTPUT,unit=1),
            Pin(num='13',name='AD2',func=pin_types.BIDIR,unit=1),
            Pin(num='14',name='A9',func=pin_types.OUTPUT,unit=1),
            Pin(num='15',name='AD1',func=pin_types.BIDIR,unit=1),
            Pin(num='16',name='A8',func=pin_types.OUTPUT,unit=1),
            Pin(num='17',name='AD0',func=pin_types.BIDIR,unit=1),
            Pin(num='18',name='DRQ0',func=pin_types.INPUT,unit=1),
            Pin(num='19',name='DRQ1',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='AD7',func=pin_types.BIDIR,unit=1),
            Pin(num='20',name='TMR_IN_0',func=pin_types.INPUT,unit=1),
            Pin(num='21',name='TMR_IN_1',func=pin_types.INPUT,unit=1),
            Pin(num='22',name='TMR_OUT_0',func=pin_types.OUTPUT,unit=1),
            Pin(num='23',name='TMR_OUT_1',func=pin_types.OUTPUT,unit=1),
            Pin(num='24',name='~{RES}',func=pin_types.INPUT,unit=1),
            Pin(num='25',name='~{PCS0}',func=pin_types.OUTPUT,unit=1),
            Pin(num='26',name='VSS',func=pin_types.PWRIN,unit=1),
            Pin(num='27',name='~{PCS1}',func=pin_types.OUTPUT,unit=1),
            Pin(num='28',name='~{PCS2}',func=pin_types.OUTPUT,unit=1),
            Pin(num='29',name='~{PCS3}',func=pin_types.OUTPUT,unit=1),
            Pin(num='3',name='A14',func=pin_types.OUTPUT,unit=1),
            Pin(num='30',name='~{PCS4}',func=pin_types.OUTPUT,unit=1),
            Pin(num='31',name='~{PCS5}/A1',func=pin_types.OUTPUT,unit=1),
            Pin(num='32',name='~{PCS6}/A2',func=pin_types.OUTPUT,unit=1),
            Pin(num='33',name='~{LCS}',func=pin_types.OUTPUT,unit=1),
            Pin(num='34',name='~{UCS}',func=pin_types.OUTPUT,unit=1),
            Pin(num='35',name='~{MCS3}',func=pin_types.OUTPUT,unit=1),
            Pin(num='36',name='~{MCS2}',func=pin_types.OUTPUT,unit=1),
            Pin(num='37',name='~{MCS1}',func=pin_types.OUTPUT,unit=1),
            Pin(num='38',name='~{MCS0}',func=pin_types.OUTPUT,unit=1),
            Pin(num='39',name='~{DEN}',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='AD6',func=pin_types.BIDIR,unit=1),
            Pin(num='40',name='DT/~{R}',func=pin_types.OUTPUT,unit=1),
            Pin(num='41',name='INT3/~{INTA1}/IRQ',func=pin_types.BIDIR,unit=1),
            Pin(num='42',name='INT2/~{INTA0}',func=pin_types.BIDIR,unit=1),
            Pin(num='43',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='44',name='INT1/~{SELECT}',func=pin_types.INPUT,unit=1),
            Pin(num='45',name='INT0',func=pin_types.INPUT,unit=1),
            Pin(num='46',name='NMI',func=pin_types.INPUT,unit=1),
            Pin(num='47',name='~{TEST}',func=pin_types.BIDIR,unit=1),
            Pin(num='48',name='~{LOCK}',func=pin_types.OUTPUT,unit=1),
            Pin(num='49',name='SRDY',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='A13',func=pin_types.OUTPUT,unit=1),
            Pin(num='50',name='HOLD',func=pin_types.INPUT,unit=1),
            Pin(num='51',name='HLDA',func=pin_types.OUTPUT,unit=1),
            Pin(num='52',name='~{S0}',func=pin_types.OUTPUT,unit=1),
            Pin(num='53',name='~{S1}',func=pin_types.OUTPUT,unit=1),
            Pin(num='54',name='~{S2}',func=pin_types.OUTPUT,unit=1),
            Pin(num='55',name='ARDY',func=pin_types.INPUT,unit=1),
            Pin(num='56',name='CLKOUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='57',name='RESET',func=pin_types.OUTPUT,unit=1),
            Pin(num='58',name='X2',func=pin_types.OUTPUT,unit=1),
            Pin(num='59',name='X1',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='AD5',func=pin_types.BIDIR,unit=1),
            Pin(num='60',name='VSS',func=pin_types.PASSIVE,unit=1),
            Pin(num='61',name='ALE/QS0',func=pin_types.OUTPUT,unit=1),
            Pin(num='62',name='~{RD}/~{QSMD}',func=pin_types.BIDIR,unit=1),
            Pin(num='63',name='~{WR}/QS1',func=pin_types.OUTPUT,unit=1),
            Pin(num='64',name='S7',func=pin_types.OUTPUT,unit=1),
            Pin(num='65',name='A19/S6',func=pin_types.OUTPUT,unit=1),
            Pin(num='66',name='A18/S5',func=pin_types.OUTPUT,unit=1),
            Pin(num='67',name='A17/S4',func=pin_types.OUTPUT,unit=1),
            Pin(num='68',name='A16/S3',func=pin_types.OUTPUT,unit=1),
            Pin(num='7',name='A12',func=pin_types.OUTPUT,unit=1),
            Pin(num='8',name='AD4',func=pin_types.BIDIR,unit=1),
            Pin(num='9',name='VCC',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'8035', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'8035'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'MCS-48 uC Microcontroller', 'description':'', 'datasheet':'', 'search_text':'/usr/share/kicad/symbols/MCU_Intel.kicad_sym\n8035\n\nMCS-48 uC Microcontroller', 'pins':[
            Pin(num='1',name='T0',func=pin_types.INPUT,unit=1),
            Pin(num='10',name='~{WR}',func=pin_types.OUTPUT,unit=1),
            Pin(num='11',name='ALE',func=pin_types.OUTPUT,unit=1),
            Pin(num='12',name='DB.0',func=pin_types.BIDIR,unit=1),
            Pin(num='13',name='DB.1',func=pin_types.BIDIR,unit=1),
            Pin(num='14',name='DB.2',func=pin_types.BIDIR,unit=1),
            Pin(num='15',name='DB.3',func=pin_types.BIDIR,unit=1),
            Pin(num='16',name='DB.4',func=pin_types.BIDIR,unit=1),
            Pin(num='17',name='DB.5',func=pin_types.BIDIR,unit=1),
            Pin(num='18',name='DB.6',func=pin_types.BIDIR,unit=1),
            Pin(num='19',name='DB.7',func=pin_types.BIDIR,unit=1),
            Pin(num='2',name='X1',func=pin_types.INPUT,unit=1),
            Pin(num='20',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='21',name='P2.0',func=pin_types.BIDIR,unit=1),
            Pin(num='22',name='P2.1',func=pin_types.BIDIR,unit=1),
            Pin(num='23',name='P2.2',func=pin_types.BIDIR,unit=1),
            Pin(num='24',name='P2.3',func=pin_types.BIDIR,unit=1),
            Pin(num='25',name='PROG',func=pin_types.OUTPUT,unit=1),
            Pin(num='26',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='27',name='P1.0',func=pin_types.BIDIR,unit=1),
            Pin(num='28',name='P1.1',func=pin_types.BIDIR,unit=1),
            Pin(num='29',name='P1.2',func=pin_types.BIDIR,unit=1),
            Pin(num='3',name='X2',func=pin_types.OUTPUT,unit=1),
            Pin(num='30',name='P1.3',func=pin_types.BIDIR,unit=1),
            Pin(num='31',name='P1.4',func=pin_types.BIDIR,unit=1),
            Pin(num='32',name='P1.5',func=pin_types.BIDIR,unit=1),
            Pin(num='33',name='P1.6',func=pin_types.BIDIR,unit=1),
            Pin(num='34',name='P1.7',func=pin_types.BIDIR,unit=1),
            Pin(num='35',name='P2.4',func=pin_types.BIDIR,unit=1),
            Pin(num='36',name='P2.5',func=pin_types.BIDIR,unit=1),
            Pin(num='37',name='P2.6',func=pin_types.BIDIR,unit=1),
            Pin(num='38',name='P2.7',func=pin_types.BIDIR,unit=1),
            Pin(num='39',name='T1',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='~{RESET}',func=pin_types.INPUT,unit=1),
            Pin(num='40',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='~{SS}',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='~{INT}',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='EA',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='~{RD}',func=pin_types.OUTPUT,unit=1),
            Pin(num='9',name='~{PSEN}',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'8080', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'8080'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-40_W15.24mm'], 'footprint':'Package_DIP:DIP-40_W15.24mm', 'keywords':'cpu mpu microprocessor', 'description':'', 'datasheet':'http://datasheets.chipdb.org/Intel/MCS-80/intel-8080.pdf', 'search_text':'/usr/share/kicad/symbols/MCU_Intel.kicad_sym\n8080\n\ncpu mpu microprocessor', 'pins':[
            Pin(num='1',name='A10',func=pin_types.OUTPUT,unit=1),
            Pin(num='10',name='D0',func=pin_types.BIDIR,unit=1),
            Pin(num='11',name='-5V',func=pin_types.PWRIN,unit=1),
            Pin(num='12',name='RESET',func=pin_types.INPUT,unit=1),
            Pin(num='13',name='HOLD',func=pin_types.INPUT,unit=1),
            Pin(num='14',name='INT',func=pin_types.INPUT,unit=1),
            Pin(num='15',name='Ï\x952',func=pin_types.INPUT,unit=1),
            Pin(num='16',name='INTE',func=pin_types.OUTPUT,unit=1),
            Pin(num='17',name='DBIN',func=pin_types.OUTPUT,unit=1),
            Pin(num='18',name='~{WR}',func=pin_types.OUTPUT,unit=1),
            Pin(num='19',name='SYNC',func=pin_types.OUTPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='20',name='+5V',func=pin_types.PWRIN,unit=1),
            Pin(num='21',name='HLDA',func=pin_types.OUTPUT,unit=1),
            Pin(num='22',name='Ï\x951',func=pin_types.INPUT,unit=1),
            Pin(num='23',name='READY',func=pin_types.INPUT,unit=1),
            Pin(num='24',name='WAIT',func=pin_types.OUTPUT,unit=1),
            Pin(num='25',name='A0',func=pin_types.OUTPUT,unit=1),
            Pin(num='26',name='A1',func=pin_types.OUTPUT,unit=1),
            Pin(num='27',name='A2',func=pin_types.OUTPUT,unit=1),
            Pin(num='28',name='+12V',func=pin_types.PWRIN,unit=1),
            Pin(num='29',name='A3',func=pin_types.OUTPUT,unit=1),
            Pin(num='3',name='D4',func=pin_types.BIDIR,unit=1),
            Pin(num='30',name='A4',func=pin_types.OUTPUT,unit=1),
            Pin(num='31',name='A5',func=pin_types.OUTPUT,unit=1),
            Pin(num='32',name='A6',func=pin_types.OUTPUT,unit=1),
            Pin(num='33',name='A7',func=pin_types.OUTPUT,unit=1),
            Pin(num='34',name='A8',func=pin_types.OUTPUT,unit=1),
            Pin(num='35',name='A9',func=pin_types.OUTPUT,unit=1),
            Pin(num='36',name='A15',func=pin_types.OUTPUT,unit=1),
            Pin(num='37',name='A12',func=pin_types.OUTPUT,unit=1),
            Pin(num='38',name='A13',func=pin_types.OUTPUT,unit=1),
            Pin(num='39',name='A14',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='D5',func=pin_types.BIDIR,unit=1),
            Pin(num='40',name='A11',func=pin_types.OUTPUT,unit=1),
            Pin(num='5',name='D6',func=pin_types.BIDIR,unit=1),
            Pin(num='6',name='D7',func=pin_types.BIDIR,unit=1),
            Pin(num='7',name='D3',func=pin_types.BIDIR,unit=1),
            Pin(num='8',name='D2',func=pin_types.BIDIR,unit=1),
            Pin(num='9',name='D1',func=pin_types.BIDIR,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'8086_Max_Mode', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'8086_Max_Mode'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-40_W15.24mm'], 'footprint':'Package_DIP:DIP-40_W15.24mm', 'keywords':'MPRO', 'description':'', 'datasheet':'http://datasheets.chipdb.org/Intel/x86/808x/datashts/8086/231455-006.pdf', 'search_text':'/usr/share/kicad/symbols/MCU_Intel.kicad_sym\n8086_Max_Mode\n\nMPRO', 'pins':[
            Pin(num='1',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='AD6',func=pin_types.BIDIR,unit=1),
            Pin(num='11',name='AD5',func=pin_types.BIDIR,unit=1),
            Pin(num='12',name='AD4',func=pin_types.BIDIR,unit=1),
            Pin(num='13',name='AD3',func=pin_types.BIDIR,unit=1),
            Pin(num='14',name='AD2',func=pin_types.BIDIR,unit=1),
            Pin(num='15',name='AD1',func=pin_types.BIDIR,unit=1),
            Pin(num='16',name='AD0',func=pin_types.BIDIR,unit=1),
            Pin(num='17',name='NMI',func=pin_types.INPUT,unit=1),
            Pin(num='18',name='INTR',func=pin_types.INPUT,unit=1),
            Pin(num='19',name='CLK',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='AD14',func=pin_types.BIDIR,unit=1),
            Pin(num='20',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='21',name='RESET',func=pin_types.INPUT,unit=1),
            Pin(num='22',name='READY',func=pin_types.INPUT,unit=1),
            Pin(num='23',name='~{TEST}',func=pin_types.INPUT,unit=1),
            Pin(num='24',name='QS1',func=pin_types.OUTPUT,unit=1),
            Pin(num='25',name='QS0',func=pin_types.OUTPUT,unit=1),
            Pin(num='26',name='~{S0}',func=pin_types.OUTPUT,unit=1),
            Pin(num='27',name='~{S1}',func=pin_types.OUTPUT,unit=1),
            Pin(num='28',name='~{S2}',func=pin_types.OUTPUT,unit=1),
            Pin(num='29',name='~{LOCK}',func=pin_types.OUTPUT,unit=1),
            Pin(num='3',name='AD13',func=pin_types.BIDIR,unit=1),
            Pin(num='30',name='~{RQ}/~{GT1}',func=pin_types.BIDIR,unit=1),
            Pin(num='31',name='~{RQ}/~{GT0}',func=pin_types.BIDIR,unit=1),
            Pin(num='32',name='~{RD}',func=pin_types.OUTPUT,unit=1),
            Pin(num='33',name='MN/~{MX}',func=pin_types.INPUT,unit=1),
            Pin(num='34',name='~{BHE}/S7',func=pin_types.OUTPUT,unit=1),
            Pin(num='35',name='A19/S6',func=pin_types.OUTPUT,unit=1),
            Pin(num='36',name='A18/S5',func=pin_types.OUTPUT,unit=1),
            Pin(num='37',name='A17/S4',func=pin_types.OUTPUT,unit=1),
            Pin(num='38',name='A16/S3',func=pin_types.OUTPUT,unit=1),
            Pin(num='39',name='AD15',func=pin_types.BIDIR,unit=1),
            Pin(num='4',name='AD12',func=pin_types.BIDIR,unit=1),
            Pin(num='40',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='AD11',func=pin_types.BIDIR,unit=1),
            Pin(num='6',name='AD10',func=pin_types.BIDIR,unit=1),
            Pin(num='7',name='AD9',func=pin_types.BIDIR,unit=1),
            Pin(num='8',name='AD8',func=pin_types.BIDIR,unit=1),
            Pin(num='9',name='AD7',func=pin_types.BIDIR,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'8086_Min_Mode', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'8086_Min_Mode'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-40_W15.24mm'], 'footprint':'Package_DIP:DIP-40_W15.24mm', 'keywords':'MPRO', 'description':'', 'datasheet':'http://datasheets.chipdb.org/Intel/x86/808x/datashts/8086/231455-006.pdf', 'search_text':'/usr/share/kicad/symbols/MCU_Intel.kicad_sym\n8086_Min_Mode\n\nMPRO', 'pins':[
            Pin(num='1',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='AD6',func=pin_types.BIDIR,unit=1),
            Pin(num='11',name='AD5',func=pin_types.BIDIR,unit=1),
            Pin(num='12',name='AD4',func=pin_types.BIDIR,unit=1),
            Pin(num='13',name='AD3',func=pin_types.BIDIR,unit=1),
            Pin(num='14',name='AD2',func=pin_types.BIDIR,unit=1),
            Pin(num='15',name='AD1',func=pin_types.BIDIR,unit=1),
            Pin(num='16',name='AD0',func=pin_types.BIDIR,unit=1),
            Pin(num='17',name='NMI',func=pin_types.INPUT,unit=1),
            Pin(num='18',name='INTR',func=pin_types.INPUT,unit=1),
            Pin(num='19',name='CLK',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='AD14',func=pin_types.BIDIR,unit=1),
            Pin(num='20',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='21',name='RESET',func=pin_types.INPUT,unit=1),
            Pin(num='22',name='READY',func=pin_types.INPUT,unit=1),
            Pin(num='23',name='~{TEST}',func=pin_types.INPUT,unit=1),
            Pin(num='24',name='~{INTA}',func=pin_types.OUTPUT,unit=1),
            Pin(num='25',name='ALE',func=pin_types.OUTPUT,unit=1),
            Pin(num='26',name='~{DEN}',func=pin_types.OUTPUT,unit=1),
            Pin(num='27',name='DT/~{R}',func=pin_types.OUTPUT,unit=1),
            Pin(num='28',name='M/~{IO}',func=pin_types.OUTPUT,unit=1),
            Pin(num='29',name='~{WR}',func=pin_types.OUTPUT,unit=1),
            Pin(num='3',name='AD13',func=pin_types.BIDIR,unit=1),
            Pin(num='30',name='HLDA',func=pin_types.OUTPUT,unit=1),
            Pin(num='31',name='HOLD',func=pin_types.INPUT,unit=1),
            Pin(num='32',name='~{RD}',func=pin_types.OUTPUT,unit=1),
            Pin(num='33',name='MN/~{MX}',func=pin_types.INPUT,unit=1),
            Pin(num='34',name='~{BHE}/S7',func=pin_types.OUTPUT,unit=1),
            Pin(num='35',name='A19/S6',func=pin_types.OUTPUT,unit=1),
            Pin(num='36',name='A18/S5',func=pin_types.OUTPUT,unit=1),
            Pin(num='37',name='A17/S4',func=pin_types.OUTPUT,unit=1),
            Pin(num='38',name='A16/S3',func=pin_types.OUTPUT,unit=1),
            Pin(num='39',name='AD15',func=pin_types.BIDIR,unit=1),
            Pin(num='4',name='AD12',func=pin_types.BIDIR,unit=1),
            Pin(num='40',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='AD11',func=pin_types.BIDIR,unit=1),
            Pin(num='6',name='AD10',func=pin_types.BIDIR,unit=1),
            Pin(num='7',name='AD9',func=pin_types.BIDIR,unit=1),
            Pin(num='8',name='AD8',func=pin_types.BIDIR,unit=1),
            Pin(num='9',name='AD7',func=pin_types.BIDIR,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'8087', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'8087'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-40_W15.24mm'], 'footprint':'Package_DIP:DIP-40_W15.24mm', 'keywords':'FPU', 'description':'', 'datasheet':'http://datasheets.chipdb.org/Intel/x86/808x/datashts/8087/205835-007.pdf', 'search_text':'/usr/share/kicad/symbols/MCU_Intel.kicad_sym\n8087\n\nFPU', 'pins':[
            Pin(num='1',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='AD6',func=pin_types.BIDIR,unit=1),
            Pin(num='11',name='AD5',func=pin_types.BIDIR,unit=1),
            Pin(num='12',name='AD4',func=pin_types.BIDIR,unit=1),
            Pin(num='13',name='AD3',func=pin_types.BIDIR,unit=1),
            Pin(num='14',name='AD2',func=pin_types.BIDIR,unit=1),
            Pin(num='15',name='AD1',func=pin_types.BIDIR,unit=1),
            Pin(num='16',name='AD0',func=pin_types.BIDIR,unit=1),
            Pin(num='17',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='18',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='19',name='CLK',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='AD14',func=pin_types.BIDIR,unit=1),
            Pin(num='20',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='21',name='RESET',func=pin_types.INPUT,unit=1),
            Pin(num='22',name='READY',func=pin_types.INPUT,unit=1),
            Pin(num='23',name='BUSY',func=pin_types.OUTPUT,unit=1),
            Pin(num='24',name='QS1',func=pin_types.INPUT,unit=1),
            Pin(num='25',name='QS0',func=pin_types.INPUT,unit=1),
            Pin(num='26',name='~{S0}',func=pin_types.BIDIR,unit=1),
            Pin(num='27',name='~{S1}',func=pin_types.BIDIR,unit=1),
            Pin(num='28',name='~{S2}',func=pin_types.BIDIR,unit=1),
            Pin(num='29',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='3',name='AD13',func=pin_types.BIDIR,unit=1),
            Pin(num='30',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='31',name='~{RQ}/~{GT0}',func=pin_types.BIDIR,unit=1),
            Pin(num='32',name='INT',func=pin_types.OUTPUT,unit=1),
            Pin(num='33',name='~{RQ}/~{GT1}',func=pin_types.BIDIR,unit=1),
            Pin(num='34',name='~{BHE}/S7',func=pin_types.BIDIR,unit=1),
            Pin(num='35',name='A19/S6',func=pin_types.BIDIR,unit=1),
            Pin(num='36',name='A18/S5',func=pin_types.BIDIR,unit=1),
            Pin(num='37',name='A17/S4',func=pin_types.BIDIR,unit=1),
            Pin(num='38',name='A16/S3',func=pin_types.BIDIR,unit=1),
            Pin(num='39',name='AD15',func=pin_types.BIDIR,unit=1),
            Pin(num='4',name='AD12',func=pin_types.BIDIR,unit=1),
            Pin(num='40',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='AD11',func=pin_types.BIDIR,unit=1),
            Pin(num='6',name='AD10',func=pin_types.BIDIR,unit=1),
            Pin(num='7',name='AD9',func=pin_types.BIDIR,unit=1),
            Pin(num='8',name='AD8',func=pin_types.BIDIR,unit=1),
            Pin(num='9',name='AD7',func=pin_types.BIDIR,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'8088', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'8088'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-40_W15.24mm'], 'footprint':'Package_DIP:DIP-40_W15.24mm', 'keywords':'MPRO', 'description':'', 'datasheet':'http://datasheets.chipdb.org/Intel/x86/808x/datashts/8088/231456-006.pdf', 'search_text':'/usr/share/kicad/symbols/MCU_Intel.kicad_sym\n8088\n\nMPRO', 'pins':[
            Pin(num='1',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='AD6',func=pin_types.BIDIR,unit=1),
            Pin(num='11',name='AD5',func=pin_types.BIDIR,unit=1),
            Pin(num='12',name='AD4',func=pin_types.BIDIR,unit=1),
            Pin(num='13',name='AD3',func=pin_types.BIDIR,unit=1),
            Pin(num='14',name='AD2',func=pin_types.BIDIR,unit=1),
            Pin(num='15',name='AD1',func=pin_types.BIDIR,unit=1),
            Pin(num='16',name='AD0',func=pin_types.BIDIR,unit=1),
            Pin(num='17',name='NMI',func=pin_types.INPUT,unit=1),
            Pin(num='18',name='INTR',func=pin_types.INPUT,unit=1),
            Pin(num='19',name='CLK',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='A14',func=pin_types.OUTPUT,unit=1),
            Pin(num='20',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='21',name='RESET',func=pin_types.INPUT,unit=1),
            Pin(num='22',name='READY',func=pin_types.INPUT,unit=1),
            Pin(num='23',name='~{TEST}',func=pin_types.INPUT,unit=1),
            Pin(num='24',name='~{INTA}',func=pin_types.OUTPUT,unit=1),
            Pin(num='25',name='ALE',func=pin_types.OUTPUT,unit=1),
            Pin(num='26',name='DEN',func=pin_types.OUTPUT,unit=1),
            Pin(num='27',name='DT/~{R}',func=pin_types.OUTPUT,unit=1),
            Pin(num='28',name='IO/~{M}',func=pin_types.OUTPUT,unit=1),
            Pin(num='29',name='WR',func=pin_types.OUTPUT,unit=1),
            Pin(num='3',name='A13',func=pin_types.OUTPUT,unit=1),
            Pin(num='30',name='HLDA',func=pin_types.OUTPUT,unit=1),
            Pin(num='31',name='HOLD',func=pin_types.INPUT,unit=1),
            Pin(num='32',name='~{RD}',func=pin_types.OUTPUT,unit=1),
            Pin(num='33',name='MN/~{MX}',func=pin_types.INPUT,unit=1),
            Pin(num='34',name='~{SSO}',func=pin_types.OUTPUT,unit=1),
            Pin(num='35',name='A19/S6',func=pin_types.OUTPUT,unit=1),
            Pin(num='36',name='A18/S5',func=pin_types.OUTPUT,unit=1),
            Pin(num='37',name='A17/S4',func=pin_types.OUTPUT,unit=1),
            Pin(num='38',name='A16/S3',func=pin_types.OUTPUT,unit=1),
            Pin(num='39',name='A15',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='A12',func=pin_types.OUTPUT,unit=1),
            Pin(num='40',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='A11',func=pin_types.OUTPUT,unit=1),
            Pin(num='6',name='A10',func=pin_types.OUTPUT,unit=1),
            Pin(num='7',name='A9',func=pin_types.OUTPUT,unit=1),
            Pin(num='8',name='A8',func=pin_types.OUTPUT,unit=1),
            Pin(num='9',name='AD7',func=pin_types.BIDIR,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'8088_Max_Mode', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'8088_Max_Mode'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-40_W15.24mm'], 'footprint':'Package_DIP:DIP-40_W15.24mm', 'keywords':'MPRO', 'description':'', 'datasheet':'http://datasheets.chipdb.org/Intel/x86/808x/datashts/8088/231456-006.pdf', 'search_text':'/usr/share/kicad/symbols/MCU_Intel.kicad_sym\n8088_Max_Mode\n\nMPRO', 'pins':[
            Pin(num='1',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='AD6',func=pin_types.BIDIR,unit=1),
            Pin(num='11',name='AD5',func=pin_types.BIDIR,unit=1),
            Pin(num='12',name='AD4',func=pin_types.BIDIR,unit=1),
            Pin(num='13',name='AD3',func=pin_types.BIDIR,unit=1),
            Pin(num='14',name='AD2',func=pin_types.BIDIR,unit=1),
            Pin(num='15',name='AD1',func=pin_types.BIDIR,unit=1),
            Pin(num='16',name='AD0',func=pin_types.BIDIR,unit=1),
            Pin(num='17',name='NMI',func=pin_types.INPUT,unit=1),
            Pin(num='18',name='INTR',func=pin_types.INPUT,unit=1),
            Pin(num='19',name='CLK',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='A14',func=pin_types.OUTPUT,unit=1),
            Pin(num='20',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='21',name='RESET',func=pin_types.INPUT,unit=1),
            Pin(num='22',name='READY',func=pin_types.INPUT,unit=1),
            Pin(num='23',name='~{TEST}',func=pin_types.INPUT,unit=1),
            Pin(num='24',name='QS1',func=pin_types.OUTPUT,unit=1),
            Pin(num='25',name='QS0',func=pin_types.OUTPUT,unit=1),
            Pin(num='26',name='~{S0}',func=pin_types.OUTPUT,unit=1),
            Pin(num='27',name='~{S1}',func=pin_types.OUTPUT,unit=1),
            Pin(num='28',name='~{S2}',func=pin_types.OUTPUT,unit=1),
            Pin(num='29',name='~{LOCK}',func=pin_types.OUTPUT,unit=1),
            Pin(num='3',name='A13',func=pin_types.OUTPUT,unit=1),
            Pin(num='30',name='~{RQ}/~{GT1}',func=pin_types.BIDIR,unit=1),
            Pin(num='31',name='~{RQ}/~{GT0}',func=pin_types.BIDIR,unit=1),
            Pin(num='32',name='~{RD}',func=pin_types.OUTPUT,unit=1),
            Pin(num='33',name='MN/~{MX}',func=pin_types.INPUT,unit=1),
            Pin(num='34',name='HIGH',func=pin_types.OUTPUT,unit=1),
            Pin(num='35',name='A19/S6',func=pin_types.OUTPUT,unit=1),
            Pin(num='36',name='A18/S5',func=pin_types.OUTPUT,unit=1),
            Pin(num='37',name='A17/S4',func=pin_types.OUTPUT,unit=1),
            Pin(num='38',name='A16/S3',func=pin_types.OUTPUT,unit=1),
            Pin(num='39',name='A15',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='A12',func=pin_types.OUTPUT,unit=1),
            Pin(num='40',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='A11',func=pin_types.OUTPUT,unit=1),
            Pin(num='6',name='A10',func=pin_types.OUTPUT,unit=1),
            Pin(num='7',name='A9',func=pin_types.OUTPUT,unit=1),
            Pin(num='8',name='A8',func=pin_types.OUTPUT,unit=1),
            Pin(num='9',name='AD7',func=pin_types.BIDIR,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'80C188', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'80C188'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'MPRO', 'description':'', 'datasheet':'http://datasheets.chipdb.org/Intel/x86/8018x/datashts/80188/intel-80c188.pdf', 'search_text':'/usr/share/kicad/symbols/MCU_Intel.kicad_sym\n80C188\n\nMPRO', 'pins':[
            Pin(num='1',name='A15',func=pin_types.OUTPUT,unit=1),
            Pin(num='10',name='A11',func=pin_types.OUTPUT,unit=1),
            Pin(num='11',name='AD3',func=pin_types.BIDIR,unit=1),
            Pin(num='12',name='A10',func=pin_types.OUTPUT,unit=1),
            Pin(num='13',name='AD2',func=pin_types.BIDIR,unit=1),
            Pin(num='14',name='A9',func=pin_types.OUTPUT,unit=1),
            Pin(num='15',name='AD1',func=pin_types.BIDIR,unit=1),
            Pin(num='16',name='A8',func=pin_types.OUTPUT,unit=1),
            Pin(num='17',name='AD0',func=pin_types.BIDIR,unit=1),
            Pin(num='18',name='DRQ0',func=pin_types.INPUT,unit=1),
            Pin(num='19',name='DRQ1',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='AD7',func=pin_types.BIDIR,unit=1),
            Pin(num='20',name='TMR_IN_0',func=pin_types.INPUT,unit=1),
            Pin(num='21',name='TMR_IN_1',func=pin_types.INPUT,unit=1),
            Pin(num='22',name='TMR_OUT_0',func=pin_types.OUTPUT,unit=1),
            Pin(num='23',name='TMR_OUT_1',func=pin_types.OUTPUT,unit=1),
            Pin(num='24',name='~{RES}',func=pin_types.INPUT,unit=1),
            Pin(num='25',name='~{PCS0}',func=pin_types.OUTPUT,unit=1),
            Pin(num='26',name='VSS',func=pin_types.PWRIN,unit=1),
            Pin(num='27',name='~{PCS1}',func=pin_types.OUTPUT,unit=1),
            Pin(num='28',name='~{PCS2}',func=pin_types.OUTPUT,unit=1),
            Pin(num='29',name='~{PCS3}',func=pin_types.OUTPUT,unit=1),
            Pin(num='3',name='A14',func=pin_types.OUTPUT,unit=1),
            Pin(num='30',name='~{PCS4}',func=pin_types.OUTPUT,unit=1),
            Pin(num='31',name='~{PCS5}/A1',func=pin_types.OUTPUT,unit=1),
            Pin(num='32',name='~{PCS6}/A2',func=pin_types.OUTPUT,unit=1),
            Pin(num='33',name='~{LCS}',func=pin_types.BIDIR,unit=1),
            Pin(num='34',name='~{UCS}',func=pin_types.BIDIR,unit=1),
            Pin(num='35',name='~{MCS3}',func=pin_types.OUTPUT,unit=1),
            Pin(num='36',name='~{MCS2}',func=pin_types.OUTPUT,unit=1),
            Pin(num='37',name='~{MCS1}',func=pin_types.OUTPUT,unit=1),
            Pin(num='38',name='~{MCS0}',func=pin_types.OUTPUT,unit=1),
            Pin(num='39',name='~{DEN}',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='AD6',func=pin_types.BIDIR,unit=1),
            Pin(num='40',name='DT/~{R}',func=pin_types.OUTPUT,unit=1),
            Pin(num='41',name='INT3/~{INTA1}/IRQ',func=pin_types.BIDIR,unit=1),
            Pin(num='42',name='INT2/~{INTA0}',func=pin_types.BIDIR,unit=1),
            Pin(num='43',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='44',name='INT1/~{SELECT}',func=pin_types.INPUT,unit=1),
            Pin(num='45',name='INT0',func=pin_types.INPUT,unit=1),
            Pin(num='46',name='NMI',func=pin_types.INPUT,unit=1),
            Pin(num='47',name='~{TEST}',func=pin_types.BIDIR,unit=1),
            Pin(num='48',name='~{LOCK}',func=pin_types.OUTPUT,unit=1),
            Pin(num='49',name='SRDY',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='A13',func=pin_types.OUTPUT,unit=1),
            Pin(num='50',name='HOLD',func=pin_types.INPUT,unit=1),
            Pin(num='51',name='HLDA',func=pin_types.OUTPUT,unit=1),
            Pin(num='52',name='~{S0}',func=pin_types.OUTPUT,unit=1),
            Pin(num='53',name='~{S1}',func=pin_types.OUTPUT,unit=1),
            Pin(num='54',name='~{S2}',func=pin_types.OUTPUT,unit=1),
            Pin(num='55',name='ARDY',func=pin_types.INPUT,unit=1),
            Pin(num='56',name='CLKOUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='57',name='RESET',func=pin_types.OUTPUT,unit=1),
            Pin(num='58',name='X2',func=pin_types.OUTPUT,unit=1),
            Pin(num='59',name='X1',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='AD5',func=pin_types.BIDIR,unit=1),
            Pin(num='60',name='VSS',func=pin_types.PASSIVE,unit=1),
            Pin(num='61',name='ALE/QS0',func=pin_types.OUTPUT,unit=1),
            Pin(num='62',name='~{RD}/~{QSMD}',func=pin_types.BIDIR,unit=1),
            Pin(num='63',name='~{WR}/QS1',func=pin_types.OUTPUT,unit=1),
            Pin(num='64',name='~{RFSH}',func=pin_types.OUTPUT,unit=1),
            Pin(num='65',name='A19/S6',func=pin_types.OUTPUT,unit=1),
            Pin(num='66',name='A18/S5',func=pin_types.OUTPUT,unit=1),
            Pin(num='67',name='A17/S4',func=pin_types.OUTPUT,unit=1),
            Pin(num='68',name='A16/S3',func=pin_types.OUTPUT,unit=1),
            Pin(num='7',name='A12',func=pin_types.OUTPUT,unit=1),
            Pin(num='8',name='AD4',func=pin_types.BIDIR,unit=1),
            Pin(num='9',name='VCC',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'8748', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'8748'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'MCS-48 uC Microcontroller', 'description':'', 'datasheet':'', 'search_text':'/usr/share/kicad/symbols/MCU_Intel.kicad_sym\n8748\n\nMCS-48 uC Microcontroller', 'pins':[
            Pin(num='1',name='T0',func=pin_types.INPUT,unit=1),
            Pin(num='10',name='~{WR}',func=pin_types.OUTPUT,unit=1),
            Pin(num='11',name='ALE',func=pin_types.OUTPUT,unit=1),
            Pin(num='12',name='DB.0',func=pin_types.BIDIR,unit=1),
            Pin(num='13',name='DB.1',func=pin_types.BIDIR,unit=1),
            Pin(num='14',name='DB.2',func=pin_types.BIDIR,unit=1),
            Pin(num='15',name='DB.3',func=pin_types.BIDIR,unit=1),
            Pin(num='16',name='DB.4',func=pin_types.BIDIR,unit=1),
            Pin(num='17',name='DB.5',func=pin_types.BIDIR,unit=1),
            Pin(num='18',name='DB.6',func=pin_types.BIDIR,unit=1),
            Pin(num='19',name='DB.7',func=pin_types.BIDIR,unit=1),
            Pin(num='2',name='X1',func=pin_types.INPUT,unit=1),
            Pin(num='20',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='21',name='P2.0',func=pin_types.BIDIR,unit=1),
            Pin(num='22',name='P2.1',func=pin_types.BIDIR,unit=1),
            Pin(num='23',name='P2.2',func=pin_types.BIDIR,unit=1),
            Pin(num='24',name='P2.3',func=pin_types.BIDIR,unit=1),
            Pin(num='25',name='PROG',func=pin_types.OUTPUT,unit=1),
            Pin(num='26',name='Vpp/VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='27',name='P1.0',func=pin_types.BIDIR,unit=1),
            Pin(num='28',name='P1.1',func=pin_types.BIDIR,unit=1),
            Pin(num='29',name='P1.2',func=pin_types.BIDIR,unit=1),
            Pin(num='3',name='X2',func=pin_types.OUTPUT,unit=1),
            Pin(num='30',name='P1.3',func=pin_types.BIDIR,unit=1),
            Pin(num='31',name='P1.4',func=pin_types.BIDIR,unit=1),
            Pin(num='32',name='P1.5',func=pin_types.BIDIR,unit=1),
            Pin(num='33',name='P1.6',func=pin_types.BIDIR,unit=1),
            Pin(num='34',name='P1.7',func=pin_types.BIDIR,unit=1),
            Pin(num='35',name='P2.4',func=pin_types.BIDIR,unit=1),
            Pin(num='36',name='P2.5',func=pin_types.BIDIR,unit=1),
            Pin(num='37',name='P2.6',func=pin_types.BIDIR,unit=1),
            Pin(num='38',name='P2.7',func=pin_types.BIDIR,unit=1),
            Pin(num='39',name='T1',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='~{RESET}',func=pin_types.INPUT,unit=1),
            Pin(num='40',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='~{SS}',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='~{INT}',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='EA',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='~{RD}',func=pin_types.OUTPUT,unit=1),
            Pin(num='9',name='~{PSEN}',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'I386EX_PQFP', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'I386EX_PQFP'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'MPRO', 'description':'', 'datasheet':'', 'search_text':'/usr/share/kicad/symbols/MCU_Intel.kicad_sym\nI386EX_PQFP\n\nMPRO', 'pins':[
            Pin(num='1',name='UCS',func=pin_types.OUTPUT,unit=1),
            Pin(num='10',name='D4',func=pin_types.TRISTATE,unit=1),
            Pin(num='100',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='101',name='DCD0/P1.0',func=pin_types.BIDIR,unit=1),
            Pin(num='102',name='RTS0/P1.1',func=pin_types.BIDIR,unit=1),
            Pin(num='104',name='DTR0/P1.2',func=pin_types.BIDIR,unit=1),
            Pin(num='105',name='DSR0/P1.3',func=pin_types.BIDIR,unit=1),
            Pin(num='106',name='RI0/P1.4',func=pin_types.BIDIR,unit=1),
            Pin(num='107',name='LOCK/P1.5',func=pin_types.BIDIR,unit=1),
            Pin(num='108',name='HOLD/P1.6',func=pin_types.BIDIR,unit=1),
            Pin(num='109',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='11',name='D5',func=pin_types.TRISTATE,unit=1),
            Pin(num='110',name='RESET',func=pin_types.INPUT,unit=1),
            Pin(num='111',name='HLDA/P1.7',func=pin_types.BIDIR,unit=1),
            Pin(num='112',name='DACK1/TXD1',func=pin_types.OUTPUT,unit=1),
            Pin(num='113',name='EOP/CTS1',func=pin_types.BIDIR,unit=1),
            Pin(num='114',name='WDTOUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='115',name='CLK2',func=pin_types.INPUT,unit=1),
            Pin(num='116',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='117',name='DRQ0/DCD1',func=pin_types.INPUT,unit=1),
            Pin(num='118',name='DRQ1/RXD1',func=pin_types.INPUT,unit=1),
            Pin(num='119',name='TRST',func=pin_types.INPUT,unit=1),
            Pin(num='12',name='D6',func=pin_types.TRISTATE,unit=1),
            Pin(num='120',name='SMIACT',func=pin_types.OUTPUT,unit=1),
            Pin(num='121',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='122',name='CS0/P2.0',func=pin_types.BIDIR,unit=1),
            Pin(num='123',name='CS1/P2.1',func=pin_types.BIDIR,unit=1),
            Pin(num='124',name='CS2/P2.2',func=pin_types.BIDIR,unit=1),
            Pin(num='125',name='CS3/P2.3',func=pin_types.BIDIR,unit=1),
            Pin(num='126',name='CS4/P2.4',func=pin_types.BIDIR,unit=1),
            Pin(num='127',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='128',name='DACK0/CS5',func=pin_types.OUTPUT,unit=1),
            Pin(num='129',name='RDX0/P2.5',func=pin_types.BIDIR,unit=1),
            Pin(num='13',name='D7',func=pin_types.TRISTATE,unit=1),
            Pin(num='130',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='131',name='TXD0/P2.6',func=pin_types.BIDIR,unit=1),
            Pin(num='132',name='CTS0/P2.7',func=pin_types.BIDIR,unit=1),
            Pin(num='14',name='D8',func=pin_types.TRISTATE,unit=1),
            Pin(num='15',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='16',name='D9',func=pin_types.TRISTATE,unit=1),
            Pin(num='17',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='18',name='D10',func=pin_types.TRISTATE,unit=1),
            Pin(num='19',name='D11',func=pin_types.TRISTATE,unit=1),
            Pin(num='2',name='CS6/REFRESH',func=pin_types.OUTPUT,unit=1),
            Pin(num='20',name='D12',func=pin_types.TRISTATE,unit=1),
            Pin(num='21',name='D13',func=pin_types.TRISTATE,unit=1),
            Pin(num='22',name='D14',func=pin_types.TRISTATE,unit=1),
            Pin(num='23',name='D15',func=pin_types.TRISTATE,unit=1),
            Pin(num='24',name='TDO',func=pin_types.OUTPUT,unit=1),
            Pin(num='25',name='TDI',func=pin_types.INPUT,unit=1),
            Pin(num='26',name='TMS',func=pin_types.INPUT,unit=1),
            Pin(num='27',name='M/IO',func=pin_types.OUTPUT,unit=1),
            Pin(num='28',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='29',name='D/C',func=pin_types.OUTPUT,unit=1),
            Pin(num='3',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='30',name='WR/RD',func=pin_types.OUTPUT,unit=1),
            Pin(num='31',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='32',name='READY',func=pin_types.BIDIR,unit=1),
            Pin(num='33',name='BS8',func=pin_types.INPUT,unit=1),
            Pin(num='34',name='RD',func=pin_types.OUTPUT,unit=1),
            Pin(num='35',name='WR',func=pin_types.OUTPUT,unit=1),
            Pin(num='36',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='37',name='BLE',func=pin_types.OUTPUT,unit=1),
            Pin(num='38',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='39',name='BHE',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='LBA',func=pin_types.OUTPUT,unit=1),
            Pin(num='40',name='ADS',func=pin_types.OUTPUT,unit=1),
            Pin(num='41',name='NA',func=pin_types.INPUT,unit=1),
            Pin(num='42',name='A1',func=pin_types.TRISTATE,unit=1),
            Pin(num='43',name='A2',func=pin_types.TRISTATE,unit=1),
            Pin(num='44',name='A3',func=pin_types.TRISTATE,unit=1),
            Pin(num='45',name='A4',func=pin_types.TRISTATE,unit=1),
            Pin(num='46',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='47',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='48',name='A5',func=pin_types.TRISTATE,unit=1),
            Pin(num='49',name='A6',func=pin_types.TRISTATE,unit=1),
            Pin(num='5',name='D0',func=pin_types.TRISTATE,unit=1),
            Pin(num='50',name='A7',func=pin_types.TRISTATE,unit=1),
            Pin(num='51',name='A8',func=pin_types.TRISTATE,unit=1),
            Pin(num='52',name='A9',func=pin_types.TRISTATE,unit=1),
            Pin(num='53',name='A10',func=pin_types.TRISTATE,unit=1),
            Pin(num='54',name='A11',func=pin_types.TRISTATE,unit=1),
            Pin(num='55',name='A12',func=pin_types.TRISTATE,unit=1),
            Pin(num='56',name='A13',func=pin_types.TRISTATE,unit=1),
            Pin(num='57',name='A14',func=pin_types.TRISTATE,unit=1),
            Pin(num='58',name='A15',func=pin_types.TRISTATE,unit=1),
            Pin(num='59',name='A16/CAS0',func=pin_types.TRISTATE,unit=1),
            Pin(num='6',name='D1',func=pin_types.TRISTATE,unit=1),
            Pin(num='60',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='61',name='A17/CAS1',func=pin_types.TRISTATE,unit=1),
            Pin(num='62',name='A18/CAS2',func=pin_types.TRISTATE,unit=1),
            Pin(num='63',name='A19',func=pin_types.TRISTATE,unit=1),
            Pin(num='64',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='65',name='A20',func=pin_types.TRISTATE,unit=1),
            Pin(num='66',name='A21',func=pin_types.TRISTATE,unit=1),
            Pin(num='67',name='A22',func=pin_types.TRISTATE,unit=1),
            Pin(num='68',name='A23',func=pin_types.TRISTATE,unit=1),
            Pin(num='69',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='7',name='D2',func=pin_types.TRISTATE,unit=1),
            Pin(num='70',name='A24',func=pin_types.TRISTATE,unit=1),
            Pin(num='71',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='72',name='A25',func=pin_types.TRISTATE,unit=1),
            Pin(num='73',name='SMI',func=pin_types.INPUT,unit=1),
            Pin(num='74',name='TMROUT0/P3.0',func=pin_types.BIDIR,unit=1),
            Pin(num='75',name='TMROUT1/P3.1',func=pin_types.BIDIR,unit=1),
            Pin(num='76',name='TCK',func=pin_types.INPUT,unit=1),
            Pin(num='77',name='SRXCLK/DTR1',func=pin_types.BIDIR,unit=1),
            Pin(num='78',name='SSIORX/RI1',func=pin_types.INPUT,unit=1),
            Pin(num='79',name='SSIOTX/RST1',func=pin_types.BIDIR,unit=1),
            Pin(num='8',name='D3',func=pin_types.TRISTATE,unit=1),
            Pin(num='80',name='INT0/P3.2',func=pin_types.BIDIR,unit=1),
            Pin(num='81',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='82',name='INT1/P3.3',func=pin_types.BIDIR,unit=1),
            Pin(num='83',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='84',name='INT2/P3.4',func=pin_types.BIDIR,unit=1),
            Pin(num='85',name='INT3/P3.5',func=pin_types.BIDIR,unit=1),
            Pin(num='86',name='PWRDWN/P3.6',func=pin_types.BIDIR,unit=1),
            Pin(num='87',name='COMCLK/P3.7',func=pin_types.BIDIR,unit=1),
            Pin(num='88',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='89',name='PEREQ/TMRCLK2',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='90',name='NMI',func=pin_types.INPUT,unit=1),
            Pin(num='91',name='ERROR/TMROUT2',func=pin_types.BIDIR,unit=1),
            Pin(num='92',name='BUSY/TMRGATE2',func=pin_types.INPUT,unit=1),
            Pin(num='93',name='INT4/TMRCLK0',func=pin_types.INPUT,unit=1),
            Pin(num='94',name='INT5/TMRGATE0',func=pin_types.INPUT,unit=1),
            Pin(num='95',name='INT6/TMRCLK1',func=pin_types.INPUT,unit=1),
            Pin(num='96',name='INT7/TMRGATE1',func=pin_types.INPUT,unit=1),
            Pin(num='97',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='98',name='STXCLK/DSR1',func=pin_types.BIDIR,unit=1),
            Pin(num='99',name='FLT',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'M80C186', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'M80C186'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'MPRO', 'description':'', 'datasheet':'http://datasheets.chipdb.org/Intel/x86/8018x/datashts/80186/27050008.PDF', 'search_text':'/usr/share/kicad/symbols/MCU_Intel.kicad_sym\nM80C186\n\nMPRO', 'pins':[
            Pin(num='1',name='AD15',func=pin_types.BIDIR,unit=1),
            Pin(num='10',name='AD11',func=pin_types.BIDIR,unit=1),
            Pin(num='11',name='AD3',func=pin_types.BIDIR,unit=1),
            Pin(num='12',name='AD10',func=pin_types.BIDIR,unit=1),
            Pin(num='13',name='AD2',func=pin_types.BIDIR,unit=1),
            Pin(num='14',name='AD9',func=pin_types.BIDIR,unit=1),
            Pin(num='15',name='AD1',func=pin_types.BIDIR,unit=1),
            Pin(num='16',name='AD8',func=pin_types.BIDIR,unit=1),
            Pin(num='17',name='AD0',func=pin_types.BIDIR,unit=1),
            Pin(num='18',name='DRQ0',func=pin_types.INPUT,unit=1),
            Pin(num='19',name='DRQ1',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='AD7',func=pin_types.BIDIR,unit=1),
            Pin(num='20',name='TMR_IN_0',func=pin_types.INPUT,unit=1),
            Pin(num='21',name='TMR_IN_1',func=pin_types.INPUT,unit=1),
            Pin(num='22',name='TMR_OUT_0',func=pin_types.OUTPUT,unit=1),
            Pin(num='23',name='TMR_OUT_1',func=pin_types.OUTPUT,unit=1),
            Pin(num='24',name='~{RES}',func=pin_types.INPUT,unit=1),
            Pin(num='25',name='~{PCS0}',func=pin_types.OUTPUT,unit=1),
            Pin(num='26',name='VSS',func=pin_types.PWRIN,unit=1),
            Pin(num='27',name='~{PCS1}',func=pin_types.OUTPUT,unit=1),
            Pin(num='28',name='~{PCS2}',func=pin_types.OUTPUT,unit=1),
            Pin(num='29',name='~{PCS3}',func=pin_types.OUTPUT,unit=1),
            Pin(num='3',name='AD14',func=pin_types.BIDIR,unit=1),
            Pin(num='30',name='~{PCS4}',func=pin_types.OUTPUT,unit=1),
            Pin(num='31',name='~{PCS5}/A1',func=pin_types.OUTPUT,unit=1),
            Pin(num='32',name='~{PCS6}/A2',func=pin_types.OUTPUT,unit=1),
            Pin(num='33',name='~{LCS}',func=pin_types.OUTPUT,unit=1),
            Pin(num='34',name='~{UCS}',func=pin_types.OUTPUT,unit=1),
            Pin(num='35',name='~{MCS3}/~{NPS}',func=pin_types.OUTPUT,unit=1),
            Pin(num='36',name='~{MCS2}',func=pin_types.OUTPUT,unit=1),
            Pin(num='37',name='~{MCS1}/~{ERROR}',func=pin_types.BIDIR,unit=1),
            Pin(num='38',name='~{MCS0}/PEREQ',func=pin_types.BIDIR,unit=1),
            Pin(num='39',name='~{DEN}',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='AD6',func=pin_types.BIDIR,unit=1),
            Pin(num='40',name='DT/~{R}',func=pin_types.OUTPUT,unit=1),
            Pin(num='41',name='INT3/~{INTA1}',func=pin_types.BIDIR,unit=1),
            Pin(num='42',name='INT2/~{INTA0}',func=pin_types.BIDIR,unit=1),
            Pin(num='43',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='44',name='INT1',func=pin_types.INPUT,unit=1),
            Pin(num='45',name='INT0',func=pin_types.INPUT,unit=1),
            Pin(num='46',name='NMI',func=pin_types.INPUT,unit=1),
            Pin(num='47',name='~{TEST}/BUSY',func=pin_types.INPUT,unit=1),
            Pin(num='48',name='~{LOCK}',func=pin_types.OUTPUT,unit=1),
            Pin(num='49',name='SRDY',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='AD13',func=pin_types.BIDIR,unit=1),
            Pin(num='50',name='HOLD',func=pin_types.INPUT,unit=1),
            Pin(num='51',name='HLDA',func=pin_types.OUTPUT,unit=1),
            Pin(num='52',name='~{S0}',func=pin_types.OUTPUT,unit=1),
            Pin(num='53',name='~{S1}',func=pin_types.OUTPUT,unit=1),
            Pin(num='54',name='~{S2}',func=pin_types.OUTPUT,unit=1),
            Pin(num='55',name='ARDY',func=pin_types.INPUT,unit=1),
            Pin(num='56',name='CLKOUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='57',name='RESET',func=pin_types.OUTPUT,unit=1),
            Pin(num='58',name='X2',func=pin_types.OUTPUT,unit=1),
            Pin(num='59',name='X1',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='AD5',func=pin_types.BIDIR,unit=1),
            Pin(num='60',name='VSS',func=pin_types.PASSIVE,unit=1),
            Pin(num='61',name='ALE/QS0',func=pin_types.OUTPUT,unit=1),
            Pin(num='62',name='~{RD}/~{QSMD}',func=pin_types.OUTPUT,unit=1),
            Pin(num='63',name='~{WR}/QS1',func=pin_types.OUTPUT,unit=1),
            Pin(num='64',name='~{BHE}',func=pin_types.OUTPUT,unit=1),
            Pin(num='65',name='A19/S6',func=pin_types.OUTPUT,unit=1),
            Pin(num='66',name='A18/S5',func=pin_types.OUTPUT,unit=1),
            Pin(num='67',name='A17/S4',func=pin_types.OUTPUT,unit=1),
            Pin(num='68',name='A16/S3',func=pin_types.OUTPUT,unit=1),
            Pin(num='7',name='AD12',func=pin_types.BIDIR,unit=1),
            Pin(num='8',name='AD4',func=pin_types.BIDIR,unit=1),
            Pin(num='9',name='VCC',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'M80C186XL', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'M80C186XL'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'MPRO', 'description':'', 'datasheet':'http://datasheets.chipdb.org/Intel/x86/8018x/datashts/80186/27127602.pdf', 'search_text':'/usr/share/kicad/symbols/MCU_Intel.kicad_sym\nM80C186XL\n\nMPRO', 'pins':[
            Pin(num='1',name='AD15',func=pin_types.BIDIR,unit=1),
            Pin(num='10',name='AD11',func=pin_types.BIDIR,unit=1),
            Pin(num='11',name='AD3',func=pin_types.BIDIR,unit=1),
            Pin(num='12',name='AD10',func=pin_types.BIDIR,unit=1),
            Pin(num='13',name='AD2',func=pin_types.BIDIR,unit=1),
            Pin(num='14',name='AD9',func=pin_types.BIDIR,unit=1),
            Pin(num='15',name='AD1',func=pin_types.BIDIR,unit=1),
            Pin(num='16',name='AD8',func=pin_types.BIDIR,unit=1),
            Pin(num='17',name='AD0',func=pin_types.BIDIR,unit=1),
            Pin(num='18',name='DRQ0',func=pin_types.INPUT,unit=1),
            Pin(num='19',name='DRQ1',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='AD7',func=pin_types.BIDIR,unit=1),
            Pin(num='20',name='TMR_IN_0',func=pin_types.INPUT,unit=1),
            Pin(num='21',name='TMR_IN_1',func=pin_types.INPUT,unit=1),
            Pin(num='22',name='TMR_OUT_0',func=pin_types.OUTPUT,unit=1),
            Pin(num='23',name='TMR_OUT_1',func=pin_types.OUTPUT,unit=1),
            Pin(num='24',name='~{RES}',func=pin_types.INPUT,unit=1),
            Pin(num='25',name='~{PCS0}',func=pin_types.OUTPUT,unit=1),
            Pin(num='26',name='VSS',func=pin_types.PWRIN,unit=1),
            Pin(num='27',name='~{PCS1}',func=pin_types.OUTPUT,unit=1),
            Pin(num='28',name='~{PCS2}',func=pin_types.OUTPUT,unit=1),
            Pin(num='29',name='~{PCS3}',func=pin_types.OUTPUT,unit=1),
            Pin(num='3',name='AD14',func=pin_types.BIDIR,unit=1),
            Pin(num='30',name='~{PCS4}',func=pin_types.OUTPUT,unit=1),
            Pin(num='31',name='~{PCS5}/A1',func=pin_types.OUTPUT,unit=1),
            Pin(num='32',name='~{PCS6}/A2',func=pin_types.OUTPUT,unit=1),
            Pin(num='33',name='~{LCS}',func=pin_types.BIDIR,unit=1),
            Pin(num='34',name='~{UCS}',func=pin_types.BIDIR,unit=1),
            Pin(num='35',name='~{MCS3}/~{NPS}',func=pin_types.OUTPUT,unit=1),
            Pin(num='36',name='~{MCS2}',func=pin_types.OUTPUT,unit=1),
            Pin(num='37',name='~{MCS1}/~{ERROR}',func=pin_types.BIDIR,unit=1),
            Pin(num='38',name='~{MCS0}/PEREQ',func=pin_types.BIDIR,unit=1),
            Pin(num='39',name='~{DEN}',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='AD6',func=pin_types.BIDIR,unit=1),
            Pin(num='40',name='DT/~{R}',func=pin_types.OUTPUT,unit=1),
            Pin(num='41',name='INT3/~{INTA1}/IRQ',func=pin_types.BIDIR,unit=1),
            Pin(num='42',name='INT2/~{INTA0}',func=pin_types.BIDIR,unit=1),
            Pin(num='43',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='44',name='INT1/~{SELECT}',func=pin_types.INPUT,unit=1),
            Pin(num='45',name='INT0',func=pin_types.INPUT,unit=1),
            Pin(num='46',name='NMI',func=pin_types.INPUT,unit=1),
            Pin(num='47',name='~{TEST}/BUSY',func=pin_types.BIDIR,unit=1),
            Pin(num='48',name='~{LOCK}',func=pin_types.OUTPUT,unit=1),
            Pin(num='49',name='SRDY',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='AD13',func=pin_types.BIDIR,unit=1),
            Pin(num='50',name='HOLD',func=pin_types.INPUT,unit=1),
            Pin(num='51',name='HLDA',func=pin_types.OUTPUT,unit=1),
            Pin(num='52',name='~{S0}',func=pin_types.OUTPUT,unit=1),
            Pin(num='53',name='~{S1}',func=pin_types.OUTPUT,unit=1),
            Pin(num='54',name='~{S2}',func=pin_types.OUTPUT,unit=1),
            Pin(num='55',name='ARDY',func=pin_types.INPUT,unit=1),
            Pin(num='56',name='CLKOUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='57',name='RESET',func=pin_types.OUTPUT,unit=1),
            Pin(num='58',name='X2',func=pin_types.OUTPUT,unit=1),
            Pin(num='59',name='X1',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='AD5',func=pin_types.BIDIR,unit=1),
            Pin(num='60',name='VSS',func=pin_types.PASSIVE,unit=1),
            Pin(num='61',name='ALE/QS0',func=pin_types.OUTPUT,unit=1),
            Pin(num='62',name='~{RD}/~{QSMD}',func=pin_types.BIDIR,unit=1),
            Pin(num='63',name='~{WR}/QS1',func=pin_types.OUTPUT,unit=1),
            Pin(num='64',name='~{BHE}',func=pin_types.OUTPUT,unit=1),
            Pin(num='65',name='A19/S6',func=pin_types.OUTPUT,unit=1),
            Pin(num='66',name='A18/S5',func=pin_types.OUTPUT,unit=1),
            Pin(num='67',name='A17/S4',func=pin_types.OUTPUT,unit=1),
            Pin(num='68',name='A16/S3',func=pin_types.OUTPUT,unit=1),
            Pin(num='7',name='AD12',func=pin_types.BIDIR,unit=1),
            Pin(num='8',name='AD4',func=pin_types.BIDIR,unit=1),
            Pin(num='9',name='VCC',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'8039', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'8039'}), 'ref_prefix':'U', 'fplist':['', ''], 'footprint':'', 'keywords':'MCS-48 uC Microcontroller', 'description':'', 'datasheet':'', 'search_text':'/usr/share/kicad/symbols/MCU_Intel.kicad_sym\n8039\n\nMCS-48 uC Microcontroller', 'pins':[
            Pin(num='1',name='T0',func=pin_types.INPUT,unit=1),
            Pin(num='10',name='~{WR}',func=pin_types.OUTPUT,unit=1),
            Pin(num='11',name='ALE',func=pin_types.OUTPUT,unit=1),
            Pin(num='12',name='DB.0',func=pin_types.BIDIR,unit=1),
            Pin(num='13',name='DB.1',func=pin_types.BIDIR,unit=1),
            Pin(num='14',name='DB.2',func=pin_types.BIDIR,unit=1),
            Pin(num='15',name='DB.3',func=pin_types.BIDIR,unit=1),
            Pin(num='16',name='DB.4',func=pin_types.BIDIR,unit=1),
            Pin(num='17',name='DB.5',func=pin_types.BIDIR,unit=1),
            Pin(num='18',name='DB.6',func=pin_types.BIDIR,unit=1),
            Pin(num='19',name='DB.7',func=pin_types.BIDIR,unit=1),
            Pin(num='2',name='X1',func=pin_types.INPUT,unit=1),
            Pin(num='20',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='21',name='P2.0',func=pin_types.BIDIR,unit=1),
            Pin(num='22',name='P2.1',func=pin_types.BIDIR,unit=1),
            Pin(num='23',name='P2.2',func=pin_types.BIDIR,unit=1),
            Pin(num='24',name='P2.3',func=pin_types.BIDIR,unit=1),
            Pin(num='25',name='PROG',func=pin_types.OUTPUT,unit=1),
            Pin(num='26',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='27',name='P1.0',func=pin_types.BIDIR,unit=1),
            Pin(num='28',name='P1.1',func=pin_types.BIDIR,unit=1),
            Pin(num='29',name='P1.2',func=pin_types.BIDIR,unit=1),
            Pin(num='3',name='X2',func=pin_types.OUTPUT,unit=1),
            Pin(num='30',name='P1.3',func=pin_types.BIDIR,unit=1),
            Pin(num='31',name='P1.4',func=pin_types.BIDIR,unit=1),
            Pin(num='32',name='P1.5',func=pin_types.BIDIR,unit=1),
            Pin(num='33',name='P1.6',func=pin_types.BIDIR,unit=1),
            Pin(num='34',name='P1.7',func=pin_types.BIDIR,unit=1),
            Pin(num='35',name='P2.4',func=pin_types.BIDIR,unit=1),
            Pin(num='36',name='P2.5',func=pin_types.BIDIR,unit=1),
            Pin(num='37',name='P2.6',func=pin_types.BIDIR,unit=1),
            Pin(num='38',name='P2.7',func=pin_types.BIDIR,unit=1),
            Pin(num='39',name='T1',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='~{RESET}',func=pin_types.INPUT,unit=1),
            Pin(num='40',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='~{SS}',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='~{INT}',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='EA',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='~{RD}',func=pin_types.OUTPUT,unit=1),
            Pin(num='9',name='~{PSEN}',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'8040', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'8040'}), 'ref_prefix':'U', 'fplist':['', '', ''], 'footprint':'', 'keywords':'MCS-48 uC Microcontroller', 'description':'', 'datasheet':'', 'search_text':'/usr/share/kicad/symbols/MCU_Intel.kicad_sym\n8040\n\nMCS-48 uC Microcontroller', 'pins':[
            Pin(num='1',name='T0',func=pin_types.INPUT,unit=1),
            Pin(num='10',name='~{WR}',func=pin_types.OUTPUT,unit=1),
            Pin(num='11',name='ALE',func=pin_types.OUTPUT,unit=1),
            Pin(num='12',name='DB.0',func=pin_types.BIDIR,unit=1),
            Pin(num='13',name='DB.1',func=pin_types.BIDIR,unit=1),
            Pin(num='14',name='DB.2',func=pin_types.BIDIR,unit=1),
            Pin(num='15',name='DB.3',func=pin_types.BIDIR,unit=1),
            Pin(num='16',name='DB.4',func=pin_types.BIDIR,unit=1),
            Pin(num='17',name='DB.5',func=pin_types.BIDIR,unit=1),
            Pin(num='18',name='DB.6',func=pin_types.BIDIR,unit=1),
            Pin(num='19',name='DB.7',func=pin_types.BIDIR,unit=1),
            Pin(num='2',name='X1',func=pin_types.INPUT,unit=1),
            Pin(num='20',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='21',name='P2.0',func=pin_types.BIDIR,unit=1),
            Pin(num='22',name='P2.1',func=pin_types.BIDIR,unit=1),
            Pin(num='23',name='P2.2',func=pin_types.BIDIR,unit=1),
            Pin(num='24',name='P2.3',func=pin_types.BIDIR,unit=1),
            Pin(num='25',name='PROG',func=pin_types.OUTPUT,unit=1),
            Pin(num='26',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='27',name='P1.0',func=pin_types.BIDIR,unit=1),
            Pin(num='28',name='P1.1',func=pin_types.BIDIR,unit=1),
            Pin(num='29',name='P1.2',func=pin_types.BIDIR,unit=1),
            Pin(num='3',name='X2',func=pin_types.OUTPUT,unit=1),
            Pin(num='30',name='P1.3',func=pin_types.BIDIR,unit=1),
            Pin(num='31',name='P1.4',func=pin_types.BIDIR,unit=1),
            Pin(num='32',name='P1.5',func=pin_types.BIDIR,unit=1),
            Pin(num='33',name='P1.6',func=pin_types.BIDIR,unit=1),
            Pin(num='34',name='P1.7',func=pin_types.BIDIR,unit=1),
            Pin(num='35',name='P2.4',func=pin_types.BIDIR,unit=1),
            Pin(num='36',name='P2.5',func=pin_types.BIDIR,unit=1),
            Pin(num='37',name='P2.6',func=pin_types.BIDIR,unit=1),
            Pin(num='38',name='P2.7',func=pin_types.BIDIR,unit=1),
            Pin(num='39',name='T1',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='~{RESET}',func=pin_types.INPUT,unit=1),
            Pin(num='40',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='~{SS}',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='~{INT}',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='EA',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='~{RD}',func=pin_types.OUTPUT,unit=1),
            Pin(num='9',name='~{PSEN}',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'8048', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'8048'}), 'ref_prefix':'U', 'fplist':['', '', '', ''], 'footprint':'', 'keywords':'MCS-48 uC Microcontroller', 'description':'', 'datasheet':'', 'search_text':'/usr/share/kicad/symbols/MCU_Intel.kicad_sym\n8048\n\nMCS-48 uC Microcontroller', 'pins':[
            Pin(num='1',name='T0',func=pin_types.INPUT,unit=1),
            Pin(num='10',name='~{WR}',func=pin_types.OUTPUT,unit=1),
            Pin(num='11',name='ALE',func=pin_types.OUTPUT,unit=1),
            Pin(num='12',name='DB.0',func=pin_types.BIDIR,unit=1),
            Pin(num='13',name='DB.1',func=pin_types.BIDIR,unit=1),
            Pin(num='14',name='DB.2',func=pin_types.BIDIR,unit=1),
            Pin(num='15',name='DB.3',func=pin_types.BIDIR,unit=1),
            Pin(num='16',name='DB.4',func=pin_types.BIDIR,unit=1),
            Pin(num='17',name='DB.5',func=pin_types.BIDIR,unit=1),
            Pin(num='18',name='DB.6',func=pin_types.BIDIR,unit=1),
            Pin(num='19',name='DB.7',func=pin_types.BIDIR,unit=1),
            Pin(num='2',name='X1',func=pin_types.INPUT,unit=1),
            Pin(num='20',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='21',name='P2.0',func=pin_types.BIDIR,unit=1),
            Pin(num='22',name='P2.1',func=pin_types.BIDIR,unit=1),
            Pin(num='23',name='P2.2',func=pin_types.BIDIR,unit=1),
            Pin(num='24',name='P2.3',func=pin_types.BIDIR,unit=1),
            Pin(num='25',name='PROG',func=pin_types.OUTPUT,unit=1),
            Pin(num='26',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='27',name='P1.0',func=pin_types.BIDIR,unit=1),
            Pin(num='28',name='P1.1',func=pin_types.BIDIR,unit=1),
            Pin(num='29',name='P1.2',func=pin_types.BIDIR,unit=1),
            Pin(num='3',name='X2',func=pin_types.OUTPUT,unit=1),
            Pin(num='30',name='P1.3',func=pin_types.BIDIR,unit=1),
            Pin(num='31',name='P1.4',func=pin_types.BIDIR,unit=1),
            Pin(num='32',name='P1.5',func=pin_types.BIDIR,unit=1),
            Pin(num='33',name='P1.6',func=pin_types.BIDIR,unit=1),
            Pin(num='34',name='P1.7',func=pin_types.BIDIR,unit=1),
            Pin(num='35',name='P2.4',func=pin_types.BIDIR,unit=1),
            Pin(num='36',name='P2.5',func=pin_types.BIDIR,unit=1),
            Pin(num='37',name='P2.6',func=pin_types.BIDIR,unit=1),
            Pin(num='38',name='P2.7',func=pin_types.BIDIR,unit=1),
            Pin(num='39',name='T1',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='~{RESET}',func=pin_types.INPUT,unit=1),
            Pin(num='40',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='~{SS}',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='~{INT}',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='EA',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='~{RD}',func=pin_types.OUTPUT,unit=1),
            Pin(num='9',name='~{PSEN}',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'8049', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'8049'}), 'ref_prefix':'U', 'fplist':['', '', '', '', ''], 'footprint':'', 'keywords':'MCS-48 uC Microcontroller', 'description':'', 'datasheet':'', 'search_text':'/usr/share/kicad/symbols/MCU_Intel.kicad_sym\n8049\n\nMCS-48 uC Microcontroller', 'pins':[
            Pin(num='1',name='T0',func=pin_types.INPUT,unit=1),
            Pin(num='10',name='~{WR}',func=pin_types.OUTPUT,unit=1),
            Pin(num='11',name='ALE',func=pin_types.OUTPUT,unit=1),
            Pin(num='12',name='DB.0',func=pin_types.BIDIR,unit=1),
            Pin(num='13',name='DB.1',func=pin_types.BIDIR,unit=1),
            Pin(num='14',name='DB.2',func=pin_types.BIDIR,unit=1),
            Pin(num='15',name='DB.3',func=pin_types.BIDIR,unit=1),
            Pin(num='16',name='DB.4',func=pin_types.BIDIR,unit=1),
            Pin(num='17',name='DB.5',func=pin_types.BIDIR,unit=1),
            Pin(num='18',name='DB.6',func=pin_types.BIDIR,unit=1),
            Pin(num='19',name='DB.7',func=pin_types.BIDIR,unit=1),
            Pin(num='2',name='X1',func=pin_types.INPUT,unit=1),
            Pin(num='20',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='21',name='P2.0',func=pin_types.BIDIR,unit=1),
            Pin(num='22',name='P2.1',func=pin_types.BIDIR,unit=1),
            Pin(num='23',name='P2.2',func=pin_types.BIDIR,unit=1),
            Pin(num='24',name='P2.3',func=pin_types.BIDIR,unit=1),
            Pin(num='25',name='PROG',func=pin_types.OUTPUT,unit=1),
            Pin(num='26',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='27',name='P1.0',func=pin_types.BIDIR,unit=1),
            Pin(num='28',name='P1.1',func=pin_types.BIDIR,unit=1),
            Pin(num='29',name='P1.2',func=pin_types.BIDIR,unit=1),
            Pin(num='3',name='X2',func=pin_types.OUTPUT,unit=1),
            Pin(num='30',name='P1.3',func=pin_types.BIDIR,unit=1),
            Pin(num='31',name='P1.4',func=pin_types.BIDIR,unit=1),
            Pin(num='32',name='P1.5',func=pin_types.BIDIR,unit=1),
            Pin(num='33',name='P1.6',func=pin_types.BIDIR,unit=1),
            Pin(num='34',name='P1.7',func=pin_types.BIDIR,unit=1),
            Pin(num='35',name='P2.4',func=pin_types.BIDIR,unit=1),
            Pin(num='36',name='P2.5',func=pin_types.BIDIR,unit=1),
            Pin(num='37',name='P2.6',func=pin_types.BIDIR,unit=1),
            Pin(num='38',name='P2.7',func=pin_types.BIDIR,unit=1),
            Pin(num='39',name='T1',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='~{RESET}',func=pin_types.INPUT,unit=1),
            Pin(num='40',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='~{SS}',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='~{INT}',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='EA',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='~{RD}',func=pin_types.OUTPUT,unit=1),
            Pin(num='9',name='~{PSEN}',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'8050', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'8050'}), 'ref_prefix':'U', 'fplist':['', '', '', '', '', ''], 'footprint':'', 'keywords':'MCS-48 uC Microcontroller', 'description':'', 'datasheet':'', 'search_text':'/usr/share/kicad/symbols/MCU_Intel.kicad_sym\n8050\n\nMCS-48 uC Microcontroller', 'pins':[
            Pin(num='1',name='T0',func=pin_types.INPUT,unit=1),
            Pin(num='10',name='~{WR}',func=pin_types.OUTPUT,unit=1),
            Pin(num='11',name='ALE',func=pin_types.OUTPUT,unit=1),
            Pin(num='12',name='DB.0',func=pin_types.BIDIR,unit=1),
            Pin(num='13',name='DB.1',func=pin_types.BIDIR,unit=1),
            Pin(num='14',name='DB.2',func=pin_types.BIDIR,unit=1),
            Pin(num='15',name='DB.3',func=pin_types.BIDIR,unit=1),
            Pin(num='16',name='DB.4',func=pin_types.BIDIR,unit=1),
            Pin(num='17',name='DB.5',func=pin_types.BIDIR,unit=1),
            Pin(num='18',name='DB.6',func=pin_types.BIDIR,unit=1),
            Pin(num='19',name='DB.7',func=pin_types.BIDIR,unit=1),
            Pin(num='2',name='X1',func=pin_types.INPUT,unit=1),
            Pin(num='20',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='21',name='P2.0',func=pin_types.BIDIR,unit=1),
            Pin(num='22',name='P2.1',func=pin_types.BIDIR,unit=1),
            Pin(num='23',name='P2.2',func=pin_types.BIDIR,unit=1),
            Pin(num='24',name='P2.3',func=pin_types.BIDIR,unit=1),
            Pin(num='25',name='PROG',func=pin_types.OUTPUT,unit=1),
            Pin(num='26',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='27',name='P1.0',func=pin_types.BIDIR,unit=1),
            Pin(num='28',name='P1.1',func=pin_types.BIDIR,unit=1),
            Pin(num='29',name='P1.2',func=pin_types.BIDIR,unit=1),
            Pin(num='3',name='X2',func=pin_types.OUTPUT,unit=1),
            Pin(num='30',name='P1.3',func=pin_types.BIDIR,unit=1),
            Pin(num='31',name='P1.4',func=pin_types.BIDIR,unit=1),
            Pin(num='32',name='P1.5',func=pin_types.BIDIR,unit=1),
            Pin(num='33',name='P1.6',func=pin_types.BIDIR,unit=1),
            Pin(num='34',name='P1.7',func=pin_types.BIDIR,unit=1),
            Pin(num='35',name='P2.4',func=pin_types.BIDIR,unit=1),
            Pin(num='36',name='P2.5',func=pin_types.BIDIR,unit=1),
            Pin(num='37',name='P2.6',func=pin_types.BIDIR,unit=1),
            Pin(num='38',name='P2.7',func=pin_types.BIDIR,unit=1),
            Pin(num='39',name='T1',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='~{RESET}',func=pin_types.INPUT,unit=1),
            Pin(num='40',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='~{SS}',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='~{INT}',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='EA',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='~{RD}',func=pin_types.OUTPUT,unit=1),
            Pin(num='9',name='~{PSEN}',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'8080A', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'8080A'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-40_W15.24mm', 'Package_DIP:DIP-40_W15.24mm'], 'footprint':'Package_DIP:DIP-40_W15.24mm', 'keywords':'cpu mpu microprocessor', 'description':'', 'datasheet':'http://datasheets.chipdb.org/Intel/MCS-80/intel-8080.pdf', 'search_text':'/usr/share/kicad/symbols/MCU_Intel.kicad_sym\n8080A\n\ncpu mpu microprocessor', 'pins':[
            Pin(num='1',name='A10',func=pin_types.OUTPUT,unit=1),
            Pin(num='10',name='D0',func=pin_types.BIDIR,unit=1),
            Pin(num='11',name='-5V',func=pin_types.PWRIN,unit=1),
            Pin(num='12',name='RESET',func=pin_types.INPUT,unit=1),
            Pin(num='13',name='HOLD',func=pin_types.INPUT,unit=1),
            Pin(num='14',name='INT',func=pin_types.INPUT,unit=1),
            Pin(num='15',name='Ï\x952',func=pin_types.INPUT,unit=1),
            Pin(num='16',name='INTE',func=pin_types.OUTPUT,unit=1),
            Pin(num='17',name='DBIN',func=pin_types.OUTPUT,unit=1),
            Pin(num='18',name='~{WR}',func=pin_types.OUTPUT,unit=1),
            Pin(num='19',name='SYNC',func=pin_types.OUTPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='20',name='+5V',func=pin_types.PWRIN,unit=1),
            Pin(num='21',name='HLDA',func=pin_types.OUTPUT,unit=1),
            Pin(num='22',name='Ï\x951',func=pin_types.INPUT,unit=1),
            Pin(num='23',name='READY',func=pin_types.INPUT,unit=1),
            Pin(num='24',name='WAIT',func=pin_types.OUTPUT,unit=1),
            Pin(num='25',name='A0',func=pin_types.OUTPUT,unit=1),
            Pin(num='26',name='A1',func=pin_types.OUTPUT,unit=1),
            Pin(num='27',name='A2',func=pin_types.OUTPUT,unit=1),
            Pin(num='28',name='+12V',func=pin_types.PWRIN,unit=1),
            Pin(num='29',name='A3',func=pin_types.OUTPUT,unit=1),
            Pin(num='3',name='D4',func=pin_types.BIDIR,unit=1),
            Pin(num='30',name='A4',func=pin_types.OUTPUT,unit=1),
            Pin(num='31',name='A5',func=pin_types.OUTPUT,unit=1),
            Pin(num='32',name='A6',func=pin_types.OUTPUT,unit=1),
            Pin(num='33',name='A7',func=pin_types.OUTPUT,unit=1),
            Pin(num='34',name='A8',func=pin_types.OUTPUT,unit=1),
            Pin(num='35',name='A9',func=pin_types.OUTPUT,unit=1),
            Pin(num='36',name='A15',func=pin_types.OUTPUT,unit=1),
            Pin(num='37',name='A12',func=pin_types.OUTPUT,unit=1),
            Pin(num='38',name='A13',func=pin_types.OUTPUT,unit=1),
            Pin(num='39',name='A14',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='D5',func=pin_types.BIDIR,unit=1),
            Pin(num='40',name='A11',func=pin_types.OUTPUT,unit=1),
            Pin(num='5',name='D6',func=pin_types.BIDIR,unit=1),
            Pin(num='6',name='D7',func=pin_types.BIDIR,unit=1),
            Pin(num='7',name='D3',func=pin_types.BIDIR,unit=1),
            Pin(num='8',name='D2',func=pin_types.BIDIR,unit=1),
            Pin(num='9',name='D1',func=pin_types.BIDIR,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'8088_Min_Mode', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'8088_Min_Mode'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-40_W15.24mm', 'Package_DIP:DIP-40_W15.24mm'], 'footprint':'Package_DIP:DIP-40_W15.24mm', 'keywords':'MPRO', 'description':'', 'datasheet':'http://datasheets.chipdb.org/Intel/x86/808x/datashts/8088/231456-006.pdf', 'search_text':'/usr/share/kicad/symbols/MCU_Intel.kicad_sym\n8088_Min_Mode\n\nMPRO', 'pins':[
            Pin(num='1',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='AD6',func=pin_types.BIDIR,unit=1),
            Pin(num='11',name='AD5',func=pin_types.BIDIR,unit=1),
            Pin(num='12',name='AD4',func=pin_types.BIDIR,unit=1),
            Pin(num='13',name='AD3',func=pin_types.BIDIR,unit=1),
            Pin(num='14',name='AD2',func=pin_types.BIDIR,unit=1),
            Pin(num='15',name='AD1',func=pin_types.BIDIR,unit=1),
            Pin(num='16',name='AD0',func=pin_types.BIDIR,unit=1),
            Pin(num='17',name='NMI',func=pin_types.INPUT,unit=1),
            Pin(num='18',name='INTR',func=pin_types.INPUT,unit=1),
            Pin(num='19',name='CLK',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='A14',func=pin_types.OUTPUT,unit=1),
            Pin(num='20',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='21',name='RESET',func=pin_types.INPUT,unit=1),
            Pin(num='22',name='READY',func=pin_types.INPUT,unit=1),
            Pin(num='23',name='~{TEST}',func=pin_types.INPUT,unit=1),
            Pin(num='24',name='~{INTA}',func=pin_types.OUTPUT,unit=1),
            Pin(num='25',name='ALE',func=pin_types.OUTPUT,unit=1),
            Pin(num='26',name='DEN',func=pin_types.OUTPUT,unit=1),
            Pin(num='27',name='DT/~{R}',func=pin_types.OUTPUT,unit=1),
            Pin(num='28',name='IO/~{M}',func=pin_types.OUTPUT,unit=1),
            Pin(num='29',name='WR',func=pin_types.OUTPUT,unit=1),
            Pin(num='3',name='A13',func=pin_types.OUTPUT,unit=1),
            Pin(num='30',name='HLDA',func=pin_types.OUTPUT,unit=1),
            Pin(num='31',name='HOLD',func=pin_types.INPUT,unit=1),
            Pin(num='32',name='~{RD}',func=pin_types.OUTPUT,unit=1),
            Pin(num='33',name='MN/~{MX}',func=pin_types.INPUT,unit=1),
            Pin(num='34',name='~{SSO}',func=pin_types.OUTPUT,unit=1),
            Pin(num='35',name='A19/S6',func=pin_types.OUTPUT,unit=1),
            Pin(num='36',name='A18/S5',func=pin_types.OUTPUT,unit=1),
            Pin(num='37',name='A17/S4',func=pin_types.OUTPUT,unit=1),
            Pin(num='38',name='A16/S3',func=pin_types.OUTPUT,unit=1),
            Pin(num='39',name='A15',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='A12',func=pin_types.OUTPUT,unit=1),
            Pin(num='40',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='A11',func=pin_types.OUTPUT,unit=1),
            Pin(num='6',name='A10',func=pin_types.OUTPUT,unit=1),
            Pin(num='7',name='A9',func=pin_types.OUTPUT,unit=1),
            Pin(num='8',name='A8',func=pin_types.OUTPUT,unit=1),
            Pin(num='9',name='AD7',func=pin_types.BIDIR,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'80C186XL', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'80C186XL'}), 'ref_prefix':'U', 'fplist':['', ''], 'footprint':'', 'keywords':'MPRO', 'description':'', 'datasheet':'http://datasheets.chipdb.org/Intel/x86/8018x/datashts/27243104.PDF', 'search_text':'/usr/share/kicad/symbols/MCU_Intel.kicad_sym\n80C186XL\n\nMPRO', 'pins':[
            Pin(num='1',name='AD15',func=pin_types.BIDIR,unit=1),
            Pin(num='10',name='AD11',func=pin_types.BIDIR,unit=1),
            Pin(num='11',name='AD3',func=pin_types.BIDIR,unit=1),
            Pin(num='12',name='AD10',func=pin_types.BIDIR,unit=1),
            Pin(num='13',name='AD2',func=pin_types.BIDIR,unit=1),
            Pin(num='14',name='AD9',func=pin_types.BIDIR,unit=1),
            Pin(num='15',name='AD1',func=pin_types.BIDIR,unit=1),
            Pin(num='16',name='AD8',func=pin_types.BIDIR,unit=1),
            Pin(num='17',name='AD0',func=pin_types.BIDIR,unit=1),
            Pin(num='18',name='DRQ0',func=pin_types.INPUT,unit=1),
            Pin(num='19',name='DRQ1',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='AD7',func=pin_types.BIDIR,unit=1),
            Pin(num='20',name='TMR_IN_0',func=pin_types.INPUT,unit=1),
            Pin(num='21',name='TMR_IN_1',func=pin_types.INPUT,unit=1),
            Pin(num='22',name='TMR_OUT_0',func=pin_types.OUTPUT,unit=1),
            Pin(num='23',name='TMR_OUT_1',func=pin_types.OUTPUT,unit=1),
            Pin(num='24',name='~{RES}',func=pin_types.INPUT,unit=1),
            Pin(num='25',name='~{PCS0}',func=pin_types.OUTPUT,unit=1),
            Pin(num='26',name='VSS',func=pin_types.PWRIN,unit=1),
            Pin(num='27',name='~{PCS1}',func=pin_types.OUTPUT,unit=1),
            Pin(num='28',name='~{PCS2}',func=pin_types.OUTPUT,unit=1),
            Pin(num='29',name='~{PCS3}',func=pin_types.OUTPUT,unit=1),
            Pin(num='3',name='AD14',func=pin_types.BIDIR,unit=1),
            Pin(num='30',name='~{PCS4}',func=pin_types.OUTPUT,unit=1),
            Pin(num='31',name='~{PCS5}/A1',func=pin_types.OUTPUT,unit=1),
            Pin(num='32',name='~{PCS6}/A2',func=pin_types.OUTPUT,unit=1),
            Pin(num='33',name='~{LCS}',func=pin_types.BIDIR,unit=1),
            Pin(num='34',name='~{UCS}',func=pin_types.BIDIR,unit=1),
            Pin(num='35',name='~{MCS3}/~{NPS}',func=pin_types.OUTPUT,unit=1),
            Pin(num='36',name='~{MCS2}',func=pin_types.OUTPUT,unit=1),
            Pin(num='37',name='~{MCS1}/~{ERROR}',func=pin_types.BIDIR,unit=1),
            Pin(num='38',name='~{MCS0}/PEREQ',func=pin_types.BIDIR,unit=1),
            Pin(num='39',name='~{DEN}',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='AD6',func=pin_types.BIDIR,unit=1),
            Pin(num='40',name='DT/~{R}',func=pin_types.OUTPUT,unit=1),
            Pin(num='41',name='INT3/~{INTA1}/IRQ',func=pin_types.BIDIR,unit=1),
            Pin(num='42',name='INT2/~{INTA0}',func=pin_types.BIDIR,unit=1),
            Pin(num='43',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='44',name='INT1/~{SELECT}',func=pin_types.INPUT,unit=1),
            Pin(num='45',name='INT0',func=pin_types.INPUT,unit=1),
            Pin(num='46',name='NMI',func=pin_types.INPUT,unit=1),
            Pin(num='47',name='~{TEST}/BUSY',func=pin_types.BIDIR,unit=1),
            Pin(num='48',name='~{LOCK}',func=pin_types.OUTPUT,unit=1),
            Pin(num='49',name='SRDY',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='AD13',func=pin_types.BIDIR,unit=1),
            Pin(num='50',name='HOLD',func=pin_types.INPUT,unit=1),
            Pin(num='51',name='HLDA',func=pin_types.OUTPUT,unit=1),
            Pin(num='52',name='~{S0}',func=pin_types.OUTPUT,unit=1),
            Pin(num='53',name='~{S1}',func=pin_types.OUTPUT,unit=1),
            Pin(num='54',name='~{S2}',func=pin_types.OUTPUT,unit=1),
            Pin(num='55',name='ARDY',func=pin_types.INPUT,unit=1),
            Pin(num='56',name='CLKOUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='57',name='RESET',func=pin_types.OUTPUT,unit=1),
            Pin(num='58',name='X2',func=pin_types.OUTPUT,unit=1),
            Pin(num='59',name='X1',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='AD5',func=pin_types.BIDIR,unit=1),
            Pin(num='60',name='VSS',func=pin_types.PASSIVE,unit=1),
            Pin(num='61',name='ALE/QS0',func=pin_types.OUTPUT,unit=1),
            Pin(num='62',name='~{RD}/~{QSMD}',func=pin_types.BIDIR,unit=1),
            Pin(num='63',name='~{WR}/QS1',func=pin_types.OUTPUT,unit=1),
            Pin(num='64',name='~{BHE}',func=pin_types.OUTPUT,unit=1),
            Pin(num='65',name='A19/S6',func=pin_types.OUTPUT,unit=1),
            Pin(num='66',name='A18/S5',func=pin_types.OUTPUT,unit=1),
            Pin(num='67',name='A17/S4',func=pin_types.OUTPUT,unit=1),
            Pin(num='68',name='A16/S3',func=pin_types.OUTPUT,unit=1),
            Pin(num='7',name='AD12',func=pin_types.BIDIR,unit=1),
            Pin(num='8',name='AD4',func=pin_types.BIDIR,unit=1),
            Pin(num='9',name='VCC',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'80C188XL', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'80C188XL'}), 'ref_prefix':'U', 'fplist':['', ''], 'footprint':'', 'keywords':'MPRO', 'description':'', 'datasheet':'http://datasheets.chipdb.org/Intel/x86/8018x/datashts/27243104.PDF', 'search_text':'/usr/share/kicad/symbols/MCU_Intel.kicad_sym\n80C188XL\n\nMPRO', 'pins':[
            Pin(num='1',name='A15',func=pin_types.OUTPUT,unit=1),
            Pin(num='10',name='A11',func=pin_types.OUTPUT,unit=1),
            Pin(num='11',name='AD3',func=pin_types.BIDIR,unit=1),
            Pin(num='12',name='A10',func=pin_types.OUTPUT,unit=1),
            Pin(num='13',name='AD2',func=pin_types.BIDIR,unit=1),
            Pin(num='14',name='A9',func=pin_types.OUTPUT,unit=1),
            Pin(num='15',name='AD1',func=pin_types.BIDIR,unit=1),
            Pin(num='16',name='A8',func=pin_types.OUTPUT,unit=1),
            Pin(num='17',name='AD0',func=pin_types.BIDIR,unit=1),
            Pin(num='18',name='DRQ0',func=pin_types.INPUT,unit=1),
            Pin(num='19',name='DRQ1',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='AD7',func=pin_types.BIDIR,unit=1),
            Pin(num='20',name='TMR_IN_0',func=pin_types.INPUT,unit=1),
            Pin(num='21',name='TMR_IN_1',func=pin_types.INPUT,unit=1),
            Pin(num='22',name='TMR_OUT_0',func=pin_types.OUTPUT,unit=1),
            Pin(num='23',name='TMR_OUT_1',func=pin_types.OUTPUT,unit=1),
            Pin(num='24',name='~{RES}',func=pin_types.INPUT,unit=1),
            Pin(num='25',name='~{PCS0}',func=pin_types.OUTPUT,unit=1),
            Pin(num='26',name='VSS',func=pin_types.PWRIN,unit=1),
            Pin(num='27',name='~{PCS1}',func=pin_types.OUTPUT,unit=1),
            Pin(num='28',name='~{PCS2}',func=pin_types.OUTPUT,unit=1),
            Pin(num='29',name='~{PCS3}',func=pin_types.OUTPUT,unit=1),
            Pin(num='3',name='A14',func=pin_types.OUTPUT,unit=1),
            Pin(num='30',name='~{PCS4}',func=pin_types.OUTPUT,unit=1),
            Pin(num='31',name='~{PCS5}/A1',func=pin_types.OUTPUT,unit=1),
            Pin(num='32',name='~{PCS6}/A2',func=pin_types.OUTPUT,unit=1),
            Pin(num='33',name='~{LCS}',func=pin_types.BIDIR,unit=1),
            Pin(num='34',name='~{UCS}',func=pin_types.BIDIR,unit=1),
            Pin(num='35',name='~{MCS3}',func=pin_types.OUTPUT,unit=1),
            Pin(num='36',name='~{MCS2}',func=pin_types.OUTPUT,unit=1),
            Pin(num='37',name='~{MCS1}',func=pin_types.OUTPUT,unit=1),
            Pin(num='38',name='~{MCS0}',func=pin_types.OUTPUT,unit=1),
            Pin(num='39',name='~{DEN}',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='AD6',func=pin_types.BIDIR,unit=1),
            Pin(num='40',name='DT/~{R}',func=pin_types.OUTPUT,unit=1),
            Pin(num='41',name='INT3/~{INTA1}/IRQ',func=pin_types.BIDIR,unit=1),
            Pin(num='42',name='INT2/~{INTA0}',func=pin_types.BIDIR,unit=1),
            Pin(num='43',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='44',name='INT1/~{SELECT}',func=pin_types.INPUT,unit=1),
            Pin(num='45',name='INT0',func=pin_types.INPUT,unit=1),
            Pin(num='46',name='NMI',func=pin_types.INPUT,unit=1),
            Pin(num='47',name='~{TEST}',func=pin_types.BIDIR,unit=1),
            Pin(num='48',name='~{LOCK}',func=pin_types.OUTPUT,unit=1),
            Pin(num='49',name='SRDY',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='A13',func=pin_types.OUTPUT,unit=1),
            Pin(num='50',name='HOLD',func=pin_types.INPUT,unit=1),
            Pin(num='51',name='HLDA',func=pin_types.OUTPUT,unit=1),
            Pin(num='52',name='~{S0}',func=pin_types.OUTPUT,unit=1),
            Pin(num='53',name='~{S1}',func=pin_types.OUTPUT,unit=1),
            Pin(num='54',name='~{S2}',func=pin_types.OUTPUT,unit=1),
            Pin(num='55',name='ARDY',func=pin_types.INPUT,unit=1),
            Pin(num='56',name='CLKOUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='57',name='RESET',func=pin_types.OUTPUT,unit=1),
            Pin(num='58',name='X2',func=pin_types.OUTPUT,unit=1),
            Pin(num='59',name='X1',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='AD5',func=pin_types.BIDIR,unit=1),
            Pin(num='60',name='VSS',func=pin_types.PASSIVE,unit=1),
            Pin(num='61',name='ALE/QS0',func=pin_types.OUTPUT,unit=1),
            Pin(num='62',name='~{RD}/~{QSMD}',func=pin_types.BIDIR,unit=1),
            Pin(num='63',name='~{WR}/QS1',func=pin_types.OUTPUT,unit=1),
            Pin(num='64',name='~{RFSH}',func=pin_types.OUTPUT,unit=1),
            Pin(num='65',name='A19/S6',func=pin_types.OUTPUT,unit=1),
            Pin(num='66',name='A18/S5',func=pin_types.OUTPUT,unit=1),
            Pin(num='67',name='A17/S4',func=pin_types.OUTPUT,unit=1),
            Pin(num='68',name='A16/S3',func=pin_types.OUTPUT,unit=1),
            Pin(num='7',name='A12',func=pin_types.OUTPUT,unit=1),
            Pin(num='8',name='AD4',func=pin_types.BIDIR,unit=1),
            Pin(num='9',name='VCC',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'8749', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'8749'}), 'ref_prefix':'U', 'fplist':['', ''], 'footprint':'', 'keywords':'MCS-48 uC Microcontroller', 'description':'', 'datasheet':'', 'search_text':'/usr/share/kicad/symbols/MCU_Intel.kicad_sym\n8749\n\nMCS-48 uC Microcontroller', 'pins':[
            Pin(num='1',name='T0',func=pin_types.INPUT,unit=1),
            Pin(num='10',name='~{WR}',func=pin_types.OUTPUT,unit=1),
            Pin(num='11',name='ALE',func=pin_types.OUTPUT,unit=1),
            Pin(num='12',name='DB.0',func=pin_types.BIDIR,unit=1),
            Pin(num='13',name='DB.1',func=pin_types.BIDIR,unit=1),
            Pin(num='14',name='DB.2',func=pin_types.BIDIR,unit=1),
            Pin(num='15',name='DB.3',func=pin_types.BIDIR,unit=1),
            Pin(num='16',name='DB.4',func=pin_types.BIDIR,unit=1),
            Pin(num='17',name='DB.5',func=pin_types.BIDIR,unit=1),
            Pin(num='18',name='DB.6',func=pin_types.BIDIR,unit=1),
            Pin(num='19',name='DB.7',func=pin_types.BIDIR,unit=1),
            Pin(num='2',name='X1',func=pin_types.INPUT,unit=1),
            Pin(num='20',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='21',name='P2.0',func=pin_types.BIDIR,unit=1),
            Pin(num='22',name='P2.1',func=pin_types.BIDIR,unit=1),
            Pin(num='23',name='P2.2',func=pin_types.BIDIR,unit=1),
            Pin(num='24',name='P2.3',func=pin_types.BIDIR,unit=1),
            Pin(num='25',name='PROG',func=pin_types.OUTPUT,unit=1),
            Pin(num='26',name='Vpp/VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='27',name='P1.0',func=pin_types.BIDIR,unit=1),
            Pin(num='28',name='P1.1',func=pin_types.BIDIR,unit=1),
            Pin(num='29',name='P1.2',func=pin_types.BIDIR,unit=1),
            Pin(num='3',name='X2',func=pin_types.OUTPUT,unit=1),
            Pin(num='30',name='P1.3',func=pin_types.BIDIR,unit=1),
            Pin(num='31',name='P1.4',func=pin_types.BIDIR,unit=1),
            Pin(num='32',name='P1.5',func=pin_types.BIDIR,unit=1),
            Pin(num='33',name='P1.6',func=pin_types.BIDIR,unit=1),
            Pin(num='34',name='P1.7',func=pin_types.BIDIR,unit=1),
            Pin(num='35',name='P2.4',func=pin_types.BIDIR,unit=1),
            Pin(num='36',name='P2.5',func=pin_types.BIDIR,unit=1),
            Pin(num='37',name='P2.6',func=pin_types.BIDIR,unit=1),
            Pin(num='38',name='P2.7',func=pin_types.BIDIR,unit=1),
            Pin(num='39',name='T1',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='~{RESET}',func=pin_types.INPUT,unit=1),
            Pin(num='40',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='~{SS}',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='~{INT}',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='EA',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='~{RD}',func=pin_types.OUTPUT,unit=1),
            Pin(num='9',name='~{PSEN}',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'IA186XLPLC68IR2', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'IA186XLPLC68IR2'}), 'ref_prefix':'U', 'fplist':['', '', ''], 'footprint':'', 'keywords':'MPRO', 'description':'', 'datasheet':'http://www.innovasic.com/upload/products/Innovasic_IA186XL_IA188XL_Data_Sheet_20110706_2.pdf', 'search_text':'/usr/share/kicad/symbols/MCU_Intel.kicad_sym\nIA186XLPLC68IR2\n\nMPRO', 'pins':[
            Pin(num='1',name='AD15',func=pin_types.BIDIR,unit=1),
            Pin(num='10',name='AD11',func=pin_types.BIDIR,unit=1),
            Pin(num='11',name='AD3',func=pin_types.BIDIR,unit=1),
            Pin(num='12',name='AD10',func=pin_types.BIDIR,unit=1),
            Pin(num='13',name='AD2',func=pin_types.BIDIR,unit=1),
            Pin(num='14',name='AD9',func=pin_types.BIDIR,unit=1),
            Pin(num='15',name='AD1',func=pin_types.BIDIR,unit=1),
            Pin(num='16',name='AD8',func=pin_types.BIDIR,unit=1),
            Pin(num='17',name='AD0',func=pin_types.BIDIR,unit=1),
            Pin(num='18',name='DRQ0',func=pin_types.INPUT,unit=1),
            Pin(num='19',name='DRQ1',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='AD7',func=pin_types.BIDIR,unit=1),
            Pin(num='20',name='TMR_IN_0',func=pin_types.INPUT,unit=1),
            Pin(num='21',name='TMR_IN_1',func=pin_types.INPUT,unit=1),
            Pin(num='22',name='TMR_OUT_0',func=pin_types.OUTPUT,unit=1),
            Pin(num='23',name='TMR_OUT_1',func=pin_types.OUTPUT,unit=1),
            Pin(num='24',name='~{RES}',func=pin_types.INPUT,unit=1),
            Pin(num='25',name='~{PCS0}',func=pin_types.OUTPUT,unit=1),
            Pin(num='26',name='VSS',func=pin_types.PWRIN,unit=1),
            Pin(num='27',name='~{PCS1}',func=pin_types.OUTPUT,unit=1),
            Pin(num='28',name='~{PCS2}',func=pin_types.OUTPUT,unit=1),
            Pin(num='29',name='~{PCS3}',func=pin_types.OUTPUT,unit=1),
            Pin(num='3',name='AD14',func=pin_types.BIDIR,unit=1),
            Pin(num='30',name='~{PCS4}',func=pin_types.OUTPUT,unit=1),
            Pin(num='31',name='~{PCS5}/A1',func=pin_types.OUTPUT,unit=1),
            Pin(num='32',name='~{PCS6}/A2',func=pin_types.OUTPUT,unit=1),
            Pin(num='33',name='~{LCS}',func=pin_types.BIDIR,unit=1),
            Pin(num='34',name='~{UCS}',func=pin_types.BIDIR,unit=1),
            Pin(num='35',name='~{MCS3}/~{NPS}',func=pin_types.OUTPUT,unit=1),
            Pin(num='36',name='~{MCS2}',func=pin_types.OUTPUT,unit=1),
            Pin(num='37',name='~{MCS1}/~{ERROR}',func=pin_types.BIDIR,unit=1),
            Pin(num='38',name='~{MCS0}/PEREQ',func=pin_types.BIDIR,unit=1),
            Pin(num='39',name='~{DEN}',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='AD6',func=pin_types.BIDIR,unit=1),
            Pin(num='40',name='DT/~{R}',func=pin_types.OUTPUT,unit=1),
            Pin(num='41',name='INT3/~{INTA1}/IRQ',func=pin_types.BIDIR,unit=1),
            Pin(num='42',name='INT2/~{INTA0}',func=pin_types.BIDIR,unit=1),
            Pin(num='43',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='44',name='INT1/~{SELECT}',func=pin_types.INPUT,unit=1),
            Pin(num='45',name='INT0',func=pin_types.INPUT,unit=1),
            Pin(num='46',name='NMI',func=pin_types.INPUT,unit=1),
            Pin(num='47',name='~{TEST}/BUSY',func=pin_types.BIDIR,unit=1),
            Pin(num='48',name='~{LOCK}',func=pin_types.OUTPUT,unit=1),
            Pin(num='49',name='SRDY',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='AD13',func=pin_types.BIDIR,unit=1),
            Pin(num='50',name='HOLD',func=pin_types.INPUT,unit=1),
            Pin(num='51',name='HLDA',func=pin_types.OUTPUT,unit=1),
            Pin(num='52',name='~{S0}',func=pin_types.OUTPUT,unit=1),
            Pin(num='53',name='~{S1}',func=pin_types.OUTPUT,unit=1),
            Pin(num='54',name='~{S2}',func=pin_types.OUTPUT,unit=1),
            Pin(num='55',name='ARDY',func=pin_types.INPUT,unit=1),
            Pin(num='56',name='CLKOUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='57',name='RESET',func=pin_types.OUTPUT,unit=1),
            Pin(num='58',name='X2',func=pin_types.OUTPUT,unit=1),
            Pin(num='59',name='X1',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='AD5',func=pin_types.BIDIR,unit=1),
            Pin(num='60',name='VSS',func=pin_types.PASSIVE,unit=1),
            Pin(num='61',name='ALE/QS0',func=pin_types.OUTPUT,unit=1),
            Pin(num='62',name='~{RD}/~{QSMD}',func=pin_types.BIDIR,unit=1),
            Pin(num='63',name='~{WR}/QS1',func=pin_types.OUTPUT,unit=1),
            Pin(num='64',name='~{BHE}',func=pin_types.OUTPUT,unit=1),
            Pin(num='65',name='A19/S6',func=pin_types.OUTPUT,unit=1),
            Pin(num='66',name='A18/S5',func=pin_types.OUTPUT,unit=1),
            Pin(num='67',name='A17/S4',func=pin_types.OUTPUT,unit=1),
            Pin(num='68',name='A16/S3',func=pin_types.OUTPUT,unit=1),
            Pin(num='7',name='AD12',func=pin_types.BIDIR,unit=1),
            Pin(num='8',name='AD4',func=pin_types.BIDIR,unit=1),
            Pin(num='9',name='VCC',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'IA188XLPLC68IR2', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'IA188XLPLC68IR2'}), 'ref_prefix':'U', 'fplist':['', '', ''], 'footprint':'', 'keywords':'MPRO', 'description':'', 'datasheet':'http://www.innovasic.com/upload/products/Innovasic_IA186XL_IA188XL_Data_Sheet_20110706_2.pdf', 'search_text':'/usr/share/kicad/symbols/MCU_Intel.kicad_sym\nIA188XLPLC68IR2\n\nMPRO', 'pins':[
            Pin(num='1',name='A15',func=pin_types.OUTPUT,unit=1),
            Pin(num='10',name='A11',func=pin_types.OUTPUT,unit=1),
            Pin(num='11',name='AD3',func=pin_types.BIDIR,unit=1),
            Pin(num='12',name='A10',func=pin_types.OUTPUT,unit=1),
            Pin(num='13',name='AD2',func=pin_types.BIDIR,unit=1),
            Pin(num='14',name='A9',func=pin_types.OUTPUT,unit=1),
            Pin(num='15',name='AD1',func=pin_types.BIDIR,unit=1),
            Pin(num='16',name='A8',func=pin_types.OUTPUT,unit=1),
            Pin(num='17',name='AD0',func=pin_types.BIDIR,unit=1),
            Pin(num='18',name='DRQ0',func=pin_types.INPUT,unit=1),
            Pin(num='19',name='DRQ1',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='AD7',func=pin_types.BIDIR,unit=1),
            Pin(num='20',name='TMR_IN_0',func=pin_types.INPUT,unit=1),
            Pin(num='21',name='TMR_IN_1',func=pin_types.INPUT,unit=1),
            Pin(num='22',name='TMR_OUT_0',func=pin_types.OUTPUT,unit=1),
            Pin(num='23',name='TMR_OUT_1',func=pin_types.OUTPUT,unit=1),
            Pin(num='24',name='~{RES}',func=pin_types.INPUT,unit=1),
            Pin(num='25',name='~{PCS0}',func=pin_types.OUTPUT,unit=1),
            Pin(num='26',name='VSS',func=pin_types.PWRIN,unit=1),
            Pin(num='27',name='~{PCS1}',func=pin_types.OUTPUT,unit=1),
            Pin(num='28',name='~{PCS2}',func=pin_types.OUTPUT,unit=1),
            Pin(num='29',name='~{PCS3}',func=pin_types.OUTPUT,unit=1),
            Pin(num='3',name='A14',func=pin_types.OUTPUT,unit=1),
            Pin(num='30',name='~{PCS4}',func=pin_types.OUTPUT,unit=1),
            Pin(num='31',name='~{PCS5}/A1',func=pin_types.OUTPUT,unit=1),
            Pin(num='32',name='~{PCS6}/A2',func=pin_types.OUTPUT,unit=1),
            Pin(num='33',name='~{LCS}',func=pin_types.BIDIR,unit=1),
            Pin(num='34',name='~{UCS}',func=pin_types.BIDIR,unit=1),
            Pin(num='35',name='~{MCS3}',func=pin_types.OUTPUT,unit=1),
            Pin(num='36',name='~{MCS2}',func=pin_types.OUTPUT,unit=1),
            Pin(num='37',name='~{MCS1}',func=pin_types.OUTPUT,unit=1),
            Pin(num='38',name='~{MCS0}',func=pin_types.OUTPUT,unit=1),
            Pin(num='39',name='~{DEN}',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='AD6',func=pin_types.BIDIR,unit=1),
            Pin(num='40',name='DT/~{R}',func=pin_types.OUTPUT,unit=1),
            Pin(num='41',name='INT3/~{INTA1}/IRQ',func=pin_types.BIDIR,unit=1),
            Pin(num='42',name='INT2/~{INTA0}',func=pin_types.BIDIR,unit=1),
            Pin(num='43',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='44',name='INT1/~{SELECT}',func=pin_types.INPUT,unit=1),
            Pin(num='45',name='INT0',func=pin_types.INPUT,unit=1),
            Pin(num='46',name='NMI',func=pin_types.INPUT,unit=1),
            Pin(num='47',name='~{TEST}',func=pin_types.BIDIR,unit=1),
            Pin(num='48',name='~{LOCK}',func=pin_types.OUTPUT,unit=1),
            Pin(num='49',name='SRDY',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='A13',func=pin_types.OUTPUT,unit=1),
            Pin(num='50',name='HOLD',func=pin_types.INPUT,unit=1),
            Pin(num='51',name='HLDA',func=pin_types.OUTPUT,unit=1),
            Pin(num='52',name='~{S0}',func=pin_types.OUTPUT,unit=1),
            Pin(num='53',name='~{S1}',func=pin_types.OUTPUT,unit=1),
            Pin(num='54',name='~{S2}',func=pin_types.OUTPUT,unit=1),
            Pin(num='55',name='ARDY',func=pin_types.INPUT,unit=1),
            Pin(num='56',name='CLKOUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='57',name='RESET',func=pin_types.OUTPUT,unit=1),
            Pin(num='58',name='X2',func=pin_types.OUTPUT,unit=1),
            Pin(num='59',name='X1',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='AD5',func=pin_types.BIDIR,unit=1),
            Pin(num='60',name='VSS',func=pin_types.PASSIVE,unit=1),
            Pin(num='61',name='ALE/QS0',func=pin_types.OUTPUT,unit=1),
            Pin(num='62',name='~{RD}/~{QSMD}',func=pin_types.BIDIR,unit=1),
            Pin(num='63',name='~{WR}/QS1',func=pin_types.OUTPUT,unit=1),
            Pin(num='64',name='~{RFSH}',func=pin_types.OUTPUT,unit=1),
            Pin(num='65',name='A19/S6',func=pin_types.OUTPUT,unit=1),
            Pin(num='66',name='A18/S5',func=pin_types.OUTPUT,unit=1),
            Pin(num='67',name='A17/S4',func=pin_types.OUTPUT,unit=1),
            Pin(num='68',name='A16/S3',func=pin_types.OUTPUT,unit=1),
            Pin(num='7',name='A12',func=pin_types.OUTPUT,unit=1),
            Pin(num='8',name='AD4',func=pin_types.BIDIR,unit=1),
            Pin(num='9',name='VCC',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] })])