from collections import defaultdict
from skidl import Pin, Part, Alias, SchLib, SKIDL, TEMPLATE

from skidl.pin import pin_types

SKIDL_lib_version = '0.0.1'

Oscillator = SchLib(tool=SKIDL).add_parts(*[
        Part(**{ 'name':'5P49V6965', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'5P49V6965'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-24-1EP_4x4mm_P0.5mm_EP2.8x2.8mm'], 'footprint':'Package_DFN_QFN:QFN-24-1EP_4x4mm_P0.5mm_EP2.8x2.8mm', 'keywords':'Low-noise PLL Reference Clock', 'description':'', 'datasheet':'https://www.renesas.com/us/en/document/dst/5p49v6965-datasheet', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\n5P49V6965\n\nLow-noise PLL Reference Clock', 'pins':[
            Pin(num='1',name='CLKIN',func=pin_types.INPUT,unit=1),
            Pin(num='10',name='VDDO4',func=pin_types.PWRIN,unit=1),
            Pin(num='11',name='OUT4',func=pin_types.OUTPUT,unit=1),
            Pin(num='12',name='OUT4B',func=pin_types.OUTPUT,unit=1),
            Pin(num='13',name='OUT3B',func=pin_types.OUTPUT,unit=1),
            Pin(num='14',name='OUT3',func=pin_types.OUTPUT,unit=1),
            Pin(num='15',name='VDDO3',func=pin_types.PWRIN,unit=1),
            Pin(num='16',name='OUT2B',func=pin_types.OUTPUT,unit=1),
            Pin(num='17',name='OUT2',func=pin_types.OUTPUT,unit=1),
            Pin(num='18',name='VDDO2',func=pin_types.PWRIN,unit=1),
            Pin(num='19',name='OUT1B',func=pin_types.OUTPUT,unit=1),
            Pin(num='2',name='CLKINB',func=pin_types.INPUT,unit=1),
            Pin(num='20',name='OUT1',func=pin_types.OUTPUT,unit=1),
            Pin(num='21',name='VDDO1',func=pin_types.PWRIN,unit=1),
            Pin(num='22',name='VDDD',func=pin_types.PWRIN,unit=1),
            Pin(num='23',name='VDDO0',func=pin_types.PWRIN,unit=1),
            Pin(num='24',name='OUT0_SEL_I2CB',func=pin_types.BIDIR,unit=1),
            Pin(num='25',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='XOUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='XIN/REF',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='VDDA',func=pin_types.PWRIN,unit=1),
            Pin(num='6',name='CLKSEL',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='SD/OE',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='SEL1/SDA',func=pin_types.BIDIR,unit=1),
            Pin(num='9',name='SEL0/SCL',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'ABLNO', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'ABLNO'}), 'ref_prefix':'X', 'fplist':['Oscillator:Oscillator_SMD_Abracon_ABLNO'], 'footprint':'Oscillator:Oscillator_SMD_Abracon_ABLNO', 'keywords':'XO VCXO', 'description':'', 'datasheet':'https://abracon.com/Precisiontiming/ABLNO.pdf', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nABLNO\n\nXO VCXO', 'pins':[
            Pin(num='1',name='Vctrl',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='RFout',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='VDD',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'ACO-xxxMHz-A', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'ACO-xxxMHz-A'}), 'ref_prefix':'X', 'fplist':['Oscillator:Oscillator_DIP-14'], 'footprint':'Oscillator:Oscillator_DIP-14', 'keywords':'Crystal Clock Oscillator', 'description':'', 'datasheet':'http://www.conwin.com/datasheets/cx/cx030.pdf', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nACO-xxxMHz-A\n\nCrystal Clock Oscillator', 'pins':[
            Pin(num='1',name='Tri-State',func=pin_types.INPUT,unit=1),
            Pin(num='14',name='Vcc',func=pin_types.PWRIN,unit=1),
            Pin(num='7',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='8',name='OUT',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'ASCO', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'ASCO'}), 'ref_prefix':'X', 'fplist':['Oscillator:Oscillator_SMD_Abracon_ASCO-4Pin_1.6x1.2mm'], 'footprint':'Oscillator:Oscillator_SMD_Abracon_ASCO-4Pin_1.6x1.2mm', 'keywords':'Crystal Clock Oscillator', 'description':'', 'datasheet':'https://abracon.com/Oscillators/ASCO.pdf', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nASCO\n\nCrystal Clock Oscillator', 'pins':[
            Pin(num='1',name='Tri-State',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='OUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='VDD',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'ASDMB-xxxMHz', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'ASDMB-xxxMHz'}), 'ref_prefix':'U', 'fplist':['Oscillator:Oscillator_SMD_Abracon_ASDMB-4Pin_2.5x2.0mm'], 'footprint':'Oscillator:Oscillator_SMD_Abracon_ASDMB-4Pin_2.5x2.0mm', 'keywords':'1.8-3.3V SMD Ultra Miniature Crystal Clock Oscillator', 'description':'', 'datasheet':'https://abracon.com/Oscillators/ASDMB.pdf', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nASDMB-xxxMHz\n\n1.8-3.3V SMD Ultra Miniature Crystal Clock Oscillator', 'pins':[
            Pin(num='1',name='Standby',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='Out',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='VDD',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'ASE-xxxMHz', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'ASE-xxxMHz'}), 'ref_prefix':'X', 'fplist':['Oscillator:Oscillator_SMD_Abracon_ASE-4Pin_3.2x2.5mm'], 'footprint':'Oscillator:Oscillator_SMD_Abracon_ASE-4Pin_3.2x2.5mm', 'keywords':'3.3V CMOS SMD Crystal Clock Oscillator', 'description':'', 'datasheet':'http://www.abracon.com/Oscillators/ASV.pdf', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nASE-xxxMHz\n\n3.3V CMOS SMD Crystal Clock Oscillator', 'pins':[
            Pin(num='1',name='EN',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='OUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='Vdd',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'ASV-xxxMHz', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'ASV-xxxMHz'}), 'ref_prefix':'X', 'fplist':['Oscillator:Oscillator_SMD_Abracon_ASV-4Pin_7.0x5.1mm'], 'footprint':'Oscillator:Oscillator_SMD_Abracon_ASV-4Pin_7.0x5.1mm', 'keywords':'3.3V HCMOS SMD Crystal Clock Oscillator', 'description':'', 'datasheet':'http://www.abracon.com/Oscillators/ASV.pdf', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nASV-xxxMHz\n\n3.3V HCMOS SMD Crystal Clock Oscillator', 'pins':[
            Pin(num='1',name='EN',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='OUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='Vdd',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'CFPS-72', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'CFPS-72'}), 'ref_prefix':'X', 'fplist':['Oscillator:Oscillator_SMD_IQD_IQXO70-4Pin_7.5x5.0mm'], 'footprint':'Oscillator:Oscillator_SMD_IQD_IQXO70-4Pin_7.5x5.0mm', 'keywords':'XO', 'description':'', 'datasheet':'https://www.iqdfrequencyproducts.com/products/details/cfps-72-14-01.pdf', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nCFPS-72\n\nXO', 'pins':[
            Pin(num='1',name='EN',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='Output',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='+Vs',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'CVCO55xx', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'CVCO55xx'}), 'ref_prefix':'X', 'fplist':['RF_Mini-Circuits:Mini-Circuits_CK605_LandPatternPL-012'], 'footprint':'RF_Mini-Circuits:Mini-Circuits_CK605_LandPatternPL-012', 'keywords':'VCXO VCO Crystek', 'description':'', 'datasheet':'https://www.crystek.com/home/vco/cvco55.aspx', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nCVCO55xx\n\nVCXO VCO Crystek', 'pins':[
            Pin(num='15',name='GND',func=pin_types.PASSIVE),
            Pin(num='16',name='GND',func=pin_types.PASSIVE),
            Pin(num='1',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='RFout',func=pin_types.OUTPUT,unit=1),
            Pin(num='11',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='12',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='13',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='14',name='Vcc',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='Vtune',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='6',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='7',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='8',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='9',name='GND',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'CXO_DIP14', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'CXO_DIP14'}), 'ref_prefix':'X', 'fplist':['Oscillator:Oscillator_DIP-14'], 'footprint':'Oscillator:Oscillator_DIP-14', 'keywords':'Crystal Clock Oscillator', 'description':'', 'datasheet':'http://cdn-reichelt.de/documents/datenblatt/B400/OSZI.pdf', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nCXO_DIP14\n\nCrystal Clock Oscillator', 'pins':[
            Pin(num='1',name='EN',func=pin_types.INPUT,unit=1),
            Pin(num='14',name='Vcc',func=pin_types.PWRIN,unit=1),
            Pin(num='7',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='8',name='OUT',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'CXO_DIP8', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'CXO_DIP8'}), 'ref_prefix':'X', 'fplist':['Oscillator:Oscillator_DIP-8'], 'footprint':'Oscillator:Oscillator_DIP-8', 'keywords':'Crystal Clock Oscillator', 'description':'', 'datasheet':'http://cdn-reichelt.de/documents/datenblatt/B400/OSZI.pdf', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nCXO_DIP8\n\nCrystal Clock Oscillator', 'pins':[
            Pin(num='1',name='EN',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='OUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='8',name='Vcc',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'DFA-S11', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'DFA-S11'}), 'ref_prefix':'X', 'fplist':['Oscillator:Oscillator_SMD_Fordahl_DFAS11-4Pin_7.0x5.0mm'], 'footprint':'Oscillator:Oscillator_SMD_Fordahl_DFAS11-4Pin_7.0x5.0mm', 'keywords':'Temperature compensated Crystal Clock Oscillator', 'description':'', 'datasheet':'http://www.metatech.com.hk/product/fordahl/pdf/2002%20TCXO%20Page%2043-58.pdf', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nDFA-S11\n\nTemperature compensated Crystal Clock Oscillator', 'pins':[
            Pin(num='1',name='Vctrl',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='OUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='V+',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'DFA-S15', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'DFA-S15'}), 'ref_prefix':'X', 'fplist':['Oscillator:Oscillator_SMD_Fordahl_DFAS15-4Pin_5.0x3.2mm'], 'footprint':'Oscillator:Oscillator_SMD_Fordahl_DFAS15-4Pin_5.0x3.2mm', 'keywords':'Temperature compensated Crystal Clock Oscillator', 'description':'', 'datasheet':'http://www.metatech.com.hk/product/fordahl/pdf/2002%20TCXO%20Page%2043-58.pdf', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nDFA-S15\n\nTemperature compensated Crystal Clock Oscillator', 'pins':[
            Pin(num='1',name='Vctrl',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='OUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='V+',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'DFA-S2', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'DFA-S2'}), 'ref_prefix':'X', 'fplist':['Oscillator:Oscillator_SMD_Fordahl_DFAS2-4Pin_7.3x5.1mm'], 'footprint':'Oscillator:Oscillator_SMD_Fordahl_DFAS2-4Pin_7.3x5.1mm', 'keywords':'Temperature compensated Crystal Clock Oscillator', 'description':'', 'datasheet':'http://www.metatech.com.hk/product/fordahl/pdf/2002%20TCXO%20Page%2043-58.pdf', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nDFA-S2\n\nTemperature compensated Crystal Clock Oscillator', 'pins':[
            Pin(num='1',name='Vctrl',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='OUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='V+',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'DFA-S3', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'DFA-S3'}), 'ref_prefix':'X', 'fplist':['Oscillator:Oscillator_SMD_Fordahl_DFAS3-4Pin_9.1x7.2mm'], 'footprint':'Oscillator:Oscillator_SMD_Fordahl_DFAS3-4Pin_9.1x7.2mm', 'keywords':'Temperature compensated Crystal Clock Oscillator', 'description':'', 'datasheet':'http://www.metatech.com.hk/product/fordahl/pdf/2002%20TCXO%20Page%2043-58.pdf', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nDFA-S3\n\nTemperature compensated Crystal Clock Oscillator', 'pins':[
            Pin(num='1',name='Vctrl',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='OUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='V+',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'DGOF5S3', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'DGOF5S3'}), 'ref_prefix':'X', 'fplist':['Oscillator:Oscillator_DIP-14'], 'footprint':'Oscillator:Oscillator_DIP-14', 'keywords':'Crystal Clock Oscillator', 'description':'', 'datasheet':'http://www.conwin.com/datasheets/cx/cx030.pdf', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nDGOF5S3\n\nCrystal Clock Oscillator', 'pins':[
            Pin(num='1',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='14',name='Vcc',func=pin_types.PWRIN,unit=1),
            Pin(num='7',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='8',name='OUT',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'ECS-2520MV-xxx-xx', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'ECS-2520MV-xxx-xx'}), 'ref_prefix':'X', 'fplist':['Oscillator:Oscillator_SMD_ECS_2520MV-xxx-xx-4Pin_2.5x2.0mm'], 'footprint':'Oscillator:Oscillator_SMD_ECS_2520MV-xxx-xx-4Pin_2.5x2.0mm', 'keywords':'Crystal Clock Oscillator ECS SMD', 'description':'', 'datasheet':'https://www.ecsxtal.com/store/pdf/ECS-2520MV.pdf', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nECS-2520MV-xxx-xx\n\nCrystal Clock Oscillator ECS SMD', 'pins':[
            Pin(num='1',name='Tri-State',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='OUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='VDD',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'FT5HN', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'FT5HN'}), 'ref_prefix':'U', 'fplist':['Oscillator:Oscillator_SMD_Fox_FT5H_5.0x3.2mm'], 'footprint':'Oscillator:Oscillator_SMD_Fox_FT5H_5.0x3.2mm', 'keywords':'TXCO', 'description':'', 'datasheet':'https://foxonline.com/wp-content/uploads/pdfs/T5HN_T5HV.pdf', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nFT5HN\n\nTXCO', 'pins':[
            Pin(num='1',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='OUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='VDD',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'FT5HV', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'FT5HV'}), 'ref_prefix':'U', 'fplist':['Oscillator:Oscillator_SMD_Fox_FT5H_5.0x3.2mm'], 'footprint':'Oscillator:Oscillator_SMD_Fox_FT5H_5.0x3.2mm', 'keywords':'TXCO VCTCXO', 'description':'', 'datasheet':'https://foxonline.com/wp-content/uploads/pdfs/T5HN_T5HV.pdf', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nFT5HV\n\nTXCO VCTCXO', 'pins':[
            Pin(num='1',name='VC',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='OUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='VDD',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'IQXO-70', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'IQXO-70'}), 'ref_prefix':'X', 'fplist':['Oscillator:Oscillator_SMD_IQD_IQXO70-4Pin_7.5x5.0mm'], 'footprint':'Oscillator:Oscillator_SMD_IQD_IQXO70-4Pin_7.5x5.0mm', 'keywords':'Crystal Clock Oscillator', 'description':'', 'datasheet':'http://www.iqdfrequencyproducts.com/products/details/iqxo-70-11-30.pdf', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nIQXO-70\n\nCrystal Clock Oscillator', 'pins':[
            Pin(num='1',name='E/B',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='OUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='V+',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'JTOS-50', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'JTOS-50'}), 'ref_prefix':'X', 'fplist':['RF_Mini-Circuits:Mini-Circuits_BK377_LandPatternPL-005'], 'footprint':'RF_Mini-Circuits:Mini-Circuits_BK377_LandPatternPL-005', 'keywords':'VCXO', 'description':'', 'datasheet':'https://www.minicircuits.com/pdfs/JTOS-50+.pdf', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nJTOS-50\n\nVCXO', 'pins':[
            Pin(num='1',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='11',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='12',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='13',name='RFout',func=pin_types.OUTPUT,unit=1),
            Pin(num='14',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='Vtune',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='7',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='8',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='9',name='GND',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'KC2520Z', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'KC2520Z'}), 'ref_prefix':'U', 'fplist':['Oscillator:Oscillator_SMD_Kyocera_KC2520Z-4Pin_2.5x2.0mm'], 'footprint':'Oscillator:Oscillator_SMD_Kyocera_KC2520Z-4Pin_2.5x2.0mm', 'keywords':'xo', 'description':'', 'datasheet':'https://global.kyocera.com/prdct/electro/product/pdf/clock_z_xz_e.pdf', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nKC2520Z\n\nxo', 'pins':[
            Pin(num='1',name='INH',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='CLK',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='VCC',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'KT2520K-T', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'KT2520K-T'}), 'ref_prefix':'U', 'fplist':['Oscillator:Oscillator_SMD_Kyocera_2520-6Pin_2.5x2.0mm'], 'footprint':'Oscillator:Oscillator_SMD_Kyocera_2520-6Pin_2.5x2.0mm', 'keywords':'tcxo', 'description':'', 'datasheet':'https://global.kyocera.com/prdct/electro/product/pdf/kt2520_e.pdf', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nKT2520K-T\n\ntcxo', 'pins':[
            Pin(num='1',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='3',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='OUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='5',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='6',name='VCC',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LTC6905xS5-80', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LTC6905xS5-80'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:TSOT-23-5'], 'footprint':'Package_TO_SOT_SMD:TSOT-23-5', 'keywords':'oscillator fixed frequency divider silicon', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/6905xfa.pdf', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nLTC6905xS5-80\n\noscillator fixed frequency divider silicon', 'pins':[
            Pin(num='1',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='OE',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='DIV',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='OUT',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MAX7375AXR805', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MAX7375AXR805'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-323_SC-70'], 'footprint':'Package_TO_SOT_SMD:SOT-323_SC-70', 'keywords':'Silicon Clock Oscillator 8MHz 8000kHz', 'description':'', 'datasheet':'https://datasheets.maximintegrated.com/en/ds/MAX7375.pdf', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nMAX7375AXR805\n\nSilicon Clock Oscillator 8MHz 8000kHz', 'pins':[
            Pin(num='1',name='V+',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='CLOCK',func=pin_types.OUTPUT,unit=1),
            Pin(num='3',name='GND',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MV267', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MV267'}), 'ref_prefix':'U', 'fplist':['Oscillator:Oscillator_OCXO_Morion_MV267'], 'footprint':'Oscillator:Oscillator_OCXO_Morion_MV267', 'keywords':'OCXO', 'description':'', 'datasheet':'http://www.morion.com.ru/catalog_pdf/MV267.pdf', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nMV267\n\nOCXO', 'pins':[
            Pin(num='1',name='Uref',func=pin_types.OUTPUT,unit=1),
            Pin(num='2',name='Us',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='RF',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='Uin',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MV317', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MV317'}), 'ref_prefix':'U', 'fplist':['Oscillator:Oscillator_OCXO_Morion_MV317'], 'footprint':'Oscillator:Oscillator_OCXO_Morion_MV317', 'keywords':'OCXO', 'description':'', 'datasheet':'https://www.morion-us.com/catalog_pdf/mv317.pdf', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nMV317\n\nOCXO', 'pins':[
            Pin(num='1',name='Uref',func=pin_types.OUTPUT,unit=1),
            Pin(num='2',name='Us',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='RF',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='Uin',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'NB3N502', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'NB3N502'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'oscillator clock multiplier PLL', 'description':'', 'datasheet':'http://www.onsemi.com/pub/Collateral/NB3N502-D.PDF', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nNB3N502\n\noscillator clock multiplier PLL', 'pins':[
            Pin(num='1',name='X1/CLK',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='REF',func=pin_types.OUTPUT,unit=1),
            Pin(num='5',name='CLKOUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='6',name='S0',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='S1',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='X2',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'NB3N511', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'NB3N511'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'oscillator clock multiplier PLL', 'description':'', 'datasheet':'http://www.onsemi.com/pub/Collateral/NB3N511-D.PDF', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nNB3N511\n\noscillator clock multiplier PLL', 'pins':[
            Pin(num='1',name='X1/ICLK',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='S1',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='CLKOUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='6',name='S0',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='OE',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='X2',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'OCXO-14', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'OCXO-14'}), 'ref_prefix':'X', 'fplist':['Oscillator:Oscillator_DIP-14'], 'footprint':'Oscillator:Oscillator_DIP-14', 'keywords':'Crystal Clock Oscillator', 'description':'', 'datasheet':'http://www.petermann-technik.de/fileadmin/petermann/pdf/crystal-oscillators/OCXO-14_PETERMANN-TECHNIK.pdf', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nOCXO-14\n\nCrystal Clock Oscillator', 'pins':[
            Pin(num='1',name='Vcontrol',func=pin_types.INPUT,unit=1),
            Pin(num='14',name='Vcc',func=pin_types.PWRIN,unit=1),
            Pin(num='7',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='8',name='OUT',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'OH300', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'OH300'}), 'ref_prefix':'X', 'fplist':['Oscillator:Oscillator_SMD_OCXO_ConnorWinfield_OH300'], 'footprint':'Oscillator:Oscillator_SMD_OCXO_ConnorWinfield_OH300', 'keywords':'OCXO', 'description':'', 'datasheet':'http://www.conwin.com/datasheets/cx/cx282.pdf', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nOH300\n\nOCXO', 'pins':[
            Pin(num='1',name='Vcontrol',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='3',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='OUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='5',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='6',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='7',name='GND',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SG-210SED', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SG-210SED'}), 'ref_prefix':'X', 'fplist':['Oscillator:Oscillator_SMD_SeikoEpson_SG210-4Pin_2.5x2.0mm'], 'footprint':'Oscillator:Oscillator_SMD_SeikoEpson_SG210-4Pin_2.5x2.0mm', 'keywords':'Crystal Clock Oscillator', 'description':'', 'datasheet':'https://support.epson.biz/td/api/doc_check.php?mode=dl&lang=en&Parts=SG-210SED', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nSG-210SED\n\nCrystal Clock Oscillator', 'pins':[
            Pin(num='1',name='OE',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='OUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='Vcc',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SG-210STF', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SG-210STF'}), 'ref_prefix':'X', 'fplist':['Oscillator:Oscillator_SMD_SeikoEpson_SG210-4Pin_2.5x2.0mm'], 'footprint':'Oscillator:Oscillator_SMD_SeikoEpson_SG210-4Pin_2.5x2.0mm', 'keywords':'Crystal Clock Oscillator', 'description':'', 'datasheet':'https://support.epson.biz/td/api/doc_check.php?mode=dl&lang=en&Parts=SG-210STF', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nSG-210STF\n\nCrystal Clock Oscillator', 'pins':[
            Pin(num='1',name='~{ST}',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='OUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='Vcc',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SG-3030CM', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SG-3030CM'}), 'ref_prefix':'X', 'fplist':['Oscillator:Oscillator_SMD_SeikoEpson_SG3030CM'], 'footprint':'Oscillator:Oscillator_SMD_SeikoEpson_SG3030CM', 'keywords':'Crystal Clock Oscillator', 'description':'', 'datasheet':'https://support.epson.biz/td/api/doc_check.php?mode=dl&lang=en&Parts=SG-3030CM', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nSG-3030CM\n\nCrystal Clock Oscillator', 'pins':[
            Pin(num='1',name='VIO',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='OUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='Vcc',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SG-5032CAN', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SG-5032CAN'}), 'ref_prefix':'X', 'fplist':['Oscillator:Oscillator_SMD_SeikoEpson_SG8002LB-4Pin_5.0x3.2mm'], 'footprint':'Oscillator:Oscillator_SMD_SeikoEpson_SG8002LB-4Pin_5.0x3.2mm', 'keywords':'Crystal Clock Oscillator', 'description':'', 'datasheet':'https://support.epson.biz/td/api/doc_check.php?dl=brief_SG5032CAN&lang=en', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nSG-5032CAN\n\nCrystal Clock Oscillator', 'pins':[
            Pin(num='1',name='~{ST}',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='OUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='VCC',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SG-7050CAN', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SG-7050CAN'}), 'ref_prefix':'X', 'fplist':['Oscillator:Oscillator_SMD_SeikoEpson_SG8002CA-4Pin_7.0x5.0mm'], 'footprint':'Oscillator:Oscillator_SMD_SeikoEpson_SG8002CA-4Pin_7.0x5.0mm', 'keywords':'Crystal Clock Oscillator', 'description':'', 'datasheet':'https://support.epson.biz/td/api/doc_check.php?dl=brief_SG7050CAN&lang=en', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nSG-7050CAN\n\nCrystal Clock Oscillator', 'pins':[
            Pin(num='1',name='~{ST}',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='OUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='VCC',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SG-8002CA', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SG-8002CA'}), 'ref_prefix':'X', 'fplist':['Oscillator:Oscillator_SMD_SeikoEpson_SG8002CA-4Pin_7.0x5.0mm'], 'footprint':'Oscillator:Oscillator_SMD_SeikoEpson_SG8002CA-4Pin_7.0x5.0mm', 'keywords':'Crystal Clock Oscillator', 'description':'', 'datasheet':'https://support.epson.biz/td/api/doc_check.php?mode=dl&lang=en&Parts=SG-8002DC', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nSG-8002CA\n\nCrystal Clock Oscillator', 'pins':[
            Pin(num='1',name='OE',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='OUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='Vcc',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SG-8002CE', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SG-8002CE'}), 'ref_prefix':'X', 'fplist':['Oscillator:Oscillator_SMD_SeikoEpson_SG8002CE-4Pin_3.2x2.5mm'], 'footprint':'Oscillator:Oscillator_SMD_SeikoEpson_SG8002CE-4Pin_3.2x2.5mm', 'keywords':'Crystal Clock Oscillator', 'description':'', 'datasheet':'https://support.epson.biz/td/api/doc_check.php?mode=dl&lang=en&Parts=SG-8002DC', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nSG-8002CE\n\nCrystal Clock Oscillator', 'pins':[
            Pin(num='1',name='OE',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='OUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='Vcc',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SG-8002DB', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SG-8002DB'}), 'ref_prefix':'X', 'fplist':['Oscillator:Oscillator_SeikoEpson_SG-8002DB'], 'footprint':'Oscillator:Oscillator_SeikoEpson_SG-8002DB', 'keywords':'Crystal Clock Oscillator', 'description':'', 'datasheet':'https://support.epson.biz/td/api/doc_check.php?dl=brief_SG-8002DB&lang=en', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nSG-8002DB\n\nCrystal Clock Oscillator', 'pins':[
            Pin(num='1',name='OE',func=pin_types.INPUT,unit=1),
            Pin(num='14',name='Vcc',func=pin_types.PWRIN,unit=1),
            Pin(num='7',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='8',name='OUT',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SG-8002DC', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SG-8002DC'}), 'ref_prefix':'X', 'fplist':['Oscillator:Oscillator_SeikoEpson_SG-8002DC'], 'footprint':'Oscillator:Oscillator_SeikoEpson_SG-8002DC', 'keywords':'Crystal Clock Oscillator', 'description':'', 'datasheet':'https://support.epson.biz/td/api/doc_check.php?mode=dl&lang=en&Parts=SG-8002DC', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nSG-8002DC\n\nCrystal Clock Oscillator', 'pins':[
            Pin(num='1',name='OE',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='OUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='8',name='Vcc',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SG-8002JA', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SG-8002JA'}), 'ref_prefix':'X', 'fplist':['Oscillator:Oscillator_SMD_SeikoEpson_SG8002JA-4Pin_14.0x8.7mm'], 'footprint':'Oscillator:Oscillator_SMD_SeikoEpson_SG8002JA-4Pin_14.0x8.7mm', 'keywords':'Crystal Clock Oscillator', 'description':'', 'datasheet':'https://support.epson.biz/td/api/doc_check.php?mode=dl&lang=en&Parts=SG-8002DC', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nSG-8002JA\n\nCrystal Clock Oscillator', 'pins':[
            Pin(num='1',name='OE',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='OUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='Vcc',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SG-8002JC', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SG-8002JC'}), 'ref_prefix':'X', 'fplist':['Oscillator:Oscillator_SMD_SeikoEpson_SG8002JC-4Pin_10.5x5.0mm'], 'footprint':'Oscillator:Oscillator_SMD_SeikoEpson_SG8002JC-4Pin_10.5x5.0mm', 'keywords':'Crystal Clock Oscillator', 'description':'', 'datasheet':'https://support.epson.biz/td/api/doc_check.php?mode=dl&lang=en&Parts=SG-8002DC', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nSG-8002JC\n\nCrystal Clock Oscillator', 'pins':[
            Pin(num='1',name='OE',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='OUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='Vcc',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SG-8002LB', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SG-8002LB'}), 'ref_prefix':'X', 'fplist':['Oscillator:Oscillator_SMD_SeikoEpson_SG8002LB-4Pin_5.0x3.2mm'], 'footprint':'Oscillator:Oscillator_SMD_SeikoEpson_SG8002LB-4Pin_5.0x3.2mm', 'keywords':'Crystal Clock Oscillator', 'description':'', 'datasheet':'https://support.epson.biz/td/api/doc_check.php?dl=brief_SG-8002LB&lang=en', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nSG-8002LB\n\nCrystal Clock Oscillator', 'pins':[
            Pin(num='1',name='OE',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='OUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='Vcc',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'Si512A_2.5x3.2mm', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'Si512A_2.5x3.2mm'}), 'ref_prefix':'U', 'fplist':['Oscillator:Oscillator_SMD_Silicon_Labs_LGA-6_2.5x3.2mm_P1.25mm'], 'footprint':'Oscillator:Oscillator_SMD_Silicon_Labs_LGA-6_2.5x3.2mm_P1.25mm', 'keywords':'Dual frequency crystal oscillator', 'description':'', 'datasheet':'https://www.silabs.com/documents/public/data-sheets/si512-13.pdf', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nSi512A_2.5x3.2mm\n\nDual frequency crystal oscillator', 'pins':[
            Pin(num='1',name='FS',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='OE',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='CLK',func=pin_types.OUTPUT,unit=1),
            Pin(num='5',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='6',name='VDD',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'Si513A_2.5x3.2mm', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'Si513A_2.5x3.2mm'}), 'ref_prefix':'U', 'fplist':['Oscillator:Oscillator_SMD_Silicon_Labs_LGA-6_2.5x3.2mm_P1.25mm'], 'footprint':'Oscillator:Oscillator_SMD_Silicon_Labs_LGA-6_2.5x3.2mm_P1.25mm', 'keywords':'Dual frequency crystal oscillator', 'description':'', 'datasheet':'https://www.silabs.com/documents/public/data-sheets/si512-13.pdf', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nSi513A_2.5x3.2mm\n\nDual frequency crystal oscillator', 'pins':[
            Pin(num='1',name='OE',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='FS',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='CLK',func=pin_types.OUTPUT,unit=1),
            Pin(num='5',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='6',name='VDD',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'Si5351A-B-GM', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'Si5351A-B-GM'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-20-1EP_4x4mm_P0.5mm_EP2.7x2.7mm'], 'footprint':'Package_DFN_QFN:QFN-20-1EP_4x4mm_P0.5mm_EP2.7x2.7mm', 'keywords':'CMOS Synth Oscillator I2C', 'description':'', 'datasheet':'https://www.silabs.com/documents/public/data-sheets/Si5351-B.pdf', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nSi5351A-B-GM\n\nCMOS Synth Oscillator I2C', 'pins':[
            Pin(num='1',name='XA',func=pin_types.INPUT,unit=1),
            Pin(num='10',name='VDDOB',func=pin_types.PWRIN,unit=1),
            Pin(num='11',name='VDDOA',func=pin_types.PWRIN,unit=1),
            Pin(num='12',name='CLK1',func=pin_types.OUTPUT,unit=1),
            Pin(num='13',name='CLK0',func=pin_types.OUTPUT,unit=1),
            Pin(num='14',name='VDDOD',func=pin_types.PWRIN,unit=1),
            Pin(num='15',name='CLK7',func=pin_types.OUTPUT,unit=1),
            Pin(num='16',name='CLK6',func=pin_types.OUTPUT,unit=1),
            Pin(num='17',name='CLK5',func=pin_types.OUTPUT,unit=1),
            Pin(num='18',name='VDDOC',func=pin_types.PWRIN,unit=1),
            Pin(num='19',name='CLK4',func=pin_types.OUTPUT,unit=1),
            Pin(num='2',name='XB',func=pin_types.INPUT,unit=1),
            Pin(num='20',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='21',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='A0',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='SCL',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='SDA',func=pin_types.BIDIR,unit=1),
            Pin(num='6',name='SSEN',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='OEB',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='CLK3',func=pin_types.OUTPUT,unit=1),
            Pin(num='9',name='CLK2',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'Si5351A-B-GT', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'Si5351A-B-GT'}), 'ref_prefix':'U', 'fplist':['Package_SO:MSOP-10_3x3mm_P0.5mm'], 'footprint':'Package_SO:MSOP-10_3x3mm_P0.5mm', 'keywords':'CMOS Synth Oscillator I2C', 'description':'', 'datasheet':'https://www.silabs.com/documents/public/data-sheets/Si5351-B.pdf', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nSi5351A-B-GT\n\nCMOS Synth Oscillator I2C', 'pins':[
            Pin(num='1',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='CLK0',func=pin_types.OUTPUT,unit=1),
            Pin(num='2',name='XA',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='XB',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='SCL',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='SDA',func=pin_types.BIDIR,unit=1),
            Pin(num='6',name='CLK2',func=pin_types.OUTPUT,unit=1),
            Pin(num='7',name='VDDO',func=pin_types.PWRIN,unit=1),
            Pin(num='8',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='9',name='CLK1',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'Si5351B-B-GM', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'Si5351B-B-GM'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-20-1EP_4x4mm_P0.5mm_EP2.7x2.7mm'], 'footprint':'Package_DFN_QFN:QFN-20-1EP_4x4mm_P0.5mm_EP2.7x2.7mm', 'keywords':'CMOS Synth Oscillator I2C VCXO', 'description':'', 'datasheet':'https://www.silabs.com/documents/public/data-sheets/Si5351-B.pdf', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nSi5351B-B-GM\n\nCMOS Synth Oscillator I2C VCXO', 'pins':[
            Pin(num='1',name='XA',func=pin_types.INPUT,unit=1),
            Pin(num='10',name='VDDOB',func=pin_types.PWRIN,unit=1),
            Pin(num='11',name='VDDOA',func=pin_types.PWRIN,unit=1),
            Pin(num='12',name='CLK1',func=pin_types.OUTPUT,unit=1),
            Pin(num='13',name='CLK0',func=pin_types.OUTPUT,unit=1),
            Pin(num='14',name='VDDOD',func=pin_types.PWRIN,unit=1),
            Pin(num='15',name='CLK7',func=pin_types.OUTPUT,unit=1),
            Pin(num='16',name='CLK6',func=pin_types.OUTPUT,unit=1),
            Pin(num='17',name='CLK5',func=pin_types.OUTPUT,unit=1),
            Pin(num='18',name='VDDOC',func=pin_types.PWRIN,unit=1),
            Pin(num='19',name='CLK4',func=pin_types.OUTPUT,unit=1),
            Pin(num='2',name='XB',func=pin_types.INPUT,unit=1),
            Pin(num='20',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='21',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='VC',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='SCL',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='SDA',func=pin_types.BIDIR,unit=1),
            Pin(num='6',name='SSEN',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='OEB',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='CLK3',func=pin_types.OUTPUT,unit=1),
            Pin(num='9',name='CLK2',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'Si5351C-B-GM', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'Si5351C-B-GM'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-20-1EP_4x4mm_P0.5mm_EP2.7x2.7mm'], 'footprint':'Package_DFN_QFN:QFN-20-1EP_4x4mm_P0.5mm_EP2.7x2.7mm', 'keywords':'CMOS Synth Oscillator I2C', 'description':'', 'datasheet':'https://www.silabs.com/documents/public/data-sheets/Si5351-B.pdf', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nSi5351C-B-GM\n\nCMOS Synth Oscillator I2C', 'pins':[
            Pin(num='1',name='XA',func=pin_types.INPUT,unit=1),
            Pin(num='10',name='VDDOB',func=pin_types.PWRIN,unit=1),
            Pin(num='11',name='VDDOA',func=pin_types.PWRIN,unit=1),
            Pin(num='12',name='CLK1',func=pin_types.OUTPUT,unit=1),
            Pin(num='13',name='CLK0',func=pin_types.OUTPUT,unit=1),
            Pin(num='14',name='VDDOD',func=pin_types.PWRIN,unit=1),
            Pin(num='15',name='CLK7',func=pin_types.OUTPUT,unit=1),
            Pin(num='16',name='CLK6',func=pin_types.OUTPUT,unit=1),
            Pin(num='17',name='CLK5',func=pin_types.OUTPUT,unit=1),
            Pin(num='18',name='VDDOC',func=pin_types.PWRIN,unit=1),
            Pin(num='19',name='CLK4',func=pin_types.OUTPUT,unit=1),
            Pin(num='2',name='XB',func=pin_types.INPUT,unit=1),
            Pin(num='20',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='21',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='INTR',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='SCL',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='SDA',func=pin_types.BIDIR,unit=1),
            Pin(num='6',name='CLKIN',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='OEB',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='CLK3',func=pin_types.OUTPUT,unit=1),
            Pin(num='9',name='CLK2',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'Si570', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'Si570'}), 'ref_prefix':'U', 'fplist':['Oscillator:Oscillator_SMD_SI570_SI571_Standard'], 'footprint':'Oscillator:Oscillator_SMD_SI570_SI571_Standard', 'keywords':'10 MHZ TO 1.4 GHZ I2C PROGRAMMABLE XO/VCXO', 'description':'', 'datasheet':'http://www.silabs.com/Support%20Documents/TechnicalDocs/si570.pdf', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nSi570\n\n10 MHZ TO 1.4 GHZ I2C PROGRAMMABLE XO/VCXO', 'pins':[
            Pin(num='1',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='2',name='OE',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='CLK+',func=pin_types.OUTPUT,unit=1),
            Pin(num='5',name='CLK-',func=pin_types.OUTPUT,unit=1),
            Pin(num='6',name='Vcc',func=pin_types.PWRIN,unit=1),
            Pin(num='7',name='SDA',func=pin_types.BIDIR,unit=1),
            Pin(num='8',name='SCL',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'Si571', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'Si571'}), 'ref_prefix':'U', 'fplist':['Oscillator:Oscillator_SMD_SI570_SI571_Standard'], 'footprint':'Oscillator:Oscillator_SMD_SI570_SI571_Standard', 'keywords':'10 MHZ TO 1.4 GHZ I2C PROGRAMMABLE XO/VCXO', 'description':'', 'datasheet':'http://www.silabs.com/Support%20Documents/TechnicalDocs/si570.pdf', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nSi571\n\n10 MHZ TO 1.4 GHZ I2C PROGRAMMABLE XO/VCXO', 'pins':[
            Pin(num='1',name='Vc',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='OE',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='CLK+',func=pin_types.OUTPUT,unit=1),
            Pin(num='5',name='CLK-',func=pin_types.OUTPUT,unit=1),
            Pin(num='6',name='Vcc',func=pin_types.PWRIN,unit=1),
            Pin(num='7',name='SDA',func=pin_types.BIDIR,unit=1),
            Pin(num='8',name='SCL',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SiT9365xx-xBx-xxE', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SiT9365xx-xBx-xxE'}), 'ref_prefix':'X', 'fplist':['Oscillator:Oscillator_SMD_SiTime_PQFD-6L_3.2x2.5mm'], 'footprint':'Oscillator:Oscillator_SMD_SiTime_PQFD-6L_3.2x2.5mm', 'keywords':'LVDS LVPECL HCSL differential MEMS oscillatior', 'description':'', 'datasheet':'https://www.sitime.com/datasheet/SiT9365', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nSiT9365xx-xBx-xxE\n\nLVDS LVPECL HCSL differential MEMS oscillatior', 'pins':[
            Pin(num='1',name='OE',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='3',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='OUT+',func=pin_types.OUTPUT,unit=1),
            Pin(num='5',name='OUT-',func=pin_types.OUTPUT,unit=1),
            Pin(num='6',name='VDD',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SiT9365xx-xBx-xxN', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SiT9365xx-xBx-xxN'}), 'ref_prefix':'X', 'fplist':['Oscillator:Oscillator_SMD_SiTime_PQFD-6L_3.2x2.5mm'], 'footprint':'Oscillator:Oscillator_SMD_SiTime_PQFD-6L_3.2x2.5mm', 'keywords':'LVDS LVPECL HCSL differential MEMS oscillatior', 'description':'', 'datasheet':'https://www.sitime.com/datasheet/SiT9365', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nSiT9365xx-xBx-xxN\n\nLVDS LVPECL HCSL differential MEMS oscillatior', 'pins':[
            Pin(num='1',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='2',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='3',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='OUT+',func=pin_types.OUTPUT,unit=1),
            Pin(num='5',name='OUT-',func=pin_types.OUTPUT,unit=1),
            Pin(num='6',name='VDD',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TCXO3', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TCXO3'}), 'ref_prefix':'X', 'fplist':[''], 'footprint':'', 'keywords':'Temperature compensated crystal oscillator', 'description':'', 'datasheet':'http://www.hcelectronics.cz/PDF/TCXO3_A.pdf', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nTCXO3\n\nTemperature compensated crystal oscillator', 'pins':[
            Pin(num='1',name='FREQ',func=pin_types.OUTPUT,unit=1),
            Pin(num='10',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='11',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='12',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='13',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='14',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='15',name='+5V',func=pin_types.PWRIN,unit=1),
            Pin(num='16',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='17',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='18',name='Vctrl',func=pin_types.INPUT,unit=1),
            Pin(num='19',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='2',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='20',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='21',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='22',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='23',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='URef',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='5',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='6',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='7',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='8',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='9',name='NC',func=pin_types.NOCONNECT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TG2520SMN-xx.xxxxxxMhz-xxxxNM', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TG2520SMN-xx.xxxxxxMhz-xxxxNM'}), 'ref_prefix':'X', 'fplist':['Oscillator:Oscillator_SMD_SeikoEpson_TG2520SMN-xxx-xxxxxx-4Pin_2.5x2.0mm'], 'footprint':'Oscillator:Oscillator_SMD_SeikoEpson_TG2520SMN-xxx-xxxxxx-4Pin_2.5x2.0mm', 'keywords':'Crystal Clock Oscillator', 'description':'', 'datasheet':'https://support.epson.biz/td/api/doc_check.php?dl=app_TG2520SMN&lang=en', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nTG2520SMN-xx.xxxxxxMhz-xxxxNM\n\nCrystal Clock Oscillator', 'pins':[
            Pin(num='1',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='OUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='Vcc',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TXC-7C', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TXC-7C'}), 'ref_prefix':'X', 'fplist':['Oscillator:Oscillator_SMD_TXC_7C-4Pin_5.0x3.2mm'], 'footprint':'Oscillator:Oscillator_SMD_TXC_7C-4Pin_5.0x3.2mm', 'keywords':'CMOS SMD Crystal Clock Oscillator', 'description':'', 'datasheet':'http://www.txccorp.com/download/products/osc/7C_o.pdf', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nTXC-7C\n\nCMOS SMD Crystal Clock Oscillator', 'pins':[
            Pin(num='1',name='EN',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='OUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='Vdd',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'VC-81', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'VC-81'}), 'ref_prefix':'X', 'fplist':['Oscillator:Oscillator_DIP-8'], 'footprint':'Oscillator:Oscillator_DIP-8', 'keywords':'Crystal Clock Oscillator', 'description':'', 'datasheet':'http://www.scsiglobal.com/Hosonic/Documents/SCSI-VC-81&83.pdf', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nVC-81\n\nCrystal Clock Oscillator', 'pins':[
            Pin(num='1',name='Vcontrol',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='OUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='8',name='Vcc',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'XO32', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'XO32'}), 'ref_prefix':'X', 'fplist':['Oscillator:Oscillator_SMD_EuroQuartz_XO32-4Pin_3.2x2.5mm'], 'footprint':'Oscillator:Oscillator_SMD_EuroQuartz_XO32-4Pin_3.2x2.5mm', 'keywords':'Crystal Clock Oscillator', 'description':'', 'datasheet':'http://cdn-reichelt.de/documents/datenblatt/B400/XO32.pdf', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nXO32\n\nCrystal Clock Oscillator', 'pins':[
            Pin(num='1',name='EN',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='OUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='V+',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'XO53', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'XO53'}), 'ref_prefix':'X', 'fplist':['Oscillator:Oscillator_SMD_EuroQuartz_XO53-4Pin_5.0x3.2mm'], 'footprint':'Oscillator:Oscillator_SMD_EuroQuartz_XO53-4Pin_5.0x3.2mm', 'keywords':'Crystal Clock Oscillator', 'description':'', 'datasheet':'http://cdn-reichelt.de/documents/datenblatt/B400/XO53.pdf', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nXO53\n\nCrystal Clock Oscillator', 'pins':[
            Pin(num='1',name='EN',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='OUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='V+',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'XO91', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'XO91'}), 'ref_prefix':'X', 'fplist':['Oscillator:Oscillator_SMD_EuroQuartz_XO91-4Pin_7.0x5.0mm'], 'footprint':'Oscillator:Oscillator_SMD_EuroQuartz_XO91-4Pin_7.0x5.0mm', 'keywords':'Crystal Clock Oscillator', 'description':'', 'datasheet':'http://cdn-reichelt.de/documents/datenblatt/B400/XO91.pdf', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nXO91\n\nCrystal Clock Oscillator', 'pins':[
            Pin(num='1',name='EN',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='OUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='V+',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'XUX51', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'XUX51'}), 'ref_prefix':'U', 'fplist':['Oscillator:Oscillator_SMD_IDT_JS6-6_5.0x3.2mm_P1.27mm'], 'footprint':'Oscillator:Oscillator_SMD_IDT_JS6-6_5.0x3.2mm_P1.27mm', 'keywords':'OTP XHCMOS 1.8V VCXO', 'description':'', 'datasheet':'https://www.renesas.com/us/en/document/dst/xu-family-low-phase-noise-quartz-based-pll-oscillators-datasheet', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nXUX51\n\nOTP XHCMOS 1.8V VCXO', 'pins':[
            Pin(num='1',name='E/D',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='3',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='OUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='5',name='OUT2',func=pin_types.OUTPUT,unit=1),
            Pin(num='6',name='VDD',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'XUX71', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'XUX71'}), 'ref_prefix':'U', 'fplist':['Oscillator:Oscillator_SMD_IDT_JU6-6_7.0x5.0mm_P2.54mm'], 'footprint':'Oscillator:Oscillator_SMD_IDT_JU6-6_7.0x5.0mm_P2.54mm', 'keywords':'OTP XHCMOS 1.8V VCXO', 'description':'', 'datasheet':'https://www.renesas.com/us/en/document/dst/xu-family-low-phase-noise-quartz-based-pll-oscillators-datasheet', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nXUX71\n\nOTP XHCMOS 1.8V VCXO', 'pins':[
            Pin(num='1',name='E/D',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='3',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='OUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='5',name='OUT2',func=pin_types.OUTPUT,unit=1),
            Pin(num='6',name='VDD',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'XUY51', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'XUY51'}), 'ref_prefix':'U', 'fplist':['Oscillator:Oscillator_SMD_IDT_JS6-6_5.0x3.2mm_P1.27mm'], 'footprint':'Oscillator:Oscillator_SMD_IDT_JS6-6_5.0x3.2mm_P1.27mm', 'keywords':'OTP HCMOS 1.8V VCXO', 'description':'', 'datasheet':'https://www.renesas.com/us/en/document/dst/xu-family-low-phase-noise-quartz-based-pll-oscillators-datasheet', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nXUY51\n\nOTP HCMOS 1.8V VCXO', 'pins':[
            Pin(num='1',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='2',name='E/D',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='OUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='5',name='OUT2',func=pin_types.OUTPUT,unit=1),
            Pin(num='6',name='VDD',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'XUY71', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'XUY71'}), 'ref_prefix':'U', 'fplist':['Oscillator:Oscillator_SMD_IDT_JU6-6_7.0x5.0mm_P2.54mm'], 'footprint':'Oscillator:Oscillator_SMD_IDT_JU6-6_7.0x5.0mm_P2.54mm', 'keywords':'OTP HCMOS 1.8V VCXO', 'description':'', 'datasheet':'https://www.renesas.com/us/en/document/dst/xu-family-low-phase-noise-quartz-based-pll-oscillators-datasheet', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nXUY71\n\nOTP HCMOS 1.8V VCXO', 'pins':[
            Pin(num='1',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='2',name='E/D',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='OUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='5',name='OUT2',func=pin_types.OUTPUT,unit=1),
            Pin(num='6',name='VDD',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'ACO-xxxMHz', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'ACO-xxxMHz'}), 'ref_prefix':'X', 'fplist':['Oscillator:Oscillator_DIP-14', 'Oscillator:Oscillator_DIP-14'], 'footprint':'Oscillator:Oscillator_DIP-14', 'keywords':'Crystal Clock Oscillator', 'description':'', 'datasheet':'http://www.conwin.com/datasheets/cx/cx030.pdf', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nACO-xxxMHz\n\nCrystal Clock Oscillator', 'pins':[
            Pin(num='1',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='14',name='Vcc',func=pin_types.PWRIN,unit=1),
            Pin(num='7',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='8',name='OUT',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'GTXO-14T', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'GTXO-14T'}), 'ref_prefix':'X', 'fplist':['Oscillator:Oscillator_DIP-14', 'Oscillator:Oscillator_DIP-14'], 'footprint':'Oscillator:Oscillator_DIP-14', 'keywords':'Crystal Clock Oscillator', 'description':'', 'datasheet':'http://www.golledge.com/pdf/products/tcxos/gtxo14.pdf', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nGTXO-14T\n\nCrystal Clock Oscillator', 'pins':[
            Pin(num='1',name='EN',func=pin_types.INPUT,unit=1),
            Pin(num='14',name='Vcc',func=pin_types.PWRIN,unit=1),
            Pin(num='7',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='8',name='OUT',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'GTXO-14V', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'GTXO-14V'}), 'ref_prefix':'X', 'fplist':['Oscillator:Oscillator_DIP-14', 'Oscillator:Oscillator_DIP-14'], 'footprint':'Oscillator:Oscillator_DIP-14', 'keywords':'Crystal Clock Oscillator', 'description':'', 'datasheet':'http://www.golledge.com/pdf/products/tcxos/gtxo14.pdf', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nGTXO-14V\n\nCrystal Clock Oscillator', 'pins':[
            Pin(num='1',name='Vcontrol',func=pin_types.INPUT,unit=1),
            Pin(num='14',name='Vcc',func=pin_types.PWRIN,unit=1),
            Pin(num='7',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='8',name='OUT',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'GTXO-S14T', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'GTXO-S14T'}), 'ref_prefix':'X', 'fplist':['Oscillator:Oscillator_DIP-14', 'Oscillator:Oscillator_DIP-14', 'Oscillator:Oscillator_DIP-14'], 'footprint':'Oscillator:Oscillator_DIP-14', 'keywords':'Crystal Clock Oscillator', 'description':'', 'datasheet':'http://www.golledge.com/pdf/products/tcxos/gtxos14.pdf', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nGTXO-S14T\n\nCrystal Clock Oscillator', 'pins':[
            Pin(num='1',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='14',name='Vcc',func=pin_types.PWRIN,unit=1),
            Pin(num='7',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='8',name='OUT',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'GTXO-S14V', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'GTXO-S14V'}), 'ref_prefix':'X', 'fplist':['Oscillator:Oscillator_DIP-14', 'Oscillator:Oscillator_DIP-14', 'Oscillator:Oscillator_DIP-14'], 'footprint':'Oscillator:Oscillator_DIP-14', 'keywords':'Crystal Clock Oscillator', 'description':'', 'datasheet':'http://www.golledge.com/pdf/products/tcxos/gtxos14.pdf', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nGTXO-S14V\n\nCrystal Clock Oscillator', 'pins':[
            Pin(num='1',name='Vcontrol',func=pin_types.INPUT,unit=1),
            Pin(num='14',name='Vcc',func=pin_types.PWRIN,unit=1),
            Pin(num='7',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='8',name='OUT',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'JTOS-25', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'JTOS-25'}), 'ref_prefix':'X', 'fplist':['RF_Mini-Circuits:Mini-Circuits_BK377_LandPatternPL-005', 'RF_Mini-Circuits:Mini-Circuits_BK377_LandPatternPL-005'], 'footprint':'RF_Mini-Circuits:Mini-Circuits_BK377_LandPatternPL-005', 'keywords':'VCXO', 'description':'', 'datasheet':'https://www.minicircuits.com/pdfs/JTOS-25+.pdf', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nJTOS-25\n\nVCXO', 'pins':[
            Pin(num='1',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='11',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='12',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='13',name='RFout',func=pin_types.OUTPUT,unit=1),
            Pin(num='14',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='Vtune',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='7',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='8',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='9',name='GND',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LTC6905xS5-100', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LTC6905xS5-100'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:TSOT-23-5', 'Package_TO_SOT_SMD:TSOT-23-5'], 'footprint':'Package_TO_SOT_SMD:TSOT-23-5', 'keywords':'oscillator fixed frequency divider silicon', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/6905xfa.pdf', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nLTC6905xS5-100\n\noscillator fixed frequency divider silicon', 'pins':[
            Pin(num='1',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='OE',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='DIV',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='OUT',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LTC6905xS5-133', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LTC6905xS5-133'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:TSOT-23-5', 'Package_TO_SOT_SMD:TSOT-23-5', 'Package_TO_SOT_SMD:TSOT-23-5'], 'footprint':'Package_TO_SOT_SMD:TSOT-23-5', 'keywords':'oscillator fixed frequency divider silicon', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/6905xfa.pdf', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nLTC6905xS5-133\n\noscillator fixed frequency divider silicon', 'pins':[
            Pin(num='1',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='OE',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='DIV',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='OUT',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LTC6905xS5-96', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LTC6905xS5-96'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:TSOT-23-5', 'Package_TO_SOT_SMD:TSOT-23-5', 'Package_TO_SOT_SMD:TSOT-23-5', 'Package_TO_SOT_SMD:TSOT-23-5'], 'footprint':'Package_TO_SOT_SMD:TSOT-23-5', 'keywords':'oscillator fixed frequency divider silicon', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/6905xfa.pdf', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nLTC6905xS5-96\n\noscillator fixed frequency divider silicon', 'pins':[
            Pin(num='1',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='OE',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='DIV',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='OUT',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MAX7375AXR105', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MAX7375AXR105'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-323_SC-70', 'Package_TO_SOT_SMD:SOT-323_SC-70'], 'footprint':'Package_TO_SOT_SMD:SOT-323_SC-70', 'keywords':'Silicon Clock Oscillator 1MHz 1000kHz', 'description':'', 'datasheet':'https://datasheets.maximintegrated.com/en/ds/MAX7375.pdf', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nMAX7375AXR105\n\nSilicon Clock Oscillator 1MHz 1000kHz', 'pins':[
            Pin(num='1',name='V+',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='CLOCK',func=pin_types.OUTPUT,unit=1),
            Pin(num='3',name='GND',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MAX7375AXR185', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MAX7375AXR185'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-323_SC-70', 'Package_TO_SOT_SMD:SOT-323_SC-70', 'Package_TO_SOT_SMD:SOT-323_SC-70'], 'footprint':'Package_TO_SOT_SMD:SOT-323_SC-70', 'keywords':'Silicon Clock Oscillator 1,84MHz 1840kHz', 'description':'', 'datasheet':'https://datasheets.maximintegrated.com/en/ds/MAX7375.pdf', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nMAX7375AXR185\n\nSilicon Clock Oscillator 1,84MHz 1840kHz', 'pins':[
            Pin(num='1',name='V+',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='CLOCK',func=pin_types.OUTPUT,unit=1),
            Pin(num='3',name='GND',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MAX7375AXR365', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MAX7375AXR365'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-323_SC-70', 'Package_TO_SOT_SMD:SOT-323_SC-70', 'Package_TO_SOT_SMD:SOT-323_SC-70', 'Package_TO_SOT_SMD:SOT-323_SC-70'], 'footprint':'Package_TO_SOT_SMD:SOT-323_SC-70', 'keywords':'Silicon Clock Oscillator 3.58MHz 3580kHz', 'description':'', 'datasheet':'https://datasheets.maximintegrated.com/en/ds/MAX7375.pdf', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nMAX7375AXR365\n\nSilicon Clock Oscillator 3.58MHz 3580kHz', 'pins':[
            Pin(num='1',name='V+',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='CLOCK',func=pin_types.OUTPUT,unit=1),
            Pin(num='3',name='GND',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MAX7375AXR375', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MAX7375AXR375'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-323_SC-70', 'Package_TO_SOT_SMD:SOT-323_SC-70', 'Package_TO_SOT_SMD:SOT-323_SC-70', 'Package_TO_SOT_SMD:SOT-323_SC-70', 'Package_TO_SOT_SMD:SOT-323_SC-70'], 'footprint':'Package_TO_SOT_SMD:SOT-323_SC-70', 'keywords':'Silicon Clock Oscillator 3.69MHz 3690kHz', 'description':'', 'datasheet':'https://datasheets.maximintegrated.com/en/ds/MAX7375.pdf', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nMAX7375AXR375\n\nSilicon Clock Oscillator 3.69MHz 3690kHz', 'pins':[
            Pin(num='1',name='V+',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='CLOCK',func=pin_types.OUTPUT,unit=1),
            Pin(num='3',name='GND',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MAX7375AXR405', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MAX7375AXR405'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-323_SC-70', 'Package_TO_SOT_SMD:SOT-323_SC-70', 'Package_TO_SOT_SMD:SOT-323_SC-70', 'Package_TO_SOT_SMD:SOT-323_SC-70', 'Package_TO_SOT_SMD:SOT-323_SC-70', 'Package_TO_SOT_SMD:SOT-323_SC-70'], 'footprint':'Package_TO_SOT_SMD:SOT-323_SC-70', 'keywords':'Silicon Clock Oscillator 4MHz 4000kHz', 'description':'', 'datasheet':'https://datasheets.maximintegrated.com/en/ds/MAX7375.pdf', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nMAX7375AXR405\n\nSilicon Clock Oscillator 4MHz 4000kHz', 'pins':[
            Pin(num='1',name='V+',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='CLOCK',func=pin_types.OUTPUT,unit=1),
            Pin(num='3',name='GND',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MAX7375AXR425', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MAX7375AXR425'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-323_SC-70', 'Package_TO_SOT_SMD:SOT-323_SC-70', 'Package_TO_SOT_SMD:SOT-323_SC-70', 'Package_TO_SOT_SMD:SOT-323_SC-70', 'Package_TO_SOT_SMD:SOT-323_SC-70', 'Package_TO_SOT_SMD:SOT-323_SC-70', 'Package_TO_SOT_SMD:SOT-323_SC-70'], 'footprint':'Package_TO_SOT_SMD:SOT-323_SC-70', 'keywords':'Silicon Clock Oscillator 4.19MHz 4190kHz', 'description':'', 'datasheet':'https://datasheets.maximintegrated.com/en/ds/MAX7375.pdf', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nMAX7375AXR425\n\nSilicon Clock Oscillator 4.19MHz 4190kHz', 'pins':[
            Pin(num='1',name='V+',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='CLOCK',func=pin_types.OUTPUT,unit=1),
            Pin(num='3',name='GND',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SG-210SCD', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SG-210SCD'}), 'ref_prefix':'X', 'fplist':['Oscillator:Oscillator_SMD_SeikoEpson_SG210-4Pin_2.5x2.0mm', 'Oscillator:Oscillator_SMD_SeikoEpson_SG210-4Pin_2.5x2.0mm'], 'footprint':'Oscillator:Oscillator_SMD_SeikoEpson_SG210-4Pin_2.5x2.0mm', 'keywords':'Crystal Clock Oscillator', 'description':'', 'datasheet':'https://support.epson.biz/td/api/doc_check.php?mode=dl&lang=en&Parts=SG-210SED', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nSG-210SCD\n\nCrystal Clock Oscillator', 'pins':[
            Pin(num='1',name='OE',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='OUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='Vcc',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SG-210SDD', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SG-210SDD'}), 'ref_prefix':'X', 'fplist':['Oscillator:Oscillator_SMD_SeikoEpson_SG210-4Pin_2.5x2.0mm', 'Oscillator:Oscillator_SMD_SeikoEpson_SG210-4Pin_2.5x2.0mm', 'Oscillator:Oscillator_SMD_SeikoEpson_SG210-4Pin_2.5x2.0mm'], 'footprint':'Oscillator:Oscillator_SMD_SeikoEpson_SG210-4Pin_2.5x2.0mm', 'keywords':'Crystal Clock Oscillator', 'description':'', 'datasheet':'https://support.epson.biz/td/api/doc_check.php?mode=dl&lang=en&Parts=SG-210SED', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nSG-210SDD\n\nCrystal Clock Oscillator', 'pins':[
            Pin(num='1',name='OE',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='OUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='Vcc',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SG-211', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SG-211'}), 'ref_prefix':'X', 'fplist':['Oscillator:Oscillator_SMD_SeikoEpson_SG210-4Pin_2.5x2.0mm', 'Oscillator:Oscillator_SMD_SeikoEpson_SG210-4Pin_2.5x2.0mm'], 'footprint':'Oscillator:Oscillator_SMD_SeikoEpson_SG210-4Pin_2.5x2.0mm', 'keywords':'Crystal Clock Oscillator', 'description':'', 'datasheet':'https://support.epson.biz/td/api/doc_check.php?mode=dl&lang=en&Parts=SG-211SEE', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nSG-211\n\nCrystal Clock Oscillator', 'pins':[
            Pin(num='1',name='~{ST}',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='OUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='Vcc',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SG-5032CBN', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SG-5032CBN'}), 'ref_prefix':'X', 'fplist':['Oscillator:Oscillator_SMD_SeikoEpson_SG8002LB-4Pin_5.0x3.2mm', 'Oscillator:Oscillator_SMD_SeikoEpson_SG8002LB-4Pin_5.0x3.2mm'], 'footprint':'Oscillator:Oscillator_SMD_SeikoEpson_SG8002LB-4Pin_5.0x3.2mm', 'keywords':'Crystal Clock Oscillator', 'description':'', 'datasheet':'https://support.epson.biz/td/api/doc_check.php?dl=brief_SG5032CBN&lang=en', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nSG-5032CBN\n\nCrystal Clock Oscillator', 'pins':[
            Pin(num='1',name='~{ST}',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='OUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='VCC',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SG-5032CCN', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SG-5032CCN'}), 'ref_prefix':'X', 'fplist':['Oscillator:Oscillator_SMD_SeikoEpson_SG8002LB-4Pin_5.0x3.2mm', 'Oscillator:Oscillator_SMD_SeikoEpson_SG8002LB-4Pin_5.0x3.2mm'], 'footprint':'Oscillator:Oscillator_SMD_SeikoEpson_SG8002LB-4Pin_5.0x3.2mm', 'keywords':'Crystal Clock Oscillator', 'description':'', 'datasheet':'https://support.epson.biz/td/api/doc_check.php?dl=brief_SG5032CCN&lang=en', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nSG-5032CCN\n\nCrystal Clock Oscillator', 'pins':[
            Pin(num='1',name='OE',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='OUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='Vcc',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SG-51', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SG-51'}), 'ref_prefix':'X', 'fplist':['Oscillator:Oscillator_SeikoEpson_SG-8002DB', 'Oscillator:Oscillator_SeikoEpson_SG-8002DB'], 'footprint':'Oscillator:Oscillator_SeikoEpson_SG-8002DB', 'keywords':'Crystal Clock Oscillator', 'description':'', 'datasheet':'https://support.epson.biz/td/api/doc_check.php?mode=dl&lang=en&Parts=SG-51P', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nSG-51\n\nCrystal Clock Oscillator', 'pins':[
            Pin(num='1',name='OE',func=pin_types.INPUT,unit=1),
            Pin(num='14',name='Vcc',func=pin_types.PWRIN,unit=1),
            Pin(num='7',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='8',name='OUT',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SG-531', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SG-531'}), 'ref_prefix':'X', 'fplist':['Oscillator:Oscillator_SeikoEpson_SG-8002DC', 'Oscillator:Oscillator_SeikoEpson_SG-8002DC'], 'footprint':'Oscillator:Oscillator_SeikoEpson_SG-8002DC', 'keywords':'Crystal Clock Oscillator', 'description':'', 'datasheet':'https://support.epson.biz/td/api/doc_check.php?mode=dl&lang=en&Parts=SG-51P', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nSG-531\n\nCrystal Clock Oscillator', 'pins':[
            Pin(num='1',name='OE',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='OUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='8',name='Vcc',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SG-615', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SG-615'}), 'ref_prefix':'X', 'fplist':['Oscillator:Oscillator_SMD_SeikoEpson_SG8002JA-4Pin_14.0x8.7mm', 'Oscillator:Oscillator_SMD_SeikoEpson_SG8002JA-4Pin_14.0x8.7mm'], 'footprint':'Oscillator:Oscillator_SMD_SeikoEpson_SG8002JA-4Pin_14.0x8.7mm', 'keywords':'Crystal Clock Oscillator', 'description':'', 'datasheet':'https://support.epson.biz/td/api/doc_check.php?mode=dl&lang=en&Parts=SG-51P', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nSG-615\n\nCrystal Clock Oscillator', 'pins':[
            Pin(num='1',name='OE',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='OUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='Vcc',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SG-7050CBN', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SG-7050CBN'}), 'ref_prefix':'X', 'fplist':['Oscillator:Oscillator_SMD_SeikoEpson_SG8002CA-4Pin_7.0x5.0mm', 'Oscillator:Oscillator_SMD_SeikoEpson_SG8002CA-4Pin_7.0x5.0mm'], 'footprint':'Oscillator:Oscillator_SMD_SeikoEpson_SG8002CA-4Pin_7.0x5.0mm', 'keywords':'Crystal Clock Oscillator', 'description':'', 'datasheet':'https://support.epson.biz/td/api/doc_check.php?dl=brief_SG7050CBN&lang=en', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nSG-7050CBN\n\nCrystal Clock Oscillator', 'pins':[
            Pin(num='1',name='~{ST}',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='OUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='VCC',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SG-7050CCN', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SG-7050CCN'}), 'ref_prefix':'X', 'fplist':['Oscillator:Oscillator_SMD_SeikoEpson_SG8002CA-4Pin_7.0x5.0mm', 'Oscillator:Oscillator_SMD_SeikoEpson_SG8002CA-4Pin_7.0x5.0mm'], 'footprint':'Oscillator:Oscillator_SMD_SeikoEpson_SG8002CA-4Pin_7.0x5.0mm', 'keywords':'Crystal Clock Oscillator', 'description':'', 'datasheet':'https://support.epson.biz/td/api/doc_check.php?dl=brief_SG7050CAN&lang=en', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nSG-7050CCN\n\nCrystal Clock Oscillator', 'pins':[
            Pin(num='1',name='OE',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='OUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='Vcc',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SiT9366xx-xBx-xxE', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SiT9366xx-xBx-xxE'}), 'ref_prefix':'X', 'fplist':['Oscillator:Oscillator_SMD_SiTime_PQFD-6L_3.2x2.5mm', 'Oscillator:Oscillator_SMD_SiTime_PQFD-6L_3.2x2.5mm'], 'footprint':'Oscillator:Oscillator_SMD_SiTime_PQFD-6L_3.2x2.5mm', 'keywords':'LVDS LVPECL HCSL differential MEMS oscillatior', 'description':'', 'datasheet':'https://www.sitime.com/datasheet/SiT9366', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nSiT9366xx-xBx-xxE\n\nLVDS LVPECL HCSL differential MEMS oscillatior', 'pins':[
            Pin(num='1',name='OE',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='3',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='OUT+',func=pin_types.OUTPUT,unit=1),
            Pin(num='5',name='OUT-',func=pin_types.OUTPUT,unit=1),
            Pin(num='6',name='VDD',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SiT9366xx-xBx-xxN', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SiT9366xx-xBx-xxN'}), 'ref_prefix':'X', 'fplist':['Oscillator:Oscillator_SMD_SiTime_PQFD-6L_3.2x2.5mm', 'Oscillator:Oscillator_SMD_SiTime_PQFD-6L_3.2x2.5mm'], 'footprint':'Oscillator:Oscillator_SMD_SiTime_PQFD-6L_3.2x2.5mm', 'keywords':'LVDS LVPECL HCSL differential MEMS oscillatior', 'description':'', 'datasheet':'https://www.sitime.com/datasheet/SiT9366', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nSiT9366xx-xBx-xxN\n\nLVDS LVPECL HCSL differential MEMS oscillatior', 'pins':[
            Pin(num='1',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='2',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='3',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='OUT+',func=pin_types.OUTPUT,unit=1),
            Pin(num='5',name='OUT-',func=pin_types.OUTPUT,unit=1),
            Pin(num='6',name='VDD',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SiT9367xx-xBx-xxE', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SiT9367xx-xBx-xxE'}), 'ref_prefix':'X', 'fplist':['Oscillator:Oscillator_SMD_SiTime_PQFD-6L_3.2x2.5mm', 'Oscillator:Oscillator_SMD_SiTime_PQFD-6L_3.2x2.5mm', 'Oscillator:Oscillator_SMD_SiTime_PQFD-6L_3.2x2.5mm'], 'footprint':'Oscillator:Oscillator_SMD_SiTime_PQFD-6L_3.2x2.5mm', 'keywords':'LVDS LVPECL HCSL differential MEMS oscillatior', 'description':'', 'datasheet':'https://www.sitime.com/datasheet/SiT9367', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nSiT9367xx-xBx-xxE\n\nLVDS LVPECL HCSL differential MEMS oscillatior', 'pins':[
            Pin(num='1',name='OE',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='3',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='OUT+',func=pin_types.OUTPUT,unit=1),
            Pin(num='5',name='OUT-',func=pin_types.OUTPUT,unit=1),
            Pin(num='6',name='VDD',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SiT9367xx-xBx-xxN', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SiT9367xx-xBx-xxN'}), 'ref_prefix':'X', 'fplist':['Oscillator:Oscillator_SMD_SiTime_PQFD-6L_3.2x2.5mm', 'Oscillator:Oscillator_SMD_SiTime_PQFD-6L_3.2x2.5mm', 'Oscillator:Oscillator_SMD_SiTime_PQFD-6L_3.2x2.5mm'], 'footprint':'Oscillator:Oscillator_SMD_SiTime_PQFD-6L_3.2x2.5mm', 'keywords':'LVDS LVPECL HCSL differential MEMS oscillatior', 'description':'', 'datasheet':'https://www.sitime.com/datasheet/SiT9367', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nSiT9367xx-xBx-xxN\n\nLVDS LVPECL HCSL differential MEMS oscillatior', 'pins':[
            Pin(num='1',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='2',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='3',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='OUT+',func=pin_types.OUTPUT,unit=1),
            Pin(num='5',name='OUT-',func=pin_types.OUTPUT,unit=1),
            Pin(num='6',name='VDD',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TCXO-14', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TCXO-14'}), 'ref_prefix':'X', 'fplist':['Oscillator:Oscillator_DIP-14', 'Oscillator:Oscillator_DIP-14', 'Oscillator:Oscillator_DIP-14', 'Oscillator:Oscillator_DIP-14'], 'footprint':'Oscillator:Oscillator_DIP-14', 'keywords':'Crystal Clock Oscillator', 'description':'', 'datasheet':'http://www.golledge.com/pdf/products/tcxos/gtxos14.pdf', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nTCXO-14\n\nCrystal Clock Oscillator', 'pins':[
            Pin(num='1',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='14',name='Vcc',func=pin_types.PWRIN,unit=1),
            Pin(num='7',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='8',name='OUT',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TFT660', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TFT660'}), 'ref_prefix':'X', 'fplist':['Oscillator:Oscillator_DIP-8', 'Oscillator:Oscillator_DIP-8'], 'footprint':'Oscillator:Oscillator_DIP-8', 'keywords':'Crystal Clock Oscillator', 'description':'', 'datasheet':'http://cdn-reichelt.de/documents/datenblatt/B400/OSZI.pdf', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nTFT660\n\nCrystal Clock Oscillator', 'pins':[
            Pin(num='1',name='EN',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='OUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='8',name='Vcc',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TFT680', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TFT680'}), 'ref_prefix':'X', 'fplist':['Oscillator:Oscillator_DIP-14', 'Oscillator:Oscillator_DIP-14', 'Oscillator:Oscillator_DIP-14'], 'footprint':'Oscillator:Oscillator_DIP-14', 'keywords':'Crystal Clock Oscillator', 'description':'', 'datasheet':'http://cdn-reichelt.de/documents/datenblatt/B400/OSZI.pdf', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nTFT680\n\nCrystal Clock Oscillator', 'pins':[
            Pin(num='1',name='EN',func=pin_types.INPUT,unit=1),
            Pin(num='14',name='Vcc',func=pin_types.PWRIN,unit=1),
            Pin(num='7',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='8',name='OUT',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'VC-83', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'VC-83'}), 'ref_prefix':'X', 'fplist':['Oscillator:Oscillator_DIP-8', 'Oscillator:Oscillator_DIP-8'], 'footprint':'Oscillator:Oscillator_DIP-8', 'keywords':'Crystal Clock Oscillator', 'description':'', 'datasheet':'http://www.scsiglobal.com/Hosonic/Documents/SCSI-VC-81&83.pdf', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nVC-83\n\nCrystal Clock Oscillator', 'pins':[
            Pin(num='1',name='Vcontrol',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='OUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='8',name='Vcc',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'VTCXO-14', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'VTCXO-14'}), 'ref_prefix':'X', 'fplist':['Oscillator:Oscillator_DIP-14', 'Oscillator:Oscillator_DIP-14', 'Oscillator:Oscillator_DIP-14', 'Oscillator:Oscillator_DIP-14'], 'footprint':'Oscillator:Oscillator_DIP-14', 'keywords':'Crystal Clock Oscillator', 'description':'', 'datasheet':'http://www.golledge.com/pdf/products/tcxos/gtxos14.pdf', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nVTCXO-14\n\nCrystal Clock Oscillator', 'pins':[
            Pin(num='1',name='Vcontrol',func=pin_types.INPUT,unit=1),
            Pin(num='14',name='Vcc',func=pin_types.PWRIN,unit=1),
            Pin(num='7',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='8',name='OUT',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'XUX52', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'XUX52'}), 'ref_prefix':'U', 'fplist':['Oscillator:Oscillator_SMD_IDT_JS6-6_5.0x3.2mm_P1.27mm', 'Oscillator:Oscillator_SMD_IDT_JS6-6_5.0x3.2mm_P1.27mm'], 'footprint':'Oscillator:Oscillator_SMD_IDT_JS6-6_5.0x3.2mm_P1.27mm', 'keywords':'OTP XHCMOS 2.5V VCXO', 'description':'', 'datasheet':'https://www.renesas.com/us/en/document/dst/xu-family-low-phase-noise-quartz-based-pll-oscillators-datasheet', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nXUX52\n\nOTP XHCMOS 2.5V VCXO', 'pins':[
            Pin(num='1',name='E/D',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='3',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='OUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='5',name='OUT2',func=pin_types.OUTPUT,unit=1),
            Pin(num='6',name='VDD',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'XUX53', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'XUX53'}), 'ref_prefix':'U', 'fplist':['Oscillator:Oscillator_SMD_IDT_JS6-6_5.0x3.2mm_P1.27mm', 'Oscillator:Oscillator_SMD_IDT_JS6-6_5.0x3.2mm_P1.27mm', 'Oscillator:Oscillator_SMD_IDT_JS6-6_5.0x3.2mm_P1.27mm'], 'footprint':'Oscillator:Oscillator_SMD_IDT_JS6-6_5.0x3.2mm_P1.27mm', 'keywords':'OTP XHCMOS 3.3V VCXO', 'description':'', 'datasheet':'https://www.renesas.com/us/en/document/dst/xu-family-low-phase-noise-quartz-based-pll-oscillators-datasheet', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nXUX53\n\nOTP XHCMOS 3.3V VCXO', 'pins':[
            Pin(num='1',name='E/D',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='3',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='OUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='5',name='OUT2',func=pin_types.OUTPUT,unit=1),
            Pin(num='6',name='VDD',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'XUX72', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'XUX72'}), 'ref_prefix':'U', 'fplist':['Oscillator:Oscillator_SMD_IDT_JU6-6_7.0x5.0mm_P2.54mm', 'Oscillator:Oscillator_SMD_IDT_JU6-6_7.0x5.0mm_P2.54mm'], 'footprint':'Oscillator:Oscillator_SMD_IDT_JU6-6_7.0x5.0mm_P2.54mm', 'keywords':'OTP XHCMOS 2.5V VCXO', 'description':'', 'datasheet':'https://www.renesas.com/us/en/document/dst/xu-family-low-phase-noise-quartz-based-pll-oscillators-datasheet', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nXUX72\n\nOTP XHCMOS 2.5V VCXO', 'pins':[
            Pin(num='1',name='E/D',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='3',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='OUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='5',name='OUT2',func=pin_types.OUTPUT,unit=1),
            Pin(num='6',name='VDD',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'XUX73', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'XUX73'}), 'ref_prefix':'U', 'fplist':['Oscillator:Oscillator_SMD_IDT_JU6-6_7.0x5.0mm_P2.54mm', 'Oscillator:Oscillator_SMD_IDT_JU6-6_7.0x5.0mm_P2.54mm', 'Oscillator:Oscillator_SMD_IDT_JU6-6_7.0x5.0mm_P2.54mm'], 'footprint':'Oscillator:Oscillator_SMD_IDT_JU6-6_7.0x5.0mm_P2.54mm', 'keywords':'OTP XHCMOS 3.3V VCXO', 'description':'', 'datasheet':'https://www.renesas.com/us/en/document/dst/xu-family-low-phase-noise-quartz-based-pll-oscillators-datasheet', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nXUX73\n\nOTP XHCMOS 3.3V VCXO', 'pins':[
            Pin(num='1',name='E/D',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='3',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='OUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='5',name='OUT2',func=pin_types.OUTPUT,unit=1),
            Pin(num='6',name='VDD',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'XUY52', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'XUY52'}), 'ref_prefix':'U', 'fplist':['Oscillator:Oscillator_SMD_IDT_JS6-6_5.0x3.2mm_P1.27mm', 'Oscillator:Oscillator_SMD_IDT_JS6-6_5.0x3.2mm_P1.27mm'], 'footprint':'Oscillator:Oscillator_SMD_IDT_JS6-6_5.0x3.2mm_P1.27mm', 'keywords':'OTP XHCMOS 2.5V VCXO', 'description':'', 'datasheet':'https://www.renesas.com/us/en/document/dst/xu-family-low-phase-noise-quartz-based-pll-oscillators-datasheet', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nXUY52\n\nOTP XHCMOS 2.5V VCXO', 'pins':[
            Pin(num='1',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='2',name='E/D',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='OUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='5',name='OUT2',func=pin_types.OUTPUT,unit=1),
            Pin(num='6',name='VDD',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'XUY53', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'XUY53'}), 'ref_prefix':'U', 'fplist':['Oscillator:Oscillator_SMD_IDT_JS6-6_5.0x3.2mm_P1.27mm', 'Oscillator:Oscillator_SMD_IDT_JS6-6_5.0x3.2mm_P1.27mm', 'Oscillator:Oscillator_SMD_IDT_JS6-6_5.0x3.2mm_P1.27mm'], 'footprint':'Oscillator:Oscillator_SMD_IDT_JS6-6_5.0x3.2mm_P1.27mm', 'keywords':'OTP XHCMOS 3.3V VCXO', 'description':'', 'datasheet':'https://www.renesas.com/us/en/document/dst/xu-family-low-phase-noise-quartz-based-pll-oscillators-datasheet', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nXUY53\n\nOTP XHCMOS 3.3V VCXO', 'pins':[
            Pin(num='1',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='2',name='E/D',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='OUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='5',name='OUT2',func=pin_types.OUTPUT,unit=1),
            Pin(num='6',name='VDD',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'XUY72', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'XUY72'}), 'ref_prefix':'U', 'fplist':['Oscillator:Oscillator_SMD_IDT_JU6-6_7.0x5.0mm_P2.54mm', 'Oscillator:Oscillator_SMD_IDT_JU6-6_7.0x5.0mm_P2.54mm'], 'footprint':'Oscillator:Oscillator_SMD_IDT_JU6-6_7.0x5.0mm_P2.54mm', 'keywords':'OTP XHCMOS 2.5V VCXO', 'description':'', 'datasheet':'https://www.renesas.com/us/en/document/dst/xu-family-low-phase-noise-quartz-based-pll-oscillators-datasheet', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nXUY72\n\nOTP XHCMOS 2.5V VCXO', 'pins':[
            Pin(num='1',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='2',name='E/D',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='OUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='5',name='OUT2',func=pin_types.OUTPUT,unit=1),
            Pin(num='6',name='VDD',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'XUY73', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'XUY73'}), 'ref_prefix':'U', 'fplist':['Oscillator:Oscillator_SMD_IDT_JU6-6_7.0x5.0mm_P2.54mm', 'Oscillator:Oscillator_SMD_IDT_JU6-6_7.0x5.0mm_P2.54mm', 'Oscillator:Oscillator_SMD_IDT_JU6-6_7.0x5.0mm_P2.54mm'], 'footprint':'Oscillator:Oscillator_SMD_IDT_JU6-6_7.0x5.0mm_P2.54mm', 'keywords':'OTP XHCMOS 3.3V VCXO', 'description':'', 'datasheet':'https://www.renesas.com/us/en/document/dst/xu-family-low-phase-noise-quartz-based-pll-oscillators-datasheet', 'search_text':'/usr/share/kicad/symbols/Oscillator.kicad_sym\nXUY73\n\nOTP XHCMOS 3.3V VCXO', 'pins':[
            Pin(num='1',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='2',name='E/D',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='OUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='5',name='OUT2',func=pin_types.OUTPUT,unit=1),
            Pin(num='6',name='VDD',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] })])