from collections import defaultdict
from skidl import Pin, Part, Alias, SchLib, SKIDL, TEMPLATE

from skidl.pin import pin_types

SKIDL_lib_version = '0.0.1'

RF_Amplifier = SchLib(tool=SKIDL).add_parts(*[
        Part(**{ 'name':'AD8313xRM', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AD8313xRM'}), 'ref_prefix':'U', 'fplist':['Package_SO:MSOP-8_3x3mm_P0.65mm'], 'footprint':'Package_SO:MSOP-8_3x3mm_P0.65mm', 'keywords':'RF LOG POWER DETECTOR', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/AD8313.pdf', 'search_text':'/usr/share/kicad/symbols/RF_Amplifier.kicad_sym\nAD8313xRM\n\nRF LOG POWER DETECTOR', 'pins':[
            Pin(num='1',name='VPOS',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='INHI',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='INLO',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='VPOS',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='PWDN',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='COMM',func=pin_types.PWRIN,unit=1),
            Pin(num='7',name='VSET',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='VOUT',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'ADL5542', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'ADL5542'}), 'ref_prefix':'U', 'fplist':['Package_CSP:Analog_LFCSP-8-1EP_3x3mm_P0.5mm_EP1.53x1.85mm'], 'footprint':'Package_CSP:Analog_LFCSP-8-1EP_3x3mm_P0.5mm_EP1.53x1.85mm', 'keywords':'RF GAIN BLOCK', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/ADL5542.pdf', 'search_text':'/usr/share/kicad/symbols/RF_Amplifier.kicad_sym\nADL5542\n\nRF GAIN BLOCK', 'pins':[
            Pin(num='1',name='~',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='G',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='CB',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='V+',func=pin_types.PWRIN,unit=1),
            Pin(num='8',name='~',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BGA2866', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BGA2866'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-363_SC-70-6'], 'footprint':'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'keywords':'RF GAIN BLOCK', 'description':'', 'datasheet':'https://www.nxp.com/docs/en/data-sheet/BGA2866.pdf', 'search_text':'/usr/share/kicad/symbols/RF_Amplifier.kicad_sym\nBGA2866\n\nRF GAIN BLOCK', 'pins':[
            Pin(num='1',name='Vcc',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='G',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='G',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='G',func=pin_types.PASSIVE,unit=1),
            Pin(num='6',name='~',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'CMX901', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'CMX901'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-28-1EP_5x5mm_P0.5mm_EP3.35x3.35mm_ThermalVias'], 'footprint':'Package_DFN_QFN:QFN-28-1EP_5x5mm_P0.5mm_EP3.35x3.35mm_ThermalVias', 'keywords':'RF POWER AMPLIFIER BROADBAND', 'description':'', 'datasheet':'https://www.cmlmicro.com/wp-content/uploads/2017/10/CMX901_ds.pdf', 'search_text':'/usr/share/kicad/symbols/RF_Amplifier.kicad_sym\nCMX901\n\nRF POWER AMPLIFIER BROADBAND', 'pins':[
            Pin(num='10',name='GND',func=pin_types.PASSIVE),
            Pin(num='11',name='GND',func=pin_types.PASSIVE),
            Pin(num='12',name='GND',func=pin_types.PASSIVE),
            Pin(num='13',name='GND',func=pin_types.PASSIVE),
            Pin(num='15',name='GND',func=pin_types.PASSIVE),
            Pin(num='2',name='GND',func=pin_types.PWRIN),
            Pin(num='21',name='GND',func=pin_types.PASSIVE),
            Pin(num='22',name='GND',func=pin_types.PASSIVE),
            Pin(num='23',name='GND',func=pin_types.PASSIVE),
            Pin(num='25',name='GND',func=pin_types.PASSIVE),
            Pin(num='27',name='GND',func=pin_types.PASSIVE),
            Pin(num='29',name='GND',func=pin_types.PASSIVE),
            Pin(num='4',name='GND',func=pin_types.PASSIVE),
            Pin(num='6',name='GND',func=pin_types.PASSIVE),
            Pin(num='7',name='GND',func=pin_types.PASSIVE),
            Pin(num='9',name='GND',func=pin_types.PASSIVE),
            Pin(num='1',name='VDD1',func=pin_types.PWRIN,unit=1),
            Pin(num='14',name='VA',func=pin_types.PWRIN,unit=1),
            Pin(num='16',name='RFOUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='17',name='RFOUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='18',name='RFOUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='19',name='RFOUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='20',name='RFOUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='24',name='VGS3',func=pin_types.INPUT,unit=1),
            Pin(num='26',name='VDD2',func=pin_types.PWRIN,unit=1),
            Pin(num='28',name='VGS2',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='RFIN',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='RFIN',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='VGS1',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'HMC1099PM5E', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'HMC1099PM5E'}), 'ref_prefix':'U', 'fplist':['Package_CSP:LFCSP-32-1EP_5x5mm_P0.5mm_EP3.1x3.1mm'], 'footprint':'Package_CSP:LFCSP-32-1EP_5x5mm_P0.5mm_EP3.1x3.1mm', 'keywords':'RF Amplifier', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/HMC1099PM5E.pdf', 'search_text':'/usr/share/kicad/symbols/RF_Amplifier.kicad_sym\nHMC1099PM5E\n\nRF Amplifier', 'pins':[
            Pin(num='1',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='11',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='12',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='13',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='14',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='15',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='16',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='17',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='18',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='19',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='20',name='~',func=pin_types.OUTPUT,unit=1),
            Pin(num='21',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='22',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='23',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='24',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='25',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='26',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='27',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='28',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='29',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='30',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='31',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='32',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='33',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='~',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='~',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='7',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='8',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='9',name='GND',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MAX2679', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MAX2679'}), 'ref_prefix':'U', 'fplist':['Package_BGA:WLP-4_0.83x0.83mm_P0.4mm'], 'footprint':'Package_BGA:WLP-4_0.83x0.83mm_P0.4mm', 'keywords':'RF GAIN BLOCK', 'description':'', 'datasheet':'https://datasheets.maximintegrated.com/en/ds/MAX2679-MAX2679B.pdf', 'search_text':'/usr/share/kicad/symbols/RF_Amplifier.kicad_sym\nMAX2679\n\nRF GAIN BLOCK', 'pins':[
            Pin(num='A1',name='Vcc',func=pin_types.PWRIN,unit=1),
            Pin(num='A2',name='~',func=pin_types.OUTPUT,unit=1),
            Pin(num='B1',name='~',func=pin_types.INPUT,unit=1),
            Pin(num='B2',name='G',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MMZ09332BT1', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MMZ09332BT1'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-12-1EP_3x3mm_P0.5mm_EP1.6x1.6mm_ThermalVias'], 'footprint':'Package_DFN_QFN:QFN-12-1EP_3x3mm_P0.5mm_EP1.6x1.6mm_ThermalVias', 'keywords':'RF', 'description':'', 'datasheet':'https://www.nxp.com/docs/en/data-sheet/MMZ09332B.pdf', 'search_text':'/usr/share/kicad/symbols/RF_Amplifier.kicad_sym\nMMZ09332BT1\n\nRF', 'pins':[
            Pin(num='1',name='VBA1',func=pin_types.INPUT,unit=1),
            Pin(num='10',name='POWER_DOWN',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='VCC1',func=pin_types.PWRIN,unit=1),
            Pin(num='12',name='VBA2',func=pin_types.INPUT,unit=1),
            Pin(num='13',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='VBIAS',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='RF_IN',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='5',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='6',name='PDET',func=pin_types.OUTPUT,unit=1),
            Pin(num='7',name='VCC2/RFOUT',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='VCC2/RFOUT',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='VCC2/RFOUT',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'QPL9547', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'QPL9547'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:DFN-8-1EP_2x2mm_P0.5mm_EP0.8x1.6mm'], 'footprint':'Package_DFN_QFN:DFN-8-1EP_2x2mm_P0.5mm_EP0.8x1.6mm', 'keywords':'RF GAIN BLOCK', 'description':'', 'datasheet':'https://www.qorvo.com/products/d/da007268', 'search_text':'/usr/share/kicad/symbols/RF_Amplifier.kicad_sym\nQPL9547\n\nRF GAIN BLOCK', 'pins':[
            Pin(num='1',name='Vb',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='~',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='6',name='~{EN}',func=pin_types.PASSIVE,unit=1),
            Pin(num='7',name='~',func=pin_types.OUTPUT,unit=1),
            Pin(num='8',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='9',name='GND',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SGL0622Z', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SGL0622Z'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:DFN-8-1EP_2x2mm_P0.5mm_EP0.6x1.2mm'], 'footprint':'Package_DFN_QFN:DFN-8-1EP_2x2mm_P0.5mm_EP0.6x1.2mm', 'keywords':'rf gain block', 'description':'', 'datasheet':'https://www.qorvo.com/products/d/da001879', 'search_text':'/usr/share/kicad/symbols/RF_Amplifier.kicad_sym\nSGL0622Z\n\nrf gain block', 'pins':[
            Pin(num='9',name='GND',func=pin_types.PASSIVE),
            Pin(num='1',name='~',func=pin_types.OUTPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='~',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='6',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='7',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='8',name='GND',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SKY65404', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SKY65404'}), 'ref_prefix':'U', 'fplist':['RF:Skyworks_SKY65404-31'], 'footprint':'RF:Skyworks_SKY65404-31', 'keywords':'LNA low noise amplifier RF', 'description':'', 'datasheet':'http://www.skyworksinc.com/uploads/documents/SKY65404_31_201512K.pdf', 'search_text':'/usr/share/kicad/symbols/RF_Amplifier.kicad_sym\nSKY65404\n\nLNA low noise amplifier RF', 'pins':[
            Pin(num='1',name='VENABLE',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='RFIN',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='RFOUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='5',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='6',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='7',name='EP',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SPF5189Z', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SPF5189Z'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-89-3'], 'footprint':'Package_TO_SOT_SMD:SOT-89-3', 'keywords':'RF GAIN BLOCK', 'description':'', 'datasheet':'www.qorvo.com/products/d/da001910', 'search_text':'/usr/share/kicad/symbols/RF_Amplifier.kicad_sym\nSPF5189Z\n\nRF GAIN BLOCK', 'pins':[
            Pin(num='1',name='~',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TRF37A73', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TRF37A73'}), 'ref_prefix':'U', 'fplist':['Package_SON:WSON-8-1EP_2x2mm_P0.5mm_EP0.9x1.6mm'], 'footprint':'Package_SON:WSON-8-1EP_2x2mm_P0.5mm_EP0.9x1.6mm', 'keywords':'gain block RF', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/trf37a73.pdf', 'search_text':'/usr/share/kicad/symbols/RF_Amplifier.kicad_sym\nTRF37A73\n\ngain block RF', 'pins':[
            Pin(num='1',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='RFIN',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='4',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='5',name='PWDN',func=pin_types.PASSIVE,unit=1),
            Pin(num='6',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='7',name='RFOUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='8',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='9',name='GND',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'ADL5541', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'ADL5541'}), 'ref_prefix':'U', 'fplist':['Package_CSP:Analog_LFCSP-8-1EP_3x3mm_P0.5mm_EP1.53x1.85mm', 'Package_CSP:Analog_LFCSP-8-1EP_3x3mm_P0.5mm_EP1.53x1.85mm'], 'footprint':'Package_CSP:Analog_LFCSP-8-1EP_3x3mm_P0.5mm_EP1.53x1.85mm', 'keywords':'RF GAIN BLOCK', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/ADL5541.pdf', 'search_text':'/usr/share/kicad/symbols/RF_Amplifier.kicad_sym\nADL5541\n\nRF GAIN BLOCK', 'pins':[
            Pin(num='1',name='~',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='G',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='CB',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='V+',func=pin_types.PWRIN,unit=1),
            Pin(num='8',name='~',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'ADL5610', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'ADL5610'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3'], 'footprint':'Package_TO_SOT_SMD:SOT-89-3', 'keywords':'RF GAIN BLOCK', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/ADL5610.pdf', 'search_text':'/usr/share/kicad/symbols/RF_Amplifier.kicad_sym\nADL5610\n\nRF GAIN BLOCK', 'pins':[
            Pin(num='1',name='~',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BGA2800', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BGA2800'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6'], 'footprint':'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'keywords':'RF GAIN BLOCK', 'description':'', 'datasheet':'https://www.nxp.com/docs/en/data-sheet/BGA2800.pdf', 'search_text':'/usr/share/kicad/symbols/RF_Amplifier.kicad_sym\nBGA2800\n\nRF GAIN BLOCK', 'pins':[
            Pin(num='1',name='Vcc',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='G',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='G',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='G',func=pin_types.PASSIVE,unit=1),
            Pin(num='6',name='~',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BGA2801', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BGA2801'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6'], 'footprint':'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'keywords':'RF GAIN BLOCK', 'description':'', 'datasheet':'https://www.nxp.com/docs/en/data-sheet/BGA2801.pdf', 'search_text':'/usr/share/kicad/symbols/RF_Amplifier.kicad_sym\nBGA2801\n\nRF GAIN BLOCK', 'pins':[
            Pin(num='1',name='Vcc',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='G',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='G',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='G',func=pin_types.PASSIVE,unit=1),
            Pin(num='6',name='~',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BGA2803', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BGA2803'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6'], 'footprint':'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'keywords':'RF GAIN BLOCK', 'description':'', 'datasheet':'https://www.nxp.com/docs/en/data-sheet/BGA2803.pdf', 'search_text':'/usr/share/kicad/symbols/RF_Amplifier.kicad_sym\nBGA2803\n\nRF GAIN BLOCK', 'pins':[
            Pin(num='1',name='Vcc',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='G',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='G',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='G',func=pin_types.PASSIVE,unit=1),
            Pin(num='6',name='~',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BGA2815', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BGA2815'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6'], 'footprint':'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'keywords':'RF GAIN BLOCK', 'description':'', 'datasheet':'https://www.nxp.com/docs/en/data-sheet/BGA2815.pdf', 'search_text':'/usr/share/kicad/symbols/RF_Amplifier.kicad_sym\nBGA2815\n\nRF GAIN BLOCK', 'pins':[
            Pin(num='1',name='Vcc',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='G',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='G',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='G',func=pin_types.PASSIVE,unit=1),
            Pin(num='6',name='~',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BGA2817', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BGA2817'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6'], 'footprint':'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'keywords':'RF GAIN BLOCK', 'description':'', 'datasheet':'https://www.nxp.com/docs/en/data-sheet/BGA2817.pdf', 'search_text':'/usr/share/kicad/symbols/RF_Amplifier.kicad_sym\nBGA2817\n\nRF GAIN BLOCK', 'pins':[
            Pin(num='1',name='Vcc',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='G',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='G',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='G',func=pin_types.PASSIVE,unit=1),
            Pin(num='6',name='~',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BGA2818', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BGA2818'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6'], 'footprint':'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'keywords':'RF GAIN BLOCK', 'description':'', 'datasheet':'https://www.nxp.com/docs/en/data-sheet/BGA2818.pdf', 'search_text':'/usr/share/kicad/symbols/RF_Amplifier.kicad_sym\nBGA2818\n\nRF GAIN BLOCK', 'pins':[
            Pin(num='1',name='Vcc',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='G',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='G',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='G',func=pin_types.PASSIVE,unit=1),
            Pin(num='6',name='~',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BGA2850', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BGA2850'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6'], 'footprint':'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'keywords':'RF GAIN BLOCK', 'description':'', 'datasheet':'https://www.nxp.com/docs/en/data-sheet/BGA2850.pdf', 'search_text':'/usr/share/kicad/symbols/RF_Amplifier.kicad_sym\nBGA2850\n\nRF GAIN BLOCK', 'pins':[
            Pin(num='1',name='Vcc',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='G',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='G',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='G',func=pin_types.PASSIVE,unit=1),
            Pin(num='6',name='~',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BGA2851', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BGA2851'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6'], 'footprint':'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'keywords':'RF GAIN BLOCK', 'description':'', 'datasheet':'https://www.nxp.com/docs/en/data-sheet/BGA2851.pdf', 'search_text':'/usr/share/kicad/symbols/RF_Amplifier.kicad_sym\nBGA2851\n\nRF GAIN BLOCK', 'pins':[
            Pin(num='1',name='Vcc',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='G',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='G',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='G',func=pin_types.PASSIVE,unit=1),
            Pin(num='6',name='~',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BGA2865', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BGA2865'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6'], 'footprint':'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'keywords':'RF GAIN BLOCK', 'description':'', 'datasheet':'https://www.nxp.com/docs/en/data-sheet/BGA2865.pdf', 'search_text':'/usr/share/kicad/symbols/RF_Amplifier.kicad_sym\nBGA2865\n\nRF GAIN BLOCK', 'pins':[
            Pin(num='1',name='Vcc',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='G',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='G',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='G',func=pin_types.PASSIVE,unit=1),
            Pin(num='6',name='~',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BGA2867', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BGA2867'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6'], 'footprint':'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'keywords':'RF GAIN BLOCK', 'description':'', 'datasheet':'https://www.nxp.com/docs/en/data-sheet/BGA2867.pdf', 'search_text':'/usr/share/kicad/symbols/RF_Amplifier.kicad_sym\nBGA2867\n\nRF GAIN BLOCK', 'pins':[
            Pin(num='1',name='Vcc',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='G',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='G',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='G',func=pin_types.PASSIVE,unit=1),
            Pin(num='6',name='~',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BGA2869', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BGA2869'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6'], 'footprint':'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'keywords':'RF GAIN BLOCK', 'description':'', 'datasheet':'https://www.nxp.com/docs/en/data-sheet/BGA2869.pdf', 'search_text':'/usr/share/kicad/symbols/RF_Amplifier.kicad_sym\nBGA2869\n\nRF GAIN BLOCK', 'pins':[
            Pin(num='1',name='Vcc',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='G',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='G',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='G',func=pin_types.PASSIVE,unit=1),
            Pin(num='6',name='~',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BGA2870', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BGA2870'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6'], 'footprint':'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'keywords':'RF GAIN BLOCK', 'description':'', 'datasheet':'https://www.nxp.com/docs/en/data-sheet/BGA2870.pdf', 'search_text':'/usr/share/kicad/symbols/RF_Amplifier.kicad_sym\nBGA2870\n\nRF GAIN BLOCK', 'pins':[
            Pin(num='1',name='Vcc',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='G',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='G',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='G',func=pin_types.PASSIVE,unit=1),
            Pin(num='6',name='~',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BGA2874', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BGA2874'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6'], 'footprint':'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'keywords':'RF GAIN BLOCK', 'description':'', 'datasheet':'https://www.nxp.com/docs/en/data-sheet/BGA2874.pdf', 'search_text':'/usr/share/kicad/symbols/RF_Amplifier.kicad_sym\nBGA2874\n\nRF GAIN BLOCK', 'pins':[
            Pin(num='1',name='Vcc',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='G',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='G',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='G',func=pin_types.PASSIVE,unit=1),
            Pin(num='6',name='~',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'GALI-1', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'GALI-1'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3'], 'footprint':'Package_TO_SOT_SMD:SOT-89-3', 'keywords':'RF amplifier', 'description':'', 'datasheet':'https://www.minicircuits.com/pdfs/GALI-1+.pdf', 'search_text':'/usr/share/kicad/symbols/RF_Amplifier.kicad_sym\nGALI-1\n\nRF amplifier', 'pins':[
            Pin(num='1',name='~',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'GALI-19', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'GALI-19'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3'], 'footprint':'Package_TO_SOT_SMD:SOT-89-3', 'keywords':'RF amplifier', 'description':'', 'datasheet':'https://www.minicircuits.com/pdfs/GALI-19+.pdf', 'search_text':'/usr/share/kicad/symbols/RF_Amplifier.kicad_sym\nGALI-19\n\nRF amplifier', 'pins':[
            Pin(num='1',name='~',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'GALI-2', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'GALI-2'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3'], 'footprint':'Package_TO_SOT_SMD:SOT-89-3', 'keywords':'RF amplifier', 'description':'', 'datasheet':'https://www.minicircuits.com/pdfs/GALI-2+.pdf', 'search_text':'/usr/share/kicad/symbols/RF_Amplifier.kicad_sym\nGALI-2\n\nRF amplifier', 'pins':[
            Pin(num='1',name='~',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'GALI-21', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'GALI-21'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3'], 'footprint':'Package_TO_SOT_SMD:SOT-89-3', 'keywords':'RF amplifier', 'description':'', 'datasheet':'https://www.minicircuits.com/pdfs/GALI-21+.pdf', 'search_text':'/usr/share/kicad/symbols/RF_Amplifier.kicad_sym\nGALI-21\n\nRF amplifier', 'pins':[
            Pin(num='1',name='~',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'GALI-24', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'GALI-24'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3'], 'footprint':'Package_TO_SOT_SMD:SOT-89-3', 'keywords':'RF amplifier', 'description':'', 'datasheet':'https://www.minicircuits.com/pdfs/GALI-24+.pdf', 'search_text':'/usr/share/kicad/symbols/RF_Amplifier.kicad_sym\nGALI-24\n\nRF amplifier', 'pins':[
            Pin(num='1',name='~',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'GALI-29', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'GALI-29'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3'], 'footprint':'Package_TO_SOT_SMD:SOT-89-3', 'keywords':'RF amplifier', 'description':'', 'datasheet':'https://www.minicircuits.com/pdfs/GALI-29+.pdf', 'search_text':'/usr/share/kicad/symbols/RF_Amplifier.kicad_sym\nGALI-29\n\nRF amplifier', 'pins':[
            Pin(num='1',name='~',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'GALI-3', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'GALI-3'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3'], 'footprint':'Package_TO_SOT_SMD:SOT-89-3', 'keywords':'RF amplifier', 'description':'', 'datasheet':'https://www.minicircuits.com/pdfs/GALI-3+.pdf', 'search_text':'/usr/share/kicad/symbols/RF_Amplifier.kicad_sym\nGALI-3\n\nRF amplifier', 'pins':[
            Pin(num='1',name='~',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'GALI-33', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'GALI-33'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3'], 'footprint':'Package_TO_SOT_SMD:SOT-89-3', 'keywords':'RF amplifier', 'description':'', 'datasheet':'https://www.minicircuits.com/pdfs/GALI-33+.pdf', 'search_text':'/usr/share/kicad/symbols/RF_Amplifier.kicad_sym\nGALI-33\n\nRF amplifier', 'pins':[
            Pin(num='1',name='~',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'GALI-39', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'GALI-39'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3'], 'footprint':'Package_TO_SOT_SMD:SOT-89-3', 'keywords':'RF amplifier', 'description':'', 'datasheet':'https://www.minicircuits.com/pdfs/GALI-39+.pdf', 'search_text':'/usr/share/kicad/symbols/RF_Amplifier.kicad_sym\nGALI-39\n\nRF amplifier', 'pins':[
            Pin(num='1',name='~',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'GALI-4', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'GALI-4'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3'], 'footprint':'Package_TO_SOT_SMD:SOT-89-3', 'keywords':'RF amplifier', 'description':'', 'datasheet':'https://www.minicircuits.com/pdfs/GALI-4+.pdf', 'search_text':'/usr/share/kicad/symbols/RF_Amplifier.kicad_sym\nGALI-4\n\nRF amplifier', 'pins':[
            Pin(num='1',name='~',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'GALI-49', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'GALI-49'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3'], 'footprint':'Package_TO_SOT_SMD:SOT-89-3', 'keywords':'RF amplifier', 'description':'', 'datasheet':'https://www.minicircuits.com/pdfs/GALI-49+.pdf', 'search_text':'/usr/share/kicad/symbols/RF_Amplifier.kicad_sym\nGALI-49\n\nRF amplifier', 'pins':[
            Pin(num='1',name='~',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'GALI-4F', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'GALI-4F'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3'], 'footprint':'Package_TO_SOT_SMD:SOT-89-3', 'keywords':'RF amplifier', 'description':'', 'datasheet':'https://www.minicircuits.com/pdfs/GALI-4F+.pdf', 'search_text':'/usr/share/kicad/symbols/RF_Amplifier.kicad_sym\nGALI-4F\n\nRF amplifier', 'pins':[
            Pin(num='1',name='~',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'GALI-5', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'GALI-5'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3'], 'footprint':'Package_TO_SOT_SMD:SOT-89-3', 'keywords':'RF amplifier', 'description':'', 'datasheet':'https://www.minicircuits.com/pdfs/GALI-5+.pdf', 'search_text':'/usr/share/kicad/symbols/RF_Amplifier.kicad_sym\nGALI-5\n\nRF amplifier', 'pins':[
            Pin(num='1',name='~',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'GALI-51', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'GALI-51'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3'], 'footprint':'Package_TO_SOT_SMD:SOT-89-3', 'keywords':'RF amplifier', 'description':'', 'datasheet':'https://www.minicircuits.com/pdfs/GALI-51+.pdf', 'search_text':'/usr/share/kicad/symbols/RF_Amplifier.kicad_sym\nGALI-51\n\nRF amplifier', 'pins':[
            Pin(num='1',name='~',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'GALI-51F', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'GALI-51F'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3'], 'footprint':'Package_TO_SOT_SMD:SOT-89-3', 'keywords':'RF amplifier', 'description':'', 'datasheet':'https://www.minicircuits.com/pdfs/GALI-51F+.pdf', 'search_text':'/usr/share/kicad/symbols/RF_Amplifier.kicad_sym\nGALI-51F\n\nRF amplifier', 'pins':[
            Pin(num='1',name='~',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'GALI-52', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'GALI-52'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3'], 'footprint':'Package_TO_SOT_SMD:SOT-89-3', 'keywords':'RF amplifier', 'description':'', 'datasheet':'https://www.minicircuits.com/pdfs/GALI-52+.pdf', 'search_text':'/usr/share/kicad/symbols/RF_Amplifier.kicad_sym\nGALI-52\n\nRF amplifier', 'pins':[
            Pin(num='1',name='~',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'GALI-55', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'GALI-55'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3'], 'footprint':'Package_TO_SOT_SMD:SOT-89-3', 'keywords':'RF amplifier', 'description':'', 'datasheet':'https://www.minicircuits.com/pdfs/GALI-55+.pdf', 'search_text':'/usr/share/kicad/symbols/RF_Amplifier.kicad_sym\nGALI-55\n\nRF amplifier', 'pins':[
            Pin(num='1',name='~',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'GALI-59', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'GALI-59'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3'], 'footprint':'Package_TO_SOT_SMD:SOT-89-3', 'keywords':'RF amplifier', 'description':'', 'datasheet':'https://www.minicircuits.com/pdfs/GALI-59+.pdf', 'search_text':'/usr/share/kicad/symbols/RF_Amplifier.kicad_sym\nGALI-59\n\nRF amplifier', 'pins':[
            Pin(num='1',name='~',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'GALI-5F', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'GALI-5F'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3'], 'footprint':'Package_TO_SOT_SMD:SOT-89-3', 'keywords':'RF amplifier', 'description':'', 'datasheet':'https://www.minicircuits.com/pdfs/GALI-5F+.pdf', 'search_text':'/usr/share/kicad/symbols/RF_Amplifier.kicad_sym\nGALI-5F\n\nRF amplifier', 'pins':[
            Pin(num='1',name='~',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'GALI-6', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'GALI-6'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3'], 'footprint':'Package_TO_SOT_SMD:SOT-89-3', 'keywords':'RF amplifier', 'description':'', 'datasheet':'https://www.minicircuits.com/pdfs/GALI-6+.pdf', 'search_text':'/usr/share/kicad/symbols/RF_Amplifier.kicad_sym\nGALI-6\n\nRF amplifier', 'pins':[
            Pin(num='1',name='~',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'GALI-6F', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'GALI-6F'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3'], 'footprint':'Package_TO_SOT_SMD:SOT-89-3', 'keywords':'RF amplifier', 'description':'', 'datasheet':'https://www.minicircuits.com/pdfs/GALI-6F+.pdf', 'search_text':'/usr/share/kicad/symbols/RF_Amplifier.kicad_sym\nGALI-6F\n\nRF amplifier', 'pins':[
            Pin(num='1',name='~',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'GALI-74', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'GALI-74'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3'], 'footprint':'Package_TO_SOT_SMD:SOT-89-3', 'keywords':'RF amplifier', 'description':'', 'datasheet':'https://www.minicircuits.com/pdfs/GALI-74+.pdf', 'search_text':'/usr/share/kicad/symbols/RF_Amplifier.kicad_sym\nGALI-74\n\nRF amplifier', 'pins':[
            Pin(num='1',name='~',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'GALI-84', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'GALI-84'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3'], 'footprint':'Package_TO_SOT_SMD:SOT-89-3', 'keywords':'RF amplifier', 'description':'', 'datasheet':'https://www.minicircuits.com/pdfs/GALI-84+.pdf', 'search_text':'/usr/share/kicad/symbols/RF_Amplifier.kicad_sym\nGALI-84\n\nRF amplifier', 'pins':[
            Pin(num='1',name='~',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'GALI-S66', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'GALI-S66'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3'], 'footprint':'Package_TO_SOT_SMD:SOT-89-3', 'keywords':'RF amplifier', 'description':'', 'datasheet':'https://www.minicircuits.com/pdfs/GALI-S66+.pdf', 'search_text':'/usr/share/kicad/symbols/RF_Amplifier.kicad_sym\nGALI-S66\n\nRF amplifier', 'pins':[
            Pin(num='1',name='~',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'GVA-123', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'GVA-123'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3'], 'footprint':'Package_TO_SOT_SMD:SOT-89-3', 'keywords':'RF amplifier', 'description':'', 'datasheet':'https://www.minicircuits.com/pdfs/GVA-123+.pdf', 'search_text':'/usr/share/kicad/symbols/RF_Amplifier.kicad_sym\nGVA-123\n\nRF amplifier', 'pins':[
            Pin(num='1',name='~',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'GVA-60', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'GVA-60'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3'], 'footprint':'Package_TO_SOT_SMD:SOT-89-3', 'keywords':'RF amplifier', 'description':'', 'datasheet':'https://www.minicircuits.com/pdfs/GVA-60+.pdf', 'search_text':'/usr/share/kicad/symbols/RF_Amplifier.kicad_sym\nGVA-60\n\nRF amplifier', 'pins':[
            Pin(num='1',name='~',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'GVA-62', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'GVA-62'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3'], 'footprint':'Package_TO_SOT_SMD:SOT-89-3', 'keywords':'RF amplifier', 'description':'', 'datasheet':'https://www.minicircuits.com/pdfs/GVA-62+.pdf', 'search_text':'/usr/share/kicad/symbols/RF_Amplifier.kicad_sym\nGVA-62\n\nRF amplifier', 'pins':[
            Pin(num='1',name='~',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'GVA-63', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'GVA-63'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3'], 'footprint':'Package_TO_SOT_SMD:SOT-89-3', 'keywords':'RF amplifier', 'description':'', 'datasheet':'https://www.minicircuits.com/pdfs/GVA-63+.pdf', 'search_text':'/usr/share/kicad/symbols/RF_Amplifier.kicad_sym\nGVA-63\n\nRF amplifier', 'pins':[
            Pin(num='1',name='~',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'GVA-81', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'GVA-81'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3'], 'footprint':'Package_TO_SOT_SMD:SOT-89-3', 'keywords':'RF amplifier', 'description':'', 'datasheet':'https://www.minicircuits.com/pdfs/GVA-81+.pdf', 'search_text':'/usr/share/kicad/symbols/RF_Amplifier.kicad_sym\nGVA-81\n\nRF amplifier', 'pins':[
            Pin(num='1',name='~',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'GVA-82', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'GVA-82'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3'], 'footprint':'Package_TO_SOT_SMD:SOT-89-3', 'keywords':'RF amplifier', 'description':'', 'datasheet':'https://www.minicircuits.com/pdfs/GVA-82+.pdf', 'search_text':'/usr/share/kicad/symbols/RF_Amplifier.kicad_sym\nGVA-82\n\nRF amplifier', 'pins':[
            Pin(num='1',name='~',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'GVA-83', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'GVA-83'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3'], 'footprint':'Package_TO_SOT_SMD:SOT-89-3', 'keywords':'RF amplifier', 'description':'', 'datasheet':'https://www.minicircuits.com/pdfs/GVA-83+.pdf', 'search_text':'/usr/share/kicad/symbols/RF_Amplifier.kicad_sym\nGVA-83\n\nRF amplifier', 'pins':[
            Pin(num='1',name='~',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'GVA-84', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'GVA-84'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3'], 'footprint':'Package_TO_SOT_SMD:SOT-89-3', 'keywords':'RF amplifier', 'description':'', 'datasheet':'https://www.minicircuits.com/pdfs/GVA-84+.pdf', 'search_text':'/usr/share/kicad/symbols/RF_Amplifier.kicad_sym\nGVA-84\n\nRF amplifier', 'pins':[
            Pin(num='1',name='~',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'GVA-93', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'GVA-93'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3'], 'footprint':'Package_TO_SOT_SMD:SOT-89-3', 'keywords':'RF amplifier', 'description':'', 'datasheet':'https://www.minicircuits.com/pdfs/GVA-93+.pdf', 'search_text':'/usr/share/kicad/symbols/RF_Amplifier.kicad_sym\nGVA-93\n\nRF amplifier', 'pins':[
            Pin(num='1',name='~',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'HMC8500PM5E', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'HMC8500PM5E'}), 'ref_prefix':'U', 'fplist':['Package_CSP:LFCSP-32-1EP_5x5mm_P0.5mm_EP3.1x3.1mm', 'Package_CSP:LFCSP-32-1EP_5x5mm_P0.5mm_EP3.1x3.1mm'], 'footprint':'Package_CSP:LFCSP-32-1EP_5x5mm_P0.5mm_EP3.1x3.1mm', 'keywords':'RF Amplifier', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/HMC8500PM5E.pdf', 'search_text':'/usr/share/kicad/symbols/RF_Amplifier.kicad_sym\nHMC8500PM5E\n\nRF Amplifier', 'pins':[
            Pin(num='1',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='11',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='12',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='13',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='14',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='15',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='16',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='17',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='18',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='19',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='20',name='~',func=pin_types.OUTPUT,unit=1),
            Pin(num='21',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='22',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='23',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='24',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='25',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='26',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='27',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='28',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='29',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='30',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='31',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='32',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='33',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='~',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='~',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='7',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='8',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='9',name='GND',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MAX2679B', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MAX2679B'}), 'ref_prefix':'U', 'fplist':['Package_BGA:WLP-4_0.83x0.83mm_P0.4mm', 'Package_BGA:WLP-4_0.83x0.83mm_P0.4mm'], 'footprint':'Package_BGA:WLP-4_0.83x0.83mm_P0.4mm', 'keywords':'RF GAIN BLOCK', 'description':'', 'datasheet':'https://datasheets.maximintegrated.com/en/ds/MAX2679-MAX2679B.pdf', 'search_text':'/usr/share/kicad/symbols/RF_Amplifier.kicad_sym\nMAX2679B\n\nRF GAIN BLOCK', 'pins':[
            Pin(num='A1',name='Vcc',func=pin_types.PWRIN,unit=1),
            Pin(num='A2',name='~',func=pin_types.OUTPUT,unit=1),
            Pin(num='B1',name='~',func=pin_types.INPUT,unit=1),
            Pin(num='B2',name='G',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PGA-102', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PGA-102'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3'], 'footprint':'Package_TO_SOT_SMD:SOT-89-3', 'keywords':'RF amplifier', 'description':'', 'datasheet':'https://www.minicircuits.com/pdfs/PGA-102+.pdf', 'search_text':'/usr/share/kicad/symbols/RF_Amplifier.kicad_sym\nPGA-102\n\nRF amplifier', 'pins':[
            Pin(num='1',name='~',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PGA-1021', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PGA-1021'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3'], 'footprint':'Package_TO_SOT_SMD:SOT-89-3', 'keywords':'RF amplifier', 'description':'', 'datasheet':'https://www.minicircuits.com/pdfs/PGA-1021+.pdf', 'search_text':'/usr/share/kicad/symbols/RF_Amplifier.kicad_sym\nPGA-1021\n\nRF amplifier', 'pins':[
            Pin(num='1',name='~',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PGA-103', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PGA-103'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3'], 'footprint':'Package_TO_SOT_SMD:SOT-89-3', 'keywords':'RF amplifier', 'description':'', 'datasheet':'https://www.minicircuits.com/pdfs/PGA-103+.pdf', 'search_text':'/usr/share/kicad/symbols/RF_Amplifier.kicad_sym\nPGA-103\n\nRF amplifier', 'pins':[
            Pin(num='1',name='~',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PGA-105', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PGA-105'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3'], 'footprint':'Package_TO_SOT_SMD:SOT-89-3', 'keywords':'RF amplifier', 'description':'', 'datasheet':'https://www.minicircuits.com/pdfs/PGA-105+.pdf', 'search_text':'/usr/share/kicad/symbols/RF_Amplifier.kicad_sym\nPGA-105\n\nRF amplifier', 'pins':[
            Pin(num='1',name='~',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PGA-106-75', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PGA-106-75'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3'], 'footprint':'Package_TO_SOT_SMD:SOT-89-3', 'keywords':'RF amplifier', 'description':'', 'datasheet':'https://www.minicircuits.com/pdfs/PGA-106-75+.pdf', 'search_text':'/usr/share/kicad/symbols/RF_Amplifier.kicad_sym\nPGA-106-75\n\nRF amplifier', 'pins':[
            Pin(num='1',name='~',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PGA-106R-75', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PGA-106R-75'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3'], 'footprint':'Package_TO_SOT_SMD:SOT-89-3', 'keywords':'RF amplifier', 'description':'', 'datasheet':'https://www.minicircuits.com/pdfs/PGA-106R-75+.pdf', 'search_text':'/usr/share/kicad/symbols/RF_Amplifier.kicad_sym\nPGA-106R-75\n\nRF amplifier', 'pins':[
            Pin(num='1',name='~',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PGA-122-75', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PGA-122-75'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3'], 'footprint':'Package_TO_SOT_SMD:SOT-89-3', 'keywords':'RF amplifier', 'description':'', 'datasheet':'https://www.minicircuits.com/pdfs/PGA-122-75+.pdf', 'search_text':'/usr/share/kicad/symbols/RF_Amplifier.kicad_sym\nPGA-122-75\n\nRF amplifier', 'pins':[
            Pin(num='1',name='~',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PGA-32-75', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PGA-32-75'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3'], 'footprint':'Package_TO_SOT_SMD:SOT-89-3', 'keywords':'RF amplifier', 'description':'', 'datasheet':'https://www.minicircuits.com/pdfs/PGA-32-75+.pdf', 'search_text':'/usr/share/kicad/symbols/RF_Amplifier.kicad_sym\nPGA-32-75\n\nRF amplifier', 'pins':[
            Pin(num='1',name='~',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PHA-1', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PHA-1'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3'], 'footprint':'Package_TO_SOT_SMD:SOT-89-3', 'keywords':'RF amplifier', 'description':'', 'datasheet':'https://www.minicircuits.com/pdfs/PHA-1+.pdf', 'search_text':'/usr/share/kicad/symbols/RF_Amplifier.kicad_sym\nPHA-1\n\nRF amplifier', 'pins':[
            Pin(num='1',name='~',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PHA-101', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PHA-101'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3'], 'footprint':'Package_TO_SOT_SMD:SOT-89-3', 'keywords':'RF amplifier', 'description':'', 'datasheet':'https://www.minicircuits.com/pdfs/PHA-101+.pdf', 'search_text':'/usr/share/kicad/symbols/RF_Amplifier.kicad_sym\nPHA-101\n\nRF amplifier', 'pins':[
            Pin(num='1',name='~',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PHA-13HLN', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PHA-13HLN'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3'], 'footprint':'Package_TO_SOT_SMD:SOT-89-3', 'keywords':'RF amplifier', 'description':'', 'datasheet':'https://www.minicircuits.com/pdfs/PHA-13HLN+.pdf', 'search_text':'/usr/share/kicad/symbols/RF_Amplifier.kicad_sym\nPHA-13HLN\n\nRF amplifier', 'pins':[
            Pin(num='1',name='~',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PHA-13LN', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PHA-13LN'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3'], 'footprint':'Package_TO_SOT_SMD:SOT-89-3', 'keywords':'RF amplifier', 'description':'', 'datasheet':'https://www.minicircuits.com/pdfs/PHA-13LN+.pdf', 'search_text':'/usr/share/kicad/symbols/RF_Amplifier.kicad_sym\nPHA-13LN\n\nRF amplifier', 'pins':[
            Pin(num='1',name='~',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PHA-1H', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PHA-1H'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3'], 'footprint':'Package_TO_SOT_SMD:SOT-89-3', 'keywords':'RF amplifier', 'description':'', 'datasheet':'https://www.minicircuits.com/pdfs/PHA-1H+.pdf', 'search_text':'/usr/share/kicad/symbols/RF_Amplifier.kicad_sym\nPHA-1H\n\nRF amplifier', 'pins':[
            Pin(num='1',name='~',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PHA-23HLN', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PHA-23HLN'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3'], 'footprint':'Package_TO_SOT_SMD:SOT-89-3', 'keywords':'RF amplifier', 'description':'', 'datasheet':'https://www.minicircuits.com/pdfs/PHA-23HLN+.pdf', 'search_text':'/usr/share/kicad/symbols/RF_Amplifier.kicad_sym\nPHA-23HLN\n\nRF amplifier', 'pins':[
            Pin(num='1',name='~',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PHA-23LN', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PHA-23LN'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3', 'Package_TO_SOT_SMD:SOT-89-3'], 'footprint':'Package_TO_SOT_SMD:SOT-89-3', 'keywords':'RF amplifier', 'description':'', 'datasheet':'https://www.minicircuits.com/pdfs/PHA-23LN+.pdf', 'search_text':'/usr/share/kicad/symbols/RF_Amplifier.kicad_sym\nPHA-23LN\n\nRF amplifier', 'pins':[
            Pin(num='1',name='~',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] })])