from collections import defaultdict
from skidl import Pin, Part, Alias, SchLib, SKIDL, TEMPLATE

from skidl.pin import pin_types

SKIDL_lib_version = '0.0.1'

Battery_Management = SchLib(tool=SKIDL).add_parts(*[
        Part(**{ 'name':'ADP5063', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'ADP5063'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-20-1EP_4x4mm_P0.5mm_EP2.5x2.5mm'], 'footprint':'Package_DFN_QFN:QFN-20-1EP_4x4mm_P0.5mm_EP2.5x2.5mm', 'keywords':'LiFePo4 Battery USB PMIC', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/ADP5063.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nADP5063\n\nLiFePo4 Battery USB PMIC', 'pins':[
            Pin(num='1',name='SCL',func=pin_types.INPUT,unit=1),
            Pin(num='10',name='ISO_Sx',func=pin_types.PWROUT,unit=1),
            Pin(num='11',name='ISO_Sx',func=pin_types.PASSIVE,unit=1),
            Pin(num='12',name='ISO_Bx',func=pin_types.PASSIVE,unit=1),
            Pin(num='13',name='ISO_Bx',func=pin_types.PASSIVE,unit=1),
            Pin(num='14',name='ISO_Bx',func=pin_types.PASSIVE,unit=1),
            Pin(num='15',name='ILED',func=pin_types.OPENCOLL,unit=1),
            Pin(num='16',name='SYS_EN',func=pin_types.OPENCOLL,unit=1),
            Pin(num='17',name='SDA',func=pin_types.BIDIR,unit=1),
            Pin(num='18',name='THR',func=pin_types.PASSIVE,unit=1),
            Pin(num='19',name='CBP',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='D_IO3',func=pin_types.BIDIR,unit=1),
            Pin(num='20',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='21',name='EP',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='D_IO2',func=pin_types.BIDIR,unit=1),
            Pin(num='4',name='BAT_SNS',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='D_IO1',func=pin_types.BIDIR,unit=1),
            Pin(num='6',name='VINx',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='VINx',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='VINx',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='ISO_Sx',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'ADP5090ACP', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'ADP5090ACP'}), 'ref_prefix':'U', 'fplist':['Package_CSP:LFCSP-16-1EP_3x3mm_P0.5mm_EP1.7x1.7mm'], 'footprint':'Package_CSP:LFCSP-16-1EP_3x3mm_P0.5mm_EP1.7x1.7mm', 'keywords':'boost regulator MPPT charge', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/ADP5090.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nADP5090ACP\n\nboost regulator MPPT charge', 'pins':[
            Pin(num='1',name='SETSD',func=pin_types.INPUT,unit=1),
            Pin(num='10',name='BAT',func=pin_types.PWROUT,unit=1),
            Pin(num='11',name='SYS',func=pin_types.PWROUT,unit=1),
            Pin(num='12',name='BACKUP',func=pin_types.PASSIVE,unit=1),
            Pin(num='13',name='PGOOD',func=pin_types.OUTPUT,unit=1),
            Pin(num='14',name='DIS_SW',func=pin_types.INPUT,unit=1),
            Pin(num='15',name='REF',func=pin_types.OUTPUT,unit=1),
            Pin(num='16',name='SETPG',func=pin_types.INPUT,unit=1),
            Pin(num='17',name='AGND',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='TERM',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='AGND',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='MINOP',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='MPPT',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='CBP',func=pin_types.PASSIVE,unit=1),
            Pin(num='7',name='VIN',func=pin_types.PWRIN,unit=1),
            Pin(num='8',name='PGND',func=pin_types.PWRIN,unit=1),
            Pin(num='9',name='SW',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'ADP5091', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'ADP5091'}), 'ref_prefix':'U', 'fplist':['Package_CSP:LFCSP-24-1EP_4x4mm_P0.5mm_EP2.3x2.3mm'], 'footprint':'Package_CSP:LFCSP-24-1EP_4x4mm_P0.5mm_EP2.3x2.3mm', 'keywords':'energy harvester', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/ADP5091-5092.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nADP5091\n\nenergy harvester', 'pins':[
            Pin(num='1',name='REF',func=pin_types.PASSIVE,unit=1),
            Pin(num='10',name='VIN',func=pin_types.PWRIN,unit=1),
            Pin(num='11',name='LLD',func=pin_types.OUTPUT,unit=1),
            Pin(num='12',name='PGND',func=pin_types.PWRIN,unit=1),
            Pin(num='13',name='SW',func=pin_types.PWRIN,unit=1),
            Pin(num='14',name='REG_OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='15',name='REG_FB',func=pin_types.PWROUT,unit=1),
            Pin(num='16',name='SYS',func=pin_types.PWROUT,unit=1),
            Pin(num='17',name='BAT',func=pin_types.PWROUT,unit=1),
            Pin(num='18',name='BACK_UP',func=pin_types.PWRIN,unit=1),
            Pin(num='19',name='PGOOD',func=pin_types.OUTPUT,unit=1),
            Pin(num='2',name='SETSD',func=pin_types.PASSIVE,unit=1),
            Pin(num='20',name='VID',func=pin_types.INPUT,unit=1),
            Pin(num='21',name='MINOP',func=pin_types.PASSIVE,unit=1),
            Pin(num='22',name='DIS_SW',func=pin_types.INPUT,unit=1),
            Pin(num='23',name='REG_D1',func=pin_types.INPUT,unit=1),
            Pin(num='24',name='REG_D0',func=pin_types.INPUT,unit=1),
            Pin(num='25',name='AGND',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='SETBK',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='TERM',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='SETPG',func=pin_types.PASSIVE,unit=1),
            Pin(num='6',name='SETHYST',func=pin_types.PASSIVE,unit=1),
            Pin(num='7',name='AGND',func=pin_types.PWRIN,unit=1),
            Pin(num='8',name='CBP',func=pin_types.PASSIVE,unit=1),
            Pin(num='9',name='MPPT',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'ADP5092', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'ADP5092'}), 'ref_prefix':'U', 'fplist':['Package_CSP:LFCSP-24-1EP_4x4mm_P0.5mm_EP2.3x2.3mm'], 'footprint':'Package_CSP:LFCSP-24-1EP_4x4mm_P0.5mm_EP2.3x2.3mm', 'keywords':'energy harvester', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/ADP5091-5092.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nADP5092\n\nenergy harvester', 'pins':[
            Pin(num='1',name='REF',func=pin_types.PASSIVE,unit=1),
            Pin(num='10',name='VIN',func=pin_types.PWRIN,unit=1),
            Pin(num='11',name='REG_GOOD',func=pin_types.OUTPUT,unit=1),
            Pin(num='12',name='PGND',func=pin_types.PWRIN,unit=1),
            Pin(num='13',name='SW',func=pin_types.PWRIN,unit=1),
            Pin(num='14',name='REG_OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='15',name='REG_FB',func=pin_types.PWROUT,unit=1),
            Pin(num='16',name='SYS',func=pin_types.PWROUT,unit=1),
            Pin(num='17',name='BAT',func=pin_types.PWROUT,unit=1),
            Pin(num='18',name='BACK_UP',func=pin_types.PWRIN,unit=1),
            Pin(num='19',name='PGOOD',func=pin_types.OUTPUT,unit=1),
            Pin(num='2',name='SETSD',func=pin_types.PASSIVE,unit=1),
            Pin(num='20',name='VID',func=pin_types.INPUT,unit=1),
            Pin(num='21',name='MINOP',func=pin_types.PASSIVE,unit=1),
            Pin(num='22',name='DIS_SW',func=pin_types.INPUT,unit=1),
            Pin(num='23',name='REG_D1',func=pin_types.INPUT,unit=1),
            Pin(num='24',name='REG_D0',func=pin_types.INPUT,unit=1),
            Pin(num='25',name='AGND',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='SETBK',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='TERM',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='SETPG',func=pin_types.PASSIVE,unit=1),
            Pin(num='6',name='SETHYST',func=pin_types.PASSIVE,unit=1),
            Pin(num='7',name='AGND',func=pin_types.PWRIN,unit=1),
            Pin(num='8',name='CBP',func=pin_types.PASSIVE,unit=1),
            Pin(num='9',name='MPPT',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AP9101CK', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AP9101CK'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-5'], 'footprint':'Package_TO_SOT_SMD:SOT-23-5', 'keywords':'battery protection li-ion li-po', 'description':'', 'datasheet':'https://www.diodes.com/assets/Datasheets/AP9101C.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nAP9101CK\n\nbattery protection li-ion li-po', 'pins':[
            Pin(num='1',name='VM',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='VSS',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='DO',func=pin_types.OUTPUT,unit=1),
            Pin(num='5',name='CO',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AP9101CK6', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AP9101CK6'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-6'], 'footprint':'Package_TO_SOT_SMD:SOT-23-6', 'keywords':'battery protection li-ion li-po', 'description':'', 'datasheet':'https://www.diodes.com/assets/Datasheets/AP9101C.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nAP9101CK6\n\nbattery protection li-ion li-po', 'pins':[
            Pin(num='1',name='DO',func=pin_types.OUTPUT,unit=1),
            Pin(num='2',name='VM',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='CO',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='5',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='6',name='VSS',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AS8506C', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AS8506C'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-40-1EP_6x6mm_P0.5mm_EP4.6x4.6mm'], 'footprint':'Package_DFN_QFN:QFN-40-1EP_6x6mm_P0.5mm_EP4.6x4.6mm', 'keywords':'battery balance lithium charge afe', 'description':'', 'datasheet':'http://ams.com/eng/content/download/476603/1402377/252935', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nAS8506C\n\nbattery balance lithium charge afe', 'pins':[
            Pin(num='1',name='TSECH',func=pin_types.INPUT,unit=1),
            Pin(num='10',name='CGND',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='12',name='VREF_IN',func=pin_types.INPUT,unit=1),
            Pin(num='13',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='14',name='TRIG_IN',func=pin_types.INPUT,unit=1),
            Pin(num='15',name='CLK_IN',func=pin_types.INPUT,unit=1),
            Pin(num='16',name='CVT_NOK_OUT',func=pin_types.INPUT,unit=1),
            Pin(num='17',name='BD_OUT',func=pin_types.INPUT,unit=1),
            Pin(num='18',name='FD_OUT',func=pin_types.INPUT,unit=1),
            Pin(num='19',name='WAKE_IN',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='TSECL',func=pin_types.INPUT,unit=1),
            Pin(num='20',name='NC_T',func=pin_types.NOCONNECT,unit=1),
            Pin(num='21',name='SDO',func=pin_types.OUTPUT,unit=1),
            Pin(num='22',name='SDI',func=pin_types.INPUT,unit=1),
            Pin(num='23',name='SCKL',func=pin_types.INPUT,unit=1),
            Pin(num='24',name='~{CS}',func=pin_types.INPUT,unit=1),
            Pin(num='25',name='CELL_THU',func=pin_types.INPUT,unit=1),
            Pin(num='26',name='CELL_THL',func=pin_types.INPUT,unit=1),
            Pin(num='27',name='TEMP_IN2',func=pin_types.INPUT,unit=1),
            Pin(num='28',name='TEMP_IN1',func=pin_types.INPUT,unit=1),
            Pin(num='29',name='REF_T',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='VC7',func=pin_types.INPUT,unit=1),
            Pin(num='30',name='V5V',func=pin_types.INPUT,unit=1),
            Pin(num='31',name='V5V_IN',func=pin_types.INPUT,unit=1),
            Pin(num='32',name='WAKE_OUT',func=pin_types.INPUT,unit=1),
            Pin(num='33',name='FD_IN',func=pin_types.INPUT,unit=1),
            Pin(num='34',name='BD_IN',func=pin_types.INPUT,unit=1),
            Pin(num='35',name='CVT_NOK_IN',func=pin_types.INPUT,unit=1),
            Pin(num='36',name='CLK_OUT',func=pin_types.INPUT,unit=1),
            Pin(num='37',name='TRIG_OUT',func=pin_types.INPUT,unit=1),
            Pin(num='38',name='VSUP',func=pin_types.PWRIN,unit=1),
            Pin(num='39',name='MS_SL',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='VC6',func=pin_types.INPUT,unit=1),
            Pin(num='40',name='VREF_H',func=pin_types.INPUT,unit=1),
            Pin(num='41',name='PAD',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='VS5',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='VC4',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='VC3',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='VC2',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='VC1',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BQ2003', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BQ2003'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'battery nickel cadmium metal hydride', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/bq2003.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nBQ2003\n\nbattery nickel cadmium metal hydride', 'pins':[
            Pin(num='1',name='CCMD',func=pin_types.INPUT,unit=1),
            Pin(num='10',name='TCO',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='MCV',func=pin_types.INPUT,unit=1),
            Pin(num='12',name='TEMP',func=pin_types.OUTPUT,unit=1),
            Pin(num='13',name='CHG',func=pin_types.OUTPUT,unit=1),
            Pin(num='14',name='MOD',func=pin_types.OUTPUT,unit=1),
            Pin(num='15',name='DIS',func=pin_types.OUTPUT,unit=1),
            Pin(num='16',name='V_{CC}',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='DCMD',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='DVEN',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='TM_{1}',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='TM_{2}',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='TS',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='BAT',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='V_{SS}',func=pin_types.PWRIN,unit=1),
            Pin(num='9',name='SNS',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BQ21040DBV', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BQ21040DBV'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-6'], 'footprint':'Package_TO_SOT_SMD:SOT-23-6', 'keywords':'1-cell battery charger lithium', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/bq21040.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nBQ21040DBV\n\n1-cell battery charger lithium', 'pins':[
            Pin(num='1',name='TS',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='3',name='~{CHG}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='4',name='ISET',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='6',name='VIN',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BQ24004', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BQ24004'}), 'ref_prefix':'U', 'fplist':['Package_SO:HTSSOP-20-1EP_4.4x6.5mm_P0.65mm_EP3.4x6.5mm_Mask2.4x3.7mm'], 'footprint':'Package_SO:HTSSOP-20-1EP_4.4x6.5mm_P0.65mm_EP3.4x6.5mm_Mask2.4x3.7mm', 'keywords':'2-Cell Li-Ion Charge', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/bq24006.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nBQ24004\n\n2-Cell Li-Ion Charge', 'pins':[
            Pin(num='1',name='N/C',func=pin_types.NOCONNECT,unit=1),
            Pin(num='10',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='11',name='N/C',func=pin_types.NOCONNECT,unit=1),
            Pin(num='12',name='CR',func=pin_types.INPUT,unit=1),
            Pin(num='13',name='TMR_SEL',func=pin_types.INPUT,unit=1),
            Pin(num='14',name='STAT1',func=pin_types.OUTPUT,unit=1),
            Pin(num='15',name='N/C',func=pin_types.NOCONNECT,unit=1),
            Pin(num='16',name='AGND',func=pin_types.PWRIN,unit=1),
            Pin(num='17',name='VSENSE',func=pin_types.INPUT,unit=1),
            Pin(num='18',name='OUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='19',name='OUT',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='IN',func=pin_types.INPUT,unit=1),
            Pin(num='20',name='N/C',func=pin_types.NOCONNECT,unit=1),
            Pin(num='21',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='IN',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='ISNS',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='N/C',func=pin_types.NOCONNECT,unit=1),
            Pin(num='7',name='APG/THERM',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='EN',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='VSEL',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BQ24005', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BQ24005'}), 'ref_prefix':'U', 'fplist':['Package_SO:HTSSOP-20-1EP_4.4x6.5mm_P0.65mm_EP3.4x6.5mm_Mask2.4x3.7mm'], 'footprint':'Package_SO:HTSSOP-20-1EP_4.4x6.5mm_P0.65mm_EP3.4x6.5mm_Mask2.4x3.7mm', 'keywords':'2-Cell Li-Ion Charge', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/bq24006.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nBQ24005\n\n2-Cell Li-Ion Charge', 'pins':[
            Pin(num='1',name='N/C',func=pin_types.NOCONNECT,unit=1),
            Pin(num='10',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='11',name='N/C',func=pin_types.NOCONNECT,unit=1),
            Pin(num='12',name='CR',func=pin_types.INPUT,unit=1),
            Pin(num='13',name='TMR_SEL',func=pin_types.INPUT,unit=1),
            Pin(num='14',name='STAT1',func=pin_types.OPENCOLL,unit=1),
            Pin(num='15',name='STAT2',func=pin_types.OPENCOLL,unit=1),
            Pin(num='16',name='AGND',func=pin_types.PWRIN,unit=1),
            Pin(num='17',name='VSENSE',func=pin_types.INPUT,unit=1),
            Pin(num='18',name='OUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='19',name='OUT',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='IN',func=pin_types.INPUT,unit=1),
            Pin(num='20',name='N/C',func=pin_types.NOCONNECT,unit=1),
            Pin(num='21',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='IN',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='ISNS',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='N/C',func=pin_types.NOCONNECT,unit=1),
            Pin(num='7',name='APG/THERM',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='EN',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='VSEL',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BQ24006', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BQ24006'}), 'ref_prefix':'U', 'fplist':['Package_SO:HTSSOP-20-1EP_4.4x6.5mm_P0.65mm_EP3.4x6.5mm_Mask2.4x3.7mm'], 'footprint':'Package_SO:HTSSOP-20-1EP_4.4x6.5mm_P0.65mm_EP3.4x6.5mm_Mask2.4x3.7mm', 'keywords':'2-Cell Li-Ion Charge', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/bq24006.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nBQ24006\n\n2-Cell Li-Ion Charge', 'pins':[
            Pin(num='1',name='N/C',func=pin_types.NOCONNECT,unit=1),
            Pin(num='10',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='11',name='N/C',func=pin_types.NOCONNECT,unit=1),
            Pin(num='12',name='CR',func=pin_types.INPUT,unit=1),
            Pin(num='13',name='TMR_SEL',func=pin_types.INPUT,unit=1),
            Pin(num='14',name='STAT1',func=pin_types.OUTPUT,unit=1),
            Pin(num='15',name='STAT2',func=pin_types.OUTPUT,unit=1),
            Pin(num='16',name='AGND',func=pin_types.PWRIN,unit=1),
            Pin(num='17',name='VSENSE',func=pin_types.INPUT,unit=1),
            Pin(num='18',name='OUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='19',name='OUT',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='IN',func=pin_types.INPUT,unit=1),
            Pin(num='20',name='N/C',func=pin_types.NOCONNECT,unit=1),
            Pin(num='21',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='IN',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='ISNS',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='N/C',func=pin_types.NOCONNECT,unit=1),
            Pin(num='7',name='APG/THERM',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='EN',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='VSEL',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BQ24012', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BQ24012'}), 'ref_prefix':'U', 'fplist':['Package_SON:VSON-10-1EP_3x3mm_P0.5mm_EP1.65x2.4mm_ThermalVias'], 'footprint':'Package_SON:VSON-10-1EP_3x3mm_P0.5mm_EP1.65x2.4mm_ThermalVias', 'keywords':'Battery Charger Li-Ion', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/bq24012.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nBQ24012\n\nBattery Charger Li-Ion', 'pins':[
            Pin(num='1',name='IN',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='11',name='1EP',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='STAT1',func=pin_types.OPENCOLL,unit=1),
            Pin(num='4',name='STAT2',func=pin_types.OPENCOLL,unit=1),
            Pin(num='5',name='VSS',func=pin_types.PWRIN,unit=1),
            Pin(num='6',name='ISET',func=pin_types.OUTPUT,unit=1),
            Pin(num='7',name='~{PG}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='8',name='~{CE}',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='BAT',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BQ24013', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BQ24013'}), 'ref_prefix':'U', 'fplist':['Package_SON:Texas_DRC0010J_ThermalVias'], 'footprint':'Package_SON:Texas_DRC0010J_ThermalVias', 'keywords':'Batter Charger Li-Ion', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/bq24012.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nBQ24013\n\nBatter Charger Li-Ion', 'pins':[
            Pin(num='1',name='IN',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='11',name='VSS',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='STAT1',func=pin_types.OPENCOLL,unit=1),
            Pin(num='4',name='STAT2',func=pin_types.OPENCOLL,unit=1),
            Pin(num='5',name='VSS',func=pin_types.PWRIN,unit=1),
            Pin(num='6',name='ISET',func=pin_types.OUTPUT,unit=1),
            Pin(num='7',name='~{CE}',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='~{TTE}',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='BAT',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BQ24072RGT', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BQ24072RGT'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:VQFN-16-1EP_3x3mm_P0.5mm_EP1.6x1.6mm'], 'footprint':'Package_DFN_QFN:VQFN-16-1EP_3x3mm_P0.5mm_EP1.6x1.6mm', 'keywords':'USB Charger', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/bq24072.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nBQ24072RGT\n\nUSB Charger', 'pins':[
            Pin(num='1',name='TS',func=pin_types.PASSIVE,unit=1),
            Pin(num='10',name='OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='11',name='OUT',func=pin_types.PASSIVE,unit=1),
            Pin(num='12',name='ILIM',func=pin_types.PASSIVE,unit=1),
            Pin(num='13',name='IN',func=pin_types.PWRIN,unit=1),
            Pin(num='14',name='TMR',func=pin_types.INPUT,unit=1),
            Pin(num='15',name='TD',func=pin_types.INPUT,unit=1),
            Pin(num='16',name='ISET',func=pin_types.PASSIVE,unit=1),
            Pin(num='17',name='VSS',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='BAT',func=pin_types.PWROUT,unit=1),
            Pin(num='3',name='BAT',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='~{CE}',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='EN2',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='EN1',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='~{PGOOD}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='8',name='VSS',func=pin_types.PWRIN,unit=1),
            Pin(num='9',name='~{CHG}',func=pin_types.OPENCOLL,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BQ24074RGT', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BQ24074RGT'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:VQFN-16-1EP_3x3mm_P0.5mm_EP1.6x1.6mm'], 'footprint':'Package_DFN_QFN:VQFN-16-1EP_3x3mm_P0.5mm_EP1.6x1.6mm', 'keywords':'USB Charger', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/bq24074.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nBQ24074RGT\n\nUSB Charger', 'pins':[
            Pin(num='1',name='TS',func=pin_types.PASSIVE,unit=1),
            Pin(num='10',name='OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='11',name='OUT',func=pin_types.PASSIVE,unit=1),
            Pin(num='12',name='ILIM',func=pin_types.PASSIVE,unit=1),
            Pin(num='13',name='IN',func=pin_types.PWRIN,unit=1),
            Pin(num='14',name='TMR',func=pin_types.INPUT,unit=1),
            Pin(num='15',name='ITERM',func=pin_types.INPUT,unit=1),
            Pin(num='16',name='ISET',func=pin_types.PASSIVE,unit=1),
            Pin(num='17',name='VSS',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='BAT',func=pin_types.PWROUT,unit=1),
            Pin(num='3',name='BAT',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='~{CE}',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='EN2',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='EN1',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='~{PGOOD}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='8',name='VSS',func=pin_types.PWRIN,unit=1),
            Pin(num='9',name='~{CHG}',func=pin_types.OPENCOLL,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BQ24075RGT', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BQ24075RGT'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:VQFN-16-1EP_3x3mm_P0.5mm_EP1.6x1.6mm'], 'footprint':'Package_DFN_QFN:VQFN-16-1EP_3x3mm_P0.5mm_EP1.6x1.6mm', 'keywords':'USB Charger', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/bq24075.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nBQ24075RGT\n\nUSB Charger', 'pins':[
            Pin(num='1',name='TS',func=pin_types.PASSIVE,unit=1),
            Pin(num='10',name='OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='11',name='OUT',func=pin_types.PASSIVE,unit=1),
            Pin(num='12',name='ILIM',func=pin_types.PASSIVE,unit=1),
            Pin(num='13',name='IN',func=pin_types.PWRIN,unit=1),
            Pin(num='14',name='TMR',func=pin_types.INPUT,unit=1),
            Pin(num='15',name='SYSOFF',func=pin_types.INPUT,unit=1),
            Pin(num='16',name='ISET',func=pin_types.PASSIVE,unit=1),
            Pin(num='17',name='VSS',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='BAT',func=pin_types.PWROUT,unit=1),
            Pin(num='3',name='BAT',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='~{CE}',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='EN2',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='EN1',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='~{PGOOD}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='8',name='VSS',func=pin_types.PWRIN,unit=1),
            Pin(num='9',name='~{CHG}',func=pin_types.OPENCOLL,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BQ24090DGQ', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BQ24090DGQ'}), 'ref_prefix':'U', 'fplist':['Package_SO:HVSSOP-10-1EP_3x3mm_P0.5mm_EP1.57x1.88mm_ThermalVias'], 'footprint':'Package_SO:HVSSOP-10-1EP_3x3mm_P0.5mm_EP1.57x1.88mm_ThermalVias', 'keywords':'battery charger singlecell li-ion li-poly', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/bq24090.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nBQ24090DGQ\n\nbattery charger singlecell li-ion li-poly', 'pins':[
            Pin(num='1',name='IN',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='11',name='VSS',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='ISET',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='VSS',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='PRETERM',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='~{PG}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='6',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='7',name='ISET2',func=pin_types.PASSIVE,unit=1),
            Pin(num='8',name='~{CHG}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='9',name='TS',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BQ24133RGY', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BQ24133RGY'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:Texas_RGY_R-PVQFN-N24_EP2.05x3.1mm'], 'footprint':'Package_DFN_QFN:Texas_RGY_R-PVQFN-N24_EP2.05x3.1mm', 'keywords':'Battery Charger Li-Ion Li-Poly', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/bq24133.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nBQ24133RGY\n\nBattery Charger Li-Ion Li-Poly', 'pins':[
            Pin(num='1',name='SW',func=pin_types.PWROUT,unit=1),
            Pin(num='10',name='TS',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='TTC',func=pin_types.PASSIVE,unit=1),
            Pin(num='12',name='VREF',func=pin_types.PWROUT,unit=1),
            Pin(num='13',name='ISET',func=pin_types.INPUT,unit=1),
            Pin(num='14',name='CELL',func=pin_types.PASSIVE,unit=1),
            Pin(num='15',name='SRN',func=pin_types.INPUT,unit=1),
            Pin(num='16',name='SRP',func=pin_types.INPUT,unit=1),
            Pin(num='17',name='ACSET',func=pin_types.INPUT,unit=1),
            Pin(num='18',name='OVPSET',func=pin_types.INPUT,unit=1),
            Pin(num='19',name='~{BATDRV}',func=pin_types.OUTPUT,unit=1),
            Pin(num='2',name='PVCC',func=pin_types.PWRIN,unit=1),
            Pin(num='20',name='REGN',func=pin_types.PASSIVE,unit=1),
            Pin(num='21',name='BTST',func=pin_types.PASSIVE,unit=1),
            Pin(num='22',name='PGND',func=pin_types.PWRIN,unit=1),
            Pin(num='23',name='PGND',func=pin_types.PASSIVE,unit=1),
            Pin(num='24',name='SW',func=pin_types.PASSIVE,unit=1),
            Pin(num='25',name='AGND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='PVCC',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='AVCC',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='ACN',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='ACP',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='CMSRC',func=pin_types.OUTPUT,unit=1),
            Pin(num='8',name='ACDRV',func=pin_types.OUTPUT,unit=1),
            Pin(num='9',name='STAT',func=pin_types.OPENCOLL,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BQ24166RGE', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BQ24166RGE'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:Texas_RGE0024H_VQFN-24-1EP_4x4mm_P0.5mm_EP2.7x2.7mm'], 'footprint':'Package_DFN_QFN:Texas_RGE0024H_VQFN-24-1EP_4x4mm_P0.5mm_EP2.7x2.7mm', 'keywords':'Battery Charger Li-Ion Li-Poly', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/bq24166.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nBQ24166RGE\n\nBattery Charger Li-Ion Li-Poly', 'pins':[
            Pin(num='1',name='VDPM',func=pin_types.INPUT,unit=1),
            Pin(num='10',name='BGATE',func=pin_types.OUTPUT,unit=1),
            Pin(num='11',name='BAT',func=pin_types.PASSIVE,unit=1),
            Pin(num='12',name='BAT',func=pin_types.PASSIVE,unit=1),
            Pin(num='13',name='SYS',func=pin_types.PWROUT,unit=1),
            Pin(num='14',name='SYS',func=pin_types.PASSIVE,unit=1),
            Pin(num='15',name='ILIM',func=pin_types.PASSIVE,unit=1),
            Pin(num='16',name='PGND',func=pin_types.PWRIN,unit=1),
            Pin(num='17',name='PGND',func=pin_types.PASSIVE,unit=1),
            Pin(num='18',name='SW',func=pin_types.PASSIVE,unit=1),
            Pin(num='19',name='BOOT',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='IUSB3',func=pin_types.PASSIVE,unit=1),
            Pin(num='20',name='PMIDI',func=pin_types.PASSIVE,unit=1),
            Pin(num='21',name='IN',func=pin_types.INPUT,unit=1),
            Pin(num='22',name='USB',func=pin_types.PWRIN,unit=1),
            Pin(num='23',name='PMIDU',func=pin_types.PASSIVE,unit=1),
            Pin(num='24',name='~{CE}',func=pin_types.INPUT,unit=1),
            Pin(num='25',name='PGND',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='IUSB2',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='IUSB1',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='ISET',func=pin_types.PASSIVE,unit=1),
            Pin(num='6',name='DRV',func=pin_types.OUTPUT,unit=1),
            Pin(num='7',name='~{PG}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='8',name='~{CHG}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='9',name='TS',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BQ24610', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BQ24610'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:VQFN-24-1EP_4x4mm_P0.5mm_EP2.45x2.45mm'], 'footprint':'Package_DFN_QFN:VQFN-24-1EP_4x4mm_P0.5mm_EP2.45x2.45mm', 'keywords':'Li-ion buck', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/bq24610.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nBQ24610\n\nLi-ion buck', 'pins':[
            Pin(num='1',name='ACN',func=pin_types.INPUT,unit=1),
            Pin(num='10',name='VREF',func=pin_types.PWROUT,unit=1),
            Pin(num='11',name='ISET1',func=pin_types.INPUT,unit=1),
            Pin(num='12',name='VFB',func=pin_types.OUTPUT,unit=1),
            Pin(num='13',name='SRN',func=pin_types.INPUT,unit=1),
            Pin(num='14',name='SRP',func=pin_types.INPUT,unit=1),
            Pin(num='15',name='ISET2',func=pin_types.INPUT,unit=1),
            Pin(num='16',name='ACSET',func=pin_types.INPUT,unit=1),
            Pin(num='17',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='18',name='REGN',func=pin_types.OUTPUT,unit=1),
            Pin(num='19',name='LODRV',func=pin_types.OUTPUT,unit=1),
            Pin(num='2',name='ACP',func=pin_types.INPUT,unit=1),
            Pin(num='20',name='PH',func=pin_types.PWRIN,unit=1),
            Pin(num='21',name='HIDRV',func=pin_types.OUTPUT,unit=1),
            Pin(num='22',name='BTST',func=pin_types.PWRIN,unit=1),
            Pin(num='23',name='~{BATDRV}',func=pin_types.OUTPUT,unit=1),
            Pin(num='24',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='25',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='~{ACDRV}',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='CE',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='STAT1',func=pin_types.OPENCOLL,unit=1),
            Pin(num='6',name='TS',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='TTC',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='~{PG}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='9',name='STAT2',func=pin_types.OPENCOLL,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BQ24650', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BQ24650'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:Texas_RVA_VQFN-16-1EP_3.5x3.5mm_P0.5mm_EP2.14x2.14mm_ThermalVias'], 'footprint':'Package_DFN_QFN:Texas_RVA_VQFN-16-1EP_3.5x3.5mm_P0.5mm_EP2.14x2.14mm_ThermalVias', 'keywords':'li-ion lion lipo lithium polymer iron phosphate lead acid buck solar power point battery charger', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/bq24650.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nBQ24650\n\nli-ion lion lipo lithium polymer iron phosphate lead acid buck solar power point battery charger', 'pins':[
            Pin(num='1',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='SRP',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='12',name='REGN',func=pin_types.OUTPUT,unit=1),
            Pin(num='13',name='LODRV',func=pin_types.OUTPUT,unit=1),
            Pin(num='14',name='PH',func=pin_types.INPUT,unit=1),
            Pin(num='15',name='HIDRV',func=pin_types.OUTPUT,unit=1),
            Pin(num='16',name='BTST',func=pin_types.OUTPUT,unit=1),
            Pin(num='17',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='MPPSET',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='STAT1',func=pin_types.OPENCOLL,unit=1),
            Pin(num='4',name='TS',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='STAT2',func=pin_types.OPENCOLL,unit=1),
            Pin(num='6',name='VREF',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='TERM_EN',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='VFB',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='SRN',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BQ2501x', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BQ2501x'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:Texas_VQFN-RHL-20_ThermalVias'], 'footprint':'Package_DFN_QFN:Texas_VQFN-RHL-20_ThermalVias', 'keywords':'Li-ion buck', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/bq25010.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nBQ2501x\n\nLi-ion buck', 'pins':[
            Pin(num='1',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='10',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='11',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='12',name='ISET1',func=pin_types.INPUT,unit=1),
            Pin(num='13',name='ISET2',func=pin_types.INPUT,unit=1),
            Pin(num='14',name='~{PG}',func=pin_types.OUTPUT,unit=1),
            Pin(num='15',name='~{CE}',func=pin_types.INPUT,unit=1),
            Pin(num='16',name='BAT/OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='17',name='BAT/OUT',func=pin_types.PWRIN,unit=1),
            Pin(num='18',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='19',name='SW',func=pin_types.PWROUT,unit=1),
            Pin(num='2',name='FB',func=pin_types.INPUT,unit=1),
            Pin(num='20',name='FPWM',func=pin_types.INPUT,unit=1),
            Pin(num='21',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='EN',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='AC',func=pin_types.PWRIN,unit=1),
            Pin(num='6',name='USB',func=pin_types.PWRIN,unit=1),
            Pin(num='7',name='STAT1',func=pin_types.OPENCOLL,unit=1),
            Pin(num='8',name='STAT2',func=pin_types.OPENCOLL,unit=1),
            Pin(num='9',name='GND',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BQ25040', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BQ25040'}), 'ref_prefix':'U', 'fplist':['Package_SON:WSON-10-1EP_2x3mm_P0.5mm_EP0.84x2.4mm_ThermalVias'], 'footprint':'Package_SON:WSON-10-1EP_2x3mm_P0.5mm_EP0.84x2.4mm_ThermalVias', 'keywords':'lithium', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/bq25040.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nBQ25040\n\nlithium', 'pins':[
            Pin(num='1',name='IN',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='BAT',func=pin_types.PWROUT,unit=1),
            Pin(num='11',name='VSS',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='ISET',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='VSS',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='LDO',func=pin_types.PWROUT,unit=1),
            Pin(num='5',name='IFULL',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='EN/SET',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='VSS',func=pin_types.PASSIVE,unit=1),
            Pin(num='8',name='~{CHG}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='9',name='~{PG}',func=pin_types.OPENCOLL,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BQ25173DSG', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BQ25173DSG'}), 'ref_prefix':'U', 'fplist':['Package_SON:WSON-8-1EP_2x2mm_P0.5mm_EP0.9x1.6mm'], 'footprint':'Package_SON:WSON-8-1EP_2x2mm_P0.5mm_EP0.9x1.6mm', 'keywords':'linear charger supercapacitor', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/bq25173.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nBQ25173DSG\n\nlinear charger supercapacitor', 'pins':[
            Pin(num='1',name='IN',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='ISET',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='~{CE}',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='STAT',func=pin_types.OPENCOLL,unit=1),
            Pin(num='6',name='~{PG}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='7',name='~{FB}',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='9',name='GND',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BQ25504', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BQ25504'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:VQFN-16-1EP_3x3mm_P0.5mm_EP1.68x1.68mm'], 'footprint':'Package_DFN_QFN:VQFN-16-1EP_3x3mm_P0.5mm_EP1.68x1.68mm', 'keywords':'energy harvesting li-ion battery solar TEG', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/bq25504.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nBQ25504\n\nenergy harvesting li-ion battery solar TEG', 'pins':[
            Pin(num='1',name='VSS',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='OK_PROG',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='VBAT_OK',func=pin_types.OUTPUT,unit=1),
            Pin(num='12',name='AVSS',func=pin_types.PWRIN,unit=1),
            Pin(num='13',name='VSS',func=pin_types.PASSIVE,unit=1),
            Pin(num='14',name='VBAT',func=pin_types.PWROUT,unit=1),
            Pin(num='15',name='VSTOR',func=pin_types.BIDIR,unit=1),
            Pin(num='16',name='LBST',func=pin_types.BIDIR,unit=1),
            Pin(num='17',name='PAD',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='VIN_DC',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='VOC_SAMP',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='VREF_SAMP',func=pin_types.BIDIR,unit=1),
            Pin(num='5',name='OT_PROG',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='VBAT_OV',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='VRDIV',func=pin_types.OUTPUT,unit=1),
            Pin(num='8',name='VBAT_UV',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='OK_HYST',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BQ25570', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BQ25570'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-20-1EP_3.5x3.5mm_P0.5mm_EP2x2mm'], 'footprint':'Package_DFN_QFN:QFN-20-1EP_3.5x3.5mm_P0.5mm_EP2x2mm', 'keywords':'harvester solar TEG charger li-on buck', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/bq25570.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nBQ25570\n\nharvester solar TEG charger li-on buck', 'pins':[
            Pin(num='1',name='VSS',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='OK_HYST',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='OK_PROG',func=pin_types.INPUT,unit=1),
            Pin(num='12',name='VOUT_SET',func=pin_types.INPUT,unit=1),
            Pin(num='13',name='VBAT_OK',func=pin_types.OUTPUT,unit=1),
            Pin(num='14',name='VOUT',func=pin_types.INPUT,unit=1),
            Pin(num='15',name='VSS',func=pin_types.PASSIVE,unit=1),
            Pin(num='16',name='LBUCK',func=pin_types.PASSIVE,unit=1),
            Pin(num='17',name='VSS',func=pin_types.PASSIVE,unit=1),
            Pin(num='18',name='VBAT',func=pin_types.PWRIN,unit=1),
            Pin(num='19',name='VSTOR',func=pin_types.PWROUT,unit=1),
            Pin(num='2',name='VIN_DC',func=pin_types.PWRIN,unit=1),
            Pin(num='20',name='LBOOST',func=pin_types.PASSIVE,unit=1),
            Pin(num='21',name='VSS',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='VOC_SAMP',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='VREF_SAMP',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='~{EN}',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='VOUT_EN',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='VBAT_OV',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='VRDIV',func=pin_types.OUTPUT,unit=1),
            Pin(num='9',name='VSS',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BQ25601', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BQ25601'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:Texas_RTW_WQFN-24-1EP_4x4mm_P0.5mm_EP2.7x2.7mm_ThermalVias'], 'footprint':'Package_DFN_QFN:Texas_RTW_WQFN-24-1EP_4x4mm_P0.5mm_EP2.7x2.7mm_ThermalVias', 'keywords':'LiPO charger', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/bq25601.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nBQ25601\n\nLiPO charger', 'pins':[
            Pin(num='1',name='VAC',func=pin_types.INPUT,unit=1),
            Pin(num='10',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='11',name='TS',func=pin_types.PASSIVE,unit=1),
            Pin(num='12',name='~{QON}',func=pin_types.INPUT,unit=1),
            Pin(num='13',name='BAT',func=pin_types.PWRIN,unit=1),
            Pin(num='14',name='BAT',func=pin_types.PASSIVE,unit=1),
            Pin(num='15',name='SYS',func=pin_types.PASSIVE,unit=1),
            Pin(num='16',name='SYS',func=pin_types.PASSIVE,unit=1),
            Pin(num='17',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='18',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='19',name='SW',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='PSEL',func=pin_types.INPUT,unit=1),
            Pin(num='20',name='SW',func=pin_types.PASSIVE,unit=1),
            Pin(num='21',name='BTST',func=pin_types.INPUT,unit=1),
            Pin(num='22',name='REGN',func=pin_types.PASSIVE,unit=1),
            Pin(num='23',name='PMID',func=pin_types.PASSIVE,unit=1),
            Pin(num='24',name='VBUS',func=pin_types.PWRIN,unit=1),
            Pin(num='25',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='~{PG}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='4',name='STAT',func=pin_types.OPENCOLL,unit=1),
            Pin(num='5',name='SCL',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='SDA',func=pin_types.BIDIR,unit=1),
            Pin(num='7',name='~{INT}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='8',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='9',name='~{CE}',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BQ25887', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BQ25887'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:VQFN-24-1EP_4x4mm_P0.5mm_EP2.5x2.5mm'], 'footprint':'Package_DFN_QFN:VQFN-24-1EP_4x4mm_P0.5mm_EP2.5x2.5mm', 'keywords':'LiIon Charger Boost', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/bq25887.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nBQ25887\n\nLiIon Charger Boost', 'pins':[
            Pin(num='1',name='~{PG}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='10',name='CBSET',func=pin_types.PWROUT,unit=1),
            Pin(num='11',name='REGN',func=pin_types.PWROUT,unit=1),
            Pin(num='12',name='BTST',func=pin_types.PWROUT,unit=1),
            Pin(num='13',name='BAT',func=pin_types.PWROUT,unit=1),
            Pin(num='14',name='BAT',func=pin_types.PASSIVE,unit=1),
            Pin(num='15',name='SNS',func=pin_types.OUTPUT,unit=1),
            Pin(num='16',name='SNS',func=pin_types.PASSIVE,unit=1),
            Pin(num='17',name='SW',func=pin_types.PWROUT,unit=1),
            Pin(num='18',name='SW',func=pin_types.PASSIVE,unit=1),
            Pin(num='19',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='STAT',func=pin_types.OPENCOLL,unit=1),
            Pin(num='20',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='21',name='PMID',func=pin_types.PWROUT,unit=1),
            Pin(num='22',name='PMID',func=pin_types.PASSIVE,unit=1),
            Pin(num='23',name='VBUS',func=pin_types.PWRIN,unit=1),
            Pin(num='24',name='PSEL',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='CD',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='SDA',func=pin_types.BIDIR,unit=1),
            Pin(num='5',name='SCL',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='~{INT}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='7',name='TS',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='ILIM',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='MID',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BQ25895RTW', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BQ25895RTW'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:Texas_RTW_WQFN-24-1EP_4x4mm_P0.5mm_EP2.7x2.7mm_ThermalVias'], 'footprint':'Package_DFN_QFN:Texas_RTW_WQFN-24-1EP_4x4mm_P0.5mm_EP2.7x2.7mm_ThermalVias', 'keywords':'Battery Charger and Power Path Management', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/bq25895.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nBQ25895RTW\n\nBattery Charger and Power Path Management', 'pins':[
            Pin(num='1',name='VBUS',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='ILIM',func=pin_types.PASSIVE,unit=1),
            Pin(num='11',name='TS',func=pin_types.PASSIVE,unit=1),
            Pin(num='12',name='~{QON}',func=pin_types.INPUT,unit=1),
            Pin(num='13',name='BAT',func=pin_types.PASSIVE,unit=1),
            Pin(num='14',name='BAT',func=pin_types.PASSIVE,unit=1),
            Pin(num='15',name='SYS',func=pin_types.PASSIVE,unit=1),
            Pin(num='16',name='SYS',func=pin_types.PASSIVE,unit=1),
            Pin(num='17',name='PGND',func=pin_types.PWRIN,unit=1),
            Pin(num='18',name='PGND',func=pin_types.PASSIVE,unit=1),
            Pin(num='19',name='SW',func=pin_types.PWROUT,unit=1),
            Pin(num='2',name='D+',func=pin_types.BIDIR,unit=1),
            Pin(num='20',name='SW',func=pin_types.PASSIVE,unit=1),
            Pin(num='21',name='BTST',func=pin_types.PASSIVE,unit=1),
            Pin(num='22',name='REGN',func=pin_types.PASSIVE,unit=1),
            Pin(num='23',name='PMID',func=pin_types.PWROUT,unit=1),
            Pin(num='24',name='DSEL',func=pin_types.OPENCOLL,unit=1),
            Pin(num='25',name='PGND',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='D-',func=pin_types.BIDIR,unit=1),
            Pin(num='4',name='STAT',func=pin_types.OPENCOLL,unit=1),
            Pin(num='5',name='SCL',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='SDA',func=pin_types.BIDIR,unit=1),
            Pin(num='7',name='INT',func=pin_types.OPENCOLL,unit=1),
            Pin(num='8',name='OTG',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='~{CE}',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BQ27441-G1', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BQ27441-G1'}), 'ref_prefix':'U', 'fplist':['Package_SON:Texas_S-PDSO-N12'], 'footprint':'Package_SON:Texas_S-PDSO-N12', 'keywords':'Fuel Gauge', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/bq27441-g1.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nBQ27441-G1\n\nFuel Gauge', 'pins':[
            Pin(num='1',name='SDA',func=pin_types.BIDIR,unit=1),
            Pin(num='10',name='BIN',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='12',name='GPOUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='13',name='PAD',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='SCL',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='V_{SS}',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='5',name='V_{DD}',func=pin_types.PWROUT,unit=1),
            Pin(num='6',name='BAT',func=pin_types.PWRIN,unit=1),
            Pin(num='7',name='SRN',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='SRP',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='NC',func=pin_types.NOCONNECT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BQ27750', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BQ27750'}), 'ref_prefix':'U', 'fplist':['Package_SON:Texas_S-PDSO-N12'], 'footprint':'Package_SON:Texas_S-PDSO-N12', 'keywords':'Fuel Gauge', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/bq27750.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nBQ27750\n\nFuel Gauge', 'pins':[
            Pin(num='1',name='VSS',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='PBI',func=pin_types.PASSIVE,unit=1),
            Pin(num='11',name='BAT',func=pin_types.INPUT,unit=1),
            Pin(num='12',name='VCELL/INT',func=pin_types.BIDIR,unit=1),
            Pin(num='13',name='VSS',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='SRN',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='SRP',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='TS1',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='SCL',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='SDA',func=pin_types.BIDIR,unit=1),
            Pin(num='7',name='DSG',func=pin_types.OUTPUT,unit=1),
            Pin(num='8',name='PACK',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='CHG',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BQ297xy', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BQ297xy'}), 'ref_prefix':'U', 'fplist':['Package_SON:WSON-6_1.5x1.5mm_P0.5mm'], 'footprint':'Package_SON:WSON-6_1.5x1.5mm_P0.5mm', 'keywords':'protection Li-Ion Li-Pol', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/bq2970.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nBQ297xy\n\nprotection Li-Ion Li-Pol', 'pins':[
            Pin(num='1',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='2',name='Cout',func=pin_types.OUTPUT,unit=1),
            Pin(num='3',name='Dout',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='VSS',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='BAT',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='V-',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BQ51050BRHL', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BQ51050BRHL'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:Texas_VQFN-RHL-20'], 'footprint':'Package_DFN_QFN:Texas_VQFN-RHL-20', 'keywords':'Qi Wireless Power Receiver Battery Charger 4.2V', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/bq51050b.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nBQ51050BRHL\n\nQi Wireless Power Receiver Battery Charger 4.2V', 'pins':[
            Pin(num='1',name='PGND',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='TERM',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='EN2',func=pin_types.INPUT,unit=1),
            Pin(num='12',name='ILIM',func=pin_types.PASSIVE,unit=1),
            Pin(num='13',name='TS/CTRL',func=pin_types.INPUT,unit=1),
            Pin(num='14',name='FOD',func=pin_types.INPUT,unit=1),
            Pin(num='15',name='COMM2',func=pin_types.OPENCOLL,unit=1),
            Pin(num='16',name='CLAMP2',func=pin_types.OPENCOLL,unit=1),
            Pin(num='17',name='BOOT2',func=pin_types.PASSIVE,unit=1),
            Pin(num='18',name='RECT',func=pin_types.PASSIVE,unit=1),
            Pin(num='19',name='AC2',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='AC1',func=pin_types.INPUT,unit=1),
            Pin(num='20',name='PGND',func=pin_types.PASSIVE,unit=1),
            Pin(num='21',name='PGND',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='BOOT1',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='BAT',func=pin_types.PWROUT,unit=1),
            Pin(num='5',name='CLAMP1',func=pin_types.OPENCOLL,unit=1),
            Pin(num='6',name='COMM1',func=pin_types.OPENCOLL,unit=1),
            Pin(num='7',name='~{CHG}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='8',name='~{AD-EN}',func=pin_types.OUTPUT,unit=1),
            Pin(num='9',name='AD',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BQ51050BYFP', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BQ51050BYFP'}), 'ref_prefix':'U', 'fplist':['Package_BGA:Texas_DSBGA-28_1.9x3.0mm_Layout4x7_P0.4mm'], 'footprint':'Package_BGA:Texas_DSBGA-28_1.9x3.0mm_Layout4x7_P0.4mm', 'keywords':'Qi Wireless Power Receiver Battery Charger 4.2V', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/bq51050b.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nBQ51050BYFP\n\nQi Wireless Power Receiver Battery Charger 4.2V', 'pins':[
            Pin(num='A1',name='PGND',func=pin_types.PWRIN,unit=1),
            Pin(num='A2',name='PGND',func=pin_types.PASSIVE,unit=1),
            Pin(num='A3',name='PGND',func=pin_types.PASSIVE,unit=1),
            Pin(num='A4',name='PGND',func=pin_types.PASSIVE,unit=1),
            Pin(num='B1',name='AC2',func=pin_types.INPUT,unit=1),
            Pin(num='B2',name='AC2',func=pin_types.INPUT,unit=1),
            Pin(num='B3',name='AC1',func=pin_types.INPUT,unit=1),
            Pin(num='B4',name='AC1',func=pin_types.INPUT,unit=1),
            Pin(num='C1',name='BOOT2',func=pin_types.PASSIVE,unit=1),
            Pin(num='C2',name='RECT',func=pin_types.PASSIVE,unit=1),
            Pin(num='C3',name='RECT',func=pin_types.PASSIVE,unit=1),
            Pin(num='C4',name='BOOT1',func=pin_types.PASSIVE,unit=1),
            Pin(num='D1',name='BAT',func=pin_types.PWROUT,unit=1),
            Pin(num='D2',name='BAT',func=pin_types.PASSIVE,unit=1),
            Pin(num='D3',name='BAT',func=pin_types.PASSIVE,unit=1),
            Pin(num='D4',name='BAT',func=pin_types.PASSIVE,unit=1),
            Pin(num='E1',name='COMM2',func=pin_types.OPENCOLL,unit=1),
            Pin(num='E2',name='CLAMP2',func=pin_types.OPENCOLL,unit=1),
            Pin(num='E3',name='CLAMP1',func=pin_types.OPENCOLL,unit=1),
            Pin(num='E4',name='COMM1',func=pin_types.OPENCOLL,unit=1),
            Pin(num='F1',name='TS/CTRL',func=pin_types.INPUT,unit=1),
            Pin(num='F2',name='FOD',func=pin_types.INPUT,unit=1),
            Pin(num='F3',name='~{AD-EN}',func=pin_types.OUTPUT,unit=1),
            Pin(num='F4',name='~{CHG}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='G1',name='ILIM',func=pin_types.PASSIVE,unit=1),
            Pin(num='G2',name='EN2',func=pin_types.INPUT,unit=1),
            Pin(num='G3',name='TERM',func=pin_types.INPUT,unit=1),
            Pin(num='G4',name='AD',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BQ76200PW', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BQ76200PW'}), 'ref_prefix':'U', 'fplist':['Package_SO:TSSOP-16_4.4x5mm_P0.65mm'], 'footprint':'Package_SO:TSSOP-16_4.4x5mm_P0.65mm', 'keywords':'Battery Pack Charge/Discharge High-Side', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/bq76200.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nBQ76200PW\n\nBattery Pack Charge/Discharge High-Side', 'pins':[
            Pin(num='1',name='VDDCP',func=pin_types.OUTPUT,unit=1),
            Pin(num='10',name='PACKDIV',func=pin_types.OUTPUT,unit=1),
            Pin(num='11',name='PACK',func=pin_types.PWRIN,unit=1),
            Pin(num='12',name='DSG',func=pin_types.OUTPUT,unit=1),
            Pin(num='13',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='14',name='PCHG',func=pin_types.OUTPUT,unit=1),
            Pin(num='15',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='16',name='CHG',func=pin_types.OUTPUT,unit=1),
            Pin(num='2',name='BAT',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='4',name='CHG_EN',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='CP_EN',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='DSG_EN',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='PMON_EN',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='PCHG_EN',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='VSS',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BQ76920PW', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BQ76920PW'}), 'ref_prefix':'U', 'fplist':['Package_SO:TSSOP-20_4.4x6.5mm_P0.65mm'], 'footprint':'Package_SO:TSSOP-20_4.4x6.5mm_P0.65mm', 'keywords':'lithium battery balance charge afe', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/bq76920.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nBQ76920PW\n\nlithium battery balance charge afe', 'pins':[
            Pin(num='10',name='BAT',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='12',name='VC5',func=pin_types.INPUT,unit=1),
            Pin(num='13',name='VC4',func=pin_types.INPUT,unit=1),
            Pin(num='14',name='VC3',func=pin_types.INPUT,unit=1),
            Pin(num='15',name='VC2',func=pin_types.INPUT,unit=1),
            Pin(num='16',name='VC1',func=pin_types.INPUT,unit=1),
            Pin(num='17',name='VC0',func=pin_types.INPUT,unit=1),
            Pin(num='18',name='SRP',func=pin_types.INPUT,unit=1),
            Pin(num='19',name='SRN',func=pin_types.INPUT,unit=1),
            Pin(num='20',name='ALERT',func=pin_types.BIDIR,unit=1),
            Pin(num='6',name='TS1',func=pin_types.PASSIVE,unit=1),
            Pin(num='7',name='CAP1',func=pin_types.PASSIVE,unit=1),
            Pin(num='8',name='REGOUT',func=pin_types.PWROUT,unit=1),
            Pin(num='9',name='REGSRC',func=pin_types.PWRIN,unit=1),
            Pin(num='1',name='DSG',func=pin_types.OUTPUT,unit=1),
            Pin(num='2',name='CHG',func=pin_types.OUTPUT,unit=1),
            Pin(num='3',name='VSS',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='SDA',func=pin_types.BIDIR,unit=1),
            Pin(num='5',name='SCL',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BQ76930DBT', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BQ76930DBT'}), 'ref_prefix':'U', 'fplist':['Package_SO:TSSOP-30_4.4x7.8mm_P0.5mm'], 'footprint':'Package_SO:TSSOP-30_4.4x7.8mm_P0.5mm', 'keywords':'lithium battery balance charge afe', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/bq76930.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nBQ76930DBT\n\nlithium battery balance charge afe', 'pins':[
            Pin(num='10',name='VC5X',func=pin_types.PASSIVE,unit=1),
            Pin(num='11',name='NC(CAP2)',func=pin_types.PASSIVE,unit=1),
            Pin(num='12',name='NC(CAP2)',func=pin_types.PASSIVE,unit=1),
            Pin(num='13',name='TS2',func=pin_types.PASSIVE,unit=1),
            Pin(num='14',name='CAP2',func=pin_types.PASSIVE,unit=1),
            Pin(num='15',name='BAT',func=pin_types.INPUT,unit=1),
            Pin(num='16',name='VC10',func=pin_types.INPUT,unit=1),
            Pin(num='17',name='VC9',func=pin_types.INPUT,unit=1),
            Pin(num='18',name='VC8',func=pin_types.INPUT,unit=1),
            Pin(num='19',name='VC7',func=pin_types.INPUT,unit=1),
            Pin(num='20',name='VC6',func=pin_types.INPUT,unit=1),
            Pin(num='21',name='VC5B',func=pin_types.INPUT,unit=1),
            Pin(num='22',name='VC5',func=pin_types.INPUT,unit=1),
            Pin(num='23',name='VC4',func=pin_types.INPUT,unit=1),
            Pin(num='24',name='VC3',func=pin_types.INPUT,unit=1),
            Pin(num='25',name='VC2',func=pin_types.INPUT,unit=1),
            Pin(num='26',name='VC1',func=pin_types.INPUT,unit=1),
            Pin(num='27',name='VC0',func=pin_types.INPUT,unit=1),
            Pin(num='28',name='SRP',func=pin_types.INPUT,unit=1),
            Pin(num='29',name='SRN',func=pin_types.INPUT,unit=1),
            Pin(num='30',name='ALERT',func=pin_types.BIDIR,unit=1),
            Pin(num='6',name='TS1',func=pin_types.PASSIVE,unit=1),
            Pin(num='7',name='CAP1',func=pin_types.PASSIVE,unit=1),
            Pin(num='8',name='REGOUT',func=pin_types.PWROUT,unit=1),
            Pin(num='9',name='REGSRC',func=pin_types.PWRIN,unit=1),
            Pin(num='1',name='DSG',func=pin_types.OUTPUT,unit=1),
            Pin(num='2',name='CHG',func=pin_types.OUTPUT,unit=1),
            Pin(num='3',name='VSS',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='SDA',func=pin_types.BIDIR,unit=1),
            Pin(num='5',name='SCL',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BQ76940DBT', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BQ76940DBT'}), 'ref_prefix':'U', 'fplist':['Package_SO:TSSOP-44_4.4x11.2mm_P0.5mm'], 'footprint':'Package_SO:TSSOP-44_4.4x11.2mm_P0.5mm', 'keywords':'lithium battery balance charge afe', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/bq76940.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nBQ76940DBT\n\nlithium battery balance charge afe', 'pins':[
            Pin(num='10',name='VC5X',func=pin_types.PASSIVE,unit=1),
            Pin(num='11',name='NC(CAP2)',func=pin_types.PASSIVE,unit=1),
            Pin(num='12',name='NC(CAP2)',func=pin_types.PASSIVE,unit=1),
            Pin(num='13',name='TS2',func=pin_types.PASSIVE,unit=1),
            Pin(num='14',name='CAP2',func=pin_types.PASSIVE,unit=1),
            Pin(num='15',name='VC10X',func=pin_types.PASSIVE,unit=1),
            Pin(num='16',name='NC(CAP3)',func=pin_types.PASSIVE,unit=1),
            Pin(num='17',name='NC(CAP3)',func=pin_types.PASSIVE,unit=1),
            Pin(num='18',name='TS3',func=pin_types.PASSIVE,unit=1),
            Pin(num='19',name='CAP3',func=pin_types.PASSIVE,unit=1),
            Pin(num='20',name='BAT',func=pin_types.INPUT,unit=1),
            Pin(num='21',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='22',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='23',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='24',name='VC15',func=pin_types.INPUT,unit=1),
            Pin(num='25',name='VC14',func=pin_types.INPUT,unit=1),
            Pin(num='26',name='VC13',func=pin_types.INPUT,unit=1),
            Pin(num='27',name='VC12',func=pin_types.INPUT,unit=1),
            Pin(num='28',name='VC11',func=pin_types.INPUT,unit=1),
            Pin(num='29',name='VC10B',func=pin_types.INPUT,unit=1),
            Pin(num='30',name='VC10',func=pin_types.INPUT,unit=1),
            Pin(num='31',name='VC9',func=pin_types.INPUT,unit=1),
            Pin(num='32',name='VC8',func=pin_types.INPUT,unit=1),
            Pin(num='33',name='VC7',func=pin_types.INPUT,unit=1),
            Pin(num='34',name='VC6',func=pin_types.INPUT,unit=1),
            Pin(num='35',name='VC5B',func=pin_types.INPUT,unit=1),
            Pin(num='36',name='VC5',func=pin_types.INPUT,unit=1),
            Pin(num='37',name='VC4',func=pin_types.INPUT,unit=1),
            Pin(num='38',name='VC3',func=pin_types.INPUT,unit=1),
            Pin(num='39',name='VC2',func=pin_types.INPUT,unit=1),
            Pin(num='40',name='VC1',func=pin_types.INPUT,unit=1),
            Pin(num='41',name='VC0',func=pin_types.INPUT,unit=1),
            Pin(num='42',name='SRP',func=pin_types.INPUT,unit=1),
            Pin(num='43',name='SRN',func=pin_types.INPUT,unit=1),
            Pin(num='44',name='ALERT',func=pin_types.BIDIR,unit=1),
            Pin(num='6',name='TS1',func=pin_types.PASSIVE,unit=1),
            Pin(num='7',name='CAP1',func=pin_types.PASSIVE,unit=1),
            Pin(num='8',name='REGOUT',func=pin_types.PWROUT,unit=1),
            Pin(num='9',name='REGSRC',func=pin_types.PWRIN,unit=1),
            Pin(num='1',name='DSG',func=pin_types.OUTPUT,unit=1),
            Pin(num='2',name='CHG',func=pin_types.OUTPUT,unit=1),
            Pin(num='3',name='VSS',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='SDA',func=pin_types.BIDIR,unit=1),
            Pin(num='5',name='SCL',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BQ78350DBT', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BQ78350DBT'}), 'ref_prefix':'U', 'fplist':['Package_SO:TSSOP-30_4.4x7.8mm_P0.5mm'], 'footprint':'Package_SO:TSSOP-30_4.4x7.8mm_P0.5mm', 'keywords':'battery management Li-Ion Gauge controller', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/bq78350.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nBQ78350DBT\n\nbattery management Li-Ion Gauge controller', 'pins':[
            Pin(num='1',name='COM',func=pin_types.OPENCOLL,unit=1),
            Pin(num='10',name='SAFE',func=pin_types.OUTPUT,unit=1),
            Pin(num='11',name='SMBD',func=pin_types.BIDIR,unit=1),
            Pin(num='12',name='VEN',func=pin_types.OPENCOLL,unit=1),
            Pin(num='13',name='SMBC',func=pin_types.BIDIR,unit=1),
            Pin(num='14',name='~{DISP}',func=pin_types.INPUT,unit=1),
            Pin(num='15',name='PWRM',func=pin_types.OPENCOLL,unit=1),
            Pin(num='16',name='LED1',func=pin_types.OUTPUT,unit=1),
            Pin(num='17',name='LED2',func=pin_types.OUTPUT,unit=1),
            Pin(num='18',name='LED3',func=pin_types.OUTPUT,unit=1),
            Pin(num='19',name='LED4',func=pin_types.OUTPUT,unit=1),
            Pin(num='2',name='ALERT',func=pin_types.BIDIR,unit=1),
            Pin(num='20',name='LED5',func=pin_types.OUTPUT,unit=1),
            Pin(num='21',name='GPIO_A',func=pin_types.BIDIR,unit=1),
            Pin(num='22',name='VSS',func=pin_types.PASSIVE,unit=1),
            Pin(num='23',name='VSS',func=pin_types.PWRIN,unit=1),
            Pin(num='24',name='~{MRST}',func=pin_types.INPUT,unit=1),
            Pin(num='25',name='VSS',func=pin_types.PASSIVE,unit=1),
            Pin(num='26',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='27',name='RBI',func=pin_types.PASSIVE,unit=1),
            Pin(num='28',name='GPIO_B',func=pin_types.BIDIR,unit=1),
            Pin(num='29',name='ADREN',func=pin_types.OUTPUT,unit=1),
            Pin(num='3',name='SDA',func=pin_types.BIDIR,unit=1),
            Pin(num='30',name='SMBA',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='SCL',func=pin_types.OUTPUT,unit=1),
            Pin(num='5',name='~{PRECHG}',func=pin_types.OUTPUT,unit=1),
            Pin(num='6',name='VAUX',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='BAT',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='~{PRES}',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='~{KEYIN}',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'DS2745U', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'DS2745U'}), 'ref_prefix':'U', 'fplist':['Package_SO:TSSOP-8_3x3mm_P0.65mm'], 'footprint':'Package_SO:TSSOP-8_3x3mm_P0.65mm', 'keywords':'battery capacity monitor I2C', 'description':'', 'datasheet':'https://datasheets.maximintegrated.com/en/ds/DS2745.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nDS2745U\n\nbattery capacity monitor I2C', 'pins':[
            Pin(num='1',name='SCL',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='SDA',func=pin_types.BIDIR,unit=1),
            Pin(num='3',name='PIO',func=pin_types.OPENCOLL,unit=1),
            Pin(num='4',name='SNS',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='V_{SS}',func=pin_types.PWRIN,unit=1),
            Pin(num='6',name='CTG',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='VIN',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='V_{DD}',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'DW01A', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'DW01A'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-6'], 'footprint':'Package_TO_SOT_SMD:SOT-23-6', 'keywords':'battery protection li-ion lipo overcurrent overdischarge overcharge', 'description':'', 'datasheet':'https://hmsemi.com/downfile/DW01A.PDF', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nDW01A\n\nbattery protection li-ion lipo overcurrent overdischarge overcharge', 'pins':[
            Pin(num='1',name='OD',func=pin_types.OUTPUT),
            Pin(num='2',name='CS',func=pin_types.INPUT),
            Pin(num='3',name='OC',func=pin_types.OUTPUT),
            Pin(num='5',name='VCC',func=pin_types.PWRIN),
            Pin(num='6',name='GND',func=pin_types.PWRIN),
            Pin(num='4',name='TD',func=pin_types.NOCONNECT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LC709203FQH-01TWG', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LC709203FQH-01TWG'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:WDFN-8-1EP_4x3mm_P0.65mm_EP2.4x1.8mm'], 'footprint':'Package_DFN_QFN:WDFN-8-1EP_4x3mm_P0.65mm_EP2.4x1.8mm', 'keywords':'Battery gauge I2C', 'description':'', 'datasheet':'https://www.onsemi.com/download/data-sheet/pdf/lc709203f-d.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nLC709203FQH-01TWG\n\nBattery gauge I2C', 'pins':[
            Pin(num='1',name='TEST',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='V_{SS}',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='V_{DD}',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='~{ALARMB}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='5',name='T_{SW}',func=pin_types.OUTPUT,unit=1),
            Pin(num='6',name='T_{SENSE}',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='SDA',func=pin_types.BIDIR,unit=1),
            Pin(num='8',name='SCL',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='EP',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LGS5500EP', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LGS5500EP'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8-1EP_3.9x4.9mm_P1.27mm_EP2.41x3.3mm'], 'footprint':'Package_SO:SOIC-8-1EP_3.9x4.9mm_P1.27mm_EP2.41x3.3mm', 'keywords':'lipo lithium battery charger boost', 'description':'', 'datasheet':'https://www.lcsc.com/datasheet/lcsc_datasheet_2304071430_Legend-Si-LGS5500EP_C5280699.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nLGS5500EP\n\nlipo lithium battery charger boost', 'pins':[
            Pin(num='1',name='ISET',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='VIN',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='VL',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='LX',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='VH',func=pin_types.PWROUT,unit=1),
            Pin(num='6',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='7',name='VSET/LED',func=pin_types.OUTPUT,unit=1),
            Pin(num='8',name='NTC',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='GND',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LP3947', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LP3947'}), 'ref_prefix':'U', 'fplist':['Package_SON:WSON-14-1EP_4.0x4.0mm_P0.5mm_EP2.6x2.6mm'], 'footprint':'Package_SON:WSON-14-1EP_4.0x4.0mm_P0.5mm_EP2.6x2.6mm', 'keywords':'li-ion battery charger usb', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/lp3947.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nLP3947\n\nli-ion battery charger usb', 'pins':[
            Pin(num='1',name='EN',func=pin_types.INPUT,unit=1),
            Pin(num='10',name='EOC',func=pin_types.OPENCOLL,unit=1),
            Pin(num='11',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='12',name='CHG',func=pin_types.OPENCOLL,unit=1),
            Pin(num='13',name='ISEL',func=pin_types.INPUT,unit=1),
            Pin(num='14',name='CHG_IN',func=pin_types.PWRIN,unit=1),
            Pin(num='15',name='EP',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='SCL',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='SDA',func=pin_types.BIDIR,unit=1),
            Pin(num='4',name='BATT',func=pin_types.PWROUT,unit=1),
            Pin(num='5',name='V_{T}',func=pin_types.PWROUT,unit=1),
            Pin(num='6',name='VB_{SENSE}',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='MODE',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='DIFF_AMP',func=pin_types.OUTPUT,unit=1),
            Pin(num='9',name='Ts',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LT3652EDD', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LT3652EDD'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:DFN-12-1EP_3x3mm_P0.45mm_EP1.65x2.38mm'], 'footprint':'Package_DFN_QFN:DFN-12-1EP_3x3mm_P0.45mm_EP1.65x2.38mm', 'keywords':'battery charger solar', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/3652fe.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nLT3652EDD\n\nbattery charger solar', 'pins':[
            Pin(num='1',name='V_{IN}',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='SENSE',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='BOOST',func=pin_types.INPUT,unit=1),
            Pin(num='12',name='SW',func=pin_types.OUTPUT,unit=1),
            Pin(num='13',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='V_{IN_REG}',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='~{SHDN}',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='~{CHRG}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='5',name='~{FAULT}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='6',name='TIMER',func=pin_types.OUTPUT,unit=1),
            Pin(num='7',name='V_{FB}',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='NTC',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='BAT',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LT3652EMSE', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LT3652EMSE'}), 'ref_prefix':'U', 'fplist':['Package_SO:MSOP-12-1EP_3x4mm_P0.65mm_EP1.65x2.85mm'], 'footprint':'Package_SO:MSOP-12-1EP_3x4mm_P0.65mm_EP1.65x2.85mm', 'keywords':'battery charger solar', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/3652fe.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nLT3652EMSE\n\nbattery charger solar', 'pins':[
            Pin(num='1',name='V_{IN}',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='SENSE',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='BOOST',func=pin_types.INPUT,unit=1),
            Pin(num='12',name='SW',func=pin_types.OUTPUT,unit=1),
            Pin(num='13',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='V_{IN_REG}',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='~{SHDN}',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='~{CHRG}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='5',name='~{FAULT}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='6',name='TIMER',func=pin_types.OUTPUT,unit=1),
            Pin(num='7',name='V_{FB}',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='NTC',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='BAT',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LTC2942', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LTC2942'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:DFN-6-1EP_3x2mm_P0.5mm_EP1.65x1.35mm'], 'footprint':'Package_DFN_QFN:DFN-6-1EP_3x2mm_P0.5mm_EP1.65x1.35mm', 'keywords':'Fuel gauge coulomb counter I2C', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/2942fa.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nLTC2942\n\nFuel gauge coulomb counter I2C', 'pins':[
            Pin(num='1',name='SENSE+',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='SCL',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='SDA',func=pin_types.BIDIR,unit=1),
            Pin(num='5',name='~{AL}/CC',func=pin_types.BIDIR,unit=1),
            Pin(num='6',name='SENSE-',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LTC2959', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LTC2959'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:DFN-10-1EP_2x3mm_P0.5mm_EP0.64x2.4mm'], 'footprint':'Package_DFN_QFN:DFN-10-1EP_2x3mm_P0.5mm_EP0.64x2.4mm', 'keywords':'Ultra-low power fuel gauge coulomb counter I2C', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/ltc2959.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nLTC2959\n\nUltra-low power fuel gauge coulomb counter I2C', 'pins':[
            Pin(num='1',name='V_{DD}',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='11',name='EP',func=pin_types.NOCONNECT,unit=1),
            Pin(num='2',name='SENSEP',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='CFP',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='CFN',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='SENSEN',func=pin_types.PASSIVE,unit=1),
            Pin(num='6',name='SCL',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='SDA',func=pin_types.BIDIR,unit=1),
            Pin(num='8',name='GPIO',func=pin_types.BIDIR,unit=1),
            Pin(num='9',name='V_{REG}',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LTC3553', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LTC3553'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-20-1EP_3x3mm_P0.4mm_EP1.65x1.65mm'], 'footprint':'Package_DFN_QFN:QFN-20-1EP_3x3mm_P0.4mm_EP1.65x1.65mm', 'keywords':'USB PMIC', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/3553fc.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nLTC3553\n\nUSB PMIC', 'pins':[
            Pin(num='1',name='HPWR',func=pin_types.INPUT,unit=1),
            Pin(num='10',name='LDO',func=pin_types.PWROUT,unit=1),
            Pin(num='11',name='VINLDO',func=pin_types.PWRIN,unit=1),
            Pin(num='12',name='BVIN',func=pin_types.PWRIN,unit=1),
            Pin(num='13',name='SW',func=pin_types.PWROUT,unit=1),
            Pin(num='14',name='~{CHRG}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='15',name='NTC',func=pin_types.PASSIVE,unit=1),
            Pin(num='16',name='PROG',func=pin_types.PASSIVE,unit=1),
            Pin(num='17',name='BAT',func=pin_types.PWROUT,unit=1),
            Pin(num='18',name='VOUT',func=pin_types.PWROUT,unit=1),
            Pin(num='19',name='SUSP',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='SEQ',func=pin_types.INPUT,unit=1),
            Pin(num='20',name='VBUS',func=pin_types.PWRIN,unit=1),
            Pin(num='21',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='PBSTAT',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='~{ON}',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='LDO_ON',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='STBY',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='BUCK_ON',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='BUCK_FB',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='LDO_FB',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LTC3555', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LTC3555'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-28-1EP_4x5mm_P0.5mm_EP2.65x3.65mm'], 'footprint':'Package_DFN_QFN:QFN-28-1EP_4x5mm_P0.5mm_EP2.65x3.65mm', 'keywords':'USB PMIC', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/3555fe.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nLTC3555\n\nUSB PMIC', 'pins':[
            Pin(num='1',name='LDO3V3',func=pin_types.PWROUT,unit=1),
            Pin(num='10',name='SDA',func=pin_types.BIDIR,unit=1),
            Pin(num='11',name='V_{IN3}',func=pin_types.PWRIN,unit=1),
            Pin(num='12',name='SW3',func=pin_types.PWROUT,unit=1),
            Pin(num='13',name='EN3',func=pin_types.INPUT,unit=1),
            Pin(num='14',name='FB3',func=pin_types.INPUT,unit=1),
            Pin(num='15',name='~{RST3}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='16',name='EN1',func=pin_types.INPUT,unit=1),
            Pin(num='17',name='SW1',func=pin_types.PWROUT,unit=1),
            Pin(num='18',name='V_{IN1}',func=pin_types.PWRIN,unit=1),
            Pin(num='19',name='FB1',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='CLPROG',func=pin_types.PASSIVE,unit=1),
            Pin(num='20',name='PROG',func=pin_types.PASSIVE,unit=1),
            Pin(num='21',name='~{CHRG}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='22',name='GATE',func=pin_types.OUTPUT,unit=1),
            Pin(num='23',name='BAT',func=pin_types.PWROUT,unit=1),
            Pin(num='24',name='V_{OUT}',func=pin_types.PWROUT,unit=1),
            Pin(num='25',name='VBUS',func=pin_types.PWRIN,unit=1),
            Pin(num='26',name='SW',func=pin_types.PWROUT,unit=1),
            Pin(num='27',name='I_{LIM0}',func=pin_types.INPUT,unit=1),
            Pin(num='28',name='I_{LIM1}',func=pin_types.INPUT,unit=1),
            Pin(num='29',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='NTC',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='FB2',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='V_{IN2}',func=pin_types.PWRIN,unit=1),
            Pin(num='6',name='SW2',func=pin_types.PWROUT,unit=1),
            Pin(num='7',name='EN2',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='DV_{CC}',func=pin_types.PWRIN,unit=1),
            Pin(num='9',name='SCL',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LTC4001', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LTC4001'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-16-1EP_4x4mm_P0.65mm_EP2.15x2.15mm'], 'footprint':'Package_DFN_QFN:QFN-16-1EP_4x4mm_P0.65mm_EP2.15x2.15mm', 'keywords':'Li-Ion charger', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/4001f.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nLTC4001\n\nLi-Ion charger', 'pins':[
            Pin(num='1',name='BAT',func=pin_types.OUTPUT,unit=1),
            Pin(num='10',name='FAULT',func=pin_types.OUTPUT,unit=1),
            Pin(num='11',name='NTC',func=pin_types.INPUT,unit=1),
            Pin(num='12',name='PROG',func=pin_types.INPUT,unit=1),
            Pin(num='13',name='IDET',func=pin_types.INPUT,unit=1),
            Pin(num='14',name='SS',func=pin_types.INPUT,unit=1),
            Pin(num='15',name='TIMER',func=pin_types.INPUT,unit=1),
            Pin(num='16',name='BATSENS',func=pin_types.INPUT,unit=1),
            Pin(num='17',name='PAD',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='SENSE',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='PGND',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='GNDSENS',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='SW',func=pin_types.OUTPUT,unit=1),
            Pin(num='6',name='~{EN}',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='~{CHRG}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='8',name='P_{VIN}',func=pin_types.PWRIN,unit=1),
            Pin(num='9',name='V_{INSENSE}',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LTC4002EDD-4.2', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LTC4002EDD-4.2'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:DFN-10-1EP_3x3mm_P0.5mm_EP1.55x2.48mm'], 'footprint':'Package_DFN_QFN:DFN-10-1EP_3x3mm_P0.5mm_EP1.55x2.48mm', 'keywords':'lithium li-ion battery charger', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/4002f.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nLTC4002EDD-4.2\n\nlithium li-ion battery charger', 'pins':[
            Pin(num='1',name='COMP',func=pin_types.INPUT,unit=1),
            Pin(num='10',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='11',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='V_{CC}',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='GATE',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='PGND',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='SGND',func=pin_types.PWRIN,unit=1),
            Pin(num='6',name='~{CHRG}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='7',name='BAT',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='SENSE',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='NTC',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LTC4002ES8-4.2', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LTC4002ES8-4.2'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'lithium li-ion battery charger', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/4002f.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nLTC4002ES8-4.2\n\nlithium li-ion battery charger', 'pins':[
            Pin(num='1',name='COMP',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='V_{CC}',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='GATE',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='~{CHRG}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='6',name='BAT',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='SENSE',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='NTC',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LTC4007', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LTC4007'}), 'ref_prefix':'U', 'fplist':['Package_SO:SSOP-24_3.9x8.7mm_P0.635mm'], 'footprint':'Package_SO:SSOP-24_3.9x8.7mm_P0.635mm', 'keywords':'lithium ion polymer li-po battery', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/4007fc.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nLTC4007\n\nlithium ion polymer li-po battery', 'pins':[
            Pin(num='1',name='DCIN',func=pin_types.INPUT,unit=1),
            Pin(num='10',name='ITH',func=pin_types.PASSIVE,unit=1),
            Pin(num='11',name='PROG',func=pin_types.BIDIR,unit=1),
            Pin(num='12',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='13',name='~{ICL}',func=pin_types.OUTPUT,unit=1),
            Pin(num='14',name='CSP',func=pin_types.INPUT,unit=1),
            Pin(num='15',name='BAT',func=pin_types.INPUT,unit=1),
            Pin(num='16',name='CHEM',func=pin_types.INPUT,unit=1),
            Pin(num='17',name='~{FLAG}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='18',name='CLP',func=pin_types.INPUT,unit=1),
            Pin(num='19',name='CLN',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='~{CHG}',func=pin_types.OUTPUT,unit=1),
            Pin(num='20',name='TGATE',func=pin_types.OUTPUT,unit=1),
            Pin(num='21',name='PGND',func=pin_types.PWRIN,unit=1),
            Pin(num='22',name='BGATE',func=pin_types.OUTPUT,unit=1),
            Pin(num='23',name='INFET',func=pin_types.OUTPUT,unit=1),
            Pin(num='24',name='SHDN',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='ACP',func=pin_types.OPENCOLL,unit=1),
            Pin(num='4',name='R_{T}',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='~{FAULT}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='6',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='7',name='3C4C',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='~{LOBAT}',func=pin_types.OUTPUT,unit=1),
            Pin(num='9',name='NTC',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LTC4011CFE', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LTC4011CFE'}), 'ref_prefix':'U', 'fplist':['Package_SO:HTSSOP-20-1EP_4.4x6.5mm_P0.65mm_EP2.74x3.86mm'], 'footprint':'Package_SO:HTSSOP-20-1EP_4.4x6.5mm_P0.65mm_EP2.74x3.86mm', 'keywords':'NiMH nickel battery charger', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/4011fb.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nLTC4011CFE\n\nNiMH nickel battery charger', 'pins':[
            Pin(num='1',name='DCIN',func=pin_types.INPUT,unit=1),
            Pin(num='10',name='TIMER',func=pin_types.PASSIVE,unit=1),
            Pin(num='11',name='SENSE',func=pin_types.INPUT,unit=1),
            Pin(num='12',name='BAT',func=pin_types.PWROUT,unit=1),
            Pin(num='13',name='~{TOC}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='14',name='INTVDD',func=pin_types.PWROUT,unit=1),
            Pin(num='15',name='BGATE',func=pin_types.OUTPUT,unit=1),
            Pin(num='16',name='PGND',func=pin_types.PWRIN,unit=1),
            Pin(num='17',name='TGATE',func=pin_types.OUTPUT,unit=1),
            Pin(num='18',name='V_{CC}',func=pin_types.PWRIN,unit=1),
            Pin(num='19',name='~{READY}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='2',name='~{FAULT}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='20',name='INFET',func=pin_types.OUTPUT,unit=1),
            Pin(num='21',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='~{CHRG}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='4',name='CHEM',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='6',name='V_{RT}',func=pin_types.OUTPUT,unit=1),
            Pin(num='7',name='V_{TEMP}',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='V_{CELL}',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='V_{CDIV}',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LTC4054ES5-4.2', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LTC4054ES5-4.2'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:TSOT-23-5'], 'footprint':'Package_TO_SOT_SMD:TSOT-23-5', 'keywords':'Constant-current constant-voltage linear charger single cell lithium-ion battery', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/405442xf.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nLTC4054ES5-4.2\n\nConstant-current constant-voltage linear charger single cell lithium-ion battery', 'pins':[
            Pin(num='1',name='~{CHRG}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='BAT',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='V_{CC}',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='PROG',func=pin_types.BIDIR,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LTC4055', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LTC4055'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-16-1EP_4x4mm_P0.65mm_EP2.15x2.15mm'], 'footprint':'Package_DFN_QFN:QFN-16-1EP_4x4mm_P0.65mm_EP2.15x2.15mm', 'keywords':'charger PMIC Liion USB', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/4055fb.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nLTC4055\n\ncharger PMIC Liion USB', 'pins':[
            Pin(num='1',name='IN',func=pin_types.PASSIVE,unit=1),
            Pin(num='10',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='11',name='PROG',func=pin_types.PASSIVE,unit=1),
            Pin(num='12',name='TIMER',func=pin_types.PASSIVE,unit=1),
            Pin(num='13',name='~{ACPR}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='14',name='~{CHRG}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='15',name='VNTC',func=pin_types.OUTPUT,unit=1),
            Pin(num='16',name='NTC',func=pin_types.INPUT,unit=1),
            Pin(num='17',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='BAT',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='OUT',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='IN',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='WALL',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='SHDN',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='SUSP',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='HPWR',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='CLPROG',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LTC4060EDHC', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LTC4060EDHC'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:DFN-16-1EP_3x5mm_P0.5mm_EP1.66x4.4mm'], 'footprint':'Package_DFN_QFN:DFN-16-1EP_3x5mm_P0.5mm_EP1.66x4.4mm', 'keywords':'battery charger', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/405442xf.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nLTC4060EDHC\n\nbattery charger', 'pins':[
            Pin(num='1',name='DRIVE',func=pin_types.OUTPUT,unit=1),
            Pin(num='10',name='SEL1',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='NTC',func=pin_types.INPUT,unit=1),
            Pin(num='12',name='CHEM',func=pin_types.INPUT,unit=1),
            Pin(num='13',name='~{ACP}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='14',name='V_{CC}',func=pin_types.PWRIN,unit=1),
            Pin(num='15',name='~{CHRG}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='16',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='17',name='GNDPAD',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='BAT',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='SENSE',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='TIMER',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='~{SHDN}',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='PAUSE',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='PROG',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='ARCT',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='SEL0',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LTC4060EFE', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LTC4060EFE'}), 'ref_prefix':'U', 'fplist':['Package_SO:TSSOP-16-1EP_4.4x5mm_P0.65mm'], 'footprint':'Package_SO:TSSOP-16-1EP_4.4x5mm_P0.65mm', 'keywords':'battery charger', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/405442xf.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nLTC4060EFE\n\nbattery charger', 'pins':[
            Pin(num='1',name='DRIVE',func=pin_types.OUTPUT,unit=1),
            Pin(num='10',name='SEL1',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='NTC',func=pin_types.INPUT,unit=1),
            Pin(num='12',name='CHEM',func=pin_types.INPUT,unit=1),
            Pin(num='13',name='~{ACP}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='14',name='V_{CC}',func=pin_types.PWRIN,unit=1),
            Pin(num='15',name='~{CHRG}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='16',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='17',name='GNDPAD',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='BAT',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='SENSE',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='TIMER',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='~{SHDN}',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='PAUSE',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='PROG',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='ARCT',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='SEL0',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LTC4067EDE', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LTC4067EDE'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:DFN-12-1EP_3x4mm_P0.5mm_EP1.7x3.3mm'], 'footprint':'Package_DFN_QFN:DFN-12-1EP_3x4mm_P0.5mm_EP1.7x3.3mm', 'keywords':'Polymer NTC constant-current', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/4067f.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nLTC4067EDE\n\nPolymer NTC constant-current', 'pins':[
            Pin(num='1',name='CLPROG',func=pin_types.INPUT,unit=1),
            Pin(num='10',name='BAT',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='12',name='IN',func=pin_types.PWRIN,unit=1),
            Pin(num='13',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='~{CHRG}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='3',name='NTC',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='ILIM0',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='ILIM1',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='OVI',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='OVP',func=pin_types.OUTPUT,unit=1),
            Pin(num='8',name='PROG',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='GATE',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LTC4156', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LTC4156'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-28-1EP_4x5mm_P0.5mm_EP2.65x3.65mm'], 'footprint':'Package_DFN_QFN:QFN-28-1EP_4x5mm_P0.5mm_EP2.65x3.65mm', 'keywords':'lifepo charger PMIC USB', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/4156fa.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nLTC4156\n\nlifepo charger PMIC USB', 'pins':[
            Pin(num='1',name='SDA',func=pin_types.BIDIR,unit=1),
            Pin(num='10',name='OVGCAP',func=pin_types.PASSIVE,unit=1),
            Pin(num='11',name='WALLGT',func=pin_types.OUTPUT,unit=1),
            Pin(num='12',name='V_{C}',func=pin_types.PASSIVE,unit=1),
            Pin(num='13',name='V_{OUTSNS}',func=pin_types.INPUT,unit=1),
            Pin(num='14',name='NTCBIAS',func=pin_types.OUTPUT,unit=1),
            Pin(num='15',name='NTC',func=pin_types.INPUT,unit=1),
            Pin(num='16',name='BATSNS',func=pin_types.INPUT,unit=1),
            Pin(num='17',name='BATGATE',func=pin_types.OUTPUT,unit=1),
            Pin(num='18',name='PROG',func=pin_types.PASSIVE,unit=1),
            Pin(num='19',name='CHGSNS',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='DVCC',func=pin_types.PWRIN,unit=1),
            Pin(num='20',name='CHGSNS',func=pin_types.PASSIVE,unit=1),
            Pin(num='21',name='V_{OUT}',func=pin_types.PASSIVE,unit=1),
            Pin(num='22',name='V_{OUT}',func=pin_types.PASSIVE,unit=1),
            Pin(num='23',name='V_{BUS}',func=pin_types.PASSIVE,unit=1),
            Pin(num='24',name='V_{BUS}',func=pin_types.PASSIVE,unit=1),
            Pin(num='25',name='V_{BUS}',func=pin_types.PASSIVE,unit=1),
            Pin(num='26',name='SW',func=pin_types.PASSIVE,unit=1),
            Pin(num='27',name='SW',func=pin_types.PASSIVE,unit=1),
            Pin(num='28',name='SCL',func=pin_types.INPUT,unit=1),
            Pin(num='29',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~{IRQ}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='4',name='ID',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='CLPROG1',func=pin_types.PASSIVE,unit=1),
            Pin(num='6',name='CLPROG2',func=pin_types.PASSIVE,unit=1),
            Pin(num='7',name='WALLSNS',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='USBSNS',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='USBGT',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LTC6803-2', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LTC6803-2'}), 'ref_prefix':'U', 'fplist':['Package_SO:SSOP-44_5.3x12.8mm_P0.5mm'], 'footprint':'Package_SO:SSOP-44_5.3x12.8mm_P0.5mm', 'keywords':'battery balance afe', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/680324fa.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nLTC6803-2\n\nbattery balance afe', 'pins':[
            Pin(num='1',name='V^{+}',func=pin_types.INPUT,unit=1),
            Pin(num='10',name='C8',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='S8',func=pin_types.INPUT,unit=1),
            Pin(num='12',name='C7',func=pin_types.INPUT,unit=1),
            Pin(num='13',name='S7',func=pin_types.INPUT,unit=1),
            Pin(num='14',name='C6',func=pin_types.INPUT,unit=1),
            Pin(num='15',name='S6',func=pin_types.INPUT,unit=1),
            Pin(num='16',name='C5',func=pin_types.INPUT,unit=1),
            Pin(num='17',name='S5',func=pin_types.INPUT,unit=1),
            Pin(num='18',name='C4',func=pin_types.INPUT,unit=1),
            Pin(num='19',name='S4',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='C12',func=pin_types.INPUT,unit=1),
            Pin(num='20',name='C3',func=pin_types.INPUT,unit=1),
            Pin(num='21',name='S3',func=pin_types.INPUT,unit=1),
            Pin(num='22',name='C2',func=pin_types.INPUT,unit=1),
            Pin(num='23',name='S2',func=pin_types.INPUT,unit=1),
            Pin(num='24',name='C1',func=pin_types.INPUT,unit=1),
            Pin(num='25',name='S1',func=pin_types.INPUT,unit=1),
            Pin(num='26',name='V^{-}',func=pin_types.INPUT,unit=1),
            Pin(num='27',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='28',name='V_{TEMP1}',func=pin_types.INPUT,unit=1),
            Pin(num='29',name='V_{TEMP2}',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='S12',func=pin_types.INPUT,unit=1),
            Pin(num='30',name='V_{REF}',func=pin_types.INPUT,unit=1),
            Pin(num='31',name='V_{REG}',func=pin_types.INPUT,unit=1),
            Pin(num='32',name='TOS',func=pin_types.INPUT,unit=1),
            Pin(num='33',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='34',name='~{WDTB}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='35',name='GPIO1',func=pin_types.INPUT,unit=1),
            Pin(num='36',name='GPIO2',func=pin_types.INPUT,unit=1),
            Pin(num='37',name='A0',func=pin_types.INPUT,unit=1),
            Pin(num='38',name='A1',func=pin_types.INPUT,unit=1),
            Pin(num='39',name='A2',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='C11',func=pin_types.INPUT,unit=1),
            Pin(num='40',name='A3',func=pin_types.INPUT,unit=1),
            Pin(num='41',name='SCKI',func=pin_types.INPUT,unit=1),
            Pin(num='42',name='SDI',func=pin_types.INPUT,unit=1),
            Pin(num='43',name='SDO',func=pin_types.OPENCOLL,unit=1),
            Pin(num='44',name='~{CSBI}',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='S11',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='C10',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='S10',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='C9',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='S9',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LTC6803-4', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LTC6803-4'}), 'ref_prefix':'U', 'fplist':['Package_SO:SSOP-44_5.3x12.8mm_P0.5mm'], 'footprint':'Package_SO:SSOP-44_5.3x12.8mm_P0.5mm', 'keywords':'battery balance afe', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/680324fa.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nLTC6803-4\n\nbattery balance afe', 'pins':[
            Pin(num='1',name='V^{+}',func=pin_types.INPUT,unit=1),
            Pin(num='10',name='C8',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='S8',func=pin_types.INPUT,unit=1),
            Pin(num='12',name='C7',func=pin_types.INPUT,unit=1),
            Pin(num='13',name='S7',func=pin_types.INPUT,unit=1),
            Pin(num='14',name='C6',func=pin_types.INPUT,unit=1),
            Pin(num='15',name='S6',func=pin_types.INPUT,unit=1),
            Pin(num='16',name='C5',func=pin_types.INPUT,unit=1),
            Pin(num='17',name='S5',func=pin_types.INPUT,unit=1),
            Pin(num='18',name='C4',func=pin_types.INPUT,unit=1),
            Pin(num='19',name='S4',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='C12',func=pin_types.INPUT,unit=1),
            Pin(num='20',name='C3',func=pin_types.INPUT,unit=1),
            Pin(num='21',name='S3',func=pin_types.INPUT,unit=1),
            Pin(num='22',name='C2',func=pin_types.INPUT,unit=1),
            Pin(num='23',name='S2',func=pin_types.INPUT,unit=1),
            Pin(num='24',name='C1',func=pin_types.INPUT,unit=1),
            Pin(num='25',name='S1',func=pin_types.INPUT,unit=1),
            Pin(num='26',name='C0',func=pin_types.INPUT,unit=1),
            Pin(num='27',name='V^{-}',func=pin_types.INPUT,unit=1),
            Pin(num='28',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='29',name='V_{TEMP1}',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='S12',func=pin_types.INPUT,unit=1),
            Pin(num='30',name='V_{TEMP2}',func=pin_types.INPUT,unit=1),
            Pin(num='31',name='V_{REF}',func=pin_types.INPUT,unit=1),
            Pin(num='32',name='V_{REG}',func=pin_types.INPUT,unit=1),
            Pin(num='33',name='TOS',func=pin_types.INPUT,unit=1),
            Pin(num='34',name='~{WDTB}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='35',name='GPIO1',func=pin_types.INPUT,unit=1),
            Pin(num='36',name='GPIO2',func=pin_types.INPUT,unit=1),
            Pin(num='37',name='A0',func=pin_types.INPUT,unit=1),
            Pin(num='38',name='A1',func=pin_types.INPUT,unit=1),
            Pin(num='39',name='A2',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='C11',func=pin_types.INPUT,unit=1),
            Pin(num='40',name='A3',func=pin_types.INPUT,unit=1),
            Pin(num='41',name='SCKI',func=pin_types.INPUT,unit=1),
            Pin(num='42',name='SDI',func=pin_types.INPUT,unit=1),
            Pin(num='43',name='SDO',func=pin_types.OPENCOLL,unit=1),
            Pin(num='44',name='~{CSBI}',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='S11',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='C10',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='S10',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='C9',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='S9',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LTC6804-1', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LTC6804-1'}), 'ref_prefix':'U', 'fplist':['Package_SO:SSOP-48_5.3x12.8mm_P0.5mm'], 'footprint':'Package_SO:SSOP-48_5.3x12.8mm_P0.5mm', 'keywords':'battery balance afe', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/680412fc.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nLTC6804-1\n\nbattery balance afe', 'pins':[
            Pin(num='1',name='V+',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='C8',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='S8',func=pin_types.BIDIR,unit=1),
            Pin(num='12',name='C7',func=pin_types.INPUT,unit=1),
            Pin(num='13',name='S7',func=pin_types.BIDIR,unit=1),
            Pin(num='14',name='C6',func=pin_types.INPUT,unit=1),
            Pin(num='15',name='S6',func=pin_types.BIDIR,unit=1),
            Pin(num='16',name='C5',func=pin_types.INPUT,unit=1),
            Pin(num='17',name='S5',func=pin_types.BIDIR,unit=1),
            Pin(num='18',name='C4',func=pin_types.INPUT,unit=1),
            Pin(num='19',name='S4',func=pin_types.BIDIR,unit=1),
            Pin(num='2',name='C12',func=pin_types.INPUT,unit=1),
            Pin(num='20',name='C3',func=pin_types.INPUT,unit=1),
            Pin(num='21',name='S3',func=pin_types.BIDIR,unit=1),
            Pin(num='22',name='C2',func=pin_types.INPUT,unit=1),
            Pin(num='23',name='S2',func=pin_types.BIDIR,unit=1),
            Pin(num='24',name='C1',func=pin_types.INPUT,unit=1),
            Pin(num='25',name='S1',func=pin_types.BIDIR,unit=1),
            Pin(num='26',name='C0',func=pin_types.INPUT,unit=1),
            Pin(num='27',name='GPIO1',func=pin_types.BIDIR,unit=1),
            Pin(num='28',name='GPIO2',func=pin_types.BIDIR,unit=1),
            Pin(num='29',name='GPIO3',func=pin_types.BIDIR,unit=1),
            Pin(num='3',name='S12',func=pin_types.BIDIR,unit=1),
            Pin(num='30',name='V-',func=pin_types.PASSIVE,unit=1),
            Pin(num='31',name='V-',func=pin_types.PASSIVE,unit=1),
            Pin(num='32',name='GPIO4',func=pin_types.BIDIR,unit=1),
            Pin(num='33',name='GPIO5',func=pin_types.BIDIR,unit=1),
            Pin(num='34',name='VREF2',func=pin_types.OUTPUT,unit=1),
            Pin(num='35',name='VREF1',func=pin_types.OUTPUT,unit=1),
            Pin(num='36',name='SWTEN',func=pin_types.INPUT,unit=1),
            Pin(num='37',name='VREG',func=pin_types.INPUT,unit=1),
            Pin(num='38',name='DRIVE',func=pin_types.OUTPUT,unit=1),
            Pin(num='39',name='WDT',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='C11',func=pin_types.INPUT,unit=1),
            Pin(num='40',name='ISOMD',func=pin_types.INPUT,unit=1),
            Pin(num='41',name='CSB(IMA)',func=pin_types.BIDIR,unit=1),
            Pin(num='42',name='SCK(IPA)',func=pin_types.BIDIR,unit=1),
            Pin(num='43',name='SDI(NC)',func=pin_types.INPUT,unit=1),
            Pin(num='44',name='SDO(NC)',func=pin_types.OPENCOLL,unit=1),
            Pin(num='45',name='IBIAS',func=pin_types.PASSIVE,unit=1),
            Pin(num='46',name='ICMP',func=pin_types.PASSIVE,unit=1),
            Pin(num='47',name='IMB',func=pin_types.BIDIR,unit=1),
            Pin(num='48',name='IPB',func=pin_types.BIDIR,unit=1),
            Pin(num='5',name='S11',func=pin_types.BIDIR,unit=1),
            Pin(num='6',name='C10',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='S10',func=pin_types.BIDIR,unit=1),
            Pin(num='8',name='C9',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='S9',func=pin_types.BIDIR,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MAX1647', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MAX1647'}), 'ref_prefix':'U', 'fplist':['Package_SO:SSOP-20_5.3x7.2mm_P0.65mm'], 'footprint':'Package_SO:SSOP-20_5.3x7.2mm_P0.65mm', 'keywords':'battery charger', 'description':'', 'datasheet':'https://datasheets.maximintegrated.com/en/ds/MAX1647-MAX1648.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nMAX1647\n\nbattery charger', 'pins':[
            Pin(num='1',name='IOUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='10',name='AGND',func=pin_types.PWRIN,unit=1),
            Pin(num='11',name='~{INT}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='12',name='THM',func=pin_types.INPUT,unit=1),
            Pin(num='13',name='SCLK',func=pin_types.INPUT,unit=1),
            Pin(num='14',name='SDA',func=pin_types.BIDIR,unit=1),
            Pin(num='15',name='DACV',func=pin_types.OUTPUT,unit=1),
            Pin(num='16',name='PGND',func=pin_types.PWRIN,unit=1),
            Pin(num='17',name='DLO',func=pin_types.OUTPUT,unit=1),
            Pin(num='18',name='DHI',func=pin_types.OUTPUT,unit=1),
            Pin(num='19',name='LX',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='DCIN',func=pin_types.PWRIN,unit=1),
            Pin(num='20',name='BST',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='VL',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='CCV',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='CCI',func=pin_types.PASSIVE,unit=1),
            Pin(num='6',name='SEL',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='CS',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='BATT',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='REF',func=pin_types.BIDIR,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MAX1648', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MAX1648'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-16_3.9x9.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-16_3.9x9.9mm_P1.27mm', 'keywords':'battery charger', 'description':'', 'datasheet':'https://datasheets.maximintegrated.com/en/ds/MAX1647-MAX1648.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nMAX1648\n\nbattery charger', 'pins':[
            Pin(num='1',name='DCIN',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='SETI',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='SETV',func=pin_types.INPUT,unit=1),
            Pin(num='12',name='PGND',func=pin_types.PWRIN,unit=1),
            Pin(num='13',name='DLO',func=pin_types.OUTPUT,unit=1),
            Pin(num='14',name='DHI',func=pin_types.OUTPUT,unit=1),
            Pin(num='15',name='LX',func=pin_types.INPUT,unit=1),
            Pin(num='16',name='BST',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='VL',func=pin_types.PWROUT,unit=1),
            Pin(num='3',name='CCV',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='CCI',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='CS',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='BATT',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='REF',func=pin_types.BIDIR,unit=1),
            Pin(num='8',name='AGND',func=pin_types.PWRIN,unit=1),
            Pin(num='9',name='THM',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MAX17261xxTD', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MAX17261xxTD'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:TDFN-14-1EP_3x3mm_P0.4mm_EP1.78x2.35mm'], 'footprint':'Package_DFN_QFN:TDFN-14-1EP_3x3mm_P0.4mm_EP1.78x2.35mm', 'keywords':'Charge pump battery', 'description':'', 'datasheet':'https://datasheets.maximintegrated.com/en/ds/MAX17261.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nMAX17261xxTD\n\nCharge pump battery', 'pins':[
            Pin(num='1',name='TH',func=pin_types.PASSIVE,unit=1),
            Pin(num='10',name='CELLX',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='REG',func=pin_types.PWROUT,unit=1),
            Pin(num='12',name='ALRT',func=pin_types.OPENCOLL,unit=1),
            Pin(num='13',name='SDA',func=pin_types.BIDIR,unit=1),
            Pin(num='14',name='SCL',func=pin_types.INPUT,unit=1),
            Pin(num='15',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='3',name='SW',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='5',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='6',name='BATT',func=pin_types.PWRIN,unit=1),
            Pin(num='7',name='CSN',func=pin_types.PASSIVE,unit=1),
            Pin(num='8',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='9',name='CSPL',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MAX17261xxWL', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MAX17261xxWL'}), 'ref_prefix':'U', 'fplist':['Package_BGA:Maxim_WLP-9_1.595x1.415_Layout3x3_P0.4mm_Ball0.27mm_Pad0.25mm_NSMD'], 'footprint':'Package_BGA:Maxim_WLP-9_1.595x1.415_Layout3x3_P0.4mm_Ball0.27mm_Pad0.25mm_NSMD', 'keywords':'Charge pump battery', 'description':'', 'datasheet':'https://datasheets.maximintegrated.com/en/ds/MAX17261.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nMAX17261xxWL\n\nCharge pump battery', 'pins':[
            Pin(num='A1',name='TH',func=pin_types.PASSIVE,unit=1),
            Pin(num='A2',name='SCL',func=pin_types.INPUT,unit=1),
            Pin(num='A3',name='CSN',func=pin_types.PASSIVE,unit=1),
            Pin(num='B1',name='BATT',func=pin_types.PWRIN,unit=1),
            Pin(num='B2',name='ALRT',func=pin_types.OPENCOLL,unit=1),
            Pin(num='B3',name='REG',func=pin_types.PWROUT,unit=1),
            Pin(num='C1',name='SDA',func=pin_types.BIDIR,unit=1),
            Pin(num='C2',name='CELLX',func=pin_types.INPUT,unit=1),
            Pin(num='C3',name='GND/CSPL',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MAX17263xxTE', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MAX17263xxTE'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:DFN-14-1EP_3x3mm_P0.4mm_EP1.78x2.35mm'], 'footprint':'Package_DFN_QFN:DFN-14-1EP_3x3mm_P0.4mm_EP1.78x2.35mm', 'keywords':'fuel-gauge', 'description':'', 'datasheet':'https://datasheets.maximintegrated.com/en/ds/MAX17263.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nMAX17263xxTE\n\nfuel-gauge', 'pins':[
            Pin(num='1',name='TH',func=pin_types.PASSIVE,unit=1),
            Pin(num='10',name='CELLX/CSPH',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='REG',func=pin_types.PWROUT,unit=1),
            Pin(num='12',name='ALRT',func=pin_types.OPENCOLL,unit=1),
            Pin(num='13',name='SDA',func=pin_types.BIDIR,unit=1),
            Pin(num='14',name='SCL',func=pin_types.INPUT,unit=1),
            Pin(num='15',name='EP',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='L1',func=pin_types.BIDIR,unit=1),
            Pin(num='3',name='L2',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='L3',func=pin_types.OUTPUT,unit=1),
            Pin(num='5',name='L4',func=pin_types.OUTPUT,unit=1),
            Pin(num='6',name='BATT',func=pin_types.PWRIN,unit=1),
            Pin(num='7',name='CSN',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='9',name='CSPL',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MAX1811', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MAX1811'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'USB Battery Charger', 'description':'', 'datasheet':'https://datasheets.maximintegrated.com/en/ds/MAX1811.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nMAX1811\n\nUSB Battery Charger', 'pins':[
            Pin(num='1',name='SELV',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='SELI',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='IN',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='BATT',func=pin_types.PWROUT,unit=1),
            Pin(num='6',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='7',name='EN',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='~{CHG}',func=pin_types.OPENCOLL,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MAX1873REEE', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MAX1873REEE'}), 'ref_prefix':'U', 'fplist':['Package_SO:QSOP-16_3.9x4.9mm_P0.635mm'], 'footprint':'Package_SO:QSOP-16_3.9x4.9mm_P0.635mm', 'keywords':'li-ion battery charger', 'description':'', 'datasheet':'https://datasheets.maximintegrated.com/en/ds/MAX1873.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nMAX1873REEE\n\nli-ion battery charger', 'pins':[
            Pin(num='1',name='CSSN',func=pin_types.INPUT,unit=1),
            Pin(num='10',name='BATT',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='CSB',func=pin_types.INPUT,unit=1),
            Pin(num='12',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='13',name='VH',func=pin_types.INPUT,unit=1),
            Pin(num='14',name='EXT',func=pin_types.OUTPUT,unit=1),
            Pin(num='15',name='DCIN',func=pin_types.PWRIN,unit=1),
            Pin(num='16',name='VL',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='CSSP',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='CCS',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='CCV',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='CCI',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='ICHG/EN',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='IOUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='8',name='VADJ',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='REF',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MAX712CPE', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MAX712CPE'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-16_W7.62mm'], 'footprint':'Package_DIP:DIP-16_W7.62mm', 'keywords':'battery charger controller', 'description':'', 'datasheet':'https://datasheets.maximintegrated.com/en/ds/MAX712-MAX713.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nMAX712CPE\n\nbattery charger controller', 'pins':[
            Pin(num='1',name='VLIMIT',func=pin_types.INPUT,unit=1),
            Pin(num='10',name='PGM3',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='CC',func=pin_types.INPUT,unit=1),
            Pin(num='12',name='BATT-',func=pin_types.INPUT,unit=1),
            Pin(num='13',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='14',name='DRV',func=pin_types.OUTPUT,unit=1),
            Pin(num='15',name='V+',func=pin_types.PWRIN,unit=1),
            Pin(num='16',name='REF',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='BATT+',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='PGM0',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='PGM1',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='THI',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='TLO',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='TEMP',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='~{FASTCHG}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='9',name='PGM2',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MAX712CSE', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MAX712CSE'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-16_3.9x9.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-16_3.9x9.9mm_P1.27mm', 'keywords':'battery charger controller', 'description':'', 'datasheet':'https://datasheets.maximintegrated.com/en/ds/MAX712-MAX713.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nMAX712CSE\n\nbattery charger controller', 'pins':[
            Pin(num='1',name='VLIMIT',func=pin_types.INPUT,unit=1),
            Pin(num='10',name='PGM3',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='CC',func=pin_types.INPUT,unit=1),
            Pin(num='12',name='BATT-',func=pin_types.INPUT,unit=1),
            Pin(num='13',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='14',name='DRV',func=pin_types.OUTPUT,unit=1),
            Pin(num='15',name='V+',func=pin_types.PWRIN,unit=1),
            Pin(num='16',name='REF',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='BATT+',func=pin_types.PWROUT,unit=1),
            Pin(num='3',name='PGM0',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='PGM1',func=pin_types.PWROUT,unit=1),
            Pin(num='5',name='THI',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='TLO',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='TEMP',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='~{FASTCHG}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='9',name='PGM2',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MC34673', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MC34673'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.75x1.45mm'], 'footprint':'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.75x1.45mm', 'keywords':'Lithium-Ion Battery Charger', 'description':'', 'datasheet':'http://www.nxp.com/docs/en/data-sheet/MC34673.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nMC34673\n\nLithium-Ion Battery Charger', 'pins':[
            Pin(num='1',name='VIN',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='~{PPR}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='3',name='~{CHG}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='4',name='~{EN}',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='6',name='~{FAST}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='7',name='ISET',func=pin_types.OUTPUT,unit=1),
            Pin(num='8',name='BAT',func=pin_types.PWROUT,unit=1),
            Pin(num='9',name='EPAD',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP73812T-420I-OT', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP73812T-420I-OT'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-5'], 'footprint':'Package_TO_SOT_SMD:SOT-23-5', 'keywords':'Lithium-Ion Battery Charger', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/22036b.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nMCP73812T-420I-OT\n\nLithium-Ion Battery Charger', 'pins':[
            Pin(num='1',name='CE',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='V_{SS}',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='V_{BAT}',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='V_{DD}',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='PROG',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP73831-2-MC', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP73831-2-MC'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm'], 'footprint':'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm', 'keywords':'battery charger lithium', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/20001984g.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nMCP73831-2-MC\n\nbattery charger lithium', 'pins':[
            Pin(num='1',name='V_{DD}',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='V_{DD}',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='V_{BAT}',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='V_{BAT}',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='STAT',func=pin_types.TRISTATE,unit=1),
            Pin(num='6',name='V_{SS}',func=pin_types.PWRIN,unit=1),
            Pin(num='7',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='8',name='PROG',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP73831-2-OT', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP73831-2-OT'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-5'], 'footprint':'Package_TO_SOT_SMD:SOT-23-5', 'keywords':'battery charger lithium', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/20001984g.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nMCP73831-2-OT\n\nbattery charger lithium', 'pins':[
            Pin(num='1',name='STAT',func=pin_types.TRISTATE,unit=1),
            Pin(num='2',name='V_{SS}',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='V_{BAT}',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='V_{DD}',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='PROG',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP73832-2-MC', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP73832-2-MC'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm'], 'footprint':'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm', 'keywords':'battery charger lithium', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/20001984g.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nMCP73832-2-MC\n\nbattery charger lithium', 'pins':[
            Pin(num='1',name='V_{DD}',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='V_{DD}',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='V_{BAT}',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='V_{BAT}',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='STAT',func=pin_types.OPENCOLL,unit=1),
            Pin(num='6',name='V_{SS}',func=pin_types.PWRIN,unit=1),
            Pin(num='7',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='8',name='PROG',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP73832-2-OT', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP73832-2-OT'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-5'], 'footprint':'Package_TO_SOT_SMD:SOT-23-5', 'keywords':'battery charger lithium', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/20001984g.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nMCP73832-2-OT\n\nbattery charger lithium', 'pins':[
            Pin(num='1',name='STAT',func=pin_types.OPENCOLL,unit=1),
            Pin(num='2',name='V_{SS}',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='V_{BAT}',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='V_{DD}',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='PROG',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP73833-xxx-MF', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP73833-xxx-MF'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:DFN-10-1EP_3x3mm_P0.5mm_EP1.58x2.35mm'], 'footprint':'Package_DFN_QFN:DFN-10-1EP_3x3mm_P0.5mm_EP1.58x2.35mm', 'keywords':'lithium-ion battery charger', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/aemDocuments/documents/OTH/ProductDocuments/DataSheets/22005b.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nMCP73833-xxx-MF\n\nlithium-ion battery charger', 'pins':[
            Pin(num='1',name='V_{DD}',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='V_{BAT}',func=pin_types.PASSIVE,unit=1),
            Pin(num='11',name='EP',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='V_{DD}',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='STAT1',func=pin_types.OPENCOLL,unit=1),
            Pin(num='4',name='STAT2',func=pin_types.OPENCOLL,unit=1),
            Pin(num='5',name='V_{SS}',func=pin_types.PWRIN,unit=1),
            Pin(num='6',name='PROG',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='~{PG}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='8',name='THERM',func=pin_types.PASSIVE,unit=1),
            Pin(num='9',name='V_{BAT}',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP73833-xxx-UN', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP73833-xxx-UN'}), 'ref_prefix':'U', 'fplist':['Package_SO:MSOP-10_3x3mm_P0.5mm'], 'footprint':'Package_SO:MSOP-10_3x3mm_P0.5mm', 'keywords':'lithium-ion battery charger', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/aemDocuments/documents/OTH/ProductDocuments/DataSheets/22005b.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nMCP73833-xxx-UN\n\nlithium-ion battery charger', 'pins':[
            Pin(num='1',name='V_{DD}',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='V_{BAT}',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='V_{DD}',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='STAT1',func=pin_types.OPENCOLL,unit=1),
            Pin(num='4',name='STAT2',func=pin_types.OPENCOLL,unit=1),
            Pin(num='5',name='V_{SS}',func=pin_types.PWRIN,unit=1),
            Pin(num='6',name='PROG',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='~{PG}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='8',name='THERM',func=pin_types.PASSIVE,unit=1),
            Pin(num='9',name='V_{BAT}',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP73871', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP73871'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-20-1EP_4x4mm_P0.5mm_EP2.5x2.5mm'], 'footprint':'Package_DFN_QFN:QFN-20-1EP_4x4mm_P0.5mm_EP2.5x2.5mm', 'keywords':'battery charger lithium', 'description':'', 'datasheet':'http://www.mouser.com/ds/2/268/22090a-52174.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nMCP73871\n\nbattery charger lithium', 'pins':[
            Pin(num='1',name='OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='10',name='V_{SS}',func=pin_types.PWRIN,unit=1),
            Pin(num='11',name='V_{SS}',func=pin_types.PASSIVE,unit=1),
            Pin(num='12',name='PROG3',func=pin_types.BIDIR,unit=1),
            Pin(num='13',name='PROG1',func=pin_types.BIDIR,unit=1),
            Pin(num='14',name='V_{BAT}',func=pin_types.PWROUT,unit=1),
            Pin(num='15',name='V_{BAT}',func=pin_types.PASSIVE,unit=1),
            Pin(num='16',name='V_{BAT_SENSE}',func=pin_types.INPUT,unit=1),
            Pin(num='17',name='CE',func=pin_types.INPUT,unit=1),
            Pin(num='18',name='IN',func=pin_types.PWRIN,unit=1),
            Pin(num='19',name='IN',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='VPCC',func=pin_types.INPUT,unit=1),
            Pin(num='20',name='OUT',func=pin_types.PASSIVE,unit=1),
            Pin(num='21',name='V_{SS}',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='SEL',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='PROG2',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='THERM',func=pin_types.BIDIR,unit=1),
            Pin(num='6',name='~{PG}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='7',name='STAT2',func=pin_types.OPENCOLL,unit=1),
            Pin(num='8',name='STAT1/~{LBO}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='9',name='~{TE}',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SLM6800', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SLM6800'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-16-1EP_4x4mm_P0.65mm_EP2.15x2.15mm'], 'footprint':'Package_DFN_QFN:QFN-16-1EP_4x4mm_P0.65mm_EP2.15x2.15mm', 'keywords':'battery charger dual-cell two-cell li-ion li-poly', 'description':'', 'datasheet':'https://datasheet.lcsc.com/lcsc/1912111437_SOLA-IC-SLM6800_C388594.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nSLM6800\n\nbattery charger dual-cell two-cell li-ion li-poly', 'pins':[
            Pin(num='13',name='~{CHRG}',func=pin_types.OPENCOLL),
            Pin(num='14',name='~{STBY}',func=pin_types.OPENCOLL),
            Pin(num='1',name='NTC',func=pin_types.INPUT,unit=1),
            Pin(num='10',name='ILIM',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='ISET',func=pin_types.INPUT,unit=1),
            Pin(num='12',name='TM',func=pin_types.INPUT,unit=1),
            Pin(num='15',name='SGND',func=pin_types.PWRIN,unit=1),
            Pin(num='16',name='EN',func=pin_types.INPUT,unit=1),
            Pin(num='17',name='PGND',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='VIN',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='BST',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='PGND',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='LX',func=pin_types.OUTPUT,unit=1),
            Pin(num='6',name='LX',func=pin_types.PASSIVE,unit=1),
            Pin(num='7',name='VSYS',func=pin_types.OUTPUT,unit=1),
            Pin(num='8',name='VSYS',func=pin_types.PASSIVE,unit=1),
            Pin(num='9',name='BAT',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TP4057', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TP4057'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:TSOT-23-5'], 'footprint':'Package_TO_SOT_SMD:TSOT-23-5', 'keywords':'Constant-current constant-voltage linear charger single-cell lithium-ion battery', 'description':'', 'datasheet':'http://toppwr.com/uploadfile/file/20230304/640302a47b738.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nTP4057\n\nConstant-current constant-voltage linear charger single-cell lithium-ion battery', 'pins':[
            Pin(num='1',name='~{CHRG}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='BAT',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='V_{CC}',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='STDBY',func=pin_types.OPENCOLL,unit=1),
            Pin(num='6',name='PROG',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BQ24073RGT', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BQ24073RGT'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:VQFN-16-1EP_3x3mm_P0.5mm_EP1.6x1.6mm', 'Package_DFN_QFN:VQFN-16-1EP_3x3mm_P0.5mm_EP1.6x1.6mm'], 'footprint':'Package_DFN_QFN:VQFN-16-1EP_3x3mm_P0.5mm_EP1.6x1.6mm', 'keywords':'USB Charger', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/bq24073.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nBQ24073RGT\n\nUSB Charger', 'pins':[
            Pin(num='1',name='TS',func=pin_types.PASSIVE,unit=1),
            Pin(num='10',name='OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='11',name='OUT',func=pin_types.PASSIVE,unit=1),
            Pin(num='12',name='ILIM',func=pin_types.PASSIVE,unit=1),
            Pin(num='13',name='IN',func=pin_types.PWRIN,unit=1),
            Pin(num='14',name='TMR',func=pin_types.INPUT,unit=1),
            Pin(num='15',name='TD',func=pin_types.INPUT,unit=1),
            Pin(num='16',name='ISET',func=pin_types.PASSIVE,unit=1),
            Pin(num='17',name='VSS',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='BAT',func=pin_types.PWROUT,unit=1),
            Pin(num='3',name='BAT',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='~{CE}',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='EN2',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='EN1',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='~{PGOOD}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='8',name='VSS',func=pin_types.PWRIN,unit=1),
            Pin(num='9',name='~{CHG}',func=pin_types.OPENCOLL,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BQ24079RGT', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BQ24079RGT'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:VQFN-16-1EP_3x3mm_P0.5mm_EP1.6x1.6mm', 'Package_DFN_QFN:VQFN-16-1EP_3x3mm_P0.5mm_EP1.6x1.6mm'], 'footprint':'Package_DFN_QFN:VQFN-16-1EP_3x3mm_P0.5mm_EP1.6x1.6mm', 'keywords':'USB Charger', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/bq24079.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nBQ24079RGT\n\nUSB Charger', 'pins':[
            Pin(num='1',name='TS',func=pin_types.PASSIVE,unit=1),
            Pin(num='10',name='OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='11',name='OUT',func=pin_types.PASSIVE,unit=1),
            Pin(num='12',name='ILIM',func=pin_types.PASSIVE,unit=1),
            Pin(num='13',name='IN',func=pin_types.PWRIN,unit=1),
            Pin(num='14',name='TMR',func=pin_types.INPUT,unit=1),
            Pin(num='15',name='SYSOFF',func=pin_types.INPUT,unit=1),
            Pin(num='16',name='ISET',func=pin_types.PASSIVE,unit=1),
            Pin(num='17',name='VSS',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='BAT',func=pin_types.PWROUT,unit=1),
            Pin(num='3',name='BAT',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='~{CE}',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='EN2',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='EN1',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='~{PGOOD}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='8',name='VSS',func=pin_types.PWRIN,unit=1),
            Pin(num='9',name='~{CHG}',func=pin_types.OPENCOLL,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BQ24167RGE', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BQ24167RGE'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:Texas_RGE0024H_VQFN-24-1EP_4x4mm_P0.5mm_EP2.7x2.7mm', 'Package_DFN_QFN:Texas_RGE0024H_VQFN-24-1EP_4x4mm_P0.5mm_EP2.7x2.7mm'], 'footprint':'Package_DFN_QFN:Texas_RGE0024H_VQFN-24-1EP_4x4mm_P0.5mm_EP2.7x2.7mm', 'keywords':'Battery Charger Li-Ion Li-Poly', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/bq24166.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nBQ24167RGE\n\nBattery Charger Li-Ion Li-Poly', 'pins':[
            Pin(num='1',name='VDPM',func=pin_types.INPUT,unit=1),
            Pin(num='10',name='BGATE',func=pin_types.OUTPUT,unit=1),
            Pin(num='11',name='BAT',func=pin_types.PASSIVE,unit=1),
            Pin(num='12',name='BAT',func=pin_types.PASSIVE,unit=1),
            Pin(num='13',name='SYS',func=pin_types.PWROUT,unit=1),
            Pin(num='14',name='SYS',func=pin_types.PASSIVE,unit=1),
            Pin(num='15',name='ILIM',func=pin_types.PASSIVE,unit=1),
            Pin(num='16',name='PGND',func=pin_types.PWRIN,unit=1),
            Pin(num='17',name='PGND',func=pin_types.PASSIVE,unit=1),
            Pin(num='18',name='SW',func=pin_types.PASSIVE,unit=1),
            Pin(num='19',name='BOOT',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='IUSB3',func=pin_types.PASSIVE,unit=1),
            Pin(num='20',name='PMIDI',func=pin_types.PASSIVE,unit=1),
            Pin(num='21',name='IN',func=pin_types.INPUT,unit=1),
            Pin(num='22',name='USB',func=pin_types.PWRIN,unit=1),
            Pin(num='23',name='PMIDU',func=pin_types.PASSIVE,unit=1),
            Pin(num='24',name='~{CE}',func=pin_types.INPUT,unit=1),
            Pin(num='25',name='PGND',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='IUSB2',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='IUSB1',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='ISET',func=pin_types.PASSIVE,unit=1),
            Pin(num='6',name='DRV',func=pin_types.OUTPUT,unit=1),
            Pin(num='7',name='~{PG}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='8',name='~{CHG}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='9',name='TS',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BQ24617', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BQ24617'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:VQFN-24-1EP_4x4mm_P0.5mm_EP2.45x2.45mm', 'Package_DFN_QFN:VQFN-24-1EP_4x4mm_P0.5mm_EP2.45x2.45mm'], 'footprint':'Package_DFN_QFN:VQFN-24-1EP_4x4mm_P0.5mm_EP2.45x2.45mm', 'keywords':'Li-ion buck', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/bq24610.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nBQ24617\n\nLi-ion buck', 'pins':[
            Pin(num='1',name='ACN',func=pin_types.INPUT,unit=1),
            Pin(num='10',name='VREF',func=pin_types.PWROUT,unit=1),
            Pin(num='11',name='ISET1',func=pin_types.INPUT,unit=1),
            Pin(num='12',name='VFB',func=pin_types.OUTPUT,unit=1),
            Pin(num='13',name='SRN',func=pin_types.INPUT,unit=1),
            Pin(num='14',name='SRP',func=pin_types.INPUT,unit=1),
            Pin(num='15',name='ISET2',func=pin_types.INPUT,unit=1),
            Pin(num='16',name='ACSET',func=pin_types.INPUT,unit=1),
            Pin(num='17',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='18',name='REGN',func=pin_types.OUTPUT,unit=1),
            Pin(num='19',name='LODRV',func=pin_types.OUTPUT,unit=1),
            Pin(num='2',name='ACP',func=pin_types.INPUT,unit=1),
            Pin(num='20',name='PH',func=pin_types.PWRIN,unit=1),
            Pin(num='21',name='HIDRV',func=pin_types.OUTPUT,unit=1),
            Pin(num='22',name='BTST',func=pin_types.PWRIN,unit=1),
            Pin(num='23',name='~{BATDRV}',func=pin_types.OUTPUT,unit=1),
            Pin(num='24',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='25',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='~{ACDRV}',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='CE',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='STAT1',func=pin_types.OPENCOLL,unit=1),
            Pin(num='6',name='TS',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='TTC',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='~{PG}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='9',name='STAT2',func=pin_types.OPENCOLL,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BQ27441DRZR-G1A', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BQ27441DRZR-G1A'}), 'ref_prefix':'U', 'fplist':['Package_SON:Texas_S-PDSO-N12', 'Package_SON:Texas_S-PDSO-N12'], 'footprint':'Package_SON:Texas_S-PDSO-N12', 'keywords':'Fuel Gauge', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/bq27441-g1.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nBQ27441DRZR-G1A\n\nFuel Gauge', 'pins':[
            Pin(num='1',name='SDA',func=pin_types.BIDIR,unit=1),
            Pin(num='10',name='BIN',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='12',name='GPOUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='13',name='PAD',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='SCL',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='V_{SS}',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='5',name='V_{DD}',func=pin_types.PWROUT,unit=1),
            Pin(num='6',name='BAT',func=pin_types.PWRIN,unit=1),
            Pin(num='7',name='SRN',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='SRP',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='NC',func=pin_types.NOCONNECT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BQ27441DRZR-G1B', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BQ27441DRZR-G1B'}), 'ref_prefix':'U', 'fplist':['Package_SON:Texas_S-PDSO-N12', 'Package_SON:Texas_S-PDSO-N12', 'Package_SON:Texas_S-PDSO-N12'], 'footprint':'Package_SON:Texas_S-PDSO-N12', 'keywords':'Fuel Gauge', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/bq27441-g1.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nBQ27441DRZR-G1B\n\nFuel Gauge', 'pins':[
            Pin(num='1',name='SDA',func=pin_types.BIDIR,unit=1),
            Pin(num='10',name='BIN',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='12',name='GPOUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='13',name='PAD',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='SCL',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='V_{SS}',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='5',name='V_{DD}',func=pin_types.PWROUT,unit=1),
            Pin(num='6',name='BAT',func=pin_types.PWRIN,unit=1),
            Pin(num='7',name='SRN',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='SRP',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='NC',func=pin_types.NOCONNECT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BQ27441DRZT-G1A', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BQ27441DRZT-G1A'}), 'ref_prefix':'U', 'fplist':['Package_SON:Texas_S-PDSO-N12', 'Package_SON:Texas_S-PDSO-N12', 'Package_SON:Texas_S-PDSO-N12', 'Package_SON:Texas_S-PDSO-N12'], 'footprint':'Package_SON:Texas_S-PDSO-N12', 'keywords':'Fuel Gauge', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/bq27441-g1.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nBQ27441DRZT-G1A\n\nFuel Gauge', 'pins':[
            Pin(num='1',name='SDA',func=pin_types.BIDIR,unit=1),
            Pin(num='10',name='BIN',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='12',name='GPOUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='13',name='PAD',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='SCL',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='V_{SS}',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='5',name='V_{DD}',func=pin_types.PWROUT,unit=1),
            Pin(num='6',name='BAT',func=pin_types.PWRIN,unit=1),
            Pin(num='7',name='SRN',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='SRP',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='NC',func=pin_types.NOCONNECT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BQ27441DRZT-G1B', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BQ27441DRZT-G1B'}), 'ref_prefix':'U', 'fplist':['Package_SON:Texas_S-PDSO-N12', 'Package_SON:Texas_S-PDSO-N12', 'Package_SON:Texas_S-PDSO-N12', 'Package_SON:Texas_S-PDSO-N12', 'Package_SON:Texas_S-PDSO-N12'], 'footprint':'Package_SON:Texas_S-PDSO-N12', 'keywords':'Fuel Gauge', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/bq27441-g1.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nBQ27441DRZT-G1B\n\nFuel Gauge', 'pins':[
            Pin(num='1',name='SDA',func=pin_types.BIDIR,unit=1),
            Pin(num='10',name='BIN',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='12',name='GPOUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='13',name='PAD',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='SCL',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='V_{SS}',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='5',name='V_{DD}',func=pin_types.PWROUT,unit=1),
            Pin(num='6',name='BAT',func=pin_types.PWRIN,unit=1),
            Pin(num='7',name='SRN',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='SRP',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='NC',func=pin_types.NOCONNECT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BQ51051BRHL', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BQ51051BRHL'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:Texas_VQFN-RHL-20', 'Package_DFN_QFN:Texas_VQFN-RHL-20'], 'footprint':'Package_DFN_QFN:Texas_VQFN-RHL-20', 'keywords':'Qi Wireless Power Receiver Battery Charger 4.35V', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/bq51051b.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nBQ51051BRHL\n\nQi Wireless Power Receiver Battery Charger 4.35V', 'pins':[
            Pin(num='1',name='PGND',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='TERM',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='EN2',func=pin_types.INPUT,unit=1),
            Pin(num='12',name='ILIM',func=pin_types.PASSIVE,unit=1),
            Pin(num='13',name='TS/CTRL',func=pin_types.INPUT,unit=1),
            Pin(num='14',name='FOD',func=pin_types.INPUT,unit=1),
            Pin(num='15',name='COMM2',func=pin_types.OPENCOLL,unit=1),
            Pin(num='16',name='CLAMP2',func=pin_types.OPENCOLL,unit=1),
            Pin(num='17',name='BOOT2',func=pin_types.PASSIVE,unit=1),
            Pin(num='18',name='RECT',func=pin_types.PASSIVE,unit=1),
            Pin(num='19',name='AC2',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='AC1',func=pin_types.INPUT,unit=1),
            Pin(num='20',name='PGND',func=pin_types.PASSIVE,unit=1),
            Pin(num='21',name='PGND',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='BOOT1',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='BAT',func=pin_types.PWROUT,unit=1),
            Pin(num='5',name='CLAMP1',func=pin_types.OPENCOLL,unit=1),
            Pin(num='6',name='COMM1',func=pin_types.OPENCOLL,unit=1),
            Pin(num='7',name='~{CHG}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='8',name='~{AD-EN}',func=pin_types.OUTPUT,unit=1),
            Pin(num='9',name='AD',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BQ51051BYFP', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BQ51051BYFP'}), 'ref_prefix':'U', 'fplist':['Package_BGA:Texas_DSBGA-28_1.9x3.0mm_Layout4x7_P0.4mm', 'Package_BGA:Texas_DSBGA-28_1.9x3.0mm_Layout4x7_P0.4mm'], 'footprint':'Package_BGA:Texas_DSBGA-28_1.9x3.0mm_Layout4x7_P0.4mm', 'keywords':'Qi Wireless Power Receiver Battery Charger 4.35V', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/bq51051b.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nBQ51051BYFP\n\nQi Wireless Power Receiver Battery Charger 4.35V', 'pins':[
            Pin(num='A1',name='PGND',func=pin_types.PWRIN,unit=1),
            Pin(num='A2',name='PGND',func=pin_types.PASSIVE,unit=1),
            Pin(num='A3',name='PGND',func=pin_types.PASSIVE,unit=1),
            Pin(num='A4',name='PGND',func=pin_types.PASSIVE,unit=1),
            Pin(num='B1',name='AC2',func=pin_types.INPUT,unit=1),
            Pin(num='B2',name='AC2',func=pin_types.INPUT,unit=1),
            Pin(num='B3',name='AC1',func=pin_types.INPUT,unit=1),
            Pin(num='B4',name='AC1',func=pin_types.INPUT,unit=1),
            Pin(num='C1',name='BOOT2',func=pin_types.PASSIVE,unit=1),
            Pin(num='C2',name='RECT',func=pin_types.PASSIVE,unit=1),
            Pin(num='C3',name='RECT',func=pin_types.PASSIVE,unit=1),
            Pin(num='C4',name='BOOT1',func=pin_types.PASSIVE,unit=1),
            Pin(num='D1',name='BAT',func=pin_types.PWROUT,unit=1),
            Pin(num='D2',name='BAT',func=pin_types.PASSIVE,unit=1),
            Pin(num='D3',name='BAT',func=pin_types.PASSIVE,unit=1),
            Pin(num='D4',name='BAT',func=pin_types.PASSIVE,unit=1),
            Pin(num='E1',name='COMM2',func=pin_types.OPENCOLL,unit=1),
            Pin(num='E2',name='CLAMP2',func=pin_types.OPENCOLL,unit=1),
            Pin(num='E3',name='CLAMP1',func=pin_types.OPENCOLL,unit=1),
            Pin(num='E4',name='COMM1',func=pin_types.OPENCOLL,unit=1),
            Pin(num='F1',name='TS/CTRL',func=pin_types.INPUT,unit=1),
            Pin(num='F2',name='FOD',func=pin_types.INPUT,unit=1),
            Pin(num='F3',name='~{AD-EN}',func=pin_types.OUTPUT,unit=1),
            Pin(num='F4',name='~{CHG}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='G1',name='ILIM',func=pin_types.PASSIVE,unit=1),
            Pin(num='G2',name='EN2',func=pin_types.INPUT,unit=1),
            Pin(num='G3',name='TERM',func=pin_types.INPUT,unit=1),
            Pin(num='G4',name='AD',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BQ51052BYFP', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BQ51052BYFP'}), 'ref_prefix':'U', 'fplist':['Package_BGA:Texas_DSBGA-28_1.9x3.0mm_Layout4x7_P0.4mm', 'Package_BGA:Texas_DSBGA-28_1.9x3.0mm_Layout4x7_P0.4mm', 'Package_BGA:Texas_DSBGA-28_1.9x3.0mm_Layout4x7_P0.4mm'], 'footprint':'Package_BGA:Texas_DSBGA-28_1.9x3.0mm_Layout4x7_P0.4mm', 'keywords':'Qi Wireless Power Receiver Battery Charger 4.40V', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/bq51052b.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nBQ51052BYFP\n\nQi Wireless Power Receiver Battery Charger 4.40V', 'pins':[
            Pin(num='A1',name='PGND',func=pin_types.PWRIN,unit=1),
            Pin(num='A2',name='PGND',func=pin_types.PASSIVE,unit=1),
            Pin(num='A3',name='PGND',func=pin_types.PASSIVE,unit=1),
            Pin(num='A4',name='PGND',func=pin_types.PASSIVE,unit=1),
            Pin(num='B1',name='AC2',func=pin_types.INPUT,unit=1),
            Pin(num='B2',name='AC2',func=pin_types.INPUT,unit=1),
            Pin(num='B3',name='AC1',func=pin_types.INPUT,unit=1),
            Pin(num='B4',name='AC1',func=pin_types.INPUT,unit=1),
            Pin(num='C1',name='BOOT2',func=pin_types.PASSIVE,unit=1),
            Pin(num='C2',name='RECT',func=pin_types.PASSIVE,unit=1),
            Pin(num='C3',name='RECT',func=pin_types.PASSIVE,unit=1),
            Pin(num='C4',name='BOOT1',func=pin_types.PASSIVE,unit=1),
            Pin(num='D1',name='BAT',func=pin_types.PWROUT,unit=1),
            Pin(num='D2',name='BAT',func=pin_types.PASSIVE,unit=1),
            Pin(num='D3',name='BAT',func=pin_types.PASSIVE,unit=1),
            Pin(num='D4',name='BAT',func=pin_types.PASSIVE,unit=1),
            Pin(num='E1',name='COMM2',func=pin_types.OPENCOLL,unit=1),
            Pin(num='E2',name='CLAMP2',func=pin_types.OPENCOLL,unit=1),
            Pin(num='E3',name='CLAMP1',func=pin_types.OPENCOLL,unit=1),
            Pin(num='E4',name='COMM1',func=pin_types.OPENCOLL,unit=1),
            Pin(num='F1',name='TS/CTRL',func=pin_types.INPUT,unit=1),
            Pin(num='F2',name='FOD',func=pin_types.INPUT,unit=1),
            Pin(num='F3',name='~{AD-EN}',func=pin_types.OUTPUT,unit=1),
            Pin(num='F4',name='~{CHG}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='G1',name='ILIM',func=pin_types.PASSIVE,unit=1),
            Pin(num='G2',name='EN2',func=pin_types.INPUT,unit=1),
            Pin(num='G3',name='TERM',func=pin_types.INPUT,unit=1),
            Pin(num='G4',name='AD',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BQ78350DBT-R1', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BQ78350DBT-R1'}), 'ref_prefix':'U', 'fplist':['Package_SO:TSSOP-30_4.4x7.8mm_P0.5mm', 'Package_SO:TSSOP-30_4.4x7.8mm_P0.5mm'], 'footprint':'Package_SO:TSSOP-30_4.4x7.8mm_P0.5mm', 'keywords':'battery management Li-Ion gauge controller', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/bq78350-r1.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nBQ78350DBT-R1\n\nbattery management Li-Ion gauge controller', 'pins':[
            Pin(num='1',name='COM',func=pin_types.OPENCOLL,unit=1),
            Pin(num='10',name='SAFE',func=pin_types.OUTPUT,unit=1),
            Pin(num='11',name='SMBD',func=pin_types.BIDIR,unit=1),
            Pin(num='12',name='VEN',func=pin_types.OPENCOLL,unit=1),
            Pin(num='13',name='SMBC',func=pin_types.BIDIR,unit=1),
            Pin(num='14',name='~{DISP}',func=pin_types.INPUT,unit=1),
            Pin(num='15',name='PWRM',func=pin_types.OPENCOLL,unit=1),
            Pin(num='16',name='LED1',func=pin_types.OUTPUT,unit=1),
            Pin(num='17',name='LED2',func=pin_types.OUTPUT,unit=1),
            Pin(num='18',name='LED3',func=pin_types.OUTPUT,unit=1),
            Pin(num='19',name='LED4',func=pin_types.OUTPUT,unit=1),
            Pin(num='2',name='ALERT',func=pin_types.BIDIR,unit=1),
            Pin(num='20',name='LED5',func=pin_types.OUTPUT,unit=1),
            Pin(num='21',name='GPIO_A',func=pin_types.BIDIR,unit=1),
            Pin(num='22',name='VSS',func=pin_types.PASSIVE,unit=1),
            Pin(num='23',name='VSS',func=pin_types.PWRIN,unit=1),
            Pin(num='24',name='~{MRST}',func=pin_types.INPUT,unit=1),
            Pin(num='25',name='VSS',func=pin_types.PASSIVE,unit=1),
            Pin(num='26',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='27',name='RBI',func=pin_types.PASSIVE,unit=1),
            Pin(num='28',name='GPIO_B',func=pin_types.BIDIR,unit=1),
            Pin(num='29',name='ADREN',func=pin_types.OUTPUT,unit=1),
            Pin(num='3',name='SDA',func=pin_types.BIDIR,unit=1),
            Pin(num='30',name='SMBA',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='SCL',func=pin_types.OUTPUT,unit=1),
            Pin(num='5',name='~{PRECHG}',func=pin_types.OUTPUT,unit=1),
            Pin(num='6',name='VAUX',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='BAT',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='~{PRES}',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='~{KEYIN}',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LC709203FQH-02TWG', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LC709203FQH-02TWG'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:WDFN-8-1EP_4x3mm_P0.65mm_EP2.4x1.8mm', 'Package_DFN_QFN:WDFN-8-1EP_4x3mm_P0.65mm_EP2.4x1.8mm'], 'footprint':'Package_DFN_QFN:WDFN-8-1EP_4x3mm_P0.65mm_EP2.4x1.8mm', 'keywords':'Battery gauge I2C', 'description':'', 'datasheet':'https://www.onsemi.com/download/data-sheet/pdf/lc709203f-d.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nLC709203FQH-02TWG\n\nBattery gauge I2C', 'pins':[
            Pin(num='1',name='TEST',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='V_{SS}',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='V_{DD}',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='~{ALARMB}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='5',name='T_{SW}',func=pin_types.OUTPUT,unit=1),
            Pin(num='6',name='T_{SENSE}',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='SDA',func=pin_types.BIDIR,unit=1),
            Pin(num='8',name='SCL',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='EP',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LC709203FQH-03TWG', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LC709203FQH-03TWG'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:WDFN-8-1EP_4x3mm_P0.65mm_EP2.4x1.8mm', 'Package_DFN_QFN:WDFN-8-1EP_4x3mm_P0.65mm_EP2.4x1.8mm', 'Package_DFN_QFN:WDFN-8-1EP_4x3mm_P0.65mm_EP2.4x1.8mm'], 'footprint':'Package_DFN_QFN:WDFN-8-1EP_4x3mm_P0.65mm_EP2.4x1.8mm', 'keywords':'Battery gauge I2C', 'description':'', 'datasheet':'https://www.onsemi.com/download/data-sheet/pdf/lc709203f-d.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nLC709203FQH-03TWG\n\nBattery gauge I2C', 'pins':[
            Pin(num='1',name='TEST',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='V_{SS}',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='V_{DD}',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='~{ALARMB}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='5',name='T_{SW}',func=pin_types.OUTPUT,unit=1),
            Pin(num='6',name='T_{SENSE}',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='SDA',func=pin_types.BIDIR,unit=1),
            Pin(num='8',name='SCL',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='EP',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LC709203FQH-04TWG', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LC709203FQH-04TWG'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:WDFN-8-1EP_4x3mm_P0.65mm_EP2.4x1.8mm', 'Package_DFN_QFN:WDFN-8-1EP_4x3mm_P0.65mm_EP2.4x1.8mm', 'Package_DFN_QFN:WDFN-8-1EP_4x3mm_P0.65mm_EP2.4x1.8mm', 'Package_DFN_QFN:WDFN-8-1EP_4x3mm_P0.65mm_EP2.4x1.8mm'], 'footprint':'Package_DFN_QFN:WDFN-8-1EP_4x3mm_P0.65mm_EP2.4x1.8mm', 'keywords':'Battery gauge I2C', 'description':'', 'datasheet':'https://www.onsemi.com/download/data-sheet/pdf/lc709203f-d.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nLC709203FQH-04TWG\n\nBattery gauge I2C', 'pins':[
            Pin(num='1',name='TEST',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='V_{SS}',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='V_{DD}',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='~{ALARMB}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='5',name='T_{SW}',func=pin_types.OUTPUT,unit=1),
            Pin(num='6',name='T_{SENSE}',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='SDA',func=pin_types.BIDIR,unit=1),
            Pin(num='8',name='SCL',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='EP',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LT3652IDD', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LT3652IDD'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:DFN-12-1EP_3x3mm_P0.45mm_EP1.65x2.38mm', 'Package_DFN_QFN:DFN-12-1EP_3x3mm_P0.45mm_EP1.65x2.38mm'], 'footprint':'Package_DFN_QFN:DFN-12-1EP_3x3mm_P0.45mm_EP1.65x2.38mm', 'keywords':'battery charger solar', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/3652fe.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nLT3652IDD\n\nbattery charger solar', 'pins':[
            Pin(num='1',name='V_{IN}',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='SENSE',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='BOOST',func=pin_types.INPUT,unit=1),
            Pin(num='12',name='SW',func=pin_types.OUTPUT,unit=1),
            Pin(num='13',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='V_{IN_REG}',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='~{SHDN}',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='~{CHRG}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='5',name='~{FAULT}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='6',name='TIMER',func=pin_types.OUTPUT,unit=1),
            Pin(num='7',name='V_{FB}',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='NTC',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='BAT',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LT3652IMSE', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LT3652IMSE'}), 'ref_prefix':'U', 'fplist':['Package_SO:MSOP-12-1EP_3x4mm_P0.65mm_EP1.65x2.85mm', 'Package_SO:MSOP-12-1EP_3x4mm_P0.65mm_EP1.65x2.85mm'], 'footprint':'Package_SO:MSOP-12-1EP_3x4mm_P0.65mm_EP1.65x2.85mm', 'keywords':'battery charger solar', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/3652fe.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nLT3652IMSE\n\nbattery charger solar', 'pins':[
            Pin(num='1',name='V_{IN}',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='SENSE',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='BOOST',func=pin_types.INPUT,unit=1),
            Pin(num='12',name='SW',func=pin_types.OUTPUT,unit=1),
            Pin(num='13',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='V_{IN_REG}',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='~{SHDN}',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='~{CHRG}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='5',name='~{FAULT}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='6',name='TIMER',func=pin_types.OUTPUT,unit=1),
            Pin(num='7',name='V_{FB}',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='NTC',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='BAT',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LTC2942-1', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LTC2942-1'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:DFN-6-1EP_3x2mm_P0.5mm_EP1.65x1.35mm', 'Package_DFN_QFN:DFN-6-1EP_3x2mm_P0.5mm_EP1.65x1.35mm'], 'footprint':'Package_DFN_QFN:DFN-6-1EP_3x2mm_P0.5mm_EP1.65x1.35mm', 'keywords':'Fuel gauge coulomb counter I2C', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/29421f.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nLTC2942-1\n\nFuel gauge coulomb counter I2C', 'pins':[
            Pin(num='1',name='SENSE+',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='SCL',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='SDA',func=pin_types.BIDIR,unit=1),
            Pin(num='5',name='~{AL}/CC',func=pin_types.BIDIR,unit=1),
            Pin(num='6',name='SENSE-',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LTC3555-1', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LTC3555-1'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-28-1EP_4x5mm_P0.5mm_EP2.65x3.65mm', 'Package_DFN_QFN:QFN-28-1EP_4x5mm_P0.5mm_EP2.65x3.65mm'], 'footprint':'Package_DFN_QFN:QFN-28-1EP_4x5mm_P0.5mm_EP2.65x3.65mm', 'keywords':'USB PMIC', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/3555fe.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nLTC3555-1\n\nUSB PMIC', 'pins':[
            Pin(num='1',name='LDO3V3',func=pin_types.PWROUT,unit=1),
            Pin(num='10',name='SDA',func=pin_types.BIDIR,unit=1),
            Pin(num='11',name='V_{IN3}',func=pin_types.PWRIN,unit=1),
            Pin(num='12',name='SW3',func=pin_types.PWROUT,unit=1),
            Pin(num='13',name='EN3',func=pin_types.INPUT,unit=1),
            Pin(num='14',name='FB3',func=pin_types.INPUT,unit=1),
            Pin(num='15',name='~{RST3}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='16',name='EN1',func=pin_types.INPUT,unit=1),
            Pin(num='17',name='SW1',func=pin_types.PWROUT,unit=1),
            Pin(num='18',name='V_{IN1}',func=pin_types.PWRIN,unit=1),
            Pin(num='19',name='FB1',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='CLPROG',func=pin_types.PASSIVE,unit=1),
            Pin(num='20',name='PROG',func=pin_types.PASSIVE,unit=1),
            Pin(num='21',name='~{CHRG}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='22',name='GATE',func=pin_types.OUTPUT,unit=1),
            Pin(num='23',name='BAT',func=pin_types.PWROUT,unit=1),
            Pin(num='24',name='V_{OUT}',func=pin_types.PWROUT,unit=1),
            Pin(num='25',name='VBUS',func=pin_types.PWRIN,unit=1),
            Pin(num='26',name='SW',func=pin_types.PWROUT,unit=1),
            Pin(num='27',name='I_{LIM0}',func=pin_types.INPUT,unit=1),
            Pin(num='28',name='I_{LIM1}',func=pin_types.INPUT,unit=1),
            Pin(num='29',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='NTC',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='FB2',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='V_{IN2}',func=pin_types.PWRIN,unit=1),
            Pin(num='6',name='SW2',func=pin_types.PWROUT,unit=1),
            Pin(num='7',name='EN2',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='DV_{CC}',func=pin_types.PWRIN,unit=1),
            Pin(num='9',name='SCL',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LTC3555-3', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LTC3555-3'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-28-1EP_4x5mm_P0.5mm_EP2.65x3.65mm', 'Package_DFN_QFN:QFN-28-1EP_4x5mm_P0.5mm_EP2.65x3.65mm', 'Package_DFN_QFN:QFN-28-1EP_4x5mm_P0.5mm_EP2.65x3.65mm'], 'footprint':'Package_DFN_QFN:QFN-28-1EP_4x5mm_P0.5mm_EP2.65x3.65mm', 'keywords':'USB PMIC', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/3555fe.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nLTC3555-3\n\nUSB PMIC', 'pins':[
            Pin(num='1',name='LDO3V3',func=pin_types.PWROUT,unit=1),
            Pin(num='10',name='SDA',func=pin_types.BIDIR,unit=1),
            Pin(num='11',name='V_{IN3}',func=pin_types.PWRIN,unit=1),
            Pin(num='12',name='SW3',func=pin_types.PWROUT,unit=1),
            Pin(num='13',name='EN3',func=pin_types.INPUT,unit=1),
            Pin(num='14',name='FB3',func=pin_types.INPUT,unit=1),
            Pin(num='15',name='~{RST3}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='16',name='EN1',func=pin_types.INPUT,unit=1),
            Pin(num='17',name='SW1',func=pin_types.PWROUT,unit=1),
            Pin(num='18',name='V_{IN1}',func=pin_types.PWRIN,unit=1),
            Pin(num='19',name='FB1',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='CLPROG',func=pin_types.PASSIVE,unit=1),
            Pin(num='20',name='PROG',func=pin_types.PASSIVE,unit=1),
            Pin(num='21',name='~{CHRG}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='22',name='GATE',func=pin_types.OUTPUT,unit=1),
            Pin(num='23',name='BAT',func=pin_types.PWROUT,unit=1),
            Pin(num='24',name='V_{OUT}',func=pin_types.PWROUT,unit=1),
            Pin(num='25',name='VBUS',func=pin_types.PWRIN,unit=1),
            Pin(num='26',name='SW',func=pin_types.PWROUT,unit=1),
            Pin(num='27',name='I_{LIM0}',func=pin_types.INPUT,unit=1),
            Pin(num='28',name='I_{LIM1}',func=pin_types.INPUT,unit=1),
            Pin(num='29',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='NTC',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='FB2',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='V_{IN2}',func=pin_types.PWRIN,unit=1),
            Pin(num='6',name='SW2',func=pin_types.PWROUT,unit=1),
            Pin(num='7',name='EN2',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='DV_{CC}',func=pin_types.PWRIN,unit=1),
            Pin(num='9',name='SCL',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LTC4001-1', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LTC4001-1'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-16-1EP_4x4mm_P0.65mm_EP2.15x2.15mm', 'Package_DFN_QFN:QFN-16-1EP_4x4mm_P0.65mm_EP2.15x2.15mm'], 'footprint':'Package_DFN_QFN:QFN-16-1EP_4x4mm_P0.65mm_EP2.15x2.15mm', 'keywords':'Li-Ion Charger', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/40011fa.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nLTC4001-1\n\nLi-Ion Charger', 'pins':[
            Pin(num='1',name='BAT',func=pin_types.OUTPUT,unit=1),
            Pin(num='10',name='FAULT',func=pin_types.OUTPUT,unit=1),
            Pin(num='11',name='NTC',func=pin_types.INPUT,unit=1),
            Pin(num='12',name='PROG',func=pin_types.INPUT,unit=1),
            Pin(num='13',name='IDET',func=pin_types.INPUT,unit=1),
            Pin(num='14',name='SS',func=pin_types.INPUT,unit=1),
            Pin(num='15',name='TIMER',func=pin_types.INPUT,unit=1),
            Pin(num='16',name='BATSENS',func=pin_types.INPUT,unit=1),
            Pin(num='17',name='PAD',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='SENSE',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='PGND',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='GNDSENS',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='SW',func=pin_types.OUTPUT,unit=1),
            Pin(num='6',name='~{EN}',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='~{CHRG}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='8',name='P_{VIN}',func=pin_types.PWRIN,unit=1),
            Pin(num='9',name='V_{INSENSE}',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LTC4002EDD-8.4', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LTC4002EDD-8.4'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:DFN-10-1EP_3x3mm_P0.5mm_EP1.55x2.48mm', 'Package_DFN_QFN:DFN-10-1EP_3x3mm_P0.5mm_EP1.55x2.48mm'], 'footprint':'Package_DFN_QFN:DFN-10-1EP_3x3mm_P0.5mm_EP1.55x2.48mm', 'keywords':'lithium li-ion battery charger', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/4002f.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nLTC4002EDD-8.4\n\nlithium li-ion battery charger', 'pins':[
            Pin(num='1',name='COMP',func=pin_types.INPUT,unit=1),
            Pin(num='10',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='11',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='V_{CC}',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='GATE',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='PGND',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='SGND',func=pin_types.PWRIN,unit=1),
            Pin(num='6',name='~{CHRG}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='7',name='BAT',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='SENSE',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='NTC',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LTC4002ES8-8.4', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LTC4002ES8-8.4'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'lithium li-ion battery charger', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/4002f.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nLTC4002ES8-8.4\n\nlithium li-ion battery charger', 'pins':[
            Pin(num='1',name='COMP',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='V_{CC}',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='GATE',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='~{CHRG}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='6',name='BAT',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='SENSE',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='NTC',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LTC4054XES5-4.2', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LTC4054XES5-4.2'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:TSOT-23-5', 'Package_TO_SOT_SMD:TSOT-23-5'], 'footprint':'Package_TO_SOT_SMD:TSOT-23-5', 'keywords':'Constant-current constant-voltage linear charger single cell lithium-ion battery', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/405442xf.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nLTC4054XES5-4.2\n\nConstant-current constant-voltage linear charger single cell lithium-ion battery', 'pins':[
            Pin(num='1',name='~{CHRG}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='BAT',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='V_{CC}',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='PROG',func=pin_types.BIDIR,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LTC4055-1', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LTC4055-1'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-16-1EP_4x4mm_P0.65mm_EP2.15x2.15mm', 'Package_DFN_QFN:QFN-16-1EP_4x4mm_P0.65mm_EP2.15x2.15mm'], 'footprint':'Package_DFN_QFN:QFN-16-1EP_4x4mm_P0.65mm_EP2.15x2.15mm', 'keywords':'charger PMIC Liion USB', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/4055fb.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nLTC4055-1\n\ncharger PMIC Liion USB', 'pins':[
            Pin(num='1',name='IN',func=pin_types.PASSIVE,unit=1),
            Pin(num='10',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='11',name='PROG',func=pin_types.PASSIVE,unit=1),
            Pin(num='12',name='TIMER',func=pin_types.PASSIVE,unit=1),
            Pin(num='13',name='~{ACPR}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='14',name='~{CHRG}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='15',name='VNTC',func=pin_types.OUTPUT,unit=1),
            Pin(num='16',name='NTC',func=pin_types.INPUT,unit=1),
            Pin(num='17',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='BAT',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='OUT',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='IN',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='WALL',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='SHDN',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='SUSP',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='HPWR',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='CLPROG',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MAX1873SEEE', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MAX1873SEEE'}), 'ref_prefix':'U', 'fplist':['Package_SO:QSOP-16_3.9x4.9mm_P0.635mm', 'Package_SO:QSOP-16_3.9x4.9mm_P0.635mm'], 'footprint':'Package_SO:QSOP-16_3.9x4.9mm_P0.635mm', 'keywords':'li-ion battery charger', 'description':'', 'datasheet':'https://datasheets.maximintegrated.com/en/ds/MAX1873.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nMAX1873SEEE\n\nli-ion battery charger', 'pins':[
            Pin(num='1',name='CSSN',func=pin_types.INPUT,unit=1),
            Pin(num='10',name='BATT',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='CSB',func=pin_types.INPUT,unit=1),
            Pin(num='12',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='13',name='VH',func=pin_types.INPUT,unit=1),
            Pin(num='14',name='EXT',func=pin_types.OUTPUT,unit=1),
            Pin(num='15',name='DCIN',func=pin_types.PWRIN,unit=1),
            Pin(num='16',name='VL',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='CSSP',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='CCS',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='CCV',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='CCI',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='ICHG/EN',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='IOUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='8',name='VADJ',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='REF',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MAX1873TEEE', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MAX1873TEEE'}), 'ref_prefix':'U', 'fplist':['Package_SO:QSOP-16_3.9x4.9mm_P0.635mm', 'Package_SO:QSOP-16_3.9x4.9mm_P0.635mm', 'Package_SO:QSOP-16_3.9x4.9mm_P0.635mm'], 'footprint':'Package_SO:QSOP-16_3.9x4.9mm_P0.635mm', 'keywords':'li-ion battery charger', 'description':'', 'datasheet':'https://datasheets.maximintegrated.com/en/ds/MAX1873.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nMAX1873TEEE\n\nli-ion battery charger', 'pins':[
            Pin(num='1',name='CSSN',func=pin_types.INPUT,unit=1),
            Pin(num='10',name='BATT',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='CSB',func=pin_types.INPUT,unit=1),
            Pin(num='12',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='13',name='VH',func=pin_types.INPUT,unit=1),
            Pin(num='14',name='EXT',func=pin_types.OUTPUT,unit=1),
            Pin(num='15',name='DCIN',func=pin_types.PWRIN,unit=1),
            Pin(num='16',name='VL',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='CSSP',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='CCS',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='CCV',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='CCI',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='ICHG/EN',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='IOUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='8',name='VADJ',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='REF',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MAX712EPE', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MAX712EPE'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-16_W7.62mm', 'Package_DIP:DIP-16_W7.62mm'], 'footprint':'Package_DIP:DIP-16_W7.62mm', 'keywords':'battery charger controller', 'description':'', 'datasheet':'https://datasheets.maximintegrated.com/en/ds/MAX712-MAX713.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nMAX712EPE\n\nbattery charger controller', 'pins':[
            Pin(num='1',name='VLIMIT',func=pin_types.INPUT,unit=1),
            Pin(num='10',name='PGM3',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='CC',func=pin_types.INPUT,unit=1),
            Pin(num='12',name='BATT-',func=pin_types.INPUT,unit=1),
            Pin(num='13',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='14',name='DRV',func=pin_types.OUTPUT,unit=1),
            Pin(num='15',name='V+',func=pin_types.PWRIN,unit=1),
            Pin(num='16',name='REF',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='BATT+',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='PGM0',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='PGM1',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='THI',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='TLO',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='TEMP',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='~{FASTCHG}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='9',name='PGM2',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MAX712ESE', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MAX712ESE'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-16_3.9x9.9mm_P1.27mm', 'Package_SO:SOIC-16_3.9x9.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-16_3.9x9.9mm_P1.27mm', 'keywords':'battery charger controller', 'description':'', 'datasheet':'https://datasheets.maximintegrated.com/en/ds/MAX712-MAX713.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nMAX712ESE\n\nbattery charger controller', 'pins':[
            Pin(num='1',name='VLIMIT',func=pin_types.INPUT,unit=1),
            Pin(num='10',name='PGM3',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='CC',func=pin_types.INPUT,unit=1),
            Pin(num='12',name='BATT-',func=pin_types.INPUT,unit=1),
            Pin(num='13',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='14',name='DRV',func=pin_types.OUTPUT,unit=1),
            Pin(num='15',name='V+',func=pin_types.PWRIN,unit=1),
            Pin(num='16',name='REF',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='BATT+',func=pin_types.PWROUT,unit=1),
            Pin(num='3',name='PGM0',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='PGM1',func=pin_types.PWROUT,unit=1),
            Pin(num='5',name='THI',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='TLO',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='TEMP',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='~{FASTCHG}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='9',name='PGM2',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MAX712MJE', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MAX712MJE'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-16_W7.62mm', 'Package_DIP:DIP-16_W7.62mm', 'Package_DIP:DIP-16_W7.62mm'], 'footprint':'Package_DIP:DIP-16_W7.62mm', 'keywords':'battery charger controller', 'description':'', 'datasheet':'https://datasheets.maximintegrated.com/en/ds/MAX712-MAX713.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nMAX712MJE\n\nbattery charger controller', 'pins':[
            Pin(num='1',name='VLIMIT',func=pin_types.INPUT,unit=1),
            Pin(num='10',name='PGM3',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='CC',func=pin_types.INPUT,unit=1),
            Pin(num='12',name='BATT-',func=pin_types.INPUT,unit=1),
            Pin(num='13',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='14',name='DRV',func=pin_types.OUTPUT,unit=1),
            Pin(num='15',name='V+',func=pin_types.PWRIN,unit=1),
            Pin(num='16',name='REF',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='BATT+',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='PGM0',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='PGM1',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='THI',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='TLO',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='TEMP',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='~{FASTCHG}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='9',name='PGM2',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MAX713CPE', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MAX713CPE'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-16_W7.62mm', 'Package_DIP:DIP-16_W7.62mm', 'Package_DIP:DIP-16_W7.62mm', 'Package_DIP:DIP-16_W7.62mm'], 'footprint':'Package_DIP:DIP-16_W7.62mm', 'keywords':'battery charger controller', 'description':'', 'datasheet':'https://datasheets.maximintegrated.com/en/ds/MAX712-MAX713.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nMAX713CPE\n\nbattery charger controller', 'pins':[
            Pin(num='1',name='VLIMIT',func=pin_types.INPUT,unit=1),
            Pin(num='10',name='PGM3',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='CC',func=pin_types.INPUT,unit=1),
            Pin(num='12',name='BATT-',func=pin_types.INPUT,unit=1),
            Pin(num='13',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='14',name='DRV',func=pin_types.OUTPUT,unit=1),
            Pin(num='15',name='V+',func=pin_types.PWRIN,unit=1),
            Pin(num='16',name='REF',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='BATT+',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='PGM0',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='PGM1',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='THI',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='TLO',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='TEMP',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='~{FASTCHG}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='9',name='PGM2',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MAX713CSE', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MAX713CSE'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-16_3.9x9.9mm_P1.27mm', 'Package_SO:SOIC-16_3.9x9.9mm_P1.27mm', 'Package_SO:SOIC-16_3.9x9.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-16_3.9x9.9mm_P1.27mm', 'keywords':'battery charger controller', 'description':'', 'datasheet':'https://datasheets.maximintegrated.com/en/ds/MAX712-MAX713.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nMAX713CSE\n\nbattery charger controller', 'pins':[
            Pin(num='1',name='VLIMIT',func=pin_types.INPUT,unit=1),
            Pin(num='10',name='PGM3',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='CC',func=pin_types.INPUT,unit=1),
            Pin(num='12',name='BATT-',func=pin_types.INPUT,unit=1),
            Pin(num='13',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='14',name='DRV',func=pin_types.OUTPUT,unit=1),
            Pin(num='15',name='V+',func=pin_types.PWRIN,unit=1),
            Pin(num='16',name='REF',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='BATT+',func=pin_types.PWROUT,unit=1),
            Pin(num='3',name='PGM0',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='PGM1',func=pin_types.PWROUT,unit=1),
            Pin(num='5',name='THI',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='TLO',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='TEMP',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='~{FASTCHG}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='9',name='PGM2',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MAX713EPE', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MAX713EPE'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-16_W7.62mm', 'Package_DIP:DIP-16_W7.62mm', 'Package_DIP:DIP-16_W7.62mm', 'Package_DIP:DIP-16_W7.62mm', 'Package_DIP:DIP-16_W7.62mm'], 'footprint':'Package_DIP:DIP-16_W7.62mm', 'keywords':'battery charger controller', 'description':'', 'datasheet':'https://datasheets.maximintegrated.com/en/ds/MAX712-MAX713.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nMAX713EPE\n\nbattery charger controller', 'pins':[
            Pin(num='1',name='VLIMIT',func=pin_types.INPUT,unit=1),
            Pin(num='10',name='PGM3',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='CC',func=pin_types.INPUT,unit=1),
            Pin(num='12',name='BATT-',func=pin_types.INPUT,unit=1),
            Pin(num='13',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='14',name='DRV',func=pin_types.OUTPUT,unit=1),
            Pin(num='15',name='V+',func=pin_types.PWRIN,unit=1),
            Pin(num='16',name='REF',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='BATT+',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='PGM0',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='PGM1',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='THI',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='TLO',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='TEMP',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='~{FASTCHG}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='9',name='PGM2',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MAX713ESE', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MAX713ESE'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-16_3.9x9.9mm_P1.27mm', 'Package_SO:SOIC-16_3.9x9.9mm_P1.27mm', 'Package_SO:SOIC-16_3.9x9.9mm_P1.27mm', 'Package_SO:SOIC-16_3.9x9.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-16_3.9x9.9mm_P1.27mm', 'keywords':'battery charger controller', 'description':'', 'datasheet':'https://datasheets.maximintegrated.com/en/ds/MAX712-MAX713.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nMAX713ESE\n\nbattery charger controller', 'pins':[
            Pin(num='1',name='VLIMIT',func=pin_types.INPUT,unit=1),
            Pin(num='10',name='PGM3',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='CC',func=pin_types.INPUT,unit=1),
            Pin(num='12',name='BATT-',func=pin_types.INPUT,unit=1),
            Pin(num='13',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='14',name='DRV',func=pin_types.OUTPUT,unit=1),
            Pin(num='15',name='V+',func=pin_types.PWRIN,unit=1),
            Pin(num='16',name='REF',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='BATT+',func=pin_types.PWROUT,unit=1),
            Pin(num='3',name='PGM0',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='PGM1',func=pin_types.PWROUT,unit=1),
            Pin(num='5',name='THI',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='TLO',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='TEMP',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='~{FASTCHG}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='9',name='PGM2',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MAX713MJE', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MAX713MJE'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-16_W7.62mm', 'Package_DIP:DIP-16_W7.62mm', 'Package_DIP:DIP-16_W7.62mm', 'Package_DIP:DIP-16_W7.62mm', 'Package_DIP:DIP-16_W7.62mm', 'Package_DIP:DIP-16_W7.62mm'], 'footprint':'Package_DIP:DIP-16_W7.62mm', 'keywords':'battery charger controller', 'description':'', 'datasheet':'https://datasheets.maximintegrated.com/en/ds/MAX712-MAX713.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nMAX713MJE\n\nbattery charger controller', 'pins':[
            Pin(num='1',name='VLIMIT',func=pin_types.INPUT,unit=1),
            Pin(num='10',name='PGM3',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='CC',func=pin_types.INPUT,unit=1),
            Pin(num='12',name='BATT-',func=pin_types.INPUT,unit=1),
            Pin(num='13',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='14',name='DRV',func=pin_types.OUTPUT,unit=1),
            Pin(num='15',name='V+',func=pin_types.PWRIN,unit=1),
            Pin(num='16',name='REF',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='BATT+',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='PGM0',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='PGM1',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='THI',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='TLO',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='TEMP',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='~{FASTCHG}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='9',name='PGM2',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP73811T-420I-OT', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP73811T-420I-OT'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5'], 'footprint':'Package_TO_SOT_SMD:SOT-23-5', 'keywords':'Lithium-Ion Battery Charger', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/22036b.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nMCP73811T-420I-OT\n\nLithium-Ion Battery Charger', 'pins':[
            Pin(num='1',name='CE',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='V_{SS}',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='V_{BAT}',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='V_{DD}',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='PROG',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP73811T-435I-OT', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP73811T-435I-OT'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5'], 'footprint':'Package_TO_SOT_SMD:SOT-23-5', 'keywords':'Lithium-Ion Battery Charger', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/22036b.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nMCP73811T-435I-OT\n\nLithium-Ion Battery Charger', 'pins':[
            Pin(num='1',name='CE',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='V_{SS}',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='V_{BAT}',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='V_{DD}',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='PROG',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP73812T-435I-OT', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP73812T-435I-OT'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5'], 'footprint':'Package_TO_SOT_SMD:SOT-23-5', 'keywords':'Lithium-Ion Battery Charger', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/22036b.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nMCP73812T-435I-OT\n\nLithium-Ion Battery Charger', 'pins':[
            Pin(num='1',name='CE',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='V_{SS}',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='V_{BAT}',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='V_{DD}',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='PROG',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP73831-3-MC', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP73831-3-MC'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm', 'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm'], 'footprint':'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm', 'keywords':'battery charger lithium', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/20001984g.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nMCP73831-3-MC\n\nbattery charger lithium', 'pins':[
            Pin(num='1',name='V_{DD}',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='V_{DD}',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='V_{BAT}',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='V_{BAT}',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='STAT',func=pin_types.TRISTATE,unit=1),
            Pin(num='6',name='V_{SS}',func=pin_types.PWRIN,unit=1),
            Pin(num='7',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='8',name='PROG',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP73831-3-OT', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP73831-3-OT'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5'], 'footprint':'Package_TO_SOT_SMD:SOT-23-5', 'keywords':'battery charger lithium', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/20001984g.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nMCP73831-3-OT\n\nbattery charger lithium', 'pins':[
            Pin(num='1',name='STAT',func=pin_types.TRISTATE,unit=1),
            Pin(num='2',name='V_{SS}',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='V_{BAT}',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='V_{DD}',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='PROG',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP73831-4-MC', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP73831-4-MC'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm', 'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm', 'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm'], 'footprint':'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm', 'keywords':'battery charger lithium', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/20001984g.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nMCP73831-4-MC\n\nbattery charger lithium', 'pins':[
            Pin(num='1',name='V_{DD}',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='V_{DD}',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='V_{BAT}',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='V_{BAT}',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='STAT',func=pin_types.TRISTATE,unit=1),
            Pin(num='6',name='V_{SS}',func=pin_types.PWRIN,unit=1),
            Pin(num='7',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='8',name='PROG',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP73831-4-OT', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP73831-4-OT'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5'], 'footprint':'Package_TO_SOT_SMD:SOT-23-5', 'keywords':'battery charger lithium', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/20001984g.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nMCP73831-4-OT\n\nbattery charger lithium', 'pins':[
            Pin(num='1',name='STAT',func=pin_types.TRISTATE,unit=1),
            Pin(num='2',name='V_{SS}',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='V_{BAT}',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='V_{DD}',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='PROG',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP73831-5-MC', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP73831-5-MC'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm', 'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm', 'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm', 'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm'], 'footprint':'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm', 'keywords':'battery charger lithium', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/20001984g.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nMCP73831-5-MC\n\nbattery charger lithium', 'pins':[
            Pin(num='1',name='V_{DD}',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='V_{DD}',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='V_{BAT}',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='V_{BAT}',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='STAT',func=pin_types.TRISTATE,unit=1),
            Pin(num='6',name='V_{SS}',func=pin_types.PWRIN,unit=1),
            Pin(num='7',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='8',name='PROG',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP73831-5-OT', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP73831-5-OT'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5'], 'footprint':'Package_TO_SOT_SMD:SOT-23-5', 'keywords':'battery charger lithium', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/20001984g.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nMCP73831-5-OT\n\nbattery charger lithium', 'pins':[
            Pin(num='1',name='STAT',func=pin_types.TRISTATE,unit=1),
            Pin(num='2',name='V_{SS}',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='V_{BAT}',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='V_{DD}',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='PROG',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP73832-3-MC', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP73832-3-MC'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm', 'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm'], 'footprint':'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm', 'keywords':'battery charger lithium', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/20001984g.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nMCP73832-3-MC\n\nbattery charger lithium', 'pins':[
            Pin(num='1',name='V_{DD}',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='V_{DD}',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='V_{BAT}',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='V_{BAT}',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='STAT',func=pin_types.OPENCOLL,unit=1),
            Pin(num='6',name='V_{SS}',func=pin_types.PWRIN,unit=1),
            Pin(num='7',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='8',name='PROG',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP73832-3-OT', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP73832-3-OT'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5'], 'footprint':'Package_TO_SOT_SMD:SOT-23-5', 'keywords':'battery charger lithium', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/20001984g.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nMCP73832-3-OT\n\nbattery charger lithium', 'pins':[
            Pin(num='1',name='STAT',func=pin_types.OPENCOLL,unit=1),
            Pin(num='2',name='V_{SS}',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='V_{BAT}',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='V_{DD}',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='PROG',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP73832-4-MC', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP73832-4-MC'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm', 'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm', 'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm'], 'footprint':'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm', 'keywords':'battery charger lithium', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/20001984g.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nMCP73832-4-MC\n\nbattery charger lithium', 'pins':[
            Pin(num='1',name='V_{DD}',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='V_{DD}',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='V_{BAT}',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='V_{BAT}',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='STAT',func=pin_types.OPENCOLL,unit=1),
            Pin(num='6',name='V_{SS}',func=pin_types.PWRIN,unit=1),
            Pin(num='7',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='8',name='PROG',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP73832-4-OT', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP73832-4-OT'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5'], 'footprint':'Package_TO_SOT_SMD:SOT-23-5', 'keywords':'battery charger lithium', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/20001984g.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nMCP73832-4-OT\n\nbattery charger lithium', 'pins':[
            Pin(num='1',name='STAT',func=pin_types.OPENCOLL,unit=1),
            Pin(num='2',name='V_{SS}',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='V_{BAT}',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='V_{DD}',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='PROG',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP73832-5-MC', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP73832-5-MC'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm', 'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm', 'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm', 'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm'], 'footprint':'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm', 'keywords':'battery charger lithium', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/20001984g.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nMCP73832-5-MC\n\nbattery charger lithium', 'pins':[
            Pin(num='1',name='V_{DD}',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='V_{DD}',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='V_{BAT}',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='V_{BAT}',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='STAT',func=pin_types.OPENCOLL,unit=1),
            Pin(num='6',name='V_{SS}',func=pin_types.PWRIN,unit=1),
            Pin(num='7',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='8',name='PROG',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP73832-5-OT', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP73832-5-OT'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5'], 'footprint':'Package_TO_SOT_SMD:SOT-23-5', 'keywords':'battery charger lithium', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/20001984g.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nMCP73832-5-OT\n\nbattery charger lithium', 'pins':[
            Pin(num='1',name='STAT',func=pin_types.OPENCOLL,unit=1),
            Pin(num='2',name='V_{SS}',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='V_{BAT}',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='V_{DD}',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='PROG',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP73871-1AA', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP73871-1AA'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-20-1EP_4x4mm_P0.5mm_EP2.5x2.5mm', 'Package_DFN_QFN:QFN-20-1EP_4x4mm_P0.5mm_EP2.5x2.5mm'], 'footprint':'Package_DFN_QFN:QFN-20-1EP_4x4mm_P0.5mm_EP2.5x2.5mm', 'keywords':'battery charger lithium', 'description':'', 'datasheet':'http://www.mouser.com/ds/2/268/22090a-52174.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nMCP73871-1AA\n\nbattery charger lithium', 'pins':[
            Pin(num='1',name='OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='10',name='V_{SS}',func=pin_types.PWRIN,unit=1),
            Pin(num='11',name='V_{SS}',func=pin_types.PASSIVE,unit=1),
            Pin(num='12',name='PROG3',func=pin_types.BIDIR,unit=1),
            Pin(num='13',name='PROG1',func=pin_types.BIDIR,unit=1),
            Pin(num='14',name='V_{BAT}',func=pin_types.PWROUT,unit=1),
            Pin(num='15',name='V_{BAT}',func=pin_types.PASSIVE,unit=1),
            Pin(num='16',name='V_{BAT_SENSE}',func=pin_types.INPUT,unit=1),
            Pin(num='17',name='CE',func=pin_types.INPUT,unit=1),
            Pin(num='18',name='IN',func=pin_types.PWRIN,unit=1),
            Pin(num='19',name='IN',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='VPCC',func=pin_types.INPUT,unit=1),
            Pin(num='20',name='OUT',func=pin_types.PASSIVE,unit=1),
            Pin(num='21',name='V_{SS}',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='SEL',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='PROG2',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='THERM',func=pin_types.BIDIR,unit=1),
            Pin(num='6',name='~{PG}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='7',name='STAT2',func=pin_types.OPENCOLL,unit=1),
            Pin(num='8',name='STAT1/~{LBO}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='9',name='~{TE}',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP73871-1CA', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP73871-1CA'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-20-1EP_4x4mm_P0.5mm_EP2.5x2.5mm', 'Package_DFN_QFN:QFN-20-1EP_4x4mm_P0.5mm_EP2.5x2.5mm', 'Package_DFN_QFN:QFN-20-1EP_4x4mm_P0.5mm_EP2.5x2.5mm'], 'footprint':'Package_DFN_QFN:QFN-20-1EP_4x4mm_P0.5mm_EP2.5x2.5mm', 'keywords':'battery charger lithium', 'description':'', 'datasheet':'http://www.mouser.com/ds/2/268/22090a-52174.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nMCP73871-1CA\n\nbattery charger lithium', 'pins':[
            Pin(num='1',name='OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='10',name='V_{SS}',func=pin_types.PWRIN,unit=1),
            Pin(num='11',name='V_{SS}',func=pin_types.PASSIVE,unit=1),
            Pin(num='12',name='PROG3',func=pin_types.BIDIR,unit=1),
            Pin(num='13',name='PROG1',func=pin_types.BIDIR,unit=1),
            Pin(num='14',name='V_{BAT}',func=pin_types.PWROUT,unit=1),
            Pin(num='15',name='V_{BAT}',func=pin_types.PASSIVE,unit=1),
            Pin(num='16',name='V_{BAT_SENSE}',func=pin_types.INPUT,unit=1),
            Pin(num='17',name='CE',func=pin_types.INPUT,unit=1),
            Pin(num='18',name='IN',func=pin_types.PWRIN,unit=1),
            Pin(num='19',name='IN',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='VPCC',func=pin_types.INPUT,unit=1),
            Pin(num='20',name='OUT',func=pin_types.PASSIVE,unit=1),
            Pin(num='21',name='V_{SS}',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='SEL',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='PROG2',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='THERM',func=pin_types.BIDIR,unit=1),
            Pin(num='6',name='~{PG}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='7',name='STAT2',func=pin_types.OPENCOLL,unit=1),
            Pin(num='8',name='STAT1/~{LBO}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='9',name='~{TE}',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP73871-1CC', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP73871-1CC'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-20-1EP_4x4mm_P0.5mm_EP2.5x2.5mm', 'Package_DFN_QFN:QFN-20-1EP_4x4mm_P0.5mm_EP2.5x2.5mm', 'Package_DFN_QFN:QFN-20-1EP_4x4mm_P0.5mm_EP2.5x2.5mm', 'Package_DFN_QFN:QFN-20-1EP_4x4mm_P0.5mm_EP2.5x2.5mm'], 'footprint':'Package_DFN_QFN:QFN-20-1EP_4x4mm_P0.5mm_EP2.5x2.5mm', 'keywords':'battery charger lithium', 'description':'', 'datasheet':'http://www.mouser.com/ds/2/268/22090a-52174.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nMCP73871-1CC\n\nbattery charger lithium', 'pins':[
            Pin(num='1',name='OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='10',name='V_{SS}',func=pin_types.PWRIN,unit=1),
            Pin(num='11',name='V_{SS}',func=pin_types.PASSIVE,unit=1),
            Pin(num='12',name='PROG3',func=pin_types.BIDIR,unit=1),
            Pin(num='13',name='PROG1',func=pin_types.BIDIR,unit=1),
            Pin(num='14',name='V_{BAT}',func=pin_types.PWROUT,unit=1),
            Pin(num='15',name='V_{BAT}',func=pin_types.PASSIVE,unit=1),
            Pin(num='16',name='V_{BAT_SENSE}',func=pin_types.INPUT,unit=1),
            Pin(num='17',name='CE',func=pin_types.INPUT,unit=1),
            Pin(num='18',name='IN',func=pin_types.PWRIN,unit=1),
            Pin(num='19',name='IN',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='VPCC',func=pin_types.INPUT,unit=1),
            Pin(num='20',name='OUT',func=pin_types.PASSIVE,unit=1),
            Pin(num='21',name='V_{SS}',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='SEL',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='PROG2',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='THERM',func=pin_types.BIDIR,unit=1),
            Pin(num='6',name='~{PG}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='7',name='STAT2',func=pin_types.OPENCOLL,unit=1),
            Pin(num='8',name='STAT1/~{LBO}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='9',name='~{TE}',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP73871-2AA', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP73871-2AA'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-20-1EP_4x4mm_P0.5mm_EP2.5x2.5mm', 'Package_DFN_QFN:QFN-20-1EP_4x4mm_P0.5mm_EP2.5x2.5mm', 'Package_DFN_QFN:QFN-20-1EP_4x4mm_P0.5mm_EP2.5x2.5mm', 'Package_DFN_QFN:QFN-20-1EP_4x4mm_P0.5mm_EP2.5x2.5mm', 'Package_DFN_QFN:QFN-20-1EP_4x4mm_P0.5mm_EP2.5x2.5mm'], 'footprint':'Package_DFN_QFN:QFN-20-1EP_4x4mm_P0.5mm_EP2.5x2.5mm', 'keywords':'battery charger lithium', 'description':'', 'datasheet':'http://www.mouser.com/ds/2/268/22090a-52174.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nMCP73871-2AA\n\nbattery charger lithium', 'pins':[
            Pin(num='1',name='OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='10',name='V_{SS}',func=pin_types.PWRIN,unit=1),
            Pin(num='11',name='V_{SS}',func=pin_types.PASSIVE,unit=1),
            Pin(num='12',name='PROG3',func=pin_types.BIDIR,unit=1),
            Pin(num='13',name='PROG1',func=pin_types.BIDIR,unit=1),
            Pin(num='14',name='V_{BAT}',func=pin_types.PWROUT,unit=1),
            Pin(num='15',name='V_{BAT}',func=pin_types.PASSIVE,unit=1),
            Pin(num='16',name='V_{BAT_SENSE}',func=pin_types.INPUT,unit=1),
            Pin(num='17',name='CE',func=pin_types.INPUT,unit=1),
            Pin(num='18',name='IN',func=pin_types.PWRIN,unit=1),
            Pin(num='19',name='IN',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='VPCC',func=pin_types.INPUT,unit=1),
            Pin(num='20',name='OUT',func=pin_types.PASSIVE,unit=1),
            Pin(num='21',name='V_{SS}',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='SEL',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='PROG2',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='THERM',func=pin_types.BIDIR,unit=1),
            Pin(num='6',name='~{PG}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='7',name='STAT2',func=pin_types.OPENCOLL,unit=1),
            Pin(num='8',name='STAT1/~{LBO}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='9',name='~{TE}',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP73871-2CA', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP73871-2CA'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-20-1EP_4x4mm_P0.5mm_EP2.5x2.5mm', 'Package_DFN_QFN:QFN-20-1EP_4x4mm_P0.5mm_EP2.5x2.5mm', 'Package_DFN_QFN:QFN-20-1EP_4x4mm_P0.5mm_EP2.5x2.5mm', 'Package_DFN_QFN:QFN-20-1EP_4x4mm_P0.5mm_EP2.5x2.5mm', 'Package_DFN_QFN:QFN-20-1EP_4x4mm_P0.5mm_EP2.5x2.5mm', 'Package_DFN_QFN:QFN-20-1EP_4x4mm_P0.5mm_EP2.5x2.5mm'], 'footprint':'Package_DFN_QFN:QFN-20-1EP_4x4mm_P0.5mm_EP2.5x2.5mm', 'keywords':'battery charger lithium', 'description':'', 'datasheet':'http://www.mouser.com/ds/2/268/22090a-52174.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nMCP73871-2CA\n\nbattery charger lithium', 'pins':[
            Pin(num='1',name='OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='10',name='V_{SS}',func=pin_types.PWRIN,unit=1),
            Pin(num='11',name='V_{SS}',func=pin_types.PASSIVE,unit=1),
            Pin(num='12',name='PROG3',func=pin_types.BIDIR,unit=1),
            Pin(num='13',name='PROG1',func=pin_types.BIDIR,unit=1),
            Pin(num='14',name='V_{BAT}',func=pin_types.PWROUT,unit=1),
            Pin(num='15',name='V_{BAT}',func=pin_types.PASSIVE,unit=1),
            Pin(num='16',name='V_{BAT_SENSE}',func=pin_types.INPUT,unit=1),
            Pin(num='17',name='CE',func=pin_types.INPUT,unit=1),
            Pin(num='18',name='IN',func=pin_types.PWRIN,unit=1),
            Pin(num='19',name='IN',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='VPCC',func=pin_types.INPUT,unit=1),
            Pin(num='20',name='OUT',func=pin_types.PASSIVE,unit=1),
            Pin(num='21',name='V_{SS}',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='SEL',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='PROG2',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='THERM',func=pin_types.BIDIR,unit=1),
            Pin(num='6',name='~{PG}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='7',name='STAT2',func=pin_types.OPENCOLL,unit=1),
            Pin(num='8',name='STAT1/~{LBO}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='9',name='~{TE}',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP73871-2CC', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP73871-2CC'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-20-1EP_4x4mm_P0.5mm_EP2.5x2.5mm', 'Package_DFN_QFN:QFN-20-1EP_4x4mm_P0.5mm_EP2.5x2.5mm', 'Package_DFN_QFN:QFN-20-1EP_4x4mm_P0.5mm_EP2.5x2.5mm', 'Package_DFN_QFN:QFN-20-1EP_4x4mm_P0.5mm_EP2.5x2.5mm', 'Package_DFN_QFN:QFN-20-1EP_4x4mm_P0.5mm_EP2.5x2.5mm', 'Package_DFN_QFN:QFN-20-1EP_4x4mm_P0.5mm_EP2.5x2.5mm', 'Package_DFN_QFN:QFN-20-1EP_4x4mm_P0.5mm_EP2.5x2.5mm'], 'footprint':'Package_DFN_QFN:QFN-20-1EP_4x4mm_P0.5mm_EP2.5x2.5mm', 'keywords':'battery charger lithium', 'description':'', 'datasheet':'http://www.mouser.com/ds/2/268/22090a-52174.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nMCP73871-2CC\n\nbattery charger lithium', 'pins':[
            Pin(num='1',name='OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='10',name='V_{SS}',func=pin_types.PWRIN,unit=1),
            Pin(num='11',name='V_{SS}',func=pin_types.PASSIVE,unit=1),
            Pin(num='12',name='PROG3',func=pin_types.BIDIR,unit=1),
            Pin(num='13',name='PROG1',func=pin_types.BIDIR,unit=1),
            Pin(num='14',name='V_{BAT}',func=pin_types.PWROUT,unit=1),
            Pin(num='15',name='V_{BAT}',func=pin_types.PASSIVE,unit=1),
            Pin(num='16',name='V_{BAT_SENSE}',func=pin_types.INPUT,unit=1),
            Pin(num='17',name='CE',func=pin_types.INPUT,unit=1),
            Pin(num='18',name='IN',func=pin_types.PWRIN,unit=1),
            Pin(num='19',name='IN',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='VPCC',func=pin_types.INPUT,unit=1),
            Pin(num='20',name='OUT',func=pin_types.PASSIVE,unit=1),
            Pin(num='21',name='V_{SS}',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='SEL',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='PROG2',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='THERM',func=pin_types.BIDIR,unit=1),
            Pin(num='6',name='~{PG}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='7',name='STAT2',func=pin_types.OPENCOLL,unit=1),
            Pin(num='8',name='STAT1/~{LBO}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='9',name='~{TE}',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP73871-3CA', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP73871-3CA'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-20-1EP_4x4mm_P0.5mm_EP2.5x2.5mm', 'Package_DFN_QFN:QFN-20-1EP_4x4mm_P0.5mm_EP2.5x2.5mm', 'Package_DFN_QFN:QFN-20-1EP_4x4mm_P0.5mm_EP2.5x2.5mm', 'Package_DFN_QFN:QFN-20-1EP_4x4mm_P0.5mm_EP2.5x2.5mm', 'Package_DFN_QFN:QFN-20-1EP_4x4mm_P0.5mm_EP2.5x2.5mm', 'Package_DFN_QFN:QFN-20-1EP_4x4mm_P0.5mm_EP2.5x2.5mm', 'Package_DFN_QFN:QFN-20-1EP_4x4mm_P0.5mm_EP2.5x2.5mm', 'Package_DFN_QFN:QFN-20-1EP_4x4mm_P0.5mm_EP2.5x2.5mm'], 'footprint':'Package_DFN_QFN:QFN-20-1EP_4x4mm_P0.5mm_EP2.5x2.5mm', 'keywords':'battery charger lithium', 'description':'', 'datasheet':'http://www.mouser.com/ds/2/268/22090a-52174.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nMCP73871-3CA\n\nbattery charger lithium', 'pins':[
            Pin(num='1',name='OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='10',name='V_{SS}',func=pin_types.PWRIN,unit=1),
            Pin(num='11',name='V_{SS}',func=pin_types.PASSIVE,unit=1),
            Pin(num='12',name='PROG3',func=pin_types.BIDIR,unit=1),
            Pin(num='13',name='PROG1',func=pin_types.BIDIR,unit=1),
            Pin(num='14',name='V_{BAT}',func=pin_types.PWROUT,unit=1),
            Pin(num='15',name='V_{BAT}',func=pin_types.PASSIVE,unit=1),
            Pin(num='16',name='V_{BAT_SENSE}',func=pin_types.INPUT,unit=1),
            Pin(num='17',name='CE',func=pin_types.INPUT,unit=1),
            Pin(num='18',name='IN',func=pin_types.PWRIN,unit=1),
            Pin(num='19',name='IN',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='VPCC',func=pin_types.INPUT,unit=1),
            Pin(num='20',name='OUT',func=pin_types.PASSIVE,unit=1),
            Pin(num='21',name='V_{SS}',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='SEL',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='PROG2',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='THERM',func=pin_types.BIDIR,unit=1),
            Pin(num='6',name='~{PG}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='7',name='STAT2',func=pin_types.OPENCOLL,unit=1),
            Pin(num='8',name='STAT1/~{LBO}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='9',name='~{TE}',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP73871-3CC', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP73871-3CC'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-20-1EP_4x4mm_P0.5mm_EP2.5x2.5mm', 'Package_DFN_QFN:QFN-20-1EP_4x4mm_P0.5mm_EP2.5x2.5mm', 'Package_DFN_QFN:QFN-20-1EP_4x4mm_P0.5mm_EP2.5x2.5mm', 'Package_DFN_QFN:QFN-20-1EP_4x4mm_P0.5mm_EP2.5x2.5mm', 'Package_DFN_QFN:QFN-20-1EP_4x4mm_P0.5mm_EP2.5x2.5mm', 'Package_DFN_QFN:QFN-20-1EP_4x4mm_P0.5mm_EP2.5x2.5mm', 'Package_DFN_QFN:QFN-20-1EP_4x4mm_P0.5mm_EP2.5x2.5mm', 'Package_DFN_QFN:QFN-20-1EP_4x4mm_P0.5mm_EP2.5x2.5mm', 'Package_DFN_QFN:QFN-20-1EP_4x4mm_P0.5mm_EP2.5x2.5mm'], 'footprint':'Package_DFN_QFN:QFN-20-1EP_4x4mm_P0.5mm_EP2.5x2.5mm', 'keywords':'battery charger lithium', 'description':'', 'datasheet':'http://www.mouser.com/ds/2/268/22090a-52174.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nMCP73871-3CC\n\nbattery charger lithium', 'pins':[
            Pin(num='1',name='OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='10',name='V_{SS}',func=pin_types.PWRIN,unit=1),
            Pin(num='11',name='V_{SS}',func=pin_types.PASSIVE,unit=1),
            Pin(num='12',name='PROG3',func=pin_types.BIDIR,unit=1),
            Pin(num='13',name='PROG1',func=pin_types.BIDIR,unit=1),
            Pin(num='14',name='V_{BAT}',func=pin_types.PWROUT,unit=1),
            Pin(num='15',name='V_{BAT}',func=pin_types.PASSIVE,unit=1),
            Pin(num='16',name='V_{BAT_SENSE}',func=pin_types.INPUT,unit=1),
            Pin(num='17',name='CE',func=pin_types.INPUT,unit=1),
            Pin(num='18',name='IN',func=pin_types.PWRIN,unit=1),
            Pin(num='19',name='IN',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='VPCC',func=pin_types.INPUT,unit=1),
            Pin(num='20',name='OUT',func=pin_types.PASSIVE,unit=1),
            Pin(num='21',name='V_{SS}',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='SEL',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='PROG2',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='THERM',func=pin_types.BIDIR,unit=1),
            Pin(num='6',name='~{PG}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='7',name='STAT2',func=pin_types.OPENCOLL,unit=1),
            Pin(num='8',name='STAT1/~{LBO}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='9',name='~{TE}',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP73871-4CA', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP73871-4CA'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-20-1EP_4x4mm_P0.5mm_EP2.5x2.5mm', 'Package_DFN_QFN:QFN-20-1EP_4x4mm_P0.5mm_EP2.5x2.5mm', 'Package_DFN_QFN:QFN-20-1EP_4x4mm_P0.5mm_EP2.5x2.5mm', 'Package_DFN_QFN:QFN-20-1EP_4x4mm_P0.5mm_EP2.5x2.5mm', 'Package_DFN_QFN:QFN-20-1EP_4x4mm_P0.5mm_EP2.5x2.5mm', 'Package_DFN_QFN:QFN-20-1EP_4x4mm_P0.5mm_EP2.5x2.5mm', 'Package_DFN_QFN:QFN-20-1EP_4x4mm_P0.5mm_EP2.5x2.5mm', 'Package_DFN_QFN:QFN-20-1EP_4x4mm_P0.5mm_EP2.5x2.5mm', 'Package_DFN_QFN:QFN-20-1EP_4x4mm_P0.5mm_EP2.5x2.5mm', 'Package_DFN_QFN:QFN-20-1EP_4x4mm_P0.5mm_EP2.5x2.5mm'], 'footprint':'Package_DFN_QFN:QFN-20-1EP_4x4mm_P0.5mm_EP2.5x2.5mm', 'keywords':'battery charger lithium', 'description':'', 'datasheet':'http://www.mouser.com/ds/2/268/22090a-52174.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nMCP73871-4CA\n\nbattery charger lithium', 'pins':[
            Pin(num='1',name='OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='10',name='V_{SS}',func=pin_types.PWRIN,unit=1),
            Pin(num='11',name='V_{SS}',func=pin_types.PASSIVE,unit=1),
            Pin(num='12',name='PROG3',func=pin_types.BIDIR,unit=1),
            Pin(num='13',name='PROG1',func=pin_types.BIDIR,unit=1),
            Pin(num='14',name='V_{BAT}',func=pin_types.PWROUT,unit=1),
            Pin(num='15',name='V_{BAT}',func=pin_types.PASSIVE,unit=1),
            Pin(num='16',name='V_{BAT_SENSE}',func=pin_types.INPUT,unit=1),
            Pin(num='17',name='CE',func=pin_types.INPUT,unit=1),
            Pin(num='18',name='IN',func=pin_types.PWRIN,unit=1),
            Pin(num='19',name='IN',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='VPCC',func=pin_types.INPUT,unit=1),
            Pin(num='20',name='OUT',func=pin_types.PASSIVE,unit=1),
            Pin(num='21',name='V_{SS}',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='SEL',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='PROG2',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='THERM',func=pin_types.BIDIR,unit=1),
            Pin(num='6',name='~{PG}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='7',name='STAT2',func=pin_types.OPENCOLL,unit=1),
            Pin(num='8',name='STAT1/~{LBO}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='9',name='~{TE}',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP73871-4CC', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP73871-4CC'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-20-1EP_4x4mm_P0.5mm_EP2.5x2.5mm', 'Package_DFN_QFN:QFN-20-1EP_4x4mm_P0.5mm_EP2.5x2.5mm', 'Package_DFN_QFN:QFN-20-1EP_4x4mm_P0.5mm_EP2.5x2.5mm', 'Package_DFN_QFN:QFN-20-1EP_4x4mm_P0.5mm_EP2.5x2.5mm', 'Package_DFN_QFN:QFN-20-1EP_4x4mm_P0.5mm_EP2.5x2.5mm', 'Package_DFN_QFN:QFN-20-1EP_4x4mm_P0.5mm_EP2.5x2.5mm', 'Package_DFN_QFN:QFN-20-1EP_4x4mm_P0.5mm_EP2.5x2.5mm', 'Package_DFN_QFN:QFN-20-1EP_4x4mm_P0.5mm_EP2.5x2.5mm', 'Package_DFN_QFN:QFN-20-1EP_4x4mm_P0.5mm_EP2.5x2.5mm', 'Package_DFN_QFN:QFN-20-1EP_4x4mm_P0.5mm_EP2.5x2.5mm', 'Package_DFN_QFN:QFN-20-1EP_4x4mm_P0.5mm_EP2.5x2.5mm'], 'footprint':'Package_DFN_QFN:QFN-20-1EP_4x4mm_P0.5mm_EP2.5x2.5mm', 'keywords':'battery charger lithium', 'description':'', 'datasheet':'http://www.mouser.com/ds/2/268/22090a-52174.pdf', 'search_text':'/usr/share/kicad/symbols/Battery_Management.kicad_sym\nMCP73871-4CC\n\nbattery charger lithium', 'pins':[
            Pin(num='1',name='OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='10',name='V_{SS}',func=pin_types.PWRIN,unit=1),
            Pin(num='11',name='V_{SS}',func=pin_types.PASSIVE,unit=1),
            Pin(num='12',name='PROG3',func=pin_types.BIDIR,unit=1),
            Pin(num='13',name='PROG1',func=pin_types.BIDIR,unit=1),
            Pin(num='14',name='V_{BAT}',func=pin_types.PWROUT,unit=1),
            Pin(num='15',name='V_{BAT}',func=pin_types.PASSIVE,unit=1),
            Pin(num='16',name='V_{BAT_SENSE}',func=pin_types.INPUT,unit=1),
            Pin(num='17',name='CE',func=pin_types.INPUT,unit=1),
            Pin(num='18',name='IN',func=pin_types.PWRIN,unit=1),
            Pin(num='19',name='IN',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='VPCC',func=pin_types.INPUT,unit=1),
            Pin(num='20',name='OUT',func=pin_types.PASSIVE,unit=1),
            Pin(num='21',name='V_{SS}',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='SEL',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='PROG2',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='THERM',func=pin_types.BIDIR,unit=1),
            Pin(num='6',name='~{PG}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='7',name='STAT2',func=pin_types.OPENCOLL,unit=1),
            Pin(num='8',name='STAT1/~{LBO}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='9',name='~{TE}',func=pin_types.INPUT,unit=1)], 'unit_defs':[] })])