from collections import defaultdict
from skidl import Pin, Part, Alias, SchLib, SKIDL, TEMPLATE

from skidl.pin import pin_types

SKIDL_lib_version = '0.0.1'

Converter_ACDC = SchLib(tool=SKIDL).add_parts(*[
        Part(**{ 'name':'BAC05S05DC', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BAC05S05DC'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_Murata_BAC05SxxDC_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_Murata_BAC05SxxDC_THT', 'keywords':'Miniature Module-type Power Supply muRataPs', 'description':'', 'datasheet':'https://www.murata.com/products/productdata/8809982558238/KAC-BAC05.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nBAC05S05DC\n\nMiniature Module-type Power Supply muRataPs', 'pins':[
            Pin(num='1',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='4',name='-Vo',func=pin_types.PWROUT,unit=1),
            Pin(num='5',name='+Vo',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'HLK-12M05A', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'HLK-12M05A'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_Hi-Link_HLK-12MxxA'], 'footprint':'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-12MxxA', 'keywords':'AC/DC module power supply', 'description':'', 'datasheet':'https://h.hlktech.com/download/ACDC%E7%94%B5%E6%BA%90%E6%A8%A1%E5%9D%9712W%E7%B3%BB%E5%88%97/1/12W%E7%B3%BB%E5%88%97%E8%A7%84%E6%A0%BC%E4%B9%A6.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nHLK-12M05A\n\nAC/DC module power supply', 'pins':[
            Pin(num='1',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='+Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='-Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'HLK-30M05', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'HLK-30M05'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_Hi-Link_HLK-30Mxx'], 'footprint':'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-30Mxx', 'keywords':'AC/DC module power supply', 'description':'', 'datasheet':'https://h.hlktech.com/download/ACDC%E7%94%B5%E6%BA%90%E6%A8%A1%E5%9D%9730W%E7%B3%BB%E5%88%97/1/%E6%B5%B7%E5%87%8C%E7%A7%9130W%E7%B3%BB%E5%88%97%E7%94%B5%E6%BA%90%E6%A8%A1%E5%9D%97%E8%A7%84%E6%A0%BC%E4%B9%A6V1.6.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nHLK-30M05\n\nAC/DC module power supply', 'pins':[
            Pin(num='1',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='-Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='6',name='+Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'HLK-PM01', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'HLK-PM01'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_Hi-Link_HLK-PMxx'], 'footprint':'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-PMxx', 'keywords':'AC/DC module power supply', 'description':'', 'datasheet':'https://h.hlktech.com/download/ACDC%E7%94%B5%E6%BA%90%E6%A8%A1%E5%9D%973W%E7%B3%BB%E5%88%97/1/%E6%B5%B7%E5%87%8C%E7%A7%913W%E7%B3%BB%E5%88%97%E7%94%B5%E6%BA%90%E6%A8%A1%E5%9D%97%E8%A7%84%E6%A0%BC%E4%B9%A6V2.8.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nHLK-PM01\n\nAC/DC module power supply', 'pins':[
            Pin(num='1',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='-Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='+Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'HS-40003', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'HS-40003'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_Hahn_HS-400xx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_Hahn_HS-400xx_THT', 'keywords':'3.3V 3W AC-DC module power supply', 'description':'', 'datasheet':'http://www.tme.eu/de/Document/d4b3c52125889c3435af182c9515c76b/HS40003.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nHS-40003\n\n3.3V 3W AC-DC module power supply', 'pins':[
            Pin(num='1',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='7',name='+Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='9',name='-Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'IRM-02-3.3', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'IRM-02-3.3'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_MeanWell_IRM-02-xx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_MeanWell_IRM-02-xx_THT', 'keywords':'Miniature Module-type Power Supply MeanWell', 'description':'', 'datasheet':'https://www.meanwell.com/Upload/PDF/IRM-02/IRM-02-SPEC.PDF', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nIRM-02-3.3\n\nMiniature Module-type Power Supply MeanWell', 'pins':[
            Pin(num='1',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='-Vo',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='+Vo',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'IRM-02-3.3S', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'IRM-02-3.3S'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_MeanWell_IRM-02-xx_SMD'], 'footprint':'Converter_ACDC:Converter_ACDC_MeanWell_IRM-02-xx_SMD', 'keywords':'Miniature Module-type Power Supply MeanWell', 'description':'', 'datasheet':'https://www.meanwell.com/Upload/PDF/IRM-02/IRM-02-SPEC.PDF', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nIRM-02-3.3S\n\nMiniature Module-type Power Supply MeanWell', 'pins':[
            Pin(num='1',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='12',name='+Vo',func=pin_types.PWROUT,unit=1),
            Pin(num='13',name='-Vo',func=pin_types.PWROUT,unit=1),
            Pin(num='24',name='AC/N',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'IRM-03-3.3', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'IRM-03-3.3'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_MeanWell_IRM-03-xx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_MeanWell_IRM-03-xx_THT', 'keywords':'Miniature Module-type Power Supply MeanWell', 'description':'', 'datasheet':'https://www.meanwell.com/Upload/PDF/IRM-03/IRM-03-SPEC.PDF', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nIRM-03-3.3\n\nMiniature Module-type Power Supply MeanWell', 'pins':[
            Pin(num='1',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='14',name='-Vo',func=pin_types.PWROUT,unit=1),
            Pin(num='16',name='+Vo',func=pin_types.PWROUT,unit=1),
            Pin(num='3',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='NC',func=pin_types.NOCONNECT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'IRM-03-3.3S', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'IRM-03-3.3S'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_MeanWell_IRM-03-xx_SMD'], 'footprint':'Converter_ACDC:Converter_ACDC_MeanWell_IRM-03-xx_SMD', 'keywords':'Miniature Module-type Power Supply MeanWell', 'description':'', 'datasheet':'https://www.meanwell.com/Upload/PDF/IRM-03/IRM-03-SPEC.PDF', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nIRM-03-3.3S\n\nMiniature Module-type Power Supply MeanWell', 'pins':[
            Pin(num='1',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='14',name='-Vo',func=pin_types.PWROUT,unit=1),
            Pin(num='16',name='+Vo',func=pin_types.PWROUT,unit=1),
            Pin(num='3',name='AC/N',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'IRM-05-3.3', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'IRM-05-3.3'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_MeanWell_IRM-05-xx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_MeanWell_IRM-05-xx_THT', 'keywords':'Miniature Module-type Power Supply MeanWell', 'description':'', 'datasheet':'https://www.meanwell.com/Upload/PDF/IRM-05/IRM-05-SPEC.PDF', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nIRM-05-3.3\n\nMiniature Module-type Power Supply MeanWell', 'pins':[
            Pin(num='1',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='-Vo',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='+Vo',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'IRM-10-3.3', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'IRM-10-3.3'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_MeanWell_IRM-10-xx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_MeanWell_IRM-10-xx_THT', 'keywords':'Miniature Module-type Power Supply MeanWell', 'description':'', 'datasheet':'https://www.meanwell.com/Upload/PDF/IRM-10/IRM-10-SPEC.PDF', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nIRM-10-3.3\n\nMiniature Module-type Power Supply MeanWell', 'pins':[
            Pin(num='1',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='-Vo',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='+Vo',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'IRM-20-3.3', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'IRM-20-3.3'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_MeanWell_IRM-20-xx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_MeanWell_IRM-20-xx_THT', 'keywords':'Miniature Module-type Power Supply MeanWell', 'description':'', 'datasheet':'http://www.meanwell.com/Upload/PDF/IRM-20/IRM-20-SPEC.PDF', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nIRM-20-3.3\n\nMiniature Module-type Power Supply MeanWell', 'pins':[
            Pin(num='1',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='-Vo',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='+Vo',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'IRM-60-5', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'IRM-60-5'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_MeanWell_IRM-60-xx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_MeanWell_IRM-60-xx_THT', 'keywords':'Miniature Module-type Power Supply MeanWell', 'description':'', 'datasheet':'http://www.meanwellusa.com/productPdf.aspx?i=687', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nIRM-60-5\n\nMiniature Module-type Power Supply MeanWell', 'pins':[
            Pin(num='1',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='+Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='-Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MFM-10-3.3', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MFM-10-3.3'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_MeanWell_MFM-10-xx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_MeanWell_MFM-10-xx_THT', 'keywords':'Miniature Module-type Power Supply MeanWell', 'description':'', 'datasheet':'https://www.meanwell-web.com/content/files/pdfs/productPdfs/MW/MFM-10/MFM-10-spec.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nMFM-10-3.3\n\nMiniature Module-type Power Supply MeanWell', 'pins':[
            Pin(num='1',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='-Vo',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='+Vo',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MFM-15-3.3', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MFM-15-3.3'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_MeanWell_MFM-15-xx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_MeanWell_MFM-15-xx_THT', 'keywords':'Miniature Module-type Power Supply MeanWell', 'description':'', 'datasheet':'https://www.meanwell.com/Upload/PDF/MFM-15/MFM-15-SPEC.PDF', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nMFM-15-3.3\n\nMiniature Module-type Power Supply MeanWell', 'pins':[
            Pin(num='1',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='-Vo',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='+Vo',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PBO-3-S3.3', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PBO-3-S3.3'}), 'ref_prefix':'U', 'fplist':['Converter_ACDC:Converter_ACDC_CUI_PBO-3-Sxx_THT_Vertical'], 'footprint':'Converter_ACDC:Converter_ACDC_CUI_PBO-3-Sxx_THT_Vertical', 'keywords':'ac dc power supply', 'description':'', 'datasheet':'https://www.cui.com/product/resource/pbo-3.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nPBO-3-S3.3\n\nac dc power supply', 'pins':[
            Pin(num='1',name='AC(N)',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='-Vo',func=pin_types.PWROUT,unit=1),
            Pin(num='12',name='+Vo',func=pin_types.PWROUT,unit=1),
            Pin(num='3',name='AC(L)',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='+V(CAP)',func=pin_types.PASSIVE,unit=1),
            Pin(num='7',name='-V(CAP)',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'RAC01-xxSGB', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'RAC01-xxSGB'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_RECOM_RAC01-xxSGB_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_RECOM_RAC01-xxSGB_THT', 'keywords':'ac dc power supply', 'description':'', 'datasheet':'https://www.recom-power.com/pdf/Powerline-AC-DC/RAC01-GB.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nRAC01-xxSGB\n\nac dc power supply', 'pins':[
            Pin(num='1',name='AC(L)',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC(N)',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='-Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='+Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'RAC04-xxSGA', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'RAC04-xxSGA'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_RECOM_RAC04-xxSGx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_RECOM_RAC04-xxSGx_THT', 'keywords':'ac dc power supply', 'description':'', 'datasheet':'https://www.recom-power.com/pdf/Powerline-AC-DC/RAC04-GA.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nRAC04-xxSGA\n\nac dc power supply', 'pins':[
            Pin(num='1',name='AC(L)',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC(N)',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='4',name='-Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='5',name='+Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'RAC04-xxSGB', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'RAC04-xxSGB'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_RECOM_RAC04-xxSGx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_RECOM_RAC04-xxSGx_THT', 'keywords':'ac dc power supply', 'description':'', 'datasheet':'https://www.recom-power.com/pdf/Powerline-AC-DC/RAC04-GB.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nRAC04-xxSGB\n\nac dc power supply', 'pins':[
            Pin(num='1',name='AC(L)',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC(N)',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='4',name='-Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='5',name='+Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'RAC05-3.3SK', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'RAC05-3.3SK'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_RECOM_RAC05-xxSK_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_RECOM_RAC05-xxSK_THT', 'keywords':'ac dc power supply', 'description':'', 'datasheet':'https://www.recom-power.com/pdf/Powerline-AC-DC/RAC05-K.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nRAC05-3.3SK\n\nac dc power supply', 'pins':[
            Pin(num='1',name='AC(L)',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC(N)',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='4',name='-Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='5',name='+Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'RAC20-05SK', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'RAC20-05SK'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_Recom_RAC20-xxSK_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_Recom_RAC20-xxSK_THT', 'keywords':'ac dc power supply', 'description':'', 'datasheet':'https://recom-power.com/pdf/Powerline_AC-DC/RAC20-K.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nRAC20-05SK\n\nac dc power supply', 'pins':[
            Pin(num='1',name='AC(N)',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC(L)',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='-Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='5',name='+Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'RAC20-12DK', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'RAC20-12DK'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_Recom_RAC20-xxDK_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_Recom_RAC20-xxDK_THT', 'keywords':'ac dc power supply', 'description':'', 'datasheet':'https://recom-power.com/pdf/Powerline_AC-DC/RAC20-K.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nRAC20-12DK\n\nac dc power supply', 'pins':[
            Pin(num='1',name='AC(N)',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC(L)',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='-Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='Com',func=pin_types.PWROUT,unit=1),
            Pin(num='5',name='+Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TMF05105', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TMF05105'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_TRACO_TMF_051xx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_TRACO_TMF_051xx_THT', 'keywords':'Traco isolated isolation ac-dc AC/DC medical power-supply 5W', 'description':'', 'datasheet':'https://www.tracopower.com/products/tmf05.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nTMF05105\n\nTraco isolated isolation ac-dc AC/DC medical power-supply 5W', 'pins':[
            Pin(num='1',name='AC(L)',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC(N)',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='-Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='+Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TMF10105', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TMF10105'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_TRACO_TMF_101xx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_TRACO_TMF_101xx_THT', 'keywords':'Traco isolated isolation ac-dc AC/DC medical power-supply 10W', 'description':'', 'datasheet':'https://www.tracopower.com/products/tmf10.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nTMF10105\n\nTraco isolated isolation ac-dc AC/DC medical power-supply 10W', 'pins':[
            Pin(num='1',name='AC(N)',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC(L)',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='+Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='-Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TMF20105', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TMF20105'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_TRACO_TMF_201xx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_TRACO_TMF_201xx_THT', 'keywords':'Traco isolated isolation ac-dc AC/DC medical power-supply 18W', 'description':'', 'datasheet':'https://www.tracopower.com/products/tmf20.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nTMF20105\n\nTraco isolated isolation ac-dc AC/DC medical power-supply 18W', 'pins':[
            Pin(num='1',name='AC(N)',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC(L)',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='-Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='+Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TMLM04103', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TMLM04103'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_TRACO_TMLM-04_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_TRACO_TMLM-04_THT', 'keywords':'Traco Power 4W AC-DC module power supply', 'description':'', 'datasheet':'https://www.tracopower.com/products/tmlm.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nTMLM04103\n\nTraco Power 4W AC-DC module power supply', 'pins':[
            Pin(num='2',name='Vout+',func=pin_types.PWROUT,unit=1),
            Pin(num='3',name='Vout-',func=pin_types.PWROUT,unit=1),
            Pin(num='5',name='AC(L)',func=pin_types.PWRIN,unit=1),
            Pin(num='6',name='AC(N)',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TMLM04225', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TMLM04225'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_TRACO_TMLM-04_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_TRACO_TMLM-04_THT', 'keywords':'Traco Power 4W AC-DC module power supply', 'description':'', 'datasheet':'https://www.tracopower.com/products/tmlm.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nTMLM04225\n\nTraco Power 4W AC-DC module power supply', 'pins':[
            Pin(num='2',name='Vout1',func=pin_types.PWROUT,unit=1),
            Pin(num='3',name='Common',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='Vout2',func=pin_types.PWROUT,unit=1),
            Pin(num='5',name='AC(L)',func=pin_types.PWRIN,unit=1),
            Pin(num='6',name='AC(N)',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TMLM05103', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TMLM05103'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_TRACO_TMLM-05_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_TRACO_TMLM-05_THT', 'keywords':'Traco Power 5W AC-DC module power supply', 'description':'', 'datasheet':'https://www.tracopower.com/products/tmlm.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nTMLM05103\n\nTraco Power 5W AC-DC module power supply', 'pins':[
            Pin(num='1',name='Vout-',func=pin_types.PWROUT,unit=1),
            Pin(num='2',name='Vout+',func=pin_types.PWROUT,unit=1),
            Pin(num='3',name='AC',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='AC',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TMLM10103', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TMLM10103'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_TRACO_TMLM-10-20_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_TRACO_TMLM-10-20_THT', 'keywords':'Traco Power 10W AC-DC module power supply', 'description':'', 'datasheet':'https://www.tracopower.com/products/tmlm.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nTMLM10103\n\nTraco Power 10W AC-DC module power supply', 'pins':[
            Pin(num='1',name='Vout-',func=pin_types.PWROUT,unit=1),
            Pin(num='2',name='Vout+',func=pin_types.PWROUT,unit=1),
            Pin(num='3',name='AC',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='AC',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TPP-15-103-D', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TPP-15-103-D'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_TRACO_TPP-15-1xx-D_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_TRACO_TPP-15-1xx-D_THT', 'keywords':'Medical Power Supply Traco', 'description':'', 'datasheet':'https://www.tracopower.com/sites/default/files/products/datasheets/tpp15_d_datasheet.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nTPP-15-103-D\n\nMedical Power Supply Traco', 'pins':[
            Pin(num='1',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='Trim',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='-Vo',func=pin_types.PWROUT,unit=1),
            Pin(num='5',name='+Vo',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'VTX-214-010-103', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'VTX-214-010-103'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT', 'keywords':'3V 10W AC-DC module power supply', 'description':'', 'datasheet':'http://www.vigortronix.com/10WattACDCPCBPowerModule.aspx', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nVTX-214-010-103\n\n3V 10W AC-DC module power supply', 'pins':[
            Pin(num='1',name='L',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='N',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='DC+',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='DC-',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'VTX-214-015-103', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'VTX-214-015-103'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-015-1xx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-015-1xx_THT', 'keywords':'3V 15W AC-DC module power supply', 'description':'', 'datasheet':'http://www.vigortronix.com/15WattSMPSPCBModuleAC-DC', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nVTX-214-015-103\n\n3V 15W AC-DC module power supply', 'pins':[
            Pin(num='1',name='FG',func=pin_types.NOCONNECT,unit=1),
            Pin(num='2',name='N',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='L',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='DC+',func=pin_types.PWROUT,unit=1),
            Pin(num='5',name='DC-',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'HLK-10M03', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'HLK-10M03'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_Hi-Link_HLK-PMxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx'], 'footprint':'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-PMxx', 'keywords':'AC/DC module power supply', 'description':'', 'datasheet':'http://h.hlktech.com/download/ACDC%E7%94%B5%E6%BA%90%E6%A8%A1%E5%9D%9710W%E7%B3%BB%E5%88%97/1/%E6%B5%B7%E5%87%8C%E7%A7%9110W%E7%B3%BB%E5%88%97%E7%94%B5%E6%BA%90%E6%A8%A1%E5%9D%97%E8%A7%84%E6%A0%BC%E4%B9%A6V1.8.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nHLK-10M03\n\nAC/DC module power supply', 'pins':[
            Pin(num='1',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='-Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='+Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'HLK-10M05', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'HLK-10M05'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_Hi-Link_HLK-PMxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx'], 'footprint':'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-PMxx', 'keywords':'AC/DC module power supply', 'description':'', 'datasheet':'http://h.hlktech.com/download/ACDC%E7%94%B5%E6%BA%90%E6%A8%A1%E5%9D%9710W%E7%B3%BB%E5%88%97/1/%E6%B5%B7%E5%87%8C%E7%A7%9110W%E7%B3%BB%E5%88%97%E7%94%B5%E6%BA%90%E6%A8%A1%E5%9D%97%E8%A7%84%E6%A0%BC%E4%B9%A6V1.8.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nHLK-10M05\n\nAC/DC module power supply', 'pins':[
            Pin(num='1',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='-Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='+Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'HLK-10M09', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'HLK-10M09'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_Hi-Link_HLK-PMxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx'], 'footprint':'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-PMxx', 'keywords':'AC/DC module power supply', 'description':'', 'datasheet':'http://h.hlktech.com/download/ACDC%E7%94%B5%E6%BA%90%E6%A8%A1%E5%9D%9710W%E7%B3%BB%E5%88%97/1/%E6%B5%B7%E5%87%8C%E7%A7%9110W%E7%B3%BB%E5%88%97%E7%94%B5%E6%BA%90%E6%A8%A1%E5%9D%97%E8%A7%84%E6%A0%BC%E4%B9%A6V1.8.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nHLK-10M09\n\nAC/DC module power supply', 'pins':[
            Pin(num='1',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='-Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='+Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'HLK-10M12', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'HLK-10M12'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_Hi-Link_HLK-PMxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx'], 'footprint':'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-PMxx', 'keywords':'AC/DC module power supply', 'description':'', 'datasheet':'http://h.hlktech.com/download/ACDC%E7%94%B5%E6%BA%90%E6%A8%A1%E5%9D%9710W%E7%B3%BB%E5%88%97/1/%E6%B5%B7%E5%87%8C%E7%A7%9110W%E7%B3%BB%E5%88%97%E7%94%B5%E6%BA%90%E6%A8%A1%E5%9D%97%E8%A7%84%E6%A0%BC%E4%B9%A6V1.8.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nHLK-10M12\n\nAC/DC module power supply', 'pins':[
            Pin(num='1',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='-Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='+Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'HLK-10M15', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'HLK-10M15'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_Hi-Link_HLK-PMxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx'], 'footprint':'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-PMxx', 'keywords':'AC/DC module power supply', 'description':'', 'datasheet':'http://h.hlktech.com/download/ACDC%E7%94%B5%E6%BA%90%E6%A8%A1%E5%9D%9710W%E7%B3%BB%E5%88%97/1/%E6%B5%B7%E5%87%8C%E7%A7%9110W%E7%B3%BB%E5%88%97%E7%94%B5%E6%BA%90%E6%A8%A1%E5%9D%97%E8%A7%84%E6%A0%BC%E4%B9%A6V1.8.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nHLK-10M15\n\nAC/DC module power supply', 'pins':[
            Pin(num='1',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='-Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='+Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'HLK-10M24', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'HLK-10M24'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_Hi-Link_HLK-PMxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx'], 'footprint':'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-PMxx', 'keywords':'AC/DC module power supply', 'description':'', 'datasheet':'http://h.hlktech.com/download/ACDC%E7%94%B5%E6%BA%90%E6%A8%A1%E5%9D%9710W%E7%B3%BB%E5%88%97/1/%E6%B5%B7%E5%87%8C%E7%A7%9110W%E7%B3%BB%E5%88%97%E7%94%B5%E6%BA%90%E6%A8%A1%E5%9D%97%E8%A7%84%E6%A0%BC%E4%B9%A6V1.8.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nHLK-10M24\n\nAC/DC module power supply', 'pins':[
            Pin(num='1',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='-Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='+Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'HLK-12M03A', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'HLK-12M03A'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_Hi-Link_HLK-12MxxA', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-12MxxA'], 'footprint':'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-12MxxA', 'keywords':'AC/DC module power supply', 'description':'', 'datasheet':'https://h.hlktech.com/download/ACDC%E7%94%B5%E6%BA%90%E6%A8%A1%E5%9D%9712W%E7%B3%BB%E5%88%97/1/12W%E7%B3%BB%E5%88%97%E8%A7%84%E6%A0%BC%E4%B9%A6.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nHLK-12M03A\n\nAC/DC module power supply', 'pins':[
            Pin(num='1',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='+Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='-Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'HLK-12M09A', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'HLK-12M09A'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_Hi-Link_HLK-12MxxA', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-12MxxA', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-12MxxA'], 'footprint':'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-12MxxA', 'keywords':'AC/DC module power supply', 'description':'', 'datasheet':'https://h.hlktech.com/download/ACDC%E7%94%B5%E6%BA%90%E6%A8%A1%E5%9D%9712W%E7%B3%BB%E5%88%97/1/12W%E7%B3%BB%E5%88%97%E8%A7%84%E6%A0%BC%E4%B9%A6.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nHLK-12M09A\n\nAC/DC module power supply', 'pins':[
            Pin(num='1',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='+Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='-Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'HLK-12M12A', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'HLK-12M12A'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_Hi-Link_HLK-12MxxA', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-12MxxA', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-12MxxA', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-12MxxA'], 'footprint':'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-12MxxA', 'keywords':'AC/DC module power supply', 'description':'', 'datasheet':'https://h.hlktech.com/download/ACDC%E7%94%B5%E6%BA%90%E6%A8%A1%E5%9D%9712W%E7%B3%BB%E5%88%97/1/12W%E7%B3%BB%E5%88%97%E8%A7%84%E6%A0%BC%E4%B9%A6.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nHLK-12M12A\n\nAC/DC module power supply', 'pins':[
            Pin(num='1',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='+Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='-Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'HLK-12M15A', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'HLK-12M15A'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_Hi-Link_HLK-12MxxA', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-12MxxA', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-12MxxA', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-12MxxA', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-12MxxA'], 'footprint':'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-12MxxA', 'keywords':'AC/DC module power supply', 'description':'', 'datasheet':'https://h.hlktech.com/download/ACDC%E7%94%B5%E6%BA%90%E6%A8%A1%E5%9D%9712W%E7%B3%BB%E5%88%97/1/12W%E7%B3%BB%E5%88%97%E8%A7%84%E6%A0%BC%E4%B9%A6.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nHLK-12M15A\n\nAC/DC module power supply', 'pins':[
            Pin(num='1',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='+Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='-Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'HLK-12M24A', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'HLK-12M24A'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_Hi-Link_HLK-12MxxA', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-12MxxA', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-12MxxA', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-12MxxA', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-12MxxA', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-12MxxA'], 'footprint':'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-12MxxA', 'keywords':'AC/DC module power supply', 'description':'', 'datasheet':'https://h.hlktech.com/download/ACDC%E7%94%B5%E6%BA%90%E6%A8%A1%E5%9D%9712W%E7%B3%BB%E5%88%97/1/12W%E7%B3%BB%E5%88%97%E8%A7%84%E6%A0%BC%E4%B9%A6.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nHLK-12M24A\n\nAC/DC module power supply', 'pins':[
            Pin(num='1',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='+Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='-Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'HLK-20M05', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'HLK-20M05'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_Hi-Link_HLK-PMxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx'], 'footprint':'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-PMxx', 'keywords':'AC/DC module power supply', 'description':'', 'datasheet':'https://h.hlktech.com/download/ACDC%E7%94%B5%E6%BA%90%E6%A8%A1%E5%9D%9720W%E7%B3%BB%E5%88%97/1/%E6%B5%B7%E5%87%8C%E7%A7%9120W%E7%B3%BB%E5%88%97%E7%94%B5%E6%BA%90%E6%A8%A1%E5%9D%97%E8%A7%84%E6%A0%BC%E4%B9%A6V1.6.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nHLK-20M05\n\nAC/DC module power supply', 'pins':[
            Pin(num='1',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='-Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='+Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'HLK-20M09', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'HLK-20M09'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_Hi-Link_HLK-PMxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx'], 'footprint':'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-PMxx', 'keywords':'AC/DC module power supply', 'description':'', 'datasheet':'https://h.hlktech.com/download/ACDC%E7%94%B5%E6%BA%90%E6%A8%A1%E5%9D%9720W%E7%B3%BB%E5%88%97/1/%E6%B5%B7%E5%87%8C%E7%A7%9120W%E7%B3%BB%E5%88%97%E7%94%B5%E6%BA%90%E6%A8%A1%E5%9D%97%E8%A7%84%E6%A0%BC%E4%B9%A6V1.6.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nHLK-20M09\n\nAC/DC module power supply', 'pins':[
            Pin(num='1',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='-Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='+Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'HLK-20M12', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'HLK-20M12'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_Hi-Link_HLK-PMxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx'], 'footprint':'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-PMxx', 'keywords':'AC/DC module power supply', 'description':'', 'datasheet':'https://h.hlktech.com/download/ACDC%E7%94%B5%E6%BA%90%E6%A8%A1%E5%9D%9720W%E7%B3%BB%E5%88%97/1/%E6%B5%B7%E5%87%8C%E7%A7%9120W%E7%B3%BB%E5%88%97%E7%94%B5%E6%BA%90%E6%A8%A1%E5%9D%97%E8%A7%84%E6%A0%BC%E4%B9%A6V1.6.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nHLK-20M12\n\nAC/DC module power supply', 'pins':[
            Pin(num='1',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='-Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='+Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'HLK-20M15', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'HLK-20M15'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_Hi-Link_HLK-PMxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx'], 'footprint':'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-PMxx', 'keywords':'AC/DC module power supply', 'description':'', 'datasheet':'https://h.hlktech.com/download/ACDC%E7%94%B5%E6%BA%90%E6%A8%A1%E5%9D%9720W%E7%B3%BB%E5%88%97/1/%E6%B5%B7%E5%87%8C%E7%A7%9120W%E7%B3%BB%E5%88%97%E7%94%B5%E6%BA%90%E6%A8%A1%E5%9D%97%E8%A7%84%E6%A0%BC%E4%B9%A6V1.6.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nHLK-20M15\n\nAC/DC module power supply', 'pins':[
            Pin(num='1',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='-Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='+Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'HLK-20M24', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'HLK-20M24'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_Hi-Link_HLK-PMxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx'], 'footprint':'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-PMxx', 'keywords':'AC/DC module power supply', 'description':'', 'datasheet':'https://h.hlktech.com/download/ACDC%E7%94%B5%E6%BA%90%E6%A8%A1%E5%9D%9720W%E7%B3%BB%E5%88%97/1/%E6%B5%B7%E5%87%8C%E7%A7%9120W%E7%B3%BB%E5%88%97%E7%94%B5%E6%BA%90%E6%A8%A1%E5%9D%97%E8%A7%84%E6%A0%BC%E4%B9%A6V1.6.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nHLK-20M24\n\nAC/DC module power supply', 'pins':[
            Pin(num='1',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='-Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='+Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'HLK-2M03', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'HLK-2M03'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_Hi-Link_HLK-PMxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-2Mxx'], 'footprint':'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-PMxx', 'keywords':'AC/DC module power supply', 'description':'', 'datasheet':'https://h.hlktech.com/download/ACDC%E7%94%B5%E6%BA%90%E6%A8%A1%E5%9D%972W%E7%B3%BB%E5%88%97/1/%E6%B5%B7%E5%87%8C%E7%A7%912W%E7%B3%BB%E5%88%97%E7%94%B5%E6%BA%90%E6%A8%A1%E5%9D%97%E8%AF%B4%E6%98%8E%E4%B9%A6V2.6.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nHLK-2M03\n\nAC/DC module power supply', 'pins':[
            Pin(num='1',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='-Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='+Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'HLK-2M05', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'HLK-2M05'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_Hi-Link_HLK-PMxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-2Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-2Mxx'], 'footprint':'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-PMxx', 'keywords':'AC/DC module power supply', 'description':'', 'datasheet':'https://h.hlktech.com/download/ACDC%E7%94%B5%E6%BA%90%E6%A8%A1%E5%9D%972W%E7%B3%BB%E5%88%97/1/%E6%B5%B7%E5%87%8C%E7%A7%912W%E7%B3%BB%E5%88%97%E7%94%B5%E6%BA%90%E6%A8%A1%E5%9D%97%E8%AF%B4%E6%98%8E%E4%B9%A6V2.6.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nHLK-2M05\n\nAC/DC module power supply', 'pins':[
            Pin(num='1',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='-Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='+Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'HLK-2M09', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'HLK-2M09'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_Hi-Link_HLK-PMxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-2Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-2Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-2Mxx'], 'footprint':'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-PMxx', 'keywords':'AC/DC module power supply', 'description':'', 'datasheet':'https://h.hlktech.com/download/ACDC%E7%94%B5%E6%BA%90%E6%A8%A1%E5%9D%972W%E7%B3%BB%E5%88%97/1/%E6%B5%B7%E5%87%8C%E7%A7%912W%E7%B3%BB%E5%88%97%E7%94%B5%E6%BA%90%E6%A8%A1%E5%9D%97%E8%AF%B4%E6%98%8E%E4%B9%A6V2.6.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nHLK-2M09\n\nAC/DC module power supply', 'pins':[
            Pin(num='1',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='-Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='+Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'HLK-2M12', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'HLK-2M12'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_Hi-Link_HLK-PMxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-2Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-2Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-2Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-2Mxx'], 'footprint':'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-PMxx', 'keywords':'AC/DC module power supply', 'description':'', 'datasheet':'https://h.hlktech.com/download/ACDC%E7%94%B5%E6%BA%90%E6%A8%A1%E5%9D%972W%E7%B3%BB%E5%88%97/1/%E6%B5%B7%E5%87%8C%E7%A7%912W%E7%B3%BB%E5%88%97%E7%94%B5%E6%BA%90%E6%A8%A1%E5%9D%97%E8%AF%B4%E6%98%8E%E4%B9%A6V2.6.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nHLK-2M12\n\nAC/DC module power supply', 'pins':[
            Pin(num='1',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='-Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='+Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'HLK-2M15', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'HLK-2M15'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_Hi-Link_HLK-PMxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-2Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-2Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-2Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-2Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-2Mxx'], 'footprint':'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-PMxx', 'keywords':'AC/DC module power supply', 'description':'', 'datasheet':'https://h.hlktech.com/download/ACDC%E7%94%B5%E6%BA%90%E6%A8%A1%E5%9D%972W%E7%B3%BB%E5%88%97/1/%E6%B5%B7%E5%87%8C%E7%A7%912W%E7%B3%BB%E5%88%97%E7%94%B5%E6%BA%90%E6%A8%A1%E5%9D%97%E8%AF%B4%E6%98%8E%E4%B9%A6V2.6.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nHLK-2M15\n\nAC/DC module power supply', 'pins':[
            Pin(num='1',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='-Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='+Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'HLK-2M24', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'HLK-2M24'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_Hi-Link_HLK-PMxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-2Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-2Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-2Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-2Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-2Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-2Mxx'], 'footprint':'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-PMxx', 'keywords':'AC/DC module power supply', 'description':'', 'datasheet':'https://h.hlktech.com/download/ACDC%E7%94%B5%E6%BA%90%E6%A8%A1%E5%9D%972W%E7%B3%BB%E5%88%97/1/%E6%B5%B7%E5%87%8C%E7%A7%912W%E7%B3%BB%E5%88%97%E7%94%B5%E6%BA%90%E6%A8%A1%E5%9D%97%E8%AF%B4%E6%98%8E%E4%B9%A6V2.6.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nHLK-2M24\n\nAC/DC module power supply', 'pins':[
            Pin(num='1',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='-Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='+Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'HLK-30M05C', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'HLK-30M05C'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_Hi-Link_HLK-30Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-30Mxx'], 'footprint':'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-30Mxx', 'keywords':'AC/DC module power supply', 'description':'', 'datasheet':'https://h.hlktech.com/download/ACDC%E7%94%B5%E6%BA%90%E6%A8%A1%E5%9D%9730W%E7%B3%BB%E5%88%97/1/%E6%B5%B7%E5%87%8C%E7%A7%9130WC%E7%B3%BB%E5%88%97%E7%94%B5%E6%BA%90%E6%A8%A1%E5%9D%97%E8%A7%84%E6%A0%BC%E4%B9%A6V1.2.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nHLK-30M05C\n\nAC/DC module power supply', 'pins':[
            Pin(num='1',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='-Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='6',name='+Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'HLK-30M09', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'HLK-30M09'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_Hi-Link_HLK-30Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-30Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-30Mxx'], 'footprint':'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-30Mxx', 'keywords':'AC/DC module power supply', 'description':'', 'datasheet':'https://h.hlktech.com/download/ACDC%E7%94%B5%E6%BA%90%E6%A8%A1%E5%9D%9730W%E7%B3%BB%E5%88%97/1/%E6%B5%B7%E5%87%8C%E7%A7%9130W%E7%B3%BB%E5%88%97%E7%94%B5%E6%BA%90%E6%A8%A1%E5%9D%97%E8%A7%84%E6%A0%BC%E4%B9%A6V1.6.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nHLK-30M09\n\nAC/DC module power supply', 'pins':[
            Pin(num='1',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='-Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='6',name='+Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'HLK-30M09C', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'HLK-30M09C'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_Hi-Link_HLK-30Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-30Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-30Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-30Mxx'], 'footprint':'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-30Mxx', 'keywords':'AC/DC module power supply', 'description':'', 'datasheet':'https://h.hlktech.com/download/ACDC%E7%94%B5%E6%BA%90%E6%A8%A1%E5%9D%9730W%E7%B3%BB%E5%88%97/1/%E6%B5%B7%E5%87%8C%E7%A7%9130WC%E7%B3%BB%E5%88%97%E7%94%B5%E6%BA%90%E6%A8%A1%E5%9D%97%E8%A7%84%E6%A0%BC%E4%B9%A6V1.2.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nHLK-30M09C\n\nAC/DC module power supply', 'pins':[
            Pin(num='1',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='-Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='6',name='+Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'HLK-30M12', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'HLK-30M12'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_Hi-Link_HLK-30Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-30Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-30Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-30Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-30Mxx'], 'footprint':'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-30Mxx', 'keywords':'AC/DC module power supply', 'description':'', 'datasheet':'https://h.hlktech.com/download/ACDC%E7%94%B5%E6%BA%90%E6%A8%A1%E5%9D%9730W%E7%B3%BB%E5%88%97/1/%E6%B5%B7%E5%87%8C%E7%A7%9130W%E7%B3%BB%E5%88%97%E7%94%B5%E6%BA%90%E6%A8%A1%E5%9D%97%E8%A7%84%E6%A0%BC%E4%B9%A6V1.6.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nHLK-30M12\n\nAC/DC module power supply', 'pins':[
            Pin(num='1',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='-Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='6',name='+Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'HLK-30M12C', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'HLK-30M12C'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_Hi-Link_HLK-30Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-30Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-30Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-30Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-30Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-30Mxx'], 'footprint':'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-30Mxx', 'keywords':'AC/DC module power supply', 'description':'', 'datasheet':'https://h.hlktech.com/download/ACDC%E7%94%B5%E6%BA%90%E6%A8%A1%E5%9D%9730W%E7%B3%BB%E5%88%97/1/%E6%B5%B7%E5%87%8C%E7%A7%9130WC%E7%B3%BB%E5%88%97%E7%94%B5%E6%BA%90%E6%A8%A1%E5%9D%97%E8%A7%84%E6%A0%BC%E4%B9%A6V1.2.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nHLK-30M12C\n\nAC/DC module power supply', 'pins':[
            Pin(num='1',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='-Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='6',name='+Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'HLK-30M15', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'HLK-30M15'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_Hi-Link_HLK-30Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-30Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-30Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-30Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-30Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-30Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-30Mxx'], 'footprint':'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-30Mxx', 'keywords':'AC/DC module power supply', 'description':'', 'datasheet':'https://h.hlktech.com/download/ACDC%E7%94%B5%E6%BA%90%E6%A8%A1%E5%9D%9730W%E7%B3%BB%E5%88%97/1/%E6%B5%B7%E5%87%8C%E7%A7%9130W%E7%B3%BB%E5%88%97%E7%94%B5%E6%BA%90%E6%A8%A1%E5%9D%97%E8%A7%84%E6%A0%BC%E4%B9%A6V1.6.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nHLK-30M15\n\nAC/DC module power supply', 'pins':[
            Pin(num='1',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='-Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='6',name='+Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'HLK-30M15C', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'HLK-30M15C'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_Hi-Link_HLK-30Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-30Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-30Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-30Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-30Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-30Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-30Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-30Mxx'], 'footprint':'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-30Mxx', 'keywords':'AC/DC module power supply', 'description':'', 'datasheet':'https://h.hlktech.com/download/ACDC%E7%94%B5%E6%BA%90%E6%A8%A1%E5%9D%9730W%E7%B3%BB%E5%88%97/1/%E6%B5%B7%E5%87%8C%E7%A7%9130WC%E7%B3%BB%E5%88%97%E7%94%B5%E6%BA%90%E6%A8%A1%E5%9D%97%E8%A7%84%E6%A0%BC%E4%B9%A6V1.2.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nHLK-30M15C\n\nAC/DC module power supply', 'pins':[
            Pin(num='1',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='-Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='6',name='+Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'HLK-30M24', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'HLK-30M24'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_Hi-Link_HLK-30Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-30Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-30Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-30Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-30Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-30Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-30Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-30Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-30Mxx'], 'footprint':'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-30Mxx', 'keywords':'AC/DC module power supply', 'description':'', 'datasheet':'https://h.hlktech.com/download/ACDC%E7%94%B5%E6%BA%90%E6%A8%A1%E5%9D%9730W%E7%B3%BB%E5%88%97/1/%E6%B5%B7%E5%87%8C%E7%A7%9130W%E7%B3%BB%E5%88%97%E7%94%B5%E6%BA%90%E6%A8%A1%E5%9D%97%E8%A7%84%E6%A0%BC%E4%B9%A6V1.6.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nHLK-30M24\n\nAC/DC module power supply', 'pins':[
            Pin(num='1',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='-Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='6',name='+Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'HLK-30M24C', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'HLK-30M24C'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_Hi-Link_HLK-30Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-30Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-30Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-30Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-30Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-30Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-30Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-30Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-30Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-30Mxx'], 'footprint':'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-30Mxx', 'keywords':'AC/DC module power supply', 'description':'', 'datasheet':'https://h.hlktech.com/download/ACDC%E7%94%B5%E6%BA%90%E6%A8%A1%E5%9D%9730W%E7%B3%BB%E5%88%97/1/%E6%B5%B7%E5%87%8C%E7%A7%9130WC%E7%B3%BB%E5%88%97%E7%94%B5%E6%BA%90%E6%A8%A1%E5%9D%97%E8%A7%84%E6%A0%BC%E4%B9%A6V1.2.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nHLK-30M24C\n\nAC/DC module power supply', 'pins':[
            Pin(num='1',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='-Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='6',name='+Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'HLK-5M03', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'HLK-5M03'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_Hi-Link_HLK-PMxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-2Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-2Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-2Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-2Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-2Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-2Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-5Mxx'], 'footprint':'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-PMxx', 'keywords':'AC/DC module power supply', 'description':'', 'datasheet':'http://h.hlktech.com/download/ACDC%E7%94%B5%E6%BA%90%E6%A8%A1%E5%9D%975W%E7%B3%BB%E5%88%97/1/%E6%B5%B7%E5%87%8C%E7%A7%915W%E7%B3%BB%E5%88%97%E7%94%B5%E6%BA%90%E6%A8%A1%E5%9D%97%E8%A7%84%E6%A0%BC%E4%B9%A6V2.8.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nHLK-5M03\n\nAC/DC module power supply', 'pins':[
            Pin(num='1',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='-Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='+Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'HLK-5M05', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'HLK-5M05'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_Hi-Link_HLK-PMxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-2Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-2Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-2Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-2Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-2Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-2Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-5Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-5Mxx'], 'footprint':'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-PMxx', 'keywords':'AC/DC module power supply', 'description':'', 'datasheet':'http://h.hlktech.com/download/ACDC%E7%94%B5%E6%BA%90%E6%A8%A1%E5%9D%975W%E7%B3%BB%E5%88%97/1/%E6%B5%B7%E5%87%8C%E7%A7%915W%E7%B3%BB%E5%88%97%E7%94%B5%E6%BA%90%E6%A8%A1%E5%9D%97%E8%A7%84%E6%A0%BC%E4%B9%A6V2.8.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nHLK-5M05\n\nAC/DC module power supply', 'pins':[
            Pin(num='1',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='-Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='+Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'HLK-5M09', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'HLK-5M09'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_Hi-Link_HLK-PMxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-2Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-2Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-2Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-2Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-2Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-2Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-5Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-5Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-5Mxx'], 'footprint':'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-PMxx', 'keywords':'AC/DC module power supply', 'description':'', 'datasheet':'http://h.hlktech.com/download/ACDC%E7%94%B5%E6%BA%90%E6%A8%A1%E5%9D%975W%E7%B3%BB%E5%88%97/1/%E6%B5%B7%E5%87%8C%E7%A7%915W%E7%B3%BB%E5%88%97%E7%94%B5%E6%BA%90%E6%A8%A1%E5%9D%97%E8%A7%84%E6%A0%BC%E4%B9%A6V2.8.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nHLK-5M09\n\nAC/DC module power supply', 'pins':[
            Pin(num='1',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='-Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='+Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'HLK-5M12', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'HLK-5M12'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_Hi-Link_HLK-PMxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-2Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-2Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-2Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-2Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-2Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-2Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-5Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-5Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-5Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-5Mxx'], 'footprint':'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-PMxx', 'keywords':'AC/DC module power supply', 'description':'', 'datasheet':'http://h.hlktech.com/download/ACDC%E7%94%B5%E6%BA%90%E6%A8%A1%E5%9D%975W%E7%B3%BB%E5%88%97/1/%E6%B5%B7%E5%87%8C%E7%A7%915W%E7%B3%BB%E5%88%97%E7%94%B5%E6%BA%90%E6%A8%A1%E5%9D%97%E8%A7%84%E6%A0%BC%E4%B9%A6V2.8.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nHLK-5M12\n\nAC/DC module power supply', 'pins':[
            Pin(num='1',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='-Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='+Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'HLK-5M15', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'HLK-5M15'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_Hi-Link_HLK-PMxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-2Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-2Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-2Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-2Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-2Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-2Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-5Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-5Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-5Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-5Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-5Mxx'], 'footprint':'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-PMxx', 'keywords':'AC/DC module power supply', 'description':'', 'datasheet':'http://h.hlktech.com/download/ACDC%E7%94%B5%E6%BA%90%E6%A8%A1%E5%9D%975W%E7%B3%BB%E5%88%97/1/%E6%B5%B7%E5%87%8C%E7%A7%915W%E7%B3%BB%E5%88%97%E7%94%B5%E6%BA%90%E6%A8%A1%E5%9D%97%E8%A7%84%E6%A0%BC%E4%B9%A6V2.8.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nHLK-5M15\n\nAC/DC module power supply', 'pins':[
            Pin(num='1',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='-Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='+Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'HLK-5M24', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'HLK-5M24'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_Hi-Link_HLK-PMxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-2Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-2Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-2Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-2Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-2Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-2Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-5Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-5Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-5Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-5Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-5Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-5Mxx'], 'footprint':'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-PMxx', 'keywords':'AC/DC module power supply', 'description':'', 'datasheet':'http://h.hlktech.com/download/ACDC%E7%94%B5%E6%BA%90%E6%A8%A1%E5%9D%975W%E7%B3%BB%E5%88%97/1/%E6%B5%B7%E5%87%8C%E7%A7%915W%E7%B3%BB%E5%88%97%E7%94%B5%E6%BA%90%E6%A8%A1%E5%9D%97%E8%A7%84%E6%A0%BC%E4%B9%A6V2.8.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nHLK-5M24\n\nAC/DC module power supply', 'pins':[
            Pin(num='1',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='-Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='+Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'HLK-PM03', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'HLK-PM03'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_Hi-Link_HLK-PMxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-2Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-2Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-2Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-2Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-2Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-2Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-5Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-5Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-5Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-5Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-5Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-5Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-PMxx'], 'footprint':'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-PMxx', 'keywords':'AC/DC module power supply', 'description':'', 'datasheet':'https://h.hlktech.com/download/ACDC%E7%94%B5%E6%BA%90%E6%A8%A1%E5%9D%973W%E7%B3%BB%E5%88%97/1/%E6%B5%B7%E5%87%8C%E7%A7%913W%E7%B3%BB%E5%88%97%E7%94%B5%E6%BA%90%E6%A8%A1%E5%9D%97%E8%A7%84%E6%A0%BC%E4%B9%A6V2.8.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nHLK-PM03\n\nAC/DC module power supply', 'pins':[
            Pin(num='1',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='-Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='+Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'HLK-PM09', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'HLK-PM09'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_Hi-Link_HLK-PMxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-2Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-2Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-2Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-2Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-2Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-2Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-5Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-5Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-5Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-5Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-5Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-5Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-PMxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-PMxx'], 'footprint':'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-PMxx', 'keywords':'AC/DC module power supply', 'description':'', 'datasheet':'https://h.hlktech.com/download/ACDC%E7%94%B5%E6%BA%90%E6%A8%A1%E5%9D%973W%E7%B3%BB%E5%88%97/1/%E6%B5%B7%E5%87%8C%E7%A7%913W%E7%B3%BB%E5%88%97%E7%94%B5%E6%BA%90%E6%A8%A1%E5%9D%97%E8%A7%84%E6%A0%BC%E4%B9%A6V2.8.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nHLK-PM09\n\nAC/DC module power supply', 'pins':[
            Pin(num='1',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='-Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='+Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'HLK-PM12', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'HLK-PM12'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_Hi-Link_HLK-PMxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-2Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-2Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-2Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-2Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-2Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-2Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-5Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-5Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-5Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-5Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-5Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-5Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-PMxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-PMxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-PMxx'], 'footprint':'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-PMxx', 'keywords':'AC/DC module power supply', 'description':'', 'datasheet':'https://h.hlktech.com/download/ACDC%E7%94%B5%E6%BA%90%E6%A8%A1%E5%9D%973W%E7%B3%BB%E5%88%97/1/%E6%B5%B7%E5%87%8C%E7%A7%913W%E7%B3%BB%E5%88%97%E7%94%B5%E6%BA%90%E6%A8%A1%E5%9D%97%E8%A7%84%E6%A0%BC%E4%B9%A6V2.8.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nHLK-PM12\n\nAC/DC module power supply', 'pins':[
            Pin(num='1',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='-Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='+Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'HLK-PM15', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'HLK-PM15'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_Hi-Link_HLK-PMxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-2Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-2Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-2Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-2Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-2Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-2Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-5Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-5Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-5Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-5Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-5Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-5Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-PMxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-PMxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-PMxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-PMxx'], 'footprint':'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-PMxx', 'keywords':'AC/DC module power supply', 'description':'', 'datasheet':'https://h.hlktech.com/download/ACDC%E7%94%B5%E6%BA%90%E6%A8%A1%E5%9D%973W%E7%B3%BB%E5%88%97/1/%E6%B5%B7%E5%87%8C%E7%A7%913W%E7%B3%BB%E5%88%97%E7%94%B5%E6%BA%90%E6%A8%A1%E5%9D%97%E8%A7%84%E6%A0%BC%E4%B9%A6V2.8.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nHLK-PM15\n\nAC/DC module power supply', 'pins':[
            Pin(num='1',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='-Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='+Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'HLK-PM24', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'HLK-PM24'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_Hi-Link_HLK-PMxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-10Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-20Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-2Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-2Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-2Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-2Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-2Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-2Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-5Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-5Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-5Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-5Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-5Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-5Mxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-PMxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-PMxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-PMxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-PMxx', 'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-PMxx'], 'footprint':'Converter_ACDC:Converter_ACDC_Hi-Link_HLK-PMxx', 'keywords':'AC/DC module power supply', 'description':'', 'datasheet':'https://h.hlktech.com/download/ACDC%E7%94%B5%E6%BA%90%E6%A8%A1%E5%9D%973W%E7%B3%BB%E5%88%97/1/%E6%B5%B7%E5%87%8C%E7%A7%913W%E7%B3%BB%E5%88%97%E7%94%B5%E6%BA%90%E6%A8%A1%E5%9D%97%E8%A7%84%E6%A0%BC%E4%B9%A6V2.8.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nHLK-PM24\n\nAC/DC module power supply', 'pins':[
            Pin(num='1',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='-Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='+Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'HS-40005', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'HS-40005'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_Hahn_HS-400xx_THT', 'Converter_ACDC:Converter_ACDC_Hahn_HS-400xx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_Hahn_HS-400xx_THT', 'keywords':'5V 3W AC-DC module power supply', 'description':'', 'datasheet':'http://www.tme.eu/de/Document/996b08915f81126361ce1f9c12d2f8b9/HS40005.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nHS-40005\n\n5V 3W AC-DC module power supply', 'pins':[
            Pin(num='1',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='7',name='+Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='9',name='-Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'HS-40009', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'HS-40009'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_Hahn_HS-400xx_THT', 'Converter_ACDC:Converter_ACDC_Hahn_HS-400xx_THT', 'Converter_ACDC:Converter_ACDC_Hahn_HS-400xx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_Hahn_HS-400xx_THT', 'keywords':'9V 3W AC-DC module power supply', 'description':'', 'datasheet':'http://www.tme.eu/de/Document/cd3ff0c74e0c3bb183174aa10baf8730/HS40009.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nHS-40009\n\n9V 3W AC-DC module power supply', 'pins':[
            Pin(num='1',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='7',name='+Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='9',name='-Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'HS-40012', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'HS-40012'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_Hahn_HS-400xx_THT', 'Converter_ACDC:Converter_ACDC_Hahn_HS-400xx_THT', 'Converter_ACDC:Converter_ACDC_Hahn_HS-400xx_THT', 'Converter_ACDC:Converter_ACDC_Hahn_HS-400xx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_Hahn_HS-400xx_THT', 'keywords':'12V 3W AC-DC module power supply', 'description':'', 'datasheet':'http://www.tme.eu/de/Document/221b247820f4fbb72e0cbc1ee10acb85/HS40012.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nHS-40012\n\n12V 3W AC-DC module power supply', 'pins':[
            Pin(num='1',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='7',name='+Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='9',name='-Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'HS-40015', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'HS-40015'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_Hahn_HS-400xx_THT', 'Converter_ACDC:Converter_ACDC_Hahn_HS-400xx_THT', 'Converter_ACDC:Converter_ACDC_Hahn_HS-400xx_THT', 'Converter_ACDC:Converter_ACDC_Hahn_HS-400xx_THT', 'Converter_ACDC:Converter_ACDC_Hahn_HS-400xx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_Hahn_HS-400xx_THT', 'keywords':'15V 3W AC-DC module power supply', 'description':'', 'datasheet':'https://www.schukat.com/schukat/pdf.nsf/index/956F3869A8D071A1C1257B810041B129/$file/HS-40015-Serie%20Schemazeichnung-A3%20(1).pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nHS-40015\n\n15V 3W AC-DC module power supply', 'pins':[
            Pin(num='1',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='7',name='+Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='9',name='-Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'HS-40018', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'HS-40018'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_Hahn_HS-400xx_THT', 'Converter_ACDC:Converter_ACDC_Hahn_HS-400xx_THT', 'Converter_ACDC:Converter_ACDC_Hahn_HS-400xx_THT', 'Converter_ACDC:Converter_ACDC_Hahn_HS-400xx_THT', 'Converter_ACDC:Converter_ACDC_Hahn_HS-400xx_THT', 'Converter_ACDC:Converter_ACDC_Hahn_HS-400xx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_Hahn_HS-400xx_THT', 'keywords':'18V 3W AC-DC module power supply', 'description':'', 'datasheet':'https://www.schukat.com/schukat/pdf.nsf/index/6A4EEAC16DA84B74C1257B810041DC7B/$file/HS-40018-Serie%20Schemazeichnung-A3%20(1).pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nHS-40018\n\n18V 3W AC-DC module power supply', 'pins':[
            Pin(num='1',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='7',name='+Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='9',name='-Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'HS-40024', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'HS-40024'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_Hahn_HS-400xx_THT', 'Converter_ACDC:Converter_ACDC_Hahn_HS-400xx_THT', 'Converter_ACDC:Converter_ACDC_Hahn_HS-400xx_THT', 'Converter_ACDC:Converter_ACDC_Hahn_HS-400xx_THT', 'Converter_ACDC:Converter_ACDC_Hahn_HS-400xx_THT', 'Converter_ACDC:Converter_ACDC_Hahn_HS-400xx_THT', 'Converter_ACDC:Converter_ACDC_Hahn_HS-400xx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_Hahn_HS-400xx_THT', 'keywords':'24V 3W AC-DC module power supply', 'description':'', 'datasheet':'https://www.schukat.com/schukat/pdf.nsf/index/17647BA7403E2D39C1257B810041F34E/$file/HS-40024-Serie%20Schemazeichnung-A3%20(1).pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nHS-40024\n\n24V 3W AC-DC module power supply', 'pins':[
            Pin(num='1',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='7',name='+Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='9',name='-Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'IRM-02-12', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'IRM-02-12'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_MeanWell_IRM-02-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-02-xx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_MeanWell_IRM-02-xx_THT', 'keywords':'Miniature Module-type Power Supply MeanWell', 'description':'', 'datasheet':'https://www.meanwell.com/Upload/PDF/IRM-02/IRM-02-SPEC.PDF', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nIRM-02-12\n\nMiniature Module-type Power Supply MeanWell', 'pins':[
            Pin(num='1',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='-Vo',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='+Vo',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'IRM-02-12S', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'IRM-02-12S'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_MeanWell_IRM-02-xx_SMD', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-02-xx_SMD'], 'footprint':'Converter_ACDC:Converter_ACDC_MeanWell_IRM-02-xx_SMD', 'keywords':'Miniature Module-type Power Supply MeanWell', 'description':'', 'datasheet':'https://www.meanwell.com/Upload/PDF/IRM-02/IRM-02-SPEC.PDF', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nIRM-02-12S\n\nMiniature Module-type Power Supply MeanWell', 'pins':[
            Pin(num='1',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='12',name='+Vo',func=pin_types.PWROUT,unit=1),
            Pin(num='13',name='-Vo',func=pin_types.PWROUT,unit=1),
            Pin(num='24',name='AC/N',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'IRM-02-15', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'IRM-02-15'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_MeanWell_IRM-02-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-02-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-02-xx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_MeanWell_IRM-02-xx_THT', 'keywords':'Miniature Module-type Power Supply MeanWell', 'description':'', 'datasheet':'https://www.meanwell.com/Upload/PDF/IRM-02/IRM-02-SPEC.PDF', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nIRM-02-15\n\nMiniature Module-type Power Supply MeanWell', 'pins':[
            Pin(num='1',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='-Vo',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='+Vo',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'IRM-02-15S', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'IRM-02-15S'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_MeanWell_IRM-02-xx_SMD', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-02-xx_SMD', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-02-xx_SMD'], 'footprint':'Converter_ACDC:Converter_ACDC_MeanWell_IRM-02-xx_SMD', 'keywords':'Miniature Module-type Power Supply MeanWell', 'description':'', 'datasheet':'https://www.meanwell.com/Upload/PDF/IRM-02/IRM-02-SPEC.PDF', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nIRM-02-15S\n\nMiniature Module-type Power Supply MeanWell', 'pins':[
            Pin(num='1',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='12',name='+Vo',func=pin_types.PWROUT,unit=1),
            Pin(num='13',name='-Vo',func=pin_types.PWROUT,unit=1),
            Pin(num='24',name='AC/N',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'IRM-02-24', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'IRM-02-24'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_MeanWell_IRM-02-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-02-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-02-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-02-xx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_MeanWell_IRM-02-xx_THT', 'keywords':'Miniature Module-type Power Supply MeanWell', 'description':'', 'datasheet':'https://www.meanwell.com/Upload/PDF/IRM-02/IRM-02-SPEC.PDF', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nIRM-02-24\n\nMiniature Module-type Power Supply MeanWell', 'pins':[
            Pin(num='1',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='-Vo',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='+Vo',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'IRM-02-24S', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'IRM-02-24S'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_MeanWell_IRM-02-xx_SMD', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-02-xx_SMD', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-02-xx_SMD', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-02-xx_SMD'], 'footprint':'Converter_ACDC:Converter_ACDC_MeanWell_IRM-02-xx_SMD', 'keywords':'Miniature Module-type Power Supply MeanWell', 'description':'', 'datasheet':'https://www.meanwell.com/Upload/PDF/IRM-02/IRM-02-SPEC.PDF', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nIRM-02-24S\n\nMiniature Module-type Power Supply MeanWell', 'pins':[
            Pin(num='1',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='12',name='+Vo',func=pin_types.PWROUT,unit=1),
            Pin(num='13',name='-Vo',func=pin_types.PWROUT,unit=1),
            Pin(num='24',name='AC/N',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'IRM-02-5', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'IRM-02-5'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_MeanWell_IRM-02-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-02-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-02-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-02-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-02-xx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_MeanWell_IRM-02-xx_THT', 'keywords':'Miniature Module-type Power Supply MeanWell', 'description':'', 'datasheet':'https://www.meanwell.com/Upload/PDF/IRM-02/IRM-02-SPEC.PDF', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nIRM-02-5\n\nMiniature Module-type Power Supply MeanWell', 'pins':[
            Pin(num='1',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='-Vo',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='+Vo',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'IRM-02-5S', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'IRM-02-5S'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_MeanWell_IRM-02-xx_SMD', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-02-xx_SMD', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-02-xx_SMD', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-02-xx_SMD', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-02-xx_SMD'], 'footprint':'Converter_ACDC:Converter_ACDC_MeanWell_IRM-02-xx_SMD', 'keywords':'Miniature Module-type Power Supply MeanWell', 'description':'', 'datasheet':'https://www.meanwell.com/Upload/PDF/IRM-02/IRM-02-SPEC.PDF', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nIRM-02-5S\n\nMiniature Module-type Power Supply MeanWell', 'pins':[
            Pin(num='1',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='12',name='+Vo',func=pin_types.PWROUT,unit=1),
            Pin(num='13',name='-Vo',func=pin_types.PWROUT,unit=1),
            Pin(num='24',name='AC/N',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'IRM-02-9', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'IRM-02-9'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_MeanWell_IRM-02-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-02-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-02-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-02-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-02-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-02-xx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_MeanWell_IRM-02-xx_THT', 'keywords':'Miniature Module-type Power Supply MeanWell', 'description':'', 'datasheet':'https://www.meanwell.com/Upload/PDF/IRM-02/IRM-02-SPEC.PDF', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nIRM-02-9\n\nMiniature Module-type Power Supply MeanWell', 'pins':[
            Pin(num='1',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='-Vo',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='+Vo',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'IRM-02-9S', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'IRM-02-9S'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_MeanWell_IRM-02-xx_SMD', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-02-xx_SMD', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-02-xx_SMD', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-02-xx_SMD', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-02-xx_SMD', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-02-xx_SMD'], 'footprint':'Converter_ACDC:Converter_ACDC_MeanWell_IRM-02-xx_SMD', 'keywords':'Miniature Module-type Power Supply MeanWell', 'description':'', 'datasheet':'https://www.meanwell.com/Upload/PDF/IRM-02/IRM-02-SPEC.PDF', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nIRM-02-9S\n\nMiniature Module-type Power Supply MeanWell', 'pins':[
            Pin(num='1',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='12',name='+Vo',func=pin_types.PWROUT,unit=1),
            Pin(num='13',name='-Vo',func=pin_types.PWROUT,unit=1),
            Pin(num='24',name='AC/N',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'IRM-03-12', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'IRM-03-12'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_MeanWell_IRM-03-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-03-xx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_MeanWell_IRM-03-xx_THT', 'keywords':'Miniature Module-type Power Supply MeanWell', 'description':'', 'datasheet':'https://www.meanwell.com/Upload/PDF/IRM-03/IRM-03-SPEC.PDF', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nIRM-03-12\n\nMiniature Module-type Power Supply MeanWell', 'pins':[
            Pin(num='1',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='14',name='-Vo',func=pin_types.PWROUT,unit=1),
            Pin(num='16',name='+Vo',func=pin_types.PWROUT,unit=1),
            Pin(num='3',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='NC',func=pin_types.NOCONNECT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'IRM-03-12S', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'IRM-03-12S'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_MeanWell_IRM-03-xx_SMD', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-03-xx_SMD'], 'footprint':'Converter_ACDC:Converter_ACDC_MeanWell_IRM-03-xx_SMD', 'keywords':'Miniature Module-type Power Supply MeanWell', 'description':'', 'datasheet':'https://www.meanwell.com/Upload/PDF/IRM-03/IRM-03-SPEC.PDF', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nIRM-03-12S\n\nMiniature Module-type Power Supply MeanWell', 'pins':[
            Pin(num='1',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='14',name='-Vo',func=pin_types.PWROUT,unit=1),
            Pin(num='16',name='+Vo',func=pin_types.PWROUT,unit=1),
            Pin(num='3',name='AC/N',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'IRM-03-15', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'IRM-03-15'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_MeanWell_IRM-03-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-03-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-03-xx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_MeanWell_IRM-03-xx_THT', 'keywords':'Miniature Module-type Power Supply MeanWell', 'description':'', 'datasheet':'https://www.meanwell.com/Upload/PDF/IRM-03/IRM-03-SPEC.PDF', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nIRM-03-15\n\nMiniature Module-type Power Supply MeanWell', 'pins':[
            Pin(num='1',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='14',name='-Vo',func=pin_types.PWROUT,unit=1),
            Pin(num='16',name='+Vo',func=pin_types.PWROUT,unit=1),
            Pin(num='3',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='NC',func=pin_types.NOCONNECT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'IRM-03-15S', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'IRM-03-15S'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_MeanWell_IRM-03-xx_SMD', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-03-xx_SMD', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-03-xx_SMD'], 'footprint':'Converter_ACDC:Converter_ACDC_MeanWell_IRM-03-xx_SMD', 'keywords':'Miniature Module-type Power Supply MeanWell', 'description':'', 'datasheet':'https://www.meanwell.com/Upload/PDF/IRM-03/IRM-03-SPEC.PDF', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nIRM-03-15S\n\nMiniature Module-type Power Supply MeanWell', 'pins':[
            Pin(num='1',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='14',name='-Vo',func=pin_types.PWROUT,unit=1),
            Pin(num='16',name='+Vo',func=pin_types.PWROUT,unit=1),
            Pin(num='3',name='AC/N',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'IRM-03-24', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'IRM-03-24'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_MeanWell_IRM-03-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-03-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-03-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-03-xx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_MeanWell_IRM-03-xx_THT', 'keywords':'Miniature Module-type Power Supply MeanWell', 'description':'', 'datasheet':'https://www.meanwell.com/Upload/PDF/IRM-03/IRM-03-SPEC.PDF', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nIRM-03-24\n\nMiniature Module-type Power Supply MeanWell', 'pins':[
            Pin(num='1',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='14',name='-Vo',func=pin_types.PWROUT,unit=1),
            Pin(num='16',name='+Vo',func=pin_types.PWROUT,unit=1),
            Pin(num='3',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='NC',func=pin_types.NOCONNECT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'IRM-03-24S', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'IRM-03-24S'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_MeanWell_IRM-03-xx_SMD', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-03-xx_SMD', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-03-xx_SMD', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-03-xx_SMD'], 'footprint':'Converter_ACDC:Converter_ACDC_MeanWell_IRM-03-xx_SMD', 'keywords':'Miniature Module-type Power Supply MeanWell', 'description':'', 'datasheet':'https://www.meanwell.com/Upload/PDF/IRM-03/IRM-03-SPEC.PDF', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nIRM-03-24S\n\nMiniature Module-type Power Supply MeanWell', 'pins':[
            Pin(num='1',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='14',name='-Vo',func=pin_types.PWROUT,unit=1),
            Pin(num='16',name='+Vo',func=pin_types.PWROUT,unit=1),
            Pin(num='3',name='AC/N',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'IRM-03-5', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'IRM-03-5'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_MeanWell_IRM-03-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-03-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-03-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-03-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-03-xx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_MeanWell_IRM-03-xx_THT', 'keywords':'Miniature Module-type Power Supply MeanWell', 'description':'', 'datasheet':'https://www.meanwell.com/Upload/PDF/IRM-03/IRM-03-SPEC.PDF', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nIRM-03-5\n\nMiniature Module-type Power Supply MeanWell', 'pins':[
            Pin(num='1',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='14',name='-Vo',func=pin_types.PWROUT,unit=1),
            Pin(num='16',name='+Vo',func=pin_types.PWROUT,unit=1),
            Pin(num='3',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='NC',func=pin_types.NOCONNECT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'IRM-03-5S', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'IRM-03-5S'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_MeanWell_IRM-03-xx_SMD', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-03-xx_SMD', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-03-xx_SMD', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-03-xx_SMD', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-03-xx_SMD'], 'footprint':'Converter_ACDC:Converter_ACDC_MeanWell_IRM-03-xx_SMD', 'keywords':'Miniature Module-type Power Supply MeanWell', 'description':'', 'datasheet':'https://www.meanwell.com/Upload/PDF/IRM-03/IRM-03-SPEC.PDF', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nIRM-03-5S\n\nMiniature Module-type Power Supply MeanWell', 'pins':[
            Pin(num='1',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='14',name='-Vo',func=pin_types.PWROUT,unit=1),
            Pin(num='16',name='+Vo',func=pin_types.PWROUT,unit=1),
            Pin(num='3',name='AC/N',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'IRM-03-9', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'IRM-03-9'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_MeanWell_IRM-03-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-03-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-03-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-03-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-03-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-03-xx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_MeanWell_IRM-03-xx_THT', 'keywords':'Miniature Module-type Power Supply MeanWell', 'description':'', 'datasheet':'https://www.meanwell.com/Upload/PDF/IRM-03/IRM-03-SPEC.PDF', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nIRM-03-9\n\nMiniature Module-type Power Supply MeanWell', 'pins':[
            Pin(num='1',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='14',name='-Vo',func=pin_types.PWROUT,unit=1),
            Pin(num='16',name='+Vo',func=pin_types.PWROUT,unit=1),
            Pin(num='3',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='NC',func=pin_types.NOCONNECT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'IRM-03-9S', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'IRM-03-9S'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_MeanWell_IRM-03-xx_SMD', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-03-xx_SMD', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-03-xx_SMD', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-03-xx_SMD', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-03-xx_SMD', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-03-xx_SMD'], 'footprint':'Converter_ACDC:Converter_ACDC_MeanWell_IRM-03-xx_SMD', 'keywords':'Miniature Module-type Power Supply MeanWell', 'description':'', 'datasheet':'https://www.meanwell.com/Upload/PDF/IRM-03/IRM-03-SPEC.PDF', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nIRM-03-9S\n\nMiniature Module-type Power Supply MeanWell', 'pins':[
            Pin(num='1',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='14',name='-Vo',func=pin_types.PWROUT,unit=1),
            Pin(num='16',name='+Vo',func=pin_types.PWROUT,unit=1),
            Pin(num='3',name='AC/N',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'IRM-05-12', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'IRM-05-12'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_MeanWell_IRM-05-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-05-xx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_MeanWell_IRM-05-xx_THT', 'keywords':'Miniature Module-type Power Supply MeanWell', 'description':'', 'datasheet':'https://www.meanwell.com/Upload/PDF/IRM-05/IRM-05-SPEC.PDF', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nIRM-05-12\n\nMiniature Module-type Power Supply MeanWell', 'pins':[
            Pin(num='1',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='-Vo',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='+Vo',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'IRM-05-15', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'IRM-05-15'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_MeanWell_IRM-05-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-05-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-05-xx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_MeanWell_IRM-05-xx_THT', 'keywords':'Miniature Module-type Power Supply MeanWell', 'description':'', 'datasheet':'https://www.meanwell.com/Upload/PDF/IRM-05/IRM-05-SPEC.PDF', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nIRM-05-15\n\nMiniature Module-type Power Supply MeanWell', 'pins':[
            Pin(num='1',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='-Vo',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='+Vo',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'IRM-05-24', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'IRM-05-24'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_MeanWell_IRM-05-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-05-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-05-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-05-xx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_MeanWell_IRM-05-xx_THT', 'keywords':'Miniature Module-type Power Supply MeanWell', 'description':'', 'datasheet':'https://www.meanwell.com/Upload/PDF/IRM-05/IRM-05-SPEC.PDF', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nIRM-05-24\n\nMiniature Module-type Power Supply MeanWell', 'pins':[
            Pin(num='1',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='-Vo',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='+Vo',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'IRM-05-5', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'IRM-05-5'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_MeanWell_IRM-05-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-05-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-05-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-05-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-05-xx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_MeanWell_IRM-05-xx_THT', 'keywords':'Miniature Module-type Power Supply MeanWell', 'description':'', 'datasheet':'https://www.meanwell.com/Upload/PDF/IRM-05/IRM-05-SPEC.PDF', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nIRM-05-5\n\nMiniature Module-type Power Supply MeanWell', 'pins':[
            Pin(num='1',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='-Vo',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='+Vo',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'IRM-10-12', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'IRM-10-12'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_MeanWell_IRM-10-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-10-xx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_MeanWell_IRM-10-xx_THT', 'keywords':'Miniature Module-type Power Supply MeanWell', 'description':'', 'datasheet':'https://www.meanwell.com/Upload/PDF/IRM-10/IRM-10-SPEC.PDF', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nIRM-10-12\n\nMiniature Module-type Power Supply MeanWell', 'pins':[
            Pin(num='1',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='-Vo',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='+Vo',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'IRM-10-15', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'IRM-10-15'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_MeanWell_IRM-10-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-10-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-10-xx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_MeanWell_IRM-10-xx_THT', 'keywords':'Miniature Module-type Power Supply MeanWell', 'description':'', 'datasheet':'https://www.meanwell.com/Upload/PDF/IRM-10/IRM-10-SPEC.PDF', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nIRM-10-15\n\nMiniature Module-type Power Supply MeanWell', 'pins':[
            Pin(num='1',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='-Vo',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='+Vo',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'IRM-10-24', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'IRM-10-24'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_MeanWell_IRM-10-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-10-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-10-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-10-xx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_MeanWell_IRM-10-xx_THT', 'keywords':'Miniature Module-type Power Supply MeanWell', 'description':'', 'datasheet':'https://www.meanwell.com/Upload/PDF/IRM-10/IRM-10-SPEC.PDF', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nIRM-10-24\n\nMiniature Module-type Power Supply MeanWell', 'pins':[
            Pin(num='1',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='-Vo',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='+Vo',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'IRM-10-5', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'IRM-10-5'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_MeanWell_IRM-10-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-10-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-10-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-10-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-10-xx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_MeanWell_IRM-10-xx_THT', 'keywords':'Miniature Module-type Power Supply MeanWell', 'description':'', 'datasheet':'https://www.meanwell.com/Upload/PDF/IRM-10/IRM-10-SPEC.PDF', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nIRM-10-5\n\nMiniature Module-type Power Supply MeanWell', 'pins':[
            Pin(num='1',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='-Vo',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='+Vo',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'IRM-20-12', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'IRM-20-12'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_MeanWell_IRM-20-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-20-xx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_MeanWell_IRM-20-xx_THT', 'keywords':'Miniature Module-type Power Supply MeanWell', 'description':'', 'datasheet':'http://www.meanwell.com/Upload/PDF/IRM-20/IRM-20-SPEC.PDF', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nIRM-20-12\n\nMiniature Module-type Power Supply MeanWell', 'pins':[
            Pin(num='1',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='-Vo',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='+Vo',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'IRM-20-15', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'IRM-20-15'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_MeanWell_IRM-20-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-20-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-20-xx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_MeanWell_IRM-20-xx_THT', 'keywords':'Miniature Module-type Power Supply MeanWell', 'description':'', 'datasheet':'http://www.meanwell.com/Upload/PDF/IRM-20/IRM-20-SPEC.PDF', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nIRM-20-15\n\nMiniature Module-type Power Supply MeanWell', 'pins':[
            Pin(num='1',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='-Vo',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='+Vo',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'IRM-20-24', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'IRM-20-24'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_MeanWell_IRM-20-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-20-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-20-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-20-xx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_MeanWell_IRM-20-xx_THT', 'keywords':'Miniature Module-type Power Supply MeanWell', 'description':'', 'datasheet':'http://www.meanwell.com/Upload/PDF/IRM-20/IRM-20-SPEC.PDF', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nIRM-20-24\n\nMiniature Module-type Power Supply MeanWell', 'pins':[
            Pin(num='1',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='-Vo',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='+Vo',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'IRM-20-5', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'IRM-20-5'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_MeanWell_IRM-20-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-20-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-20-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-20-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-20-xx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_MeanWell_IRM-20-xx_THT', 'keywords':'Miniature Module-type Power Supply MeanWell', 'description':'', 'datasheet':'http://www.meanwell.com/Upload/PDF/IRM-20/IRM-20-SPEC.PDF', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nIRM-20-5\n\nMiniature Module-type Power Supply MeanWell', 'pins':[
            Pin(num='1',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='-Vo',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='+Vo',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'IRM-60-12', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'IRM-60-12'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_MeanWell_IRM-60-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-60-xx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_MeanWell_IRM-60-xx_THT', 'keywords':'Miniature Module-type Power Supply MeanWell', 'description':'', 'datasheet':'http://www.meanwellusa.com/productPdf.aspx?i=687', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nIRM-60-12\n\nMiniature Module-type Power Supply MeanWell', 'pins':[
            Pin(num='1',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='+Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='-Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'IRM-60-15', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'IRM-60-15'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_MeanWell_IRM-60-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-60-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-60-xx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_MeanWell_IRM-60-xx_THT', 'keywords':'Miniature Module-type Power Supply MeanWell', 'description':'', 'datasheet':'http://www.meanwellusa.com/productPdf.aspx?i=687', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nIRM-60-15\n\nMiniature Module-type Power Supply MeanWell', 'pins':[
            Pin(num='1',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='+Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='-Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'IRM-60-24', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'IRM-60-24'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_MeanWell_IRM-60-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-60-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-60-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-60-xx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_MeanWell_IRM-60-xx_THT', 'keywords':'Miniature Module-type Power Supply MeanWell', 'description':'', 'datasheet':'http://www.meanwellusa.com/productPdf.aspx?i=687', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nIRM-60-24\n\nMiniature Module-type Power Supply MeanWell', 'pins':[
            Pin(num='1',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='+Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='-Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'IRM-60-48', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'IRM-60-48'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_MeanWell_IRM-60-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-60-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-60-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-60-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_IRM-60-xx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_MeanWell_IRM-60-xx_THT', 'keywords':'Miniature Module-type Power Supply MeanWell', 'description':'', 'datasheet':'http://www.meanwellusa.com/productPdf.aspx?i=687', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nIRM-60-48\n\nMiniature Module-type Power Supply MeanWell', 'pins':[
            Pin(num='1',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='+Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='-Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MFM-10-12', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MFM-10-12'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_MeanWell_MFM-10-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_MFM-10-xx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_MeanWell_MFM-10-xx_THT', 'keywords':'Miniature Module-type Power Supply MeanWell', 'description':'', 'datasheet':'https://www.meanwell-web.com/content/files/pdfs/productPdfs/MW/MFM-10/MFM-10-spec.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nMFM-10-12\n\nMiniature Module-type Power Supply MeanWell', 'pins':[
            Pin(num='1',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='-Vo',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='+Vo',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MFM-10-15', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MFM-10-15'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_MeanWell_MFM-10-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_MFM-10-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_MFM-10-xx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_MeanWell_MFM-10-xx_THT', 'keywords':'Miniature Module-type Power Supply MeanWell', 'description':'', 'datasheet':'https://www.meanwell-web.com/content/files/pdfs/productPdfs/MW/MFM-10/MFM-10-spec.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nMFM-10-15\n\nMiniature Module-type Power Supply MeanWell', 'pins':[
            Pin(num='1',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='-Vo',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='+Vo',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MFM-10-24', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MFM-10-24'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_MeanWell_MFM-10-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_MFM-10-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_MFM-10-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_MFM-10-xx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_MeanWell_MFM-10-xx_THT', 'keywords':'Miniature Module-type Power Supply MeanWell', 'description':'', 'datasheet':'https://www.meanwell-web.com/content/files/pdfs/productPdfs/MW/MFM-10/MFM-10-spec.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nMFM-10-24\n\nMiniature Module-type Power Supply MeanWell', 'pins':[
            Pin(num='1',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='-Vo',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='+Vo',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MFM-10-5', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MFM-10-5'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_MeanWell_MFM-10-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_MFM-10-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_MFM-10-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_MFM-10-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_MFM-10-xx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_MeanWell_MFM-10-xx_THT', 'keywords':'Miniature Module-type Power Supply MeanWell', 'description':'', 'datasheet':'https://www.meanwell-web.com/content/files/pdfs/productPdfs/MW/MFM-10/MFM-10-spec.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nMFM-10-5\n\nMiniature Module-type Power Supply MeanWell', 'pins':[
            Pin(num='1',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='-Vo',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='+Vo',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MFM-15-12', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MFM-15-12'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_MeanWell_MFM-15-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_MFM-15-xx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_MeanWell_MFM-15-xx_THT', 'keywords':'Miniature Module-type Power Supply MeanWell', 'description':'', 'datasheet':'https://www.meanwell.com/Upload/PDF/MFM-15/MFM-15-SPEC.PDF', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nMFM-15-12\n\nMiniature Module-type Power Supply MeanWell', 'pins':[
            Pin(num='1',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='-Vo',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='+Vo',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MFM-15-15', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MFM-15-15'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_MeanWell_MFM-15-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_MFM-15-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_MFM-15-xx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_MeanWell_MFM-15-xx_THT', 'keywords':'Miniature Module-type Power Supply MeanWell', 'description':'', 'datasheet':'https://www.meanwell.com/Upload/PDF/MFM-15/MFM-15-SPEC.PDF', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nMFM-15-15\n\nMiniature Module-type Power Supply MeanWell', 'pins':[
            Pin(num='1',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='-Vo',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='+Vo',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MFM-15-24', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MFM-15-24'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_MeanWell_MFM-15-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_MFM-15-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_MFM-15-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_MFM-15-xx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_MeanWell_MFM-15-xx_THT', 'keywords':'Miniature Module-type Power Supply MeanWell', 'description':'', 'datasheet':'https://www.meanwell.com/Upload/PDF/MFM-15/MFM-15-SPEC.PDF', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nMFM-15-24\n\nMiniature Module-type Power Supply MeanWell', 'pins':[
            Pin(num='1',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='-Vo',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='+Vo',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MFM-15-5', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MFM-15-5'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_MeanWell_MFM-15-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_MFM-15-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_MFM-15-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_MFM-15-xx_THT', 'Converter_ACDC:Converter_ACDC_MeanWell_MFM-15-xx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_MeanWell_MFM-15-xx_THT', 'keywords':'Miniature Module-type Power Supply MeanWell', 'description':'', 'datasheet':'https://www.meanwell.com/Upload/PDF/MFM-15/MFM-15-SPEC.PDF', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nMFM-15-5\n\nMiniature Module-type Power Supply MeanWell', 'pins':[
            Pin(num='1',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='-Vo',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='+Vo',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PBO-3-S12', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PBO-3-S12'}), 'ref_prefix':'U', 'fplist':['Converter_ACDC:Converter_ACDC_CUI_PBO-3-Sxx_THT_Vertical', 'Converter_ACDC:Converter_ACDC_CUI_PBO-3-Sxx_THT_Vertical'], 'footprint':'Converter_ACDC:Converter_ACDC_CUI_PBO-3-Sxx_THT_Vertical', 'keywords':'ac dc power supply', 'description':'', 'datasheet':'https://www.cui.com/product/resource/pbo-3.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nPBO-3-S12\n\nac dc power supply', 'pins':[
            Pin(num='1',name='AC(N)',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='-Vo',func=pin_types.PWROUT,unit=1),
            Pin(num='12',name='+Vo',func=pin_types.PWROUT,unit=1),
            Pin(num='3',name='AC(L)',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='+V(CAP)',func=pin_types.PASSIVE,unit=1),
            Pin(num='7',name='-V(CAP)',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PBO-3-S15', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PBO-3-S15'}), 'ref_prefix':'U', 'fplist':['Converter_ACDC:Converter_ACDC_CUI_PBO-3-Sxx_THT_Vertical', 'Converter_ACDC:Converter_ACDC_CUI_PBO-3-Sxx_THT_Vertical', 'Converter_ACDC:Converter_ACDC_CUI_PBO-3-Sxx_THT_Vertical'], 'footprint':'Converter_ACDC:Converter_ACDC_CUI_PBO-3-Sxx_THT_Vertical', 'keywords':'ac dc power supply', 'description':'', 'datasheet':'https://www.cui.com/product/resource/pbo-3.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nPBO-3-S15\n\nac dc power supply', 'pins':[
            Pin(num='1',name='AC(N)',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='-Vo',func=pin_types.PWROUT,unit=1),
            Pin(num='12',name='+Vo',func=pin_types.PWROUT,unit=1),
            Pin(num='3',name='AC(L)',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='+V(CAP)',func=pin_types.PASSIVE,unit=1),
            Pin(num='7',name='-V(CAP)',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PBO-3-S24', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PBO-3-S24'}), 'ref_prefix':'U', 'fplist':['Converter_ACDC:Converter_ACDC_CUI_PBO-3-Sxx_THT_Vertical', 'Converter_ACDC:Converter_ACDC_CUI_PBO-3-Sxx_THT_Vertical', 'Converter_ACDC:Converter_ACDC_CUI_PBO-3-Sxx_THT_Vertical', 'Converter_ACDC:Converter_ACDC_CUI_PBO-3-Sxx_THT_Vertical'], 'footprint':'Converter_ACDC:Converter_ACDC_CUI_PBO-3-Sxx_THT_Vertical', 'keywords':'ac dc power supply', 'description':'', 'datasheet':'https://www.cui.com/product/resource/pbo-3.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nPBO-3-S24\n\nac dc power supply', 'pins':[
            Pin(num='1',name='AC(N)',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='-Vo',func=pin_types.PWROUT,unit=1),
            Pin(num='12',name='+Vo',func=pin_types.PWROUT,unit=1),
            Pin(num='3',name='AC(L)',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='+V(CAP)',func=pin_types.PASSIVE,unit=1),
            Pin(num='7',name='-V(CAP)',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PBO-3-S5', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PBO-3-S5'}), 'ref_prefix':'U', 'fplist':['Converter_ACDC:Converter_ACDC_CUI_PBO-3-Sxx_THT_Vertical', 'Converter_ACDC:Converter_ACDC_CUI_PBO-3-Sxx_THT_Vertical', 'Converter_ACDC:Converter_ACDC_CUI_PBO-3-Sxx_THT_Vertical', 'Converter_ACDC:Converter_ACDC_CUI_PBO-3-Sxx_THT_Vertical', 'Converter_ACDC:Converter_ACDC_CUI_PBO-3-Sxx_THT_Vertical'], 'footprint':'Converter_ACDC:Converter_ACDC_CUI_PBO-3-Sxx_THT_Vertical', 'keywords':'ac dc power supply', 'description':'', 'datasheet':'https://www.cui.com/product/resource/pbo-3.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nPBO-3-S5\n\nac dc power supply', 'pins':[
            Pin(num='1',name='AC(N)',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='-Vo',func=pin_types.PWROUT,unit=1),
            Pin(num='12',name='+Vo',func=pin_types.PWROUT,unit=1),
            Pin(num='3',name='AC(L)',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='+V(CAP)',func=pin_types.PASSIVE,unit=1),
            Pin(num='7',name='-V(CAP)',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PBO-3-S9', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PBO-3-S9'}), 'ref_prefix':'U', 'fplist':['Converter_ACDC:Converter_ACDC_CUI_PBO-3-Sxx_THT_Vertical', 'Converter_ACDC:Converter_ACDC_CUI_PBO-3-Sxx_THT_Vertical', 'Converter_ACDC:Converter_ACDC_CUI_PBO-3-Sxx_THT_Vertical', 'Converter_ACDC:Converter_ACDC_CUI_PBO-3-Sxx_THT_Vertical', 'Converter_ACDC:Converter_ACDC_CUI_PBO-3-Sxx_THT_Vertical', 'Converter_ACDC:Converter_ACDC_CUI_PBO-3-Sxx_THT_Vertical'], 'footprint':'Converter_ACDC:Converter_ACDC_CUI_PBO-3-Sxx_THT_Vertical', 'keywords':'ac dc power supply', 'description':'', 'datasheet':'https://www.cui.com/product/resource/pbo-3.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nPBO-3-S9\n\nac dc power supply', 'pins':[
            Pin(num='1',name='AC(N)',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='-Vo',func=pin_types.PWROUT,unit=1),
            Pin(num='12',name='+Vo',func=pin_types.PWROUT,unit=1),
            Pin(num='3',name='AC(L)',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='+V(CAP)',func=pin_types.PASSIVE,unit=1),
            Pin(num='7',name='-V(CAP)',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'RAC01-05SGB', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'RAC01-05SGB'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_RECOM_RAC01-xxSGB_THT', 'Converter_ACDC:Converter_ACDC_RECOM_RAC01-xxSGB_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_RECOM_RAC01-xxSGB_THT', 'keywords':'ac dc power supply', 'description':'', 'datasheet':'https://www.recom-power.com/pdf/Powerline-AC-DC/RAC01-GB.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nRAC01-05SGB\n\nac dc power supply', 'pins':[
            Pin(num='1',name='AC(L)',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC(N)',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='-Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='+Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'RAC01-12SGB', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'RAC01-12SGB'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_RECOM_RAC01-xxSGB_THT', 'Converter_ACDC:Converter_ACDC_RECOM_RAC01-xxSGB_THT', 'Converter_ACDC:Converter_ACDC_RECOM_RAC01-xxSGB_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_RECOM_RAC01-xxSGB_THT', 'keywords':'ac dc power supply', 'description':'', 'datasheet':'https://www.recom-power.com/pdf/Powerline-AC-DC/RAC01-GB.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nRAC01-12SGB\n\nac dc power supply', 'pins':[
            Pin(num='1',name='AC(L)',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC(N)',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='-Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='+Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'RAC01-24SGB', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'RAC01-24SGB'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_RECOM_RAC01-xxSGB_THT', 'Converter_ACDC:Converter_ACDC_RECOM_RAC01-xxSGB_THT', 'Converter_ACDC:Converter_ACDC_RECOM_RAC01-xxSGB_THT', 'Converter_ACDC:Converter_ACDC_RECOM_RAC01-xxSGB_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_RECOM_RAC01-xxSGB_THT', 'keywords':'ac dc power supply', 'description':'', 'datasheet':'https://www.recom-power.com/pdf/Powerline-AC-DC/RAC01-GB.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nRAC01-24SGB\n\nac dc power supply', 'pins':[
            Pin(num='1',name='AC(L)',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC(N)',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='-Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='+Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'RAC01-3.3SGB', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'RAC01-3.3SGB'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_RECOM_RAC01-xxSGB_THT', 'Converter_ACDC:Converter_ACDC_RECOM_RAC01-xxSGB_THT', 'Converter_ACDC:Converter_ACDC_RECOM_RAC01-xxSGB_THT', 'Converter_ACDC:Converter_ACDC_RECOM_RAC01-xxSGB_THT', 'Converter_ACDC:Converter_ACDC_RECOM_RAC01-xxSGB_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_RECOM_RAC01-xxSGB_THT', 'keywords':'ac dc power supply', 'description':'', 'datasheet':'https://www.recom-power.com/pdf/Powerline-AC-DC/RAC01-GB.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nRAC01-3.3SGB\n\nac dc power supply', 'pins':[
            Pin(num='1',name='AC(L)',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC(N)',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='-Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='+Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'RAC04-05SGA', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'RAC04-05SGA'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_RECOM_RAC04-xxSGx_THT', 'Converter_ACDC:Converter_ACDC_RECOM_RAC04-xxSGx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_RECOM_RAC04-xxSGx_THT', 'keywords':'ac dc power supply', 'description':'', 'datasheet':'https://www.recom-power.com/pdf/Powerline-AC-DC/RAC04-GA.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nRAC04-05SGA\n\nac dc power supply', 'pins':[
            Pin(num='1',name='AC(L)',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC(N)',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='4',name='-Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='5',name='+Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'RAC04-05SGB', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'RAC04-05SGB'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_RECOM_RAC04-xxSGx_THT', 'Converter_ACDC:Converter_ACDC_RECOM_RAC04-xxSGx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_RECOM_RAC04-xxSGx_THT', 'keywords':'ac dc power supply', 'description':'', 'datasheet':'https://www.recom-power.com/pdf/Powerline-AC-DC/RAC04-GB.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nRAC04-05SGB\n\nac dc power supply', 'pins':[
            Pin(num='1',name='AC(L)',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC(N)',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='4',name='-Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='5',name='+Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'RAC04-09SGA', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'RAC04-09SGA'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_RECOM_RAC04-xxSGx_THT', 'Converter_ACDC:Converter_ACDC_RECOM_RAC04-xxSGx_THT', 'Converter_ACDC:Converter_ACDC_RECOM_RAC04-xxSGx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_RECOM_RAC04-xxSGx_THT', 'keywords':'ac dc power supply', 'description':'', 'datasheet':'https://www.recom-power.com/pdf/Powerline-AC-DC/RAC04-GA.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nRAC04-09SGA\n\nac dc power supply', 'pins':[
            Pin(num='1',name='AC(L)',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC(N)',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='4',name='-Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='5',name='+Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'RAC04-09SGB', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'RAC04-09SGB'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_RECOM_RAC04-xxSGx_THT', 'Converter_ACDC:Converter_ACDC_RECOM_RAC04-xxSGx_THT', 'Converter_ACDC:Converter_ACDC_RECOM_RAC04-xxSGx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_RECOM_RAC04-xxSGx_THT', 'keywords':'ac dc power supply', 'description':'', 'datasheet':'https://www.recom-power.com/pdf/Powerline-AC-DC/RAC04-GB.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nRAC04-09SGB\n\nac dc power supply', 'pins':[
            Pin(num='1',name='AC(L)',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC(N)',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='4',name='-Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='5',name='+Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'RAC04-12SGA', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'RAC04-12SGA'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_RECOM_RAC04-xxSGx_THT', 'Converter_ACDC:Converter_ACDC_RECOM_RAC04-xxSGx_THT', 'Converter_ACDC:Converter_ACDC_RECOM_RAC04-xxSGx_THT', 'Converter_ACDC:Converter_ACDC_RECOM_RAC04-xxSGx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_RECOM_RAC04-xxSGx_THT', 'keywords':'ac dc power supply', 'description':'', 'datasheet':'https://www.recom-power.com/pdf/Powerline-AC-DC/RAC04-GA.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nRAC04-12SGA\n\nac dc power supply', 'pins':[
            Pin(num='1',name='AC(L)',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC(N)',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='4',name='-Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='5',name='+Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'RAC04-12SGB', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'RAC04-12SGB'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_RECOM_RAC04-xxSGx_THT', 'Converter_ACDC:Converter_ACDC_RECOM_RAC04-xxSGx_THT', 'Converter_ACDC:Converter_ACDC_RECOM_RAC04-xxSGx_THT', 'Converter_ACDC:Converter_ACDC_RECOM_RAC04-xxSGx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_RECOM_RAC04-xxSGx_THT', 'keywords':'ac dc power supply', 'description':'', 'datasheet':'https://www.recom-power.com/pdf/Powerline-AC-DC/RAC04-GB.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nRAC04-12SGB\n\nac dc power supply', 'pins':[
            Pin(num='1',name='AC(L)',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC(N)',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='4',name='-Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='5',name='+Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'RAC04-15SGA', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'RAC04-15SGA'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_RECOM_RAC04-xxSGx_THT', 'Converter_ACDC:Converter_ACDC_RECOM_RAC04-xxSGx_THT', 'Converter_ACDC:Converter_ACDC_RECOM_RAC04-xxSGx_THT', 'Converter_ACDC:Converter_ACDC_RECOM_RAC04-xxSGx_THT', 'Converter_ACDC:Converter_ACDC_RECOM_RAC04-xxSGx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_RECOM_RAC04-xxSGx_THT', 'keywords':'ac dc power supply', 'description':'', 'datasheet':'https://www.recom-power.com/pdf/Powerline-AC-DC/RAC04-GA.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nRAC04-15SGA\n\nac dc power supply', 'pins':[
            Pin(num='1',name='AC(L)',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC(N)',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='4',name='-Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='5',name='+Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'RAC04-15SGB', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'RAC04-15SGB'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_RECOM_RAC04-xxSGx_THT', 'Converter_ACDC:Converter_ACDC_RECOM_RAC04-xxSGx_THT', 'Converter_ACDC:Converter_ACDC_RECOM_RAC04-xxSGx_THT', 'Converter_ACDC:Converter_ACDC_RECOM_RAC04-xxSGx_THT', 'Converter_ACDC:Converter_ACDC_RECOM_RAC04-xxSGx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_RECOM_RAC04-xxSGx_THT', 'keywords':'ac dc power supply', 'description':'', 'datasheet':'https://www.recom-power.com/pdf/Powerline-AC-DC/RAC04-GB.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nRAC04-15SGB\n\nac dc power supply', 'pins':[
            Pin(num='1',name='AC(L)',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC(N)',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='4',name='-Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='5',name='+Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'RAC04-24SGA', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'RAC04-24SGA'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_RECOM_RAC04-xxSGx_THT', 'Converter_ACDC:Converter_ACDC_RECOM_RAC04-xxSGx_THT', 'Converter_ACDC:Converter_ACDC_RECOM_RAC04-xxSGx_THT', 'Converter_ACDC:Converter_ACDC_RECOM_RAC04-xxSGx_THT', 'Converter_ACDC:Converter_ACDC_RECOM_RAC04-xxSGx_THT', 'Converter_ACDC:Converter_ACDC_RECOM_RAC04-xxSGx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_RECOM_RAC04-xxSGx_THT', 'keywords':'ac dc power supply', 'description':'', 'datasheet':'https://www.recom-power.com/pdf/Powerline-AC-DC/RAC04-GA.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nRAC04-24SGA\n\nac dc power supply', 'pins':[
            Pin(num='1',name='AC(L)',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC(N)',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='4',name='-Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='5',name='+Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'RAC04-24SGB', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'RAC04-24SGB'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_RECOM_RAC04-xxSGx_THT', 'Converter_ACDC:Converter_ACDC_RECOM_RAC04-xxSGx_THT', 'Converter_ACDC:Converter_ACDC_RECOM_RAC04-xxSGx_THT', 'Converter_ACDC:Converter_ACDC_RECOM_RAC04-xxSGx_THT', 'Converter_ACDC:Converter_ACDC_RECOM_RAC04-xxSGx_THT', 'Converter_ACDC:Converter_ACDC_RECOM_RAC04-xxSGx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_RECOM_RAC04-xxSGx_THT', 'keywords':'ac dc power supply', 'description':'', 'datasheet':'https://www.recom-power.com/pdf/Powerline-AC-DC/RAC04-GB.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nRAC04-24SGB\n\nac dc power supply', 'pins':[
            Pin(num='1',name='AC(L)',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC(N)',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='4',name='-Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='5',name='+Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'RAC04-3.3SGA', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'RAC04-3.3SGA'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_RECOM_RAC04-xxSGx_THT', 'Converter_ACDC:Converter_ACDC_RECOM_RAC04-xxSGx_THT', 'Converter_ACDC:Converter_ACDC_RECOM_RAC04-xxSGx_THT', 'Converter_ACDC:Converter_ACDC_RECOM_RAC04-xxSGx_THT', 'Converter_ACDC:Converter_ACDC_RECOM_RAC04-xxSGx_THT', 'Converter_ACDC:Converter_ACDC_RECOM_RAC04-xxSGx_THT', 'Converter_ACDC:Converter_ACDC_RECOM_RAC04-xxSGx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_RECOM_RAC04-xxSGx_THT', 'keywords':'ac dc power supply', 'description':'', 'datasheet':'https://www.recom-power.com/pdf/Powerline-AC-DC/RAC04-GA.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nRAC04-3.3SGA\n\nac dc power supply', 'pins':[
            Pin(num='1',name='AC(L)',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC(N)',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='4',name='-Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='5',name='+Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'RAC04-3.3SGB', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'RAC04-3.3SGB'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_RECOM_RAC04-xxSGx_THT', 'Converter_ACDC:Converter_ACDC_RECOM_RAC04-xxSGx_THT', 'Converter_ACDC:Converter_ACDC_RECOM_RAC04-xxSGx_THT', 'Converter_ACDC:Converter_ACDC_RECOM_RAC04-xxSGx_THT', 'Converter_ACDC:Converter_ACDC_RECOM_RAC04-xxSGx_THT', 'Converter_ACDC:Converter_ACDC_RECOM_RAC04-xxSGx_THT', 'Converter_ACDC:Converter_ACDC_RECOM_RAC04-xxSGx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_RECOM_RAC04-xxSGx_THT', 'keywords':'ac dc power supply', 'description':'', 'datasheet':'https://www.recom-power.com/pdf/Powerline-AC-DC/RAC04-GB.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nRAC04-3.3SGB\n\nac dc power supply', 'pins':[
            Pin(num='1',name='AC(L)',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC(N)',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='4',name='-Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='5',name='+Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'RAC05-05SK', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'RAC05-05SK'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_RECOM_RAC05-xxSK_THT', 'Converter_ACDC:Converter_ACDC_RECOM_RAC05-xxSK_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_RECOM_RAC05-xxSK_THT', 'keywords':'ac dc power supply', 'description':'', 'datasheet':'https://www.recom-power.com/pdf/Powerline-AC-DC/RAC05-K.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nRAC05-05SK\n\nac dc power supply', 'pins':[
            Pin(num='1',name='AC(L)',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC(N)',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='4',name='-Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='5',name='+Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'RAC05-12SK', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'RAC05-12SK'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_RECOM_RAC05-xxSK_THT', 'Converter_ACDC:Converter_ACDC_RECOM_RAC05-xxSK_THT', 'Converter_ACDC:Converter_ACDC_RECOM_RAC05-xxSK_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_RECOM_RAC05-xxSK_THT', 'keywords':'ac dc power supply', 'description':'', 'datasheet':'https://www.recom-power.com/pdf/Powerline-AC-DC/RAC05-K.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nRAC05-12SK\n\nac dc power supply', 'pins':[
            Pin(num='1',name='AC(L)',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC(N)',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='4',name='-Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='5',name='+Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'RAC05-15SK', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'RAC05-15SK'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_RECOM_RAC05-xxSK_THT', 'Converter_ACDC:Converter_ACDC_RECOM_RAC05-xxSK_THT', 'Converter_ACDC:Converter_ACDC_RECOM_RAC05-xxSK_THT', 'Converter_ACDC:Converter_ACDC_RECOM_RAC05-xxSK_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_RECOM_RAC05-xxSK_THT', 'keywords':'ac dc power supply', 'description':'', 'datasheet':'https://www.recom-power.com/pdf/Powerline-AC-DC/RAC05-K.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nRAC05-15SK\n\nac dc power supply', 'pins':[
            Pin(num='1',name='AC(L)',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC(N)',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='4',name='-Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='5',name='+Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'RAC05-24SK', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'RAC05-24SK'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_RECOM_RAC05-xxSK_THT', 'Converter_ACDC:Converter_ACDC_RECOM_RAC05-xxSK_THT', 'Converter_ACDC:Converter_ACDC_RECOM_RAC05-xxSK_THT', 'Converter_ACDC:Converter_ACDC_RECOM_RAC05-xxSK_THT', 'Converter_ACDC:Converter_ACDC_RECOM_RAC05-xxSK_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_RECOM_RAC05-xxSK_THT', 'keywords':'ac dc power supply', 'description':'', 'datasheet':'https://www.recom-power.com/pdf/Powerline-AC-DC/RAC05-K.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nRAC05-24SK\n\nac dc power supply', 'pins':[
            Pin(num='1',name='AC(L)',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC(N)',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='4',name='-Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='5',name='+Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'RAC20-12SK', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'RAC20-12SK'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_Recom_RAC20-xxSK_THT', 'Converter_ACDC:Converter_ACDC_Recom_RAC20-xxSK_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_Recom_RAC20-xxSK_THT', 'keywords':'ac dc power supply', 'description':'', 'datasheet':'https://recom-power.com/pdf/Powerline_AC-DC/RAC20-K.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nRAC20-12SK\n\nac dc power supply', 'pins':[
            Pin(num='1',name='AC(N)',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC(L)',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='-Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='5',name='+Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'RAC20-15DK', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'RAC20-15DK'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_Recom_RAC20-xxDK_THT', 'Converter_ACDC:Converter_ACDC_Recom_RAC20-xxDK_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_Recom_RAC20-xxDK_THT', 'keywords':'ac dc power supply', 'description':'', 'datasheet':'https://recom-power.com/pdf/Powerline_AC-DC/RAC20-K.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nRAC20-15DK\n\nac dc power supply', 'pins':[
            Pin(num='1',name='AC(N)',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC(L)',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='-Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='Com',func=pin_types.PWROUT,unit=1),
            Pin(num='5',name='+Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'RAC20-15SK', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'RAC20-15SK'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_Recom_RAC20-xxSK_THT', 'Converter_ACDC:Converter_ACDC_Recom_RAC20-xxSK_THT', 'Converter_ACDC:Converter_ACDC_Recom_RAC20-xxSK_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_Recom_RAC20-xxSK_THT', 'keywords':'ac dc power supply', 'description':'', 'datasheet':'https://recom-power.com/pdf/Powerline_AC-DC/RAC20-K.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nRAC20-15SK\n\nac dc power supply', 'pins':[
            Pin(num='1',name='AC(N)',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC(L)',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='-Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='5',name='+Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'RAC20-24SK', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'RAC20-24SK'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_Recom_RAC20-xxSK_THT', 'Converter_ACDC:Converter_ACDC_Recom_RAC20-xxSK_THT', 'Converter_ACDC:Converter_ACDC_Recom_RAC20-xxSK_THT', 'Converter_ACDC:Converter_ACDC_Recom_RAC20-xxSK_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_Recom_RAC20-xxSK_THT', 'keywords':'ac dc power supply', 'description':'', 'datasheet':'https://recom-power.com/pdf/Powerline_AC-DC/RAC20-K.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nRAC20-24SK\n\nac dc power supply', 'pins':[
            Pin(num='1',name='AC(N)',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC(L)',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='-Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='5',name='+Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'RAC20-48SK', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'RAC20-48SK'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_Recom_RAC20-xxSK_THT', 'Converter_ACDC:Converter_ACDC_Recom_RAC20-xxSK_THT', 'Converter_ACDC:Converter_ACDC_Recom_RAC20-xxSK_THT', 'Converter_ACDC:Converter_ACDC_Recom_RAC20-xxSK_THT', 'Converter_ACDC:Converter_ACDC_Recom_RAC20-xxSK_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_Recom_RAC20-xxSK_THT', 'keywords':'ac dc power supply', 'description':'', 'datasheet':'https://recom-power.com/pdf/Powerline_AC-DC/RAC20-K.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nRAC20-48SK\n\nac dc power supply', 'pins':[
            Pin(num='1',name='AC(N)',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC(L)',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='-Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='5',name='+Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TMF05112', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TMF05112'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_TRACO_TMF_051xx_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMF_051xx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_TRACO_TMF_051xx_THT', 'keywords':'Traco isolated isolation ac-dc AC/DC medical power-supply 5W', 'description':'', 'datasheet':'https://www.tracopower.com/products/tmf05.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nTMF05112\n\nTraco isolated isolation ac-dc AC/DC medical power-supply 5W', 'pins':[
            Pin(num='1',name='AC(L)',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC(N)',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='-Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='+Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TMF05115', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TMF05115'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_TRACO_TMF_051xx_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMF_051xx_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMF_051xx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_TRACO_TMF_051xx_THT', 'keywords':'Traco isolated isolation ac-dc AC/DC medical power-supply 5W', 'description':'', 'datasheet':'https://www.tracopower.com/products/tmf05.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nTMF05115\n\nTraco isolated isolation ac-dc AC/DC medical power-supply 5W', 'pins':[
            Pin(num='1',name='AC(L)',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC(N)',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='-Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='+Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TMF05124', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TMF05124'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_TRACO_TMF_051xx_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMF_051xx_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMF_051xx_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMF_051xx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_TRACO_TMF_051xx_THT', 'keywords':'Traco isolated isolation ac-dc AC/DC medical power-supply 5W', 'description':'', 'datasheet':'https://www.tracopower.com/products/tmf05.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nTMF05124\n\nTraco isolated isolation ac-dc AC/DC medical power-supply 5W', 'pins':[
            Pin(num='1',name='AC(L)',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC(N)',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='-Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='+Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TMF10112', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TMF10112'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_TRACO_TMF_101xx_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMF_101xx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_TRACO_TMF_101xx_THT', 'keywords':'Traco isolated isolation ac-dc AC/DC medical power-supply 10W', 'description':'', 'datasheet':'https://www.tracopower.com/products/tmf10.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nTMF10112\n\nTraco isolated isolation ac-dc AC/DC medical power-supply 10W', 'pins':[
            Pin(num='1',name='AC(N)',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC(L)',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='+Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='-Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TMF10115', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TMF10115'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_TRACO_TMF_101xx_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMF_101xx_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMF_101xx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_TRACO_TMF_101xx_THT', 'keywords':'Traco isolated isolation ac-dc AC/DC medical power-supply 10W', 'description':'', 'datasheet':'https://www.tracopower.com/products/tmf10.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nTMF10115\n\nTraco isolated isolation ac-dc AC/DC medical power-supply 10W', 'pins':[
            Pin(num='1',name='AC(N)',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC(L)',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='+Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='-Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TMF10124', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TMF10124'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_TRACO_TMF_101xx_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMF_101xx_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMF_101xx_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMF_101xx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_TRACO_TMF_101xx_THT', 'keywords':'Traco isolated isolation ac-dc AC/DC medical power-supply 10W', 'description':'', 'datasheet':'https://www.tracopower.com/products/tmf10.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nTMF10124\n\nTraco isolated isolation ac-dc AC/DC medical power-supply 10W', 'pins':[
            Pin(num='1',name='AC(N)',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC(L)',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='+Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='-Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TMF20112', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TMF20112'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_TRACO_TMF_201xx_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMF_201xx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_TRACO_TMF_201xx_THT', 'keywords':'Traco isolated isolation ac-dc AC/DC medical power-supply 20W', 'description':'', 'datasheet':'https://www.tracopower.com/products/tmf20.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nTMF20112\n\nTraco isolated isolation ac-dc AC/DC medical power-supply 20W', 'pins':[
            Pin(num='1',name='AC(N)',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC(L)',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='-Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='+Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TMF20115', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TMF20115'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_TRACO_TMF_201xx_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMF_201xx_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMF_201xx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_TRACO_TMF_201xx_THT', 'keywords':'Traco isolated isolation ac-dc AC/DC medical power-supply 20W', 'description':'', 'datasheet':'https://www.tracopower.com/products/tmf20.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nTMF20115\n\nTraco isolated isolation ac-dc AC/DC medical power-supply 20W', 'pins':[
            Pin(num='1',name='AC(N)',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC(L)',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='-Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='+Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TMF20124', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TMF20124'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_TRACO_TMF_201xx_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMF_201xx_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMF_201xx_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMF_201xx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_TRACO_TMF_201xx_THT', 'keywords':'Traco isolated isolation ac-dc AC/DC medical power-supply 20W', 'description':'', 'datasheet':'https://www.tracopower.com/products/tmf20.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nTMF20124\n\nTraco isolated isolation ac-dc AC/DC medical power-supply 20W', 'pins':[
            Pin(num='1',name='AC(N)',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC(L)',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='-Vout',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='+Vout',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TMLM04105', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TMLM04105'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_TRACO_TMLM-04_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMLM-04_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_TRACO_TMLM-04_THT', 'keywords':'Traco Power 4W AC-DC module power supply', 'description':'', 'datasheet':'https://www.tracopower.com/products/tmlm.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nTMLM04105\n\nTraco Power 4W AC-DC module power supply', 'pins':[
            Pin(num='2',name='Vout+',func=pin_types.PWROUT,unit=1),
            Pin(num='3',name='Vout-',func=pin_types.PWROUT,unit=1),
            Pin(num='5',name='AC(L)',func=pin_types.PWRIN,unit=1),
            Pin(num='6',name='AC(N)',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TMLM04109', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TMLM04109'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_TRACO_TMLM-04_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMLM-04_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMLM-04_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_TRACO_TMLM-04_THT', 'keywords':'Traco Power 4W AC-DC module power supply', 'description':'', 'datasheet':'https://www.tracopower.com/products/tmlm.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nTMLM04109\n\nTraco Power 4W AC-DC module power supply', 'pins':[
            Pin(num='2',name='Vout+',func=pin_types.PWROUT,unit=1),
            Pin(num='3',name='Vout-',func=pin_types.PWROUT,unit=1),
            Pin(num='5',name='AC(L)',func=pin_types.PWRIN,unit=1),
            Pin(num='6',name='AC(N)',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TMLM04112', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TMLM04112'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_TRACO_TMLM-04_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMLM-04_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMLM-04_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMLM-04_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_TRACO_TMLM-04_THT', 'keywords':'Traco Power 4W AC-DC module power supply', 'description':'', 'datasheet':'https://www.tracopower.com/products/tmlm.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nTMLM04112\n\nTraco Power 4W AC-DC module power supply', 'pins':[
            Pin(num='2',name='Vout+',func=pin_types.PWROUT,unit=1),
            Pin(num='3',name='Vout-',func=pin_types.PWROUT,unit=1),
            Pin(num='5',name='AC(L)',func=pin_types.PWRIN,unit=1),
            Pin(num='6',name='AC(N)',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TMLM04115', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TMLM04115'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_TRACO_TMLM-04_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMLM-04_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMLM-04_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMLM-04_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMLM-04_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_TRACO_TMLM-04_THT', 'keywords':'Traco Power 4W AC-DC module power supply', 'description':'', 'datasheet':'https://www.tracopower.com/products/tmlm.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nTMLM04115\n\nTraco Power 4W AC-DC module power supply', 'pins':[
            Pin(num='2',name='Vout+',func=pin_types.PWROUT,unit=1),
            Pin(num='3',name='Vout-',func=pin_types.PWROUT,unit=1),
            Pin(num='5',name='AC(L)',func=pin_types.PWRIN,unit=1),
            Pin(num='6',name='AC(N)',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TMLM04124', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TMLM04124'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_TRACO_TMLM-04_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMLM-04_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMLM-04_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMLM-04_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMLM-04_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMLM-04_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_TRACO_TMLM-04_THT', 'keywords':'Traco Power 4W AC-DC module power supply', 'description':'', 'datasheet':'https://www.tracopower.com/products/tmlm.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nTMLM04124\n\nTraco Power 4W AC-DC module power supply', 'pins':[
            Pin(num='2',name='Vout+',func=pin_types.PWROUT,unit=1),
            Pin(num='3',name='Vout-',func=pin_types.PWROUT,unit=1),
            Pin(num='5',name='AC(L)',func=pin_types.PWRIN,unit=1),
            Pin(num='6',name='AC(N)',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TMLM04253', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TMLM04253'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_TRACO_TMLM-04_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMLM-04_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_TRACO_TMLM-04_THT', 'keywords':'Traco Power 4W AC-DC module power supply', 'description':'', 'datasheet':'https://www.tracopower.com/products/tmlm.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nTMLM04253\n\nTraco Power 4W AC-DC module power supply', 'pins':[
            Pin(num='2',name='Vout1',func=pin_types.PWROUT,unit=1),
            Pin(num='3',name='Common',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='Vout2',func=pin_types.PWROUT,unit=1),
            Pin(num='5',name='AC(L)',func=pin_types.PWRIN,unit=1),
            Pin(num='6',name='AC(N)',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TMLM05105', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TMLM05105'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_TRACO_TMLM-05_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMLM-05_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_TRACO_TMLM-05_THT', 'keywords':'Traco Power 5W AC-DC module power supply', 'description':'', 'datasheet':'https://www.tracopower.com/products/tmlm.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nTMLM05105\n\nTraco Power 5W AC-DC module power supply', 'pins':[
            Pin(num='1',name='Vout-',func=pin_types.PWROUT,unit=1),
            Pin(num='2',name='Vout+',func=pin_types.PWROUT,unit=1),
            Pin(num='3',name='AC',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='AC',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TMLM05112', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TMLM05112'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_TRACO_TMLM-05_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMLM-05_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMLM-05_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_TRACO_TMLM-05_THT', 'keywords':'Traco Power 5W AC-DC module power supply', 'description':'', 'datasheet':'https://www.tracopower.com/products/tmlm.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nTMLM05112\n\nTraco Power 5W AC-DC module power supply', 'pins':[
            Pin(num='1',name='Vout-',func=pin_types.PWROUT,unit=1),
            Pin(num='2',name='Vout+',func=pin_types.PWROUT,unit=1),
            Pin(num='3',name='AC',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='AC',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TMLM05115', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TMLM05115'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_TRACO_TMLM-05_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMLM-05_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMLM-05_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMLM-05_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_TRACO_TMLM-05_THT', 'keywords':'Traco Power 5W AC-DC module power supply', 'description':'', 'datasheet':'https://www.tracopower.com/products/tmlm.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nTMLM05115\n\nTraco Power 5W AC-DC module power supply', 'pins':[
            Pin(num='1',name='Vout-',func=pin_types.PWROUT,unit=1),
            Pin(num='2',name='Vout+',func=pin_types.PWROUT,unit=1),
            Pin(num='3',name='AC',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='AC',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TMLM05124', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TMLM05124'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_TRACO_TMLM-05_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMLM-05_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMLM-05_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMLM-05_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMLM-05_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_TRACO_TMLM-05_THT', 'keywords':'Traco Power 5W AC-DC module power supply', 'description':'', 'datasheet':'https://www.tracopower.com/products/tmlm.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nTMLM05124\n\nTraco Power 5W AC-DC module power supply', 'pins':[
            Pin(num='1',name='Vout-',func=pin_types.PWROUT,unit=1),
            Pin(num='2',name='Vout+',func=pin_types.PWROUT,unit=1),
            Pin(num='3',name='AC',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='AC',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TMLM10105', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TMLM10105'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_TRACO_TMLM-10-20_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMLM-10-20_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_TRACO_TMLM-10-20_THT', 'keywords':'Traco Power 10W AC-DC module power supply', 'description':'', 'datasheet':'https://www.tracopower.com/products/tmlm.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nTMLM10105\n\nTraco Power 10W AC-DC module power supply', 'pins':[
            Pin(num='1',name='Vout-',func=pin_types.PWROUT,unit=1),
            Pin(num='2',name='Vout+',func=pin_types.PWROUT,unit=1),
            Pin(num='3',name='AC',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='AC',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TMLM10112', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TMLM10112'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_TRACO_TMLM-10-20_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMLM-10-20_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMLM-10-20_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_TRACO_TMLM-10-20_THT', 'keywords':'Traco Power 10W AC-DC module power supply', 'description':'', 'datasheet':'https://www.tracopower.com/products/tmlm.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nTMLM10112\n\nTraco Power 10W AC-DC module power supply', 'pins':[
            Pin(num='1',name='Vout-',func=pin_types.PWROUT,unit=1),
            Pin(num='2',name='Vout+',func=pin_types.PWROUT,unit=1),
            Pin(num='3',name='AC',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='AC',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TMLM10115', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TMLM10115'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_TRACO_TMLM-10-20_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMLM-10-20_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMLM-10-20_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMLM-10-20_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_TRACO_TMLM-10-20_THT', 'keywords':'Traco Power 10W AC-DC module power supply', 'description':'', 'datasheet':'https://www.tracopower.com/products/tmlm.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nTMLM10115\n\nTraco Power 10W AC-DC module power supply', 'pins':[
            Pin(num='1',name='Vout-',func=pin_types.PWROUT,unit=1),
            Pin(num='2',name='Vout+',func=pin_types.PWROUT,unit=1),
            Pin(num='3',name='AC',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='AC',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TMLM10124', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TMLM10124'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_TRACO_TMLM-10-20_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMLM-10-20_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMLM-10-20_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMLM-10-20_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMLM-10-20_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_TRACO_TMLM-10-20_THT', 'keywords':'Traco Power 10W AC-DC module power supply', 'description':'', 'datasheet':'https://www.tracopower.com/products/tmlm.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nTMLM10124\n\nTraco Power 10W AC-DC module power supply', 'pins':[
            Pin(num='1',name='Vout-',func=pin_types.PWROUT,unit=1),
            Pin(num='2',name='Vout+',func=pin_types.PWROUT,unit=1),
            Pin(num='3',name='AC',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='AC',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TMLM20103', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TMLM20103'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_TRACO_TMLM-10-20_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMLM-10-20_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMLM-10-20_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMLM-10-20_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMLM-10-20_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMLM-10-20_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_TRACO_TMLM-10-20_THT', 'keywords':'Traco Power 20W AC-DC module power supply', 'description':'', 'datasheet':'https://www.tracopower.com/products/tmlm.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nTMLM20103\n\nTraco Power 20W AC-DC module power supply', 'pins':[
            Pin(num='1',name='Vout-',func=pin_types.PWROUT,unit=1),
            Pin(num='2',name='Vout+',func=pin_types.PWROUT,unit=1),
            Pin(num='3',name='AC',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='AC',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TMLM20105', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TMLM20105'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_TRACO_TMLM-10-20_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMLM-10-20_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMLM-10-20_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMLM-10-20_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMLM-10-20_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMLM-10-20_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMLM-10-20_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_TRACO_TMLM-10-20_THT', 'keywords':'Traco Power 20W AC-DC module power supply', 'description':'', 'datasheet':'https://www.tracopower.com/products/tmlm.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nTMLM20105\n\nTraco Power 20W AC-DC module power supply', 'pins':[
            Pin(num='1',name='Vout-',func=pin_types.PWROUT,unit=1),
            Pin(num='2',name='Vout+',func=pin_types.PWROUT,unit=1),
            Pin(num='3',name='AC',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='AC',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TMLM20112', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TMLM20112'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_TRACO_TMLM-10-20_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMLM-10-20_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMLM-10-20_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMLM-10-20_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMLM-10-20_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMLM-10-20_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMLM-10-20_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMLM-10-20_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_TRACO_TMLM-10-20_THT', 'keywords':'Traco Power 20W AC-DC module power supply', 'description':'', 'datasheet':'https://www.tracopower.com/products/tmlm.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nTMLM20112\n\nTraco Power 20W AC-DC module power supply', 'pins':[
            Pin(num='1',name='Vout-',func=pin_types.PWROUT,unit=1),
            Pin(num='2',name='Vout+',func=pin_types.PWROUT,unit=1),
            Pin(num='3',name='AC',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='AC',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TMLM20115', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TMLM20115'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_TRACO_TMLM-10-20_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMLM-10-20_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMLM-10-20_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMLM-10-20_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMLM-10-20_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMLM-10-20_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMLM-10-20_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMLM-10-20_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMLM-10-20_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_TRACO_TMLM-10-20_THT', 'keywords':'Traco Power 20W AC-DC module power supply', 'description':'', 'datasheet':'https://www.tracopower.com/products/tmlm.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nTMLM20115\n\nTraco Power 20W AC-DC module power supply', 'pins':[
            Pin(num='1',name='Vout-',func=pin_types.PWROUT,unit=1),
            Pin(num='2',name='Vout+',func=pin_types.PWROUT,unit=1),
            Pin(num='3',name='AC',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='AC',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TMLM20124', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TMLM20124'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_TRACO_TMLM-10-20_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMLM-10-20_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMLM-10-20_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMLM-10-20_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMLM-10-20_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMLM-10-20_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMLM-10-20_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMLM-10-20_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMLM-10-20_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TMLM-10-20_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_TRACO_TMLM-10-20_THT', 'keywords':'Traco Power 20W AC-DC module power supply', 'description':'', 'datasheet':'https://www.tracopower.com/products/tmlm.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nTMLM20124\n\nTraco Power 20W AC-DC module power supply', 'pins':[
            Pin(num='1',name='Vout-',func=pin_types.PWROUT,unit=1),
            Pin(num='2',name='Vout+',func=pin_types.PWROUT,unit=1),
            Pin(num='3',name='AC',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='AC',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TPP-15-105-D', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TPP-15-105-D'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_TRACO_TPP-15-1xx-D_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TPP-15-1xx-D_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_TRACO_TPP-15-1xx-D_THT', 'keywords':'Medical Power Supply Traco', 'description':'', 'datasheet':'https://www.tracopower.com/sites/default/files/products/datasheets/tpp15_d_datasheet.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nTPP-15-105-D\n\nMedical Power Supply Traco', 'pins':[
            Pin(num='1',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='Trim',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='-Vo',func=pin_types.PWROUT,unit=1),
            Pin(num='5',name='+Vo',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TPP-15-109-D', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TPP-15-109-D'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_TRACO_TPP-15-1xx-D_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TPP-15-1xx-D_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TPP-15-1xx-D_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_TRACO_TPP-15-1xx-D_THT', 'keywords':'Medical Power Supply Traco', 'description':'', 'datasheet':'https://www.tracopower.com/sites/default/files/products/datasheets/tpp15_d_datasheet.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nTPP-15-109-D\n\nMedical Power Supply Traco', 'pins':[
            Pin(num='1',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='Trim',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='-Vo',func=pin_types.PWROUT,unit=1),
            Pin(num='5',name='+Vo',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TPP-15-112-D', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TPP-15-112-D'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_TRACO_TPP-15-1xx-D_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TPP-15-1xx-D_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TPP-15-1xx-D_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TPP-15-1xx-D_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_TRACO_TPP-15-1xx-D_THT', 'keywords':'Medical Power Supply Traco', 'description':'', 'datasheet':'https://www.tracopower.com/sites/default/files/products/datasheets/tpp15_d_datasheet.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nTPP-15-112-D\n\nMedical Power Supply Traco', 'pins':[
            Pin(num='1',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='Trim',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='-Vo',func=pin_types.PWROUT,unit=1),
            Pin(num='5',name='+Vo',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TPP-15-115-D', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TPP-15-115-D'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_TRACO_TPP-15-1xx-D_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TPP-15-1xx-D_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TPP-15-1xx-D_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TPP-15-1xx-D_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TPP-15-1xx-D_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_TRACO_TPP-15-1xx-D_THT', 'keywords':'Medical Power Supply Traco', 'description':'', 'datasheet':'https://www.tracopower.com/sites/default/files/products/datasheets/tpp15_d_datasheet.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nTPP-15-115-D\n\nMedical Power Supply Traco', 'pins':[
            Pin(num='1',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='Trim',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='-Vo',func=pin_types.PWROUT,unit=1),
            Pin(num='5',name='+Vo',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TPP-15-124-D', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TPP-15-124-D'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_TRACO_TPP-15-1xx-D_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TPP-15-1xx-D_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TPP-15-1xx-D_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TPP-15-1xx-D_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TPP-15-1xx-D_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TPP-15-1xx-D_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_TRACO_TPP-15-1xx-D_THT', 'keywords':'Medical Power Supply Traco', 'description':'', 'datasheet':'https://www.tracopower.com/sites/default/files/products/datasheets/tpp15_d_datasheet.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nTPP-15-124-D\n\nMedical Power Supply Traco', 'pins':[
            Pin(num='1',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='Trim',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='-Vo',func=pin_types.PWROUT,unit=1),
            Pin(num='5',name='+Vo',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TPP-15-136-D', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TPP-15-136-D'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_TRACO_TPP-15-1xx-D_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TPP-15-1xx-D_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TPP-15-1xx-D_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TPP-15-1xx-D_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TPP-15-1xx-D_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TPP-15-1xx-D_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TPP-15-1xx-D_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_TRACO_TPP-15-1xx-D_THT', 'keywords':'Medical Power Supply Traco', 'description':'', 'datasheet':'https://www.tracopower.com/sites/default/files/products/datasheets/tpp15_d_datasheet.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nTPP-15-136-D\n\nMedical Power Supply Traco', 'pins':[
            Pin(num='1',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='Trim',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='-Vo',func=pin_types.PWROUT,unit=1),
            Pin(num='5',name='+Vo',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TPP-15-148-D', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TPP-15-148-D'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_TRACO_TPP-15-1xx-D_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TPP-15-1xx-D_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TPP-15-1xx-D_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TPP-15-1xx-D_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TPP-15-1xx-D_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TPP-15-1xx-D_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TPP-15-1xx-D_THT', 'Converter_ACDC:Converter_ACDC_TRACO_TPP-15-1xx-D_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_TRACO_TPP-15-1xx-D_THT', 'keywords':'Medical Power Supply Traco', 'description':'', 'datasheet':'https://www.tracopower.com/sites/default/files/products/datasheets/tpp15_d_datasheet.pdf', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nTPP-15-148-D\n\nMedical Power Supply Traco', 'pins':[
            Pin(num='1',name='AC/N',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='AC/L',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='Trim',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='-Vo',func=pin_types.PWROUT,unit=1),
            Pin(num='5',name='+Vo',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'VTX-214-010-105', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'VTX-214-010-105'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT', 'keywords':'5V 10W AC-DC module power supply', 'description':'', 'datasheet':'http://www.vigortronix.com/10WattACDCPCBPowerModule.aspx', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nVTX-214-010-105\n\n5V 10W AC-DC module power supply', 'pins':[
            Pin(num='1',name='L',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='N',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='DC+',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='DC-',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'VTX-214-010-106', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'VTX-214-010-106'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT', 'keywords':'6V 10W AC-DC module power supply', 'description':'', 'datasheet':'http://www.vigortronix.com/10WattACDCPCBPowerModule.aspx', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nVTX-214-010-106\n\n6V 10W AC-DC module power supply', 'pins':[
            Pin(num='1',name='L',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='N',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='DC+',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='DC-',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'VTX-214-010-107', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'VTX-214-010-107'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT', 'keywords':'7.5V 10W AC-DC module power supply', 'description':'', 'datasheet':'http://www.vigortronix.com/10WattACDCPCBPowerModule.aspx', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nVTX-214-010-107\n\n7.5V 10W AC-DC module power supply', 'pins':[
            Pin(num='1',name='L',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='N',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='DC+',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='DC-',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'VTX-214-010-108', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'VTX-214-010-108'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT', 'keywords':'8V 10W AC-DC module power supply', 'description':'', 'datasheet':'http://www.vigortronix.com/10WattACDCPCBPowerModule.aspx', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nVTX-214-010-108\n\n8V 10W AC-DC module power supply', 'pins':[
            Pin(num='1',name='L',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='N',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='DC+',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='DC-',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'VTX-214-010-109', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'VTX-214-010-109'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT', 'keywords':'9V 10W AC-DC module power supply', 'description':'', 'datasheet':'http://www.vigortronix.com/10WattACDCPCBPowerModule.aspx', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nVTX-214-010-109\n\n9V 10W AC-DC module power supply', 'pins':[
            Pin(num='1',name='L',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='N',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='DC+',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='DC-',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'VTX-214-010-110', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'VTX-214-010-110'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT', 'keywords':'10V 10W AC-DC module power supply', 'description':'', 'datasheet':'http://www.vigortronix.com/10WattACDCPCBPowerModule.aspx', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nVTX-214-010-110\n\n10V 10W AC-DC module power supply', 'pins':[
            Pin(num='1',name='L',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='N',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='DC+',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='DC-',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'VTX-214-010-112', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'VTX-214-010-112'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT', 'keywords':'12V 10W AC-DC module power supply', 'description':'', 'datasheet':'http://www.vigortronix.com/10WattACDCPCBPowerModule.aspx', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nVTX-214-010-112\n\n12V 10W AC-DC module power supply', 'pins':[
            Pin(num='1',name='L',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='N',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='DC+',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='DC-',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'VTX-214-010-115', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'VTX-214-010-115'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT', 'keywords':'15V 10W AC-DC module power supply', 'description':'', 'datasheet':'http://www.vigortronix.com/10WattACDCPCBPowerModule.aspx', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nVTX-214-010-115\n\n15V 10W AC-DC module power supply', 'pins':[
            Pin(num='1',name='L',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='N',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='DC+',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='DC-',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'VTX-214-010-118', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'VTX-214-010-118'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT', 'keywords':'18V 10W AC-DC module power supply', 'description':'', 'datasheet':'http://www.vigortronix.com/10WattACDCPCBPowerModule.aspx', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nVTX-214-010-118\n\n18V 10W AC-DC module power supply', 'pins':[
            Pin(num='1',name='L',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='N',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='DC+',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='DC-',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'VTX-214-010-124', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'VTX-214-010-124'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT', 'keywords':'24V 10W AC-DC module power supply', 'description':'', 'datasheet':'http://www.vigortronix.com/10WattACDCPCBPowerModule.aspx', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nVTX-214-010-124\n\n24V 10W AC-DC module power supply', 'pins':[
            Pin(num='1',name='L',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='N',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='DC+',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='DC-',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'VTX-214-010-148', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'VTX-214-010-148'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT', 'keywords':'48V 10W AC-DC module power supply', 'description':'', 'datasheet':'http://www.vigortronix.com/10WattACDCPCBPowerModule.aspx', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nVTX-214-010-148\n\n48V 10W AC-DC module power supply', 'pins':[
            Pin(num='1',name='L',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='N',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='DC+',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='DC-',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'VTX-214-015-105', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'VTX-214-015-105'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-015-1xx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-015-1xx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-015-1xx_THT', 'keywords':'5V 15W AC-DC module power supply', 'description':'', 'datasheet':'http://www.vigortronix.com/15WattSMPSPCBModuleAC-DC', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nVTX-214-015-105\n\n5V 15W AC-DC module power supply', 'pins':[
            Pin(num='1',name='FG',func=pin_types.NOCONNECT,unit=1),
            Pin(num='2',name='N',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='L',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='DC+',func=pin_types.PWROUT,unit=1),
            Pin(num='5',name='DC-',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'VTX-214-015-106', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'VTX-214-015-106'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-015-1xx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-015-1xx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-015-1xx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-015-1xx_THT', 'keywords':'6V 15W AC-DC module power supply', 'description':'', 'datasheet':'http://www.vigortronix.com/15WattSMPSPCBModuleAC-DC', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nVTX-214-015-106\n\n6V 15W AC-DC module power supply', 'pins':[
            Pin(num='1',name='FG',func=pin_types.NOCONNECT,unit=1),
            Pin(num='2',name='N',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='L',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='DC+',func=pin_types.PWROUT,unit=1),
            Pin(num='5',name='DC-',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'VTX-214-015-107', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'VTX-214-015-107'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-015-1xx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-015-1xx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-015-1xx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-015-1xx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-015-1xx_THT', 'keywords':'7V 15W AC-DC module power supply', 'description':'', 'datasheet':'http://www.vigortronix.com/15WattSMPSPCBModuleAC-DC', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nVTX-214-015-107\n\n7V 15W AC-DC module power supply', 'pins':[
            Pin(num='1',name='FG',func=pin_types.NOCONNECT,unit=1),
            Pin(num='2',name='N',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='L',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='DC+',func=pin_types.PWROUT,unit=1),
            Pin(num='5',name='DC-',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'VTX-214-015-109', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'VTX-214-015-109'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-015-1xx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-015-1xx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-015-1xx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-015-1xx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-015-1xx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-015-1xx_THT', 'keywords':'9V 15W AC-DC module power supply', 'description':'', 'datasheet':'http://www.vigortronix.com/15WattSMPSPCBModuleAC-DC', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nVTX-214-015-109\n\n9V 15W AC-DC module power supply', 'pins':[
            Pin(num='1',name='FG',func=pin_types.NOCONNECT,unit=1),
            Pin(num='2',name='N',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='L',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='DC+',func=pin_types.PWROUT,unit=1),
            Pin(num='5',name='DC-',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'VTX-214-015-112', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'VTX-214-015-112'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-015-1xx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-015-1xx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-015-1xx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-015-1xx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-015-1xx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-015-1xx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-015-1xx_THT', 'keywords':'12V 15W AC-DC module power supply', 'description':'', 'datasheet':'http://www.vigortronix.com/15WattSMPSPCBModuleAC-DC', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nVTX-214-015-112\n\n12V 15W AC-DC module power supply', 'pins':[
            Pin(num='1',name='FG',func=pin_types.NOCONNECT,unit=1),
            Pin(num='2',name='N',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='L',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='DC+',func=pin_types.PWROUT,unit=1),
            Pin(num='5',name='DC-',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'VTX-214-015-115', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'VTX-214-015-115'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-015-1xx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-015-1xx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-015-1xx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-015-1xx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-015-1xx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-015-1xx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-015-1xx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-015-1xx_THT', 'keywords':'15V 15W AC-DC module power supply', 'description':'', 'datasheet':'http://www.vigortronix.com/15WattSMPSPCBModuleAC-DC', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nVTX-214-015-115\n\n15V 15W AC-DC module power supply', 'pins':[
            Pin(num='1',name='FG',func=pin_types.NOCONNECT,unit=1),
            Pin(num='2',name='N',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='L',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='DC+',func=pin_types.PWROUT,unit=1),
            Pin(num='5',name='DC-',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'VTX-214-015-118', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'VTX-214-015-118'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-015-1xx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-015-1xx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-015-1xx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-015-1xx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-015-1xx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-015-1xx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-015-1xx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-015-1xx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-015-1xx_THT', 'keywords':'18V 15W AC-DC module power supply', 'description':'', 'datasheet':'http://www.vigortronix.com/15WattSMPSPCBModuleAC-DC', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nVTX-214-015-118\n\n18V 15W AC-DC module power supply', 'pins':[
            Pin(num='1',name='FG',func=pin_types.NOCONNECT,unit=1),
            Pin(num='2',name='N',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='L',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='DC+',func=pin_types.PWROUT,unit=1),
            Pin(num='5',name='DC-',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'VTX-214-015-124', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'VTX-214-015-124'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-015-1xx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-015-1xx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-015-1xx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-015-1xx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-015-1xx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-015-1xx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-015-1xx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-015-1xx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-015-1xx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-015-1xx_THT', 'keywords':'24V 15W AC-DC module power supply', 'description':'', 'datasheet':'http://www.vigortronix.com/15WattSMPSPCBModuleAC-DC', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nVTX-214-015-124\n\n24V 15W AC-DC module power supply', 'pins':[
            Pin(num='1',name='FG',func=pin_types.NOCONNECT,unit=1),
            Pin(num='2',name='N',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='L',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='DC+',func=pin_types.PWROUT,unit=1),
            Pin(num='5',name='DC-',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'VTX-214-015-148', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'VTX-214-015-148'}), 'ref_prefix':'PS', 'fplist':['Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-015-1xx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-015-1xx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-015-1xx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-015-1xx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-015-1xx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-015-1xx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-015-1xx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-015-1xx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-015-1xx_THT', 'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-015-1xx_THT'], 'footprint':'Converter_ACDC:Converter_ACDC_Vigortronix_VTX-214-015-1xx_THT', 'keywords':'48V 15W AC-DC module power supply', 'description':'', 'datasheet':'http://www.vigortronix.com/15WattSMPSPCBModuleAC-DC', 'search_text':'/usr/share/kicad/symbols/Converter_ACDC.kicad_sym\nVTX-214-015-148\n\n48V 15W AC-DC module power supply', 'pins':[
            Pin(num='1',name='FG',func=pin_types.NOCONNECT,unit=1),
            Pin(num='2',name='N',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='L',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='DC+',func=pin_types.PWROUT,unit=1),
            Pin(num='5',name='DC-',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] })])