from collections import defaultdict
from skidl import Pin, Part, Alias, SchLib, SKIDL, TEMPLATE

from skidl.pin import pin_types

SKIDL_lib_version = '0.0.1'

Power_Management = SchLib(tool=SKIDL).add_parts(*[
        Part(**{ 'name':'AAT4610BIGV-1-T1', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AAT4610BIGV-1-T1'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-5'], 'footprint':'Package_TO_SOT_SMD:SOT-23-5', 'keywords':'Limit USB Active High', 'description':'', 'datasheet':'http://www.skyworksinc.com/uploads/documents/201937A.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nAAT4610BIGV-1-T1\n\nLimit USB Active High', 'pins':[
            Pin(num='1',name='OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='SET',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='ON',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='IN',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AAT4610BIGV-T1', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AAT4610BIGV-T1'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-5'], 'footprint':'Package_TO_SOT_SMD:SOT-23-5', 'keywords':'Limit USB Active Low', 'description':'', 'datasheet':'http://www.skyworksinc.com/uploads/documents/201937A.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nAAT4610BIGV-T1\n\nLimit USB Active Low', 'pins':[
            Pin(num='1',name='OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='SET',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='~{ON}',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='IN',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AAT4616IGV-1-T1', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AAT4616IGV-1-T1'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-5'], 'footprint':'Package_TO_SOT_SMD:SOT-23-5', 'keywords':'Limit USB Active High', 'description':'', 'datasheet':'http://www.skyworksinc.com/uploads/documents/AAT4616_201940E.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nAAT4616IGV-1-T1\n\nLimit USB Active High', 'pins':[
            Pin(num='1',name='OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='SET',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='ON',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='IN',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AAT4616IGV-T1', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AAT4616IGV-T1'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-5'], 'footprint':'Package_TO_SOT_SMD:SOT-23-5', 'keywords':'Limit USB Active Low', 'description':'', 'datasheet':'http://www.skyworksinc.com/uploads/documents/AAT4616_201940E.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nAAT4616IGV-T1\n\nLimit USB Active Low', 'pins':[
            Pin(num='1',name='OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='SET',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='~{ON}',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='IN',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'ADM1270ACPZ', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'ADM1270ACPZ'}), 'ref_prefix':'U', 'fplist':['Package_CSP:LFCSP-16-1EP_3x3mm_P0.5mm_EP1.5x1.5mm'], 'footprint':'Package_CSP:LFCSP-16-1EP_3x3mm_P0.5mm_EP1.5x1.5mm', 'keywords':'high-voltage mosfet-driver hot-swap', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/ADM1270.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nADM1270ACPZ\n\nhigh-voltage mosfet-driver hot-swap', 'pins':[
            Pin(num='17',name='EP',func=pin_types.PASSIVE,unit=1),
            Pin(num='7',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='1',name='VCAP',func=pin_types.PWROUT,unit=1),
            Pin(num='10',name='FB_PG',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='FLB',func=pin_types.INPUT,unit=1),
            Pin(num='12',name='PWRGD',func=pin_types.OPENCOLL,unit=1),
            Pin(num='13',name='GATE',func=pin_types.OUTPUT,unit=1),
            Pin(num='14',name='SENSE-',func=pin_types.INPUT,unit=1),
            Pin(num='15',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='16',name='RPFG',func=pin_types.OUTPUT,unit=1),
            Pin(num='2',name='ISET',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='UV',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='OV',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='ENABLE',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='~{FAULT}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='8',name='TIMER',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='TIMER_OFF',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'ADM1270ARQZ', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'ADM1270ARQZ'}), 'ref_prefix':'U', 'fplist':['Package_SO:QSOP-16_3.9x4.9mm_P0.635mm'], 'footprint':'Package_SO:QSOP-16_3.9x4.9mm_P0.635mm', 'keywords':'high-voltage mosfet-driver hot-swap', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/ADM1270.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nADM1270ARQZ\n\nhigh-voltage mosfet-driver hot-swap', 'pins':[
            Pin(num='9',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='1',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='TIMER',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='TIMER_OFF',func=pin_types.INPUT,unit=1),
            Pin(num='12',name='FB_PG',func=pin_types.INPUT,unit=1),
            Pin(num='13',name='FLB',func=pin_types.INPUT,unit=1),
            Pin(num='14',name='PWRGD',func=pin_types.OPENCOLL,unit=1),
            Pin(num='15',name='GATE',func=pin_types.OUTPUT,unit=1),
            Pin(num='16',name='SENSE-',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='RPFG',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='VCAP',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='ISET',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='UV',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='OV',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='ENABLE',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='~{FAULT}',func=pin_types.OPENCOLL,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AP2161W', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AP2161W'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-5'], 'footprint':'Package_TO_SOT_SMD:SOT-23-5', 'keywords':'Limit USB Active Low', 'description':'', 'datasheet':'https://www.diodes.com/assets/Datasheets/AP2161.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nAP2161W\n\nLimit USB Active Low', 'pins':[
            Pin(num='1',name='OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~{FLG}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='4',name='~{EN}',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='IN',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AP2171W', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AP2171W'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-5'], 'footprint':'Package_TO_SOT_SMD:SOT-23-5', 'keywords':'Limit USB Active High', 'description':'', 'datasheet':'https://www.diodes.com/assets/Datasheets/AP2161.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nAP2171W\n\nLimit USB Active High', 'pins':[
            Pin(num='1',name='OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~{FLG}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='4',name='EN',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='IN',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AP22913CN4', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AP22913CN4'}), 'ref_prefix':'U', 'fplist':['Package_CSP:WLCSP-4-X1-WLB0909-4_0.89x0.89mm_P0.5mm'], 'footprint':'Package_CSP:WLCSP-4-X1-WLB0909-4_0.89x0.89mm_P0.5mm', 'keywords':'Lead control switch slew rate', 'description':'', 'datasheet':'https://www.diodes.com/assets/Datasheets/AP22913.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nAP22913CN4\n\nLead control switch slew rate', 'pins':[
            Pin(num='A1',name='OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='A2',name='IN',func=pin_types.PWRIN,unit=1),
            Pin(num='B1',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='B2',name='ON',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AUIPS1041R', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AUIPS1041R'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:TO-252-3_TabPin2'], 'footprint':'Package_TO_SOT_SMD:TO-252-3_TabPin2', 'keywords':'low side switch', 'description':'', 'datasheet':'https://www.infineon.com/dgdl/Infineon-AUIPS1041-DS-v01_00-EN.pdf?fileId=5546d4625a888733015aae14a0524c63', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nAUIPS1041R\n\nlow side switch', 'pins':[
            Pin(num='1',name='IN',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='D',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='S',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AUIPS1042G', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AUIPS1042G'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'dual low side switch', 'description':'', 'datasheet':'https://www.infineon.com/dgdl/Infineon-AUIPS1041-DS-v01_00-EN.pdf?fileId=5546d4625a888733015aae14a0524c63', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nAUIPS1042G\n\ndual low side switch', 'pins':[
            Pin(num='1',name='S1',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='IN1',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='D1',func=pin_types.PASSIVE,unit=1),
            Pin(num='8',name='D1',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='S2',func=pin_types.PWRIN,unit=2),
            Pin(num='4',name='IN2',func=pin_types.INPUT,unit=2),
            Pin(num='5',name='D2',func=pin_types.PASSIVE,unit=2),
            Pin(num='6',name='D2',func=pin_types.PASSIVE,unit=2)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['2', '1', '8', '7']},{'label': 'uB', 'num': 2, 'pin_nums': ['3', '6', '4', '5']}] }),
        Part(**{ 'name':'AUIPS1051L', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AUIPS1051L'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-223-3_TabPin2'], 'footprint':'Package_TO_SOT_SMD:SOT-223-3_TabPin2', 'keywords':'low side switch', 'description':'', 'datasheet':'https://www.infineon.com/dgdl/auips1051.pdf?fileId=5546d462533600a4015355a4710712fc', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nAUIPS1051L\n\nlow side switch', 'pins':[
            Pin(num='1',name='IN',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='D',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='S',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AUIPS6011R', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AUIPS6011R'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:TO-252-4'], 'footprint':'Package_TO_SOT_SMD:TO-252-4', 'keywords':'high side switch', 'description':'', 'datasheet':'https://www.infineon.com/dgdl/auips6011.pdf?fileId=5546d462533600a4015355a787bf1309', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nAUIPS6011R\n\nhigh side switch', 'pins':[
            Pin(num='1',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='IN',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='DG',func=pin_types.OPENCOLL,unit=1),
            Pin(num='5',name='OUT',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AUIPS6041G', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AUIPS6041G'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'high side switch', 'description':'', 'datasheet':'https://www.infineon.com/dgdl/auips6041.pdf?fileId=5546d462533600a4015355a7a0251315', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nAUIPS6041G\n\nhigh side switch', 'pins':[
            Pin(num='1',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='IN',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='DG',func=pin_types.OPENCOLL,unit=1),
            Pin(num='4',name='OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='5',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='6',name='VCC',func=pin_types.PASSIVE,unit=1),
            Pin(num='7',name='VCC',func=pin_types.PASSIVE,unit=1),
            Pin(num='8',name='VCC',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AUIPS6044G', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AUIPS6044G'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'high side switch', 'description':'', 'datasheet':'https://www.infineon.com/dgdl/auips6044g.pdf?fileId=5546d462533600a4015355a7a8e4131a', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nAUIPS6044G\n\nhigh side switch', 'pins':[
            Pin(num='1',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='14',name='VCC',func=pin_types.PASSIVE,unit=1),
            Pin(num='15',name='VCC',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='GND1',func=pin_types.PWRIN,unit=1),
            Pin(num='25',name='OUT1',func=pin_types.PWROUT,unit=1),
            Pin(num='26',name='OUT1',func=pin_types.PASSIVE,unit=1),
            Pin(num='27',name='OUT1',func=pin_types.PASSIVE,unit=1),
            Pin(num='28',name='VCC',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='IN1',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='DG1',func=pin_types.OPENCOLL,unit=1),
            Pin(num='22',name='OUT2',func=pin_types.PWROUT,unit=2),
            Pin(num='23',name='OUT2',func=pin_types.PASSIVE,unit=2),
            Pin(num='24',name='OUT2',func=pin_types.PASSIVE,unit=2),
            Pin(num='5',name='DG2',func=pin_types.OPENCOLL,unit=2),
            Pin(num='6',name='IN2',func=pin_types.INPUT,unit=2),
            Pin(num='7',name='GND2',func=pin_types.PWRIN,unit=2),
            Pin(num='10',name='DG3',func=pin_types.OPENCOLL,unit=3),
            Pin(num='19',name='OUT3',func=pin_types.PWROUT,unit=3),
            Pin(num='20',name='OUT3',func=pin_types.PASSIVE,unit=3),
            Pin(num='21',name='OUT3',func=pin_types.PASSIVE,unit=3),
            Pin(num='8',name='GND3',func=pin_types.PWRIN,unit=3),
            Pin(num='9',name='IN3',func=pin_types.INPUT,unit=3),
            Pin(num='11',name='DG4',func=pin_types.OPENCOLL,unit=4),
            Pin(num='12',name='IN4',func=pin_types.INPUT,unit=4),
            Pin(num='13',name='GND4',func=pin_types.PWRIN,unit=4),
            Pin(num='16',name='OUT4',func=pin_types.PWROUT,unit=4),
            Pin(num='17',name='OUT4',func=pin_types.PASSIVE,unit=4),
            Pin(num='18',name='OUT4',func=pin_types.PASSIVE,unit=4)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['14', '1', '27', '25', '3', '4', '2', '26', '15', '28']},{'label': 'uB', 'num': 2, 'pin_nums': ['5', '7', '22', '6', '23', '24']},{'label': 'uC', 'num': 3, 'pin_nums': ['19', '8', '20', '9', '10', '21']},{'label': 'uD', 'num': 4, 'pin_nums': ['16', '11', '13', '12', '18', '17']}] }),
        Part(**{ 'name':'AUIPS7081S', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AUIPS7081S'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:TO-263-4'], 'footprint':'Package_TO_SOT_SMD:TO-263-4', 'keywords':'high side switch', 'description':'', 'datasheet':'https://www.infineon.com/dgdl/auips7081.pdf?fileId=5546d462533600a4015355a7b8d5131e', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nAUIPS7081S\n\nhigh side switch', 'pins':[
            Pin(num='1',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='IN',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='DG',func=pin_types.OPENCOLL,unit=1),
            Pin(num='5',name='OUT',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AUIPS7111S', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AUIPS7111S'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:TO-263-4'], 'footprint':'Package_TO_SOT_SMD:TO-263-4', 'keywords':'high side switch', 'description':'', 'datasheet':'https://www.infineon.com/dgdl/auips7111s.pdf?fileId=5546d462533600a4015355a7c94e1326', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nAUIPS7111S\n\nhigh side switch', 'pins':[
            Pin(num='1',name='IN',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='IFB',func=pin_types.OUTPUT,unit=1),
            Pin(num='3',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='5',name='OUT',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AUIPS7121R', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AUIPS7121R'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:TO-252-4'], 'footprint':'Package_TO_SOT_SMD:TO-252-4', 'keywords':'high side switch', 'description':'', 'datasheet':'http://www.infineon.com/dgdl/auips7121.pdf?fileId=5546d462533600a4015355a7d1721328', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nAUIPS7121R\n\nhigh side switch', 'pins':[
            Pin(num='1',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='2',name='IN',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='IFB',func=pin_types.OUTPUT,unit=1),
            Pin(num='5',name='OUT',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AUIPS7142G', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AUIPS7142G'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-16W_7.5x10.3mm_P1.27mm'], 'footprint':'Package_SO:SOIC-16W_7.5x10.3mm_P1.27mm', 'keywords':'dual high side switch', 'description':'', 'datasheet':'https://www.infineon.com/dgdl/auips7142g.pdf?fileId=5546d462533600a4015355a7ef451330', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nAUIPS7142G\n\ndual high side switch', 'pins':[
            Pin(num='1',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='13',name='OUT1',func=pin_types.PWROUT,unit=1),
            Pin(num='14',name='OUT1',func=pin_types.PASSIVE,unit=1),
            Pin(num='15',name='OUT1',func=pin_types.PASSIVE,unit=1),
            Pin(num='16',name='VCC',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='VCC',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='IN1',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='IFB1',func=pin_types.OUTPUT,unit=1),
            Pin(num='7',name='VCC',func=pin_types.PASSIVE,unit=1),
            Pin(num='8',name='VCC',func=pin_types.PASSIVE,unit=1),
            Pin(num='9',name='VCC',func=pin_types.PASSIVE,unit=1),
            Pin(num='10',name='OUT2',func=pin_types.PWROUT,unit=2),
            Pin(num='11',name='OUT2',func=pin_types.PASSIVE,unit=2),
            Pin(num='12',name='OUT2',func=pin_types.PASSIVE,unit=2),
            Pin(num='5',name='IN2',func=pin_types.INPUT,unit=2),
            Pin(num='6',name='IFB2',func=pin_types.OUTPUT,unit=2)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['15', '3', '7', '14', '13', '16', '4', '9', '2', '1', '8']},{'label': 'uB', 'num': 2, 'pin_nums': ['10', '6', '5', '12', '11']}] }),
        Part(**{ 'name':'AUIPS71451G', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AUIPS71451G'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'high side switch', 'description':'', 'datasheet':'https://www.infineon.com/dgdl/auips71451g.pdf?fileId=5546d462533600a4015355a7f7461332', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nAUIPS71451G\n\nhigh side switch', 'pins':[
            Pin(num='1',name='IN',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='IFB',func=pin_types.OUTPUT,unit=1),
            Pin(num='3',name='OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='4',name='OUT',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='6',name='VCC',func=pin_types.PASSIVE,unit=1),
            Pin(num='7',name='VCC',func=pin_types.PASSIVE,unit=1),
            Pin(num='8',name='VCC',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AUIPS7221R', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AUIPS7221R'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:TO-252-4'], 'footprint':'Package_TO_SOT_SMD:TO-252-4', 'keywords':'high side switch', 'description':'', 'datasheet':'https://www.infineon.com/dgdl/auips7221r.pdf?fileId=5546d462533600a4015355a80e761338', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nAUIPS7221R\n\nhigh side switch', 'pins':[
            Pin(num='1',name='IN',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='Cb',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='OUT',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AUIR33402S', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AUIR33402S'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:TO-263-7_TabPin4'], 'footprint':'Package_TO_SOT_SMD:TO-263-7_TabPin4', 'keywords':'high side switch', 'description':'', 'datasheet':'https://www.infineon.com/dgdl/auir33402s.pdf?fileId=5546d462533600a4015355a88074135c', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nAUIR33402S\n\nhigh side switch', 'pins':[
            Pin(num='1',name='IFB',func=pin_types.OUTPUT,unit=1),
            Pin(num='2',name='IN',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='Cb',func=pin_types.PASSIVE,unit=1),
            Pin(num='6',name='OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='7',name='OUT',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BD2222G', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BD2222G'}), 'ref_prefix':'U', 'fplist':['Package_SO:TSOP-6_1.65x3.05mm_P0.95mm'], 'footprint':'Package_SO:TSOP-6_1.65x3.05mm_P0.95mm', 'keywords':'USB power-distribution ROHM', 'description':'', 'datasheet':'https://fscdn.rohm.com/en/products/databook/datasheet/ic/power/power_switch/bd2242g-e.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nBD2222G\n\nUSB power-distribution ROHM', 'pins':[
            Pin(num='1',name='IN',func=pin_types.PWRIN),
            Pin(num='2',name='GND',func=pin_types.PWRIN),
            Pin(num='3',name='EN',func=pin_types.INPUT),
            Pin(num='6',name='OUT',func=pin_types.PWROUT),
            Pin(num='4',name='~{OC}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='5',name='ILIM',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BD2243G', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BD2243G'}), 'ref_prefix':'U', 'fplist':['Package_SO:TSOP-6_1.65x3.05mm_P0.95mm'], 'footprint':'Package_SO:TSOP-6_1.65x3.05mm_P0.95mm', 'keywords':'USB power-distribution ROHM', 'description':'', 'datasheet':'https://fscdn.rohm.com/en/products/databook/datasheet/ic/power/power_switch/bd2242g-e.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nBD2243G\n\nUSB power-distribution ROHM', 'pins':[
            Pin(num='1',name='IN',func=pin_types.PWRIN),
            Pin(num='2',name='GND',func=pin_types.PWRIN),
            Pin(num='6',name='OUT',func=pin_types.PWROUT),
            Pin(num='3',name='~{EN}',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='~{OC}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='5',name='ILIM',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BD48ExxG', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BD48ExxG'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-5'], 'footprint':'Package_TO_SOT_SMD:SOT-23-5', 'keywords':'voltage detector open drain SSOP5', 'description':'', 'datasheet':'https://www.rohm.de/datasheet/BD4830FVE/bd48xxg-e', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nBD48ExxG\n\nvoltage detector open drain SSOP5', 'pins':[
            Pin(num='1',name='VOUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='2',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='GND',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BD48KxxG', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BD48KxxG'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23'], 'footprint':'Package_TO_SOT_SMD:SOT-23', 'keywords':'voltage detector open drain SSOP3', 'description':'', 'datasheet':'https://www.rohm.de/datasheet/BD4830FVE/bd48xxg-e', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nBD48KxxG\n\nvoltage detector open drain SSOP3', 'pins':[
            Pin(num='1',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='VOUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='3',name='VDD',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BD48LxxG', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BD48LxxG'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23'], 'footprint':'Package_TO_SOT_SMD:SOT-23', 'keywords':'voltage detector open drain SSOP3', 'description':'', 'datasheet':'https://www.rohm.de/datasheet/BD4830FVE/bd48xxg-e', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nBD48LxxG\n\nvoltage detector open drain SSOP3', 'pins':[
            Pin(num='1',name='VOUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='2',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='GND',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BD48xxFVE', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BD48xxFVE'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:VSOF5'], 'footprint':'Package_TO_SOT_SMD:VSOF5', 'keywords':'voltage detector open drain VSOF5', 'description':'', 'datasheet':'https://www.rohm.de/datasheet/BD4830FVE/bd48xxg-e', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nBD48xxFVE\n\nvoltage detector open drain VSOF5', 'pins':[
            Pin(num='1',name='VOUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='VDD',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BQ24230RGT', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BQ24230RGT'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:VQFN-16-1EP_3x3mm_P0.5mm_EP1.68x1.68mm_ThermalVias'], 'footprint':'Package_DFN_QFN:VQFN-16-1EP_3x3mm_P0.5mm_EP1.68x1.68mm_ThermalVias', 'keywords':'Lithium-ion battery charger', 'description':'', 'datasheet':'http://www.ti.com/cn/lit/ds/symlink/bq24230.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nBQ24230RGT\n\nLithium-ion battery charger', 'pins':[
            Pin(num='1',name='TS',func=pin_types.PASSIVE,unit=1),
            Pin(num='10',name='OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='11',name='OUT',func=pin_types.PASSIVE,unit=1),
            Pin(num='12',name='ILIM',func=pin_types.PASSIVE,unit=1),
            Pin(num='13',name='IN',func=pin_types.PWRIN,unit=1),
            Pin(num='14',name='TMR',func=pin_types.PASSIVE,unit=1),
            Pin(num='15',name='TD',func=pin_types.INPUT,unit=1),
            Pin(num='16',name='ISET',func=pin_types.PASSIVE,unit=1),
            Pin(num='17',name='VSS',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='BAT',func=pin_types.BIDIR,unit=1),
            Pin(num='3',name='BAT',func=pin_types.BIDIR,unit=1),
            Pin(num='4',name='CE',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='EN2',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='EN1',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='PGOOD',func=pin_types.OPENCOLL,unit=1),
            Pin(num='8',name='VSS',func=pin_types.PWRIN,unit=1),
            Pin(num='9',name='CHG',func=pin_types.OPENCOLL,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BTN8982TA', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BTN8982TA'}), 'ref_prefix':'Q', 'fplist':['Package_TO_SOT_SMD:TO-263-7_TabPin8'], 'footprint':'Package_TO_SOT_SMD:TO-263-7_TabPin8', 'keywords':'half bridge for motor drive applications', 'description':'', 'datasheet':'https://www.infineon.com/dgdl/Infineon-BTN8982TA-DS-v01_00-EN.pdf?fileId=db3a30433fa9412f013fbe32289b7c17', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nBTN8982TA\n\nhalf bridge for motor drive applications', 'pins':[
            Pin(num='1',name='~',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='IN',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='INH',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='SR',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='IS',func=pin_types.OUTPUT,unit=1),
            Pin(num='7',name='~',func=pin_types.PWRIN,unit=1),
            Pin(num='8',name='~',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BTS40K2-1EJC', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BTS40K2-1EJC'}), 'ref_prefix':'U', 'fplist':['Package_SO:Infineon_PG-DSO-8-43'], 'footprint':'Package_SO:Infineon_PG-DSO-8-43', 'keywords':'infineon power switch', 'description':'', 'datasheet':'http://www.infineon.com/dgdl/Infineon-BTS40K2-1EJC-DS-v01_00-EN.pdf?fileId=5546d462518ffd85015254ee4e601f99', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nBTS40K2-1EJC\n\ninfineon power switch', 'pins':[
            Pin(num='1',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='IN',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='DEN',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='IS',func=pin_types.OUTPUT,unit=1),
            Pin(num='5',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='6',name='OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='7',name='OUT',func=pin_types.PASSIVE,unit=1),
            Pin(num='8',name='OUT',func=pin_types.PASSIVE,unit=1),
            Pin(num='9',name='VS',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BTS462TATMA1', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BTS462TATMA1'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:TO-252-4'], 'footprint':'Package_TO_SOT_SMD:TO-252-4', 'keywords':'infineon power load switch', 'description':'', 'datasheet':'https://www.infineon.com/dgdl/Infineon-BTS462T-DS-v01_01-EN.pdf?fileId=5546d4625a888733015aa9b0294035f6', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nBTS462TATMA1\n\ninfineon power load switch', 'pins':[
            Pin(num='1',name='GND',func=pin_types.PWRIN),
            Pin(num='2',name='IN',func=pin_types.INPUT),
            Pin(num='3',name='Vbb',func=pin_types.PWRIN),
            Pin(num='4',name='NC',func=pin_types.NOCONNECT),
            Pin(num='5',name='OUT',func=pin_types.PWROUT)], 'unit_defs':[] }),
        Part(**{ 'name':'BTS50010-1TAD', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BTS50010-1TAD'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:TO-263-7_TabPin4'], 'footprint':'Package_TO_SOT_SMD:TO-263-7_TabPin4', 'keywords':'BTS50010 PROFET', 'description':'', 'datasheet':'https://www.infineon.com/dgdl/Infineon-BTS50010-1TAD-DS-v01_00-EN.pdf?fileId=5546d462576f34750157c38810ca55cd', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nBTS50010-1TAD\n\nBTS50010 PROFET', 'pins':[
            Pin(num='1',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='IN',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='IS',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='Vbb',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='OUT',func=pin_types.PASSIVE,unit=1),
            Pin(num='6',name='OUT',func=pin_types.PASSIVE,unit=1),
            Pin(num='7',name='OUT',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BTS50055-1TMA', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BTS50055-1TMA'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:TO-263-7_TabPin4'], 'footprint':'Package_TO_SOT_SMD:TO-263-7_TabPin4', 'keywords':'BTS50055 PROFET', 'description':'', 'datasheet':'http://www.infineon.com/dgdl/Infineon-BTS50055-1TMA-DS-v01_00-EN.pdf?fileId=5546d4625a888733015aa9b00de935ed', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nBTS50055-1TMA\n\nBTS50055 PROFET', 'pins':[
            Pin(num='1',name='OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='2',name='OUT',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='IN',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='Vbb',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='IS',func=pin_types.OUTPUT,unit=1),
            Pin(num='6',name='OUT',func=pin_types.PASSIVE,unit=1),
            Pin(num='7',name='OUT',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BTS50080-1TEA', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BTS50080-1TEA'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:TO-252-4'], 'footprint':'Package_TO_SOT_SMD:TO-252-4', 'keywords':'infineon power switch', 'description':'', 'datasheet':'http://www.infineon.com/dgdl/Infineon-BTS50080-1TEA-DS-v01_00-EN.pdf?fileId=5546d4625a888733015aa435f2d2115b', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nBTS50080-1TEA\n\ninfineon power switch', 'pins':[
            Pin(num='1',name='OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='2',name='IN',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='Vbb',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='IS',func=pin_types.OUTPUT,unit=1),
            Pin(num='5',name='OUT',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BTS7004-1EPP', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BTS7004-1EPP'}), 'ref_prefix':'U', 'fplist':['Package_SO:Infineon_PG-TSDSO-14-22'], 'footprint':'Package_SO:Infineon_PG-TSDSO-14-22', 'keywords':'BTS7004', 'description':'', 'datasheet':'https://www.infineon.com/dgdl/Infineon-BTS7004-1EPP-DS-v01_00-EN.pdf?fileId=5546d4626102d35a016147550a725555', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nBTS7004-1EPP\n\nBTS7004', 'pins':[
            Pin(num='1',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='OUT',func=pin_types.PASSIVE,unit=1),
            Pin(num='11',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='12',name='OUT',func=pin_types.PASSIVE,unit=1),
            Pin(num='13',name='OUT',func=pin_types.PASSIVE,unit=1),
            Pin(num='14',name='OUT',func=pin_types.PASSIVE,unit=1),
            Pin(num='15',name='VS',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='IN',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='DEN',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='IS',func=pin_types.OUTPUT,unit=1),
            Pin(num='5',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='6',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='7',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='8',name='OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='9',name='OUT',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BTS724G', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BTS724G'}), 'ref_prefix':'U', 'fplist':['Package_SO:Infineon_PG-DSO-20-32'], 'footprint':'Package_SO:Infineon_PG-DSO-20-32', 'keywords':'High_Side_Switch Power', 'description':'', 'datasheet':'https://www.infineon.com/dgdl/Infineon-BTS724G-DS-v01_00-EN.pdf?fileId=5546d4625a888733015aa3a2f1030ff1', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nBTS724G\n\nHigh_Side_Switch Power', 'pins':[
            Pin(num='1',name='VBB',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='VBB',func=pin_types.PASSIVE,unit=1),
            Pin(num='11',name='VBB',func=pin_types.PASSIVE,unit=1),
            Pin(num='12',name='VBB',func=pin_types.PASSIVE,unit=1),
            Pin(num='13',name='OUT4',func=pin_types.OPENEMIT,unit=1),
            Pin(num='14',name='OUT3',func=pin_types.OPENEMIT,unit=1),
            Pin(num='15',name='VBB',func=pin_types.PASSIVE,unit=1),
            Pin(num='16',name='VBB',func=pin_types.PASSIVE,unit=1),
            Pin(num='17',name='OUT2',func=pin_types.OPENEMIT,unit=1),
            Pin(num='18',name='OUT1',func=pin_types.OPENEMIT,unit=1),
            Pin(num='19',name='VBB',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='GND1/2',func=pin_types.PWRIN,unit=1),
            Pin(num='20',name='VBB',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='IN1',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='ST1/2',func=pin_types.OPENCOLL,unit=1),
            Pin(num='5',name='IN2',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='GND3/4',func=pin_types.PWRIN,unit=1),
            Pin(num='7',name='IN3',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='ST3/4',func=pin_types.OPENCOLL,unit=1),
            Pin(num='9',name='IN4',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'CAP002DG', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'CAP002DG'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'Automatic Capacitor Discarger', 'description':'', 'datasheet':'https://ac-dc.power.com/sites/default/files/product-docs/capzero_family_datasheet.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nCAP002DG\n\nAutomatic Capacitor Discarger', 'pins':[
            Pin(num='1',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='6',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='7',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='8',name='~',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'DS1210', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'DS1210'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'Nonvolatile, RAM, Controller, Battery, Power', 'description':'', 'datasheet':'https://datasheets.maximintegrated.com/en/ds/DS1210.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nDS1210\n\nNonvolatile, RAM, Controller, Battery, Power', 'pins':[
            Pin(num='1',name='VCCO',func=pin_types.PWROUT,unit=1),
            Pin(num='2',name='VBAT1',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='TOL',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='~{CE}',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='~{CEO}',func=pin_types.OUTPUT,unit=1),
            Pin(num='7',name='VBAT2',func=pin_types.PWRIN,unit=1),
            Pin(num='8',name='VCCI',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'FPF2000', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'FPF2000'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-353_SC-70-5'], 'footprint':'Package_TO_SOT_SMD:SOT-353_SC-70-5', 'keywords':'1-chanel power-distribution USB', 'description':'', 'datasheet':'https://www.onsemi.com/pub/Collateral/FPF2001-D.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nFPF2000\n\n1-chanel power-distribution USB', 'pins':[
            Pin(num='1',name='VOUT',func=pin_types.PWROUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='FLAGB',func=pin_types.OPENCOLL,unit=1),
            Pin(num='4',name='ON',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='VIN',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'HF81', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'HF81'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'X capacitor discharge', 'description':'', 'datasheet':'http://www.monolithicpower.com/DesktopModules/DocumentManage/API/Document/getDocument?id=142', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nHF81\n\nX capacitor discharge', 'pins':[
            Pin(num='1',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='2',name='L1',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='L1',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='5',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='6',name='L2',func=pin_types.PASSIVE,unit=1),
            Pin(num='7',name='L2',func=pin_types.PASSIVE,unit=1),
            Pin(num='8',name='NC',func=pin_types.NOCONNECT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'INA3221', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'INA3221'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:Texas_RGV0016A_VQFN-16-1EP_4x4mm_P0.65mm_EP2.1x2.1mm'], 'footprint':'Package_DFN_QFN:Texas_RGV0016A_VQFN-16-1EP_4x4mm_P0.65mm_EP2.1x2.1mm', 'keywords':'Shunt and Bus voltage monitor', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/ina3221.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nINA3221\n\nShunt and Bus voltage monitor', 'pins':[
            Pin(num='1',name='IN-3',func=pin_types.INPUT,unit=1),
            Pin(num='10',name='PV',func=pin_types.OPENCOLL,unit=1),
            Pin(num='11',name='IN-1',func=pin_types.INPUT,unit=1),
            Pin(num='12',name='IN+1',func=pin_types.INPUT,unit=1),
            Pin(num='13',name='TC',func=pin_types.OPENCOLL,unit=1),
            Pin(num='14',name='IN-2',func=pin_types.INPUT,unit=1),
            Pin(num='15',name='IN+2',func=pin_types.INPUT,unit=1),
            Pin(num='16',name='VPU',func=pin_types.PWRIN,unit=1),
            Pin(num='17',name='EP',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='IN+3',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='VS',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='A0',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='SCL',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='SDA',func=pin_types.BIDIR,unit=1),
            Pin(num='8',name='WARNING',func=pin_types.OPENCOLL,unit=1),
            Pin(num='9',name='CRITICAL',func=pin_types.OPENCOLL,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'IPS6011PBF', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'IPS6011PBF'}), 'ref_prefix':'Q', 'fplist':['Package_TO_SOT_THT:TO-220-5_Vertical'], 'footprint':'Package_TO_SOT_THT:TO-220-5_Vertical', 'keywords':'Intelligent Power Switch High Side MOSFET', 'description':'', 'datasheet':'http://www.irf.com/product-info/datasheets/data/ips6011pbf.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nIPS6011PBF\n\nIntelligent Power Switch High Side MOSFET', 'pins':[
            Pin(num='1',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='IN',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='DG',func=pin_types.BIDIR,unit=1),
            Pin(num='5',name='OUT',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'IPS6011RPBF', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'IPS6011RPBF'}), 'ref_prefix':'Q', 'fplist':['Package_TO_SOT_SMD:TO-252-5_TabPin3'], 'footprint':'Package_TO_SOT_SMD:TO-252-5_TabPin3', 'keywords':'Intelligent Power Switch High Side MOSFET', 'description':'', 'datasheet':'http://www.irf.com/product-info/datasheets/data/ips6011pbf.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nIPS6011RPBF\n\nIntelligent Power Switch High Side MOSFET', 'pins':[
            Pin(num='1',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='IN',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='DG',func=pin_types.BIDIR,unit=1),
            Pin(num='5',name='OUT',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'IPS6011SPBF', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'IPS6011SPBF'}), 'ref_prefix':'Q', 'fplist':['Package_TO_SOT_SMD:TO-263-5_TabPin3'], 'footprint':'Package_TO_SOT_SMD:TO-263-5_TabPin3', 'keywords':'Intelligent Power Switch High Side MOSFET', 'description':'', 'datasheet':'http://www.irf.com/product-info/datasheets/data/ips6011pbf.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nIPS6011SPBF\n\nIntelligent Power Switch High Side MOSFET', 'pins':[
            Pin(num='1',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='IN',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='DG',func=pin_types.BIDIR,unit=1),
            Pin(num='5',name='OUT',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'IPS6041GPBF', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'IPS6041GPBF'}), 'ref_prefix':'Q', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'Intelligent Power Switch High Side MOSFET', 'description':'', 'datasheet':'http://www.irf.com/product-info/datasheets/data/ips6041pbf.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nIPS6041GPBF\n\nIntelligent Power Switch High Side MOSFET', 'pins':[
            Pin(num='1',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='IN',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='DG',func=pin_types.BIDIR,unit=1),
            Pin(num='4',name='OUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='5',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='6',name='~',func=pin_types.PWRIN,unit=1),
            Pin(num='7',name='~',func=pin_types.PWRIN,unit=1),
            Pin(num='8',name='~',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'IPS7091GPBF', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'IPS7091GPBF'}), 'ref_prefix':'Q', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'Intelligent Power Switch High Side MOSFET', 'description':'', 'datasheet':'http://www.irf.com/product-info/datasheets/data/ips7091.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nIPS7091GPBF\n\nIntelligent Power Switch High Side MOSFET', 'pins':[
            Pin(num='1',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='IN',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='DG',func=pin_types.BIDIR,unit=1),
            Pin(num='4',name='OUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='5',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='6',name='~',func=pin_types.PWRIN,unit=1),
            Pin(num='7',name='~',func=pin_types.PWRIN,unit=1),
            Pin(num='8',name='~',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'IPS7091PBF', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'IPS7091PBF'}), 'ref_prefix':'Q', 'fplist':['Package_TO_SOT_THT:TO-220-5_Vertical'], 'footprint':'Package_TO_SOT_THT:TO-220-5_Vertical', 'keywords':'Intelligent Power Switch High Side MOSFET', 'description':'', 'datasheet':'http://www.irf.com/product-info/datasheets/data/ips7091.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nIPS7091PBF\n\nIntelligent Power Switch High Side MOSFET', 'pins':[
            Pin(num='1',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='IN',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='DG',func=pin_types.BIDIR,unit=1),
            Pin(num='5',name='OUT',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'IPS7091SPBF', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'IPS7091SPBF'}), 'ref_prefix':'Q', 'fplist':['Package_TO_SOT_SMD:TO-263-5_TabPin3'], 'footprint':'Package_TO_SOT_SMD:TO-263-5_TabPin3', 'keywords':'Intelligent Power Switch High Side MOSFET', 'description':'', 'datasheet':'http://www.irf.com/product-info/datasheets/data/ips7091.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nIPS7091SPBF\n\nIntelligent Power Switch High Side MOSFET', 'pins':[
            Pin(num='1',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='IN',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='DG',func=pin_types.BIDIR,unit=1),
            Pin(num='5',name='OUT',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'IRS25751L', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'IRS25751L'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-5'], 'footprint':'Package_TO_SOT_SMD:SOT-23-5', 'keywords':'start up', 'description':'', 'datasheet':'https://www.infineon.com/dgdl/irs25751lpbf.pdf?fileId=5546d462533600a40153567b31da2837', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nIRS25751L\n\nstart up', 'pins':[
            Pin(num='1',name='VOUT',func=pin_types.PWROUT,unit=1),
            Pin(num='2',name='COM',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='VTH',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='ENN',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='VIN',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'ITS5215', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'ITS5215'}), 'ref_prefix':'IC', 'fplist':['Package_SO:Infineon_PG-DSO-12-9_ThermalVias'], 'footprint':'Package_SO:Infineon_PG-DSO-12-9_ThermalVias', 'keywords':'High_Side_Switch Power', 'description':'', 'datasheet':'http://www.infineon.com/dgdl/Infineon-ITS5215L-DS-v01_01-en.pdf?fileId=db3a304412b407950112b428dba73e98', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nITS5215\n\nHigh_Side_Switch Power', 'pins':[
            Pin(num='1',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='OUT1',func=pin_types.OPENEMIT,unit=1),
            Pin(num='11',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='12',name='VBB',func=pin_types.PASSIVE,unit=1),
            Pin(num='13',name='VBB',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='IN1',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='ST1',func=pin_types.OPENCOLL,unit=1),
            Pin(num='4',name='IN2',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='ST2',func=pin_types.OPENCOLL,unit=1),
            Pin(num='6',name='VBB',func=pin_types.PWRIN,unit=1),
            Pin(num='7',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='8',name='OUT2',func=pin_types.OPENEMIT,unit=1),
            Pin(num='9',name='NC',func=pin_types.NOCONNECT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LM5050-1', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LM5050-1'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:TSOT-23-6'], 'footprint':'Package_TO_SOT_SMD:TSOT-23-6', 'keywords':'positive high-side or-ing ideal-diode', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/lm5050-1-q1.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nLM5050-1\n\npositive high-side or-ing ideal-diode', 'pins':[
            Pin(num='1',name='VS',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='OFF',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='IN',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='GATE',func=pin_types.OUTPUT,unit=1),
            Pin(num='6',name='OUT',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LM5050-2', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LM5050-2'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:TSOT-23-6'], 'footprint':'Package_TO_SOT_SMD:TSOT-23-6', 'keywords':'positive high-side or-ing ideal-diode', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/lm5050-2.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nLM5050-2\n\npositive high-side or-ing ideal-diode', 'pins':[
            Pin(num='1',name='~{FGD}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='OFF',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='IN',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='GATE',func=pin_types.OUTPUT,unit=1),
            Pin(num='6',name='OUT',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LM5051', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LM5051'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'negative low-side or-ing ideal-diode', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/lm5051.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nLM5051\n\nnegative low-side or-ing ideal-diode', 'pins':[
            Pin(num='1',name='Line',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='VCC',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='OFF',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='~{FGD}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='5',name='VSS',func=pin_types.PWRIN,unit=1),
            Pin(num='6',name='INN',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='INP',func=pin_types.PWRIN,unit=1),
            Pin(num='8',name='GATE',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LM5060', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LM5060'}), 'ref_prefix':'U', 'fplist':['Package_SO:MSOP-10_3x3mm_P0.5mm'], 'footprint':'Package_SO:MSOP-10_3x3mm_P0.5mm', 'keywords':'high-voltage mosfet-driver hot-swap', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/lm5060.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nLM5060\n\nhigh-voltage mosfet-driver hot-swap', 'pins':[
            Pin(num='6',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='1',name='SENSE',func=pin_types.INPUT,unit=1),
            Pin(num='10',name='GATE',func=pin_types.OUTPUT,unit=1),
            Pin(num='2',name='VIN',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='OVP',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='UVLO',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='EN',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='TIMER',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='~{PGD}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='9',name='OUT',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LM50672NPAR', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LM50672NPAR'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-14W_7.5x9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-14W_7.5x9mm_P1.27mm', 'keywords':'high-voltage mosfet-driver hot-swap Texas Instruments', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/lm5067.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nLM50672NPAR\n\nhigh-voltage mosfet-driver hot-swap Texas Instruments', 'pins':[
            Pin(num='6',name='VEE',func=pin_types.PWRIN,unit=1),
            Pin(num='1',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='GATE',func=pin_types.OUTPUT,unit=1),
            Pin(num='12',name='OUT',func=pin_types.INPUT,unit=1),
            Pin(num='14',name='PGD',func=pin_types.OPENCOLL,unit=1),
            Pin(num='3',name='UVLO',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='OVLO',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='PWR',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='TIMER',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='SENSE',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LM5067MM-1', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LM5067MM-1'}), 'ref_prefix':'U', 'fplist':['Package_SO:VSSOP-10_3x3mm_P0.5mm'], 'footprint':'Package_SO:VSSOP-10_3x3mm_P0.5mm', 'keywords':'high-voltage mosfet-driver hot-swap Texas Instruments LM5067MM-1/NOPB', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/lm5067.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nLM5067MM-1\n\nhigh-voltage mosfet-driver hot-swap Texas Instruments LM5067MM-1/NOPB', 'pins':[
            Pin(num='5',name='VEE',func=pin_types.PWRIN,unit=1),
            Pin(num='1',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='PGD',func=pin_types.OPENCOLL,unit=1),
            Pin(num='2',name='UVLO',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='OVLO',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='PWR',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='TIMER',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='SENSE',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='GATE',func=pin_types.OUTPUT,unit=1),
            Pin(num='9',name='OUT',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LM66100DCK', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LM66100DCK'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-363_SC-70-6'], 'footprint':'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'keywords':'Texas Instruments', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/lm66100.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nLM66100DCK\n\nTexas Instruments', 'pins':[
            Pin(num='1',name='VIN',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~{CE}',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='5',name='ST',func=pin_types.OPENCOLL,unit=1),
            Pin(num='6',name='VOUT',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LM74700', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LM74700'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-6'], 'footprint':'Package_TO_SOT_SMD:SOT-23-6', 'keywords':'ideal-diode or-ing', 'description':'', 'datasheet':'http://www.ti.com/lit/gpn/LM74700-Q1', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nLM74700\n\nideal-diode or-ing', 'pins':[
            Pin(num='1',name='VCAP',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='EN',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='CATHODE',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='GATE',func=pin_types.OUTPUT,unit=1),
            Pin(num='6',name='ANODE',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LMG3410', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LMG3410'}), 'ref_prefix':'Q', 'fplist':['Package_DFN_QFN:Texas_RWH0032A_ThermalVias'], 'footprint':'Package_DFN_QFN:Texas_RWH0032A_ThermalVias', 'keywords':'N-Channel GaN MOSFET', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/snosd10c/snosd10c.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nLMG3410\n\nN-Channel GaN MOSFET', 'pins':[
            Pin(num='1',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='10',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='11',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='12',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='13',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='14',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='15',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='16',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='17',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='18',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='19',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='20',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='21',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='22',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='23',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='24',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='25',name='LDO5V',func=pin_types.PWROUT,unit=1),
            Pin(num='26',name='VNEG',func=pin_types.PWRIN,unit=1),
            Pin(num='27',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='28',name='BBSW',func=pin_types.PASSIVE,unit=1),
            Pin(num='29',name='~{LPM}',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='30',name='RDRV',func=pin_types.PASSIVE,unit=1),
            Pin(num='31',name='IN',func=pin_types.INPUT,unit=1),
            Pin(num='32',name='~{FAULT}',func=pin_types.OUTPUT,unit=1),
            Pin(num='33',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='6',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='7',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='8',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='9',name='~',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LMG5200', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LMG5200'}), 'ref_prefix':'Q', 'fplist':['Package_DFN_QFN:Texas_MOF0009A'], 'footprint':'Package_DFN_QFN:Texas_MOF0009A', 'keywords':'Dual N-Channel GaN MOSFET', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/lmg5200.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nLMG5200\n\nDual N-Channel GaN MOSFET', 'pins':[
            Pin(num='1',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='HB',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='HS',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='HI',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='LI',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='7',name='AGND',func=pin_types.PWRIN,unit=1),
            Pin(num='8',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='9',name='~',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LT1641-1', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LT1641-1'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'high-voltage hot-swap', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/164112fc.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nLT1641-1\n\nhigh-voltage hot-swap', 'pins':[
            Pin(num='4',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='1',name='ON',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='FB',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='PWRGD',func=pin_types.OPENCOLL,unit=1),
            Pin(num='5',name='TIMER',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='GATE',func=pin_types.OUTPUT,unit=1),
            Pin(num='7',name='Sense',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='Vcc',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LT4230xDD', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LT4230xDD'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:DFN-8-1EP_3x3mm_P0.5mm_EP1.65x2.38mm'], 'footprint':'Package_DFN_QFN:DFN-8-1EP_3x3mm_P0.5mm_EP1.65x2.38mm', 'keywords':'diode bridge replacement', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/4320fb.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nLT4230xDD\n\ndiode bridge replacement', 'pins':[
            Pin(num='1',name='IN2',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='TG2',func=pin_types.OUTPUT,unit=1),
            Pin(num='3',name='BG2',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='BG1',func=pin_types.OUTPUT,unit=1),
            Pin(num='5',name='OUTN',func=pin_types.PWRIN,unit=1),
            Pin(num='6',name='OUTP',func=pin_types.PWRIN,unit=1),
            Pin(num='7',name='TG1',func=pin_types.OUTPUT,unit=1),
            Pin(num='8',name='IN1',func=pin_types.PWRIN,unit=1),
            Pin(num='9',name='OUTN',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LT4231xUF', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LT4231xUF'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-16-1EP_4x4mm_P0.65mm_EP2.15x2.15mm'], 'footprint':'Package_DFN_QFN:QFN-16-1EP_4x4mm_P0.65mm_EP2.15x2.15mm', 'keywords':'LTPoE++ dual diode bridge replacement', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/4321f.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nLT4231xUF\n\nLTPoE++ dual diode bridge replacement', 'pins':[
            Pin(num='1',name='TG36',func=pin_types.OUTPUT,unit=1),
            Pin(num='10',name='~{EN}',func=pin_types.OUTPUT,unit=1),
            Pin(num='11',name='EN',func=pin_types.OUTPUT,unit=1),
            Pin(num='12',name='OUTP',func=pin_types.PWRIN,unit=1),
            Pin(num='13',name='BG36',func=pin_types.OUTPUT,unit=1),
            Pin(num='14',name='BG12',func=pin_types.OUTPUT,unit=1),
            Pin(num='15',name='IN12',func=pin_types.PWRIN,unit=1),
            Pin(num='16',name='TG12',func=pin_types.OUTPUT,unit=1),
            Pin(num='17',name='OUTN',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='IN36',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='IN45',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='TG45',func=pin_types.OUTPUT,unit=1),
            Pin(num='5',name='TG78',func=pin_types.OUTPUT,unit=1),
            Pin(num='6',name='IN78',func=pin_types.PWRIN,unit=1),
            Pin(num='7',name='BG78',func=pin_types.OUTPUT,unit=1),
            Pin(num='8',name='BG45',func=pin_types.OUTPUT,unit=1),
            Pin(num='9',name='OUTN',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LTC4242xUHF', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LTC4242xUHF'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-38-1EP_5x7mm_P0.5mm_EP3.15x5.15mm'], 'footprint':'Package_DFN_QFN:QFN-38-1EP_5x7mm_P0.5mm_EP3.15x5.15mm', 'keywords':'Dual-Slot PCIe', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/4242f.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nLTC4242xUHF\n\nDual-Slot PCIe', 'pins':[
            Pin(num='1',name='AUXON1',func=pin_types.INPUT,unit=1),
            Pin(num='10',name='3V_SENSE2',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='3V_GATE2',func=pin_types.OUTPUT,unit=1),
            Pin(num='12',name='3V_OUT2',func=pin_types.OPENCOLL,unit=1),
            Pin(num='13',name='AUXON2',func=pin_types.INPUT,unit=1),
            Pin(num='14',name='ON2',func=pin_types.INPUT,unit=1),
            Pin(num='15',name='FON2',func=pin_types.INPUT,unit=1),
            Pin(num='16',name='~{EN2}',func=pin_types.INPUT,unit=1),
            Pin(num='17',name='~{FAULT2}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='18',name='~{AUXFAULT2}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='19',name='~{PGOOD2}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='2',name='3V_OUT1',func=pin_types.OPENCOLL,unit=1),
            Pin(num='20',name='~{AUXPGOOD2}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='21',name='12V_IN2',func=pin_types.PWRIN,unit=1),
            Pin(num='22',name='12V_SENSE2',func=pin_types.INPUT,unit=1),
            Pin(num='23',name='12V_GATE2',func=pin_types.OUTPUT,unit=1),
            Pin(num='24',name='12V_OUT2',func=pin_types.OPENCOLL,unit=1),
            Pin(num='25',name='AUXOUT2',func=pin_types.OUTPUT,unit=1),
            Pin(num='26',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='27',name='AUXOUT1',func=pin_types.OUTPUT,unit=1),
            Pin(num='28',name='12V_OUT1',func=pin_types.OPENCOLL,unit=1),
            Pin(num='29',name='12V_GATE1',func=pin_types.OUTPUT,unit=1),
            Pin(num='3',name='3V_GATE1',func=pin_types.OUTPUT,unit=1),
            Pin(num='30',name='12V_SENSE1',func=pin_types.INPUT,unit=1),
            Pin(num='31',name='12V_IN1',func=pin_types.PWRIN,unit=1),
            Pin(num='32',name='~{AUXPGOOD1}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='33',name='~{PGOOD1}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='34',name='~{AUXFAULT1}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='35',name='~{FAULT1}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='36',name='~{EN1}',func=pin_types.INPUT,unit=1),
            Pin(num='37',name='FON1',func=pin_types.INPUT,unit=1),
            Pin(num='38',name='ON1',func=pin_types.INPUT,unit=1),
            Pin(num='39',name='EP',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='3V_SENSE1',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='3V_IN1',func=pin_types.PWRIN,unit=1),
            Pin(num='6',name='AUXIN1',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='8',name='AUXIN2',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='3V_IN2',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LTC4357DCB', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LTC4357DCB'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:DFN-6-1EP_3x2mm_P0.5mm_EP1.65x1.35mm'], 'footprint':'Package_DFN_QFN:DFN-6-1EP_3x2mm_P0.5mm_EP1.65x1.35mm', 'keywords':'ideal-diode or-ing', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/4357fd.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nLTC4357DCB\n\nideal-diode or-ing', 'pins':[
            Pin(num='1',name='OUT',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='IN',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='GATE',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='6',name='Vdd',func=pin_types.PWRIN,unit=1),
            Pin(num='7',name='PAD',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LTC4357MS8', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LTC4357MS8'}), 'ref_prefix':'U', 'fplist':['Package_SO:MSOP-8_3x3mm_P0.65mm'], 'footprint':'Package_SO:MSOP-8_3x3mm_P0.65mm', 'keywords':'ideal-diode or-ing', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/4357fd.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nLTC4357MS8\n\nideal-diode or-ing', 'pins':[
            Pin(num='1',name='IN',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='3',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='4',name='GATE',func=pin_types.OUTPUT,unit=1),
            Pin(num='5',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='6',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='7',name='Vdd',func=pin_types.PWRIN,unit=1),
            Pin(num='8',name='OUT',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LTC4359-DCB', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LTC4359-DCB'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:DFN-6-1EP_3x2mm_P0.5mm_EP1.65x1.35mm'], 'footprint':'Package_DFN_QFN:DFN-6-1EP_3x2mm_P0.5mm_EP1.65x1.35mm', 'keywords':'ideal-diode or-ing reverse-protection', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/ltc4359.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nLTC4359-DCB\n\nideal-diode or-ing reverse-protection', 'pins':[
            Pin(num='1',name='OUT',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GATE',func=pin_types.OUTPUT,unit=1),
            Pin(num='3',name='SRC',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='IN',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='~{SHDN}',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='Vss',func=pin_types.PWRIN,unit=1),
            Pin(num='7',name='Pad',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LTC4359-MS8', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LTC4359-MS8'}), 'ref_prefix':'U', 'fplist':['Package_SO:MSOP-8_3x3mm_P0.65mm'], 'footprint':'Package_SO:MSOP-8_3x3mm_P0.65mm', 'keywords':'ideal-diode or-ing reverse-protection', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/ltc4359.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nLTC4359-MS8\n\nideal-diode or-ing reverse-protection', 'pins':[
            Pin(num='1',name='GATE',func=pin_types.OUTPUT,unit=1),
            Pin(num='2',name='SRC',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='4',name='IN',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='~{SHDN}',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='Vss',func=pin_types.PWRIN,unit=1),
            Pin(num='7',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='8',name='OUT',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LTC4364CDE', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LTC4364CDE'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:DFN-14-1EP_3x4mm_P0.5mm_EP1.7x3.3mm'], 'footprint':'Package_DFN_QFN:DFN-14-1EP_3x4mm_P0.5mm_EP1.7x3.3mm', 'keywords':'ideal-diode or-ing reverse-protection undervoltage overvoltage surge-stopper', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/436412f.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nLTC4364CDE\n\nideal-diode or-ing reverse-protection undervoltage overvoltage surge-stopper', 'pins':[
            Pin(num='1',name='OUT',func=pin_types.INPUT,unit=1),
            Pin(num='10',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='11',name='~{FLT}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='12',name='ENOUT',func=pin_types.OPENCOLL,unit=1),
            Pin(num='13',name='TMR',func=pin_types.INPUT,unit=1),
            Pin(num='14',name='FB',func=pin_types.INPUT,unit=1),
            Pin(num='15',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='SENSE',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='DGATE',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='SOURCE',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='GATE',func=pin_types.OUTPUT,unit=1),
            Pin(num='6',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='7',name='~{SHDN}',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='UV',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='OV',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LTC4364CMS', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LTC4364CMS'}), 'ref_prefix':'U', 'fplist':['Package_SO:MSOP-16_3x4mm_P0.5mm'], 'footprint':'Package_SO:MSOP-16_3x4mm_P0.5mm', 'keywords':'ideal-diode or-ing reverse-protection undervoltage overvoltage surge-stopper', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/436412f.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nLTC4364CMS\n\nideal-diode or-ing reverse-protection undervoltage overvoltage surge-stopper', 'pins':[
            Pin(num='1',name='OUT',func=pin_types.INPUT,unit=1),
            Pin(num='10',name='UV',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='OV',func=pin_types.INPUT,unit=1),
            Pin(num='12',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='13',name='~{FLT}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='14',name='ENOUT',func=pin_types.OPENCOLL,unit=1),
            Pin(num='15',name='TMR',func=pin_types.INPUT,unit=1),
            Pin(num='16',name='FB',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='SENSE',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='4',name='DGATE',func=pin_types.OUTPUT,unit=1),
            Pin(num='5',name='SOURCE',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='HGATE',func=pin_types.OUTPUT,unit=1),
            Pin(num='7',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='8',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='9',name='~{SHDN}',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LTC4364CS', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LTC4364CS'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-16_3.9x9.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-16_3.9x9.9mm_P1.27mm', 'keywords':'ideal-diode or-ing reverse-protection undervoltage overvoltage surge-stopper', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/436412f.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nLTC4364CS\n\nideal-diode or-ing reverse-protection undervoltage overvoltage surge-stopper', 'pins':[
            Pin(num='1',name='OUT',func=pin_types.INPUT,unit=1),
            Pin(num='10',name='UV',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='OV',func=pin_types.INPUT,unit=1),
            Pin(num='12',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='13',name='~{FLT}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='14',name='ENOUT',func=pin_types.OPENCOLL,unit=1),
            Pin(num='15',name='TMR',func=pin_types.INPUT,unit=1),
            Pin(num='16',name='FB',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='SENSE',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='4',name='DGATE',func=pin_types.OUTPUT,unit=1),
            Pin(num='5',name='SOURCE',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='HGATE',func=pin_types.OUTPUT,unit=1),
            Pin(num='7',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='8',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='9',name='~{SHDN}',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LTC4365DDB', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LTC4365DDB'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:DFN-8-1EP_2x3mm_P0.5mm_EP0.61x2.2mm'], 'footprint':'Package_DFN_QFN:DFN-8-1EP_2x3mm_P0.5mm_EP0.61x2.2mm', 'keywords':'overvoltage undervoltage reverse-polarity protection', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/4365fa.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nLTC4365DDB\n\novervoltage undervoltage reverse-polarity protection', 'pins':[
            Pin(num='1',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='OV',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='UV',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='Vin',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='GATE',func=pin_types.OUTPUT,unit=1),
            Pin(num='6',name='Vout',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='~{FAULT}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='8',name='~{SHDN}',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='GND',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LTC4365TS8', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LTC4365TS8'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:TSOT-23-8'], 'footprint':'Package_TO_SOT_SMD:TSOT-23-8', 'keywords':'overvoltage undervoltage reverse-polarity protection', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/4365fa.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nLTC4365TS8\n\novervoltage undervoltage reverse-polarity protection', 'pins':[
            Pin(num='1',name='Vin',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='UV',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='OV',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='~{SHDN}',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='~{FAULT}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='7',name='Vout',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='GATE',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LTC4365xTS8', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LTC4365xTS8'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:TSOT-23-8'], 'footprint':'Package_TO_SOT_SMD:TSOT-23-8', 'keywords':'overvoltage undervoltage reverse-polarity protection', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/4365fa.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nLTC4365xTS8\n\novervoltage undervoltage reverse-polarity protection', 'pins':[
            Pin(num='1',name='VIN',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='UV',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='OV',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='~{SHDN}',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='~{FAULT}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='7',name='VOUT',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='GATE',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LTC4370xDE', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LTC4370xDE'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:DFN-16-1EP_3x4mm_P0.45mm_EP1.7x3.3mm'], 'footprint':'Package_DFN_QFN:DFN-16-1EP_3x4mm_P0.45mm_EP1.7x3.3mm', 'keywords':'ideal-diode or-ing current sharing load balancing', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/4370f.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nLTC4370xDE\n\nideal-diode or-ing current sharing load balancing', 'pins':[
            Pin(num='1',name='~{EN2}',func=pin_types.INPUT,unit=1),
            Pin(num='10',name='OUT1',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='CPO1',func=pin_types.PASSIVE,unit=1),
            Pin(num='12',name='GATE1',func=pin_types.OUTPUT,unit=1),
            Pin(num='13',name='VIN1',func=pin_types.PWRIN,unit=1),
            Pin(num='14',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='15',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='16',name='~{EN1}',func=pin_types.INPUT,unit=1),
            Pin(num='17',name='EP',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='RANGE',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='COMP',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='VIN2',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='GATE2',func=pin_types.OUTPUT,unit=1),
            Pin(num='6',name='CPO2',func=pin_types.PASSIVE,unit=1),
            Pin(num='7',name='OUT2',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='FETON2',func=pin_types.OPENCOLL,unit=1),
            Pin(num='9',name='FETON1',func=pin_types.OPENCOLL,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LTC4370xMS', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LTC4370xMS'}), 'ref_prefix':'U', 'fplist':['Package_SO:MSOP-16_3x4mm_P0.5mm'], 'footprint':'Package_SO:MSOP-16_3x4mm_P0.5mm', 'keywords':'ideal-diode or-ing current sharing load balancing', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/4370f.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nLTC4370xMS\n\nideal-diode or-ing current sharing load balancing', 'pins':[
            Pin(num='1',name='~{EN2}',func=pin_types.INPUT,unit=1),
            Pin(num='10',name='OUT1',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='CPO1',func=pin_types.PASSIVE,unit=1),
            Pin(num='12',name='GATE1',func=pin_types.OUTPUT,unit=1),
            Pin(num='13',name='VIN1',func=pin_types.PWRIN,unit=1),
            Pin(num='14',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='15',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='16',name='~{EN1}',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='RANGE',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='COMP',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='VIN2',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='GATE2',func=pin_types.OUTPUT,unit=1),
            Pin(num='6',name='CPO2',func=pin_types.PASSIVE,unit=1),
            Pin(num='7',name='OUT2',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='FETON2',func=pin_types.OPENCOLL,unit=1),
            Pin(num='9',name='FETON1',func=pin_types.OPENCOLL,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LTC4412xS6', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LTC4412xS6'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:TSOT-23-6'], 'footprint':'Package_TO_SOT_SMD:TSOT-23-6', 'keywords':'ideal-diode or-ing', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/4412fb.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nLTC4412xS6\n\nideal-diode or-ing', 'pins':[
            Pin(num='1',name='VIN',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='CTL',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='STAT',func=pin_types.OPENCOLL,unit=1),
            Pin(num='5',name='GATE',func=pin_types.OUTPUT,unit=1),
            Pin(num='6',name='SENSE',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LTC4417CGN', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LTC4417CGN'}), 'ref_prefix':'U', 'fplist':['Package_SO:SSOP-24_3.9x8.7mm_P0.635mm'], 'footprint':'Package_SO:SSOP-24_3.9x8.7mm_P0.635mm', 'keywords':'switch power FET sequence', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/4417f.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nLTC4417CGN\n\nswitch power FET sequence', 'pins':[
            Pin(num='1',name='EN',func=pin_types.INPUT,unit=1),
            Pin(num='10',name='~{VALID1}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='11',name='~{VALID2}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='12',name='~{VALID3}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='13',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='14',name='CAS',func=pin_types.OUTPUT,unit=1),
            Pin(num='15',name='VOUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='16',name='G3',func=pin_types.OUTPUT,unit=1),
            Pin(num='17',name='VS3',func=pin_types.OUTPUT,unit=1),
            Pin(num='18',name='G2',func=pin_types.OUTPUT,unit=1),
            Pin(num='19',name='VS2',func=pin_types.OUTPUT,unit=1),
            Pin(num='2',name='~{SHDN}',func=pin_types.INPUT,unit=1),
            Pin(num='20',name='G1',func=pin_types.OUTPUT,unit=1),
            Pin(num='21',name='VS1',func=pin_types.OUTPUT,unit=1),
            Pin(num='22',name='V3',func=pin_types.INPUT,unit=1),
            Pin(num='23',name='V2',func=pin_types.INPUT,unit=1),
            Pin(num='24',name='V1',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='HYS',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='UV1',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='OV1',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='UV2',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='OV2',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='UV3',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='OV3',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LTC4417CUF', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LTC4417CUF'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-24-1EP_4x4mm_P0.5mm_EP2.6x2.6mm'], 'footprint':'Package_DFN_QFN:QFN-24-1EP_4x4mm_P0.5mm_EP2.6x2.6mm', 'keywords':'switch power FET sequence', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/4417f.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nLTC4417CUF\n\nswitch power FET sequence', 'pins':[
            Pin(num='1',name='UV1',func=pin_types.INPUT,unit=1),
            Pin(num='10',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='11',name='CAS',func=pin_types.OUTPUT,unit=1),
            Pin(num='12',name='VOUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='13',name='G3',func=pin_types.OUTPUT,unit=1),
            Pin(num='14',name='VS3',func=pin_types.OUTPUT,unit=1),
            Pin(num='15',name='G2',func=pin_types.OUTPUT,unit=1),
            Pin(num='16',name='VS2',func=pin_types.OUTPUT,unit=1),
            Pin(num='17',name='G1',func=pin_types.OUTPUT,unit=1),
            Pin(num='18',name='VS1',func=pin_types.OUTPUT,unit=1),
            Pin(num='19',name='V3',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='OV1',func=pin_types.INPUT,unit=1),
            Pin(num='20',name='V2',func=pin_types.INPUT,unit=1),
            Pin(num='21',name='V1',func=pin_types.INPUT,unit=1),
            Pin(num='22',name='EN',func=pin_types.INPUT,unit=1),
            Pin(num='23',name='~{SHDN}',func=pin_types.INPUT,unit=1),
            Pin(num='24',name='HYS',func=pin_types.INPUT,unit=1),
            Pin(num='25',name='PAD',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='UV2',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='OV2',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='UV3',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='OV3',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='~{VALID1}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='8',name='~{VALID2}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='9',name='~{VALID3}',func=pin_types.OPENCOLL,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MAX14919xUP', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MAX14919xUP'}), 'ref_prefix':'U', 'fplist':['Package_SO:TSSOP-20-1EP_4.4x6.5mm_P0.65mm_EP2.15x3.35mm'], 'footprint':'Package_SO:TSSOP-20-1EP_4.4x6.5mm_P0.65mm_EP2.15x3.35mm', 'keywords':'low side switch', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/max14919-max14919a.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nMAX14919xUP\n\nlow side switch', 'pins':[
            Pin(num='1',name='INRUSH',func=pin_types.INPUT,unit=1),
            Pin(num='10',name='VL',func=pin_types.PWRIN,unit=1),
            Pin(num='11',name='RCLIM',func=pin_types.PASSIVE,unit=1),
            Pin(num='12',name='REV',func=pin_types.OPENCOLL,unit=1),
            Pin(num='13',name='~{FAULT}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='14',name='IN4',func=pin_types.INPUT,unit=1),
            Pin(num='15',name='IN3',func=pin_types.INPUT,unit=1),
            Pin(num='16',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='17',name='IN2',func=pin_types.INPUT,unit=1),
            Pin(num='18',name='IN1',func=pin_types.INPUT,unit=1),
            Pin(num='19',name='V5',func=pin_types.PWROUT,unit=1),
            Pin(num='2',name='OUT1',func=pin_types.OPENCOLL,unit=1),
            Pin(num='20',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='21',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='OUT2',func=pin_types.OPENCOLL,unit=1),
            Pin(num='6',name='OUT3',func=pin_types.OPENCOLL,unit=1),
            Pin(num='7',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='8',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='9',name='OUT4',func=pin_types.OPENCOLL,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MAX8586', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MAX8586'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:DFN-8-1EP_3x3mm_P0.65mm_EP1.55x2.4mm'], 'footprint':'Package_DFN_QFN:DFN-8-1EP_3x3mm_P0.65mm_EP1.55x2.4mm', 'keywords':'1-channel USB current limiting power switch', 'description':'', 'datasheet':'https://datasheets.maximintegrated.com/en/ds/MAX8586.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nMAX8586\n\n1-channel USB current limiting power switch', 'pins':[
            Pin(num='1',name='SEL',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='ISET',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='ON',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='IN',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='6',name='~{FAULT}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='7',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='8',name='ENRESET',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='GND',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MAX9611', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MAX9611'}), 'ref_prefix':'U', 'fplist':['Package_SO:MSOP-10_3x3mm_P0.5mm'], 'footprint':'Package_SO:MSOP-10_3x3mm_P0.5mm', 'keywords':'high common-mode voltage range inrush-current-limiter', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/max9611-max9612.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nMAX9611\n\nhigh common-mode voltage range inrush-current-limiter', 'pins':[
            Pin(num='1',name='OUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='10',name='V_{CC}',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='RS+',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='RS-',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='SET',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='6',name='SCL',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='SDA',func=pin_types.BIDIR,unit=1),
            Pin(num='8',name='A1',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='A0',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MIC2007YM6', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MIC2007YM6'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-6'], 'footprint':'Package_TO_SOT_SMD:SOT-23-6', 'keywords':'current limiting power switch', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/aemDocuments/documents/APID/ProductDocuments/DataSheets/MIC20XX-Fixed-and-Adjustable-Current-Limiting-Power-Distribution-Switches-DS20006486B.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nMIC2007YM6\n\ncurrent limiting power switch', 'pins':[
            Pin(num='1',name='VIN',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='EN',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='ILIM',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='CSLEW',func=pin_types.PASSIVE,unit=1),
            Pin(num='6',name='VOUT',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MIC2025-1YM', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MIC2025-1YM'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'mosfet distribution', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/MIC2025-2075-Single-Channel-Power-Distribution-Switch-DS20006030A.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nMIC2025-1YM\n\nmosfet distribution', 'pins':[
            Pin(num='1',name='EN',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='FLG',func=pin_types.OPENCOLL,unit=1),
            Pin(num='3',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='5',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='6',name='OUT',func=pin_types.PASSIVE,unit=1),
            Pin(num='7',name='IN',func=pin_types.PWRIN,unit=1),
            Pin(num='8',name='OUT',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MIC2025-1YMM', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MIC2025-1YMM'}), 'ref_prefix':'U', 'fplist':['Package_SO:MSOP-8_3x3mm_P0.65mm'], 'footprint':'Package_SO:MSOP-8_3x3mm_P0.65mm', 'keywords':'mosfet distribution', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/MIC2025-2075-Single-Channel-Power-Distribution-Switch-DS20006030A.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nMIC2025-1YMM\n\nmosfet distribution', 'pins':[
            Pin(num='1',name='EN',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='FLG',func=pin_types.OPENCOLL,unit=1),
            Pin(num='3',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='5',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='6',name='OUT',func=pin_types.PASSIVE,unit=1),
            Pin(num='7',name='IN',func=pin_types.PWRIN,unit=1),
            Pin(num='8',name='OUT',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MIC2026-1BN', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MIC2026-1BN'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'mosfet distribution', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/mic2026.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nMIC2026-1BN\n\nmosfet distribution', 'pins':[
            Pin(num='1',name='ENA',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='FLGA',func=pin_types.OUTPUT,unit=1),
            Pin(num='3',name='FLGB',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='ENB',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='OUTB',func=pin_types.PWROUT,unit=1),
            Pin(num='6',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='7',name='IN',func=pin_types.PWRIN,unit=1),
            Pin(num='8',name='OUTA',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MIC2090-1YM5', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MIC2090-1YM5'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-5'], 'footprint':'Package_TO_SOT_SMD:SOT-23-5', 'keywords':'mosfet distribution current limit', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/aemDocuments/documents/APID/ProductDocuments/DataSheets/MIC2090-1-Current-Limiting-Power-Distribution-Switches-DS20006611A.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nMIC2090-1YM5\n\nmosfet distribution current limit', 'pins':[
            Pin(num='1',name='VIN',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='EN',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='FAULT',func=pin_types.OPENCOLL,unit=1),
            Pin(num='5',name='VOUT',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MIC2544-2YM', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MIC2544-2YM'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'high side switch', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/20005725B.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nMIC2544-2YM\n\nhigh side switch', 'pins':[
            Pin(num='1',name='~{EN}',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='FLG',func=pin_types.OPENCOLL,unit=1),
            Pin(num='3',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='ILIM',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='6',name='OUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='7',name='IN',func=pin_types.PASSIVE,unit=1),
            Pin(num='8',name='OUT',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'NIS5420MTxTXG', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'NIS5420MTxTXG'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:WDFN-10-1EP_3x3mm_P0.5mm_EP1.8x2.5mm'], 'footprint':'Package_DFN_QFN:WDFN-10-1EP_3x3mm_P0.5mm_EP1.8x2.5mm', 'keywords':'12V efuse resettable fuse', 'description':'', 'datasheet':'https://www.onsemi.com/pdf/datasheet/nis5420-d.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nNIS5420MTxTXG\n\n12V efuse resettable fuse', 'pins':[
            Pin(num='1',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='Source',func=pin_types.PASSIVE,unit=1),
            Pin(num='11',name='V_{CC}',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='dV/dt',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='Enable/Fault',func=pin_types.TRISTATE,unit=1),
            Pin(num='4',name='I_{Limit}',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='I_{SENSE}',func=pin_types.PASSIVE,unit=1),
            Pin(num='6',name='Source',func=pin_types.PWROUT,unit=1),
            Pin(num='7',name='Source',func=pin_types.PASSIVE,unit=1),
            Pin(num='8',name='Source',func=pin_types.PASSIVE,unit=1),
            Pin(num='9',name='Source',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'NPC45560-H', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'NPC45560-H'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:DFN-12-1EP_3x3mm_P0.5mm_EP2.05x2.86mm'], 'footprint':'Package_DFN_QFN:DFN-12-1EP_3x3mm_P0.5mm_EP2.05x2.86mm', 'keywords':'load switch', 'description':'', 'datasheet':'http://www.onsemi.com/pub/Collateral/NCP45560-D.PDF', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nNPC45560-H\n\nload switch', 'pins':[
            Pin(num='1',name='VIN',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='VOUT',func=pin_types.PASSIVE,unit=1),
            Pin(num='11',name='VOUT',func=pin_types.PASSIVE,unit=1),
            Pin(num='12',name='VOUT',func=pin_types.PWROUT,unit=1),
            Pin(num='13',name='VIN',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='EN',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='SR',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='PG',func=pin_types.OPENCOLL,unit=1),
            Pin(num='7',name='BLEED',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='VOUT',func=pin_types.PASSIVE,unit=1),
            Pin(num='9',name='VOUT',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PD70224', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PD70224'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:Microsemi_QFN-40-32-2EP_6x8mm_P0.5mm'], 'footprint':'Package_DFN_QFN:Microsemi_QFN-40-32-2EP_6x8mm_P0.5mm', 'keywords':'dual ideal diode bridge', 'description':'', 'datasheet':'https://www.microsemi.com/document-portal/doc_download/131677-pd70224-data-sheet', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nPD70224\n\ndual ideal diode bridge', 'pins':[
            Pin(num='1',name='~',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='11',name='IN2A',func=pin_types.PASSIVE,unit=1),
            Pin(num='12',name='IN2A',func=pin_types.PASSIVE,unit=1),
            Pin(num='13',name='SUPP_SA',func=pin_types.INPUT,unit=1),
            Pin(num='14',name='SUPP_SB',func=pin_types.INPUT,unit=1),
            Pin(num='15',name='IN1A',func=pin_types.PASSIVE,unit=1),
            Pin(num='16',name='IN1A',func=pin_types.PASSIVE,unit=1),
            Pin(num='17',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='18',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='19',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='20',name='IN1B',func=pin_types.PASSIVE,unit=1),
            Pin(num='21',name='IN1B',func=pin_types.PASSIVE,unit=1),
            Pin(num='22',name='IN1B',func=pin_types.PASSIVE,unit=1),
            Pin(num='23',name='IN1B',func=pin_types.PASSIVE,unit=1),
            Pin(num='24',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='25',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='26',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='27',name='IN1A',func=pin_types.PASSIVE,unit=1),
            Pin(num='28',name='IN1A',func=pin_types.PASSIVE,unit=1),
            Pin(num='29',name='WA_EN',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='30',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='31',name='IN2A',func=pin_types.PASSIVE,unit=1),
            Pin(num='32',name='IN2A',func=pin_types.PASSIVE,unit=1),
            Pin(num='33',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='34',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='IN2B',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='IN2B',func=pin_types.PASSIVE,unit=1),
            Pin(num='6',name='IN2B',func=pin_types.PASSIVE,unit=1),
            Pin(num='7',name='IN2B',func=pin_types.PASSIVE,unit=1),
            Pin(num='8',name='~',func=pin_types.PWRIN,unit=1),
            Pin(num='9',name='~',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'RT9701', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'RT9701'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'power distribution switch', 'description':'', 'datasheet':'https://www.richtek.com/Products/Power%20Switch/RT9701?sc_lang=en', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nRT9701\n\npower distribution switch', 'pins':[
            Pin(num='1',name='VOUT',func=pin_types.PWROUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='VIN',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='VIN/EN',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='VOUT',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'RT9742AGJ5F', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'RT9742AGJ5F'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:TSOT-23-5'], 'footprint':'Package_TO_SOT_SMD:TSOT-23-5', 'keywords':'Power Switch', 'description':'', 'datasheet':'https://www.richtek.com/assets/product_file/RT9742/DS9742-10.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nRT9742AGJ5F\n\nPower Switch', 'pins':[
            Pin(num='1',name='VOUT',func=pin_types.PWROUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~{FLG}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='4',name='EN',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='VIN',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'RT9742BGJ5F', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'RT9742BGJ5F'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:TSOT-23-5'], 'footprint':'Package_TO_SOT_SMD:TSOT-23-5', 'keywords':'Power Switch', 'description':'', 'datasheet':'https://www.richtek.com/assets/product_file/RT9742/DS9742-10.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nRT9742BGJ5F\n\nPower Switch', 'pins':[
            Pin(num='1',name='VOUT',func=pin_types.PWROUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~{FLG}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='4',name='~{EN}',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='VIN',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SN6505ADBV', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SN6505ADBV'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-6'], 'footprint':'Package_TO_SOT_SMD:SOT-23-6', 'keywords':'Transformer Drivers', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/sn6505b.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nSN6505ADBV\n\nTransformer Drivers', 'pins':[
            Pin(num='1',name='D1',func=pin_types.OPENCOLL,unit=1),
            Pin(num='2',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='D2',func=pin_types.OPENCOLL,unit=1),
            Pin(num='4',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='EN',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='CLK',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SN6507DGQ', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SN6507DGQ'}), 'ref_prefix':'U', 'fplist':['Package_SO:HVSSOP-10-1EP_3x3mm_P0.5mm_EP1.57x1.88mm'], 'footprint':'Package_SO:HVSSOP-10-1EP_3x3mm_P0.5mm_EP1.57x1.88mm', 'keywords':'Transformer Drivers', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/sn6507.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nSN6507DGQ\n\nTransformer Drivers', 'pins':[
            Pin(num='4',name='EN/UVLO',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='DC',func=pin_types.PASSIVE,unit=1),
            Pin(num='6',name='SR',func=pin_types.PASSIVE,unit=1),
            Pin(num='8',name='SS/ILIM',func=pin_types.PASSIVE,unit=1),
            Pin(num='9',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='1',name='SW1',func=pin_types.OPENCOLL,unit=1),
            Pin(num='10',name='SW2',func=pin_types.OPENCOLL,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='7',name='CLK',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'STM6600', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'STM6600'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:TDFN-12_2x3mm_P0.5mm'], 'footprint':'Package_DFN_QFN:TDFN-12_2x3mm_P0.5mm', 'keywords':'push-button-controller low-power', 'description':'', 'datasheet':'http://www.st.com/resource/en/datasheet/stm6600.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nSTM6600\n\npush-button-controller low-power', 'pins':[
            Pin(num='1',name='Vcc',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='~{RST}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='11',name='~{INT}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='12',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='~{SR}',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='Vref',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='PS_HOLD',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='C_SRD',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='~{PB}',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='~{VCC}_LO',func=pin_types.OPENCOLL,unit=1),
            Pin(num='8',name='~{PB}_OUT',func=pin_types.OPENCOLL,unit=1),
            Pin(num='9',name='~{EN}/EN',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SiP32431DR3', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SiP32431DR3'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-363_SC-70-6'], 'footprint':'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'keywords':'Load switch', 'description':'', 'datasheet':'http://www.vishay.com.hk/docs/66597/sip32431.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nSiP32431DR3\n\nLoad switch', 'pins':[
            Pin(num='1',name='OUT',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='ON',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='IN',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='6',name='NC',func=pin_types.NOCONNECT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SiP32432DR3', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SiP32432DR3'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-363_SC-70-6'], 'footprint':'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'keywords':'Load switch', 'description':'', 'datasheet':'http://www.vishay.com.hk/docs/66597/sip32431.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nSiP32432DR3\n\nLoad switch', 'pins':[
            Pin(num='1',name='OUT',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~{ON}',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='IN',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='6',name='NC',func=pin_types.NOCONNECT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TEA1708T', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TEA1708T'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'X capacitor discharge', 'description':'', 'datasheet':'https://www.nxp.com/docs/en/data-sheet/TEA1708TDS.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nTEA1708T\n\nX capacitor discharge', 'pins':[
            Pin(num='1',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='2',name='TMR2',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='4',name='TMR1',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='HV2',func=pin_types.PASSIVE,unit=1),
            Pin(num='6',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='7',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='8',name='HV1',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TLE8102SG', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TLE8102SG'}), 'ref_prefix':'IC', 'fplist':['Package_SO:Infineon_PG-DSO-12-11_ThermalVias'], 'footprint':'Package_SO:Infineon_PG-DSO-12-11_ThermalVias', 'keywords':'Low_Side_Switch Power', 'description':'', 'datasheet':'http://www.infineon.com/dgdl/Infineon-TLE8102SG-DS-v01_05-en.pdf?fileId=db3a304319c6f18c0119c8384bf90042', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nTLE8102SG\n\nLow_Side_Switch Power', 'pins':[
            Pin(num='1',name='IN2',func=pin_types.INPUT,unit=1),
            Pin(num='10',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='11',name='MISO/ST2',func=pin_types.PASSIVE,unit=1),
            Pin(num='12',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='13',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='MOSI',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='OUT2',func=pin_types.OPENCOLL,unit=1),
            Pin(num='4',name='ISx/ST1/Fault',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='SCLK',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='7',name='IN1',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='~{CS}',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='OUT1',func=pin_types.OPENCOLL,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TLE8104E', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TLE8104E'}), 'ref_prefix':'IC', 'fplist':['Package_SO:Infineon_PG-DSO-20-30_ThermalVias'], 'footprint':'Package_SO:Infineon_PG-DSO-20-30_ThermalVias', 'keywords':'Low_Side_Switch Power', 'description':'', 'datasheet':'http://www.infineon.com/dgdl/Infineon-TLE8104E-DS-v01_04-en.pdf?fileId=db3a304318f3fe2901190401cfda7f25', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nTLE8104E\n\nLow_Side_Switch Power', 'pins':[
            Pin(num='1',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='11',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='12',name='IN4',func=pin_types.INPUT,unit=1),
            Pin(num='13',name='OUT3',func=pin_types.OPENCOLL,unit=1),
            Pin(num='14',name='~{FAULT}',func=pin_types.OUTPUT,unit=1),
            Pin(num='15',name='MISO',func=pin_types.PASSIVE,unit=1),
            Pin(num='16',name='SCLK',func=pin_types.INPUT,unit=1),
            Pin(num='17',name='MOSI',func=pin_types.INPUT,unit=1),
            Pin(num='18',name='OUT4',func=pin_types.OPENCOLL,unit=1),
            Pin(num='19',name='IN3',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='IN2',func=pin_types.INPUT,unit=1),
            Pin(num='20',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='21',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='OUT1',func=pin_types.OPENCOLL,unit=1),
            Pin(num='4',name='VS',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='~{RST}',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='~{CS}',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='PRG',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='OUT2',func=pin_types.OPENCOLL,unit=1),
            Pin(num='9',name='IN1',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TPS2041B', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TPS2041B'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-5'], 'footprint':'Package_TO_SOT_SMD:SOT-23-5', 'keywords':'1-chanel power-distribution USB', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/tps2041.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nTPS2041B\n\n1-chanel power-distribution USB', 'pins':[
            Pin(num='1',name='OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~{OC}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='4',name='~{EN}',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='IN',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TPS2042D', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TPS2042D'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'2-chanel power-distribution USB', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/tps2042.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nTPS2042D\n\n2-chanel power-distribution USB', 'pins':[
            Pin(num='1',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='IN1',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~{EN1}',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='~{EN2}',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='~{OC2}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='6',name='OUT2',func=pin_types.PWROUT,unit=1),
            Pin(num='7',name='OUT1',func=pin_types.PWROUT,unit=1),
            Pin(num='8',name='~{OC1}',func=pin_types.OPENCOLL,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TPS2044D', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TPS2044D'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-16_3.9x9.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-16_3.9x9.9mm_P1.27mm', 'keywords':'4-chanel power-distribution USB', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/tps2044.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nTPS2044D\n\n4-chanel power-distribution USB', 'pins':[
            Pin(num='1',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='13',name='~{OC2}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='14',name='OUT2',func=pin_types.PWROUT,unit=1),
            Pin(num='15',name='OUT1',func=pin_types.PWROUT,unit=1),
            Pin(num='16',name='~{OC1}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='2',name='IN1',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~{EN1}',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='~{EN2}',func=pin_types.INPUT,unit=1),
            Pin(num='10',name='OUT4',func=pin_types.PWROUT,unit=2),
            Pin(num='11',name='OUT3',func=pin_types.PWROUT,unit=2),
            Pin(num='12',name='~{OC3}',func=pin_types.OPENCOLL,unit=2),
            Pin(num='5',name='GND',func=pin_types.PWRIN,unit=2),
            Pin(num='6',name='IN2',func=pin_types.PWRIN,unit=2),
            Pin(num='7',name='~{EN3}',func=pin_types.INPUT,unit=2),
            Pin(num='8',name='~{EN4}',func=pin_types.INPUT,unit=2),
            Pin(num='9',name='~{OC4}',func=pin_types.OPENCOLL,unit=2)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['13', '3', '16', '14', '4', '2', '15', '1']},{'label': 'uB', 'num': 2, 'pin_nums': ['12', '9', '10', '6', '11', '8', '5', '7']}] }),
        Part(**{ 'name':'TPS2051CDBV', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TPS2051CDBV'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-5'], 'footprint':'Package_TO_SOT_SMD:SOT-23-5', 'keywords':'Limit USB Active High', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/tps2051c.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nTPS2051CDBV\n\nLimit USB Active High', 'pins':[
            Pin(num='1',name='OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~{FLT}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='4',name='EN',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='IN',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TPS2054D', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TPS2054D'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-16_3.9x9.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-16_3.9x9.9mm_P1.27mm', 'keywords':'4-chanel power-distribution USB', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/tps2044.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nTPS2054D\n\n4-chanel power-distribution USB', 'pins':[
            Pin(num='1',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='13',name='~{OC2}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='14',name='OUT2',func=pin_types.PASSIVE,unit=1),
            Pin(num='15',name='OUT1',func=pin_types.PASSIVE,unit=1),
            Pin(num='16',name='~{OC1}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='2',name='IN1',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='EN1',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='EN2',func=pin_types.INPUT,unit=1),
            Pin(num='10',name='OUT4',func=pin_types.PASSIVE,unit=2),
            Pin(num='11',name='OUT3',func=pin_types.PASSIVE,unit=2),
            Pin(num='12',name='~{OC3}',func=pin_types.OPENCOLL,unit=2),
            Pin(num='5',name='GND',func=pin_types.PWRIN,unit=2),
            Pin(num='6',name='IN2',func=pin_types.PASSIVE,unit=2),
            Pin(num='7',name='EN3',func=pin_types.INPUT,unit=2),
            Pin(num='8',name='EN4',func=pin_types.INPUT,unit=2),
            Pin(num='9',name='~{OC4}',func=pin_types.OPENCOLL,unit=2)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['14', '1', '4', '3', '15', '2', '13', '16']},{'label': 'uB', 'num': 2, 'pin_nums': ['5', '12', '10', '7', '11', '6', '9', '8']}] }),
        Part(**{ 'name':'TPS2116DRL', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TPS2116DRL'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-583-8'], 'footprint':'Package_TO_SOT_SMD:SOT-583-8', 'keywords':'Texas-Instruments power-mux switchover', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/tps2116.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nTPS2116DRL\n\nTexas-Instruments power-mux switchover', 'pins':[
            Pin(num='7',name='VOUT',func=pin_types.PWROUT,unit=1),
            Pin(num='1',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='VOUT',func=pin_types.PWROUT,unit=1),
            Pin(num='3',name='VIN1',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='PR1',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='MODE',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='VIN2',func=pin_types.PWRIN,unit=1),
            Pin(num='8',name='ST',func=pin_types.OPENCOLL,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TPS22810DRV', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TPS22810DRV'}), 'ref_prefix':'U', 'fplist':['Package_SON:WSON-6-1EP_2x2mm_P0.65mm_EP1x1.6mm'], 'footprint':'Package_SON:WSON-6-1EP_2x2mm_P0.65mm_EP1x1.6mm', 'keywords':'load switch thermal protection', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/tps22810.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nTPS22810DRV\n\nload switch thermal protection', 'pins':[
            Pin(num='1',name='VOUT',func=pin_types.PWROUT,unit=1),
            Pin(num='2',name='QOD',func=pin_types.OPENCOLL,unit=1),
            Pin(num='3',name='CT',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='EN/UVLO',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='VIN',func=pin_types.PWRIN,unit=1),
            Pin(num='7',name='GND',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TPS22917DBV', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TPS22917DBV'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-6'], 'footprint':'Package_TO_SOT_SMD:SOT-23-6', 'keywords':'high-side power distribution switch', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/tps22917.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nTPS22917DBV\n\nhigh-side power distribution switch', 'pins':[
            Pin(num='1',name='VIN',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='ON',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='CT',func=pin_types.OUTPUT,unit=1),
            Pin(num='5',name='QOD',func=pin_types.OPENCOLL,unit=1),
            Pin(num='6',name='VOUT',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TPS22929D', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TPS22929D'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-6'], 'footprint':'Package_TO_SOT_SMD:SOT-23-6', 'keywords':'high-side power distribution switch', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/tps22929d.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nTPS22929D\n\nhigh-side power distribution switch', 'pins':[
            Pin(num='1',name='VOUT',func=pin_types.PWROUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='ON',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='VIN',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='6',name='VIN',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TPS22993', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TPS22993'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:Texas_S-PWQFN-N20'], 'footprint':'Package_DFN_QFN:Texas_S-PWQFN-N20', 'keywords':'quad channel power distribution/load switch', 'description':'', 'datasheet':'http://www.ti.com/lit/gpn/tps22993', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nTPS22993\n\nquad channel power distribution/load switch', 'pins':[
            Pin(num='1',name='VOUT2',func=pin_types.PASSIVE,unit=1),
            Pin(num='10',name='ON1',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='VOUT4',func=pin_types.PASSIVE,unit=1),
            Pin(num='12',name='VIN4',func=pin_types.PASSIVE,unit=1),
            Pin(num='13',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='14',name='VIN3',func=pin_types.PASSIVE,unit=1),
            Pin(num='15',name='VOUT3',func=pin_types.PASSIVE,unit=1),
            Pin(num='16',name='ADD2',func=pin_types.INPUT,unit=1),
            Pin(num='17',name='SCL',func=pin_types.INPUT,unit=1),
            Pin(num='18',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='19',name='SDA',func=pin_types.BIDIR,unit=1),
            Pin(num='2',name='VIN2',func=pin_types.PASSIVE,unit=1),
            Pin(num='20',name='ADD3',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='VBIAS',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='VIN1',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='VOUT1',func=pin_types.PASSIVE,unit=1),
            Pin(num='6',name='ADD1',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='ON4',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='ON3',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='ON2',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TPS2412D', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TPS2412D'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'ideal-diode or-ing', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/tps2412.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nTPS2412D\n\nideal-diode or-ing', 'pins':[
            Pin(num='1',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='RSET',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='GATE',func=pin_types.OUTPUT,unit=1),
            Pin(num='6',name='C',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='A',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='BYP',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TPS2419D', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TPS2419D'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'ideal-diode or-ing', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/tps2419.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nTPS2419D\n\nideal-diode or-ing', 'pins':[
            Pin(num='1',name='RSET',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='EN',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='GATE',func=pin_types.OUTPUT,unit=1),
            Pin(num='6',name='C',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='A',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='BYP',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TPS2592xx', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TPS2592xx'}), 'ref_prefix':'U', 'fplist':['Package_SON:VSON-10-1EP_3x3mm_P0.5mm_EP1.65x2.4mm_ThermalVias'], 'footprint':'Package_SON:VSON-10-1EP_3x3mm_P0.5mm_EP1.65x2.4mm_ThermalVias', 'keywords':'efuse protection switch', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/tps25925.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nTPS2592xx\n\nefuse protection switch', 'pins':[
            Pin(num='1',name='dV/dT',func=pin_types.OUTPUT,unit=1),
            Pin(num='10',name='ILIM',func=pin_types.OUTPUT,unit=1),
            Pin(num='11',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='EN/UVLO',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='VIN',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='VIN',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='VIN',func=pin_types.PASSIVE,unit=1),
            Pin(num='6',name='OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='7',name='OUT',func=pin_types.PASSIVE,unit=1),
            Pin(num='8',name='OUT',func=pin_types.PASSIVE,unit=1),
            Pin(num='9',name='NC',func=pin_types.NOCONNECT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TPS26630RGE', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TPS26630RGE'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:Texas_RGE0024H_VQFN-24-1EP_4x4mm_P0.5mm_EP2.7x2.7mm_ThermalVias'], 'footprint':'Package_DFN_QFN:Texas_RGE0024H_VQFN-24-1EP_4x4mm_P0.5mm_EP2.7x2.7mm_ThermalVias', 'keywords':'efuse protection switch', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/tps2663.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nTPS26630RGE\n\nefuse protection switch', 'pins':[
            Pin(num='1',name='IN',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='ILIM',func=pin_types.PASSIVE,unit=1),
            Pin(num='11',name='MODE',func=pin_types.INPUT,unit=1),
            Pin(num='12',name='~{SHDN}',func=pin_types.INPUT,unit=1),
            Pin(num='13',name='IMON',func=pin_types.OUTPUT,unit=1),
            Pin(num='14',name='~{FLT}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='15',name='PGTH',func=pin_types.INPUT,unit=1),
            Pin(num='16',name='PGOOD',func=pin_types.OUTPUT,unit=1),
            Pin(num='17',name='OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='18',name='OUT',func=pin_types.PASSIVE,unit=1),
            Pin(num='19',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='2',name='IN',func=pin_types.PASSIVE,unit=1),
            Pin(num='20',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='21',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='22',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='23',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='24',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='25',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='B_GATE',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='DRV',func=pin_types.OUTPUT,unit=1),
            Pin(num='5',name='IN_SYS',func=pin_types.PWRIN,unit=1),
            Pin(num='6',name='UVLO',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='OVP',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='9',name='dVdT',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TPS26631PWP', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TPS26631PWP'}), 'ref_prefix':'U', 'fplist':['Package_SO:HTSSOP-20-1EP_4.4x6.5mm_P0.65mm_EP3.4x6.5mm_Mask2.96x2.96mm_ThermalVias'], 'footprint':'Package_SO:HTSSOP-20-1EP_4.4x6.5mm_P0.65mm_EP3.4x6.5mm_Mask2.96x2.96mm_ThermalVias', 'keywords':'efuse protection switch', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/tps2663.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nTPS26631PWP\n\nefuse protection switch', 'pins':[
            Pin(num='1',name='IN',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='dVdT',func=pin_types.PASSIVE,unit=1),
            Pin(num='11',name='ILIM',func=pin_types.PASSIVE,unit=1),
            Pin(num='12',name='MODE',func=pin_types.INPUT,unit=1),
            Pin(num='13',name='~{SHDN}',func=pin_types.INPUT,unit=1),
            Pin(num='14',name='IMON',func=pin_types.OUTPUT,unit=1),
            Pin(num='15',name='~{FLT}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='16',name='PGTH',func=pin_types.INPUT,unit=1),
            Pin(num='17',name='PGOOD',func=pin_types.OUTPUT,unit=1),
            Pin(num='18',name='OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='19',name='OUT',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='IN',func=pin_types.PASSIVE,unit=1),
            Pin(num='20',name='OUT',func=pin_types.PASSIVE,unit=1),
            Pin(num='21',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='IN',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='B_GATE',func=pin_types.OUTPUT,unit=1),
            Pin(num='5',name='DRV',func=pin_types.OUTPUT,unit=1),
            Pin(num='6',name='IN_SYS',func=pin_types.PWRIN,unit=1),
            Pin(num='7',name='UVLO',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='OVP',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='GND',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TPS26632RGE', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TPS26632RGE'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:Texas_RGE0024H_VQFN-24-1EP_4x4mm_P0.5mm_EP2.7x2.7mm_ThermalVias'], 'footprint':'Package_DFN_QFN:Texas_RGE0024H_VQFN-24-1EP_4x4mm_P0.5mm_EP2.7x2.7mm_ThermalVias', 'keywords':'efuse protection switch', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/tps2663.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nTPS26632RGE\n\nefuse protection switch', 'pins':[
            Pin(num='1',name='IN',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='ILIM',func=pin_types.PASSIVE,unit=1),
            Pin(num='11',name='MODE',func=pin_types.INPUT,unit=1),
            Pin(num='12',name='~{SHDN}',func=pin_types.INPUT,unit=1),
            Pin(num='13',name='IMON',func=pin_types.OUTPUT,unit=1),
            Pin(num='14',name='~{FLT}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='15',name='PGTH',func=pin_types.INPUT,unit=1),
            Pin(num='16',name='PGOOD',func=pin_types.OUTPUT,unit=1),
            Pin(num='17',name='OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='18',name='OUT',func=pin_types.PASSIVE,unit=1),
            Pin(num='19',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='2',name='IN',func=pin_types.PASSIVE,unit=1),
            Pin(num='20',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='21',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='22',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='23',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='24',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='25',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='B_GATE',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='DRV',func=pin_types.OUTPUT,unit=1),
            Pin(num='5',name='IN_SYS',func=pin_types.PWRIN,unit=1),
            Pin(num='6',name='UVLO',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='PLIM',func=pin_types.PASSIVE,unit=1),
            Pin(num='8',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='9',name='dVdT',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TPS26633PWP', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TPS26633PWP'}), 'ref_prefix':'U', 'fplist':['Package_SO:HTSSOP-20-1EP_4.4x6.5mm_P0.65mm_EP3.4x6.5mm_Mask2.96x2.96mm_ThermalVias'], 'footprint':'Package_SO:HTSSOP-20-1EP_4.4x6.5mm_P0.65mm_EP3.4x6.5mm_Mask2.96x2.96mm_ThermalVias', 'keywords':'efuse protection switch', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/tps2663.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nTPS26633PWP\n\nefuse protection switch', 'pins':[
            Pin(num='1',name='IN',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='dVdT',func=pin_types.PASSIVE,unit=1),
            Pin(num='11',name='ILIM',func=pin_types.PASSIVE,unit=1),
            Pin(num='12',name='MODE',func=pin_types.INPUT,unit=1),
            Pin(num='13',name='~{SHDN}',func=pin_types.INPUT,unit=1),
            Pin(num='14',name='IMON',func=pin_types.OUTPUT,unit=1),
            Pin(num='15',name='~{FLT}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='16',name='PGTH',func=pin_types.INPUT,unit=1),
            Pin(num='17',name='PGOOD',func=pin_types.OUTPUT,unit=1),
            Pin(num='18',name='OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='19',name='OUT',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='IN',func=pin_types.PASSIVE,unit=1),
            Pin(num='20',name='OUT',func=pin_types.PASSIVE,unit=1),
            Pin(num='21',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='IN',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='B_GATE',func=pin_types.OUTPUT,unit=1),
            Pin(num='5',name='DRV',func=pin_types.OUTPUT,unit=1),
            Pin(num='6',name='IN_SYS',func=pin_types.PWRIN,unit=1),
            Pin(num='7',name='UVLO',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='PLIM',func=pin_types.PASSIVE,unit=1),
            Pin(num='9',name='GND',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TSM102', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TSM102'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-16_3.9x9.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-16_3.9x9.9mm_P1.27mm', 'keywords':'dual opamp comparator reference', 'description':'', 'datasheet':'http://www.st.com/resource/en/datasheet/tsm102.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nTSM102\n\ndual opamp comparator reference', 'pins':[
            Pin(num='1',name='~',func=pin_types.OUTPUT,unit=1),
            Pin(num='2',name='-',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='+',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='+',func=pin_types.INPUT,unit=2),
            Pin(num='6',name='-',func=pin_types.INPUT,unit=2),
            Pin(num='7',name='~',func=pin_types.OUTPUT,unit=2),
            Pin(num='10',name='~',func=pin_types.OUTPUT,unit=3),
            Pin(num='11',name='-',func=pin_types.INPUT,unit=3),
            Pin(num='12',name='+',func=pin_types.INPUT,unit=3),
            Pin(num='14',name='+',func=pin_types.INPUT,unit=4),
            Pin(num='15',name='-',func=pin_types.INPUT,unit=4),
            Pin(num='16',name='~',func=pin_types.OUTPUT,unit=4),
            Pin(num='13',name='V-',func=pin_types.PWRIN,unit=5),
            Pin(num='4',name='V+',func=pin_types.PWRIN,unit=5),
            Pin(num='8',name='~',func=pin_types.PASSIVE,unit=5),
            Pin(num='9',name='~',func=pin_types.PASSIVE,unit=5)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['2', '1', '3']},{'label': 'uB', 'num': 2, 'pin_nums': ['7', '6', '5']},{'label': 'uC', 'num': 3, 'pin_nums': ['10', '12', '11']},{'label': 'uD', 'num': 4, 'pin_nums': ['16', '15', '14']},{'label': 'uE', 'num': 5, 'pin_nums': ['8', '13', '9', '4']}] }),
        Part(**{ 'name':'TSM103W', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TSM103W'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'dual opamp reference', 'description':'', 'datasheet':'http://www.st.com/resource/en/datasheet/tsm103w.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nTSM103W\n\ndual opamp reference', 'pins':[
            Pin(num='4',name='V-',func=pin_types.PWRIN),
            Pin(num='8',name='V+',func=pin_types.PWRIN),
            Pin(num='1',name='~',func=pin_types.OUTPUT,unit=1),
            Pin(num='2',name='-',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='+',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='+',func=pin_types.INPUT,unit=2),
            Pin(num='6',name='-',func=pin_types.INPUT,unit=2),
            Pin(num='7',name='~',func=pin_types.OUTPUT,unit=2)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['1', '2', '3', '8', '4']},{'label': 'uB', 'num': 2, 'pin_nums': ['7', '5', '6', '8', '4']}] }),
        Part(**{ 'name':'UCC39002D', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'UCC39002D'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'load share controller', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/slus495i/slus495i.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nUCC39002D\n\nload share controller', 'pins':[
            Pin(num='1',name='CS-',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='CS+',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='ADJ',func=pin_types.OPENCOLL,unit=1),
            Pin(num='6',name='EAO',func=pin_types.PASSIVE,unit=1),
            Pin(num='7',name='LS',func=pin_types.PASSIVE,unit=1),
            Pin(num='8',name='CSO',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AP22804AW5', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AP22804AW5'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5'], 'footprint':'Package_TO_SOT_SMD:SOT-23-5', 'keywords':'Limit USB Active High', 'description':'', 'datasheet':'https://www.diodes.com/assets/Datasheets/AP22804_14.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nAP22804AW5\n\nLimit USB Active High', 'pins':[
            Pin(num='1',name='OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~{FLG}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='4',name='EN',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='IN',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AP22804BW5', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AP22804BW5'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5'], 'footprint':'Package_TO_SOT_SMD:SOT-23-5', 'keywords':'Limit USB Active Low', 'description':'', 'datasheet':'https://www.diodes.com/assets/Datasheets/AP22804_14.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nAP22804BW5\n\nLimit USB Active Low', 'pins':[
            Pin(num='1',name='OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~{FLG}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='4',name='~{EN}',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='IN',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AP22814AW5', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AP22814AW5'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5'], 'footprint':'Package_TO_SOT_SMD:SOT-23-5', 'keywords':'Limit USB Active High', 'description':'', 'datasheet':'https://www.diodes.com/assets/Datasheets/AP22804_14.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nAP22814AW5\n\nLimit USB Active High', 'pins':[
            Pin(num='1',name='OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~{FLG}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='4',name='EN',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='IN',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AP22814BW5', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AP22814BW5'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5'], 'footprint':'Package_TO_SOT_SMD:SOT-23-5', 'keywords':'Limit USB Active Low', 'description':'', 'datasheet':'https://www.diodes.com/assets/Datasheets/AP22804_14.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nAP22814BW5\n\nLimit USB Active Low', 'pins':[
            Pin(num='1',name='OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~{FLG}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='4',name='~{EN}',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='IN',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AP22816AKEWT', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AP22816AKEWT'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5'], 'footprint':'Package_TO_SOT_SMD:SOT-23-5', 'keywords':'Limit USB Active High', 'description':'', 'datasheet':'https://www.diodes.com/assets/Datasheets/AP22816_17_18.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nAP22816AKEWT\n\nLimit USB Active High', 'pins':[
            Pin(num='1',name='OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~{FLG}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='4',name='EN',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='IN',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AP22816BKEWT', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AP22816BKEWT'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5'], 'footprint':'Package_TO_SOT_SMD:SOT-23-5', 'keywords':'Limit USB Active Low', 'description':'', 'datasheet':'https://www.diodes.com/assets/Datasheets/AP22816_17_18.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nAP22816BKEWT\n\nLimit USB Active Low', 'pins':[
            Pin(num='1',name='OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~{FLG}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='4',name='~{EN}',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='IN',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AP22817AKEWT', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AP22817AKEWT'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5'], 'footprint':'Package_TO_SOT_SMD:SOT-23-5', 'keywords':'Limit USB Active High', 'description':'', 'datasheet':'https://www.diodes.com/assets/Datasheets/AP22816_17_18.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nAP22817AKEWT\n\nLimit USB Active High', 'pins':[
            Pin(num='1',name='OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~{FLG}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='4',name='EN',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='IN',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AP22817BKEWT', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AP22817BKEWT'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5'], 'footprint':'Package_TO_SOT_SMD:SOT-23-5', 'keywords':'Limit USB Active Low', 'description':'', 'datasheet':'https://www.diodes.com/assets/Datasheets/AP22816_17_18.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nAP22817BKEWT\n\nLimit USB Active Low', 'pins':[
            Pin(num='1',name='OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~{FLG}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='4',name='~{EN}',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='IN',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AP22818AKEWT', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AP22818AKEWT'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5'], 'footprint':'Package_TO_SOT_SMD:SOT-23-5', 'keywords':'Limit USB Active High', 'description':'', 'datasheet':'https://www.diodes.com/assets/Datasheets/AP22816_17_18.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nAP22818AKEWT\n\nLimit USB Active High', 'pins':[
            Pin(num='1',name='OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~{FLG}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='4',name='EN',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='IN',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AP22818BKEWT', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AP22818BKEWT'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5'], 'footprint':'Package_TO_SOT_SMD:SOT-23-5', 'keywords':'Limit USB Active Low', 'description':'', 'datasheet':'https://www.diodes.com/assets/Datasheets/AP22816_17_18.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nAP22818BKEWT\n\nLimit USB Active Low', 'pins':[
            Pin(num='1',name='OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~{FLG}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='4',name='~{EN}',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='IN',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AUIPS1052G', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AUIPS1052G'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'dual low side switch', 'description':'', 'datasheet':'https://www.infineon.com/dgdl/auips1051.pdf?fileId=5546d462533600a4015355a4710712fc', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nAUIPS1052G\n\ndual low side switch', 'pins':[
            Pin(num='1',name='S1',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='IN1',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='D1',func=pin_types.PASSIVE,unit=1),
            Pin(num='8',name='D1',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='S2',func=pin_types.PWRIN,unit=2),
            Pin(num='4',name='IN2',func=pin_types.INPUT,unit=2),
            Pin(num='5',name='D2',func=pin_types.PASSIVE,unit=2),
            Pin(num='6',name='D2',func=pin_types.PASSIVE,unit=2)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['2', '1', '7', '8']},{'label': 'uB', 'num': 2, 'pin_nums': ['6', '5', '4', '3']}] }),
        Part(**{ 'name':'AUIPS2031R', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AUIPS2031R'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:TO-252-3_TabPin2', 'Package_TO_SOT_SMD:TO-252-3_TabPin2'], 'footprint':'Package_TO_SOT_SMD:TO-252-3_TabPin2', 'keywords':'low side switch', 'description':'', 'datasheet':'https://www.infineon.com/dgdl/Infineon-AUIPS2031R-DS-v01_00-EN.pdf?fileId=5546d4625a888733015aae1488334c5c', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nAUIPS2031R\n\nlow side switch', 'pins':[
            Pin(num='1',name='IN',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='D',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='S',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AUIPS2041L', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AUIPS2041L'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-223-3_TabPin2', 'Package_TO_SOT_SMD:SOT-223-3_TabPin2'], 'footprint':'Package_TO_SOT_SMD:SOT-223-3_TabPin2', 'keywords':'low side switch', 'description':'', 'datasheet':'https://www.infineon.com/dgdl/Infineon-AUIPS2041-DS-v01_00-EN.pdf?fileId=5546d4625a888733015aae147a9d4c57', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nAUIPS2041L\n\nlow side switch', 'pins':[
            Pin(num='1',name='IN',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='D',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='S',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AUIPS2051L', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AUIPS2051L'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-223-3_TabPin2', 'Package_TO_SOT_SMD:SOT-223-3_TabPin2', 'Package_TO_SOT_SMD:SOT-223-3_TabPin2'], 'footprint':'Package_TO_SOT_SMD:SOT-223-3_TabPin2', 'keywords':'low side switch', 'description':'', 'datasheet':'https://www.infineon.com/dgdl/Infineon-AUIPS2052G-DS-v01_00-EN.pdf?fileId=5546d4625a888733015aae0b6fb04c51', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nAUIPS2051L\n\nlow side switch', 'pins':[
            Pin(num='1',name='IN',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='D',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='S',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AUIPS2052G', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AUIPS2052G'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'dual low side switch', 'description':'', 'datasheet':'https://www.infineon.com/dgdl/Infineon-AUIPS2052G-DS-v01_00-EN.pdf?fileId=5546d4625a888733015aae0b6fb04c51', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nAUIPS2052G\n\ndual low side switch', 'pins':[
            Pin(num='1',name='S1',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='IN1',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='D1',func=pin_types.PASSIVE,unit=1),
            Pin(num='8',name='D1',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='S2',func=pin_types.PWRIN,unit=2),
            Pin(num='4',name='IN2',func=pin_types.INPUT,unit=2),
            Pin(num='5',name='D2',func=pin_types.PASSIVE,unit=2),
            Pin(num='6',name='D2',func=pin_types.PASSIVE,unit=2)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['2', '1', '8', '7']},{'label': 'uB', 'num': 2, 'pin_nums': ['4', '5', '3', '6']}] }),
        Part(**{ 'name':'AUIPS6031R', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AUIPS6031R'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:TO-252-4', 'Package_TO_SOT_SMD:TO-252-4'], 'footprint':'Package_TO_SOT_SMD:TO-252-4', 'keywords':'high side switch', 'description':'', 'datasheet':'https://www.infineon.com/dgdl/auips6031.pdf?fileId=5546d462533600a4015355a797f51311', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nAUIPS6031R\n\nhigh side switch', 'pins':[
            Pin(num='1',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='IN',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='DG',func=pin_types.OPENCOLL,unit=1),
            Pin(num='5',name='OUT',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AUIPS7081R', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AUIPS7081R'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:TO-252-4', 'Package_TO_SOT_SMD:TO-252-4', 'Package_TO_SOT_SMD:TO-252-4'], 'footprint':'Package_TO_SOT_SMD:TO-252-4', 'keywords':'high side switch', 'description':'', 'datasheet':'https://www.infineon.com/dgdl/auips7081.pdf?fileId=5546d462533600a4015355a7b8d5131e', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nAUIPS7081R\n\nhigh side switch', 'pins':[
            Pin(num='1',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='IN',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='DG',func=pin_types.OPENCOLL,unit=1),
            Pin(num='5',name='OUT',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AUIPS7091G', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AUIPS7091G'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'high side switch', 'description':'', 'datasheet':'https://www.infineon.com/dgdl/auips7091.pdf?fileId=5546d462533600a4015355a7c0d21322', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nAUIPS7091G\n\nhigh side switch', 'pins':[
            Pin(num='1',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='IN',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='DG',func=pin_types.OPENCOLL,unit=1),
            Pin(num='4',name='OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='5',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='6',name='VCC',func=pin_types.PASSIVE,unit=1),
            Pin(num='7',name='VCC',func=pin_types.PASSIVE,unit=1),
            Pin(num='8',name='VCC',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AUIPS7125R', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AUIPS7125R'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:TO-252-4', 'Package_TO_SOT_SMD:TO-252-4'], 'footprint':'Package_TO_SOT_SMD:TO-252-4', 'keywords':'high side switch', 'description':'', 'datasheet':'https://www.infineon.com/dgdl/auips7125.pdf?fileId=5546d462533600a4015355a7d96a132a', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nAUIPS7125R\n\nhigh side switch', 'pins':[
            Pin(num='1',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='2',name='IN',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='IFB',func=pin_types.OUTPUT,unit=1),
            Pin(num='5',name='OUT',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AUIPS7141R', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AUIPS7141R'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:TO-252-4', 'Package_TO_SOT_SMD:TO-252-4', 'Package_TO_SOT_SMD:TO-252-4'], 'footprint':'Package_TO_SOT_SMD:TO-252-4', 'keywords':'high side switch', 'description':'', 'datasheet':'https://www.infineon.com/dgdl/auips7141.pdf?fileId=5546d462533600a4015355a7e126132c', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nAUIPS7141R\n\nhigh side switch', 'pins':[
            Pin(num='1',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='2',name='IN',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='IFB',func=pin_types.OUTPUT,unit=1),
            Pin(num='5',name='OUT',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AUIPS7145R', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AUIPS7145R'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:TO-252-4', 'Package_TO_SOT_SMD:TO-252-4', 'Package_TO_SOT_SMD:TO-252-4', 'Package_TO_SOT_SMD:TO-252-4'], 'footprint':'Package_TO_SOT_SMD:TO-252-4', 'keywords':'high side switch', 'description':'', 'datasheet':'https://www.infineon.com/dgdl/auips7145r.pdf?fileId=5546d462533600a4015355a7ff1a1334', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nAUIPS7145R\n\nhigh side switch', 'pins':[
            Pin(num='1',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='2',name='IN',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='IFB',func=pin_types.OUTPUT,unit=1),
            Pin(num='5',name='OUT',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AUIPS72211R', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AUIPS72211R'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:TO-252-4', 'Package_TO_SOT_SMD:TO-252-4'], 'footprint':'Package_TO_SOT_SMD:TO-252-4', 'keywords':'high side switch', 'description':'', 'datasheet':'https://www.infineon.com/dgdl/Infineon-AUIPS72211R-DS-v01_10-EN.pdf?fileId=5546d4625a888733015aad6673cb4beb', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nAUIPS72211R\n\nhigh side switch', 'pins':[
            Pin(num='1',name='IN',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='Cb',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='OUT',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AUIR3313S', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AUIR3313S'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:TO-263-4', 'Package_TO_SOT_SMD:TO-263-4'], 'footprint':'Package_TO_SOT_SMD:TO-263-4', 'keywords':'high side switch', 'description':'', 'datasheet':'https://www.infineon.com/dgdl/auir3313.pdf?fileId=5546d462533600a4015355a83e2d1347', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nAUIR3313S\n\nhigh side switch', 'pins':[
            Pin(num='1',name='IN',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='IFB',func=pin_types.OUTPUT,unit=1),
            Pin(num='3',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='5',name='OUT',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AUIR3314S', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AUIR3314S'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:TO-263-4', 'Package_TO_SOT_SMD:TO-263-4', 'Package_TO_SOT_SMD:TO-263-4'], 'footprint':'Package_TO_SOT_SMD:TO-263-4', 'keywords':'high side switch', 'description':'', 'datasheet':'https://www.infineon.com/dgdl/auir3314.pdf?fileId=5546d462533600a4015355a846b8134a', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nAUIR3314S\n\nhigh side switch', 'pins':[
            Pin(num='1',name='IN',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='IFB',func=pin_types.OUTPUT,unit=1),
            Pin(num='3',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='5',name='OUT',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AUIR3315S', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AUIR3315S'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:TO-263-4', 'Package_TO_SOT_SMD:TO-263-4', 'Package_TO_SOT_SMD:TO-263-4', 'Package_TO_SOT_SMD:TO-263-4'], 'footprint':'Package_TO_SOT_SMD:TO-263-4', 'keywords':'high side switch', 'description':'', 'datasheet':'https://www.infineon.com/dgdl/auir3315.pdf?fileId=5546d462533600a4015355a84eda134d', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nAUIR3315S\n\nhigh side switch', 'pins':[
            Pin(num='1',name='IN',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='IFB',func=pin_types.OUTPUT,unit=1),
            Pin(num='3',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='5',name='OUT',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AUIR3316S', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AUIR3316S'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:TO-263-4', 'Package_TO_SOT_SMD:TO-263-4', 'Package_TO_SOT_SMD:TO-263-4', 'Package_TO_SOT_SMD:TO-263-4', 'Package_TO_SOT_SMD:TO-263-4'], 'footprint':'Package_TO_SOT_SMD:TO-263-4', 'keywords':'high side switch', 'description':'', 'datasheet':'https://www.infineon.com/dgdl/auir3316.pdf?fileId=5546d462533600a4015355a856f41350', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nAUIR3316S\n\nhigh side switch', 'pins':[
            Pin(num='1',name='IN',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='IFB',func=pin_types.OUTPUT,unit=1),
            Pin(num='3',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='5',name='OUT',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AUIR3320S', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AUIR3320S'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:TO-263-4', 'Package_TO_SOT_SMD:TO-263-4', 'Package_TO_SOT_SMD:TO-263-4', 'Package_TO_SOT_SMD:TO-263-4', 'Package_TO_SOT_SMD:TO-263-4', 'Package_TO_SOT_SMD:TO-263-4'], 'footprint':'Package_TO_SOT_SMD:TO-263-4', 'keywords':'high side switch', 'description':'', 'datasheet':'https://www.infineon.com/dgdl/auir3320s.pdf?fileId=5546d462533600a4015355a867d01356', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nAUIR3320S\n\nhigh side switch', 'pins':[
            Pin(num='1',name='IN',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='IFB',func=pin_types.OUTPUT,unit=1),
            Pin(num='3',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='5',name='OUT',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BD2242G', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BD2242G'}), 'ref_prefix':'U', 'fplist':['Package_SO:TSOP-6_1.65x3.05mm_P0.95mm', 'Package_SO:TSOP-6_1.65x3.05mm_P0.95mm'], 'footprint':'Package_SO:TSOP-6_1.65x3.05mm_P0.95mm', 'keywords':'USB power-distribution ROHM', 'description':'', 'datasheet':'https://fscdn.rohm.com/en/products/databook/datasheet/ic/power/power_switch/bd2242g-e.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nBD2242G\n\nUSB power-distribution ROHM', 'pins':[
            Pin(num='1',name='IN',func=pin_types.PWRIN),
            Pin(num='2',name='GND',func=pin_types.PWRIN),
            Pin(num='3',name='EN',func=pin_types.INPUT),
            Pin(num='6',name='OUT',func=pin_types.PWROUT),
            Pin(num='4',name='~{OC}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='5',name='ILIM',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BD49ExxG', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BD49ExxG'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5'], 'footprint':'Package_TO_SOT_SMD:SOT-23-5', 'keywords':'voltage detector cmos SSOP5', 'description':'', 'datasheet':'https://www.rohm.de/datasheet/BD4830FVE/bd48xxg-e', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nBD49ExxG\n\nvoltage detector cmos SSOP5', 'pins':[
            Pin(num='1',name='VOUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='2',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='GND',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BD49KxxG', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BD49KxxG'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23', 'Package_TO_SOT_SMD:SOT-23'], 'footprint':'Package_TO_SOT_SMD:SOT-23', 'keywords':'voltage detector cmos SSOP3', 'description':'', 'datasheet':'https://www.rohm.de/datasheet/BD4830FVE/bd48xxg-e', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nBD49KxxG\n\nvoltage detector cmos SSOP3', 'pins':[
            Pin(num='1',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='VOUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='3',name='VDD',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BD49LxxG', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BD49LxxG'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23', 'Package_TO_SOT_SMD:SOT-23'], 'footprint':'Package_TO_SOT_SMD:SOT-23', 'keywords':'voltage detector cmos SSOP3', 'description':'', 'datasheet':'https://www.rohm.de/datasheet/BD4830FVE/bd48xxg-e', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nBD49LxxG\n\nvoltage detector cmos SSOP3', 'pins':[
            Pin(num='1',name='VOUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='2',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='GND',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BD49xxFVE', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BD49xxFVE'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:VSOF5', 'Package_TO_SOT_SMD:VSOF5'], 'footprint':'Package_TO_SOT_SMD:VSOF5', 'keywords':'voltage detector cmos VSOF5', 'description':'', 'datasheet':'https://www.rohm.de/datasheet/BD4830FVE/bd48xxg-e', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nBD49xxFVE\n\nvoltage detector cmos VSOF5', 'pins':[
            Pin(num='1',name='VOUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='VDD',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BTS443P', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BTS443P'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:TO-252-4', 'Package_TO_SOT_SMD:TO-252-4'], 'footprint':'Package_TO_SOT_SMD:TO-252-4', 'keywords':'infineon power switch', 'description':'', 'datasheet':'http://www.infineon.com/dgdl/Infineon-BTS443P-DS-v01_00-EN.pdf?fileId=5546d4625a888733015aa9afbc5035d5', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nBTS443P\n\ninfineon power switch', 'pins':[
            Pin(num='1',name='OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='2',name='IN',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='Vbb',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='IS',func=pin_types.OUTPUT,unit=1),
            Pin(num='5',name='OUT',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BTS50055-1TMC', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BTS50055-1TMC'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:TO-263-7_TabPin4', 'Package_TO_SOT_SMD:TO-263-7_TabPin4'], 'footprint':'Package_TO_SOT_SMD:TO-263-7_TabPin4', 'keywords':'BTS50055 PROFET', 'description':'', 'datasheet':'https://www.infineon.com/dgdl/Infineon-BTS50055-1TMC-DS-v01_00-EN.pdf?fileId=5546d4625a888733015aa9b0007235e9', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nBTS50055-1TMC\n\nBTS50055 PROFET', 'pins':[
            Pin(num='1',name='OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='2',name='OUT',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='IN',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='Vbb',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='IS',func=pin_types.OUTPUT,unit=1),
            Pin(num='6',name='OUT',func=pin_types.PASSIVE,unit=1),
            Pin(num='7',name='OUT',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BTS50080-1TEB', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BTS50080-1TEB'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:TO-252-4', 'Package_TO_SOT_SMD:TO-252-4', 'Package_TO_SOT_SMD:TO-252-4'], 'footprint':'Package_TO_SOT_SMD:TO-252-4', 'keywords':'infineon power switch', 'description':'', 'datasheet':'https://www.infineon.com/dgdl/Infineon-BTS50080-1TEB-DS-v01_00-EN.pdf?fileId=5546d4625a888733015aa435e5601157', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nBTS50080-1TEB\n\ninfineon power switch', 'pins':[
            Pin(num='1',name='OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='2',name='IN',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='Vbb',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='IS',func=pin_types.OUTPUT,unit=1),
            Pin(num='5',name='OUT',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BTS50080-1TMA', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BTS50080-1TMA'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:TO-263-7_TabPin4', 'Package_TO_SOT_SMD:TO-263-7_TabPin4', 'Package_TO_SOT_SMD:TO-263-7_TabPin4'], 'footprint':'Package_TO_SOT_SMD:TO-263-7_TabPin4', 'keywords':'BTS50080 PROFET', 'description':'', 'datasheet':'https://www.infineon.com/dgdl/Infineon-BTS50080-1TMA-DS-v01_00-EN.pdf?fileId=5546d4625a888733015aa435d7fe1153', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nBTS50080-1TMA\n\nBTS50080 PROFET', 'pins':[
            Pin(num='1',name='OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='2',name='OUT',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='IN',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='Vbb',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='IS',func=pin_types.OUTPUT,unit=1),
            Pin(num='6',name='OUT',func=pin_types.PASSIVE,unit=1),
            Pin(num='7',name='OUT',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BTS50080-1TMC', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BTS50080-1TMC'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:TO-263-7_TabPin4', 'Package_TO_SOT_SMD:TO-263-7_TabPin4', 'Package_TO_SOT_SMD:TO-263-7_TabPin4', 'Package_TO_SOT_SMD:TO-263-7_TabPin4'], 'footprint':'Package_TO_SOT_SMD:TO-263-7_TabPin4', 'keywords':'BTS50080 PROFET', 'description':'', 'datasheet':'https://www.infineon.com/dgdl/Infineon-BTS50080_1TMC-DS-v01_00-en.pdf?fileId=db3a3043266237920126992737c951ee', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nBTS50080-1TMC\n\nBTS50080 PROFET', 'pins':[
            Pin(num='1',name='OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='2',name='OUT',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='IN',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='Vbb',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='IS',func=pin_types.OUTPUT,unit=1),
            Pin(num='6',name='OUT',func=pin_types.PASSIVE,unit=1),
            Pin(num='7',name='OUT',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BTS50085-1TMA', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BTS50085-1TMA'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:TO-263-7_TabPin4', 'Package_TO_SOT_SMD:TO-263-7_TabPin4', 'Package_TO_SOT_SMD:TO-263-7_TabPin4', 'Package_TO_SOT_SMD:TO-263-7_TabPin4', 'Package_TO_SOT_SMD:TO-263-7_TabPin4'], 'footprint':'Package_TO_SOT_SMD:TO-263-7_TabPin4', 'keywords':'BTS50085 PROFET', 'description':'', 'datasheet':'https://www.infineon.com/dgdl/Infineon-BTS50085-1TMA-DS-v01_00-EN.pdf?fileId=5546d4625a888733015aa435bccd114b', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nBTS50085-1TMA\n\nBTS50085 PROFET', 'pins':[
            Pin(num='1',name='OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='2',name='OUT',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='IN',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='Vbb',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='IS',func=pin_types.OUTPUT,unit=1),
            Pin(num='6',name='OUT',func=pin_types.PASSIVE,unit=1),
            Pin(num='7',name='OUT',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BTS5012SDA', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BTS5012SDA'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:TO-252-4', 'Package_TO_SOT_SMD:TO-252-4', 'Package_TO_SOT_SMD:TO-252-4', 'Package_TO_SOT_SMD:TO-252-4'], 'footprint':'Package_TO_SOT_SMD:TO-252-4', 'keywords':'infineon power switch', 'description':'', 'datasheet':'http://www.infineon.com/dgdl/Infineon-BTS5012SDA-DS-v01_01-en.pdf?fileId=db3a30431d8a6b3c011db95c6eba237d', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nBTS5012SDA\n\ninfineon power switch', 'pins':[
            Pin(num='1',name='OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='2',name='IN',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='Vbb',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='IS',func=pin_types.OUTPUT,unit=1),
            Pin(num='5',name='OUT',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BTS5014SDA', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BTS5014SDA'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:TO-252-4', 'Package_TO_SOT_SMD:TO-252-4', 'Package_TO_SOT_SMD:TO-252-4', 'Package_TO_SOT_SMD:TO-252-4', 'Package_TO_SOT_SMD:TO-252-4'], 'footprint':'Package_TO_SOT_SMD:TO-252-4', 'keywords':'infineon power switch', 'description':'', 'datasheet':'http://www.infineon.com/dgdl/Infineon-BTS5014SDA-DS-v01_01-EN.pdf?fileId=5546d4625a888733015aa42c708e1142', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nBTS5014SDA\n\ninfineon power switch', 'pins':[
            Pin(num='1',name='OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='2',name='IN',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='Vbb',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='IS',func=pin_types.OUTPUT,unit=1),
            Pin(num='5',name='OUT',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BTS5016SDA', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BTS5016SDA'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:TO-252-4', 'Package_TO_SOT_SMD:TO-252-4', 'Package_TO_SOT_SMD:TO-252-4', 'Package_TO_SOT_SMD:TO-252-4', 'Package_TO_SOT_SMD:TO-252-4', 'Package_TO_SOT_SMD:TO-252-4'], 'footprint':'Package_TO_SOT_SMD:TO-252-4', 'keywords':'infineon power switch', 'description':'', 'datasheet':'http://www.infineon.com/dgdl/Infineon-BTS5016SDA-DS-v01_01-EN.pdf?fileId=5546d4625a888733015aa41a6c38112d', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nBTS5016SDA\n\ninfineon power switch', 'pins':[
            Pin(num='1',name='OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='2',name='IN',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='Vbb',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='IS',func=pin_types.OUTPUT,unit=1),
            Pin(num='5',name='OUT',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BTS5030-1EJA', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BTS5030-1EJA'}), 'ref_prefix':'U', 'fplist':['Package_SO:Infineon_PG-DSO-8-43', 'Package_SO:Infineon_PG-DSO-8-43'], 'footprint':'Package_SO:Infineon_PG-DSO-8-43', 'keywords':'infineon power switch', 'description':'', 'datasheet':'http://www.infineon.com/dgdl/Infineon-BTS5030-1EJA-DS-v02_20-EN.pdf?fileId=5546d46259d9a4bf015a84f3e686758a', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nBTS5030-1EJA\n\ninfineon power switch', 'pins':[
            Pin(num='1',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='IN',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='DEN',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='IS',func=pin_types.OUTPUT,unit=1),
            Pin(num='5',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='6',name='OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='7',name='OUT',func=pin_types.PASSIVE,unit=1),
            Pin(num='8',name='OUT',func=pin_types.PASSIVE,unit=1),
            Pin(num='9',name='VS',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BTS5045-1EJA', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BTS5045-1EJA'}), 'ref_prefix':'U', 'fplist':['Package_SO:Infineon_PG-DSO-8-43', 'Package_SO:Infineon_PG-DSO-8-43', 'Package_SO:Infineon_PG-DSO-8-43'], 'footprint':'Package_SO:Infineon_PG-DSO-8-43', 'keywords':'infineon power switch', 'description':'', 'datasheet':'http://www.infineon.com/dgdl/Infineon-BTS5045-1EJA-DS-v02_02-EN.pdf?fileId=5546d4625a888733015aa411125b1069', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nBTS5045-1EJA\n\ninfineon power switch', 'pins':[
            Pin(num='1',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='IN',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='DEN',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='IS',func=pin_types.OUTPUT,unit=1),
            Pin(num='5',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='6',name='OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='7',name='OUT',func=pin_types.PASSIVE,unit=1),
            Pin(num='8',name='OUT',func=pin_types.PASSIVE,unit=1),
            Pin(num='9',name='VS',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BTS5090-1EJA', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BTS5090-1EJA'}), 'ref_prefix':'U', 'fplist':['Package_SO:Infineon_PG-DSO-8-43', 'Package_SO:Infineon_PG-DSO-8-43', 'Package_SO:Infineon_PG-DSO-8-43', 'Package_SO:Infineon_PG-DSO-8-43'], 'footprint':'Package_SO:Infineon_PG-DSO-8-43', 'keywords':'infineon power switch', 'description':'', 'datasheet':'http://www.infineon.com/dgdl/Infineon-BTS5090-1EJA-DS-v02_02-EN.pdf?fileId=5546d4625a888733015aa410fc371059', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nBTS5090-1EJA\n\ninfineon power switch', 'pins':[
            Pin(num='1',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='IN',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='DEN',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='IS',func=pin_types.OUTPUT,unit=1),
            Pin(num='5',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='6',name='OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='7',name='OUT',func=pin_types.PASSIVE,unit=1),
            Pin(num='8',name='OUT',func=pin_types.PASSIVE,unit=1),
            Pin(num='9',name='VS',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BTS5200-1EJA', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BTS5200-1EJA'}), 'ref_prefix':'U', 'fplist':['Package_SO:Infineon_PG-DSO-8-43', 'Package_SO:Infineon_PG-DSO-8-43', 'Package_SO:Infineon_PG-DSO-8-43', 'Package_SO:Infineon_PG-DSO-8-43', 'Package_SO:Infineon_PG-DSO-8-43'], 'footprint':'Package_SO:Infineon_PG-DSO-8-43', 'keywords':'infineon power switch', 'description':'', 'datasheet':'http://www.infineon.com/dgdl/Infineon-BTS5200-1EJA-DS-v01_00-EN.pdf?fileId=5546d46250cc1fdf0151636cd945402e', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nBTS5200-1EJA\n\ninfineon power switch', 'pins':[
            Pin(num='1',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='IN',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='DEN',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='IS',func=pin_types.OUTPUT,unit=1),
            Pin(num='5',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='6',name='OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='7',name='OUT',func=pin_types.PASSIVE,unit=1),
            Pin(num='8',name='OUT',func=pin_types.PASSIVE,unit=1),
            Pin(num='9',name='VS',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BTS6133D', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BTS6133D'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:TO-252-4', 'Package_TO_SOT_SMD:TO-252-4', 'Package_TO_SOT_SMD:TO-252-4', 'Package_TO_SOT_SMD:TO-252-4', 'Package_TO_SOT_SMD:TO-252-4', 'Package_TO_SOT_SMD:TO-252-4', 'Package_TO_SOT_SMD:TO-252-4'], 'footprint':'Package_TO_SOT_SMD:TO-252-4', 'keywords':'infineon power switch', 'description':'', 'datasheet':'http://www.infineon.com/dgdl/Infineon-BTS6133D-DS-v01_00-EN.pdf?fileId=5546d4625a888733015aa3e3286f102a', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nBTS6133D\n\ninfineon power switch', 'pins':[
            Pin(num='1',name='OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='2',name='IN',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='Vbb',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='IS',func=pin_types.OUTPUT,unit=1),
            Pin(num='5',name='OUT',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BTS6142D', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BTS6142D'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:TO-252-4', 'Package_TO_SOT_SMD:TO-252-4', 'Package_TO_SOT_SMD:TO-252-4', 'Package_TO_SOT_SMD:TO-252-4', 'Package_TO_SOT_SMD:TO-252-4', 'Package_TO_SOT_SMD:TO-252-4', 'Package_TO_SOT_SMD:TO-252-4', 'Package_TO_SOT_SMD:TO-252-4'], 'footprint':'Package_TO_SOT_SMD:TO-252-4', 'keywords':'infineon power switch', 'description':'', 'datasheet':'http://www.infineon.com/dgdl/Infineon-BTS6142D-DS-v01_01-EN.pdf?fileId=5546d4625a888733015aa3da1e0e1026', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nBTS6142D\n\ninfineon power switch', 'pins':[
            Pin(num='1',name='OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='2',name='IN',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='Vbb',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='IS',func=pin_types.OUTPUT,unit=1),
            Pin(num='5',name='OUT',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BTS6143D', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BTS6143D'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:TO-252-4', 'Package_TO_SOT_SMD:TO-252-4', 'Package_TO_SOT_SMD:TO-252-4', 'Package_TO_SOT_SMD:TO-252-4', 'Package_TO_SOT_SMD:TO-252-4', 'Package_TO_SOT_SMD:TO-252-4', 'Package_TO_SOT_SMD:TO-252-4', 'Package_TO_SOT_SMD:TO-252-4', 'Package_TO_SOT_SMD:TO-252-4'], 'footprint':'Package_TO_SOT_SMD:TO-252-4', 'keywords':'infineon power switch', 'description':'', 'datasheet':'http://www.infineon.com/dgdl/Infineon-BTS6143D-DS-v01_00-EN.pdf?fileId=5546d4625a888733015aa3da10821022', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nBTS6143D\n\ninfineon power switch', 'pins':[
            Pin(num='1',name='OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='2',name='IN',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='Vbb',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='IS',func=pin_types.OUTPUT,unit=1),
            Pin(num='5',name='OUT',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BTS6163D', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BTS6163D'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:TO-252-4', 'Package_TO_SOT_SMD:TO-252-4', 'Package_TO_SOT_SMD:TO-252-4', 'Package_TO_SOT_SMD:TO-252-4', 'Package_TO_SOT_SMD:TO-252-4', 'Package_TO_SOT_SMD:TO-252-4', 'Package_TO_SOT_SMD:TO-252-4', 'Package_TO_SOT_SMD:TO-252-4', 'Package_TO_SOT_SMD:TO-252-4', 'Package_TO_SOT_SMD:TO-252-4'], 'footprint':'Package_TO_SOT_SMD:TO-252-4', 'keywords':'infineon power switch', 'description':'', 'datasheet':'http://www.infineon.com/dgdl/Infineon-BTS6163D-DS-v01_00-EN.pdf?fileId=5546d4625a888733015aa3da01a1101e', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nBTS6163D\n\ninfineon power switch', 'pins':[
            Pin(num='1',name='OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='2',name='IN',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='Vbb',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='IS',func=pin_types.OUTPUT,unit=1),
            Pin(num='5',name='OUT',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BTS6200-1EJA', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BTS6200-1EJA'}), 'ref_prefix':'U', 'fplist':['Package_SO:Infineon_PG-DSO-8-43', 'Package_SO:Infineon_PG-DSO-8-43', 'Package_SO:Infineon_PG-DSO-8-43', 'Package_SO:Infineon_PG-DSO-8-43', 'Package_SO:Infineon_PG-DSO-8-43', 'Package_SO:Infineon_PG-DSO-8-43'], 'footprint':'Package_SO:Infineon_PG-DSO-8-43', 'keywords':'infineon power switch', 'description':'', 'datasheet':'http://www.infineon.com/dgdl/Infineon-BTT6200-1EJA-DS-v01_00-EN.pdf?fileId=5546d4625a888733015aa3756ec20fcc', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nBTS6200-1EJA\n\ninfineon power switch', 'pins':[
            Pin(num='1',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='IN',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='DEN',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='IS',func=pin_types.OUTPUT,unit=1),
            Pin(num='5',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='6',name='OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='7',name='OUT',func=pin_types.PASSIVE,unit=1),
            Pin(num='8',name='OUT',func=pin_types.PASSIVE,unit=1),
            Pin(num='9',name='VS',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BTS716G', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BTS716G'}), 'ref_prefix':'U', 'fplist':['Package_SO:Infineon_PG-DSO-20-32', 'Package_SO:Infineon_PG-DSO-20-32'], 'footprint':'Package_SO:Infineon_PG-DSO-20-32', 'keywords':'High_Side_Switch Power', 'description':'', 'datasheet':'https://www.infineon.com/dgdl/Infineon-BTS716G-DS-v01_00-EN.pdf?fileId=5546d4625a888733015aa3be86601004', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nBTS716G\n\nHigh_Side_Switch Power', 'pins':[
            Pin(num='1',name='VBB',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='VBB',func=pin_types.PASSIVE,unit=1),
            Pin(num='11',name='VBB',func=pin_types.PASSIVE,unit=1),
            Pin(num='12',name='VBB',func=pin_types.PASSIVE,unit=1),
            Pin(num='13',name='OUT4',func=pin_types.OPENEMIT,unit=1),
            Pin(num='14',name='OUT3',func=pin_types.OPENEMIT,unit=1),
            Pin(num='15',name='VBB',func=pin_types.PASSIVE,unit=1),
            Pin(num='16',name='VBB',func=pin_types.PASSIVE,unit=1),
            Pin(num='17',name='OUT2',func=pin_types.OPENEMIT,unit=1),
            Pin(num='18',name='OUT1',func=pin_types.OPENEMIT,unit=1),
            Pin(num='19',name='VBB',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='GND1/2',func=pin_types.PWRIN,unit=1),
            Pin(num='20',name='VBB',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='IN1',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='ST1/2',func=pin_types.OPENCOLL,unit=1),
            Pin(num='5',name='IN2',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='GND3/4',func=pin_types.PWRIN,unit=1),
            Pin(num='7',name='IN3',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='ST3/4',func=pin_types.OPENCOLL,unit=1),
            Pin(num='9',name='IN4',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BTS716GB', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BTS716GB'}), 'ref_prefix':'U', 'fplist':['Package_SO:Infineon_PG-DSO-20-32', 'Package_SO:Infineon_PG-DSO-20-32', 'Package_SO:Infineon_PG-DSO-20-32'], 'footprint':'Package_SO:Infineon_PG-DSO-20-32', 'keywords':'High_Side_Switch Power', 'description':'', 'datasheet':'https://www.infineon.com/dgdl/Infineon-BTS716GB-DS-v01_00-EN.pdf?fileId=5546d4625a888733015aa3be94e21008', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nBTS716GB\n\nHigh_Side_Switch Power', 'pins':[
            Pin(num='1',name='VBB',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='VBB',func=pin_types.PASSIVE,unit=1),
            Pin(num='11',name='VBB',func=pin_types.PASSIVE,unit=1),
            Pin(num='12',name='VBB',func=pin_types.PASSIVE,unit=1),
            Pin(num='13',name='OUT4',func=pin_types.OPENEMIT,unit=1),
            Pin(num='14',name='OUT3',func=pin_types.OPENEMIT,unit=1),
            Pin(num='15',name='VBB',func=pin_types.PASSIVE,unit=1),
            Pin(num='16',name='VBB',func=pin_types.PASSIVE,unit=1),
            Pin(num='17',name='OUT2',func=pin_types.OPENEMIT,unit=1),
            Pin(num='18',name='OUT1',func=pin_types.OPENEMIT,unit=1),
            Pin(num='19',name='VBB',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='GND1/2',func=pin_types.PWRIN,unit=1),
            Pin(num='20',name='VBB',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='IN1',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='ST1/2',func=pin_types.OPENCOLL,unit=1),
            Pin(num='5',name='IN2',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='GND3/4',func=pin_types.PWRIN,unit=1),
            Pin(num='7',name='IN3',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='ST3/4',func=pin_types.OPENCOLL,unit=1),
            Pin(num='9',name='IN4',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'CAP003DG', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'CAP003DG'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'Automatic Capacitor Discarger', 'description':'', 'datasheet':'https://ac-dc.power.com/sites/default/files/product-docs/capzero_family_datasheet.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nCAP003DG\n\nAutomatic Capacitor Discarger', 'pins':[
            Pin(num='1',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='6',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='7',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='8',name='~',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'CAP004DG', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'CAP004DG'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'Automatic Capacitor Discarger', 'description':'', 'datasheet':'https://ac-dc.power.com/sites/default/files/product-docs/capzero_family_datasheet.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nCAP004DG\n\nAutomatic Capacitor Discarger', 'pins':[
            Pin(num='1',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='6',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='7',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='8',name='~',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'CAP005DG', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'CAP005DG'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'Automatic Capacitor Discarger', 'description':'', 'datasheet':'https://ac-dc.power.com/sites/default/files/product-docs/capzero_family_datasheet.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nCAP005DG\n\nAutomatic Capacitor Discarger', 'pins':[
            Pin(num='1',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='6',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='7',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='8',name='~',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'CAP006DG', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'CAP006DG'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'Automatic Capacitor Discarger', 'description':'', 'datasheet':'https://ac-dc.power.com/sites/default/files/product-docs/capzero_family_datasheet.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nCAP006DG\n\nAutomatic Capacitor Discarger', 'pins':[
            Pin(num='1',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='6',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='7',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='8',name='~',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'CAP007DG', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'CAP007DG'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'Automatic Capacitor Discarger', 'description':'', 'datasheet':'https://ac-dc.power.com/sites/default/files/product-docs/capzero_family_datasheet.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nCAP007DG\n\nAutomatic Capacitor Discarger', 'pins':[
            Pin(num='1',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='6',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='7',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='8',name='~',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'CAP008DG', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'CAP008DG'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'Automatic Capacitor Discarger 825V', 'description':'', 'datasheet':'https://ac-dc.power.com/sites/default/files/product-docs/capzero_family_datasheet.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nCAP008DG\n\nAutomatic Capacitor Discarger 825V', 'pins':[
            Pin(num='1',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='6',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='7',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='8',name='~',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'CAP009DG', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'CAP009DG'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'Automatic Capacitor Discarger', 'description':'', 'datasheet':'https://ac-dc.power.com/sites/default/files/product-docs/capzero_family_datasheet.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nCAP009DG\n\nAutomatic Capacitor Discarger', 'pins':[
            Pin(num='1',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='6',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='7',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='8',name='~',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'CAP012DG', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'CAP012DG'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'Automatic Capacitor Discarger', 'description':'', 'datasheet':'https://ac-dc.power.com/sites/default/files/product-docs/capzero_family_datasheet.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nCAP012DG\n\nAutomatic Capacitor Discarger', 'pins':[
            Pin(num='1',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='6',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='7',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='8',name='~',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'CAP013DG', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'CAP013DG'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'Automatic Capacitor Discarger', 'description':'', 'datasheet':'https://ac-dc.power.com/sites/default/files/product-docs/capzero_family_datasheet.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nCAP013DG\n\nAutomatic Capacitor Discarger', 'pins':[
            Pin(num='1',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='6',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='7',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='8',name='~',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'CAP014DG', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'CAP014DG'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'Automatic Capacitor Discarger', 'description':'', 'datasheet':'https://ac-dc.power.com/sites/default/files/product-docs/capzero_family_datasheet.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nCAP014DG\n\nAutomatic Capacitor Discarger', 'pins':[
            Pin(num='1',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='6',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='7',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='8',name='~',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'CAP015DG', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'CAP015DG'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'Automatic Capacitor Discarger', 'description':'', 'datasheet':'https://ac-dc.power.com/sites/default/files/product-docs/capzero_family_datasheet.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nCAP015DG\n\nAutomatic Capacitor Discarger', 'pins':[
            Pin(num='1',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='6',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='7',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='8',name='~',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'CAP016DG', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'CAP016DG'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'Automatic Capacitor Discarger', 'description':'', 'datasheet':'https://ac-dc.power.com/sites/default/files/product-docs/capzero_family_datasheet.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nCAP016DG\n\nAutomatic Capacitor Discarger', 'pins':[
            Pin(num='1',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='6',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='7',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='8',name='~',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'CAP017DG', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'CAP017DG'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'Automatic Capacitor Discarger', 'description':'', 'datasheet':'https://ac-dc.power.com/sites/default/files/product-docs/capzero_family_datasheet.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nCAP017DG\n\nAutomatic Capacitor Discarger', 'pins':[
            Pin(num='1',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='6',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='7',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='8',name='~',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'CAP018DG', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'CAP018DG'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'Automatic Capacitor Discarger', 'description':'', 'datasheet':'https://ac-dc.power.com/sites/default/files/product-docs/capzero_family_datasheet.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nCAP018DG\n\nAutomatic Capacitor Discarger', 'pins':[
            Pin(num='1',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='6',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='7',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='8',name='~',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'CAP019DG', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'CAP019DG'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'Automatic Capacitor Discarger', 'description':'', 'datasheet':'https://ac-dc.power.com/sites/default/files/product-docs/capzero_family_datasheet.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nCAP019DG\n\nAutomatic Capacitor Discarger', 'pins':[
            Pin(num='1',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='6',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='7',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='8',name='~',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'CAP200DG', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'CAP200DG'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'Automatic Capacitor Discarger', 'description':'', 'datasheet':'https://ac-dc.power.com/sites/default/files/product-docs/capzero-2_family_datasheet.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nCAP200DG\n\nAutomatic Capacitor Discarger', 'pins':[
            Pin(num='1',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='6',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='7',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='8',name='~',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'CAP300DG', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'CAP300DG'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'Automatic Capacitor Discarger', 'description':'', 'datasheet':'https://ac-dc.power.com/sites/default/files/product_document/data_sheet/capzero-3_family_datasheet.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nCAP300DG\n\nAutomatic Capacitor Discarger', 'pins':[
            Pin(num='1',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='6',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='7',name='~',func=pin_types.PASSIVE,unit=1),
            Pin(num='8',name='~',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'FPF2001', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'FPF2001'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-353_SC-70-5', 'Package_TO_SOT_SMD:SOT-353_SC-70-5'], 'footprint':'Package_TO_SOT_SMD:SOT-353_SC-70-5', 'keywords':'1-chanel power-distribution USB', 'description':'', 'datasheet':'https://www.onsemi.com/pub/Collateral/FPF2001-D.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nFPF2001\n\n1-chanel power-distribution USB', 'pins':[
            Pin(num='1',name='VOUT',func=pin_types.PWROUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='FLAGB',func=pin_types.OPENCOLL,unit=1),
            Pin(num='4',name='ON',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='VIN',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'FPF2002', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'FPF2002'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-353_SC-70-5', 'Package_TO_SOT_SMD:SOT-353_SC-70-5', 'Package_TO_SOT_SMD:SOT-353_SC-70-5'], 'footprint':'Package_TO_SOT_SMD:SOT-353_SC-70-5', 'keywords':'1-chanel power-distribution USB', 'description':'', 'datasheet':'https://www.onsemi.com/pub/Collateral/FPF2001-D.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nFPF2002\n\n1-chanel power-distribution USB', 'pins':[
            Pin(num='1',name='VOUT',func=pin_types.PWROUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='FLAGB',func=pin_types.OPENCOLL,unit=1),
            Pin(num='4',name='ON',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='VIN',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'FPF2003', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'FPF2003'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-353_SC-70-5', 'Package_TO_SOT_SMD:SOT-353_SC-70-5', 'Package_TO_SOT_SMD:SOT-353_SC-70-5', 'Package_TO_SOT_SMD:SOT-353_SC-70-5'], 'footprint':'Package_TO_SOT_SMD:SOT-353_SC-70-5', 'keywords':'1-chanel power-distribution USB', 'description':'', 'datasheet':'https://www.onsemi.com/pub/Collateral/FPF2001-D.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nFPF2003\n\n1-chanel power-distribution USB', 'pins':[
            Pin(num='1',name='VOUT',func=pin_types.PWROUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='FLAGB',func=pin_types.OPENCOLL,unit=1),
            Pin(num='4',name='ON',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='VIN',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'FPF2004', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'FPF2004'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-353_SC-70-5', 'Package_TO_SOT_SMD:SOT-353_SC-70-5', 'Package_TO_SOT_SMD:SOT-353_SC-70-5', 'Package_TO_SOT_SMD:SOT-353_SC-70-5', 'Package_TO_SOT_SMD:SOT-353_SC-70-5'], 'footprint':'Package_TO_SOT_SMD:SOT-353_SC-70-5', 'keywords':'1-chanel power-distribution USB', 'description':'', 'datasheet':'https://www.onsemi.com/pub/Collateral/FPF2001-D.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nFPF2004\n\n1-chanel power-distribution USB', 'pins':[
            Pin(num='1',name='VOUT',func=pin_types.PWROUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='FLAGB',func=pin_types.OPENCOLL,unit=1),
            Pin(num='4',name='ON',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='VIN',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'FPF2005', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'FPF2005'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-353_SC-70-5', 'Package_TO_SOT_SMD:SOT-353_SC-70-5', 'Package_TO_SOT_SMD:SOT-353_SC-70-5', 'Package_TO_SOT_SMD:SOT-353_SC-70-5', 'Package_TO_SOT_SMD:SOT-353_SC-70-5', 'Package_TO_SOT_SMD:SOT-353_SC-70-5'], 'footprint':'Package_TO_SOT_SMD:SOT-353_SC-70-5', 'keywords':'1-chanel power-distribution USB', 'description':'', 'datasheet':'https://www.onsemi.com/pub/Collateral/FPF2001-D.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nFPF2005\n\n1-chanel power-distribution USB', 'pins':[
            Pin(num='1',name='VOUT',func=pin_types.PWROUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='FLAGB',func=pin_types.OPENCOLL,unit=1),
            Pin(num='4',name='ON',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='VIN',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'FPF2006', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'FPF2006'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-353_SC-70-5', 'Package_TO_SOT_SMD:SOT-353_SC-70-5', 'Package_TO_SOT_SMD:SOT-353_SC-70-5', 'Package_TO_SOT_SMD:SOT-353_SC-70-5', 'Package_TO_SOT_SMD:SOT-353_SC-70-5', 'Package_TO_SOT_SMD:SOT-353_SC-70-5', 'Package_TO_SOT_SMD:SOT-353_SC-70-5'], 'footprint':'Package_TO_SOT_SMD:SOT-353_SC-70-5', 'keywords':'1-chanel power-distribution USB', 'description':'', 'datasheet':'https://www.onsemi.com/pub/Collateral/FPF2001-D.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nFPF2006\n\n1-chanel power-distribution USB', 'pins':[
            Pin(num='1',name='VOUT',func=pin_types.PWROUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='FLAGB',func=pin_types.OPENCOLL,unit=1),
            Pin(num='4',name='ON',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='VIN',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'FPF2007', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'FPF2007'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-353_SC-70-5', 'Package_TO_SOT_SMD:SOT-353_SC-70-5', 'Package_TO_SOT_SMD:SOT-353_SC-70-5', 'Package_TO_SOT_SMD:SOT-353_SC-70-5', 'Package_TO_SOT_SMD:SOT-353_SC-70-5', 'Package_TO_SOT_SMD:SOT-353_SC-70-5', 'Package_TO_SOT_SMD:SOT-353_SC-70-5', 'Package_TO_SOT_SMD:SOT-353_SC-70-5'], 'footprint':'Package_TO_SOT_SMD:SOT-353_SC-70-5', 'keywords':'1-chanel power-distribution USB', 'description':'', 'datasheet':'https://www.onsemi.com/pub/Collateral/FPF2001-D.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nFPF2007\n\n1-chanel power-distribution USB', 'pins':[
            Pin(num='1',name='VOUT',func=pin_types.PWROUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='FLAGB',func=pin_types.OPENCOLL,unit=1),
            Pin(num='4',name='ON',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='VIN',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'IPS6021PBF', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'IPS6021PBF'}), 'ref_prefix':'Q', 'fplist':['Package_TO_SOT_THT:TO-220-5_Vertical', 'Package_TO_SOT_THT:TO-220-5_Vertical'], 'footprint':'Package_TO_SOT_THT:TO-220-5_Vertical', 'keywords':'Intelligent Power Switch High Side MOSFET', 'description':'', 'datasheet':'http://www.irf.com/product-info/datasheets/data/ips6021pbf.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nIPS6021PBF\n\nIntelligent Power Switch High Side MOSFET', 'pins':[
            Pin(num='1',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='IN',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='DG',func=pin_types.BIDIR,unit=1),
            Pin(num='5',name='OUT',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'IPS6021RPBF', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'IPS6021RPBF'}), 'ref_prefix':'Q', 'fplist':['Package_TO_SOT_SMD:TO-252-5_TabPin3', 'Package_TO_SOT_SMD:TO-252-5_TabPin3'], 'footprint':'Package_TO_SOT_SMD:TO-252-5_TabPin3', 'keywords':'Intelligent Power Switch High Side MOSFET', 'description':'', 'datasheet':'http://www.irf.com/product-info/datasheets/data/ips6021pbf.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nIPS6021RPBF\n\nIntelligent Power Switch High Side MOSFET', 'pins':[
            Pin(num='1',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='IN',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='DG',func=pin_types.BIDIR,unit=1),
            Pin(num='5',name='OUT',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'IPS6021SPBF', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'IPS6021SPBF'}), 'ref_prefix':'Q', 'fplist':['Package_TO_SOT_SMD:TO-263-5_TabPin3', 'Package_TO_SOT_SMD:TO-263-5_TabPin3'], 'footprint':'Package_TO_SOT_SMD:TO-263-5_TabPin3', 'keywords':'Intelligent Power Switch High Side MOSFET', 'description':'', 'datasheet':'http://www.irf.com/product-info/datasheets/data/ips6021pbf.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nIPS6021SPBF\n\nIntelligent Power Switch High Side MOSFET', 'pins':[
            Pin(num='1',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='IN',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='DG',func=pin_types.BIDIR,unit=1),
            Pin(num='5',name='OUT',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'IPS6031PBF', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'IPS6031PBF'}), 'ref_prefix':'Q', 'fplist':['Package_TO_SOT_THT:TO-220-5_Vertical', 'Package_TO_SOT_THT:TO-220-5_Vertical', 'Package_TO_SOT_THT:TO-220-5_Vertical'], 'footprint':'Package_TO_SOT_THT:TO-220-5_Vertical', 'keywords':'Intelligent Power Switch High Side MOSFET', 'description':'', 'datasheet':'http://www.irf.com/product-info/datasheets/data/ips6031pbf.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nIPS6031PBF\n\nIntelligent Power Switch High Side MOSFET', 'pins':[
            Pin(num='1',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='IN',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='DG',func=pin_types.BIDIR,unit=1),
            Pin(num='5',name='OUT',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'IPS6031RPBF', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'IPS6031RPBF'}), 'ref_prefix':'Q', 'fplist':['Package_TO_SOT_SMD:TO-252-5_TabPin3', 'Package_TO_SOT_SMD:TO-252-5_TabPin3', 'Package_TO_SOT_SMD:TO-252-5_TabPin3'], 'footprint':'Package_TO_SOT_SMD:TO-252-5_TabPin3', 'keywords':'Intelligent Power Switch High Side MOSFET', 'description':'', 'datasheet':'http://www.irf.com/product-info/datasheets/data/ips6031pbf.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nIPS6031RPBF\n\nIntelligent Power Switch High Side MOSFET', 'pins':[
            Pin(num='1',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='IN',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='DG',func=pin_types.BIDIR,unit=1),
            Pin(num='5',name='OUT',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'IPS6031SPBF', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'IPS6031SPBF'}), 'ref_prefix':'Q', 'fplist':['Package_TO_SOT_SMD:TO-263-5_TabPin3', 'Package_TO_SOT_SMD:TO-263-5_TabPin3', 'Package_TO_SOT_SMD:TO-263-5_TabPin3'], 'footprint':'Package_TO_SOT_SMD:TO-263-5_TabPin3', 'keywords':'Intelligent Power Switch High Side MOSFET', 'description':'', 'datasheet':'http://www.irf.com/product-info/datasheets/data/ips6031pbf.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nIPS6031SPBF\n\nIntelligent Power Switch High Side MOSFET', 'pins':[
            Pin(num='1',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='IN',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='DG',func=pin_types.BIDIR,unit=1),
            Pin(num='5',name='OUT',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'IPS6041PBF', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'IPS6041PBF'}), 'ref_prefix':'Q', 'fplist':['Package_TO_SOT_THT:TO-220-5_Vertical', 'Package_TO_SOT_THT:TO-220-5_Vertical', 'Package_TO_SOT_THT:TO-220-5_Vertical', 'Package_TO_SOT_THT:TO-220-5_Vertical'], 'footprint':'Package_TO_SOT_THT:TO-220-5_Vertical', 'keywords':'Intelligent Power Switch High Side MOSFET', 'description':'', 'datasheet':'http://www.irf.com/product-info/datasheets/data/ips6041pbf.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nIPS6041PBF\n\nIntelligent Power Switch High Side MOSFET', 'pins':[
            Pin(num='1',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='IN',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='DG',func=pin_types.BIDIR,unit=1),
            Pin(num='5',name='OUT',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'IPS6041RPBF', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'IPS6041RPBF'}), 'ref_prefix':'Q', 'fplist':['Package_TO_SOT_SMD:TO-252-5_TabPin3', 'Package_TO_SOT_SMD:TO-252-5_TabPin3', 'Package_TO_SOT_SMD:TO-252-5_TabPin3', 'Package_TO_SOT_SMD:TO-252-5_TabPin3'], 'footprint':'Package_TO_SOT_SMD:TO-252-5_TabPin3', 'keywords':'Intelligent Power Switch High Side MOSFET', 'description':'', 'datasheet':'http://www.irf.com/product-info/datasheets/data/ips6041pbf.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nIPS6041RPBF\n\nIntelligent Power Switch High Side MOSFET', 'pins':[
            Pin(num='1',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='IN',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='DG',func=pin_types.BIDIR,unit=1),
            Pin(num='5',name='OUT',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'IPS6041SPBF', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'IPS6041SPBF'}), 'ref_prefix':'Q', 'fplist':['Package_TO_SOT_SMD:TO-263-5_TabPin3', 'Package_TO_SOT_SMD:TO-263-5_TabPin3', 'Package_TO_SOT_SMD:TO-263-5_TabPin3', 'Package_TO_SOT_SMD:TO-263-5_TabPin3'], 'footprint':'Package_TO_SOT_SMD:TO-263-5_TabPin3', 'keywords':'Intelligent Power Switch High Side MOSFET', 'description':'', 'datasheet':'http://www.irf.com/product-info/datasheets/data/ips6041pbf.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nIPS6041SPBF\n\nIntelligent Power Switch High Side MOSFET', 'pins':[
            Pin(num='1',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='IN',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='DG',func=pin_types.BIDIR,unit=1),
            Pin(num='5',name='OUT',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LM5067MM-2', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LM5067MM-2'}), 'ref_prefix':'U', 'fplist':['Package_SO:VSSOP-10_3x3mm_P0.5mm', 'Package_SO:VSSOP-10_3x3mm_P0.5mm'], 'footprint':'Package_SO:VSSOP-10_3x3mm_P0.5mm', 'keywords':'high-voltage mosfet-driver hot-swap Texas Instruments LM5067MM-2/NOPB', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/lm5067.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nLM5067MM-2\n\nhigh-voltage mosfet-driver hot-swap Texas Instruments LM5067MM-2/NOPB', 'pins':[
            Pin(num='5',name='VEE',func=pin_types.PWRIN,unit=1),
            Pin(num='1',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='PGD',func=pin_types.OPENCOLL,unit=1),
            Pin(num='2',name='UVLO',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='OVLO',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='PWR',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='TIMER',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='SENSE',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='GATE',func=pin_types.OUTPUT,unit=1),
            Pin(num='9',name='OUT',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LM5067MMX-2', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LM5067MMX-2'}), 'ref_prefix':'U', 'fplist':['Package_SO:VSSOP-10_3x3mm_P0.5mm', 'Package_SO:VSSOP-10_3x3mm_P0.5mm', 'Package_SO:VSSOP-10_3x3mm_P0.5mm'], 'footprint':'Package_SO:VSSOP-10_3x3mm_P0.5mm', 'keywords':'high-voltage mosfet-driver hot-swap Texas Instruments LM5067MM-1/NOPB', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/lm5067.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nLM5067MMX-2\n\nhigh-voltage mosfet-driver hot-swap Texas Instruments LM5067MM-1/NOPB', 'pins':[
            Pin(num='5',name='VEE',func=pin_types.PWRIN,unit=1),
            Pin(num='1',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='PGD',func=pin_types.OPENCOLL,unit=1),
            Pin(num='2',name='UVLO',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='OVLO',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='PWR',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='TIMER',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='SENSE',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='GATE',func=pin_types.OUTPUT,unit=1),
            Pin(num='9',name='OUT',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LM5067MWX-1', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LM5067MWX-1'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-14W_7.5x9mm_P1.27mm', 'Package_SO:SOIC-14W_7.5x9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-14W_7.5x9mm_P1.27mm', 'keywords':'high-voltage mosfet-driver hot-swap Texas Instruments LM5067MWX-1/NOPB', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/lm5067.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nLM5067MWX-1\n\nhigh-voltage mosfet-driver hot-swap Texas Instruments LM5067MWX-1/NOPB', 'pins':[
            Pin(num='6',name='VEE',func=pin_types.PWRIN,unit=1),
            Pin(num='1',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='GATE',func=pin_types.OUTPUT,unit=1),
            Pin(num='12',name='OUT',func=pin_types.INPUT,unit=1),
            Pin(num='14',name='PGD',func=pin_types.OPENCOLL,unit=1),
            Pin(num='3',name='UVLO',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='OVLO',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='PWR',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='TIMER',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='SENSE',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LT1641-2', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LT1641-2'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'high-voltage hot-swap', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/164112fc.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nLT1641-2\n\nhigh-voltage hot-swap', 'pins':[
            Pin(num='4',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='1',name='ON',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='FB',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='PWRGD',func=pin_types.OPENCOLL,unit=1),
            Pin(num='5',name='TIMER',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='GATE',func=pin_types.OUTPUT,unit=1),
            Pin(num='7',name='Sense',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='Vcc',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LT4320xDD-1', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LT4320xDD-1'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:DFN-8-1EP_3x3mm_P0.5mm_EP1.65x2.38mm', 'Package_DFN_QFN:DFN-8-1EP_3x3mm_P0.5mm_EP1.65x2.38mm'], 'footprint':'Package_DFN_QFN:DFN-8-1EP_3x3mm_P0.5mm_EP1.65x2.38mm', 'keywords':'diode bridge replacement', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/4320fb.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nLT4320xDD-1\n\ndiode bridge replacement', 'pins':[
            Pin(num='1',name='IN2',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='TG2',func=pin_types.OUTPUT,unit=1),
            Pin(num='3',name='BG2',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='BG1',func=pin_types.OUTPUT,unit=1),
            Pin(num='5',name='OUTN',func=pin_types.PWRIN,unit=1),
            Pin(num='6',name='OUTP',func=pin_types.PWRIN,unit=1),
            Pin(num='7',name='TG1',func=pin_types.OUTPUT,unit=1),
            Pin(num='8',name='IN1',func=pin_types.PWRIN,unit=1),
            Pin(num='9',name='OUTN',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LTC4364HDE', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LTC4364HDE'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:DFN-14-1EP_3x4mm_P0.5mm_EP1.7x3.3mm', 'Package_DFN_QFN:DFN-14-1EP_3x4mm_P0.5mm_EP1.7x3.3mm'], 'footprint':'Package_DFN_QFN:DFN-14-1EP_3x4mm_P0.5mm_EP1.7x3.3mm', 'keywords':'surge overvoltage undervoltage reverse-polarity protection diode ORing MOSFET driver', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/436412f.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nLTC4364HDE\n\nsurge overvoltage undervoltage reverse-polarity protection diode ORing MOSFET driver', 'pins':[
            Pin(num='1',name='OUT',func=pin_types.INPUT,unit=1),
            Pin(num='10',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='11',name='~{FLT}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='12',name='ENOUT',func=pin_types.OPENCOLL,unit=1),
            Pin(num='13',name='TMR',func=pin_types.INPUT,unit=1),
            Pin(num='14',name='FB',func=pin_types.INPUT,unit=1),
            Pin(num='15',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='SENSE',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='DGATE',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='SOURCE',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='GATE',func=pin_types.OUTPUT,unit=1),
            Pin(num='6',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='7',name='~{SHDN}',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='UV',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='OV',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LTC4364HMS', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LTC4364HMS'}), 'ref_prefix':'U', 'fplist':['Package_SO:MSOP-16_3x4mm_P0.5mm', 'Package_SO:MSOP-16_3x4mm_P0.5mm'], 'footprint':'Package_SO:MSOP-16_3x4mm_P0.5mm', 'keywords':'surge overvoltage undervoltage reverse-polarity protection diode ORing MOSFET driver', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/436412f.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nLTC4364HMS\n\nsurge overvoltage undervoltage reverse-polarity protection diode ORing MOSFET driver', 'pins':[
            Pin(num='1',name='OUT',func=pin_types.INPUT,unit=1),
            Pin(num='10',name='UV',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='OV',func=pin_types.INPUT,unit=1),
            Pin(num='12',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='13',name='~{FLT}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='14',name='ENOUT',func=pin_types.OPENCOLL,unit=1),
            Pin(num='15',name='TMR',func=pin_types.INPUT,unit=1),
            Pin(num='16',name='FB',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='SENSE',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='4',name='DGATE',func=pin_types.OUTPUT,unit=1),
            Pin(num='5',name='SOURCE',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='HGATE',func=pin_types.OUTPUT,unit=1),
            Pin(num='7',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='8',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='9',name='~{SHDN}',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LTC4364HS', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LTC4364HS'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-16_3.9x9.9mm_P1.27mm', 'Package_SO:SOIC-16_3.9x9.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-16_3.9x9.9mm_P1.27mm', 'keywords':'surge overvoltage undervoltage reverse-polarity protection diode ORing MOSFET driver', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/436412f.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nLTC4364HS\n\nsurge overvoltage undervoltage reverse-polarity protection diode ORing MOSFET driver', 'pins':[
            Pin(num='1',name='OUT',func=pin_types.INPUT,unit=1),
            Pin(num='10',name='UV',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='OV',func=pin_types.INPUT,unit=1),
            Pin(num='12',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='13',name='~{FLT}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='14',name='ENOUT',func=pin_types.OPENCOLL,unit=1),
            Pin(num='15',name='TMR',func=pin_types.INPUT,unit=1),
            Pin(num='16',name='FB',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='SENSE',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='4',name='DGATE',func=pin_types.OUTPUT,unit=1),
            Pin(num='5',name='SOURCE',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='HGATE',func=pin_types.OUTPUT,unit=1),
            Pin(num='7',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='8',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='9',name='~{SHDN}',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LTC4364IDE', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LTC4364IDE'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:DFN-14-1EP_3x4mm_P0.5mm_EP1.7x3.3mm', 'Package_DFN_QFN:DFN-14-1EP_3x4mm_P0.5mm_EP1.7x3.3mm', 'Package_DFN_QFN:DFN-14-1EP_3x4mm_P0.5mm_EP1.7x3.3mm'], 'footprint':'Package_DFN_QFN:DFN-14-1EP_3x4mm_P0.5mm_EP1.7x3.3mm', 'keywords':'surge overvoltage undervoltage reverse-polarity protection diode ORing MOSFET driver', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/436412f.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nLTC4364IDE\n\nsurge overvoltage undervoltage reverse-polarity protection diode ORing MOSFET driver', 'pins':[
            Pin(num='1',name='OUT',func=pin_types.INPUT,unit=1),
            Pin(num='10',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='11',name='~{FLT}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='12',name='ENOUT',func=pin_types.OPENCOLL,unit=1),
            Pin(num='13',name='TMR',func=pin_types.INPUT,unit=1),
            Pin(num='14',name='FB',func=pin_types.INPUT,unit=1),
            Pin(num='15',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='SENSE',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='DGATE',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='SOURCE',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='GATE',func=pin_types.OUTPUT,unit=1),
            Pin(num='6',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='7',name='~{SHDN}',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='UV',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='OV',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LTC4364IMS', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LTC4364IMS'}), 'ref_prefix':'U', 'fplist':['Package_SO:MSOP-16_3x4mm_P0.5mm', 'Package_SO:MSOP-16_3x4mm_P0.5mm', 'Package_SO:MSOP-16_3x4mm_P0.5mm'], 'footprint':'Package_SO:MSOP-16_3x4mm_P0.5mm', 'keywords':'surge overvoltage undervoltage reverse-polarity protection diode ORing MOSFET driver', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/436412f.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nLTC4364IMS\n\nsurge overvoltage undervoltage reverse-polarity protection diode ORing MOSFET driver', 'pins':[
            Pin(num='1',name='OUT',func=pin_types.INPUT,unit=1),
            Pin(num='10',name='UV',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='OV',func=pin_types.INPUT,unit=1),
            Pin(num='12',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='13',name='~{FLT}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='14',name='ENOUT',func=pin_types.OPENCOLL,unit=1),
            Pin(num='15',name='TMR',func=pin_types.INPUT,unit=1),
            Pin(num='16',name='FB',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='SENSE',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='4',name='DGATE',func=pin_types.OUTPUT,unit=1),
            Pin(num='5',name='SOURCE',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='HGATE',func=pin_types.OUTPUT,unit=1),
            Pin(num='7',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='8',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='9',name='~{SHDN}',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LTC4364IS', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LTC4364IS'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-16_3.9x9.9mm_P1.27mm', 'Package_SO:SOIC-16_3.9x9.9mm_P1.27mm', 'Package_SO:SOIC-16_3.9x9.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-16_3.9x9.9mm_P1.27mm', 'keywords':'surge overvoltage undervoltage reverse-polarity protection diode ORing MOSFET driver', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/436412f.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nLTC4364IS\n\nsurge overvoltage undervoltage reverse-polarity protection diode ORing MOSFET driver', 'pins':[
            Pin(num='1',name='OUT',func=pin_types.INPUT,unit=1),
            Pin(num='10',name='UV',func=pin_types.INPUT,unit=1),
            Pin(num='11',name='OV',func=pin_types.INPUT,unit=1),
            Pin(num='12',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='13',name='~{FLT}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='14',name='ENOUT',func=pin_types.OPENCOLL,unit=1),
            Pin(num='15',name='TMR',func=pin_types.INPUT,unit=1),
            Pin(num='16',name='FB',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='SENSE',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='4',name='DGATE',func=pin_types.OUTPUT,unit=1),
            Pin(num='5',name='SOURCE',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='HGATE',func=pin_types.OUTPUT,unit=1),
            Pin(num='7',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='8',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='9',name='~{SHDN}',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LTC4365DDB-1', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LTC4365DDB-1'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:DFN-8-1EP_2x3mm_P0.5mm_EP0.61x2.2mm', 'Package_DFN_QFN:DFN-8-1EP_2x3mm_P0.5mm_EP0.61x2.2mm'], 'footprint':'Package_DFN_QFN:DFN-8-1EP_2x3mm_P0.5mm_EP0.61x2.2mm', 'keywords':'overvoltage undervoltage reverse-polarity protection', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/4365fa.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nLTC4365DDB-1\n\novervoltage undervoltage reverse-polarity protection', 'pins':[
            Pin(num='1',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='OV',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='UV',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='Vin',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='GATE',func=pin_types.OUTPUT,unit=1),
            Pin(num='6',name='Vout',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='~{FAULT}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='8',name='~{SHDN}',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='GND',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LTC4365TS8-1', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LTC4365TS8-1'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:TSOT-23-8', 'Package_TO_SOT_SMD:TSOT-23-8'], 'footprint':'Package_TO_SOT_SMD:TSOT-23-8', 'keywords':'overvoltage undervoltage reverse-polarity protection', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/4365fa.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nLTC4365TS8-1\n\novervoltage undervoltage reverse-polarity protection', 'pins':[
            Pin(num='1',name='Vin',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='UV',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='OV',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='~{SHDN}',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='~{FAULT}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='7',name='Vout',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='GATE',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LTC4417HGN', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LTC4417HGN'}), 'ref_prefix':'U', 'fplist':['Package_SO:SSOP-24_3.9x8.7mm_P0.635mm', 'Package_SO:SSOP-24_3.9x8.7mm_P0.635mm'], 'footprint':'Package_SO:SSOP-24_3.9x8.7mm_P0.635mm', 'keywords':'switch power FET sequence', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/4417f.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nLTC4417HGN\n\nswitch power FET sequence', 'pins':[
            Pin(num='1',name='EN',func=pin_types.INPUT,unit=1),
            Pin(num='10',name='~{VALID1}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='11',name='~{VALID2}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='12',name='~{VALID3}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='13',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='14',name='CAS',func=pin_types.OUTPUT,unit=1),
            Pin(num='15',name='VOUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='16',name='G3',func=pin_types.OUTPUT,unit=1),
            Pin(num='17',name='VS3',func=pin_types.OUTPUT,unit=1),
            Pin(num='18',name='G2',func=pin_types.OUTPUT,unit=1),
            Pin(num='19',name='VS2',func=pin_types.OUTPUT,unit=1),
            Pin(num='2',name='~{SHDN}',func=pin_types.INPUT,unit=1),
            Pin(num='20',name='G1',func=pin_types.OUTPUT,unit=1),
            Pin(num='21',name='VS1',func=pin_types.OUTPUT,unit=1),
            Pin(num='22',name='V3',func=pin_types.INPUT,unit=1),
            Pin(num='23',name='V2',func=pin_types.INPUT,unit=1),
            Pin(num='24',name='V1',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='HYS',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='UV1',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='OV1',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='UV2',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='OV2',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='UV3',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='OV3',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LTC4417HUF', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LTC4417HUF'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-24-1EP_4x4mm_P0.5mm_EP2.6x2.6mm', 'Package_DFN_QFN:QFN-24-1EP_4x4mm_P0.5mm_EP2.6x2.6mm'], 'footprint':'Package_DFN_QFN:QFN-24-1EP_4x4mm_P0.5mm_EP2.6x2.6mm', 'keywords':'switch power FET sequence', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/4417f.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nLTC4417HUF\n\nswitch power FET sequence', 'pins':[
            Pin(num='1',name='UV1',func=pin_types.INPUT,unit=1),
            Pin(num='10',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='11',name='CAS',func=pin_types.OUTPUT,unit=1),
            Pin(num='12',name='VOUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='13',name='G3',func=pin_types.OUTPUT,unit=1),
            Pin(num='14',name='VS3',func=pin_types.OUTPUT,unit=1),
            Pin(num='15',name='G2',func=pin_types.OUTPUT,unit=1),
            Pin(num='16',name='VS2',func=pin_types.OUTPUT,unit=1),
            Pin(num='17',name='G1',func=pin_types.OUTPUT,unit=1),
            Pin(num='18',name='VS1',func=pin_types.OUTPUT,unit=1),
            Pin(num='19',name='V3',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='OV1',func=pin_types.INPUT,unit=1),
            Pin(num='20',name='V2',func=pin_types.INPUT,unit=1),
            Pin(num='21',name='V1',func=pin_types.INPUT,unit=1),
            Pin(num='22',name='EN',func=pin_types.INPUT,unit=1),
            Pin(num='23',name='~{SHDN}',func=pin_types.INPUT,unit=1),
            Pin(num='24',name='HYS',func=pin_types.INPUT,unit=1),
            Pin(num='25',name='PAD',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='UV2',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='OV2',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='UV3',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='OV3',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='~{VALID1}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='8',name='~{VALID2}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='9',name='~{VALID3}',func=pin_types.OPENCOLL,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LTC4417IGN', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LTC4417IGN'}), 'ref_prefix':'U', 'fplist':['Package_SO:SSOP-24_3.9x8.7mm_P0.635mm', 'Package_SO:SSOP-24_3.9x8.7mm_P0.635mm', 'Package_SO:SSOP-24_3.9x8.7mm_P0.635mm'], 'footprint':'Package_SO:SSOP-24_3.9x8.7mm_P0.635mm', 'keywords':'switch power FET sequence', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/4417f.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nLTC4417IGN\n\nswitch power FET sequence', 'pins':[
            Pin(num='1',name='EN',func=pin_types.INPUT,unit=1),
            Pin(num='10',name='~{VALID1}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='11',name='~{VALID2}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='12',name='~{VALID3}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='13',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='14',name='CAS',func=pin_types.OUTPUT,unit=1),
            Pin(num='15',name='VOUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='16',name='G3',func=pin_types.OUTPUT,unit=1),
            Pin(num='17',name='VS3',func=pin_types.OUTPUT,unit=1),
            Pin(num='18',name='G2',func=pin_types.OUTPUT,unit=1),
            Pin(num='19',name='VS2',func=pin_types.OUTPUT,unit=1),
            Pin(num='2',name='~{SHDN}',func=pin_types.INPUT,unit=1),
            Pin(num='20',name='G1',func=pin_types.OUTPUT,unit=1),
            Pin(num='21',name='VS1',func=pin_types.OUTPUT,unit=1),
            Pin(num='22',name='V3',func=pin_types.INPUT,unit=1),
            Pin(num='23',name='V2',func=pin_types.INPUT,unit=1),
            Pin(num='24',name='V1',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='HYS',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='UV1',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='OV1',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='UV2',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='OV2',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='UV3',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='OV3',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LTC4417IUF', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LTC4417IUF'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-24-1EP_4x4mm_P0.5mm_EP2.6x2.6mm', 'Package_DFN_QFN:QFN-24-1EP_4x4mm_P0.5mm_EP2.6x2.6mm', 'Package_DFN_QFN:QFN-24-1EP_4x4mm_P0.5mm_EP2.6x2.6mm'], 'footprint':'Package_DFN_QFN:QFN-24-1EP_4x4mm_P0.5mm_EP2.6x2.6mm', 'keywords':'switch power FET sequence', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/4417f.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nLTC4417IUF\n\nswitch power FET sequence', 'pins':[
            Pin(num='1',name='UV1',func=pin_types.INPUT,unit=1),
            Pin(num='10',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='11',name='CAS',func=pin_types.OUTPUT,unit=1),
            Pin(num='12',name='VOUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='13',name='G3',func=pin_types.OUTPUT,unit=1),
            Pin(num='14',name='VS3',func=pin_types.OUTPUT,unit=1),
            Pin(num='15',name='G2',func=pin_types.OUTPUT,unit=1),
            Pin(num='16',name='VS2',func=pin_types.OUTPUT,unit=1),
            Pin(num='17',name='G1',func=pin_types.OUTPUT,unit=1),
            Pin(num='18',name='VS1',func=pin_types.OUTPUT,unit=1),
            Pin(num='19',name='V3',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='OV1',func=pin_types.INPUT,unit=1),
            Pin(num='20',name='V2',func=pin_types.INPUT,unit=1),
            Pin(num='21',name='V1',func=pin_types.INPUT,unit=1),
            Pin(num='22',name='EN',func=pin_types.INPUT,unit=1),
            Pin(num='23',name='~{SHDN}',func=pin_types.INPUT,unit=1),
            Pin(num='24',name='HYS',func=pin_types.INPUT,unit=1),
            Pin(num='25',name='PAD',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='UV2',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='OV2',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='UV3',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='OV3',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='~{VALID1}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='8',name='~{VALID2}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='9',name='~{VALID3}',func=pin_types.OPENCOLL,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MAX9612', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MAX9612'}), 'ref_prefix':'U', 'fplist':['Package_SO:MSOP-10_3x3mm_P0.5mm', 'Package_SO:MSOP-10_3x3mm_P0.5mm'], 'footprint':'Package_SO:MSOP-10_3x3mm_P0.5mm', 'keywords':'high common-mode voltage range inrush-current-limiter', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/max9611-max9612.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nMAX9612\n\nhigh common-mode voltage range inrush-current-limiter', 'pins':[
            Pin(num='1',name='OUT',func=pin_types.OUTPUT,unit=1),
            Pin(num='10',name='V_{CC}',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='RS+',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='RS-',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='SET',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='6',name='SCL',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='SDA',func=pin_types.BIDIR,unit=1),
            Pin(num='8',name='A1',func=pin_types.INPUT,unit=1),
            Pin(num='9',name='A0',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MIC2008YM6', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MIC2008YM6'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-6', 'Package_TO_SOT_SMD:SOT-23-6'], 'footprint':'Package_TO_SOT_SMD:SOT-23-6', 'keywords':'current limiting power switch', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/aemDocuments/documents/APID/ProductDocuments/DataSheets/MIC20XX-Fixed-and-Adjustable-Current-Limiting-Power-Distribution-Switches-DS20006486B.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nMIC2008YM6\n\ncurrent limiting power switch', 'pins':[
            Pin(num='1',name='VIN',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='EN',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='ILIM',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='CSLEW',func=pin_types.PASSIVE,unit=1),
            Pin(num='6',name='VOUT',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MIC2017YM6', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MIC2017YM6'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-6', 'Package_TO_SOT_SMD:SOT-23-6', 'Package_TO_SOT_SMD:SOT-23-6'], 'footprint':'Package_TO_SOT_SMD:SOT-23-6', 'keywords':'current limiting power switch', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/aemDocuments/documents/APID/ProductDocuments/DataSheets/MIC20XX-Fixed-and-Adjustable-Current-Limiting-Power-Distribution-Switches-DS20006486B.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nMIC2017YM6\n\ncurrent limiting power switch', 'pins':[
            Pin(num='1',name='VIN',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='EN',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='ILIM',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='CSLEW',func=pin_types.PASSIVE,unit=1),
            Pin(num='6',name='VOUT',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MIC2018YM6', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MIC2018YM6'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-6', 'Package_TO_SOT_SMD:SOT-23-6', 'Package_TO_SOT_SMD:SOT-23-6', 'Package_TO_SOT_SMD:SOT-23-6'], 'footprint':'Package_TO_SOT_SMD:SOT-23-6', 'keywords':'current limiting power switch', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/aemDocuments/documents/APID/ProductDocuments/DataSheets/MIC20XX-Fixed-and-Adjustable-Current-Limiting-Power-Distribution-Switches-DS20006486B.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nMIC2018YM6\n\ncurrent limiting power switch', 'pins':[
            Pin(num='1',name='VIN',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='EN',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='ILIM',func=pin_types.PASSIVE,unit=1),
            Pin(num='5',name='CSLEW',func=pin_types.PASSIVE,unit=1),
            Pin(num='6',name='VOUT',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MIC2025-2YM', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MIC2025-2YM'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'mosfet distribution', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/MIC2025-2075-Single-Channel-Power-Distribution-Switch-DS20006030A.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nMIC2025-2YM\n\nmosfet distribution', 'pins':[
            Pin(num='1',name='EN',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='FLG',func=pin_types.OPENCOLL,unit=1),
            Pin(num='3',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='5',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='6',name='OUT',func=pin_types.PASSIVE,unit=1),
            Pin(num='7',name='IN',func=pin_types.PWRIN,unit=1),
            Pin(num='8',name='OUT',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MIC2025-2YMM', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MIC2025-2YMM'}), 'ref_prefix':'U', 'fplist':['Package_SO:MSOP-8_3x3mm_P0.65mm', 'Package_SO:MSOP-8_3x3mm_P0.65mm'], 'footprint':'Package_SO:MSOP-8_3x3mm_P0.65mm', 'keywords':'mosfet distribution', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/MIC2025-2075-Single-Channel-Power-Distribution-Switch-DS20006030A.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nMIC2025-2YMM\n\nmosfet distribution', 'pins':[
            Pin(num='1',name='EN',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='FLG',func=pin_types.OPENCOLL,unit=1),
            Pin(num='3',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='5',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='6',name='OUT',func=pin_types.PASSIVE,unit=1),
            Pin(num='7',name='IN',func=pin_types.PWRIN,unit=1),
            Pin(num='8',name='OUT',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MIC2026-1xM', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MIC2026-1xM'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'mosfet distribution', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/aemDocuments/documents/APID/ProductDocuments/DataSheets/MIC2026-MIC2076-Dual-Channel-Power-Distribution-Switch-DS20006443A.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nMIC2026-1xM\n\nmosfet distribution', 'pins':[
            Pin(num='1',name='ENA',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='FLGA',func=pin_types.OUTPUT,unit=1),
            Pin(num='3',name='FLGB',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='ENB',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='OUTB',func=pin_types.PWROUT,unit=1),
            Pin(num='6',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='7',name='IN',func=pin_types.PWRIN,unit=1),
            Pin(num='8',name='OUTA',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MIC2026-2BN', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MIC2026-2BN'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_DIP:DIP-8_W7.62mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'mosfet distribution', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/mic2026.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nMIC2026-2BN\n\nmosfet distribution', 'pins':[
            Pin(num='1',name='ENA',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='FLGA',func=pin_types.OUTPUT,unit=1),
            Pin(num='3',name='FLGB',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='ENB',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='OUTB',func=pin_types.PWROUT,unit=1),
            Pin(num='6',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='7',name='IN',func=pin_types.PWRIN,unit=1),
            Pin(num='8',name='OUTA',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MIC2026-2xM', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MIC2026-2xM'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_DIP:DIP-8_W7.62mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'mosfet distribution', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/aemDocuments/documents/APID/ProductDocuments/DataSheets/MIC2026-MIC2076-Dual-Channel-Power-Distribution-Switch-DS20006443A.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nMIC2026-2xM\n\nmosfet distribution', 'pins':[
            Pin(num='1',name='ENA',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='FLGA',func=pin_types.OUTPUT,unit=1),
            Pin(num='3',name='FLGB',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='ENB',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='OUTB',func=pin_types.PWROUT,unit=1),
            Pin(num='6',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='7',name='IN',func=pin_types.PWRIN,unit=1),
            Pin(num='8',name='OUTA',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MIC2090-2YM5', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MIC2090-2YM5'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5'], 'footprint':'Package_TO_SOT_SMD:SOT-23-5', 'keywords':'mosfet distribution current limit', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/aemDocuments/documents/APID/ProductDocuments/DataSheets/MIC2090-1-Current-Limiting-Power-Distribution-Switches-DS20006611A.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nMIC2090-2YM5\n\nmosfet distribution current limit', 'pins':[
            Pin(num='1',name='VIN',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='EN',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='FAULT',func=pin_types.OPENCOLL,unit=1),
            Pin(num='5',name='VOUT',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MIC2091-1YM5', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MIC2091-1YM5'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5'], 'footprint':'Package_TO_SOT_SMD:SOT-23-5', 'keywords':'mosfet distribution current limit', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/aemDocuments/documents/APID/ProductDocuments/DataSheets/MIC2090-1-Current-Limiting-Power-Distribution-Switches-DS20006611A.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nMIC2091-1YM5\n\nmosfet distribution current limit', 'pins':[
            Pin(num='1',name='VIN',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='EN',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='FAULT',func=pin_types.OPENCOLL,unit=1),
            Pin(num='5',name='VOUT',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MIC2091-2YM5', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MIC2091-2YM5'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5'], 'footprint':'Package_TO_SOT_SMD:SOT-23-5', 'keywords':'mosfet distribution current limit', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/aemDocuments/documents/APID/ProductDocuments/DataSheets/MIC2090-1-Current-Limiting-Power-Distribution-Switches-DS20006611A.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nMIC2091-2YM5\n\nmosfet distribution current limit', 'pins':[
            Pin(num='1',name='VIN',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='EN',func=pin_types.INPUT,unit=1),
            Pin(num='4',name='FAULT',func=pin_types.OPENCOLL,unit=1),
            Pin(num='5',name='VOUT',func=pin_types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MIC2587-1', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MIC2587-1'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'power switch FET driver', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/mic2587-87r.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nMIC2587-1\n\npower switch FET driver', 'pins':[
            Pin(num='4',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='1',name='ON',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='FB',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='PWRGD',func=pin_types.OPENCOLL,unit=1),
            Pin(num='5',name='TIMER',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='GATE',func=pin_types.OUTPUT,unit=1),
            Pin(num='7',name='Sense',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='Vcc',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MIC2587R-1', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MIC2587R-1'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'power switch FET driver', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/mic2587-87r.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nMIC2587R-1\n\npower switch FET driver', 'pins':[
            Pin(num='4',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='1',name='ON',func=pin_types.INPUT,unit=1),
            Pin(num='2',name='FB',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='PWRGD',func=pin_types.OPENCOLL,unit=1),
            Pin(num='5',name='TIMER',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='GATE',func=pin_types.OUTPUT,unit=1),
            Pin(num='7',name='Sense',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='Vcc',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'NPC45560-L', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'NPC45560-L'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:DFN-12-1EP_3x3mm_P0.5mm_EP2.05x2.86mm', 'Package_DFN_QFN:DFN-12-1EP_3x3mm_P0.5mm_EP2.05x2.86mm'], 'footprint':'Package_DFN_QFN:DFN-12-1EP_3x3mm_P0.5mm_EP2.05x2.86mm', 'keywords':'load switch', 'description':'', 'datasheet':'http://www.onsemi.com/pub/Collateral/NCP45560-D.PDF', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nNPC45560-L\n\nload switch', 'pins':[
            Pin(num='1',name='VIN',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='VOUT',func=pin_types.PASSIVE,unit=1),
            Pin(num='11',name='VOUT',func=pin_types.PASSIVE,unit=1),
            Pin(num='12',name='VOUT',func=pin_types.PWROUT,unit=1),
            Pin(num='13',name='VIN',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='EN',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='4',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='SR',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='PG',func=pin_types.OPENCOLL,unit=1),
            Pin(num='7',name='BLEED',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='VOUT',func=pin_types.PASSIVE,unit=1),
            Pin(num='9',name='VOUT',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'RT9742ANGJ5F', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'RT9742ANGJ5F'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:TSOT-23-5', 'Package_TO_SOT_SMD:TSOT-23-5'], 'footprint':'Package_TO_SOT_SMD:TSOT-23-5', 'keywords':'Power Switch', 'description':'', 'datasheet':'https://www.richtek.com/assets/product_file/RT9742/DS9742-10.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nRT9742ANGJ5F\n\nPower Switch', 'pins':[
            Pin(num='1',name='VOUT',func=pin_types.PWROUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~{FLG}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='4',name='EN',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='VIN',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'RT9742BNGJ5F', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'RT9742BNGJ5F'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:TSOT-23-5', 'Package_TO_SOT_SMD:TSOT-23-5'], 'footprint':'Package_TO_SOT_SMD:TSOT-23-5', 'keywords':'Power Switch', 'description':'', 'datasheet':'https://www.richtek.com/assets/product_file/RT9742/DS9742-10.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nRT9742BNGJ5F\n\nPower Switch', 'pins':[
            Pin(num='1',name='VOUT',func=pin_types.PWROUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~{FLG}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='4',name='~{EN}',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='VIN',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SN6505BDBV', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SN6505BDBV'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-6', 'Package_TO_SOT_SMD:SOT-23-6'], 'footprint':'Package_TO_SOT_SMD:SOT-23-6', 'keywords':'Transformer Drivers', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/sn6505b.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nSN6505BDBV\n\nTransformer Drivers', 'pins':[
            Pin(num='1',name='D1',func=pin_types.OPENCOLL,unit=1),
            Pin(num='2',name='VCC',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='D2',func=pin_types.OPENCOLL,unit=1),
            Pin(num='4',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='EN',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='CLK',func=pin_types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'STM6601', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'STM6601'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:TDFN-12_2x3mm_P0.5mm', 'Package_DFN_QFN:TDFN-12_2x3mm_P0.5mm'], 'footprint':'Package_DFN_QFN:TDFN-12_2x3mm_P0.5mm', 'keywords':'push-button-controller low-power', 'description':'', 'datasheet':'http://www.st.com/resource/en/datasheet/stm6600.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nSTM6601\n\npush-button-controller low-power', 'pins':[
            Pin(num='1',name='Vcc',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='~{RST}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='11',name='~{INT}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='12',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='~{SR}',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='Vref',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='PS_HOLD',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='C_SRD',func=pin_types.INPUT,unit=1),
            Pin(num='6',name='~{PB}',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='~{VCC}_LO',func=pin_types.OPENCOLL,unit=1),
            Pin(num='8',name='~{PB}_OUT',func=pin_types.OPENCOLL,unit=1),
            Pin(num='9',name='~{EN}/EN',func=pin_types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TPS2065CDBV', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TPS2065CDBV'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5'], 'footprint':'Package_TO_SOT_SMD:SOT-23-5', 'keywords':'Limit USB Active High', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/tps2051c.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nTPS2065CDBV\n\nLimit USB Active High', 'pins':[
            Pin(num='1',name='OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~{FLT}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='4',name='EN',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='IN',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TPS2065CDBVx-2', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TPS2065CDBVx-2'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5'], 'footprint':'Package_TO_SOT_SMD:SOT-23-5', 'keywords':'Limit USB Active High', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/tps2051c.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nTPS2065CDBVx-2\n\nLimit USB Active High', 'pins':[
            Pin(num='1',name='OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~{FLT}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='4',name='EN',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='IN',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TPS2069CDBV', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TPS2069CDBV'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5'], 'footprint':'Package_TO_SOT_SMD:SOT-23-5', 'keywords':'Limit USB Active High', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/tps2051c.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nTPS2069CDBV\n\nLimit USB Active High', 'pins':[
            Pin(num='1',name='OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='2',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='3',name='~{FLT}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='4',name='EN',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='IN',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TPS2412PW', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TPS2412PW'}), 'ref_prefix':'U', 'fplist':['', ''], 'footprint':'', 'keywords':'ideal-diode or-ing', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/tps2412.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nTPS2412PW\n\nideal-diode or-ing', 'pins':[
            Pin(num='1',name='VDD',func=pin_types.PWRIN,unit=1),
            Pin(num='2',name='RSET',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='GATE',func=pin_types.OUTPUT,unit=1),
            Pin(num='6',name='C',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='A',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='BYP',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TPS2419PW', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TPS2419PW'}), 'ref_prefix':'U', 'fplist':['', ''], 'footprint':'', 'keywords':'ideal-diode or-ing', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/tps2419.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nTPS2419PW\n\nideal-diode or-ing', 'pins':[
            Pin(num='1',name='RSET',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='EN',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='5',name='GATE',func=pin_types.OUTPUT,unit=1),
            Pin(num='6',name='C',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='A',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='BYP',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TPS26631RGE', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TPS26631RGE'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:Texas_RGE0024H_VQFN-24-1EP_4x4mm_P0.5mm_EP2.7x2.7mm_ThermalVias', 'Package_DFN_QFN:Texas_RGE0024H_VQFN-24-1EP_4x4mm_P0.5mm_EP2.7x2.7mm_ThermalVias'], 'footprint':'Package_DFN_QFN:Texas_RGE0024H_VQFN-24-1EP_4x4mm_P0.5mm_EP2.7x2.7mm_ThermalVias', 'keywords':'efuse protection switch', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/tps2663.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nTPS26631RGE\n\nefuse protection switch', 'pins':[
            Pin(num='1',name='IN',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='ILIM',func=pin_types.PASSIVE,unit=1),
            Pin(num='11',name='MODE',func=pin_types.INPUT,unit=1),
            Pin(num='12',name='~{SHDN}',func=pin_types.INPUT,unit=1),
            Pin(num='13',name='IMON',func=pin_types.OUTPUT,unit=1),
            Pin(num='14',name='~{FLT}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='15',name='PGTH',func=pin_types.INPUT,unit=1),
            Pin(num='16',name='PGOOD',func=pin_types.OUTPUT,unit=1),
            Pin(num='17',name='OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='18',name='OUT',func=pin_types.PASSIVE,unit=1),
            Pin(num='19',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='2',name='IN',func=pin_types.PASSIVE,unit=1),
            Pin(num='20',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='21',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='22',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='23',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='24',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='25',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='B_GATE',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='DRV',func=pin_types.OUTPUT,unit=1),
            Pin(num='5',name='IN_SYS',func=pin_types.PWRIN,unit=1),
            Pin(num='6',name='UVLO',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='OVP',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='9',name='dVdT',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TPS26633RGE', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TPS26633RGE'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:Texas_RGE0024H_VQFN-24-1EP_4x4mm_P0.5mm_EP2.7x2.7mm_ThermalVias', 'Package_DFN_QFN:Texas_RGE0024H_VQFN-24-1EP_4x4mm_P0.5mm_EP2.7x2.7mm_ThermalVias'], 'footprint':'Package_DFN_QFN:Texas_RGE0024H_VQFN-24-1EP_4x4mm_P0.5mm_EP2.7x2.7mm_ThermalVias', 'keywords':'efuse protection switch', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/tps2663.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nTPS26633RGE\n\nefuse protection switch', 'pins':[
            Pin(num='1',name='IN',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='ILIM',func=pin_types.PASSIVE,unit=1),
            Pin(num='11',name='MODE',func=pin_types.INPUT,unit=1),
            Pin(num='12',name='~{SHDN}',func=pin_types.INPUT,unit=1),
            Pin(num='13',name='IMON',func=pin_types.OUTPUT,unit=1),
            Pin(num='14',name='~{FLT}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='15',name='PGTH',func=pin_types.INPUT,unit=1),
            Pin(num='16',name='PGOOD',func=pin_types.OUTPUT,unit=1),
            Pin(num='17',name='OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='18',name='OUT',func=pin_types.PASSIVE,unit=1),
            Pin(num='19',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='2',name='IN',func=pin_types.PASSIVE,unit=1),
            Pin(num='20',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='21',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='22',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='23',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='24',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='25',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='B_GATE',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='DRV',func=pin_types.OUTPUT,unit=1),
            Pin(num='5',name='IN_SYS',func=pin_types.PWRIN,unit=1),
            Pin(num='6',name='UVLO',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='PLIM',func=pin_types.PASSIVE,unit=1),
            Pin(num='8',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='9',name='dVdT',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TPS26635RGE', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TPS26635RGE'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:Texas_RGE0024H_VQFN-24-1EP_4x4mm_P0.5mm_EP2.7x2.7mm_ThermalVias', 'Package_DFN_QFN:Texas_RGE0024H_VQFN-24-1EP_4x4mm_P0.5mm_EP2.7x2.7mm_ThermalVias', 'Package_DFN_QFN:Texas_RGE0024H_VQFN-24-1EP_4x4mm_P0.5mm_EP2.7x2.7mm_ThermalVias'], 'footprint':'Package_DFN_QFN:Texas_RGE0024H_VQFN-24-1EP_4x4mm_P0.5mm_EP2.7x2.7mm_ThermalVias', 'keywords':'efuse protection switch', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/tps2663.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nTPS26635RGE\n\nefuse protection switch', 'pins':[
            Pin(num='1',name='IN',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='ILIM',func=pin_types.PASSIVE,unit=1),
            Pin(num='11',name='MODE',func=pin_types.INPUT,unit=1),
            Pin(num='12',name='~{SHDN}',func=pin_types.INPUT,unit=1),
            Pin(num='13',name='IMON',func=pin_types.OUTPUT,unit=1),
            Pin(num='14',name='~{FLT}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='15',name='PGTH',func=pin_types.INPUT,unit=1),
            Pin(num='16',name='PGOOD',func=pin_types.OUTPUT,unit=1),
            Pin(num='17',name='OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='18',name='OUT',func=pin_types.PASSIVE,unit=1),
            Pin(num='19',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='2',name='IN',func=pin_types.PASSIVE,unit=1),
            Pin(num='20',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='21',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='22',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='23',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='24',name='NC',func=pin_types.NOCONNECT,unit=1),
            Pin(num='25',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='B_GATE',func=pin_types.OUTPUT,unit=1),
            Pin(num='4',name='DRV',func=pin_types.OUTPUT,unit=1),
            Pin(num='5',name='IN_SYS',func=pin_types.PWRIN,unit=1),
            Pin(num='6',name='UVLO',func=pin_types.INPUT,unit=1),
            Pin(num='7',name='PLIM',func=pin_types.PASSIVE,unit=1),
            Pin(num='8',name='GND',func=pin_types.PWRIN,unit=1),
            Pin(num='9',name='dVdT',func=pin_types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TPS26636PWP', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TPS26636PWP'}), 'ref_prefix':'U', 'fplist':['Package_SO:HTSSOP-20-1EP_4.4x6.5mm_P0.65mm_EP3.4x6.5mm_Mask2.96x2.96mm_ThermalVias', 'Package_SO:HTSSOP-20-1EP_4.4x6.5mm_P0.65mm_EP3.4x6.5mm_Mask2.96x2.96mm_ThermalVias'], 'footprint':'Package_SO:HTSSOP-20-1EP_4.4x6.5mm_P0.65mm_EP3.4x6.5mm_Mask2.96x2.96mm_ThermalVias', 'keywords':'efuse protection switch', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/tps2663.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nTPS26636PWP\n\nefuse protection switch', 'pins':[
            Pin(num='1',name='IN',func=pin_types.PWRIN,unit=1),
            Pin(num='10',name='dVdT',func=pin_types.PASSIVE,unit=1),
            Pin(num='11',name='ILIM',func=pin_types.PASSIVE,unit=1),
            Pin(num='12',name='MODE',func=pin_types.INPUT,unit=1),
            Pin(num='13',name='~{SHDN}',func=pin_types.INPUT,unit=1),
            Pin(num='14',name='IMON',func=pin_types.OUTPUT,unit=1),
            Pin(num='15',name='~{FLT}',func=pin_types.OPENCOLL,unit=1),
            Pin(num='16',name='PGTH',func=pin_types.INPUT,unit=1),
            Pin(num='17',name='PGOOD',func=pin_types.OUTPUT,unit=1),
            Pin(num='18',name='OUT',func=pin_types.PWROUT,unit=1),
            Pin(num='19',name='OUT',func=pin_types.PASSIVE,unit=1),
            Pin(num='2',name='IN',func=pin_types.PASSIVE,unit=1),
            Pin(num='20',name='OUT',func=pin_types.PASSIVE,unit=1),
            Pin(num='21',name='GND',func=pin_types.PASSIVE,unit=1),
            Pin(num='3',name='IN',func=pin_types.PASSIVE,unit=1),
            Pin(num='4',name='B_GATE',func=pin_types.OUTPUT,unit=1),
            Pin(num='5',name='DRV',func=pin_types.OUTPUT,unit=1),
            Pin(num='6',name='IN_SYS',func=pin_types.PWRIN,unit=1),
            Pin(num='7',name='UVLO',func=pin_types.INPUT,unit=1),
            Pin(num='8',name='PLIM',func=pin_types.PASSIVE,unit=1),
            Pin(num='9',name='GND',func=pin_types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TSM102A', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TSM102A'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-16_3.9x9.9mm_P1.27mm', 'Package_SO:SOIC-16_3.9x9.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-16_3.9x9.9mm_P1.27mm', 'keywords':'dual opamp comparator reference', 'description':'', 'datasheet':'http://www.st.com/resource/en/datasheet/tsm102.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nTSM102A\n\ndual opamp comparator reference', 'pins':[
            Pin(num='1',name='~',func=pin_types.OUTPUT,unit=1),
            Pin(num='2',name='-',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='+',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='+',func=pin_types.INPUT,unit=2),
            Pin(num='6',name='-',func=pin_types.INPUT,unit=2),
            Pin(num='7',name='~',func=pin_types.OUTPUT,unit=2),
            Pin(num='10',name='~',func=pin_types.OUTPUT,unit=3),
            Pin(num='11',name='-',func=pin_types.INPUT,unit=3),
            Pin(num='12',name='+',func=pin_types.INPUT,unit=3),
            Pin(num='14',name='+',func=pin_types.INPUT,unit=4),
            Pin(num='15',name='-',func=pin_types.INPUT,unit=4),
            Pin(num='16',name='~',func=pin_types.OUTPUT,unit=4),
            Pin(num='13',name='V-',func=pin_types.PWRIN,unit=5),
            Pin(num='4',name='V+',func=pin_types.PWRIN,unit=5),
            Pin(num='8',name='~',func=pin_types.PASSIVE,unit=5),
            Pin(num='9',name='~',func=pin_types.PASSIVE,unit=5)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['1', '2', '3']},{'label': 'uB', 'num': 2, 'pin_nums': ['7', '5', '6']},{'label': 'uC', 'num': 3, 'pin_nums': ['10', '11', '12']},{'label': 'uD', 'num': 4, 'pin_nums': ['14', '16', '15']},{'label': 'uE', 'num': 5, 'pin_nums': ['8', '4', '13', '9']}] }),
        Part(**{ 'name':'TSM103WA', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TSM103WA'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'dual opamp reference', 'description':'', 'datasheet':'http://www.st.com/resource/en/datasheet/tsm103w.pdf', 'search_text':'/usr/share/kicad/symbols/Power_Management.kicad_sym\nTSM103WA\n\ndual opamp reference', 'pins':[
            Pin(num='4',name='V-',func=pin_types.PWRIN),
            Pin(num='8',name='V+',func=pin_types.PWRIN),
            Pin(num='1',name='~',func=pin_types.OUTPUT,unit=1),
            Pin(num='2',name='-',func=pin_types.INPUT,unit=1),
            Pin(num='3',name='+',func=pin_types.INPUT,unit=1),
            Pin(num='5',name='+',func=pin_types.INPUT,unit=2),
            Pin(num='6',name='-',func=pin_types.INPUT,unit=2),
            Pin(num='7',name='~',func=pin_types.OUTPUT,unit=2)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['1', '3', '8', '2', '4']},{'label': 'uB', 'num': 2, 'pin_nums': ['6', '8', '7', '4', '5']}] })])